SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


DROP TABLE IF EXISTS `xx_avatar`;
CREATE TABLE `xx_avatar` (
  `avatar_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `avatar_file` varchar(30) NOT NULL DEFAULT '',
  `avatar_name` varchar(100) NOT NULL DEFAULT '',
  `avatar_mimetype` varchar(30) NOT NULL DEFAULT '',
  `avatar_created` int(10) NOT NULL DEFAULT '0',
  `avatar_display` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `avatar_weight` smallint(5) unsigned NOT NULL DEFAULT '0',
  `avatar_type` char(1) NOT NULL DEFAULT '',
  PRIMARY KEY (`avatar_id`),
  KEY `avatar_type` (`avatar_type`,`avatar_display`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_avatar_user_link`;
CREATE TABLE `xx_avatar_user_link` (
  `avatar_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `user_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  KEY `avatar_user_id` (`avatar_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_banner`;
CREATE TABLE `xx_banner` (
  `bid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cid` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `imptotal` int(10) unsigned NOT NULL DEFAULT '0',
  `impmade` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `clicks` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `imageurl` varchar(255) NOT NULL DEFAULT '',
  `clickurl` varchar(255) NOT NULL DEFAULT '',
  `date` int(10) NOT NULL DEFAULT '0',
  `htmlbanner` tinyint(1) NOT NULL DEFAULT '0',
  `htmlcode` text,
  PRIMARY KEY (`bid`),
  KEY `idxbannercid` (`cid`),
  KEY `idxbannerbidcid` (`bid`,`cid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `xx_banner` (`bid`, `cid`, `imptotal`, `impmade`, `clicks`, `imageurl`, `clickurl`, `date`, `htmlbanner`, `htmlcode`) VALUES(1, 1, 0, 317, 0, 'http://localhost/images/banners/xoops_flashbanner2.swf', 'http://www.xoops.org/', 1008813250, 0, '');
INSERT INTO `xx_banner` (`bid`, `cid`, `imptotal`, `impmade`, `clicks`, `imageurl`, `clickurl`, `date`, `htmlbanner`, `htmlcode`) VALUES(2, 1, 0, 280, 0, 'http://localhost/images/banners/xoops_banner_2.gif', 'http://www.xoops.org/', 1008813250, 0, '');
INSERT INTO `xx_banner` (`bid`, `cid`, `imptotal`, `impmade`, `clicks`, `imageurl`, `clickurl`, `date`, `htmlbanner`, `htmlcode`) VALUES(3, 1, 0, 278, 0, 'http://localhost/images/banners/banner.swf', 'http://www.xoops.org/', 1008813250, 0, '');

DROP TABLE IF EXISTS `xx_bannerclient`;
CREATE TABLE `xx_bannerclient` (
  `cid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL DEFAULT '',
  `contact` varchar(60) NOT NULL DEFAULT '',
  `email` varchar(60) NOT NULL DEFAULT '',
  `login` varchar(10) NOT NULL DEFAULT '',
  `passwd` varchar(10) NOT NULL DEFAULT '',
  `extrainfo` text,
  PRIMARY KEY (`cid`),
  KEY `login` (`login`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_bannerclient` (`cid`, `name`, `contact`, `email`, `login`, `passwd`, `extrainfo`) VALUES(1, 'XOOPS', 'XOOPS Dev Team', 'webmaster@xoops.org', '', '', '');

DROP TABLE IF EXISTS `xx_bannerfinish`;
CREATE TABLE `xx_bannerfinish` (
  `bid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `impressions` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `clicks` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `datestart` int(10) unsigned NOT NULL DEFAULT '0',
  `dateend` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`bid`),
  KEY `cid` (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_block_module_link`;
CREATE TABLE `xx_block_module_link` (
  `block_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `module_id` smallint(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`module_id`,`block_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(13, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(15, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(16, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(17, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(18, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(54, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(56, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(58, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(59, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(60, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(61, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(62, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(63, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(64, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(65, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(67, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(68, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(69, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(70, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(72, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(73, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(74, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(75, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(78, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(79, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(80, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(81, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(83, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(84, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(85, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(86, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(87, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(88, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(89, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(90, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(91, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(92, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(93, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(94, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(95, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(96, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(97, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(98, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(99, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(100, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(101, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(102, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(103, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(104, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(105, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(106, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(108, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(109, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(110, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(111, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(112, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(113, -1);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(1, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(2, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(3, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(4, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(5, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(6, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(7, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(8, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(9, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(10, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(11, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(12, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(14, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(19, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(20, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(55, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(57, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(66, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(76, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(77, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(82, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(107, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(114, 0);
INSERT INTO `xx_block_module_link` (`block_id`, `module_id`) VALUES(71, 21);

DROP TABLE IF EXISTS `xx_cache_model`;
CREATE TABLE `xx_cache_model` (
  `cache_key` varchar(64) NOT NULL DEFAULT '',
  `cache_expires` int(10) unsigned NOT NULL DEFAULT '0',
  `cache_data` text,
  PRIMARY KEY (`cache_key`),
  KEY `cache_expires` (`cache_expires`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_citas`;
CREATE TABLE `xx_citas` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `texto` varchar(255) NOT NULL DEFAULT '',
  `autor` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `id` (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=41 ;

INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(4, '◎ 脾氣嘴巴不好，心地再好也不能算好人。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(5, '◎ 話多不如話少，話少不如話好', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(6, '◎ 口說好話，心想好意，身行好事，腳走好路。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(7, '◎ 口說一句好話，如口出蓮花；口說一句壞話，如口吐毒蛇。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(8, '◎ 一句溫暖的話，就像往別人的身上灑香水，自己會沾上一兩滴。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(9, '◎ 說人是非，傷人傷己，好話要多說，是非不要提。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(10, '◎ 靜坐常思已過、閒談莫論人非。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(11, '◎ 要批評別人時，先想想自己是否完美無缺。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(12, '◎ 不要把能說話的嘴巴，用在搬弄是非上。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(13, '◎ 心要常常保持快樂，就必須不把人與人之間的事當成是非。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(14, '◎ 是非當教育，讚美當警惕。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(15, '◎ 發脾氣對內對外都是煩惱，對內是指自己生煩惱，對外是指困擾他人。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(16, '◎ 對人要寬心，講話要細心。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(17, '◎ 謊言就像一朵盛開的鮮花，外表美麗，生命短暫。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(18, '◎ 將嘲笑視同啟發，把諷刺當作激勵。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(19, '◎ 看別人不順眼，是自己修養不夠。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(20, '◎ 欣賞別人就是莊嚴自己。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(21, '◎ 以佛心看人，則遍地都是佛。以鬼心看人，則處處是猙獰的惡鬼。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(22, '◎ 心美看什麼都順眼。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(23, '◎ 愛不是要求對方，而是要由自身的付出。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(24, '◎ 道德是提昇自我的明燈，不該是呵斥別人的鞭子。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(25, '◎ 一個人的快樂，不是因為他擁有的多，而是因為他計較得少。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(26, '◎ 地上種了菜，就不易長草；心中有善，就不易生惡。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(27, '◎ 生氣，就是拿別人的過錯來懲罰自己。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(28, '◎ 自己害自己，莫過於亂發脾氣。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(29, '◎ 我們最大的敵人不是別人，可能是自己。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(30, '◎ 不要小看自己，因為人有無限的可能。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(31, '◎ 盡多少本分，就得多少本事。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(32, '◎ 滴水成河，粒米成籮，勿以善小而不為。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(33, '◎ 小事不做，大事難成。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(34, '◎ 人生最大的成就，是從失敗中站起來。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(35, '◎ 為自己找藉口的人，永遠不會進步。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(36, '◎ 信心、毅力、勇氣三者具備，則天下沒有做不成的事。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(37, '◎ 每天無所事事，是人生的消費者，積極有用，才是人生的創造者。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(38, '◎ 人的心地是一漥田，土地沒有播下好種子，也長不出好的果實。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(39, '◎ 知識要用心體會，才能變成自己的智慧。', '證嚴法師');
INSERT INTO `xx_citas` (`id`, `texto`, `autor`) VALUES(40, '◎ 有智慧才能分辨善惡邪正；有謙虛才能建造美滿人生。', '證嚴法師');

DROP TABLE IF EXISTS `xx_config`;
CREATE TABLE `xx_config` (
  `conf_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `conf_modid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `conf_catid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `conf_name` varchar(25) NOT NULL DEFAULT '',
  `conf_title` varchar(255) NOT NULL DEFAULT '',
  `conf_value` text,
  `conf_desc` varchar(255) NOT NULL DEFAULT '',
  `conf_formtype` varchar(15) NOT NULL DEFAULT '',
  `conf_valuetype` varchar(10) NOT NULL DEFAULT '',
  `conf_order` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`conf_id`),
  KEY `conf_mod_cat_id` (`conf_modid`,`conf_catid`),
  KEY `conf_order` (`conf_order`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=401 ;

INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(1, 0, 1, 'sitename', '_MD_AM_SITENAME', 'Tad的網站', '_MD_AM_SITENAMEDSC', 'textbox', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(2, 0, 1, 'slogan', '_MD_AM_SLOGAN', '歡迎光臨', '_MD_AM_SLOGANDSC', 'textbox', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(3, 0, 1, 'language', '_MD_AM_LANGUAGE', 'tchinese_utf8', '_MD_AM_LANGUAGEDSC', 'language', 'other', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(4, 0, 1, 'startpage', '_MD_AM_STARTPAGE', '--', '_MD_AM_STARTPAGEDSC', 'startpage', 'other', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(5, 0, 1, 'server_TZ', '_MD_AM_SERVERTZ', '8', '_MD_AM_SERVERTZDSC', 'timezone', 'float', 8);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(6, 0, 1, 'default_TZ', '_MD_AM_DEFAULTTZ', '8', '_MD_AM_DEFAULTTZDSC', 'timezone', 'float', 10);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(7, 0, 1, 'theme_set', '_MD_AM_DTHEME', 'school2013', '_MD_AM_DTHEMEDSC', 'theme', 'other', 12);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(8, 0, 1, 'anonymous', '_MD_AM_ANONNAME', '訪客', '_MD_AM_ANONNAMEDSC', 'textbox', 'text', 15);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(9, 0, 1, 'gzip_compression', '_MD_AM_USEGZIP', '0', '_MD_AM_USEGZIPDSC', 'yesno', 'int', 16);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(10, 0, 1, 'usercookie', '_MD_AM_USERCOOKIE', 'xoops_user', '_MD_AM_USERCOOKIEDSC', 'textbox', 'text', 18);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(11, 0, 1, 'session_expire', '_MD_AM_SESSEXPIRE', '15', '_MD_AM_SESSEXPIREDSC', 'textbox', 'int', 22);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(12, 0, 1, 'banners', '_MD_AM_BANNERS', '1', '_MD_AM_BANNERSDSC', 'yesno', 'int', 26);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(13, 0, 1, 'debug_mode', '_MD_AM_DEBUGMODE', '0', '_MD_AM_DEBUGMODEDSC', 'select', 'int', 24);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(14, 0, 1, 'my_ip', '_MD_AM_MYIP', '127.0.0.1', '_MD_AM_MYIPDSC', 'textbox', 'text', 29);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(15, 0, 1, 'use_ssl', '_MD_AM_USESSL', '0', '_MD_AM_USESSLDSC', 'yesno', 'int', 30);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(16, 0, 1, 'session_name', '_MD_AM_SESSNAME', 'xoops_session', '_MD_AM_SESSNAMEDSC', 'textbox', 'text', 20);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(17, 0, 2, 'minpass', '_MD_AM_MINPASS', '5', '_MD_AM_MINPASSDSC', 'textbox', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(18, 0, 2, 'minuname', '_MD_AM_MINUNAME', '3', '_MD_AM_MINUNAMEDSC', 'textbox', 'int', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(19, 0, 2, 'new_user_notify', '_MD_AM_NEWUNOTIFY', '1', '_MD_AM_NEWUNOTIFYDSC', 'yesno', 'int', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(20, 0, 2, 'new_user_notify_group', '_MD_AM_NOTIFYTO', '1', '_MD_AM_NOTIFYTODSC', 'group', 'int', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(21, 0, 2, 'activation_type', '_MD_AM_ACTVTYPE', '0', '_MD_AM_ACTVTYPEDSC', 'select', 'int', 8);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(22, 0, 2, 'activation_group', '_MD_AM_ACTVGROUP', '1', '_MD_AM_ACTVGROUPDSC', 'group', 'int', 10);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(23, 0, 2, 'uname_test_level', '_MD_AM_UNAMELVL', '0', '_MD_AM_UNAMELVLDSC', 'select', 'int', 12);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(24, 0, 2, 'avatar_allow_upload', '_MD_AM_AVATARALLOW', '0', '_MD_AM_AVATARALWDSC', 'yesno', 'int', 14);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(27, 0, 2, 'avatar_width', '_MD_AM_AVATARW', '120', '_MD_AM_AVATARWDSC', 'textbox', 'int', 16);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(28, 0, 2, 'avatar_height', '_MD_AM_AVATARH', '120', '_MD_AM_AVATARHDSC', 'textbox', 'int', 18);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(29, 0, 2, 'avatar_maxsize', '_MD_AM_AVATARMAX', '35000', '_MD_AM_AVATARMAXDSC', 'textbox', 'int', 20);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(30, 0, 1, 'adminmail', '_MD_AM_ADMINML', 'tad0616@gmail.com', '_MD_AM_ADMINMLDSC', 'textbox', 'text', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(31, 0, 2, 'self_delete', '_MD_AM_SELFDELETE', '0', '_MD_AM_SELFDELETEDSC', 'yesno', 'int', 22);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(32, 0, 1, 'com_mode', '_MD_AM_COMMODE', 'flat', '_MD_AM_COMMODEDSC', 'select', 'text', 34);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(33, 0, 1, 'com_order', '_MD_AM_COMORDER', '0', '_MD_AM_COMORDERDSC', 'select', 'int', 36);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(34, 0, 2, 'bad_unames', '_MD_AM_BADUNAMES', 'a:3:{i:0;s:9:"webmaster";i:1;s:6:"^xoops";i:2;s:6:"^admin";}', '_MD_AM_BADUNAMESDSC', 'textarea', 'array', 24);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(35, 0, 2, 'bad_emails', '_MD_AM_BADEMAILS', 'a:1:{i:0;s:10:"xoops.org$";}', '_MD_AM_BADEMAILSDSC', 'textarea', 'array', 26);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(36, 0, 2, 'maxuname', '_MD_AM_MAXUNAME', '10', '_MD_AM_MAXUNAMEDSC', 'textbox', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(37, 0, 1, 'bad_ips', '_MD_AM_BADIPS', 'a:1:{i:0;s:9:"127.0.0.1";}', '_MD_AM_BADIPSDSC', 'textarea', 'array', 42);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(38, 0, 3, 'meta_keywords', '_MD_AM_METAKEY', 'xoops , 教育 , 快速', '_MD_AM_METAKEYDSC', 'textarea', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(39, 0, 3, 'footer', '_MD_AM_FOOTER', '<a href="modules/system/admin.php?fct=preferences&op=show&confcat_id=3">請點此或右邊的設定符號，以編輯此處的頁尾資訊。<br>\r\n您可以在此輸入學校電話、地址、傳真電話、管理員Email等資訊</a>。\r\n<div style="font-size:12px;color:#CC9900;margin:10px auto;" target="_blank">本系統使用<a href="http://campus-xoops.tn.edu.tw">XOOPS校園網站輕鬆架</a></div>', '_MD_AM_FOOTERDSC', 'textarea', 'text', 20);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(40, 0, 4, 'censor_enable', '_MD_AM_DOCENSOR', '0', '_MD_AM_DOCENSORDSC', 'yesno', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(41, 0, 4, 'censor_words', '_MD_AM_CENSORWRD', 'a:2:{i:0;s:4:"fuck";i:1;s:4:"shit";}', '_MD_AM_CENSORWRDDSC', 'textarea', 'array', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(42, 0, 4, 'censor_replace', '_MD_AM_CENSORRPLC', '#OOPS#', '_MD_AM_CENSORRPLCDSC', 'textbox', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(43, 0, 3, 'meta_robots', '_MD_AM_METAROBOTS', 'index,follow', '_MD_AM_METAROBOTSDSC', 'select', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(44, 0, 5, 'enable_search', '_MD_AM_DOSEARCH', '1', '_MD_AM_DOSEARCHDSC', 'yesno', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(45, 0, 5, 'keyword_min', '_MD_AM_MINSEARCH', '2', '_MD_AM_MINSEARCHDSC', 'textbox', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(46, 0, 2, 'avatar_minposts', '_MD_AM_AVATARMP', '0', '_MD_AM_AVATARMPDSC', 'textbox', 'int', 15);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(47, 0, 1, 'enable_badips', '_MD_AM_DOBADIPS', '0', '_MD_AM_DOBADIPSDSC', 'yesno', 'int', 40);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(48, 0, 3, 'meta_rating', '_MD_AM_METARATING', 'general', '_MD_AM_METARATINGDSC', 'select', 'text', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(49, 0, 3, 'meta_author', '_MD_AM_METAAUTHOR', 'XOOPS', '_MD_AM_METAAUTHORDSC', 'textbox', 'text', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(50, 0, 3, 'meta_copyright', '_MD_AM_METACOPYR', 'Copyright @ 2001-2012', '_MD_AM_METACOPYRDSC', 'textbox', 'text', 8);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(51, 0, 3, 'meta_description', '_MD_AM_METADESC', 'XOOPS校園網站輕鬆架（http://campus-xoops.tn.edu.tw）', '_MD_AM_METADESCDSC', 'textarea', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(52, 0, 2, 'allow_chgmail', '_MD_AM_ALLWCHGMAIL', '0', '_MD_AM_ALLWCHGMAILDSC', 'yesno', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(53, 0, 1, 'use_mysession', '_MD_AM_USEMYSESS', '0', '_MD_AM_USEMYSESSDSC', 'yesno', 'int', 19);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(54, 0, 2, 'reg_dispdsclmr', '_MD_AM_DSPDSCLMR', '1', '_MD_AM_DSPDSCLMRDSC', 'yesno', 'int', 30);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(55, 0, 2, 'reg_disclaimer', '_MD_AM_REGDSCLMR', '請仔細閱讀並遵守下列註冊條款：\r\n\r\n1、註冊會員必須遵守中華民國的各項法律法規。\r\n2、不得發佈任何有關色情、違法、以及危害國家安全的言論。\r\n3、嚴禁連接有關政治、色情、宗教迷信等違法訊息。\r\n4、承擔一切因您的行為而直接或間接導致的民事或刑事法律責任。\r\n5、互相尊重、遵守網際網路道德，嚴禁互相惡意攻擊、漫罵。\r\n6、管理員及版主有權保留或刪除討論區中的任意內容。\r\n7、本站網管擁有一切管理權力。\r\n\r\n系統將會把部分訊息以 cookies 方式儲存在您的電腦中（不包含您的密碼及個人訊息）；此外您的電子只是用來作為確認註冊身份及傳送密碼使用，將不會作為商業用途。', '_MD_AM_REGDSCLMRDSC', 'textarea', 'text', 32);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(56, 0, 2, 'allow_register', '_MD_AM_ALLOWREG', '1', '_MD_AM_ALLOWREGDSC', 'yesno', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(57, 0, 1, 'theme_fromfile', '_MD_AM_THEMEFILE', '1', '_MD_AM_THEMEFILEDSC', 'yesno', 'int', 13);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(58, 0, 1, 'closesite', '_MD_AM_CLOSESITE', '0', '_MD_AM_CLOSESITEDSC', 'yesno', 'int', 26);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(59, 0, 1, 'closesite_okgrp', '_MD_AM_CLOSESITEOK', 'a:1:{i:0;s:1:"1";}', '_MD_AM_CLOSESITEOKDSC', 'group_multi', 'array', 27);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(60, 0, 1, 'closesite_text', '_MD_AM_CLOSESITETXT', '系統維護中，請稍後造訪。', '_MD_AM_CLOSESITETXTDSC', 'textarea', 'text', 28);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(61, 0, 1, 'sslpost_name', '_MD_AM_SSLPOST', 'xoops_ssl', '_MD_AM_SSLPOSTDSC', 'textbox', 'text', 31);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(62, 0, 1, 'module_cache', '_MD_AM_MODCACHE', 'a:2:{i:2;s:1:"0";i:5;s:1:"0";}', '_MD_AM_MODCACHEDSC', 'module_cache', 'array', 50);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(63, 0, 1, 'template_set', '_MD_AM_DTPLSET', 'default', '_MD_AM_DTPLSETDSC', 'tplset', 'other', 14);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(64, 0, 6, 'mailmethod', '_MD_AM_MAILERMETHOD', 'mail', '_MD_AM_MAILERMETHODDESC', 'select', 'text', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(65, 0, 6, 'smtphost', '_MD_AM_SMTPHOST', 'a:1:{i:0;s:0:"";}', '_MD_AM_SMTPHOSTDESC', 'textarea', 'array', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(66, 0, 6, 'smtpuser', '_MD_AM_SMTPUSER', '', '_MD_AM_SMTPUSERDESC', 'textbox', 'text', 7);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(67, 0, 6, 'smtppass', '_MD_AM_SMTPPASS', '', '_MD_AM_SMTPPASSDESC', 'password', 'text', 8);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(68, 0, 6, 'sendmailpath', '_MD_AM_SENDMAILPATH', '/usr/sbin/sendmail', '_MD_AM_SENDMAILPATHDESC', 'textbox', 'text', 5);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(69, 0, 6, 'from', '_MD_AM_MAILFROM', '', '_MD_AM_MAILFROMDESC', 'textbox', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(70, 0, 6, 'fromname', '_MD_AM_MAILFROMNAME', '', '_MD_AM_MAILFROMNAMEDESC', 'textbox', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(71, 0, 1, 'sslloginlink', '_MD_AM_SSLLINK', 'https://', '_MD_AM_SSLLINKDSC', 'textbox', 'text', 33);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(72, 0, 1, 'theme_set_allowed', '_MD_AM_THEMEOK', 'a:3:{i:0;s:7:"default";i:1;s:10:"school2012";i:2;s:10:"school2013";}', '_MD_AM_THEMEOKDSC', 'theme_multi', 'array', 13);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(73, 0, 6, 'fromuid', '_MD_AM_MAILFROMUID', '1', '_MD_AM_MAILFROMUIDDESC', 'user', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(74, 0, 7, 'auth_method', '_MD_AM_AUTHMETHOD', 'xoops', '_MD_AM_AUTHMETHODDESC', 'select', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(75, 0, 7, 'ldap_port', '_MD_AM_LDAP_PORT', '389', '_MD_AM_LDAP_PORT', 'textbox', 'int', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(76, 0, 7, 'ldap_server', '_MD_AM_LDAP_SERVER', 'your directory server', '_MD_AM_LDAP_SERVER_DESC', 'textbox', 'text', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(77, 0, 7, 'ldap_base_dn', '_MD_AM_LDAP_BASE_DN', 'dc=xoops,dc=org', '_MD_AM_LDAP_BASE_DN_DESC', 'textbox', 'text', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(78, 0, 7, 'ldap_manager_dn', '_MD_AM_LDAP_MANAGER_DN', 'manager_dn', '_MD_AM_LDAP_MANAGER_DN_DESC', 'textbox', 'text', 5);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(79, 0, 7, 'ldap_manager_pass', '_MD_AM_LDAP_MANAGER_PASS', 'manager_pass', '_MD_AM_LDAP_MANAGER_PASS_DESC', 'password', 'text', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(80, 0, 7, 'ldap_version', '_MD_AM_LDAP_VERSION', '3', '_MD_AM_LDAP_VERSION_DESC', 'textbox', 'text', 7);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(81, 0, 7, 'ldap_users_bypass', '_MD_AM_LDAP_USERS_BYPASS', 'a:1:{i:0;s:5:"admin";}', '_MD_AM_LDAP_USERS_BYPASS_DESC', 'textarea', 'array', 8);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(82, 0, 7, 'ldap_loginname_asdn', '_MD_AM_LDAP_LOGINNAME_ASDN', 'uid_asdn', '_MD_AM_LDAP_LOGINNAME_ASDN_D', 'yesno', 'int', 9);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(83, 0, 7, 'ldap_loginldap_attr', '_MD_AM_LDAP_LOGINLDAP_ATTR', 'uid', '_MD_AM_LDAP_LOGINLDAP_ATTR_D', 'textbox', 'text', 10);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(84, 0, 7, 'ldap_filter_person', '_MD_AM_LDAP_FILTER_PERSON', '', '_MD_AM_LDAP_FILTER_PERSON_DESC', 'textbox', 'text', 11);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(85, 0, 7, 'ldap_domain_name', '_MD_AM_LDAP_DOMAIN_NAME', 'mydomain', '_MD_AM_LDAP_DOMAIN_NAME_DESC', 'textbox', 'text', 12);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(86, 0, 7, 'ldap_provisionning', '_MD_AM_LDAP_PROVIS', '0', '_MD_AM_LDAP_PROVIS_DESC', 'yesno', 'int', 13);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(87, 0, 7, 'ldap_provisionning_group', '_MD_AM_LDAP_PROVIS_GROUP', 'a:1:{i:0;s:1:"2";}', '_MD_AM_LDAP_PROVIS_GROUP_DSC', 'group_multi', 'array', 14);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(88, 0, 7, 'ldap_mail_attr', '_MD_AM_LDAP_MAIL_ATTR', 'mail', '_MD_AM_LDAP_MAIL_ATTR_DESC', 'textbox', 'text', 15);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(89, 0, 7, 'ldap_givenname_attr', '_MD_AM_LDAP_GIVENNAME_ATTR', 'givenname', '_MD_AM_LDAP_GIVENNAME_ATTR_DSC', 'textbox', 'text', 16);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(90, 0, 7, 'ldap_surname_attr', '_MD_AM_LDAP_SURNAME_ATTR', 'sn', '_MD_AM_LDAP_SURNAME_ATTR_DESC', 'textbox', 'text', 17);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(91, 0, 7, 'ldap_field_mapping', '_MD_AM_LDAP_FIELD_MAPPING_ATTR', 'email=mail|name=displayname', '_MD_AM_LDAP_FIELD_MAPPING_DESC', 'textarea', 'text', 18);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(92, 0, 7, 'ldap_provisionning_upd', '_MD_AM_LDAP_PROVIS_UPD', '1', '_MD_AM_LDAP_PROVIS_UPD_DESC', 'yesno', 'int', 19);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(93, 0, 7, 'ldap_use_TLS', '_MD_AM_LDAP_USETLS', '0', '_MD_AM_LDAP_USETLS_DESC', 'yesno', 'int', 20);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(94, 0, 1, 'cpanel', '_MD_AM_CPANEL', 'default', '_MD_AM_CPANELDSC', 'cpanel', 'other', 11);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(95, 0, 2, 'welcome_type', '_MD_AM_WELCOMETYPE', '1', '_MD_AM_WELCOMETYPE_DESC', 'select', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(96, 1, 0, 'break1', '_MI_SYSTEM_PREFERENCE_BREAK_GENERAL', 'head', '', 'line_break', 'textbox', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(97, 1, 0, 'usetips', '_MI_SYSTEM_PREFERENCE_TIPS', '1', '_MI_SYSTEM_PREFERENCE_TIPS_DSC', 'yesno', 'int', 10);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(98, 1, 0, 'typeicons', '_MI_SYSTEM_PREFERENCE_ICONS', 'default', '', 'select', 'text', 20);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(99, 1, 0, 'typebreadcrumb', '_MI_SYSTEM_PREFERENCE_BREADCRUMB', 'default', '', 'select', 'text', 30);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(100, 1, 0, 'break2', '_MI_SYSTEM_PREFERENCE_BREAK_ACTIVE', 'head', '', 'line_break', 'textbox', 40);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(101, 1, 0, 'active_avatars', '_MI_SYSTEM_PREFERENCE_ACTIVE_AVATARS', '1', '', 'yesno', 'int', 50);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(102, 1, 0, 'active_banners', '_MI_SYSTEM_PREFERENCE_ACTIVE_BANNERS', '1', '', 'yesno', 'int', 60);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(103, 1, 0, 'active_blocksadmin', '_MI_SYSTEM_PREFERENCE_ACTIVE_BLOCKSADMIN', '1', '', 'hidden', 'int', 70);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(104, 1, 0, 'active_comments', '_MI_SYSTEM_PREFERENCE_ACTIVE_COMMENTS', '1', '', 'yesno', 'int', 80);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(105, 1, 0, 'active_filemanager', '_MI_SYSTEM_PREFERENCE_ACTIVE_FILEMANAGER', '1', '', 'yesno', 'int', 90);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(106, 1, 0, 'active_groups', '_MI_SYSTEM_PREFERENCE_ACTIVE_GROUPS', '1', '', 'hidden', 'int', 100);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(107, 1, 0, 'active_images', '_MI_SYSTEM_PREFERENCE_ACTIVE_IMAGES', '1', '', 'yesno', 'int', 110);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(108, 1, 0, 'active_mailusers', '_MI_SYSTEM_PREFERENCE_ACTIVE_MAILUSERS', '1', '', 'yesno', 'int', 120);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(109, 1, 0, 'active_modulesadmin', '_MI_SYSTEM_PREFERENCE_ACTIVE_MODULESADMIN', '1', '', 'hidden', 'int', 130);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(110, 1, 0, 'active_maintenance', '_MI_SYSTEM_PREFERENCE_ACTIVE_MAINTENANCE', '1', '', 'yesno', 'int', 140);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(111, 1, 0, 'active_preferences', '_MI_SYSTEM_PREFERENCE_ACTIVE_PREFERENCES', '1', '', 'hidden', 'int', 150);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(112, 1, 0, 'active_smilies', '_MI_SYSTEM_PREFERENCE_ACTIVE_SMILIES', '1', '', 'yesno', 'int', 160);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(113, 1, 0, 'active_tplsets', '_MI_SYSTEM_PREFERENCE_ACTIVE_TPLSETS', '1', '', 'hidden', 'int', 170);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(114, 1, 0, 'active_userrank', '_MI_SYSTEM_PREFERENCE_ACTIVE_USERRANK', '1', '', 'yesno', 'int', 180);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(115, 1, 0, 'active_users', '_MI_SYSTEM_PREFERENCE_ACTIVE_USERS', '1', '', 'yesno', 'int', 190);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(116, 1, 0, 'break3', '_MI_SYSTEM_PREFERENCE_BREAK_PAGER', 'head', '', 'line_break', 'textbox', 200);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(117, 1, 0, 'avatars_pager', '_MI_SYSTEM_PREFERENCE_AVATARS_PAGER', '10', '', 'textbox', 'int', 210);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(118, 1, 0, 'banners_pager', '_MI_SYSTEM_PREFERENCE_BANNERS_PAGER', '10', '', 'textbox', 'int', 220);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(119, 1, 0, 'comments_pager', '_MI_SYSTEM_PREFERENCE_COMMENTS_PAGER', '20', '', 'textbox', 'int', 230);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(120, 1, 0, 'groups_pager', '_MI_SYSTEM_PREFERENCE_GROUPS_PAGER', '15', '', 'textbox', 'int', 240);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(121, 1, 0, 'images_pager', '_MI_SYSTEM_PREFERENCE_IMAGES_PAGER', '15', '', 'textbox', 'int', 250);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(122, 1, 0, 'smilies_pager', '_MI_SYSTEM_PREFERENCE_SMILIES_PAGER', '20', '', 'textbox', 'int', 260);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(123, 1, 0, 'userranks_pager', '_MI_SYSTEM_PREFERENCE_USERRANKS_PAGER', '20', '', 'textbox', 'int', 270);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(124, 1, 0, 'users_pager', '_MI_SYSTEM_PREFERENCE_USERS_PAGER', '20', '', 'textbox', 'int', 280);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(125, 1, 0, 'break4', '_MI_SYSTEM_PREFERENCE_BREAK_EDITOR', 'head', '', 'line_break', 'textbox', 290);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(126, 1, 0, 'blocks_editor', '_MI_SYSTEM_PREFERENCE_BLOCKS_EDITOR', 'dhtmltextarea', '_MI_SYSTEM_PREFERENCE_BLOCKS_EDITOR_DSC', 'select', 'text', 300);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(127, 1, 0, 'comments_editor', '_MI_SYSTEM_PREFERENCE_COMMENTS_EDITOR', 'dhtmltextarea', '_MI_SYSTEM_PREFERENCE_COMMENTS_EDITOR_DSC', 'select', 'text', 310);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(128, 1, 0, 'general_editor', '_MI_SYSTEM_PREFERENCE_GENERAL_EDITOR', 'dhtmltextarea', '_MI_SYSTEM_PREFERENCE_GENERAL_EDITOR_DSC', 'select', 'text', 320);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(129, 1, 0, 'redirect', '_MI_SYSTEM_PREFERENCE_REDIRECT', 'admin.php?fct=preferences', '', 'hidden', 'text', 330);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(130, 1, 0, 'com_anonpost', '_MI_SYSTEM_PREFERENCE_ANONPOST', '', '', 'hidden', 'text', 340);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(133, 1, 0, 'jquery_theme', '_MI_SYSTEM_PREFERENCE_JQUERY_THEME', 'base', '', 'select', 'text', 35);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(134, 0, 1, 'redirect_message_ajax', '_MD_AM_CUSTOM_REDIRECT', '1', '_MD_AM_CUSTOM_REDIRECT_DESC', 'yesno', 'int', 12);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(339, 4, 0, 'jquery_mode', '_MI_TADTOOLS_TITLE1', 'local', '_MI_TADTOOLS_DESC1', 'select', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(400, 3, 0, 'show_sitename', '_MI_TADTHEMES_SHOW_SITENAME', '1', '_MI_TADTHEMES_SHOW_SITENAME_DESC', 'yesno', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(399, 3, 0, 'auto_mainmenu', '_MI_TADTHEMES_AUTO_MENU', '1', '_MI_TADTHEMES_AUTO_MENU_DESC', 'yesno', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(338, 5, 0, 'block_id_temp', '_MI_TADADM_BLOCK_ID_TEMP', '', '_MI_TADADM_BLOCK_ID_TEMP_DESC', 'textarea', 'text', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(337, 5, 0, 'module_id_temp', '_MI_TADADM_MODULE_ID_TEMP', '', '_MI_TADADM_MODULE_ID_TEMP_DESC', 'textarea', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(335, 5, 0, 'list_amount', '_MI_TADADM_LIST_AMOUNT', '10', '_MI_TADADM_LIST_AMOUNT_DESC', 'textbox', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(336, 5, 0, 'login', '_MI_TADADM_LOGIN', '', '_MI_TADADM_LOGIN_DESC', 'textbox', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(342, 16, 0, 'auth_method', '_MI_TADLOGIN_AUTH_METHOD', 'a:4:{i:0;s:6:"google";i:1;s:5:"yahoo";i:2;s:4:"myid";i:3;s:9:"tn_openid";}', '_MI_TADLOGIN_AUTH_METHOD_DESC', 'select_multi', 'array', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(340, 16, 0, 'appId', '_MI_TADLOGIN_APPID', '189441632170', '_MI_TADLOGIN_APPID_DESC', 'textbox', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(341, 16, 0, 'secret', '_MI_TADLOGIN_SECRET', '7d7288d91aa7dfe90cc66a50f27289ba', '_MI_TADLOGIN_SECRET_DESC', 'textbox', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(242, 18, 0, 'perpage', '_PM_MI_PERPAGE', '20', '_PM_MI_PERPAGE_DESC', 'textbox', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(243, 18, 0, 'max_save', '_PM_MI_MAXSAVE', '10', '_PM_MI_MAXSAVE_DESC', 'textbox', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(244, 18, 0, 'prunesubject', '_PM_MI_PRUNESUBJECT', '訊息在清除時被刪除', '_PM_MI_PRUNESUBJECT_DESC', 'textbox', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(245, 18, 0, 'prunemessage', '_PM_MI_PRUNEMESSAGE', '在私人訊息定期清理中，您的收件箱中共有{PM_COUNT}則訊息被清除', '_PM_MI_PRUNEMESSAGE_DESC', 'textarea', 'text', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(246, 19, 0, 'profile_search', '_PROFILE_MI_PROFILE_SEARCH', '1', '', 'yesno', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(370, 21, 0, 'cover_pic_css', '_MI_COVER_PIC_CSS', 'width:200px; height:150px; border:1px solid #909090; background-position:left top; background-repeat:no-repeat; background-size:cover; float:right; margin:4px;', '_MI_COVER_PIC_CSS_DESC', 'textarea', 'text', 17);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(369, 21, 0, 'use_star_rating', '_MI_STAR_RATING_TITLE', '1', '_MI_STAR_RATING_DESC', 'yesno', 'int', 16);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(368, 21, 0, 'use_social_tools', '_MI_SOCIALTOOLS_TITLE', '1', '_MI_SOCIALTOOLS_TITLE_DESC', 'yesno', 'int', 15);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(367, 21, 0, 'use_pda', '_MI_USE_PDA_TITLE', '1', '_MI_USE_PDA_TITLE_DESC', 'yesno', 'int', 14);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(366, 21, 0, 'facebook_comments_width', '_MI_FBCOMMENT_TITLE', '1', '_MI_FBCOMMENT_TITLE_DESC', 'yesno', 'int', 13);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(365, 21, 0, 'summary_lengths', '_MI_TADNEWS_SUMMARY_LENGTHS', '100', '_MI_TADNEWS_SUMMARY_LENGTHS_DESC', 'text', 'int', 12);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(364, 21, 0, 'creat_cate_group', '_MI_TADNEWS_CREAT_CATE_GROUP', 'a:1:{i:0;i:1;}', '_MI_TADNEWS_CREAT_CATE_GROUP_DESC', 'group_multi', 'array', 11);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(363, 21, 0, 'download_after_read', '_MI_TADNEWS_DOWNLOAD_AFTER_READ', '0', '_MI_TADNEWS_DOWNLOAD_AFTER_READ_DESC', 'yesno', 'int', 10);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(362, 21, 0, 'show_submenu', '_MI_TADNEWS_SHOW_SUBMENU', '1', '_MI_TADNEWS_SHOW_SUBMENU_DESC', 'yesno', 'int', 9);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(361, 21, 0, 'use_archive', '_MI_TADNEWS_USE_USE_ARCHIVE', '1', '_MI_TADNEWS_USE_USE_ARCHIVE_DESC', 'yesno', 'int', 8);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(360, 21, 0, 'use_newspaper', '_MI_TADNEWS_USE_NEWSPAPER', '1', '_MI_TADNEWS_USE_NEWSPAPER_DESC', 'yesno', 'int', 7);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(359, 21, 0, 'thumb_width', '_MI_TADNEWS_THUMB_WIDTH', '120', '_MI_TADNEWS_THUMB_WIDTH_DESC', 'text', 'int', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(358, 21, 0, 'pic_width', '_MI_TADNEWS_PIC_WIDTH', '550', '_MI_TADNEWS_PIC_WIDTH_DESC', 'text', 'int', 5);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(357, 21, 0, 'cate_pic_width', '_MI_TADNEWS_CATE_PIC_WIDTH', '100', '_MI_TADNEWS_CATE_PIC_WIDTH_DESC', 'text', 'int', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(355, 21, 0, 'cate_show_mode', '_MI_TADNEWS_CATE_SHOW_MODE', 'summary', '_MI_TADNEWS_CATE_SHOW_MODE_DESC', 'select', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(356, 21, 0, 'show_bbcode', '_MI_TADNEWS_SHOW_BB', '0', '_MI_TADNEWS_SHOW_BB_DESC', 'yesno', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(354, 21, 0, 'show_mode', '_MI_TADNEWS_SHOW_MODE', 'summary', '_MI_TADNEWS_SHOW_MODE_DESC', 'select', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(353, 21, 0, 'show_num', '_MI_TADNEWS_TITLE1', '10', '_MI_TADNEWS_DESC1', 'textbox', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(268, 22, 0, 'show_num', '_MI_TADLINK_SHOW_NUM', '10', '_MI_TADLINK_SHOW_NUM_DESC', 'textbox', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(269, 22, 0, 'pic_width', '_MI_TADLINK_PIC_WIDTH', '400', '_MI_TADLINK_PIC_WIDTH_DESC', 'textbox', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(270, 22, 0, 'direct_link', '_MI_TADLINK_DIRECT_LINK', '0', '_MI_TADLINK_DIRECT_LINK_DESC', 'yesno', 'int', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(271, 22, 0, 'facebook_comments_width', '_MI_FBCOMMENT_TITLE', '1', '_MI_FBCOMMENT_TITLE_DESC', 'yesno', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(272, 22, 0, 'use_social_tools', '_MI_SOCIALTOOLS_TITLE', '1', '_MI_SOCIALTOOLS_TITLE_DESC', 'yesno', 'int', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(332, 23, 0, 'show_mode', '_MI_SHOW_MODE', '', '_MI_SHOW_MODE_DESC', 'select', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(276, 24, 0, 'repair_status', '_MI_TADREPAIR_REPAIR_STATUS', '輕微;中等;嚴重', '_MI_TADREPAIR_REPAIR_STATUS_DESC', 'textbox', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(277, 24, 0, 'fixed_status', '_MI_TADREPAIR_FIXED_STATUS', '尚待處理;處理中;已修復', '_MI_TADREPAIR_FIXED_STATUS_DESC', 'textbox', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(345, 25, 0, 'os_charset', '_MI_TADEVALUA_OS_CHARSET', 'Auto', '_MI_TADEVALUA_OS_CHARSET_DESC', 'select', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(344, 25, 0, 'use_tab', '_MI_TADEVALUA_USE_TAB', '1', '_MI_TADEVALUA_USE_TAB_DESC', 'yesno', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(343, 25, 0, 'ignored', '_MI_TADEVALUA_IGNORED', 'Thumbs.db', '_MI_TADEVALUA_IGNORED_DESC', 'textarea', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(281, 26, 0, 'lunch_target', '_MI_TADLUNCH2_FOR_WHOM', '全校', '_MI_TADLUNCH2_FOR_WHOM_DESC', 'textbox', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(282, 26, 0, 'lunch_manager', '_MI_TADLUNCH2_MANAGER', 'a:1:{i:0;s:1:"1";}', '_MI_TADLUNCH2_MANAGER_DESC', 'user_multi', 'array', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(379, 27, 0, 'display_fast_setup', '_MI_TADDISCUS_DISPLAY_FAST_SETUP', '0', '_MI_TADDISCUS_DISPLAY_FAST_SETUP_DESC', 'yesno', 'int', 5);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(378, 27, 0, 'spam_keyword', '_MI_TADDISCUS_SPAM_KEYWORD', '交友,兼差,援交,叫妹,約茶,愛愛,好濕,胸圍,快速賺錢,網約,做愛,寫真,一夜情,約妹,叫小姐,身材,狂歡', '_MI_TADDISCUS_SPAM_KEYWORD_DESC', 'textarea', 'text', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(376, 27, 0, 'show_bubble_amount', '_MI_TADDISCUS_SHOW_BUBBLE_AMOUNT', '20', '_MI_TADDISCUS_SHOW_BUBBLE_AMOUNT_DESC', 'textbox', 'int', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(377, 27, 0, 'use_pda', '_MI_USE_PDA_TITLE', '1', '_MI_USE_PDA_TITLE_DESC', 'yesno', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(374, 27, 0, 'display_mode', '_MI_TADDISCUS_DISPLAY_MODE', 'bootstrap', '_MI_TADDISCUS_DISPLAY_MODE_DESC', 'select', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(375, 27, 0, 'show_discuss_amount', '_MI_TADDISCUS_SHOW_DISCUSS_AMOUNT', '20', '_MI_TADDISCUS_SHOW_DISCUSS_AMOUNT_DESC', 'textbox', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(382, 29, 0, 'module_title', '_MI_TADFAQ_MODULE_TITLE', '常見問題', '_MI_TADFAQ_MODULE_TITLE_DESC', 'textbox', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(392, 30, 0, 'facebook_comments_width', '_MI_FBCOMMENT_TITLE', '1', '_MI_FBCOMMENT_TITLE_DESC', 'yesno', 'int', 9);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(391, 30, 0, 'upload_mode', '_MI_TADGAL_UPLOAD_MODE', 'a:4:{i:0;s:7:"one_pic";i:1;s:16:"flash_batch_pics";i:2;s:15:"java_batch_pics";i:3;s:14:"zip_batch_pics";}', '_MI_TADGAL_UPLOAD_MODE_DESC', 'select_multi', 'array', 8);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(390, 30, 0, 'pic_toolbar', '_MI_TADGAL_USE_PIC_TOOLBAR', '1', '_MI_TADGAL_USE_PIC_TOOLBAR_DESC', 'yesno', 'int', 7);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(389, 30, 0, 'only_thumb', '_MI_TADGAL_ONLY_THUMB', '0', '_MI_TADGAL_ONLY_THUMB_DESC', 'yesno', 'int', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(388, 30, 0, 'show_copy_pic', '_MI_TADGAL_SHOW_COPY_PIC', '1', '_MI_TADGAL_SHOW_COPY_PIC_DESC', 'yesno', 'int', 5);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(386, 30, 0, 'thumbnail_b_width', '_MI_TADGAL_THUMBNAIL_B_WIDTH', '0', '_MI_TADGAL_THUMBNAIL_B_WIDTH_DESC', 'textbox', 'text', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(387, 30, 0, 'thumbnail_number', '_MI_TADGAL_THUMBNAIL_NUMBER', '30', '_MI_TADGAL_THUMBNAIL_NUMBER_DESC', 'textbox', 'text', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(385, 30, 0, 'thumbnail_m_width', '_MI_TADGAL_THUMBNAIL_M_WIDTH', '500', '_MI_TADGAL_THUMBNAIL_M_WIDTH_DESC', 'textbox', 'text', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(384, 30, 0, 'thumbnail_s_width', '_MI_TADGAL_THUMBNAIL_S_WIDTH', '140', '_MI_TADGAL_THUMBNAIL_S_WIDTH_DESC', 'textbox', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(383, 30, 0, 'index_mode', '_MI_TADGAL_INDEX_MODE', 'normal', '_MI_TADGAL_INDEX_MODE_DESC', 'select', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(305, 32, 0, 'web_mode', '_MI_TCW_WEB_MODE', 'class', '_MI_TCW_WEB_MODE_DESC', 'select', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(398, 33, 0, 'use_pda', '_MI_USE_PDA_TITLE', '1', '_MI_USE_PDA_TITLE_DESC', 'yesno', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(307, 34, 0, 'index_show_num', '_MI_TADPLAYER_SHOW_NUM', '10', '_MI_TADPLAYER_SHOW_NUM_DESC', 'textbox', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(308, 34, 0, 'display', '_MI_TADPLAYER_DISPLAY', 'bottom', '_MI_TADPLAYER_DISPLAY_DESC', 'select', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(309, 34, 0, 'display_max', '_MI_TADPLAYER_DISPLAY_MAX', '200', '_MI_TADPLAYER_DISPLAY_MAX_DESC', 'textbox', 'int', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(310, 34, 0, 'facebook_comments_width', '_MI_FBCOMMENT_TITLE', '1', '_MI_FBCOMMENT_TITLE_DESC', 'yesno', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(311, 34, 0, 'use_social_tools', '_MI_SOCIALTOOLS_TITLE', '1', '_MI_SOCIALTOOLS_TITLE_DESC', 'yesno', 'int', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(312, 34, 0, 'use_pda', '_MI_USE_PDA_TITLE', '1', '_MI_USE_PDA_TITLE_DESC', 'yesno', 'int', 5);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(313, 34, 0, 'use_star_rating', '_MI_STAR_RATING_TITLE', '1', '_MI_STAR_RATING_DESC', 'yesno', 'int', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(314, 34, 0, 'com_rule', '_CM_COMRULES', '1', '', 'select', 'int', 7);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(315, 34, 0, 'com_anonpost', '_CM_COMANONPOST', '0', '', 'yesno', 'int', 8);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(351, 35, 0, 'facebook_comments_width', '_MI_FBCOMMENT_TITLE', '1', '_MI_FBCOMMENT_TITLE_DESC', 'yesno', 'int', 5);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(350, 35, 0, 'sync_conut', '_MI_TADCAL_SYNC_CONUT', '100', '_MI_TADCAL_SYNC_CONUT_DESC', 'textbox', 'int', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(349, 35, 0, 'quick_add', '_MI_TADCAL_QUICK_ADD', '1', '_MI_TADCAL_QUICK_ADD_DESC', 'yesno', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(348, 35, 0, 'title_num', '_MI_TADCAL_TITLE_NUM', '7', '_MI_TADCAL_TITLE_NUM_DESC', 'textbox', 'int', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(347, 35, 0, 'eventTheme', '_MI_TADCAL_EVENTTHEME', 'ui-tooltip-blue', '_MI_TADCAL_EVENTTHEME_DESC', 'select', 'text', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(346, 35, 0, 'eventShowMode', '_MI_TADCAL_EVENTSHOWMODE', 'eventClick', '_MI_TADCAL_EVENTSHOWMODE_DESC', 'select', 'text', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(323, 36, 0, 'facebook_comments_width', '_MI_FBCOMMENT_TITLE', '1', '_MI_FBCOMMENT_TITLE_DESC', 'yesno', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(324, 36, 0, 'use_pda', '_MI_USE_PDA_TITLE', '1', '_MI_USE_PDA_TITLE_DESC', 'yesno', 'int', 1);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(325, 36, 0, 'use_social_tools', '_MI_SOCIALTOOLS_TITLE', '1', '_MI_SOCIALTOOLS_TITLE_DESC', 'yesno', 'int', 2);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(326, 36, 0, 'com_rule', '_CM_COMRULES', '1', '', 'select', 'int', 3);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(327, 36, 0, 'com_anonpost', '_CM_COMANONPOST', '0', '', 'yesno', 'int', 4);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(331, 23, 0, 'only_show_desc', '_MI_ONLY_SHOW_DESC', '1', '_MI_ONLY_SHOW_DESC_DESC', 'yesno', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(397, 33, 0, 'show_num', '_MI_TADRSS_SHOW_NUM', '10', '_MI_TADRSS_SHOW_NUM_DESC', 'textbox', 'int', 0);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(352, 35, 0, 'use_social_tools', '_MI_SOCIALTOOLS_TITLE', '1', '_MI_SOCIALTOOLS_TITLE_DESC', 'yesno', 'int', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(371, 21, 0, 'editor', '_MI_TADNEWS_EDITOR', 'ckeditor', '_MI_TADNEWS_EDITOR_DESC', 'select', 'text', 18);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(372, 21, 0, 'com_rule', '_CM_COMRULES', '1', '', 'select', 'int', 19);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(373, 21, 0, 'com_anonpost', '_CM_COMANONPOST', '0', '', 'yesno', 'int', 20);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(380, 27, 0, 'notification_enabled', '_NOT_CONFIG_ENABLE', '3', '_NOT_CONFIG_ENABLEDSC', 'select', 'int', 6);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(381, 27, 0, 'notification_events', '_NOT_CONFIG_EVENTS', 'a:3:{i:0;s:18:"global-new_discuss";i:1;s:23:"board-new_board_discuss";i:2;s:14:"board-bookmark";}', '_NOT_CONFIG_EVENTSDSC', 'select_multi', 'array', 7);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(393, 30, 0, 'use_pda', '_MI_USE_PDA_TITLE', '1', '_MI_USE_PDA_TITLE_DESC', 'yesno', 'int', 10);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(394, 30, 0, 'use_social_tools', '_MI_SOCIALTOOLS_TITLE', '1', '_MI_SOCIALTOOLS_TITLE_DESC', 'yesno', 'int', 11);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(395, 30, 0, 'com_rule', '_CM_COMRULES', '1', '', 'select', 'int', 12);
INSERT INTO `xx_config` (`conf_id`, `conf_modid`, `conf_catid`, `conf_name`, `conf_title`, `conf_value`, `conf_desc`, `conf_formtype`, `conf_valuetype`, `conf_order`) VALUES(396, 30, 0, 'com_anonpost', '_CM_COMANONPOST', '0', '', 'yesno', 'int', 13);

DROP TABLE IF EXISTS `xx_configcategory`;
CREATE TABLE `xx_configcategory` (
  `confcat_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `confcat_name` varchar(255) NOT NULL DEFAULT '',
  `confcat_order` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`confcat_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `xx_configcategory` (`confcat_id`, `confcat_name`, `confcat_order`) VALUES(1, '_MD_AM_GENERAL', 0);
INSERT INTO `xx_configcategory` (`confcat_id`, `confcat_name`, `confcat_order`) VALUES(2, '_MD_AM_USERSETTINGS', 0);
INSERT INTO `xx_configcategory` (`confcat_id`, `confcat_name`, `confcat_order`) VALUES(3, '_MD_AM_METAFOOTER', 0);
INSERT INTO `xx_configcategory` (`confcat_id`, `confcat_name`, `confcat_order`) VALUES(4, '_MD_AM_CENSOR', 0);
INSERT INTO `xx_configcategory` (`confcat_id`, `confcat_name`, `confcat_order`) VALUES(5, '_MD_AM_SEARCH', 0);
INSERT INTO `xx_configcategory` (`confcat_id`, `confcat_name`, `confcat_order`) VALUES(6, '_MD_AM_MAILER', 0);
INSERT INTO `xx_configcategory` (`confcat_id`, `confcat_name`, `confcat_order`) VALUES(7, '_MD_AM_AUTHENTICATION', 0);

DROP TABLE IF EXISTS `xx_configoption`;
CREATE TABLE `xx_configoption` (
  `confop_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `confop_name` varchar(255) NOT NULL DEFAULT '',
  `confop_value` varchar(255) NOT NULL DEFAULT '',
  `conf_id` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`confop_id`),
  KEY `conf_id` (`conf_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=247 ;

INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(1, '_MD_AM_DEBUGMODE1', '1', 13);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(2, '_MD_AM_DEBUGMODE2', '2', 13);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(3, '_NESTED', 'nest', 32);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(4, '_FLAT', 'flat', 32);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(5, '_THREADED', 'thread', 32);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(6, '_OLDESTFIRST', '0', 33);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(7, '_NEWESTFIRST', '1', 33);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(8, '_MD_AM_USERACTV', '0', 21);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(9, '_MD_AM_AUTOACTV', '1', 21);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(10, '_MD_AM_ADMINACTV', '2', 21);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(11, '_MD_AM_STRICT', '0', 23);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(12, '_MD_AM_MEDIUM', '1', 23);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(13, '_MD_AM_LIGHT', '2', 23);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(14, '_MD_AM_DEBUGMODE3', '3', 13);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(15, '_MD_AM_INDEXFOLLOW', 'index,follow', 43);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(16, '_MD_AM_NOINDEXFOLLOW', 'noindex,follow', 43);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(17, '_MD_AM_INDEXNOFOLLOW', 'index,nofollow', 43);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(18, '_MD_AM_NOINDEXNOFOLLOW', 'noindex,nofollow', 43);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(19, '_MD_AM_METAOGEN', 'general', 48);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(20, '_MD_AM_METAO14YRS', '14 years', 48);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(21, '_MD_AM_METAOREST', 'restricted', 48);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(22, '_MD_AM_METAOMAT', 'mature', 48);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(23, '_MD_AM_DEBUGMODE0', '0', 13);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(24, 'PHP mail()', 'mail', 64);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(25, 'sendmail', 'sendmail', 64);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(26, 'SMTP', 'smtp', 64);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(27, 'SMTPAuth', 'smtpauth', 64);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(28, '_MD_AM_AUTH_CONFOPTION_XOOPS', 'xoops', 74);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(29, '_MD_AM_AUTH_CONFOPTION_LDAP', 'ldap', 74);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(30, '_MD_AM_AUTH_CONFOPTION_AD', 'ads', 74);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(31, '_NO', '0', 95);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(32, '_MD_AM_WELCOMETYPE_EMAIL', '1', 95);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(33, '_MD_AM_WELCOMETYPE_PM', '2', 95);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(34, '_MD_AM_WELCOMETYPE_BOTH', '3', 95);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(35, 'dhtmltextarea', 'dhtmltextarea', 126);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(36, 'textarea', 'textarea', 126);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(37, 'tinymce', 'tinymce', 126);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(38, 'dhtmltextarea', 'dhtmltextarea', 127);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(39, 'textarea', 'textarea', 127);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(40, 'tinymce', 'tinymce', 127);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(41, 'dhtmltextarea', 'dhtmltextarea', 128);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(42, 'textarea', 'textarea', 128);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(43, 'tinymce', 'tinymce', 128);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(44, 'default', 'default', 98);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(45, 'default', 'default', 99);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(46, 'base', 'base', 133);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(47, 'cupertino', 'cupertino', 133);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(48, 'redmond', 'redmond', 133);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(49, 'smoothness', 'smoothness', 133);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(50, 'south-street', 'south-street', 133);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(51, 'ui-darkness', 'ui-darkness', 133);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(52, 'ui-lightness', 'ui-lightness', 133);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(191, '關閉 jquery 功能（需自己手動加至佈景，記得也要加入 jquery ui）', 'none', 339);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(190, '使用 TadTools 內建的 jquery（或許會和其他非Tad系列模組相衝突）', 'local', 339);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(189, '使用 Google 的 jquery API（推薦，最能避免衝突）', 'google', 339);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(196, '台南市教育局OpenID', 'tn_openid', 342);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(195, 'MyID.tw', 'myid', 342);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(194, 'Yahoo', 'yahoo', 342);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(193, 'Google', 'google', 342);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(192, 'Facebook', 'facebook', 342);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(215, 'elRTE', 'elrte', 371);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(214, 'CKEditor', 'ckeditor', 371);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(213, '_MI_TADNEWS_SHOW_MODE_OPT2', 'list', 355);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(212, '_MI_TADNEWS_SHOW_MODE_OPT1', 'summary', 355);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(211, '_MI_TADNEWS_SHOW_MODE_OPT3', 'cate', 354);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(210, '_MI_TADNEWS_SHOW_MODE_OPT2', 'list', 354);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(209, '_MI_TADNEWS_SHOW_MODE_OPT1', 'summary', 354);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(200, 'Big5', 'Big5', 345);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(199, 'UTF-8', 'UTF-8', 345);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(198, 'Auto', 'Auto', 345);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(231, '全局通知 : 有新討論就通知我', 'global-new_discuss', 381);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(230, '_NOT_CONFIG_ENABLEBOTH', '3', 380);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(229, '_NOT_CONFIG_ENABLEINLINE', '2', 380);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(228, '_NOT_CONFIG_ENABLEBLOCK', '1', 380);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(227, '_NOT_CONFIG_DISABLE', '0', 380);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(226, 'BootStrap風格（預設）', 'bootstrap', 374);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(225, '清爽風格', 'clean', 374);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(224, 'Mobile01風格', 'mobile', 374);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(223, '頭像在下對話模式', 'bottom', 374);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(221, '頭像在左對話模式', 'left', 374);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(222, '頭像在上對話模式', 'top', 374);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(220, '左右對話模式', 'default', 374);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(241, '壓縮上傳', 'zip_batch_pics', 391);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(240, '大量上傳', 'java_batch_pics', 391);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(239, 'Flash多張上傳', 'flash_batch_pics', 391);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(238, '多張上傳', 'batch_pics', 391);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(237, '單張上傳', 'one_pic', 391);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(236, '瀑布流呈現模式', 'waterfall', 383);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(235, 'Flickr 等高模式', 'flickr', 383);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(234, '一般縮圖模式', 'normal', 383);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(165, '_MI_TCW_WEB_MODE_OPT1', 'class', 305);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(166, '_MI_TCW_WEB_MODE_OPT2', 'person', 305);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(167, '_MI_TADPLAYER_DISPLAY_BOTTOM', 'bottom', 308);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(168, '_MI_TADPLAYER_DISPLAY_RIGHT', 'right', 308);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(169, '_CM_COMNOCOM', '0', 314);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(170, '_CM_COMAPPROVEALL', '1', 314);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(171, '_CM_COMAPPROVEUSER', '2', 314);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(172, '_CM_COMAPPROVEADMIN', '3', 314);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(206, '夕陽紅', 'ui-tooltip-red', 347);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(205, '夜半黑', 'ui-tooltip-dark', 347);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(204, '破曉白', 'ui-tooltip-light', 347);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(203, '太陽黃', 'ui-tooltip', 347);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(202, '滑鼠移過時自動顯示事件', 'eventMouseover', 346);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(201, '點選事件時', 'eventClick', 346);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(181, '_CM_COMNOCOM', '0', 326);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(182, '_CM_COMAPPROVEALL', '1', 326);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(183, '_CM_COMAPPROVEUSER', '2', 326);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(184, '_CM_COMAPPROVEADMIN', '3', 326);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(187, '詳細列表', 'more', 332);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(188, '圖示', 'icon', 332);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(197, '嘉義縣教育處OpenID', 'cyc', 342);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(207, '天空藍', 'ui-tooltip-blue', 347);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(208, '青草綠', 'ui-tooltip-green', 347);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(216, '_CM_COMNOCOM', '0', 372);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(217, '_CM_COMAPPROVEALL', '1', 372);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(218, '_CM_COMAPPROVEUSER', '2', 372);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(219, '_CM_COMAPPROVEADMIN', '3', 372);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(232, '討論區通知 : 該討論區有新討論就通知我', 'board-new_board_discuss', 381);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(233, '討論區通知 : 書籤', 'board-bookmark', 381);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(242, 'XP 上傳精靈', 'upload_xp_pics', 391);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(243, '_CM_COMNOCOM', '0', 395);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(244, '_CM_COMAPPROVEALL', '1', 395);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(245, '_CM_COMAPPROVEUSER', '2', 395);
INSERT INTO `xx_configoption` (`confop_id`, `confop_name`, `confop_value`, `conf_id`) VALUES(246, '_CM_COMAPPROVEADMIN', '3', 395);

DROP TABLE IF EXISTS `xx_groups`;
CREATE TABLE `xx_groups` (
  `groupid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL DEFAULT '',
  `description` text,
  `group_type` varchar(10) NOT NULL DEFAULT '',
  PRIMARY KEY (`groupid`),
  KEY `group_type` (`group_type`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(1, '管理員', '管理員群組', 'Admin');
INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(2, '註冊會員', '註冊會員群組', 'User');
INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(3, '訪客', '訪客群組', 'Anonymous');
INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(4, '校內教職員', '', '');
INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(5, '教務', '', '');
INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(6, '訓導', '', '');
INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(7, '總務', '', '');
INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(8, '輔導', '', '');
INSERT INTO `xx_groups` (`groupid`, `name`, `description`, `group_type`) VALUES(9, 'XOOPS個人網頁群組', '請勿修改群組名稱，否則會造成模組運作不正確。', '');

DROP TABLE IF EXISTS `xx_groups_users_link`;
CREATE TABLE `xx_groups_users_link` (
  `linkid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `groupid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`linkid`),
  KEY `groupid_uid` (`groupid`,`uid`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

INSERT INTO `xx_groups_users_link` (`linkid`, `groupid`, `uid`) VALUES(4, 2, 1);
INSERT INTO `xx_groups_users_link` (`linkid`, `groupid`, `uid`) VALUES(3, 1, 1);

DROP TABLE IF EXISTS `xx_group_permission`;
CREATE TABLE `xx_group_permission` (
  `gperm_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gperm_groupid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `gperm_itemid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `gperm_modid` mediumint(5) unsigned NOT NULL DEFAULT '0',
  `gperm_name` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`gperm_id`),
  KEY `groupid` (`gperm_groupid`),
  KEY `itemid` (`gperm_itemid`),
  KEY `gperm_modid` (`gperm_modid`,`gperm_name`(10))
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=638 ;

INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(1, 1, 1, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(2, 1, 1, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(3, 2, 1, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(4, 3, 1, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(5, 1, 1, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(6, 1, 2, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(7, 1, 3, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(8, 1, 4, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(9, 1, 5, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(10, 1, 6, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(11, 1, 7, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(12, 1, 8, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(13, 1, 9, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(14, 1, 10, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(15, 1, 11, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(16, 1, 12, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(17, 1, 13, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(18, 1, 14, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(19, 1, 15, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(20, 1, 16, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(21, 1, 17, 1, 'system_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(22, 1, 1, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(23, 2, 1, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(24, 3, 1, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(25, 1, 2, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(26, 2, 2, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(27, 3, 2, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(28, 1, 3, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(29, 2, 3, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(30, 3, 3, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(31, 1, 4, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(32, 2, 4, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(33, 3, 4, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(34, 1, 5, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(35, 2, 5, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(36, 3, 5, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(37, 1, 6, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(38, 2, 6, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(39, 3, 6, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(40, 1, 7, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(41, 2, 7, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(42, 3, 7, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(43, 1, 8, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(44, 2, 8, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(45, 3, 8, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(46, 1, 9, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(47, 2, 9, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(48, 3, 9, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(49, 1, 10, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(50, 2, 10, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(51, 3, 10, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(52, 1, 11, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(53, 2, 11, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(54, 3, 11, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(55, 1, 12, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(62, 1, 3, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(63, 1, 3, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(64, 1, 13, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(65, 1, 4, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(66, 1, 4, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(67, 1, 14, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(80, 3, 18, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(79, 1, 18, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(70, 1, 15, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(71, 2, 15, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(72, 3, 15, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(73, 1, 16, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(74, 2, 16, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(75, 3, 16, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(76, 1, 17, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(81, 1, 19, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(82, 1, 5, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(83, 1, 5, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(84, 1, 20, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(85, 2, 5, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(87, 3, 5, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(251, 1, 17, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(221, 3, 19, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(220, 2, 19, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(222, 1, 14, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(223, 1, 14, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(224, 1, 54, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(225, 1, 55, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(226, 2, 14, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(227, 2, 54, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(228, 2, 55, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(229, 3, 14, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(230, 3, 54, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(231, 3, 55, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(232, 4, 1, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(233, 5, 1, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(234, 6, 1, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(235, 7, 1, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(236, 8, 1, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(237, 1, 15, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(238, 1, 15, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(239, 1, 56, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(240, 2, 15, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(241, 2, 56, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(242, 3, 15, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(243, 3, 56, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(244, 1, 16, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(245, 1, 16, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(246, 1, 57, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(247, 2, 16, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(248, 2, 57, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(249, 3, 16, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(250, 3, 57, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(252, 1, 17, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(253, 1, 58, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(254, 1, 18, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(255, 1, 18, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(256, 2, 18, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(257, 3, 18, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(258, 1, 19, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(259, 1, 19, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(260, 2, 19, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(261, 3, 19, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(262, 1, 1, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(263, 2, 1, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(264, 1, 1, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(265, 2, 1, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(266, 1, 2, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(267, 2, 2, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(268, 1, 2, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(269, 2, 2, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(270, 1, 3, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(271, 2, 3, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(272, 1, 3, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(273, 2, 3, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(274, 1, 4, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(275, 2, 4, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(276, 1, 4, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(277, 2, 4, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(278, 1, 5, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(279, 2, 5, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(280, 1, 5, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(281, 2, 5, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(282, 1, 6, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(283, 2, 6, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(284, 1, 6, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(285, 2, 6, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(286, 1, 7, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(287, 2, 7, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(288, 1, 8, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(289, 2, 8, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(290, 1, 8, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(291, 2, 8, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(292, 1, 9, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(293, 2, 9, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(294, 1, 9, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(295, 2, 9, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(296, 1, 10, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(297, 2, 10, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(298, 1, 10, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(299, 2, 10, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(300, 1, 11, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(301, 2, 11, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(302, 1, 11, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(303, 2, 11, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(304, 1, 12, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(305, 2, 12, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(306, 1, 12, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(307, 2, 12, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(308, 1, 13, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(309, 2, 13, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(310, 1, 13, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(311, 2, 13, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(312, 1, 14, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(313, 2, 14, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(314, 1, 14, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(315, 2, 14, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(316, 1, 15, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(317, 2, 15, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(318, 1, 15, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(319, 2, 15, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(320, 1, 16, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(321, 2, 16, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(322, 1, 16, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(323, 2, 16, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(324, 1, 17, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(325, 2, 17, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(326, 1, 17, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(327, 2, 17, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(328, 1, 18, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(329, 2, 18, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(330, 1, 18, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(331, 2, 18, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(332, 1, 19, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(333, 2, 19, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(334, 1, 19, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(335, 2, 19, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(336, 1, 20, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(337, 2, 20, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(338, 1, 20, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(339, 2, 20, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(340, 1, 21, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(341, 2, 21, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(342, 1, 22, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(343, 1, 22, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(344, 2, 22, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(345, 1, 23, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(346, 2, 23, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(347, 1, 24, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(348, 2, 24, 19, 'profile_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(349, 1, 24, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(350, 2, 24, 19, 'profile_search');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(351, 1, 1, 19, 'profile_access');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(352, 1, 2, 19, 'profile_access');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(353, 2, 2, 19, 'profile_access');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(354, 3, 2, 19, 'profile_access');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(355, 1, 20, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(356, 1, 20, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(357, 1, 59, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(358, 1, 21, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(359, 1, 21, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(360, 1, 60, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(361, 1, 61, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(362, 1, 62, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(363, 1, 63, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(364, 1, 64, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(365, 1, 65, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(366, 1, 66, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(367, 1, 67, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(368, 1, 68, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(369, 1, 69, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(370, 1, 70, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(371, 1, 71, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(372, 1, 72, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(373, 1, 73, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(374, 2, 21, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(375, 2, 60, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(376, 2, 61, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(377, 2, 62, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(378, 2, 63, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(379, 2, 64, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(380, 2, 65, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(381, 2, 66, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(382, 2, 67, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(383, 2, 68, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(384, 2, 69, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(385, 2, 70, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(386, 2, 71, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(387, 2, 72, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(388, 2, 73, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(389, 3, 21, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(390, 3, 60, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(391, 3, 61, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(392, 3, 62, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(393, 3, 63, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(394, 3, 64, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(395, 3, 65, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(396, 3, 66, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(397, 3, 67, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(398, 3, 68, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(399, 3, 69, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(400, 3, 70, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(401, 3, 71, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(402, 3, 72, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(403, 3, 73, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(404, 1, 22, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(405, 1, 22, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(406, 1, 74, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(407, 1, 75, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(408, 2, 22, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(409, 2, 74, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(410, 2, 75, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(411, 3, 22, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(412, 3, 74, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(413, 3, 75, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(414, 1, 23, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(415, 1, 23, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(416, 1, 76, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(417, 2, 23, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(418, 2, 76, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(419, 3, 23, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(420, 3, 76, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(421, 1, 24, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(422, 1, 24, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(423, 1, 77, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(424, 2, 24, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(425, 2, 77, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(426, 3, 24, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(427, 3, 77, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(428, 1, 25, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(429, 1, 25, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(430, 1, 78, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(431, 2, 25, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(432, 2, 78, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(433, 3, 25, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(434, 3, 78, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(435, 1, 26, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(436, 1, 26, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(437, 1, 79, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(438, 2, 26, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(439, 2, 79, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(440, 3, 26, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(441, 3, 79, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(442, 1, 27, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(443, 1, 27, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(444, 1, 80, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(445, 1, 81, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(446, 1, 82, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(447, 2, 27, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(448, 2, 80, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(449, 2, 81, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(620, 3, 1, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(451, 3, 27, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(452, 3, 80, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(453, 3, 81, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(613, 4, 82, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(455, 1, 28, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(456, 1, 28, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(457, 1, 83, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(458, 1, 84, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(459, 2, 28, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(460, 2, 83, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(461, 2, 84, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(462, 3, 28, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(463, 3, 83, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(464, 3, 84, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(465, 1, 29, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(466, 1, 29, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(467, 1, 85, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(468, 2, 29, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(469, 2, 85, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(470, 3, 29, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(471, 3, 85, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(472, 1, 30, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(473, 1, 30, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(474, 1, 86, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(475, 1, 87, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(476, 1, 88, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(477, 1, 89, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(478, 1, 90, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(479, 1, 91, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(480, 1, 92, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(481, 1, 93, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(482, 1, 94, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(483, 1, 95, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(484, 2, 30, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(485, 2, 86, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(486, 2, 87, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(487, 2, 88, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(488, 2, 89, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(489, 2, 90, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(490, 2, 91, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(491, 2, 92, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(492, 2, 93, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(493, 2, 94, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(494, 2, 95, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(495, 3, 30, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(496, 3, 86, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(497, 3, 87, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(498, 3, 88, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(499, 3, 89, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(500, 3, 90, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(501, 3, 91, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(502, 3, 92, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(503, 3, 93, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(504, 3, 94, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(505, 3, 95, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(506, 1, 31, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(507, 1, 31, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(508, 1, 96, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(509, 1, 32, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(510, 1, 32, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(511, 1, 97, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(512, 1, 98, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(513, 1, 99, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(514, 2, 32, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(515, 2, 97, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(516, 2, 98, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(517, 2, 99, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(518, 3, 32, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(519, 3, 97, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(520, 3, 98, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(521, 3, 99, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(522, 1, 33, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(523, 1, 33, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(524, 1, 100, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(525, 2, 33, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(526, 2, 100, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(527, 3, 33, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(528, 3, 100, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(529, 1, 34, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(530, 1, 34, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(531, 1, 101, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(532, 1, 102, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(533, 1, 103, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(534, 1, 104, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(535, 1, 105, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(536, 2, 34, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(537, 2, 101, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(538, 2, 102, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(539, 2, 103, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(540, 2, 104, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(541, 2, 105, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(542, 3, 34, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(543, 3, 101, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(544, 3, 102, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(545, 3, 103, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(546, 3, 104, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(547, 3, 105, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(548, 1, 35, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(549, 1, 35, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(550, 1, 106, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(551, 1, 107, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(552, 2, 35, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(553, 2, 106, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(554, 2, 107, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(555, 3, 35, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(556, 3, 106, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(557, 3, 107, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(558, 1, 36, 1, 'module_admin');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(559, 1, 36, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(560, 1, 108, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(561, 1, 109, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(562, 1, 110, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(563, 1, 111, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(564, 1, 112, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(565, 2, 36, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(566, 2, 108, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(567, 2, 109, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(568, 2, 110, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(569, 2, 111, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(570, 2, 112, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(571, 3, 36, 1, 'module_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(572, 3, 108, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(573, 3, 109, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(574, 3, 110, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(575, 3, 111, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(576, 3, 112, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(577, 1, 1, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(578, 2, 1, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(579, 3, 1, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(580, 1, 1, 23, 'catalog_up');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(581, 5, 1, 23, 'catalog_up');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(582, 1, 2, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(583, 2, 2, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(584, 3, 2, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(585, 1, 2, 23, 'catalog_up');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(586, 6, 2, 23, 'catalog_up');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(587, 1, 3, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(588, 2, 3, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(589, 3, 3, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(590, 1, 3, 23, 'catalog_up');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(591, 7, 3, 23, 'catalog_up');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(592, 1, 4, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(593, 2, 4, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(594, 3, 4, 23, 'catalog');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(595, 1, 4, 23, 'catalog_up');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(596, 8, 4, 23, 'catalog_up');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(597, 1, 1, 27, 'forum_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(598, 2, 1, 27, 'forum_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(599, 4, 1, 27, 'forum_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(600, 1, 1, 27, 'forum_post');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(601, 2, 1, 27, 'forum_post');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(602, 4, 1, 27, 'forum_post');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(603, 1, 113, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(604, 2, 113, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(605, 3, 113, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(606, 2, 58, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(607, 3, 58, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(608, 2, 59, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(609, 3, 59, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(610, 1, 114, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(611, 2, 114, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(612, 3, 114, 1, 'block_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(619, 2, 1, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(618, 1, 1, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(621, 1, 1, 29, 'faq_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(622, 5, 1, 29, 'faq_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(623, 1, 2, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(624, 2, 2, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(625, 3, 2, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(626, 1, 2, 29, 'faq_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(627, 6, 2, 29, 'faq_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(628, 1, 3, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(629, 2, 3, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(630, 3, 3, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(631, 1, 3, 29, 'faq_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(632, 7, 3, 29, 'faq_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(633, 1, 4, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(634, 2, 4, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(635, 3, 4, 29, 'faq_read');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(636, 1, 4, 29, 'faq_edit');
INSERT INTO `xx_group_permission` (`gperm_id`, `gperm_groupid`, `gperm_itemid`, `gperm_modid`, `gperm_name`) VALUES(637, 8, 4, 29, 'faq_edit');

DROP TABLE IF EXISTS `xx_image`;
CREATE TABLE `xx_image` (
  `image_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `image_name` varchar(30) NOT NULL DEFAULT '',
  `image_nicename` varchar(255) NOT NULL DEFAULT '',
  `image_mimetype` varchar(30) NOT NULL DEFAULT '',
  `image_created` int(10) unsigned NOT NULL DEFAULT '0',
  `image_display` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `image_weight` smallint(5) unsigned NOT NULL DEFAULT '0',
  `imgcat_id` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`image_id`),
  KEY `imgcat_id` (`imgcat_id`),
  KEY `image_display` (`image_display`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_imagebody`;
CREATE TABLE `xx_imagebody` (
  `image_id` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `image_body` mediumblob,
  KEY `image_id` (`image_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_imagecategory`;
CREATE TABLE `xx_imagecategory` (
  `imgcat_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `imgcat_name` varchar(100) NOT NULL DEFAULT '',
  `imgcat_maxsize` int(8) unsigned NOT NULL DEFAULT '0',
  `imgcat_maxwidth` smallint(3) unsigned NOT NULL DEFAULT '0',
  `imgcat_maxheight` smallint(3) unsigned NOT NULL DEFAULT '0',
  `imgcat_display` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `imgcat_weight` smallint(3) unsigned NOT NULL DEFAULT '0',
  `imgcat_type` char(1) NOT NULL DEFAULT '',
  `imgcat_storetype` varchar(5) NOT NULL DEFAULT '',
  PRIMARY KEY (`imgcat_id`),
  KEY `imgcat_display` (`imgcat_display`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_imgset`;
CREATE TABLE `xx_imgset` (
  `imgset_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `imgset_name` varchar(50) NOT NULL DEFAULT '',
  `imgset_refid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`imgset_id`),
  KEY `imgset_refid` (`imgset_refid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_imgset` (`imgset_id`, `imgset_name`, `imgset_refid`) VALUES(1, 'default', 0);

DROP TABLE IF EXISTS `xx_imgsetimg`;
CREATE TABLE `xx_imgsetimg` (
  `imgsetimg_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `imgsetimg_file` varchar(50) NOT NULL DEFAULT '',
  `imgsetimg_body` blob,
  `imgsetimg_imgset` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`imgsetimg_id`),
  KEY `imgsetimg_imgset` (`imgsetimg_imgset`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_imgset_tplset_link`;
CREATE TABLE `xx_imgset_tplset_link` (
  `imgset_id` smallint(5) unsigned NOT NULL DEFAULT '0',
  `tplset_name` varchar(50) NOT NULL DEFAULT '',
  KEY `tplset_name` (`tplset_name`(10))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_imgset_tplset_link` (`imgset_id`, `tplset_name`) VALUES(1, 'default');

DROP TABLE IF EXISTS `xx_logcounterx_cfg`;
CREATE TABLE `xx_logcounterx_cfg` (
  `recid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cfgname` varchar(32) NOT NULL DEFAULT '',
  `cfgvalue` varchar(254) NOT NULL DEFAULT '',
  PRIMARY KEY (`recid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=38 ;

INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(1, 'IGNORE_HOST', '127.0.0.1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(2, 'IGNORE_REFERER', 'Irregular Expression');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(3, 'REP_R2', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(4, 'REP_QW', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(5, 'REP_OS', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(6, 'REP_BR', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(7, 'REP_RC', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(8, 'REP_DR', '2');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(9, 'REP_WD', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(10, 'REP_TM', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(11, 'REP_UN', '2');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(12, 'REP_HN', '2');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(13, 'REP_RF', '2');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(14, 'REP_PI', '3');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(15, 'REP_LINK', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(16, 'REP_ROBOT', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(17, 'REP_ROWLIMIT_ADM', '50');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(18, 'REP_ROWLIMIT_USR', '30');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(19, 'REP_ROWLIMIT', '30');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(20, 'SHOW_DAY', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(21, 'SHOW_YESTERDAY', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(22, 'SHOW_WEEK', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(23, 'SHOW_MONTH', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(24, 'SHOW_AVE', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(25, 'IP_INTERVAL', '600');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(26, 'LOG_LIMIT', '3000');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(27, 'TIME_OFFSET', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(28, 'USE_GET_HOST', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(29, 'NO_ROBOT_COUNT', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(30, 'NO_HOST_COUNT', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(31, 'USE_IMGORCHR', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(32, 'USE_CHR_STYLE', '');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(33, 'COUNT_BLOCK_SETUP', '0');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(34, 'LAST_REPORT_RECID', '');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(35, 'USER_COOKIE', '1');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(36, 'MAX_WIDTH', '240');
INSERT INTO `xx_logcounterx_cfg` (`recid`, `cfgname`, `cfgvalue`) VALUES(37, 'IMG_DIR', '');

DROP TABLE IF EXISTS `xx_logcounterx_count`;
CREATE TABLE `xx_logcounterx_count` (
  `ymd` date NOT NULL,
  `cnt` int(10) unsigned NOT NULL DEFAULT '0',
  `robot` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`ymd`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_logcounterx_hours`;
CREATE TABLE `xx_logcounterx_hours` (
  `hour` char(2) NOT NULL,
  `cnt` int(10) unsigned NOT NULL DEFAULT '0',
  `robot` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`hour`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_logcounterx_ip`;
CREATE TABLE `xx_logcounterx_ip` (
  `accip` varchar(255) NOT NULL,
  `acctime` int(10) unsigned NOT NULL,
  PRIMARY KEY (`accip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_logcounterx_log`;
CREATE TABLE `xx_logcounterx_log` (
  `recid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `igflag` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `user_agent` varchar(150) NOT NULL DEFAULT '',
  `remote_host` varchar(150) NOT NULL DEFAULT '',
  `rh_short` varchar(150) NOT NULL DEFAULT '',
  `path_info` varchar(80) NOT NULL DEFAULT '',
  `referer` varchar(254) NOT NULL DEFAULT '',
  `ref_short` varchar(150) NOT NULL DEFAULT '',
  `ref_query` varchar(150) NOT NULL DEFAULT '',
  `acccnt` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `uname` varchar(25) DEFAULT NULL,
  `agent` varchar(20) DEFAULT NULL,
  `os` varchar(20) DEFAULT NULL,
  `qword` varchar(254) DEFAULT NULL,
  `accday` date NOT NULL,
  `acctime` time NOT NULL,
  `accwday` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`recid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_modules`;
CREATE TABLE `xx_modules` (
  `mid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(150) NOT NULL DEFAULT '',
  `version` smallint(5) unsigned NOT NULL DEFAULT '100',
  `last_update` int(10) unsigned NOT NULL DEFAULT '0',
  `weight` smallint(3) unsigned NOT NULL DEFAULT '0',
  `isactive` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dirname` varchar(25) NOT NULL DEFAULT '',
  `hasmain` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hasadmin` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hassearch` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hasconfig` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hascomments` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `hasnotification` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`mid`),
  KEY `hasmain` (`hasmain`),
  KEY `hasadmin` (`hasadmin`),
  KEY `hassearch` (`hassearch`),
  KEY `hasnotification` (`hasnotification`),
  KEY `dirname` (`dirname`),
  KEY `name` (`name`(15)),
  KEY `isactive` (`isactive`),
  KEY `weight` (`weight`),
  KEY `hascomments` (`hascomments`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=37 ;

INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(1, '系統管理', 210, 1341588017, 0, 1, 'system', 0, 1, 0, 0, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(3, '佈景管理', 240, 1390312305, 1, 1, 'tad_themes', 0, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(4, 'Tad Tools 工具包', 206, 1390312099, 1, 1, 'tadtools', 0, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(5, '站長工具箱', 150, 1389593268, 0, 1, 'tad_adm', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(14, '網站計數器', 274, 1389257661, 0, 1, 'logcounterx', 1, 1, 0, 0, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(15, '學學成語', 110, 1389343293, 0, 1, 'tad_idioms', 1, 1, 0, 0, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(16, '快速登入', 230, 1390312109, 0, 1, 'tad_login', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(17, '我的標籤', 220, 1389060112, 1, 1, 'mytabs', 0, 1, 0, 0, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(18, '私人簡訊', 109, 1389097629, 0, 1, 'pm', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(19, '用戶管理', 185, 1389097632, 0, 1, 'profile', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(20, '隨機小語', 210, 1389060158, 1, 1, 'randomquote', 0, 1, 0, 0, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(21, '本校消息', 310, 1390312363, 1, 1, 'tadnews', 1, 1, 1, 1, 1, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(22, '好站連結', 220, 1390312363, 2, 1, 'tad_link', 1, 1, 1, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(23, '檔案下載', 300, 1389343355, 0, 1, 'tad_uploader', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(24, '維修通報', 201, 1389257510, 0, 1, 'tad_repair', 1, 1, 1, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(25, '各式評鑑', 130, 1390312120, 0, 1, 'tad_evaluation', 1, 1, 1, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(26, '營養午餐', 100, 1389257628, 0, 1, 'tad_lunch2', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(27, '校務討論區', 120, 1390312363, 3, 1, 'tad_discuss', 1, 1, 1, 1, 0, 1);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(28, '校內填報', 300, 1389257628, 0, 1, 'tad_form', 1, 1, 0, 0, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(29, '常見問答', 210, 1390312363, 4, 1, 'tad_faq', 1, 1, 1, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(30, '電子相簿', 301, 1390312363, 5, 1, 'tadgallery', 1, 1, 1, 1, 1, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(31, '跑馬燈揭示板', 200, 1389078798, 1, 1, 'yaoh_light', 0, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(32, '班級網頁', 100, 1390312363, 6, 1, 'tad_web', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(33, '友站消息', 210, 1390312363, 7, 1, 'tad_rss', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(34, '影音播放', 300, 1390312363, 8, 1, 'tad_player', 1, 1, 1, 1, 1, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(35, '校務行事曆', 210, 1390312130, 0, 1, 'tad_cal', 1, 1, 0, 1, 0, 0);
INSERT INTO `xx_modules` (`mid`, `name`, `version`, `last_update`, `weight`, `isactive`, `dirname`, `hasmain`, `hasadmin`, `hassearch`, `hasconfig`, `hascomments`, `hasnotification`) VALUES(36, '線上書籍', 300, 1390312363, 9, 1, 'tad_book3', 1, 1, 1, 1, 1, 0);

DROP TABLE IF EXISTS `xx_mytabs_page`;
CREATE TABLE `xx_mytabs_page` (
  `pageid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pagetitle` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`pageid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_mytabs_page` (`pageid`, `pagetitle`) VALUES(1, '各種新聞');

DROP TABLE IF EXISTS `xx_mytabs_pageblock`;
CREATE TABLE `xx_mytabs_pageblock` (
  `pageblockid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `blockid` int(10) unsigned NOT NULL DEFAULT '0',
  `tabid` int(10) unsigned NOT NULL DEFAULT '1',
  `pageid` int(10) unsigned NOT NULL DEFAULT '1',
  `title` varchar(255) NOT NULL DEFAULT '',
  `options` longtext NOT NULL,
  `priority` int(10) unsigned NOT NULL DEFAULT '0',
  `showalways` enum('yes','no','time') NOT NULL DEFAULT 'yes',
  `placement` enum('left','center','right') NOT NULL DEFAULT 'center',
  `fromdate` int(10) unsigned NOT NULL DEFAULT '0',
  `todate` int(10) unsigned NOT NULL DEFAULT '0',
  `note` varchar(255) NOT NULL DEFAULT '',
  `pbcachetime` int(11) NOT NULL DEFAULT '0',
  `cachebyurl` tinyint(4) NOT NULL DEFAULT '0',
  `groups` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`pageblockid`),
  KEY `page` (`pageid`,`tabid`,`blockid`,`priority`),
  KEY `showalways` (`showalways`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

INSERT INTO `xx_mytabs_pageblock` (`pageblockid`, `blockid`, `tabid`, `pageid`, `title`, `options`, `priority`, `showalways`, `placement`, `fromdate`, `todate`, `note`, `pbcachetime`, `cachebyurl`, `groups`) VALUES(1, 69, 1, 1, '條列式新聞', '10|0|color:gray;font-size:12px;margin-top:3px;line-height:150%;|0|0|width:60px;height:30px;float:left;border:0px solid #9999CC;margin:0px 4px 4px 0px;overflow:hidden;background-size:cover;|0|7', 0, 'yes', 'center', 1389235200, 1389235200, '', 0, 0, 'a:2:{i:0;s:1:"2";i:1;s:1:"3";}');
INSERT INTO `xx_mytabs_pageblock` (`pageblockid`, `blockid`, `tabid`, `pageid`, `title`, `options`, `priority`, `showalways`, `placement`, `fromdate`, `todate`, `note`, `pbcachetime`, `cachebyurl`, `groups`) VALUES(2, 69, 2, 1, '條列式新聞', '10|0|color:gray;font-size:12px;margin-top:3px;line-height:150%;|0|0|width:60px;height:30px;float:left;border:0px solid #9999CC;margin:0px 4px 4px 0px;overflow:hidden;background-size:cover;|0|2', 0, 'yes', 'center', 1389235800, 1389235800, '', 0, 0, 'a:1:{i:0;s:1:"4";}');
INSERT INTO `xx_mytabs_pageblock` (`pageblockid`, `blockid`, `tabid`, `pageid`, `title`, `options`, `priority`, `showalways`, `placement`, `fromdate`, `todate`, `note`, `pbcachetime`, `cachebyurl`, `groups`) VALUES(3, 15, 3, 1, '臺南市教育局最新公告[pic]images/tn_news_block_title.png', '', 0, 'yes', 'center', 1389235800, 1389235800, '', 0, 0, 'a:2:{i:0;s:1:"2";i:1;s:1:"3";}');
INSERT INTO `xx_mytabs_pageblock` (`pageblockid`, `blockid`, `tabid`, `pageid`, `title`, `options`, `priority`, `showalways`, `placement`, `fromdate`, `todate`, `note`, `pbcachetime`, `cachebyurl`, `groups`) VALUES(4, 100, 4, 1, '文教新聞 [hide]', '1|10', 0, 'yes', 'center', 1389235800, 1389235800, '', 0, 0, 'a:2:{i:0;s:1:"2";i:1;s:1:"3";}');
INSERT INTO `xx_mytabs_pageblock` (`pageblockid`, `blockid`, `tabid`, `pageid`, `title`, `options`, `priority`, `showalways`, `placement`, `fromdate`, `todate`, `note`, `pbcachetime`, `cachebyurl`, `groups`) VALUES(5, 113, 5, 1, '親子精選文 [hide]', '2|10', 0, 'yes', 'center', 1389235800, 1389235800, '', 0, 0, 'a:2:{i:0;s:1:"2";i:1;s:1:"3";}');

DROP TABLE IF EXISTS `xx_mytabs_tab`;
CREATE TABLE `xx_mytabs_tab` (
  `tabid` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tabpageid` int(10) unsigned NOT NULL DEFAULT '0',
  `tabtitle` varchar(255) NOT NULL DEFAULT '',
  `tablink` varchar(255) NOT NULL DEFAULT '',
  `tabrev` varchar(255) NOT NULL DEFAULT '',
  `tabpriority` int(10) unsigned NOT NULL DEFAULT '0',
  `tabshowalways` enum('yes','no','time') NOT NULL DEFAULT 'yes',
  `tabfromdate` int(10) unsigned NOT NULL DEFAULT '0',
  `tabtodate` int(10) unsigned NOT NULL DEFAULT '0',
  `tabnote` varchar(255) NOT NULL DEFAULT '',
  `tabgroups` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`tabid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

INSERT INTO `xx_mytabs_tab` (`tabid`, `tabpageid`, `tabtitle`, `tablink`, `tabrev`, `tabpriority`, `tabshowalways`, `tabfromdate`, `tabtodate`, `tabnote`, `tabgroups`) VALUES(1, 1, '榮譽榜', '', '', 3, 'yes', 1389235200, 1389235200, '', 'a:2:{i:0;s:1:"2";i:1;s:1:"3";}');
INSERT INTO `xx_mytabs_tab` (`tabid`, `tabpageid`, `tabtitle`, `tablink`, `tabrev`, `tabpriority`, `tabshowalways`, `tabfromdate`, `tabtodate`, `tabnote`, `tabgroups`) VALUES(2, 1, '校內訊息', '', '', 2, 'yes', 1389235200, 1389235200, '', 'a:1:{i:0;s:1:"4";}');
INSERT INTO `xx_mytabs_tab` (`tabid`, `tabpageid`, `tabtitle`, `tablink`, `tabrev`, `tabpriority`, `tabshowalways`, `tabfromdate`, `tabtodate`, `tabnote`, `tabgroups`) VALUES(3, 1, '南市政府教育局公告', '', '', 1, 'yes', 1389235200, 1389235200, '', 'a:2:{i:0;s:1:"2";i:1;s:1:"3";}');
INSERT INTO `xx_mytabs_tab` (`tabid`, `tabpageid`, `tabtitle`, `tablink`, `tabrev`, `tabpriority`, `tabshowalways`, `tabfromdate`, `tabtodate`, `tabnote`, `tabgroups`) VALUES(4, 1, '文教新聞', '', '', 4, 'yes', 1389235200, 1389235200, '', 'a:2:{i:0;s:1:"2";i:1;s:1:"3";}');
INSERT INTO `xx_mytabs_tab` (`tabid`, `tabpageid`, `tabtitle`, `tablink`, `tabrev`, `tabpriority`, `tabshowalways`, `tabfromdate`, `tabtodate`, `tabnote`, `tabgroups`) VALUES(5, 1, '親子精選好文', '', '', 5, 'yes', 1389235200, 1389235200, '', 'a:2:{i:0;s:1:"2";i:1;s:1:"3";}');

DROP TABLE IF EXISTS `xx_newblocks`;
CREATE TABLE `xx_newblocks` (
  `bid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `mid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `func_num` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `options` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(150) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `content` text,
  `side` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` smallint(5) unsigned NOT NULL DEFAULT '0',
  `visible` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `block_type` char(1) NOT NULL DEFAULT '',
  `c_type` char(1) NOT NULL DEFAULT '',
  `isactive` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dirname` varchar(50) NOT NULL DEFAULT '',
  `func_file` varchar(50) NOT NULL DEFAULT '',
  `show_func` varchar(50) NOT NULL DEFAULT '',
  `edit_func` varchar(50) NOT NULL DEFAULT '',
  `template` varchar(50) NOT NULL DEFAULT '',
  `bcachetime` int(10) unsigned NOT NULL DEFAULT '0',
  `last_modified` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`bid`),
  KEY `mid` (`mid`),
  KEY `visible` (`visible`),
  KEY `isactive_visible_mid` (`isactive`,`visible`,`mid`),
  KEY `mid_funcnum` (`mid`,`func_num`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=115 ;

INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(1, 1, 0, '', '會員選單', '會員選單', '', 0, 2, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_user_show', '', 'system_block_user.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(2, 1, 2, '', '會員登入', '會員登入', '', 0, 0, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_login_show', '', 'system_block_login.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(3, 1, 3, '', '搜尋', '搜尋', '', 0, 2, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_search_show', '', 'system_block_search.html', 0, 1389059530);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(4, 1, 4, '', '等待驗證', '等待驗證', '', 0, 4, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_waiting_show', '', 'system_block_waiting.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(5, 1, 5, '', '主選單', '主選單', '', 0, 3, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_main_show', '', 'system_block_mainmenu.html', 0, 1389057537);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(6, 1, 6, '320|190|s_poweredby.gif|1', '本站資訊', '本站資訊', '', 0, 5, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_info_show', 'b_system_info_edit', 'system_block_siteinfo.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(7, 1, 7, '', '線上使用者', '線上使用者', '', 0, 6, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_online_show', '', 'system_block_online.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(8, 1, 8, '10|1', '積分排行榜', '積分排行榜', '', 0, 7, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_topposters_show', 'b_system_topposters_edit', 'system_block_topusers.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(9, 1, 9, '10|1', '歡迎新會員', '歡迎新會員', '', 0, 8, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_newmembers_show', 'b_system_newmembers_edit', 'system_block_newusers.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(10, 1, 10, '10', '最新評論', '最新評論', '', 0, 9, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_comments_show', 'b_system_comments_edit', 'system_block_comments.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(11, 1, 11, '', '通知選項', '通知選項', '', 0, 10, 0, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_notification_show', '', 'system_block_notification.html', 0, 1341591734);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(12, 1, 12, '0|80', '網站佈景', '網站佈景[hide]', '', 1, 5, 1, 'S', 'H', 1, 'system', 'system_blocks.php', 'b_system_themes_show', 'b_system_themes_edit', 'system_block_themes.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(14, 0, 0, '', '自訂區塊（PHP）', '初始化設定[hide]', 'global $xoopsDB,$xoopsUser;\r\n$isAdmin=$xoopsUser->isAdmin(1);\r\nif($xoopsUser and $isAdmin){\r\n  if($_POST[''xoops_op'']=="change_admin_passwd"){\r\n\r\n    $pass=md5($_POST[''new_admin_passwd'']);\r\n\r\n    //修改XOOPS密碼\r\n    $sql="update ".$xoopsDB->prefix("users")." set pass =''{$pass}'' where uname=''admin'' and uid=''1''";\r\n    $xoopsDB->query($sql) or redirect_header($_SERVER[''PHP_SELF''],3, "密碼修改失敗！！");\r\n\r\n    //修改資料庫密碼\r\n    $sql="SET PASSWORD FOR ''root''@''127.0.0.1'' = PASSWORD( ''{$_POST[''new_admin_passwd'']}'' )";\r\n    $xoopsDB->queryF($sql) or redirect_header($_SERVER[''PHP_SELF''],3, "修改資料庫密碼失敗！！");\r\n\r\n    //修改 secure.php 密碼\r\n    $file=XOOPS_VAR_PATH . ''/data/secure.php'';\r\n    if (file_exists($file)) {\r\n      $content = file_get_contents($file);\r\n      $content=str_replace("define(''XOOPS_DB_PASS'', ''".XOOPS_DB_PASS."'');","define(''XOOPS_DB_PASS'', ''{$_POST[''new_admin_passwd'']}'');",$content);\r\n      if(!file_put_contents($file,$content)){\r\n        redirect_header($_SERVER[''PHP_SELF''],3, "儲存設定失敗！");\r\n      }\r\n    }\r\n\r\n    //修改UniServer密碼\r\n    $path_array = explode("\\\\www",dirname(__FILE__));\r\n    $file2="{$path_array[0]}\\\\uni_con\\\\includes\\\\mysql_password";\r\n    if (file_exists($file2)) {\r\n      if(!file_put_contents($file2,$_POST[''new_admin_passwd''])){\r\n        redirect_header($_SERVER[''PHP_SELF''],3, "儲存UniServer密碼設定失敗！");\r\n      }\r\n    }\r\n\r\n    //關閉修改密碼區塊\r\n    $sql="update ".$xoopsDB->prefix("newblocks")." SET `visible`=0 WHERE `bid`=14 or `bid`=18";\r\n    $xoopsDB->query($sql) or redirect_header($_SERVER[''PHP_SELF''],3, "關閉修改密碼區塊失敗！！");\r\n\r\n    redirect_header($_SERVER[''PHP_SELF''],3, "密碼修改成功！日後請以新密碼登入！");\r\n  }else{\r\n    $main="\r\n    <form action=''{$_SERVER[''PHP_SELF'']}'' method=''post'' style=''background-color:red;color:white;padding:6px;-webkit-border-radius: 5px;-moz-border-radius: 5px;border-radius: 5px;''>\r\n    <img src=''".XOOPS_URL."/modules/tad_themes/images/waring.png'' alt=''請重新輸入一個密碼'' title=''請重新輸入一個密碼'' style=''float:left;margin-right:10px;''>\r\n    請修改密碼：<input type=''text'' name=''new_admin_passwd'' value=''''>\r\n    <input type=''hidden'' name=''xoops_op'' value=''change_admin_passwd''>\r\n    <input type=''submit'' value=''重設密碼''>\r\n    <div>預設密碼是公開的，因此，請重新輸入一個密碼，並重設密碼，以策安全</div>\r\n    </form>";\r\n  }\r\n  echo $main;\r\n}', 5, 0, 0, 'C', 'P', 1, '', '', '', '', '', 0, 1341656772);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(15, 0, 0, '', '自訂區塊（HTML）', '臺南市教育局最新公告[pic]images/tn_news_block_title.png', '<style>\r\ntable.sub td{\r\npadding:4px 0px;\r\n}\r\n</style>\r\n<div id=edu_center_C></div><script language=JavaScript src=http://bulletin.tn.edu.tw/GetNews.aspx?stype=edu_center_C&fontsize=1 charset=utf-8 defer=defer ></script> ', 9, 0, 0, 'C', 'H', 1, '', '', '', '', '', 0, 1389235520);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(16, 0, 0, '', '自訂區塊（HTML）', 'logo[hide]', '<a href="http://campus-xoops.tn.edu.tw" target=''_blank''><img src="http://120.115.2.90/logo.php" alt="本站以XOOPS校園網站輕鬆架建置"></a>', 1, 6, 1, 'C', 'H', 1, '', '', '', '', '', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(17, 0, 0, '', '自訂區塊（HTML）', '首次安裝時您該做的事', '<style>\r\nol#first_time_note ,#first_time_note li{\r\n	margin: 0;\r\n	padding: 0;\r\n	line-height:180%;\r\n}\r\n\r\nol#first_time_note  ,ol#first_time_note li  ,#first_time_note li ol li {\r\n	list-style: decimal outside none;\r\n}\r\n#first_time_note li {\r\n	margin-left: 2em;\r\n	color:rgb(80,80,80);\r\n}\r\n#first_time_note  li ol {\r\n	margin-bottom: 0;\r\n}\r\n</style>\r\n<p style="border:1px dotted #FF0033;padding:5px 10px;background-color:#FFFFCC;font-weight:bold;">底下是您應該要做的幾件事情，請依序完成吧！</p>\r\n<ol  id="first_time_note">\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=preferences&amp;op=show&amp;confcat_id=3" target="_blank">設定頁尾，可將整個「頁尾註腳」清空，自己輸入相關的資訊，如學校電話、地址...等。 </a></li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=modulesadmin" target="_blank">調整模組，把模組改成喜好的名稱，或者把不需要的模組停用或移除。</a></li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=blocksadmin" target="_blank">調整區塊，自行啟用新區塊或刪除不需要的區塊。</a></li>\r\n    <li><a href="{X_SITEURL}modules/tad_themes/admin/main.php" target="_blank">修改佈景：請做個幾張固定比例的圖到「logo圖」進行上傳，首頁的標題圖便會煥然一新。</a></li>\r\n    <li><a href="{X_SITEURL}modules/system/admin.php?fct=blocksadmin&op=edit&bid=17" target="_blank">請停用本區塊吧！（「僅顯示啟用？」選「否」即可）</a></li>\r\n</ol>\r\n<p>本系統由臺南市教育局資訊中心吳老師製作維護，若有任何使用上的問題或建議，歡迎來信tad@tn.edu.tw。</p>', 9, 1, 0, 'C', 'H', 1, '', '', '', '', '', 0, 1389236128);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(20, 5, 1, '10', '新的垃圾帳戶', '新的垃圾帳戶', '', 1, 2, 1, 'M', 'H', 1, 'tad_adm', 'tad_adm_new.php', 'tad_adm_new', 'tad_adm_new_edit', 'tad_adm_new.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(18, 0, 0, '', '自訂區塊（PHP）', '登入帳號密碼[hide]', '\nglobal $xoopsDB,$xoopsUser;\nif(empty($xoopsUser)){\n  $sql="select `pass` from ".$xoopsDB->prefix("users")." where `uname` = ''admin''";\n  $result = $xoopsDB->queryF($sql) ;\n  list($passwd)=$xoopsDB->fetchRow($result);\n\n  if(md5(''2130669#33'')==$passwd){\n      echo ''\n      <style>\n      .triangle-border {\n      	position:relative;\n      	padding:15px;\n      	margin:1em 0 3em;\n      	border:5px solid #5a8f00;\n      	color:#333;\n      	background:#fff;\n      	/* css3 */\n      	-webkit-border-radius:10px;\n      	-moz-border-radius:10px;\n      	border-radius:10px;\n      }\n\n      .triangle-border.left {\n      	margin-left:140px;\n      	font-size:11pt;\n      }\n\n      .triangle-border:before {\n      	content:"";\n      	position:absolute;\n      	bottom:-20px; /* value = - border-top-width - border-bottom-width */\n      	left:40px; /* controls horizontal position */\n          border-width:20px 20px 0;\n      	border-style:solid;\n          border-color:#5a8f00 transparent;\n          /* reduce the damage in FF3.0 */\n          display:block;\n          width:0;\n      }\n\n      .triangle-border:after {\n      	content:"";\n      	position:absolute;\n      	bottom:-13px; /* value = - border-top-width - border-bottom-width */\n      	left:47px; /* value = (:before left) + (:before border-left) - (:after border-left) */\n      	border-width:13px 13px 0;\n      	border-style:solid;\n      	border-color:#fff transparent;\n          /* reduce the damage in FF3.0 */\n          display:block;\n          width:0;\n      }\n\n\n      .triangle-border.left:before {\n      	top:10px; /* controls vertical position */\n      	bottom:auto;\n      	left:-30px; /* value = - border-left-width - border-right-width */\n      	border-width:15px 30px 15px 0;\n      	border-color:transparent #5a8f00;\n      }\n\n      .triangle-border.left:after {\n      	top:16px; /* value = (:before top) + (:before border-top) - (:after border-top) */\n      	bottom:auto;\n      	left:-20px; /* value = - border-left-width - border-right-width */\n      	border-width:9px 21px 9px 0;\n      	border-color:transparent #fff;\n      }\n\n      </style>\n      <p>\n        <img src="''.XOOPS_URL.''/modules/tad_themes/images/boy.png" alt="首次登入之帳號密碼說明" title="首次登入之帳號密碼說明" style="float:left;margin-top:20px;margin-right:10px;">\n        <div class="triangle-border left">\n          您好：\n          <p>歡迎使用本系統，這是您第一次登入，站長首次登入之帳號密碼如下：</p>\n          <p>\n          帳號為：\n          <span style="background-color: rgb(255, 255, 153);font-weight:bold;">admin</span>\n          </p>\n          <p>密碼為：\n          <span style="background-color: rgb(255, 255, 153);font-weight:bold;">2130669#33</span>\n          </p>\n          <p>\n          <span style="color: rgb(128, 0, 0);">\n          登入後，本區塊會消失，並請您立即修改密碼！\n          </span>\n          </p>\n        </div>\n      </p>'';\n  }\n}', 5, 1, 0, 'C', 'P', 1, '', '', '', '', '', 0, 1341645585);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(19, 3, 1, '', '佈景首頁滑動區塊', '佈景首頁滑動區塊[hide]', '', 5, 0, 1, 'M', 'H', 1, 'tad_themes', 'tad_themes_responsive_slider.php', 'tad_themes_responsive_slider', '', 'tad_themes_responsive_slider.html', 0, 1390318971);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(54, 14, 1, '', '計數器', '計數器', '', 1, 4, 1, 'M', 'H', 1, 'logcounterx', 'display.php', 'b_logcounterx_show_counter', '', 'lcx_block_display.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(55, 14, 2, '', '紀錄區塊', '紀錄區塊', '', 5, 1, 1, 'M', 'H', 1, 'logcounterx', 'count_up.php', 'b_logcounterx_inc_counter', '', '', 0, 1390318971);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(56, 15, 1, '1|1|1|0|random', '成語隨時背', '成語隨時背[hide]', '', 0, 7, 1, 'M', 'H', 1, 'tad_idioms', 'tad_idioms_show.php', 'tad_idioms_show', 'tad_idioms_show_edit', 'tad_idioms_show.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(57, 16, 1, '', '快速登入', '快速登入[hide]', '', 0, 0, 1, 'M', 'H', 1, 'tad_login', 'tad_login.php', 'tad_login', '', 'tad_login.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(58, 17, 1, '1|0|330|jquery|true|0|1389235395|0|0|false', '我的標籤區塊', '訊息總匯[hide]', '', 9, 0, 1, 'M', 'H', 1, 'mytabs', 'mytabs_block.php', 'b_mytabs_block_show', 'b_mytabs_block_edit', 'mytabs_block_blocks.html', 0, 1390318968);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(59, 20, 1, '', '隨機小語', '隨機小語', '', 9, 2, 1, 'M', 'H', 1, 'randomquote', 'random_quote.php', 'random_quote_show', '', 'random_quote_block.html', 0, 1390318968);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(60, 21, 1, '', '文章類別', '文章類別', '', 0, 1, 0, 'M', 'H', 1, 'tadnews', 'tadnews_cate.php', 'tadnews_cate_show', '', 'tadnews_cate.html', 0, 1390316993);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(61, 21, 2, '5|150|color:#383838;font-size:11pt;margin-top:3px;line-height:150%;|0|1|width:80px;height:60px;float:left;border:0px solid #9999CC;margin:0px 4px 4px 0px;overflow:hidden;background-size:cover;|0|1,2,3,4,5,6|span12', '本站最新消息', '最新消息[hide]', '', 5, 2, 1, 'M', 'H', 1, 'tadnews', 'tadnews_content_block.php', 'tadnews_content_block_show', 'tadnews_content_block_edit', 'tadnews_content_block.html', 0, 1390318971);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(62, 21, 3, '10|160', '最新回應', '最新回應', '', 0, 2, 0, 'M', 'H', 1, 'tadnews', 'tadnews_re_block.php', 'tadnews_b_show_3', 'tadnews_re_edit', 'tadnews_re_block.html', 0, 1390312141);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(63, 21, 4, '', '訂閱 / 取消電子報', '訂閱 / 取消電子報', '', 0, 3, 0, 'M', 'H', 1, 'tadnews', 'tadnews_newspaper.php', 'tadnews_newspaper', '', 'tadnews_newspaper.html', 0, 1390312141);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(64, 21, 5, '10', '電子報一覽', '電子報一覽', '', 0, 4, 0, 'M', 'H', 1, 'tadnews', 'tadnews_newspaper_list.php', 'tadnews_newspaper_list', 'tadnews_newspaper_list_edit', 'tadnews_newspaper_list.html', 0, 1390312141);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(65, 21, 6, '|10|1|0|100|color:gray;font-size:11px;margin-top:3px;line-height:150%;', '分類新聞區塊', '分類新聞區塊', '', 5, 4, 0, 'M', 'H', 1, 'tadnews', 'tadnews_cate_news.php', 'tadnews_cate_news', 'tadnews_cate_news_edit', 'tadnews_cate_news.html', 0, 1390312141);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(66, 21, 7, '8|160', '自訂頁面', '學校簡介[hide]', '', 0, 1, 1, 'M', 'H', 1, 'tadnews', 'tadnews_page.php', 'tadnews_page', 'tadnews_page_edit', 'tadnews_page.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(67, 21, 8, '|full', '焦點新聞', '焦點新聞', '', 5, 5, 0, 'M', 'H', 1, 'tadnews', 'tadnews_focus_news.php', 'tadnews_focus_news', 'tadnews_focus_news_edit', 'tadnews_focus_news.html', 0, 1390312141);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(68, 21, 9, '', '自選文章', '自選文章', '', 0, 6, 0, 'M', 'H', 1, 'tadnews', 'tadnews_my_page.php', 'tadnews_my_page', 'tadnews_my_page_edit', 'tadnews_my_page.html', 0, 1390312141);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(69, 21, 10, '5|100|color:gray;font-size:12px;margin-top:3px;line-height:150%;|0|0|width:60px;height:30px;float:left;border:0px solid #9999CC;margin:0px 4px 4px 0px;overflow:hidden;background-size:cover;|0|', '條列式新聞', '條列式新聞', '', 5, 3, 0, 'M', 'H', 1, 'tadnews', 'tadnews_list_content_block.php', 'tadnews_list_content_block_show', 'tadnews_list_content_block_edit', 'tadnews_list_content_block.html', 0, 1390312141);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(70, 21, 11, '6|1|start_day|news_title|uid|ncsn|counter|0', '表格式新聞', '表格式新聞', '', 0, 7, 0, 'M', 'H', 1, 'tadnews', 'tadnews_table_content_block.php', 'tadnews_table_content_block_show', 'tadnews_table_content_block_edit', 'tadnews_table_content_block.html', 0, 1390312142);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(71, 21, 12, '', 'QR Code', '最新消息 QR Code', '', 1, 3, 1, 'M', 'H', 1, 'tadnews', 'tadnews_qrcode.php', 'tadnews_qrcode_show', '', 'tadnews_qrcode.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(72, 21, 13, '670|250|5|90|', '滑動新聞', '滑動新聞', '', 5, 1, 0, 'M', 'H', 1, 'tadnews', 'tadnews_slidernews.php', 'tadnews_slidernews_show', 'tadnews_slidernews_edit', 'tadnews_slidernews.html', 0, 1390312142);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(73, 21, 14, '5|90|ResponsiveSlides|', '自動縮放的滑動新聞', '自動縮放的滑動新聞', '', 5, 0, 0, 'M', 'H', 1, 'tadnews', 'tadnews_slidernews2.php', 'tadnews_slidernews2_show', 'tadnews_slidernews2_edit', 'tadnews_slidernews2.html', 0, 1390312142);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(74, 22, 1, '6|1|1|0|sort|1|1|120', '最新好站連結', '宣導網站', '', 9, 1, 1, 'M', 'H', 1, 'tad_link', 'tad_link_show.php', 'tad_link_show', 'tad_link_show_edit', 'tad_link_show.html', 0, 1390318968);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(75, 22, 2, '1', '好站推薦快速連結', '好站推薦快速連結', '', 0, 0, 0, 'M', 'H', 1, 'tad_link', 'tad_link_all.php', 'tad_link_all', 'tad_link_all_edit', 'tad_link_all.html', 0, 1389078678);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(77, 24, 1, '', '待修通報', '待修通報', '', 0, 3, 1, 'M', 'H', 1, 'tad_repair', 'wait_to_repair.php', 'wait_to_repair', '', 'wait_to_repair.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(78, 25, 0, '', '評鑑列表', '評鑑列表', '', 0, 4, 1, 'M', 'H', 1, 'tad_evaluation', 'tad_evaluation_list.php', 'tad_evaluation_list', '', 'tad_evaluation_block_tad_evaluation_list.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(79, 26, 0, '1', '營養午餐公告', '營養午餐公告', '', 5, 3, 1, 'M', 'H', 1, 'tad_lunch2', 'tad_lunch2_show.php', 'tad_lunch2_show', 'tad_lunch2_show_edit', 'tad_lunch2_block_tad_lunch2_show.html', 0, 1390318971);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(80, 27, 1, '10', '最新討論', '最新討論', '', 0, 0, 0, 'M', 'H', 1, 'tad_discuss', 'tad_discuss_new.php', 'tad_discuss_new', 'tad_discuss_new_edit', 'tad_discuss_new.html', 0, 1390312155);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(81, 27, 2, '10|30', '最熱門討論', '最熱門討論', '', 0, 0, 0, 'M', 'H', 1, 'tad_discuss', 'tad_discuss_hot.php', 'tad_discuss_hot', 'tad_discuss_hot_edit', 'tad_discuss_hot.html', 0, 1390312155);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(82, 27, 3, '0|350|#B4C58D|#FFFFFF|#000000|1', '即時留言簿', '即時留言簿[hide]', '', 1, 0, 1, 'M', 'H', 1, 'tad_discuss', 'tad_discuss_cbox.php', 'tad_discuss_cbox', 'tad_discuss_cbox_edit', 'tad_discuss_cbox.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(83, 28, 1, '', '最新線上表單', '線上填報', '', 0, 2, 1, 'M', 'H', 1, 'tad_form', 'tad_form.php', 'tad_form', '', 'tad_form.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(84, 28, 2, '', '線上表單', '線上表單', '', 0, 0, 0, 'M', 'H', 1, 'tad_form', 'tad_one_form.php', 'tad_one_form', 'tad_one_form_edit', 'tad_one_form.html', 0, 1389078766);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(85, 29, 1, '', '本站常見問題', '本站常見問題', '', 0, 0, 0, 'M', 'H', 1, 'tad_faq', 'tad_faq_block.php', 'tad_faq_show', '', 'tad_faq_block.html', 0, 1390312165);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(86, 30, 0, '10||photo_sort||s|140|105|0|0|1000|3|0|5000', '相片捲軸', '相片捲軸', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_carousel.php', 'tadgallery_carousel_show', 'tadgallery_carousel_edit', 'tadgallery_carousel.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(87, 30, 1, '10||rand|desc|s|160|120|0|0|2000|5|2|3000|default', '抽取相片', '抽取相片', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_shuffle.php', 'tadgallery_shuffle_show', 'tadgallery_shuffle_edit', 'tadgallery_shuffle.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(88, 30, 2, '10||rand|desc|s|160|120|0|default', '相片投影秀', '相片投影秀', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_show.php', 'tadgallery_show', 'tadgallery_edit', 'tadgallery_show.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(89, 30, 3, '|650|450', '3D相片牆', '3D相片牆', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_cooliris.php', 'tadgallery_cooliris_show', 'tadgallery_cooliris_edit', 'tadgallery_cooliris.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(90, 30, 4, '10||rand|desc|s|160|240|0|jscroller2_up|40', '圖片跑馬燈', '圖片跑馬燈', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_scroller.php', 'tadgallery_scroller_show', 'tadgallery_scroller_edit', 'tadgallery_scroller.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(91, 30, 5, '10|160|1|1', '相片最新回應', '相片最新回應', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_re_block.php', 'tadgallery_show_re', 'tadgallery_re_edit', 'tadgallery_re.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(92, 30, 6, '||510|400|false', 'Flash 相片展示', 'Flash 相片展示', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_slideshow.php', 'tadgallery_slideshow', 'tadgallery_slideshow_edit', 'tadgallery_slideshow.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(93, 30, 7, '12||rand|desc|6|100|100|0|0|font-size:11px;font-weight:normal;overflow:hidden;', '縮圖列表', '縮圖列表', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_list.php', 'tadgallery_list', 'tadgallery_list_edit', 'tadgallery_list.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(94, 30, 8, '10||rand|desc|s|160|240|0|30', '無縫跑馬燈', '無縫跑馬燈', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_marquee.php', 'tadgallery_marquee_show', 'tadgallery_marquee_edit', 'tadgallery_marquee.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(95, 30, 9, '', 'QR Code', 'QR Code', '', 0, 0, 0, 'M', 'H', 1, 'tadgallery', 'tadgallery_qrcode.php', 'tadgallery_qrcode_show', '', 'tadgallery_qrcode.html', 0, 1390312177);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(96, 31, 1, '10|3|8|0|0||', '跑馬燈揭示板', '跑馬燈揭示板', '', 0, 0, 0, 'M', 'H', 1, 'yaoh_light', 'yaoh_light_block.php', 'list_light_in_blocks', 'edit_list_light', 'yaoh_light_block_tpl.html', 0, 1389078798);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(97, 32, 1, '', '選單', '選單', '', 0, 0, 0, 'M', 'H', 1, 'tad_web', 'tad_web_menu.php', 'tad_web_menu', '', 'tad_web_menu.html', 0, 1389078810);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(98, 32, 2, '', '網頁列表選單', '網頁列表選單', '', 0, 0, 0, 'M', 'H', 1, 'tad_web', 'tad_web_list.php', 'tad_web_list', '', 'tad_web_list.html', 0, 1389078810);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(99, 32, 3, '', '活動剪影', '活動剪影', '', 0, 0, 0, 'M', 'H', 1, 'tad_web', 'tad_web_image.php', 'tad_web_image', '', 'tad_web_image.html', 0, 1389078810);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(100, 33, 1, '1|5', '友站消息', '文教新聞 [hide]', '', 7, 0, 0, 'M', 'H', 1, 'tad_rss', 'tad_rss_show.php', 'tad_rss_show', 'tad_rss_show_edit', 'tad_rss_show.html', 0, 1390312187);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(101, 34, 1, '|0|true', '影音特區', '影音特區', '', 0, 0, 0, 'M', 'H', 1, 'tad_player', 'tad_player.php', 'tad_player', 'tad_player_edit', 'tad_player.html', 0, 1389078831);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(102, 34, 2, '10|1', '新進影音檔', '新進影音檔', '', 0, 0, 0, 'M', 'H', 1, 'tad_player', 'tad_new_media.php', 'tad_new_media', 'tad_new_media_edit', 'tad_new_media.html', 0, 1389078831);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(103, 34, 3, '10|1', '熱門影音檔', '熱門影音檔', '', 0, 0, 0, 'M', 'H', 1, 'tad_player', 'tad_hot_media.php', 'tad_player_b_show_3', 'tad_tad_hot_media_edit', 'tad_hot_media.html', 0, 1389078831);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(104, 34, 4, '|0|100|true', '影音清單播放', '影音清單播放', '', 0, 0, 0, 'M', 'H', 1, 'tad_player', 'tad_play_list.php', 'tad_player_play_list', 'tad_player_play_list_edit', 'tad_play_list.html', 0, 1389078831);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(105, 34, 5, '', 'QR Code', 'QR Code', '', 0, 0, 0, 'M', 'H', 1, 'tad_player', 'tad_play_qrcode.php', 'tad_play_qrcode_show', '', 'tad_play_qrcode.html', 0, 1389078831);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(106, 35, 1, '', '小行事曆', '小行事曆[hide]', '', 0, 5, 1, 'M', 'H', 1, 'tad_cal', 'tad_cal_calendar.php', 'tad_cal_calendar', '', 'tad_cal_calendar.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(107, 35, 2, '7', '近期事項', '近期事項', '', 0, 6, 1, 'M', 'H', 1, 'tad_cal', 'tad_cal_list.php', 'tad_cal_list', 'tad_cal_list_edit', 'tad_cal_list.html', 0, 1390319346);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(108, 36, 1, '1|1', '隨機好書', '隨機好書', '', 0, 0, 0, 'M', 'H', 1, 'tad_book3', 'tad_book3_random.php', 'tad_book3_random', 'tad_book3_random_edit', 'tad_book3_random.html', 0, 1389078851);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(109, 36, 2, '5', '最新文章', '最新文章', '', 0, 0, 0, 'M', 'H', 1, 'tad_book3', 'tad_book3_new_doc.php', 'tad_book3_new_doc', 'tad_book3_new_doc_edit', 'tad_book3_new_doc.html', 0, 1389078851);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(110, 36, 3, '5|create_date|desc', '書籍列表', '書籍列表', '', 0, 0, 0, 'M', 'H', 1, 'tad_book3', 'tad_book3_list.php', 'tad_book3_list', 'tad_book3_list_edit', 'tad_book3_list.html', 0, 1389078851);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(111, 36, 4, '', '書籍目錄', '書籍目錄', '', 0, 0, 0, 'M', 'H', 1, 'tad_book3', 'tad_book3_index.php', 'tad_book3_index', '', 'tad_book3_index.html', 0, 1389078851);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(112, 36, 5, '', 'QR Code', 'QR Code', '', 0, 0, 0, 'M', 'H', 1, 'tad_book3', 'tad_book3_qrcode.php', 'tad_book3_qrcode_show', '', 'tad_book3_qrcode.html', 0, 1389078851);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(113, 33, 1, '2|5', '友站消息', '親子精選文 [hide]', '', 8, 0, 0, 'D', 'H', 1, 'tad_rss', 'tad_rss_show.php', 'tad_rss_show', 'tad_rss_show_edit', 'tad_rss_show.html', 0, 1390312187);
INSERT INTO `xx_newblocks` (`bid`, `mid`, `func_num`, `options`, `name`, `title`, `content`, `side`, `weight`, `visible`, `block_type`, `c_type`, `isactive`, `dirname`, `func_file`, `show_func`, `edit_func`, `template`, `bcachetime`, `last_modified`) VALUES(114, 23, 1, '6', '最新上傳檔案', '最新上傳檔案', '', 1, 1, 1, 'M', 'H', 1, 'tad_uploader', 'tad_uploader_block_1.php', 'tad_uploader_b_show_1', 'tad_uploader_b_edit_1', 'tad_uploader_block_1.html', 0, 1390319346);

DROP TABLE IF EXISTS `xx_online`;
CREATE TABLE `xx_online` (
  `online_uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `online_uname` varchar(25) NOT NULL DEFAULT '',
  `online_updated` int(10) unsigned NOT NULL DEFAULT '0',
  `online_module` smallint(5) unsigned NOT NULL DEFAULT '0',
  `online_ip` varchar(15) NOT NULL DEFAULT '',
  KEY `online_module` (`online_module`),
  KEY `online_updated` (`online_updated`),
  KEY `online_uid` (`online_uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_priv_msgs`;
CREATE TABLE `xx_priv_msgs` (
  `msg_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `msg_image` varchar(100) DEFAULT NULL,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `from_userid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `to_userid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `msg_time` int(10) unsigned NOT NULL DEFAULT '0',
  `msg_text` text,
  `read_msg` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `from_delete` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `from_save` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `to_delete` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `to_save` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`msg_id`),
  KEY `to_userid` (`to_userid`),
  KEY `touseridreadmsg` (`to_userid`,`read_msg`),
  KEY `msgidfromuserid` (`from_userid`,`msg_id`),
  KEY `prune` (`msg_time`,`read_msg`,`from_save`,`to_delete`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_profile_category`;
CREATE TABLE `xx_profile_category` (
  `cat_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cat_title` varchar(255) NOT NULL DEFAULT '',
  `cat_description` text,
  `cat_weight` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`cat_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `xx_profile_category` (`cat_id`, `cat_title`, `cat_description`, `cat_weight`) VALUES(1, '個人訊息', '', 1);
INSERT INTO `xx_profile_category` (`cat_id`, `cat_title`, `cat_description`, `cat_weight`) VALUES(2, '通信方式', '', 2);
INSERT INTO `xx_profile_category` (`cat_id`, `cat_title`, `cat_description`, `cat_weight`) VALUES(3, '個性設定', '', 3);
INSERT INTO `xx_profile_category` (`cat_id`, `cat_title`, `cat_description`, `cat_weight`) VALUES(4, '社區訊息', '', 4);

DROP TABLE IF EXISTS `xx_profile_field`;
CREATE TABLE `xx_profile_field` (
  `field_id` int(12) unsigned NOT NULL AUTO_INCREMENT,
  `cat_id` smallint(5) unsigned NOT NULL DEFAULT '0',
  `field_type` varchar(30) NOT NULL DEFAULT '',
  `field_valuetype` tinyint(2) unsigned NOT NULL DEFAULT '0',
  `field_name` varchar(255) NOT NULL DEFAULT '',
  `field_title` varchar(255) NOT NULL DEFAULT '',
  `field_description` text,
  `field_required` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `field_maxlength` smallint(6) unsigned NOT NULL DEFAULT '0',
  `field_weight` smallint(6) unsigned NOT NULL DEFAULT '0',
  `field_default` text,
  `field_notnull` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `field_edit` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `field_show` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `field_config` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `field_options` text,
  `step_id` smallint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`field_id`),
  UNIQUE KEY `field_name` (`field_name`),
  KEY `step` (`step_id`,`field_weight`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=25 ;

INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(1, 1, 'textbox', 1, 'name', '真實姓名', '', 0, 255, 1, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(2, 1, 'textbox', 1, 'user_from', '所在地', '', 0, 255, 2, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(3, 1, 'timezone', 1, 'timezone_offset', '所在時區', '', 0, 0, 3, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(4, 1, 'textbox', 1, 'user_occ', '職業', '', 0, 255, 4, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(5, 1, 'textbox', 1, 'user_intrest', '興趣愛好', '', 0, 255, 5, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(6, 1, 'textarea', 2, 'bio', '個人介紹', '', 0, 0, 6, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(7, 1, 'datetime', 3, 'user_regdate', '註冊日期', '', 0, 10, 7, NULL, 0, 0, 1, 0, 'a:0:{}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(8, 2, 'textbox', 1, 'user_icq', 'QQ', '', 0, 255, 1, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(9, 2, 'textbox', 1, 'user_aim', 'Skype', '', 0, 255, 2, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(10, 2, 'textbox', 1, 'user_yim', 'Yahoo 即時通', '', 0, 255, 3, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(11, 2, 'textbox', 1, 'user_msnm', 'MSN', '', 0, 255, 4, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(12, 3, 'yesno', 3, 'user_viewemail', '公開電子郵件地址', '', 0, 1, 1, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(13, 3, 'yesno', 3, 'attachsig', '發文時總是加入簽名', '', 0, 1, 2, NULL, 0, 1, 1, 0, 'a:0:{}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(14, 3, 'yesno', 3, 'user_mailok', '是否接收事件通知', '', 0, 1, 3, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(15, 3, 'theme', 1, 'theme', '主題', '', 0, 0, 4, NULL, 0, 1, 1, 0, 'a:0:{}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(16, 3, 'select', 1, 'umode', '評論顯示方式', '', 0, 0, 5, NULL, 0, 1, 1, 0, 'a:3:{s:4:"nest";s:16:"5bei54uA6aGv56S6";s:4:"flat";s:16:"5YWo6YOo5bGV6ZaL";s:6:"thread";s:16:"5qi554uA6aGv56S6";}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(17, 3, 'select', 3, 'uorder', '評論排列順序', '', 0, 0, 6, NULL, 0, 1, 1, 0, 'a:2:{i:0;s:16:"6IiK55qE5Zyo5YmN";i:1;s:16:"5paw55qE5Zyo5YmN";}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(18, 3, 'select', 3, 'notify_mode', '預設通知方式', '', 0, 0, 7, NULL, 0, 1, 1, 0, 'a:3:{i:0;s:36:"5YWo6YOo6YG45pOH55qE5LqL5Lu26YCa55+l";i:1;s:28:"5Y+q6YCa55+l5LiA5qyh5Y2z5Y+v";i:2;s:96:"5Y+q6YCa55+l5oiR5LiA5qyh77yM54S25b6M6Zec6ZaJ6YCZ6aCF5Yqf6IO977yM55u05Yiw5oiR5YaN5qyh55m75YWl44CC";}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(19, 3, 'select', 3, 'notify_method', '選擇通知方式', '', 0, 0, 8, NULL, 0, 1, 1, 0, 'a:3:{i:0;s:16:"5pqr5pmC5ouS5pS2";i:1;s:32:"5o6l5pS256eB5Lq66KiK5oGv6YCa55+l";i:2;s:32:"5o6l5pS26Zu75a2Q6YO15Lu26YCa55+l";}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(20, 4, 'textbox', 1, 'url', '個人主頁', '', 0, 255, 1, NULL, 0, 1, 1, 0, 'a:0:{}', 2);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(21, 4, 'textbox', 3, 'posts', '發表總數', '', 0, 0, 2, NULL, 0, 0, 1, 0, 'a:0:{}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(22, 4, 'rank', 3, 'rank', '頭銜等級', '', 0, 0, 3, NULL, 0, 1, 1, 0, 'a:0:{}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(23, 4, 'datetime', 3, 'last_login', '最後登入時間', '', 0, 10, 4, NULL, 0, 0, 1, 0, 'a:0:{}', 0);
INSERT INTO `xx_profile_field` (`field_id`, `cat_id`, `field_type`, `field_valuetype`, `field_name`, `field_title`, `field_description`, `field_required`, `field_maxlength`, `field_weight`, `field_default`, `field_notnull`, `field_edit`, `field_show`, `field_config`, `field_options`, `step_id`) VALUES(24, 4, 'textarea', 2, 'user_sig', '個性簽名', '', 0, 0, 5, NULL, 0, 1, 1, 0, 'a:0:{}', 0);

DROP TABLE IF EXISTS `xx_profile_profile`;
CREATE TABLE `xx_profile_profile` (
  `profile_id` int(12) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`profile_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_profile_profile` (`profile_id`) VALUES(1);

DROP TABLE IF EXISTS `xx_profile_regstep`;
CREATE TABLE `xx_profile_regstep` (
  `step_id` smallint(3) unsigned NOT NULL AUTO_INCREMENT,
  `step_name` varchar(255) NOT NULL DEFAULT '',
  `step_desc` text,
  `step_order` smallint(3) unsigned NOT NULL DEFAULT '0',
  `step_save` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`step_id`),
  KEY `sort` (`step_order`,`step_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `xx_profile_regstep` (`step_id`, `step_name`, `step_desc`, `step_order`, `step_save`) VALUES(1, '基本訊息', '', 1, 1);
INSERT INTO `xx_profile_regstep` (`step_id`, `step_name`, `step_desc`, `step_order`, `step_save`) VALUES(2, '延伸訊息', '', 2, 1);

DROP TABLE IF EXISTS `xx_profile_visibility`;
CREATE TABLE `xx_profile_visibility` (
  `field_id` int(12) unsigned NOT NULL DEFAULT '0',
  `user_group` smallint(5) unsigned NOT NULL DEFAULT '0',
  `profile_group` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`field_id`,`user_group`,`profile_group`),
  KEY `visible` (`user_group`,`profile_group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(1, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(1, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(1, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(1, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(1, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(1, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(2, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(2, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(2, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(2, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(2, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(2, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(3, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(3, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(3, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(3, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(3, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(3, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(4, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(4, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(4, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(4, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(4, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(4, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(5, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(5, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(5, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(5, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(5, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(5, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(6, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(6, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(6, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(6, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(6, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(6, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(7, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(7, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(7, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(7, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(7, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(7, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(8, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(8, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(8, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(8, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(8, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(8, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(9, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(9, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(9, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(9, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(9, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(9, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(10, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(10, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(10, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(10, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(10, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(10, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(11, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(11, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(11, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(11, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(11, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(11, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(20, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(20, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(20, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(20, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(20, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(20, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(21, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(21, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(21, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(21, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(21, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(21, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(22, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(22, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(22, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(22, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(22, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(22, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(23, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(23, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(23, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(23, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(23, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(23, 3, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(24, 1, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(24, 1, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(24, 2, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(24, 2, 2);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(24, 3, 1);
INSERT INTO `xx_profile_visibility` (`field_id`, `user_group`, `profile_group`) VALUES(24, 3, 2);

DROP TABLE IF EXISTS `xx_ranks`;
CREATE TABLE `xx_ranks` (
  `rank_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `rank_title` varchar(50) NOT NULL DEFAULT '',
  `rank_min` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `rank_max` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `rank_special` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `rank_image` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`rank_id`),
  KEY `rank_min` (`rank_min`),
  KEY `rank_max` (`rank_max`),
  KEY `rankminrankmaxranspecial` (`rank_min`,`rank_max`,`rank_special`),
  KEY `rankspecial` (`rank_special`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;

INSERT INTO `xx_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_max`, `rank_special`, `rank_image`) VALUES(1, '新會員', 0, 20, 0, 'rank3e632f95e81ca.gif');
INSERT INTO `xx_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_max`, `rank_special`, `rank_image`) VALUES(2, '初級會員', 21, 40, 0, 'rank3dbf8e94a6f72.gif');
INSERT INTO `xx_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_max`, `rank_special`, `rank_image`) VALUES(3, '中級會員', 41, 70, 0, 'rank3dbf8e9e7d88d.gif');
INSERT INTO `xx_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_max`, `rank_special`, `rank_image`) VALUES(4, '高級會員', 71, 150, 0, 'rank3dbf8ea81e642.gif');
INSERT INTO `xx_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_max`, `rank_special`, `rank_image`) VALUES(5, '資深會員', 151, 10000, 0, 'rank3dbf8eb1a72e7.gif');
INSERT INTO `xx_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_max`, `rank_special`, `rank_image`) VALUES(6, '版主', 0, 0, 1, 'rank3dbf8edf15093.gif');
INSERT INTO `xx_ranks` (`rank_id`, `rank_title`, `rank_min`, `rank_max`, `rank_special`, `rank_image`) VALUES(7, '管理員', 0, 0, 1, 'rank3dbf8ee8681cd.gif');

DROP TABLE IF EXISTS `xx_session`;
CREATE TABLE `xx_session` (
  `sess_id` varchar(32) NOT NULL DEFAULT '',
  `sess_updated` int(10) unsigned NOT NULL DEFAULT '0',
  `sess_ip` varchar(15) NOT NULL DEFAULT '',
  `sess_data` text,
  PRIMARY KEY (`sess_id`),
  KEY `updated` (`sess_updated`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_smiles`;
CREATE TABLE `xx_smiles` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `code` varchar(50) NOT NULL DEFAULT '',
  `smile_url` varchar(100) NOT NULL DEFAULT '',
  `emotion` varchar(75) NOT NULL DEFAULT '',
  `display` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=18 ;

INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(1, ':-D', 'smil3dbd4d4e4c4f2.gif', '高興', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(2, ':-)', 'smil3dbd4d6422f04.gif', '微笑', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(3, ':-(', 'smil3dbd4d75edb5e.gif', '悲傷', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(4, ':-o', 'smil3dbd4d8676346.gif', '驚訝', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(5, ':-?', 'smil3dbd4d99c6eaa.gif', '疑惑', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(6, '8-)', 'smil3dbd4daabd491.gif', '冷酷', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(7, ':lol:', 'smil3dbd4dbc14f3f.gif', '嘲笑', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(8, ':-x', 'smil3dbd4dcd7b9f4.gif', '生氣', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(9, ':-P', 'smil3dbd4ddd6835f.gif', '戲弄', 1);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(10, ':oops:', 'smil3dbd4df1944ee.gif', '害羞', 0);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(11, ':cry:', 'smil3dbd4e02c5440.gif', '哭泣', 0);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(12, ':evil:', 'smil3dbd4e1748cc9.gif', '氣憤', 0);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(13, ':roll:', 'smil3dbd4e29bbcc7.gif', '眼珠一轉', 0);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(14, ';-)', 'smil3dbd4e398ff7b.gif', '眨眼', 0);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(15, ':pint:', 'smil3dbd4e4c2e742.gif', '乾杯', 0);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(16, ':hammer:', 'smil3dbd4e5e7563a.gif', '看這裡', 0);
INSERT INTO `xx_smiles` (`id`, `code`, `smile_url`, `emotion`, `display`) VALUES(17, ':idea:', 'smil3dbd4e7853679.gif', '好主意！', 0);

DROP TABLE IF EXISTS `xx_tadnews_files_center`;
CREATE TABLE `xx_tadnews_files_center` (
  `files_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `col_name` varchar(255) NOT NULL DEFAULT '',
  `col_sn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `kind` enum('img','file') NOT NULL DEFAULT 'img',
  `file_name` varchar(255) NOT NULL DEFAULT '',
  `file_type` varchar(255) NOT NULL DEFAULT '',
  `file_size` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `counter` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `original_filename` varchar(255) NOT NULL,
  `hash_filename` varchar(255) NOT NULL,
  `sub_dir` varchar(255) NOT NULL,
  PRIMARY KEY (`files_sn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_tadnews_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(1, 'news_pic', 1, 1, 'img', 'news_pic_1_1.png', 'image/png', 129709, 'width:200px; height:230px; border:0px solid #909090; background-position:left top; background-repeat:no-repeat; background-size:contain; float:left; margin:8px; ', 0, 'comingsoon.png', '1172f63ee01f9eef2584ccc2787a0717.png', '');

DROP TABLE IF EXISTS `xx_tadnews_rank`;
CREATE TABLE `xx_tadnews_rank` (
  `col_name` varchar(100) NOT NULL DEFAULT '',
  `col_sn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `rank` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `rank_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`col_name`,`col_sn`,`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tadtools_setup`;
CREATE TABLE `xx_tadtools_setup` (
  `tt_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `tt_theme` varchar(255) NOT NULL DEFAULT '',
  `tt_use_bootstrap` varchar(255) NOT NULL DEFAULT '',
  `tt_bootstrap_color` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`tt_sn`),
  UNIQUE KEY `tt_theme` (`tt_theme`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `xx_tadtools_setup` (`tt_sn`, `tt_theme`, `tt_use_bootstrap`, `tt_bootstrap_color`) VALUES(1, 'school2012', '1', 'bootstrap');
INSERT INTO `xx_tadtools_setup` (`tt_sn`, `tt_theme`, `tt_use_bootstrap`, `tt_bootstrap_color`) VALUES(2, 'school2013', '0', 'bootstrap');

DROP TABLE IF EXISTS `xx_tad_adm`;
CREATE TABLE `xx_tad_adm` (
  `uid` smallint(6) unsigned NOT NULL COMMENT 'uid',
  `email` varchar(255) NOT NULL COMMENT 'email',
  `result` varchar(255) NOT NULL COMMENT '檢查結果',
  `chk_date` datetime NOT NULL COMMENT '檢查日',
  PRIMARY KEY (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_tad_adm` (`uid`, `email`, `result`, `chk_date`) VALUES(1, 'tad0616@gmail.com', '0', '2013-10-22 11:10:08');

DROP TABLE IF EXISTS `xx_tad_book3`;
CREATE TABLE `xx_tad_book3` (
  `tbsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `tbcsn` smallint(5) unsigned NOT NULL,
  `sort` smallint(5) unsigned NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `author` varchar(255) NOT NULL DEFAULT '',
  `read_group` varchar(255) NOT NULL DEFAULT '',
  `passwd` varchar(255) NOT NULL DEFAULT '',
  `enable` enum('1','0') NOT NULL DEFAULT '1',
  `pic_name` varchar(255) NOT NULL DEFAULT '',
  `counter` smallint(5) unsigned NOT NULL,
  `create_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`tbsn`),
  KEY `tbcsn` (`tbcsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_book3_cate`;
CREATE TABLE `xx_tad_book3_cate` (
  `tbcsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `of_tbsn` smallint(5) unsigned NOT NULL,
  `sort` smallint(5) unsigned NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  PRIMARY KEY (`tbcsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_book3_docs`;
CREATE TABLE `xx_tad_book3_docs` (
  `tbdsn` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tbsn` smallint(6) unsigned NOT NULL,
  `category` tinyint(3) unsigned NOT NULL,
  `page` tinyint(3) unsigned NOT NULL,
  `paragraph` tinyint(3) unsigned NOT NULL,
  `sort` smallint(6) NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `add_date` varchar(255) NOT NULL DEFAULT '',
  `last_modify_date` varchar(255) NOT NULL DEFAULT '',
  `uid` smallint(6) NOT NULL,
  `count` smallint(6) NOT NULL,
  `enable` enum('1','0') NOT NULL DEFAULT '1',
  PRIMARY KEY (`tbdsn`),
  KEY `category` (`category`,`page`,`paragraph`),
  KEY `book_sn` (`tbdsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_cal_cate`;
CREATE TABLE `xx_tad_cal_cate` (
  `cate_sn` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '行事曆編號',
  `cate_title` varchar(255) NOT NULL COMMENT '行事曆標題',
  `cate_sort` smallint(6) unsigned NOT NULL COMMENT '行事曆排序',
  `cate_enable` enum('1','0') NOT NULL COMMENT '是否啟用',
  `cate_handle` varchar(255) NOT NULL COMMENT '遠端行事曆',
  `enable_group` varchar(255) NOT NULL COMMENT '可讀群組',
  `enable_upload_group` varchar(255) NOT NULL COMMENT '可寫群組',
  `google_id` varchar(255) NOT NULL COMMENT 'google帳號',
  `google_pass` varchar(255) NOT NULL COMMENT 'google密碼',
  `cate_bgcolor` varchar(255) NOT NULL COMMENT '背景顏色',
  `cate_color` varchar(255) NOT NULL COMMENT '前景顏色',
  PRIMARY KEY (`cate_sn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `xx_tad_cal_cate` (`cate_sn`, `cate_title`, `cate_sort`, `cate_enable`, `cate_handle`, `enable_group`, `enable_upload_group`, `google_id`, `google_pass`, `cate_bgcolor`, `cate_color`) VALUES(1, '教務行事曆', 1, '1', '', '5', '1,5', '', '', 'rgb(120, 189, 255)', 'rgb(255, 255, 255)');
INSERT INTO `xx_tad_cal_cate` (`cate_sn`, `cate_title`, `cate_sort`, `cate_enable`, `cate_handle`, `enable_group`, `enable_upload_group`, `google_id`, `google_pass`, `cate_bgcolor`, `cate_color`) VALUES(2, '訓導行事曆', 2, '1', '', '6', '1,6', '', '', 'rgb(137, 187, 0)', 'rgb(255, 255, 255)');
INSERT INTO `xx_tad_cal_cate` (`cate_sn`, `cate_title`, `cate_sort`, `cate_enable`, `cate_handle`, `enable_group`, `enable_upload_group`, `google_id`, `google_pass`, `cate_bgcolor`, `cate_color`) VALUES(3, '總務行事曆', 3, '1', '', '', '1,7', '', '', 'rgb(255, 116, 80)', 'rgb(255, 255, 255)');
INSERT INTO `xx_tad_cal_cate` (`cate_sn`, `cate_title`, `cate_sort`, `cate_enable`, `cate_handle`, `enable_group`, `enable_upload_group`, `google_id`, `google_pass`, `cate_bgcolor`, `cate_color`) VALUES(4, '輔導行事曆', 4, '1', '', '', '1,8', '', '', 'rgb(255, 44, 165)', 'rgb(255, 255, 255)');

DROP TABLE IF EXISTS `xx_tad_cal_event`;
CREATE TABLE `xx_tad_cal_event` (
  `sn` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '事件編號',
  `title` varchar(255) NOT NULL COMMENT '事件標題',
  `start` datetime NOT NULL COMMENT '事件起始時間',
  `end` datetime NOT NULL COMMENT '事件結束時間',
  `recurrence` text NOT NULL COMMENT '事件重複',
  `location` varchar(255) NOT NULL COMMENT '事件地點',
  `kind` varchar(255) NOT NULL COMMENT '事件種類',
  `details` text NOT NULL COMMENT '事件內容',
  `etag` varchar(255) NOT NULL COMMENT '事件etag',
  `id` varchar(255) NOT NULL COMMENT '事件id',
  `sequence` tinyint(3) unsigned NOT NULL COMMENT '事件排序',
  `uid` smallint(6) unsigned NOT NULL COMMENT '發布者',
  `cate_sn` smallint(6) unsigned NOT NULL COMMENT '所屬行事曆',
  `allday` enum('0','1') NOT NULL COMMENT '整天事件',
  `tag` varchar(255) NOT NULL COMMENT '標籤',
  `last_update` datetime NOT NULL COMMENT '最後更新時間',
  PRIMARY KEY (`sn`),
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_cal_repeat`;
CREATE TABLE `xx_tad_cal_repeat` (
  `sn` smallint(5) unsigned NOT NULL COMMENT '事件編號',
  `start` datetime NOT NULL COMMENT '事件起始時間',
  `end` datetime NOT NULL COMMENT '事件結束時間',
  `allday` enum('0','1') NOT NULL COMMENT '整天事件',
  UNIQUE KEY `start` (`sn`,`start`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_discuss`;
CREATE TABLE `xx_tad_discuss` (
  `DiscussID` mediumint(9) unsigned NOT NULL AUTO_INCREMENT COMMENT '編號',
  `ReDiscussID` mediumint(9) unsigned NOT NULL DEFAULT '0' COMMENT '回覆編號',
  `uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '發布者',
  `publisher` varchar(255) NOT NULL DEFAULT '' COMMENT '發布者姓名',
  `DiscussTitle` varchar(255) NOT NULL DEFAULT '' COMMENT '標題',
  `DiscussContent` text NOT NULL COMMENT '內容',
  `DiscussDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '發布時間',
  `BoardID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬討論區',
  `LastTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '最後發表時間',
  `Counter` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '人氣',
  `FromIP` varchar(255) NOT NULL DEFAULT '' COMMENT 'IP',
  `Good` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '讚',
  `Bad` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '爛',
  `onlyTo` varchar(255) NOT NULL DEFAULT '' COMMENT '悄悄話',
  PRIMARY KEY (`DiscussID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_tad_discuss` (`DiscussID`, `ReDiscussID`, `uid`, `publisher`, `DiscussTitle`, `DiscussContent`, `DiscussDate`, `BoardID`, `LastTime`, `Counter`, `FromIP`, `Good`, `Bad`, `onlyTo`) VALUES(1, 0, 1, '管理員', '歡迎使用討論區', '本討論區目前僅針對校內教職員開放，其他人員並無法看到或使用，故歡迎在此進行討論。', '2014-01-21 15:24:54', 1, '2014-01-21 15:24:54', 0, '::1', 0, 0, '');

DROP TABLE IF EXISTS `xx_tad_discuss_board`;
CREATE TABLE `xx_tad_discuss_board` (
  `BoardID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '討論版編號',
  `ofBoardID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬討論版',
  `BoardTitle` varchar(255) NOT NULL DEFAULT '' COMMENT '討論版名稱',
  `BoardDesc` text NOT NULL COMMENT '討論版說明',
  `BoardManager` varchar(255) NOT NULL DEFAULT '' COMMENT '板主',
  `BoardSort` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '討論版排序',
  `BoardEnable` enum('1','0') NOT NULL DEFAULT '1' COMMENT '狀態',
  PRIMARY KEY (`BoardID`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_tad_discuss_board` (`BoardID`, `ofBoardID`, `BoardTitle`, `BoardDesc`, `BoardManager`, `BoardSort`, `BoardEnable`) VALUES(1, 0, '校務討論區', '', '1', 0, '1');

DROP TABLE IF EXISTS `xx_tad_discuss_cbox_setup`;
CREATE TABLE `xx_tad_discuss_cbox_setup` (
  `setupID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '設定流水號',
  `setupName` varchar(255) NOT NULL DEFAULT '' COMMENT '註記',
  `setupRule` varchar(255) NOT NULL DEFAULT '' COMMENT '偵測字串',
  `BoardID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '討論版編號',
  `setupSort` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '規則優先權',
  PRIMARY KEY (`setupID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_discuss_files_center`;
CREATE TABLE `xx_tad_discuss_files_center` (
  `files_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '檔案流水號',
  `col_name` varchar(255) NOT NULL DEFAULT '' COMMENT '欄位名稱',
  `col_sn` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '欄位編號',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `kind` enum('img','file') NOT NULL DEFAULT 'img' COMMENT '檔案種類',
  `file_name` varchar(255) NOT NULL DEFAULT '' COMMENT '檔案名稱',
  `file_type` varchar(255) NOT NULL DEFAULT '' COMMENT '檔案類型',
  `file_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '檔案大小',
  `description` text NOT NULL COMMENT '檔案說明',
  `counter` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '下載人次',
  `original_filename` varchar(255) NOT NULL DEFAULT '' COMMENT '檔案名稱',
  `hash_filename` varchar(255) NOT NULL DEFAULT '' COMMENT '加密檔案名稱',
  `sub_dir` varchar(255) NOT NULL DEFAULT '' COMMENT '檔案子路徑',
  PRIMARY KEY (`files_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='tad_discuss 檔案資料表' AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_evaluation`;
CREATE TABLE `xx_tad_evaluation` (
  `evaluation_sn` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '評鑑編號',
  `evaluation_title` varchar(255) NOT NULL DEFAULT '' COMMENT '評鑑名稱',
  `evaluation_description` text NOT NULL COMMENT '評鑑說明',
  `evaluation_enable` enum('1','0') NOT NULL COMMENT '是否啟用',
  `evaluation_uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '建立者',
  `evaluation_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '建立日期',
  PRIMARY KEY (`evaluation_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_evaluation_cate`;
CREATE TABLE `xx_tad_evaluation_cate` (
  `cate_sn` smallint(6) unsigned NOT NULL COMMENT '分類編號',
  `evaluation_sn` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '評鑑編號',
  `of_cate_sn` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '父分類',
  `cate_title` varchar(255) NOT NULL DEFAULT '' COMMENT '分類名稱',
  `cate_desc` text NOT NULL COMMENT '分類說明',
  `cate_sort` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '分類排序',
  `cate_enable` enum('1','0') NOT NULL COMMENT '開放觀看',
  PRIMARY KEY (`cate_sn`,`evaluation_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_evaluation_files`;
CREATE TABLE `xx_tad_evaluation_files` (
  `file_sn` mediumint(9) unsigned NOT NULL COMMENT '檔案編號',
  `cate_sn` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬分類',
  `evaluation_sn` smallint(5) unsigned NOT NULL COMMENT '評鑑編號',
  `file_name` varchar(255) NOT NULL DEFAULT '' COMMENT '檔名',
  `file_size` mediumint(9) unsigned NOT NULL DEFAULT '0' COMMENT '檔案大小',
  `file_type` varchar(255) NOT NULL DEFAULT '' COMMENT '檔案類型',
  `file_desc` text NOT NULL COMMENT '文件說明',
  `file_enable` enum('1','0') NOT NULL COMMENT '開放觀看',
  `file_sort` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '順序',
  PRIMARY KEY (`file_sn`,`cate_sn`,`evaluation_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_faq_cate`;
CREATE TABLE `xx_tad_faq_cate` (
  `fcsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `of_fcsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `cate_pic` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`fcsn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `xx_tad_faq_cate` (`fcsn`, `of_fcsn`, `title`, `description`, `sort`, `cate_pic`) VALUES(1, 0, '教務處', '', 0, '');
INSERT INTO `xx_tad_faq_cate` (`fcsn`, `of_fcsn`, `title`, `description`, `sort`, `cate_pic`) VALUES(2, 0, '訓導處', '', 0, '');
INSERT INTO `xx_tad_faq_cate` (`fcsn`, `of_fcsn`, `title`, `description`, `sort`, `cate_pic`) VALUES(3, 0, '總務處', '', 0, '');
INSERT INTO `xx_tad_faq_cate` (`fcsn`, `of_fcsn`, `title`, `description`, `sort`, `cate_pic`) VALUES(4, 0, '輔導室', '', 0, '');

DROP TABLE IF EXISTS `xx_tad_faq_content`;
CREATE TABLE `xx_tad_faq_content` (
  `fqsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `fcsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `post_date` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `enable` enum('1','0') NOT NULL DEFAULT '1',
  `counter` smallint(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`fqsn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_tad_faq_content` (`fqsn`, `fcsn`, `title`, `sort`, `uid`, `post_date`, `content`, `enable`, `counter`) VALUES(1, 1, '如何辦理轉學事宜？', 1, 1, '2014-01-21 15:39:11', '<ol>\r\n	<li align="left"><font face="新細明體">轉入：</font><font face="新細明體">請持</font>下列二項文件洽教務處註冊組辦理：\r\n	<ul>\r\n		<li align="left"><span style="font-family:標楷體;"><font face="新細明體">原校開立之</font><u><font face="新細明體">轉學證明書</font></u><font face="新細明體">正本。</font></span></li>\r\n		<li align="left"><span style="font-family:標楷體;"><font face="新細明體">設籍本校學區之</font><u><font face="新細明體">戶口名簿</font></u><font face="新細明體">正、影本。</font></span></li>\r\n	</ul>\r\n	</li>\r\n	<li align="left"><span style="font-family:標楷體;"><font face="新細明體">轉出：</font></span><span style="font-family:標楷體;"><font face="新細明體">請持「新學校學區戶籍之戶口名簿正、影本」洽教務處註冊組辦理</font></span></li>\r\n</ol>\r\n', '1', 2);

DROP TABLE IF EXISTS `xx_tad_form_col`;
CREATE TABLE `xx_tad_form_col` (
  `csn` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `ofsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `descript` text,
  `kind` varchar(20) NOT NULL DEFAULT '',
  `size` varchar(255) NOT NULL DEFAULT '',
  `val` varchar(255) DEFAULT NULL,
  `chk` enum('1','0') DEFAULT '1',
  `func` set('sum','avg','count') DEFAULT NULL,
  `sort` tinyint(4) DEFAULT NULL,
  `public` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`csn`),
  KEY `ofsn` (`ofsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_form_fill`;
CREATE TABLE `xx_tad_form_fill` (
  `ssn` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ofsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `man_name` varchar(20) NOT NULL DEFAULT '',
  `email` varchar(50) NOT NULL DEFAULT '',
  `fill_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `result_col` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`ssn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_form_main`;
CREATE TABLE `xx_tad_form_main` (
  `ofsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `start_date` datetime DEFAULT NULL,
  `end_date` datetime DEFAULT NULL,
  `content` text,
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime DEFAULT NULL,
  `enable` enum('1','0') NOT NULL DEFAULT '1',
  `sign_group` varchar(255) NOT NULL DEFAULT '',
  `kind` varchar(255) NOT NULL DEFAULT '',
  `adm_email` varchar(255) NOT NULL DEFAULT '',
  `captcha` enum('1','0') NOT NULL DEFAULT '1',
  `show_result` enum('0','1') NOT NULL DEFAULT '0',
  `view_result_group` varchar(255) NOT NULL DEFAULT '',
  `multi_sign` enum('0','1') NOT NULL DEFAULT '0',
  PRIMARY KEY (`ofsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_form_value`;
CREATE TABLE `xx_tad_form_value` (
  `ssn` int(10) unsigned NOT NULL DEFAULT '0',
  `csn` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `val` text,
  PRIMARY KEY (`ssn`,`csn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_gallery`;
CREATE TABLE `xx_tad_gallery` (
  `sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `csn` smallint(5) unsigned NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `filename` varchar(255) NOT NULL DEFAULT '',
  `size` mediumint(8) unsigned NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT '',
  `width` smallint(5) unsigned NOT NULL,
  `height` smallint(5) unsigned NOT NULL,
  `dir` varchar(255) NOT NULL,
  `uid` smallint(5) unsigned NOT NULL,
  `post_date` varchar(255) NOT NULL DEFAULT '',
  `counter` smallint(5) unsigned NOT NULL,
  `exif` text NOT NULL,
  `tag` varchar(255) NOT NULL DEFAULT '',
  `good` enum('0','1') NOT NULL DEFAULT '0',
  `photo_sort` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`sn`),
  FULLTEXT KEY `tag` (`tag`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_gallery_cate`;
CREATE TABLE `xx_tad_gallery_cate` (
  `csn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `of_csn` smallint(5) unsigned NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `passwd` varchar(255) NOT NULL,
  `enable_group` varchar(255) NOT NULL DEFAULT '',
  `enable_upload_group` varchar(255) NOT NULL,
  `sort` smallint(5) unsigned NOT NULL,
  `mode` varchar(255) NOT NULL,
  `show_mode` varchar(255) NOT NULL,
  `cover` varchar(255) NOT NULL,
  `no_hotlink` varchar(255) NOT NULL,
  `uid` smallint(5) NOT NULL,
  PRIMARY KEY (`csn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_idioms`;
CREATE TABLE `xx_tad_idioms` (
  `sn` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '編號',
  `title` varchar(255) NOT NULL COMMENT '成語',
  `juin` varchar(255) NOT NULL COMMENT '注音',
  `mean` text NOT NULL COMMENT '解釋',
  `show_times` smallint(6) unsigned NOT NULL COMMENT '顯示次數',
  `search_times` smallint(6) unsigned NOT NULL COMMENT '被查詢次數',
  `cate` varchar(255) NOT NULL COMMENT '組別',
  PRIMARY KEY (`sn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=201 ;

INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(1, '口若懸河', 'ㄎㄡˇ ㄖㄨㄛˋ ㄒㄩㄢˊ ㄏㄜˊ', '形容人說起話來像瀑布一樣滔滔不絕，比喻人能言善辯。與「笨口拙舌、張口結舌、期期艾艾」相反。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(2, '千載難逢', 'ㄑㄧㄢ ㄗㄞˇ ㄋㄢˊ ㄈㄥˊ', '載，年的意思。千年也難遇上一次，形容機會極為難得。與「習以為常、司空見慣」相反。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(3, '一介不取', 'ㄧ ㄐㄧㄝˋ ㄅㄨˋ ㄑㄩˇ', '介，通「芥」，小草，引申微小之物；形容絲毫不取，非常廉潔。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(4, '一日三秋', 'ㄧ ㄖˋ ㄙㄢ ㄑㄧㄡ', '一天不見，如隔三年。比喻想念殷切。（註：三秋，三年）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(5, '投桃報李', 'ㄊㄡˊ ㄊㄠˊ ㄅㄠˋ ㄌㄧˇ', '比喻朋友之間友情深重，禮尚往來。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(6, '防微杜漸', 'ㄈㄤˊ ㄨㄟˊ ㄉㄨˋ ㄐㄧㄢˋ', '微，隱微。杜，堵塞、阻絕。漸，逐漸擴大。在錯誤或壞事萌芽的時候及時制止，杜絕它發展。意指謹慎地防止事物的惡化。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(7, '宜室宜家', 'ㄧˊ ㄕˋ ㄧˊ ㄐㄧㄚ', '指女子有婦德，能使家庭和樂，夫婦和諧。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(8, '謙沖自牧', 'ㄑㄧㄢ ㄔㄨㄥ ㄗˋ ㄇㄨˋ', '指人謙虛不自滿。（牧，養）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(9, '一言九鼎', 'ㄧ ㄧㄢˊ ㄐㄧㄡˇ ㄉㄧㄥˇ', '形容說話具有決定性的作用。（鼎，古代國家的寶器）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(10, '鴻鵠之志', 'ㄏㄨㄥˊ ㄏㄨˊ ㄓ ㄓˋ', '鴻鵠，天鵝，善高飛；形容遠大的志向，與「燕雀之志」相反。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(11, '疾風勁草', 'ㄐㄧˊ ㄈㄥ ㄐㄧㄥˋ ㄘㄠˇ', '喻遭遇危難，才知其節操的堅貞。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(12, '臥薪嘗膽', 'ㄨㄛˋ ㄒㄧㄣ ㄔㄤˊ ㄉㄢˇ', '躺在柴草上嘗苦膽，比喻刻苦發憤的精神。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(13, '才高八斗', 'ㄘㄞˊ ㄍㄠ ㄅㄚ ㄉㄡˇ', '又作「八斗之才」，比喻才學洋溢，超越眾人。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(14, '伯樂相馬', 'ㄅㄛˊ ㄌㄜˋ ㄒㄧㄤˋ ㄇㄚˇ', '比喻善於發現、選拔人才。（伯樂，本名孫陽，春秋秦穆公時人，以善於觀察馬著稱）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(15, '沈魚落雁', 'ㄔㄣˊ ㄩˊ ㄌㄨㄛˋ ㄧㄢˋ', '形容女子容貌美麗出眾。（「閉月羞花」、「國色天香」、「傾國傾城」皆可形容美人）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(16, '吳下阿蒙', 'ㄨˊ ㄒㄧㄚˋ ㄚˋ ㄇㄥˊ', '用以譏諷人沒有才學。（阿蒙，三國時吳國大將呂蒙）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(17, '高瞻遠矚', 'ㄍㄠ ㄓㄢ ㄩㄢˇ ㄓㄨˇ', '形容人眼光遠大。（瞻，遠望；矚，注視）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(18, '光風霽月', 'ㄍㄨㄤ ㄈㄥ ㄐㄧˋ ㄩㄝˋ', '用雨過天晴時的清風明月，比喻人坦蕩高尚的胸懷品格。（光風，雨後初晴時的和風；霽，指雨雪初晴）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(19, '口碑載道', 'ㄎㄡˇ ㄅㄟ ㄗㄞˋ ㄉㄠˋ', ' 眾人稱頌的話語，就像刻在記功碑上一樣，到處流傳。比喻廣受好評。同「有口皆碑」', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(20, '江郎才盡', 'ㄐㄧㄤ ㄌㄤˊ ㄘㄞˊ ㄐㄧㄣˋ', '南朝文學家江淹，少有文名，晚年文思漸衰。比喻才情文思的減退。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(21, '行雲流水', 'ㄒㄧㄥˊ ㄩㄣˊ ㄌㄧㄡˊ ㄕㄨㄟˇ', '比喻文章非常自然，毫不呆板。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(22, '行不由徑', 'ㄒㄧㄥˊ ㄅㄨˋ ㄧㄡˊ ㄐㄧㄥˋ', '走路不走小路。比喻人行事光明正大，心胸坦蕩磊落。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(23, '文過飾非', 'ㄨㄣˋ ㄍㄨㄛˋ ㄕˋ ㄈㄟ', '文：掩飾。飾：遮掩、偽裝。掩飾過失、錯誤。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(24, '枕石漱流', 'ㄓㄣˋ ㄕˊ ㄕㄨˋ ㄌㄧㄡˊ', '又作「枕流漱石」。以石為枕，用流水漱口。比喻過隱居的生活，或隱士情志的高潔堅貞。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(25, '千里鵝毛', 'ㄑㄧㄢ ㄌㄧˇ ㄜˊ ㄇㄠˊ', '喻禮物雖輕但情意甚重。（鵝毛，指物品微薄）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(26, '鍥而不捨', 'ㄑㄧㄝˋ ㄦˊ ㄅㄨˋ ㄕㄜˇ', '比喻做事持之以恆，堅持不懈。（鍥，雕刻；捨，停止）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(27, '空穴來風', 'ㄎㄨㄥ ㄒㄩㄝˋ ㄌㄞˊ ㄈㄥ', '比喻事出有因，流言乘隙而入；或比喻憑空捏造不實的傳言。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(28, '孜孜矻矻', 'ㄗ ㄗ ㄎㄨˋ ㄎㄨˋ', '形容人勤勉努力，不懈怠。意同「孜孜不倦」、「焚膏繼晷」、「夙夜匪懈」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(29, '寸草春暉', 'ㄘㄨㄣˋ ㄘㄠˇ ㄔㄨㄣ ㄏㄨㄟ', '比喻父母養育恩情的深重，兒女竭盡心力亦難以回報。（寸草，一寸長的小草，指兒女；春暉，春天溫暖的陽光，指父母對兒女細心的呵護與教養）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(30, '金蘭之交', 'ㄐㄧㄣ ㄌㄢˊ ㄓ ㄐㄧㄠ', '形容朋友交情的契合。（金，用以比喻其堅；蘭，比喻其香。）與「莫逆之交」、「金石之交」義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(31, '鏡花水月', 'ㄐㄧㄥˋ ㄏㄨㄚ ㄕㄨㄟˇ ㄩㄝˋ', '鏡中的影像，水裡的月亮。比喻虛幻不實在。同「鏡像水月」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(32, '讓棗推梨', 'ㄖㄤˋ ㄗㄠˇ ㄊㄨㄟ ㄌㄧˊ', '南朝梁 王泰讓棗，後漢 孔融推梨。用以稱讚兄弟之間友愛。與「兄友弟恭」義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(33, '駑馬十駕', 'ㄋㄨˊ ㄇㄚˇ ㄕˊ ㄐㄧㄚˋ', '駑，劣馬；駕，指馬車一天的行程為一駕。句謂良馬一天能跑千里之遙；劣馬雖慢，只要堅持不懈，也能跑很遠的路程。比喻平庸的人只要勤奮做事，也能有所成就。同「跬步千里」、「勤能補拙」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(34, '汲汲營營', 'ㄐㄧˊ ㄐㄧˊ ㄧㄥˊ ㄧㄥˊ', '汲汲，勤求不息；營營，追逐求取。形容人急切地奔馳追逐，以求取功名利祿。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(35, '一片冰心', 'ㄧ ㄆㄧㄢˋ ㄅㄧㄥ ㄒㄧㄣ', '又作「冰心玉壺」。冰心，心如冰般純潔清明。比喻人不慕名利，心境高潔。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(36, '蕙質蘭心', 'ㄏㄨㄟˋ ㄓˊ ㄌㄢˊ ㄒㄧㄣ', '又作「蘭質蕙心」。蘭、蕙，皆香草；心靈如蕙，品質如蘭。比喻女子心性聰慧高雅。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(37, '焚琴煮鶴', 'ㄈㄣˊ ㄑㄧㄣˊ ㄓㄨˇ ㄏㄜˋ', '把琴當柴燒，烹煮鶴來吃。比喻極殺風景的事。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(38, '班門弄斧', 'ㄅㄢ ㄇㄣˊ ㄋㄨㄥˋ ㄈㄨˇ', '班，魯班，古代春秋魯國巧匠；弄，耍弄。「班門弄斧」指在巧匠魯班門前耍弄大斧。比喻在行家面前賣弄本事，不自量力。與「量力而行、深藏不露」相反。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(39, '不世之材', 'ㄅㄨˊ ㄕˋ ㄓ ㄘㄞˊ', '不世，世上少有的，非常的。形容當世少有，極出色的人材；是推崇讚譽之詞。同「蓋世之才」（註：蓋世，超過、高出當代之上）。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(40, '劍及履及', 'ㄐㄧㄢˋ ㄐㄧˊ ㄌㄩˇ ㄐㄧˊ', '履，鞋子，做腳步解。及，到達。比喻奮起速行，指辦事效率極高。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(41, '運籌帷幄', 'ㄩㄣˋ ㄔㄡˊ ㄨㄟˊ ㄨㄛˋ', '運籌，籌謀策劃；帷幄，古時軍中帳幕。泛指善於策劃或指揮，也用以比喻居幕後策劃。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(42, '一字千金', 'ㄧ ㄗˋ ㄑㄧㄢ ㄐㄧㄣ', '一個字價值千兩黃金；形容文字價值很高。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(43, '伯仲之間', 'ㄅㄛˊ ㄓㄨㄥˋ ㄓ ㄐㄧㄢ', '比喻彼此的能力不相上下。（古代兄弟排行：伯仲叔季。以伯仲比喻差距小。）與「一時瑜亮」、「不分軒輊」、「工力悉敵」、「並駕齊驅」意思相當。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(44, '披星戴月', 'ㄆㄧ ㄒㄧㄥ ㄉㄞˋ ㄩㄝˋ', '形容早出晚歸地辛勤工作。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(45, '臨深履薄', 'ㄌㄧㄣˊ ㄕㄣ ㄌㄩˇ ㄅㄛˊ', '形容謹慎小心。（詩經：「戰戰兢兢，如臨深淵，如履薄冰」）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(46, '眾口鑠金', 'ㄓㄨㄥˋ ㄎㄡˇ ㄕㄨㄛˋ ㄐㄧㄣ', '形容輿論力量極大，可以顛倒黑白，混淆是非。（註：鑠，熔化；金，泛指金屬）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(47, '好整以暇', 'ㄏㄠˋ ㄓㄥˇ ㄧˇ ㄒㄧㄚˊ', '形容人喜愛嚴整而又能從容不迫（註：整，使齊一、有秩序；以，而）；今多用在紛亂、繁忙中顯得從容不迫的樣子。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(48, '不亢不卑', 'ㄅㄨˋ ㄎㄤˋ ㄅㄨˋ ㄅㄟ', '不高傲也不自卑。（亢：高。）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(49, '曲突徙薪', 'ㄑㄩ ㄊㄨˊ ㄒㄧˇ ㄒㄧㄣ', '突，煙囪；彎曲煙囪，移開木材。比喻在禍患未發生前，先採取防範措施，則災禍不會發生。同「防患未然」、「未雨綢繆」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(50, '未雨綢繆', 'ㄨㄟˋ ㄩˇ ㄔㄡˊ ㄇㄡˊ', '綢繆，緊密纏縛。在未下雨時把門窗綑綁牢固。比喻事先做好準備工作。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(51, '臨渴掘井', 'ㄌㄧㄣˊ ㄎㄜˇ ㄐㄩㄝˊ ㄐㄧㄥˇ', '不早作準備，事到臨頭才想辦法。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(52, '按部就班', 'ㄢˋ ㄅㄨˋ ㄐㄧㄡˋ ㄅㄢ', '部，類別；班，次序。原指寫文章時選取適當義理，加以編排順序。後指做事按照部署，依次進行。也可指依照老規矩辦事。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(53, '指鹿為馬', 'ㄓˇ ㄌㄨˋ ㄨㄟˊ ㄇㄚˇ', '明明是鹿卻說是馬。比喻公然歪曲事實。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(54, '臨淵羨魚', 'ㄌㄧㄣˊ ㄩㄢ ㄒㄧㄢˋ ㄩˊ', '比喻只作空想，難收實效。（羨，希望得到。）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(55, '美輪美奐', 'ㄇㄟˇ ㄌㄨㄣˊ ㄇㄟˇ ㄏㄨㄢˋ', '輪：高大的樣子。奐：文彩鮮明的樣子。形容房屋規模高大、裝飾華美。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(56, '奔車朽索', 'ㄅㄣ ㄔㄜ ㄒㄧㄡˇ ㄙㄨㄛˇ', '用腐朽的繩子去駕馭正在狂奔的馬車。比喻所作所為極其危險。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(57, '虎尾春冰', 'ㄏㄨˇ ㄨㄟˇ ㄔㄨㄣ ㄅㄧㄥ', '踩著老虎的尾巴，踏在春天的薄冰上，均有生命之險。形容處境十分危險。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(58, '譁眾取寵', 'ㄏㄨㄚˊ ㄓㄨㄥˋ ㄑㄩˇ ㄔㄨㄥˇ', '指用浮誇的言行以取悅大眾。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(59, '張冠李戴', 'ㄓㄤ ㄍㄨㄢ ㄌㄧˇ ㄉㄞˋ', '弄錯了對象或弄錯了事實。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(60, '削足適履', 'ㄒㄩㄝˋ ㄗㄨˊ ㄕˋ ㄌㄩˇ', '削短腳趾來配合鞋子的大小。形容勉強求合，生搬硬套，而不顧及實際狀況。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(61, '前倨後恭', 'ㄑㄧㄢˊ ㄐㄩˋ ㄏㄡˋ ㄍㄨㄥ', '倨，傲慢；先前態度傲慢，後又轉為恭敬。用以譏笑勢利的人前後態度不一。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(62, '暴殄天物', 'ㄅㄠˋ ㄊㄧㄢˇ ㄊㄧㄢ ㄨˋ', '暴，損害、糟蹋；殄，滅絕；天物，指鳥獸草木等自然界生物。殘殺滅絕自然界的生物；後泛指對物品不知愛惜，任意糟蹋。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(63, '沽名釣譽', 'ㄍㄨ ㄇㄧㄥˊ ㄉㄧㄠˋ ㄩˋ', '指人矯情造作，用手段獵取名聲或讚譽。沽，買；釣，用餌引魚上鉤。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(64, '提綱挈領', 'ㄊㄧˊ ㄍㄤ ㄑㄧㄝˋ ㄌㄧㄥˇ', '綱，魚網上的總繩；挈，提起。全句是說「提起魚網的總繩，提起衣服的領子。」比喻抓住事理的重點。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(65, '緣木求魚', 'ㄩㄢˊ ㄇㄨˋ ㄑㄧㄡˊ ㄩˊ', '緣，動詞，順著東西往上爬。比喻方法、方向錯誤，根本不可能達到目的，徒勞無功而已。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(66, '南橘北枳', 'ㄋㄢˊ ㄐㄩˊ ㄅㄟˇ ㄓˇ', '比喻生長環境的好壞影響本質的優劣。（枳，似橘而小，果實味道不同；橘生長在淮南就叫做橘子，生長在淮北就是枳。）相關語詞：「逾淮為枳」、「橘化為枳」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(67, '櫛風沐雨', 'ㄐㄧㄝˊ ㄈㄥ ㄇㄨˋ ㄩˇ', '櫛，梳理頭髮；沐，洗頭；以風梳髮，以雨洗頭；形容不避風雨，奔波勞頓。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(68, '甘之如飴', 'ㄍㄢ ㄓ ㄖㄨˊ ㄧˊ', '比喻樂於承擔艱苦的事情。（飴，糖）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(69, '亦步亦趨', 'ㄧˋ ㄅㄨˋ ㄧˋ ㄑㄩ', '步，慢步；趨，快走；原指學生緊隨老師。後來形容任何事情都模仿或追隨別人，完全沒有自己的主張。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(70, '甚囂塵上', 'ㄕㄣˋ ㄒㄧㄠ ㄔㄣˊ ㄕㄤˋ', '喧譁嘈雜，塵沙飛揚，原指軍隊作戰前的準備情況。後用「甚囂塵上」形容傳聞四起，議論紛紛；或指極為猖狂、囂張。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(71, '杯水車薪', 'ㄅㄟ ㄕㄨㄟˇ ㄐㄩ ㄒㄧㄣ', '用一杯水去救一車著火的柴草。比喻力量微小，無濟於事。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(72, '水到渠成', 'ㄕㄨㄟˇ ㄉㄠˋ ㄑㄩˊ ㄔㄥˊ', '水流到的地方，自然會形成溝渠。比喻事情條件齊全，自然成功，不必強求。「瓜熟蒂落」同義。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(73, '倒行逆施', 'ㄉㄠˋ ㄒㄧㄥˊ ㄋㄧˋ ㄕ', '比喻不按照情理行事。後用「倒行逆施」比喻胡作非為的罪惡行徑。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(74, '不忮不求', 'ㄅㄨˋ ㄓˋ ㄅㄨˋ ㄑㄧㄡˊ', '忮，嫉妒。指不嫉妒，不貪得。後來多用來形容淡泊無求，不做非分之事的處世態度。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(75, '一鼓作氣', 'ㄧ ㄍㄨˇ ㄗㄨㄛˋ ㄑㄧˋ', '意指作戰時擊第一通鼓，戰士們最能鼓足勇氣。後比喻做事時要趁著剛開始時的勇氣去做才容易成功。與「打鐵趁熱、一氣呵成」相似。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(76, '字字珠璣', 'ㄗˋ ㄗˋ ㄓㄨ ㄐㄧ', '珠璣，比喻優美的文章或詞句。形容句子或文章中遣詞用字非常優美。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(77, '披肝瀝膽', 'ㄆㄧ ㄍㄢ ㄌㄧˋ ㄉㄢˇ', '把肝膽都拿出來。比喻做人極為真誠坦白。（瀝，作「披露」、「表陳」解）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(78, '明哲保身', 'ㄇㄧㄥˊ ㄓㄜˊ ㄅㄠˇ ㄕㄣ', '形容人能迴避禍患，保全己身。（明，明於理；哲，察於事）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(79, '洞燭先機', 'ㄉㄨㄥˋ ㄓㄨˊ ㄒㄧㄢ ㄐㄧ', '表示能清楚地預見事情先兆。（洞，副詞，透徹地；燭，動詞，照見）意同「洞燭幽微」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(80, '趨之若鶩', 'ㄑㄩ ㄓ ㄖㄨㄛˋ ㄨˋ', '趨附於他的人像成群的野鴨一樣，比喻眾人爭相追逐某項事物。多用於貶義。 （鶩，野鴨）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(81, '蜚短流長', 'ㄈㄟ ㄉㄨㄢˇ ㄌㄧㄡˊ ㄔㄤˊ', '蜚，通「飛」。指無中生有，造謠生事。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(82, '高山仰止', 'ㄍㄠ ㄕㄢ ㄧㄤˇ ㄓˇ', '高山，巍峨的高山，比喻道德高尚。句謂巍峨的高山可以仰望，形容崇高的德行，令人景仰。亦作「高山仰之」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(83, '自怨自艾', 'ㄗˋ ㄩㄢˋ ㄗˋ ㄧˋ', '艾，割草，比喻改正；原指悔恨自己的錯誤，自己改正。現在多指自責悔嘆。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(84, '大快朵頤', 'ㄉㄚˋ ㄎㄨㄞˋ ㄉㄨㄛˇ ㄧˊ', '朵，動。頤，下巴。朵頤，指動著腮頰欲食的樣子。指飽食愉快的樣子。與「大飽口福」相似。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(85, '優柔寡斷', 'ㄧㄡ ㄖㄡˊ ㄍㄨㄚˇ ㄉㄨㄢˋ', '優柔，猶豫不決；寡斷，缺乏決斷力。形容做事猶豫不果決。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(86, '魚雁往返', 'ㄩˊ ㄧㄢˋ ㄨㄤˇ ㄈㄢˇ', '魚雁皆指書信。用來比喻書信往來。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(87, '頤指氣使', 'ㄧˊ ㄓˇ ㄑㄧˋ ㄕˇ', '頤，下巴；頤指，不說話而用臉部表情示意；氣使，用神情去指揮別人。形容對別人態度傲慢。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(88, '人一己百', 'ㄖㄣˊ ㄧ ㄐㄧˇ ㄅㄞˇ', '別人一學就會的事，自己就用百倍的努力做到。用以勉人力學，勤能補拙。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(89, '言簡意賅', 'ㄧㄢˊ ㄐㄧㄢˇ ㄧˋ ㄍㄞ', '賅，完備；形容說話或寫文章簡明扼要，但意義卻能包括無遺。與「言近旨遠」、「言淺意深」義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(90, '立竿見影', 'ㄌㄧˋ ㄍㄢ ㄐㄧㄢˋ ㄧㄥˇ', '比喻功效迅速。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(91, '罄竹難書', 'ㄑㄧㄥˋ ㄓㄨˊ ㄋㄢˊ ㄕㄨ', '罄，盡；竹，古代寫書的竹簡；形容罪惡極多，無法細數。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(92, '杞人憂天', 'ㄑㄧˇ ㄖㄣˊ ㄧㄡ ㄊㄧㄢ', '古時杞國有個人，成天擔心天會塌下來，因而寢食難安。後來用以比喻無謂的憂慮。與「杞天之憂、庸人自擾」相似。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(93, '馬齒徒長', 'ㄇㄚˇ ㄔˇ ㄊㄨˊ ㄓㄤˇ', '馬齒隨著年歲而增多，比喻年齡。徒長用以謙稱自己只是年齡增多，但學問沒有長進，事業無成。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(94, '麻中蓬直', 'ㄇㄚˊ ㄓㄨㄥ ㄆㄥˊ ㄓˊ', '飛蓬草生長在麻中，不用扶持也能直立生長。形容好的環境可以對人產生積極的影響。近似「近朱者赤」、「潛移默化」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(95, '牛角掛書', 'ㄋㄧㄡˊ ㄐㄧㄠˇ ㄍㄨㄚˋ ㄕㄨ', '掛書於牛角，且行且讀。形容勤苦向學。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(96, '濫竽充數', 'ㄌㄢˋ ㄩˊ ㄔㄨㄥ ㄕㄨˋ', '竽，竹製的簧管樂器；比喻沒有真才實學的人，混在行家裡面充數。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(97, '從善如流', 'ㄘㄨㄥˊ ㄕㄢˋ ㄖㄨˊ ㄌㄧㄡˊ', '表示樂於接受別人正確的意見。與「從善如登」相反。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(98, '囫圇吞棗', 'ㄏㄨˊ ㄌㄨㄣˊ ㄊㄨㄣ ㄗㄠˇ', '囫圇，完整的；比喻理解事物或學習時，不細加領悟，只是籠統含糊地接受。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(99, '如坐春風', 'ㄖㄨˊ ㄗㄨㄛˋ ㄔㄨㄣ ㄈㄥ', '好像沐浴在春風之中，意同如沐春風。比喻受到良師的諄諄教導。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(100, '耳濡目染', 'ㄦˇ ㄖㄨˊ ㄇㄨˋ ㄖㄢˇ', '濡，沾染；耳朵常聽，眼睛常看。指無形中受到影響而被同化。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(101, '一傅眾咻', 'ㄧ ㄈㄨˋ ㄓㄨㄥˋ ㄒㄧㄡ', '傅，教；咻，喧鬧；一個人教，許多人在旁喧鬧擾亂。喻學習環境的重要。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(102, '笑容可掬', 'ㄒㄧㄠˋ ㄖㄨㄥˊ ㄎㄜˇ ㄐㄩˊ', '掬，用兩手捧取。形容笑容滿面的樣子。與「喜形於色、笑逐顏開」相似。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(103, '如雷貫耳', 'ㄖㄨˊ ㄌㄟˊ ㄍㄨㄢˋ ㄦˇ', '好像雷聲傳入耳朵那樣響亮。比喻人名氣很大，眾所共聞。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(104, '望洋興嘆', 'ㄨㄤˋ ㄧㄤˊ ㄒㄧㄥ ㄊㄢˋ', '比喻因能力不足而自嘆不如或感到無可奈何。與「無可奈何」義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(105, '望其項背', 'ㄨㄤˋ ㄑㄧˊ ㄒㄧㄤˋ ㄅㄟˋ', '項，頸的後部；形容趕得上。「難以望其項背」則形容遠遠落後，比不上別人。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(106, '唾手可得', 'ㄊㄨㄛˋ ㄕㄡˇ ㄎㄜˇ ㄉㄜˊ', '往手上吐唾沫，比喻極容易取得。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(107, '胼手胝足', 'ㄆㄧㄢˊ ㄕㄡˇ ㄓ ㄗㄨˊ', '胼、胝，厚繭。手掌腳底因勞動過度，皮膚久受摩擦而產生厚繭。形容極為辛勞。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(108, '倩人捉刀', 'ㄑㄧㄢˋ ㄖㄣˊ ㄓㄨㄛ ㄉㄠ', '倩，請；捉刀，意指拿筆代寫文章，因為古代以刀削竹簡，而把文字刻在竹簡上。比喻請人代作文章。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(109, '一鳴驚人', 'ㄧ ㄇㄧㄥˊ ㄐㄧㄥ ㄖㄣˊ', '比喻平時默默無聞，潛藏才華，一旦有機會施展時，果真令人驚訝、佩服。與「庸庸碌碌、沒沒（默默）無聞」相反。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(110, '暮鼓晨鐘', 'ㄇㄨˋ ㄍㄨˇ ㄔㄣˊ ㄓㄨㄥ', '佛寺中敲鐘擊鼓以報時。原表示日子一天一天過去了，今用以比喻使人覺悟的言論；亦作「晨鐘暮鼓」。意近「當頭棒喝」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(111, '大放厥詞', 'ㄉㄚˋ ㄈㄤˋ ㄐㄩㄝˊ ㄘˊ', '指發表誇張的言詞。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(112, '邯鄲學步', 'ㄏㄢˊ ㄉㄢ ㄒㄩㄝˊ ㄅㄨˋ', '比喻學他人不成，反而失去本來的面目。（典故：壽陵少年學邯鄲人走路，他不但沒有學成，反而連自己原來的步法也忘了，結果只好爬著回去）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(113, '迴腸盪氣', 'ㄉㄤˋ ㄑㄧˋ ㄏㄨㄟˊ ㄔㄤˊ ', '形容文章或音樂感人至深，又作「盪氣迴腸」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(114, '音容宛在', 'ㄧㄣ ㄖㄨㄥˊ ㄨㄢˇ ㄗㄞˋ', '人的聲音與容貌彷若在眼前，多用於對死者的弔唁之詞。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(115, '名落孫山', 'ㄇㄧㄥˊ ㄌㄨㄛˋ ㄙㄨㄣ ㄕㄢ', '指考試或選拔未被錄取。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(116, '老嫗能解', 'ㄌㄠˇ ㄩˋ ㄋㄥˊ ㄐㄧㄝˇ', '嫗，老婦人；形容詩文的淺顯易懂。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(117, '晨昏定省', 'ㄔㄣˊ ㄏㄨㄣ ㄉㄧㄥˋ ㄒㄧㄥˇ', '子女侍奉父母的日常儀節。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(118, '按圖索驥', 'ㄢˋ ㄊㄨˊ ㄙㄨㄛˇ ㄐㄧˋ', '索，尋找；（1）比喻做事拘泥成法，不知靈活變通（2）比喻循著線索去尋找事物。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(119, '拾人牙慧', 'ㄕˊ ㄖㄣˊ ㄧㄚˊ ㄏㄨㄟˋ', '抄襲別人的語言文字。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(120, '趨庭之教', 'ㄑㄩ ㄊㄧㄥˊ ㄓ ㄐㄧㄠ ', '原指孔鯉快步穿過庭院時，孔子教兒子孔鯉學詩學禮的故事。今形容「父親對子女的教導」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(121, '春風化雨', 'ㄔㄨㄣ ㄈㄥ ㄏㄨㄚˋ ㄩˇ', '老師的教導，如和暖  的春風吹拂，如及時的雨水潤化萬物。比喻完善的教化，使人潛移默化。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(122, '不落窠臼', 'ㄅㄨˋ ㄌㄨㄛˋ ㄎㄜ ㄐㄧㄡˋ', '比喻不落俗套，有獨創風格。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(123, '拋磚引玉', 'ㄆㄠ ㄓㄨㄢ ㄧㄣˇ ㄩˋ', '比喻先以自己粗陋的見解或行動來引發別人美好的言論或行為。謙稱自己率先做事。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(124, '渾渾噩噩', 'ㄏㄨㄣˊ ㄏㄨㄣˊ ㄜˋ ㄜˋ', '渾渾，渾厚的樣子；噩噩，嚴正的樣子；句謂人渾樸天真，嚴肅敦厚。今用以形容人糊里糊塗，或對事物無所用心的樣子。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(125, '迎刃而解', 'ㄧㄥˊ ㄖㄣˋ ㄦˊ ㄐㄧㄝˇ', '迎著刀刃的竹子，會順著刀勢裂開。形容相連的事物很容易分解，亦用來比喻事情很容易處理。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(126, '鳳毛麟角', 'ㄈㄥˋ ㄇㄠˊ ㄌㄧㄣˊ ㄐㄧㄠˇ （又音）ㄈㄥˋ ㄇㄠˊ ㄌㄧㄣˊ ㄐㄩㄝˊ', '鳳凰的羽毛、麒麟的角。比喻稀罕珍貴的人、物。與「吉光片羽」、「屈指可數」、「寥若晨星」義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(127, '鞭辟入裡', 'ㄅㄧㄢ ㄅㄧˋ ㄖㄨˋ ㄌㄧˇ', '鞭，鞭策；辟，透徹。鞭策剖析到最深層，指做學問自我督策，深入精微研究。後多以之形容言辭或文章說理深刻、透徹。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(128, '擲地有聲', 'ㄓˊ ㄉㄧˋ ㄧㄡˇ ㄕㄥ', '形容文辭巧妙華美、說話音韻鏗鏘一有致。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(129, '疊床架屋', 'ㄉㄧㄝˊ ㄔㄨㄤˊ ㄐㄧㄚˋ ㄨ', '比喻一切措施，如說話、作文、設施制度等，重複其事，全無創建發明。「屋下架屋」、「床上施床」亦同。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(130, '信口雌黃', 'ㄒㄧㄣˋ ㄎㄡˇ ㄘ ㄏㄨㄤˊ', '雌黃，橙黃色礦物，古代用於塗改文字。本指有如口中含著雌黃，能隨時改正不合意的語句。後用「信口雌黃」比喻不顧事實真相，隨口亂說或妄加批評。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(131, '欲蓋彌彰', 'ㄩˋ ㄍㄞˋ ㄇㄧˊ ㄓㄤ', '形容想要掩飾過失，反而使過失更加明顯。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(132, '絃歌不輟', 'ㄒㄧㄢˊ ㄍㄜ ㄅㄨˊ ㄔㄨㄛˋ ', '絃歌，本指用絃樂器伴奏而吟詠，泛指讀書、教學活動或禮樂教化。輟，停止。句謂讀書的聲音不停；比喻（1）講習、教學活動沒有間斷（2）學風很盛。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(133, '不脛而走', 'ㄅㄨˋ ㄐㄧㄥˋ ㄦˊ ㄗㄡˇ', '脛，小腿。「不脛而走」指沒有腿也能去。比喻事物不用推廣，也能迅速傳播。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(134, '黔驢技窮', 'ㄑㄧㄢˊ ㄌㄩˊ ㄐㄧˋ ㄑㄩㄥˊ', '比喻人拙劣的技能已經使完，而終至露出無能的本質。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(135, '生靈塗炭', 'ㄕㄥ ㄌㄧㄥˊ ㄊㄨˊ ㄊㄢˋ', '生靈，百姓；塗，泥濘；炭，炭火。塗炭指像陷入水深火熱之中，處境痛苦。形容老百姓的處境極為艱難痛苦。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(136, '風行草偃', 'ㄈㄥ ㄒㄧㄥˊ ㄘㄠˇ ㄧㄢˇ', '行，移動；偃，倒伏；風一吹過，草就倒伏。形容執政者以德化民，收效快速。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(137, '沐猴而冠', 'ㄇㄨˋ ㄏㄡˊ ㄦˊ ㄍㄨㄢ', '沐猴，獼猴。「沐猴而冠」指性情急躁的獼猴學人穿戴冠帽。比喻人虛有表象，卻不脫粗鄙的本質。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(138, '摩頂放踵', 'ㄇㄛˊ ㄉㄧㄥˇ ㄈㄤˇ ㄓㄨㄥˇ', '摩，磨損；放，至；踵，腳跟。句意：從頭到腳都磨破皮。形容一個人具有熱心救世的熱誠，為了眾人奔波勞苦。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(139, '模稜兩可', 'ㄇㄛˊ ㄌㄥˊ ㄌㄧㄤˇ ㄎㄜˇ', '摸物稜角兩端，摸那一端都可以。比喻處理事情的態度含混，不表示明確的意見或主張。。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(140, '芒刺在背', 'ㄇㄤˊ ㄘˋ ㄗㄞˋ ㄅㄟˋ', '像是有許多細小的芒刺沾在背上，令人坐立難安。比喻因畏忌而極度不安。與「如坐針氈」義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(141, '三人成虎', 'ㄙㄢ ㄖㄣˊ ㄔㄥˊ ㄏㄨˇ', '比喻謠言或不實的傳聞經過多人散播，就會使人信以為真。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(142, '指桑罵槐', 'ㄓˇ ㄙㄤ ㄇㄚˋ ㄏㄨㄞˊ', '指著桑樹罵槐樹，比喻拐彎抹角的罵人。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(143, '舐犢情深', 'ㄕˋ ㄉㄨˊ ㄑㄧㄥˊ ㄕㄣ', '舐，舔；犢，小牛；比喻父母疼愛子女的深情。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(144, '慎終追遠', 'ㄕㄣˋ ㄓㄨㄥ ㄓㄨㄟ ㄩㄢˇ', '謹慎處理父母的喪事，虔誠的追念祖先。指人不忘本，是重視孝道的用語。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(145, '韜光養晦', 'ㄊㄠ ㄍㄨㄤ ㄧㄤˇ ㄏㄨㄟˋ', '韜，隱藏；晦，昏暗。比喻把聲名或才華隱藏起來不外露。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(146, '毛遂自薦', 'ㄇㄠˊ ㄙㄨㄟˋ ㄗˋ ㄐㄧㄢˋ', '毛遂，戰國趙人，為平原君食客。比喻自我推薦。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(147, '斷章取義', 'ㄉㄨㄢˋ ㄓㄤ ㄑㄩˇ ㄧˋ', '原意是取詩經的某一章來表達自己的心意。後來指：引用別人的文章或談話的片斷，而不顧及全篇內容與意思。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(148, '戰戰兢兢', 'ㄓㄢˋ ㄓㄢˋ ㄐㄧㄥ ㄐㄧㄥ', '戰戰，害怕的樣子；兢兢，小心謹慎的樣子。形容做事時戒慎惶恐的態度。與「兢兢業業」（註：業業，警惕小心的樣子 ）類似。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(149, '望塵莫及', 'ㄨㄤˋ ㄔㄣˊ ㄇㄛˋ ㄐㄧˊ', '及，達到；只見塵土飛揚而無法再趕上，指遠遠落於人後。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(150, '並駕齊驅', 'ㄅㄧㄥˋ ㄐㄧㄚˋ ㄑㄧˊ ㄑㄩ', '本指車駕並行，馬匹並排一齊奔跑。比喻彼此能力或地位，彼此相等。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(151, '東施效顰', 'ㄉㄨㄥ ㄕ ㄒㄧㄠˋ ㄆㄧㄣˊ', '效，仿效；顰，皺眉。比喻不知別人長處何在，胡亂模仿，結果適得其反。「邯鄲學步」、「畫虎類犬」義同。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(152, '刮目相看', 'ㄍㄨㄚ ㄇㄨˋ ㄒㄧㄤ ㄎㄢˋ', '又作「另眼相看」、「另眼相待」。指對方已不同往日或較別人特殊而給予與眾不同的對待。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(153, '退避三舍', 'ㄊㄨㄟˋ ㄅㄧˋ ㄙㄢ ㄕㄜˋ', '本指作戰時，退兵九十里以表退讓，後引申為對別人忍讓，不敢相爭的意思。（三舍，古時行軍三十里為一舍，三舍為九十里）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(154, '剛愎自用', 'ㄍㄤ ㄅㄧˋ ㄗˋ ㄩㄥˋ', '愎，固執己見；自用，自以為是。固執己見，專斷獨行。意同「師心自用」、「一意孤行」、「獨斷專行」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(155, '咎由自取', 'ㄐㄧㄡˋ ㄧㄡˊ ㄗˋ ㄑㄩˇ', '咎，罪過；罪過、災禍是自己招來的。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(156, '無遠弗屆', 'ㄨˊ ㄩㄢˇ ㄈㄨˊ ㄐㄧㄝˋ', '屆，到的意思；指沒有不能到達的地方。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(157, '千鈞一髮', 'ㄑㄧㄢ ㄐㄩㄣ ㄧ ㄈㄚˇ', '以一根頭髮懸吊千鈞重物，比喻情況非常危急。（鈞，古代重量單位，三十斤）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(158, '破鏡重圓', 'ㄆㄛˋ ㄐㄧㄥˋ ㄔㄨㄥˊ ㄩㄢˊ', '比喻「夫妻」離散後又再復合。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(159, '破釜沉舟', 'ㄆㄛˋ ㄈㄨˇ ㄔㄣˊ ㄓㄡ', '釜，鍋；比喻下定決心 ，只以一次機會就達到成功的目標，絕不留後路。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(160, '韋編三絕', 'ㄨㄟˊ ㄅㄧㄢ ㄙㄢ ㄐㄩㄝˊ', '韋，熟牛皮，古時用竹簡寫字，竹簡用牛皮帶編聯起來；三絕，指多次斷絕。用以形容讀書刻苦勤奮。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(161, '信誓旦旦', 'ㄒㄧㄣˋ ㄕˋ ㄉㄢˋ ㄉㄢˋ', '旦旦，誠懇的樣子，指誓言說得極為誠懇可信。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(162, '撥雲見日', 'ㄅㄛ ㄩㄣˊ ㄐㄧㄢˋ ㄖˋ', '比喻事態轉為明朗或形容境遇由壞轉好。意同「否極泰來」、「時來運轉」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(163, '中流砥柱', 'ㄓㄨㄥ ㄌㄧㄡˊ ㄉㄧˇ ㄓㄨˋ', '中流，指黃河中游；砥柱，屹立於黃河中游之山。形容人在艱難動盪的環境中能擔當大任。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(164, '車水馬龍', 'ㄔㄜ ㄕㄨㄟˇ ㄇㄚˇ ㄌㄨㄥˊ', '車像流水，馬像長龍一樣往來不絕。形容車馬往來不絕的繁華熱鬧。與「川流不息」、「熙來攘往」、「絡繹不絕」義近。（川流不息：像河裡的水流一樣連續不斷，比喻來往行人、車馬很多。）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(165, '維妙維肖', 'ㄨㄟˊ ㄇㄧㄠˋ ㄨㄟˊ ㄒㄧㄠˋ', '維，文言語助詞；妙，美、好；肖，像、逼真。形容描寫或模仿極為逼真。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(166, '滄海桑田', 'ㄘㄤ ㄏㄞˇ ㄙㄤ ㄊㄧㄢˊ', '大海變為桑田，桑田變為滄海。比喻世事變化很大。也作「滄海揚塵」、「東海揚塵」（註：海面揚塵，已經變為陸地的景象）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(167, '滄海一粟', 'ㄘㄤ ㄏㄞˇ ㄧ ㄙㄨˋ', '粟，小米；比喻人在天地間，如大海中的一粒小米粒，極其渺小。※比較「曇花（華）一現」：曇花開放幾個小時就凋謝了，形容事物出現不久就消逝，極為短暫。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(168, '年高德劭', 'ㄋㄧㄢˊ ㄍㄠ ㄉㄜˊ ㄕㄠˋ', '劭，美好。形容人年紀大而德行優美，受人尊敬。「德高望重」、「齒德俱尊」（註：齒，指年齡）義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(169, '管鮑之交', 'ㄍㄨㄢˇ ㄅㄠˋ ㄓ ㄐㄧㄠ', '春秋齊國管仲和鮑叔牙相知最深。比喻交情深厚。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(170, '既往不咎', 'ㄐㄧˋ ㄨㄤˇ ㄅㄨˋ ㄐㄧㄡˋ', '既，已經；咎，怪罪。形容對已經過去的錯事，不再追究責備。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(171, '繼往開來', 'ㄐㄧˋ ㄨㄤˇ ㄎㄞ ㄌㄞˊ', '指承繼先人的成就，開拓未來的新局面。北宋張載西銘：「為往聖繼絕學，為萬世開太平。」→譯：為古聖先賢承繼中斷的學術，為萬代子孫開創永久的太平聖世。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(172, '相形見絀', 'ㄒㄧㄤ ㄒㄧㄥˊ ㄐㄧㄢˋ ㄔㄨˋ', '相形，比較；絀，不足。表示兩相比較，顯出其中一方的拙劣。也用作謙詞。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(173, '人謀不臧', 'ㄖㄣˊ ㄇㄡˊ ㄅㄨˋ ㄗㄤ', '謀，謀畫；臧，善、好；句謂人的謀畫不妥善。常用以說明事情失敗的原因，是人為所導致，與天命毫無關係。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(174, '叱吒風雲', 'ㄔˋ ㄓㄚˋ ㄈㄥ ㄩㄣˊ', '叱吒，怒喝。一聲怒喝就能使風雲變色。形容人聲勢威力極大，能左右世局。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(175, '物換星移', 'ㄨˋ ㄏㄨㄢˋ ㄒㄧㄥ ㄧˊ', '景物變換，星辰位置移動；形容時序的變遷，人事的變化。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(176, '二八年華', 'ㄦˋ ㄅㄚ ㄋㄧㄢˊ ㄏㄨㄚˊ', '二八，即十六歲。用以形容少女正當青春美麗的時期。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(177, '明日黃花', 'ㄇㄧㄥˊ ㄖˋ ㄏㄨㄤˊ ㄏㄨㄚ', '原指時移事易，好景不常；今多比喻「過時的事物」失去了原來的意義。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(178, '膾炙人口', 'ㄎㄨㄞˋ ㄓˋ ㄖㄣˊ ㄎㄡˇ', '膾，切細的肉；炙，烤肉；二者是人人喜愛的美味。句指詩文或事物被眾人所喜愛而流傳。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(179, '道貌岸然', 'ㄉㄠˋ ㄇㄠˋ ㄢˋ ㄖㄢˊ', '神態莊嚴，一副道學家的樣子，與「嬉皮笑臉」相反；常含有譏諷的意味，指一個人表面上故作嚴肅，事實上表裡不一。（岸然，高傲威嚴的樣子）', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(180, '夜不閉戶', 'ㄧㄝˋ ㄅㄨˋ ㄅㄧˋ ㄏㄨˋ', '夜間睡覺不用關門，形容社會秩序良好安定，盜賊絕跡。同「路不拾遺」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(181, '梨園子弟', 'ㄌㄧˊ ㄩㄢˊ ㄗˇ ㄉㄧˋ', '梨園，原指唐玄宗教練歌舞藝人的地方。 後泛稱戲班為梨園；戲劇演員為「梨園子弟」或「梨園弟子」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(182, '匹夫之勇', 'ㄆㄧˇ ㄈㄨ ㄓ ㄩㄥˇ', '匹夫，一個人，泛指普通  人；形容沒有智謀，僅憑個人蠻幹的勇敢。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(183, '嘔心瀝血', 'ㄡˇ ㄒㄧㄣ ㄌㄧˋ ㄒㄩㄝˋ', '瀝，滴下。形容用盡心思腦力。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(184, '草菅人命', 'ㄘㄠˇ ㄐㄧㄢ ㄖㄣˊ ㄇㄧㄥˋ', '菅，一種野草；句謂把人命看做野草。指為政者漠視人命，任意殘害。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(185, '同舟共濟', 'ㄊㄨㄥˊ ㄓㄡ ㄍㄨㄥˋ ㄐㄧˋ', '濟，渡河。大家同坐一條船渡河，比喻利害一致、患難與共。與「風雨同舟」、「和衷共濟」、「同心協力」義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(186, '瞠目結舌', 'ㄔㄥ ㄇㄨˋ ㄐㄧㄝˊ ㄕㄜˊ', '瞪大眼睛看而說不出話來，形容受窘或驚呆的樣子。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(187, '動如參商', 'ㄉㄨㄥˋ ㄖㄨˊ ㄕㄣ ㄕㄤ', '參、商，均為二十八星宿名；參星出現在西方，商星出現在東方，兩者不能在空中同時出現。比喻分離後難以會面。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(188, '杯弓蛇影', 'ㄅㄟ ㄍㄨㄥ ㄕㄜˊ ㄧㄥˇ', '酒杯中映出弓的影子，像是有一條蛇。比喻因無中生有的疑慮自相驚擾不已。「草木皆兵」（註：把山上的草木都當作敵兵，形容極度驚恐時，疑神疑鬼的心理）義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(189, '錙銖必較', 'ㄗ ㄓㄨ ㄅㄧˋ ㄐㄧㄠˋ', '錙銖，古代重量單位；六銖為一錙，四錙為一兩；指極小的份量。用以形容對細微的事物或很少的錢財都要計較。同「斤斤計較」。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(190, '談笑風生', 'ㄊㄢˊ ㄒㄧㄠˋ ㄈㄥ ㄕㄥ', '風生，風趣四溢；句謂談話時有說有笑，興致極高而風趣。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(191, '妄自菲薄', 'ㄨㄤˋ ㄗˋ ㄈㄟˇ ㄅㄛˊ', '妄，沒根據、不實際，或做任意、輕率解。菲薄，動詞，輕視；句謂輕率地鄙視自己，形容人自輕自賤，過份地小看自己。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(192, '古道熱腸', 'ㄍㄨˇ ㄉㄠˋ ㄖㄜˋ ㄔㄤˊ', '古道，指古代敦厚純樸的道德風尚，不似今人薄情貪利。熱腸，熱心腸。形容待人厚道，真摯熱情；讚美有救助別人的美德。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(193, '病入膏肓', 'ㄅㄧㄥˋ ㄖㄨˋ ㄍㄠ ㄏㄨㄤ', '古代醫家指心尖脂肪為膏，心臟和隔膜之間為肓，認為膏肓之間為藥力所不能達到之處。句指病重到了無法醫治的地步；也比喻事態嚴重到無法挽回的程度。同「藥石無功」、「無可救藥」、「沈痾難起」（痾，病）。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(194, '野人獻曝', 'ㄧㄝˇ ㄖㄣˊ ㄒㄧㄢˋ ㄆㄨˋ', '野人，鄉野鄙夫，一般指農夫；曝，曬太陽。指平凡人所能貢獻的平凡事物，常用作提出建議時的自謙之詞，比喻所見雖然淺陋，而貢獻出於真心。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(195, '天馬行空', 'ㄊㄧㄢ ㄇㄚˇ ㄒㄧㄥˊ ㄎㄨㄥ', '天馬，神馬。行空，在天空奔馳。比喻（1）才思橫溢，氣勢豪放（2）不切實際的思想。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(196, '螳臂當車', 'ㄊㄤˊ ㄅㄧˋ ㄉㄤ ㄔㄜ', '當，同「擋」，阻擋；螳螂用前肢去阻擋車輪前進。比喻氣雄力薄，根本無濟於事；譏諷人不自量力。與「蚍蜉撼樹」、「以卵擊石」義近。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(197, '義憤填膺', 'ㄧˋ ㄈㄣˋ ㄊㄧㄢˊ ㄧㄥ', '膺，胸膛； 表示一個人為正義之不伸而激起的憤慨，充滿胸中。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(198, '進退維谷', 'ㄐㄧㄣˋ ㄊㄨㄟˋ ㄨㄟˊ ㄍㄨˇ', '形容前進後退都無路可走的困窘處境。意同「進退兩難」', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(199, '買櫝還珠', 'ㄇㄞˇ ㄉㄨˊ ㄏㄨㄢˊ ㄓㄨ', '買了裝珍珠的盒子，而把珍珠退還。後用「買櫝還珠」比喻捨本逐末，取捨失當。', 0, 0, '');
INSERT INTO `xx_tad_idioms` (`sn`, `title`, `juin`, `mean`, `show_times`, `search_times`, `cate`) VALUES(200, '門可羅雀', 'ㄇㄣˊ ㄎㄜˇ ㄌㄨㄛˊ ㄑㄩㄝˋ', '門前冷清，空曠得可張網捕雀。形容做官的人失勢後賓客稀少的景況。', 0, 0, '');

DROP TABLE IF EXISTS `xx_tad_link`;
CREATE TABLE `xx_tad_link` (
  `link_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '連結編號',
  `cate_sn` smallint(5) unsigned NOT NULL COMMENT '所屬分類',
  `link_title` varchar(255) NOT NULL COMMENT '網站名稱',
  `link_url` varchar(255) NOT NULL COMMENT '網站連結',
  `link_desc` text NOT NULL COMMENT '網站描述',
  `link_sort` smallint(5) unsigned NOT NULL COMMENT '網站排序',
  `link_counter` smallint(5) unsigned NOT NULL COMMENT '人氣',
  `unable_date` date NOT NULL DEFAULT '0000-00-00' COMMENT '下架日',
  `uid` smallint(5) unsigned NOT NULL COMMENT '發布者',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '發布日期',
  `enable` enum('1','0') NOT NULL DEFAULT '1' COMMENT '是否啟用',
  PRIMARY KEY (`link_sn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(1, 1, '十二年國民基本教育', 'http://12basic.edu.tw', '', 1, 0, '0000-00-00', 1, '2014-01-21 21:55:15', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(2, 1, '衛生福利部疾病管制署一般民眾版', 'http://www.cdc.gov.tw/', '衛生福利部疾病管制署一般民眾版', 3, 1, '0000-00-00', 1, '2014-01-21 22:05:53', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(7, 2, 'Google', 'http://www.google.com.tw', '', 7, 1, '0000-00-00', 1, '2014-01-21 22:19:37', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(3, 1, '紫錐花運動', 'http://enc.moe.edu.tw/', '紫錐花運動的訴求：反毒總動員　從校內推向社會　由國內推向國際　全球一起來。響應聯合國國際反毒日　臺灣發起紫錐花運動　邀請您　共同推廣紫錐花標幟。提升國民尊榮感 打造國家道德形象 消除人類病態文化', 2, 0, '0000-00-00', 1, '2014-01-21 21:57:51', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(4, 1, '全民資安素養自我評量首頁', 'https://isafe.moe.edu.tw/event/', '', 4, 0, '0000-00-00', 1, '2014-01-21 22:01:19', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(5, 1, '遊戲軟體分級查詢網', 'http://www.gamerating.org.tw/', '', 5, 0, '0000-00-00', 1, '2014-01-21 22:01:42', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(6, 1, '教育部 學校教育儲蓄戶', 'http://www.edusave.edu.tw/news.aspx', '', 6, 0, '0000-00-00', 1, '2014-01-21 22:02:44', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(8, 2, 'Yahoo奇摩', 'http://tw.yahoo.com', '提供最方便的網站搜尋、即時新聞、生活資訊和Yahoo奇摩服務入口。', 8, 0, '0000-00-00', 1, '2014-01-21 22:19:14', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(9, 3, '均一教育平台', 'http://www.junyiacademy.org/', '由財團法人誠致教育基金會創辦。我們的目標是透過雲端平台提供免費的『均等、一流』的教育機會給每一個人。網站初期將以小學高年級（五、六年級）的數學教學資源為先行建構的內容，未來將包含台灣一到九年級的數學課程。', 1, 0, '0000-00-00', 1, '2014-01-21 22:20:23', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(10, 3, '微學習站台', 'http://stream.kh.edu.tw/', '', 2, 1, '0000-00-00', 1, '2014-01-21 22:46:06', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(11, 2, 'YouTube', 'http://youtube.com', '與好友、家人及世界分享您的影片', 9, 0, '0000-00-00', 1, '2014-01-21 22:24:35', '1');
INSERT INTO `xx_tad_link` (`link_sn`, `cate_sn`, `link_title`, `link_url`, `link_desc`, `link_sort`, `link_counter`, `unable_date`, `uid`, `post_date`, `enable`) VALUES(12, 3, '萌典 – 教育部國語、臺語、客語辭典民間版', 'https://www.moedict.tw/', '共收錄十六萬筆國語、兩萬筆臺語、一萬四千筆客語條目，每個字詞都可以輕按連到說明，並提供 Android 及 iOS 離線 App。來源為教育部「重編國語辭典修訂本」、「臺灣閩南語常用詞辭典」、「臺灣客家語常用詞辭典」，辭典本文的著作權仍為教育部所有。', 10, 0, '0000-00-00', 1, '2014-01-21 22:43:33', '1');

DROP TABLE IF EXISTS `xx_tad_link_cate`;
CREATE TABLE `xx_tad_link_cate` (
  `cate_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '分類編號',
  `of_cate_sn` smallint(5) unsigned NOT NULL COMMENT '父分類',
  `cate_title` varchar(255) NOT NULL COMMENT '分類標題',
  `cate_sort` smallint(5) unsigned NOT NULL COMMENT '分類排序',
  PRIMARY KEY (`cate_sn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

INSERT INTO `xx_tad_link_cate` (`cate_sn`, `of_cate_sn`, `cate_title`, `cate_sort`) VALUES(1, 0, '宣導網站', 1);
INSERT INTO `xx_tad_link_cate` (`cate_sn`, `of_cate_sn`, `cate_title`, `cate_sort`) VALUES(2, 0, '常用網站', 2);
INSERT INTO `xx_tad_link_cate` (`cate_sn`, `of_cate_sn`, `cate_title`, `cate_sort`) VALUES(3, 0, '學習網站', 3);

DROP TABLE IF EXISTS `xx_tad_login_config`;
CREATE TABLE `xx_tad_login_config` (
  `config_id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `item` text NOT NULL,
  `group_id` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`config_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_login_random_pass`;
CREATE TABLE `xx_tad_login_random_pass` (
  `uname` varchar(100) NOT NULL,
  `random_pass` varchar(255) NOT NULL,
  PRIMARY KEY (`uname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_tad_login_random_pass` (`uname`, `random_pass`) VALUES('tad_tn', 'RHvCgYPuFYLXIyzVyWluMoIUdTGa38DmtlB9AvNcXvDWKC44WZDyPhlw0oGVTDhblFmobzzIHjUMfTRhOmsIkIvke8u9C6y2EPKBbCqwbSLMbnpPWlrSJXbbK02HTrcA');

DROP TABLE IF EXISTS `xx_tad_lunch2`;
CREATE TABLE `xx_tad_lunch2` (
  `lunch_sn` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '編號',
  `lunch_title` varchar(255) NOT NULL DEFAULT '' COMMENT '菜單名稱',
  `lunch_factory` varchar(255) NOT NULL DEFAULT '' COMMENT '廠商名稱',
  `lunch_dietician` varchar(255) NOT NULL DEFAULT '' COMMENT '營養師',
  `lunch_factory_tel` varchar(255) NOT NULL DEFAULT '' COMMENT '廠商電話',
  `lunch_factory_fax` varchar(255) NOT NULL DEFAULT '' COMMENT '廠商傳真',
  `lunch_factory_addr` varchar(255) NOT NULL DEFAULT '' COMMENT '廠商地址',
  PRIMARY KEY (`lunch_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_lunch2_data`;
CREATE TABLE `xx_tad_lunch2_data` (
  `lunch_data_sn` mediumint(9) unsigned NOT NULL AUTO_INCREMENT COMMENT '流水號',
  `lunch_target` varchar(255) NOT NULL DEFAULT '' COMMENT '對象',
  `lunch_sn` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '廠商',
  `lunch_date` date NOT NULL DEFAULT '0000-00-00' COMMENT '日期',
  `main_food` varchar(255) NOT NULL DEFAULT '' COMMENT '主食',
  `main_food_stuff` varchar(255) NOT NULL DEFAULT '' COMMENT '主食食材',
  `main_dish` varchar(255) NOT NULL DEFAULT '' COMMENT '主菜',
  `main_dish_stuff` varchar(255) NOT NULL DEFAULT '' COMMENT '主菜食材',
  `main_dish_cook` varchar(255) NOT NULL DEFAULT '' COMMENT '主菜烹煮方式',
  `side_dish1` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜1',
  `side_dish1_stuff` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜1食材',
  `side_dish1_cook` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜1烹煮方式',
  `side_dish2` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜2',
  `side_dish2_stuff` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜2食材',
  `side_dish2_cook` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜2烹煮方式',
  `side_dish3` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜3',
  `side_dish3_stuff` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜3食材',
  `side_dish3_cook` varchar(255) NOT NULL DEFAULT '' COMMENT '副菜3烹煮方式',
  `fruit` varchar(255) NOT NULL DEFAULT '' COMMENT '水果',
  `soup` varchar(255) NOT NULL DEFAULT '' COMMENT '湯點',
  `soup_stuff` varchar(255) NOT NULL DEFAULT '' COMMENT '湯點食材',
  `soup_cook` varchar(255) NOT NULL DEFAULT '' COMMENT '湯點烹煮方式',
  `protein` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '蛋白質',
  `fat` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '脂肪',
  `carbohydrate` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '醣類',
  `calorie` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '總熱量',
  PRIMARY KEY (`lunch_data_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_news`;
CREATE TABLE `xx_tad_news` (
  `nsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `ncsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `news_title` varchar(255) NOT NULL DEFAULT '',
  `news_content` text NOT NULL,
  `start_day` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_day` datetime DEFAULT '0000-00-00 00:00:00',
  `enable` enum('1','0') NOT NULL DEFAULT '1',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `passwd` varchar(255) NOT NULL DEFAULT '',
  `enable_group` varchar(255) NOT NULL DEFAULT '',
  `counter` smallint(5) unsigned NOT NULL DEFAULT '0',
  `prefix_tag` varchar(255) NOT NULL DEFAULT '',
  `always_top` enum('0','1') NOT NULL DEFAULT '0',
  `always_top_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `have_read_group` varchar(255) NOT NULL DEFAULT '',
  `page_sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`nsn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(1, 1, '網站建置中', '<p>歡迎使用本校網站，網站目前尚在建置中，資料會陸續上線，若有找不到的資料，歡迎留言或跟網站管理者聯繫，也歡迎您提供建議，讓本校網站更為完整並符合需求。</p>\r\n', '2014-01-07 06:19:32', '0000-00-00 00:00:00', '1', 1, '', '', 16, '6', '0', '2014-01-22 06:19:32', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(2, 8, '學校沿革', '<p>內容製作中～</p>\r\n', '2014-01-21 14:49:07', '0000-00-00 00:00:00', '1', 1, '', '', 9, '', '0', '2014-02-05 14:49:07', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(3, 8, '本校概況', '<p>內容製作中～</p>\r\n', '2014-01-21 14:51:19', '0000-00-00 00:00:00', '1', 1, '', '', 5, '', '0', '2014-02-05 14:51:19', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(4, 8, '校歌校徽', '<p>內容製作中</p>\r\n', '2014-01-21 14:51:48', '0000-00-00 00:00:00', '1', 1, '', '', 5, '', '0', '2014-02-05 14:51:48', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(5, 8, '學校位置圖', '<p>內容製作中～</p>\r\n', '2014-01-21 14:52:58', '0000-00-00 00:00:00', '1', 1, '', '', 2, '', '0', '2014-02-05 14:52:58', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(6, 9, '校長室', '<p>內容製作中～</p>\r\n', '2014-01-21 15:05:12', '0000-00-00 00:00:00', '1', 1, '', '', 1, '', '0', '2014-02-05 15:05:12', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(7, 9, '教務處', '<p>內容製作中～</p>\r\n', '2014-01-21 15:06:01', '0000-00-00 00:00:00', '1', 1, '', '', 2, '', '0', '2014-02-05 15:06:01', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(8, 9, '訓導處', '<p>內容製作中～</p>\r\n', '2014-01-21 15:06:58', '0000-00-00 00:00:00', '1', 1, '', '', 1, '', '0', '2014-02-05 15:06:58', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(9, 9, '總務處', '<p>內容製作中～</p>\r\n', '2014-01-21 15:07:28', '0000-00-00 00:00:00', '1', 1, '', '', 1, '', '0', '2014-02-05 15:07:28', '', 0);
INSERT INTO `xx_tad_news` (`nsn`, `ncsn`, `news_title`, `news_content`, `start_day`, `end_day`, `enable`, `uid`, `passwd`, `enable_group`, `counter`, `prefix_tag`, `always_top`, `always_top_date`, `have_read_group`, `page_sort`) VALUES(10, 9, '輔導室', '<p>內容製作中～</p>\r\n', '2014-01-21 15:08:04', '0000-00-00 00:00:00', '1', 1, '', '', 1, '', '0', '2014-02-05 15:08:04', '', 0);

DROP TABLE IF EXISTS `xx_tad_news_cate`;
CREATE TABLE `xx_tad_news_cate` (
  `ncsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `of_ncsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `nc_title` varchar(255) NOT NULL DEFAULT '',
  `enable_group` varchar(255) NOT NULL DEFAULT '',
  `enable_post_group` varchar(255) NOT NULL DEFAULT '',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `cate_pic` varchar(255) NOT NULL DEFAULT '',
  `not_news` enum('0','1') NOT NULL,
  `setup` text NOT NULL,
  PRIMARY KEY (`ncsn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(1, 0, '本校最新消息', '', '1,5,6,7,8', 0, '1.png', '0', '');
INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(2, 0, '校內公告', '4', '1,5,6,7,8', 0, '2.png', '0', '');
INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(3, 1, '教務', '', '1,5', 0, '3.png', '0', '');
INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(4, 1, '訓導', '', '1,6', 0, '4.png', '0', '');
INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(5, 1, '總務', '', '1,7', 0, '5.png', '0', '');
INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(6, 1, '輔導', '', '1,8', 0, '6.png', '0', '');
INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(7, 0, '榮譽榜', '', '1,5,6,7,8', 0, '7.png', '0', '');
INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(8, 0, '學校簡介', '', '1,5,6,7,8', 0, '', '1', 'title=1;tool=0;comm=0;nav=1');
INSERT INTO `xx_tad_news_cate` (`ncsn`, `of_ncsn`, `nc_title`, `enable_group`, `enable_post_group`, `sort`, `cate_pic`, `not_news`, `setup`) VALUES(9, 8, '行政組織', '', '1,5,6,7,8', 0, '', '1', 'title=1;tool=0;comm=0;nav=1');

DROP TABLE IF EXISTS `xx_tad_news_paper`;
CREATE TABLE `xx_tad_news_paper` (
  `npsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `nps_sn` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `number` smallint(5) unsigned NOT NULL DEFAULT '0',
  `np_title` varchar(255) NOT NULL DEFAULT '',
  `nsn_array` text NOT NULL,
  `np_content` text NOT NULL,
  `np_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`npsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_news_paper_email`;
CREATE TABLE `xx_tad_news_paper_email` (
  `nps_sn` smallint(6) NOT NULL DEFAULT '0',
  `email` varchar(100) NOT NULL DEFAULT '',
  `order_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`nps_sn`,`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_news_paper_send_log`;
CREATE TABLE `xx_tad_news_paper_send_log` (
  `npsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `email` varchar(100) NOT NULL DEFAULT '',
  `send_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `log` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`npsn`,`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_news_paper_setup`;
CREATE TABLE `xx_tad_news_paper_setup` (
  `nps_sn` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `head` text NOT NULL,
  `foot` text NOT NULL,
  `themes` varchar(255) NOT NULL DEFAULT '',
  `status` enum('1','0') NOT NULL DEFAULT '1',
  PRIMARY KEY (`nps_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_news_sign`;
CREATE TABLE `xx_tad_news_sign` (
  `sign_sn` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `nsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `sign_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`sign_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_news_tags`;
CREATE TABLE `xx_tad_news_tags` (
  `tag_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `tag` varchar(255) NOT NULL DEFAULT '',
  `color` varchar(255) NOT NULL DEFAULT '',
  `enable` enum('0','1') NOT NULL DEFAULT '1',
  PRIMARY KEY (`tag_sn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=10 ;

INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(1, '公告', 'blue', '1');
INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(2, '緊急', 'red', '1');
INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(3, '調查', '#663300', '1');
INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(4, '活動', '#99CC33', '1');
INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(5, '注意', '#999900', '0');
INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(6, '重要', '#0066CC', '1');
INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(7, '研習', '#006600', '1');
INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(8, '宣導', '#FF0099', '1');
INSERT INTO `xx_tad_news_tags` (`tag_sn`, `tag`, `color`, `enable`) VALUES(9, '狂賀', '#990000', '1');

DROP TABLE IF EXISTS `xx_tad_player`;
CREATE TABLE `xx_tad_player` (
  `psn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `pcsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `creator` varchar(255) NOT NULL DEFAULT '',
  `location` varchar(255) NOT NULL DEFAULT '',
  `image` varchar(255) NOT NULL DEFAULT '',
  `info` varchar(255) NOT NULL DEFAULT '',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `post_date` varchar(255) NOT NULL DEFAULT '',
  `enable_group` varchar(255) NOT NULL DEFAULT '',
  `counter` smallint(5) unsigned NOT NULL DEFAULT '0',
  `width` smallint(5) unsigned NOT NULL DEFAULT '0',
  `height` smallint(5) unsigned NOT NULL DEFAULT '0',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `content` text NOT NULL,
  `youtube` varchar(255) NOT NULL DEFAULT '',
  `logo` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`psn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_player_cate`;
CREATE TABLE `xx_tad_player_cate` (
  `pcsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `of_csn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `enable_group` varchar(255) NOT NULL DEFAULT '',
  `enable_upload_group` varchar(255) NOT NULL DEFAULT '',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `width` smallint(5) unsigned NOT NULL DEFAULT '0',
  `height` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`pcsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_player_rank`;
CREATE TABLE `xx_tad_player_rank` (
  `col_name` varchar(255) NOT NULL,
  `col_sn` smallint(5) unsigned NOT NULL,
  `rank` tinyint(3) unsigned NOT NULL,
  `uid` smallint(5) unsigned NOT NULL,
  `rank_date` datetime NOT NULL,
  PRIMARY KEY (`col_name`,`col_sn`,`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_repair`;
CREATE TABLE `xx_tad_repair` (
  `repair_sn` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '修繕編號',
  `repair_title` varchar(255) NOT NULL DEFAULT '' COMMENT '報修內容',
  `repair_content` text NOT NULL COMMENT '詳細說明',
  `repair_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '報修日期',
  `repair_status` varchar(255) NOT NULL DEFAULT '' COMMENT '嚴重status程度',
  `repair_uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '報修者',
  `unit_sn` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '通知單位',
  `fixed_uid` varchar(255) NOT NULL DEFAULT '' COMMENT '回覆者',
  `fixed_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '回覆日期',
  `fixed_status` varchar(255) NOT NULL DEFAULT '' COMMENT '處理狀況',
  `fixed_content` text NOT NULL COMMENT '回覆內容',
  PRIMARY KEY (`repair_sn`),
  KEY `unit_sn` (`unit_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_repair_unit`;
CREATE TABLE `xx_tad_repair_unit` (
  `unit_sn` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '單位編號',
  `unit_title` varchar(255) NOT NULL DEFAULT '' COMMENT '單位名稱',
  `unit_admin` text NOT NULL COMMENT '管理人員',
  PRIMARY KEY (`unit_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_rss`;
CREATE TABLE `xx_tad_rss` (
  `rss_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `url` varchar(255) NOT NULL DEFAULT '',
  `enable` enum('1','0') NOT NULL DEFAULT '1',
  PRIMARY KEY (`rss_sn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

INSERT INTO `xx_tad_rss` (`rss_sn`, `title`, `url`, `enable`) VALUES(1, '文教新聞 ', 'http://tw.news.yahoo.com/rss/art-edu', '1');
INSERT INTO `xx_tad_rss` (`rss_sn`, `title`, `url`, `enable`) VALUES(2, '親子精選文', 'http://tw.parenting.feedsportal.com/c/34791/f/641276/index.rss', '1');
INSERT INTO `xx_tad_rss` (`rss_sn`, `title`, `url`, `enable`) VALUES(3, '地球圖輯隊', 'http://world.yam.com/rss.php', '1');
INSERT INTO `xx_tad_rss` (`rss_sn`, `title`, `url`, `enable`) VALUES(4, '教育部', 'http://www.edu.tw/rss.aspx?Node=1088', '1');
INSERT INTO `xx_tad_rss` (`rss_sn`, `title`, `url`, `enable`) VALUES(5, '嘉義縣教育資訊網', 'http://www.cyc.edu.tw/backend.php', '0');

DROP TABLE IF EXISTS `xx_tad_themes`;
CREATE TABLE `xx_tad_themes` (
  `theme_id` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '佈景編號',
  `theme_name` varchar(255) NOT NULL COMMENT '佈景名稱',
  `theme_type` varchar(255) NOT NULL COMMENT '版面類型',
  `theme_width` varchar(255) NOT NULL DEFAULT '980',
  `lb_width` varchar(255) NOT NULL COMMENT '左區塊寬度',
  `rb_width` varchar(255) NOT NULL COMMENT '右區塊寬度',
  `clb_width` varchar(255) NOT NULL COMMENT '中左區塊寬度',
  `crb_width` varchar(255) NOT NULL COMMENT '中右區塊寬度',
  `lb_color` varchar(255) NOT NULL COMMENT '左區域背景色',
  `cb_color` varchar(255) NOT NULL COMMENT '中區域背景色',
  `rb_color` varchar(255) NOT NULL COMMENT '右區域背景色',
  `margin_top` varchar(255) NOT NULL COMMENT '上邊界',
  `margin_bottom` varchar(255) NOT NULL COMMENT '下邊界',
  `bg_img` varchar(255) NOT NULL COMMENT '背景圖',
  `logo_img` varchar(255) NOT NULL COMMENT 'logo圖',
  `navlogo_img` varchar(255) NOT NULL DEFAULT '',
  `bg_attachment` varchar(255) NOT NULL COMMENT '背景固定',
  `bg_color` varchar(255) NOT NULL COMMENT '背景顏色',
  `bg_position` varchar(255) NOT NULL COMMENT '背景位置',
  `bg_repeat` varchar(255) NOT NULL COMMENT '背景重複',
  `logo_top` smallint(5) unsigned NOT NULL COMMENT 'Logo離上方距離',
  `logo_right` smallint(5) unsigned NOT NULL COMMENT 'Logo離右邊距離',
  `logo_bottom` smallint(5) unsigned NOT NULL COMMENT 'Logo離下方距離',
  `logo_left` smallint(5) unsigned NOT NULL COMMENT 'Logo離左邊距離',
  `theme_enable` enum('1','0') NOT NULL COMMENT '使用狀況',
  `slide_width` varchar(255) NOT NULL COMMENT '佈景圖片寬度',
  `slide_height` varchar(255) NOT NULL COMMENT '佈景圖片高度',
  `font_size` varchar(255) NOT NULL COMMENT '文字大小',
  `font_color` varchar(255) NOT NULL COMMENT '文字顏色',
  `link_color` varchar(255) NOT NULL COMMENT '連結顏色',
  `hover_color` varchar(255) NOT NULL COMMENT '移致連結顏色',
  `theme_kind` varchar(255) NOT NULL DEFAULT 'html',
  `block_config` enum('right','left') NOT NULL DEFAULT 'right',
  `bt_text` varchar(255) NOT NULL DEFAULT '',
  `bt_text_padding` tinyint(4) NOT NULL DEFAULT '33',
  `bt_bg_color` varchar(255) NOT NULL DEFAULT '',
  `bt_bg_img` varchar(255) NOT NULL DEFAULT '',
  `bt_bg_repeat` enum('0','1') NOT NULL DEFAULT '0',
  `bt_radius` enum('0','1') NOT NULL DEFAULT '1',
  `navbar_pos` enum('navbar-fixed-top','navbar-fixed-bottom','navbar-static-top','not-use') NOT NULL,
  `navbar_bg_top` varchar(255) NOT NULL DEFAULT '#54b4eb',
  `navbar_bg_bottom` varchar(255) NOT NULL DEFAULT '#2fa4e7',
  `navbar_hover` varchar(255) NOT NULL DEFAULT '#1684c2',
  `navbar_color` varchar(255) NOT NULL DEFAULT '#FFFFFF',
  `navbar_color_hover` varchar(255) NOT NULL DEFAULT 'yellow',
  `navbar_icon` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`theme_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `xx_tad_themes` (`theme_id`, `theme_name`, `theme_type`, `theme_width`, `lb_width`, `rb_width`, `clb_width`, `crb_width`, `lb_color`, `cb_color`, `rb_color`, `margin_top`, `margin_bottom`, `bg_img`, `logo_img`, `navlogo_img`, `bg_attachment`, `bg_color`, `bg_position`, `bg_repeat`, `logo_top`, `logo_right`, `logo_bottom`, `logo_left`, `theme_enable`, `slide_width`, `slide_height`, `font_size`, `font_color`, `link_color`, `hover_color`, `theme_kind`, `block_config`, `bt_text`, `bt_text_padding`, `bt_bg_color`, `bt_bg_img`, `bt_bg_repeat`, `bt_radius`, `navbar_pos`, `navbar_bg_top`, `navbar_bg_bottom`, `navbar_hover`, `navbar_color`, `navbar_color_hover`, `navbar_icon`) VALUES(1, 'school2012', 'theme_type_1', '980', '230', '230', '49%', '49%', '#F4F4F4', '#FFFFFF', '#F4F4F4', '0', '0', 'http://localhost/themes/school2012/images/bg/158.gif', '', '', 'scroll', '', 'left top', 'repeat', 0, 0, 0, 0, '0', '980', '300', '11pt', '#111111', '#43597C', '#990000', 'html', 'right', '', 33, '', '', '0', '1', 'navbar-fixed-top', '#54b4eb', '#2fa4e7', '#1684c2', '#FFFFFF', 'yellow', '');
INSERT INTO `xx_tad_themes` (`theme_id`, `theme_name`, `theme_type`, `theme_width`, `lb_width`, `rb_width`, `clb_width`, `crb_width`, `lb_color`, `cb_color`, `rb_color`, `margin_top`, `margin_bottom`, `bg_img`, `logo_img`, `navlogo_img`, `bg_attachment`, `bg_color`, `bg_position`, `bg_repeat`, `logo_top`, `logo_right`, `logo_bottom`, `logo_left`, `theme_enable`, `slide_width`, `slide_height`, `font_size`, `font_color`, `link_color`, `hover_color`, `theme_kind`, `block_config`, `bt_text`, `bt_text_padding`, `bt_bg_color`, `bt_bg_img`, `bt_bg_repeat`, `bt_radius`, `navbar_pos`, `navbar_bg_top`, `navbar_bg_bottom`, `navbar_hover`, `navbar_color`, `navbar_color_hover`, `navbar_icon`) VALUES(2, 'school2013', 'theme_type_2', '12', '3', '3', '49%', '49%', '#F8F8F8', '#FFFFFF', '#F8F8F8', '0', '0', 'http://localhost/uploads/tad_themes/school2013/bg/ybg.png', '', '', 'scroll', '', '', 'repeat', 0, 0, 0, 0, '1', '0', '0', '11pt', '#111111', '#43597C', '#990000', 'bootstrap', 'right', '#636363', 33, 'transparent', '', '0', '0', 'not-use', '#54b4eb', '#2fa4e7', '#1684c2', '#FFFFFF', 'yellow', '');

DROP TABLE IF EXISTS `xx_tad_themes_files_center`;
CREATE TABLE `xx_tad_themes_files_center` (
  `files_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '檔案流水號',
  `col_name` varchar(255) NOT NULL COMMENT '欄位名稱',
  `col_sn` smallint(5) unsigned NOT NULL COMMENT '欄位編號',
  `sort` smallint(5) unsigned NOT NULL COMMENT '排序',
  `kind` enum('img','file') NOT NULL COMMENT '檔案種類',
  `file_name` varchar(255) NOT NULL COMMENT '檔案名稱',
  `file_type` varchar(255) NOT NULL COMMENT '檔案類型',
  `file_size` int(10) unsigned NOT NULL COMMENT '檔案大小',
  `description` text NOT NULL COMMENT '檔案說明',
  `counter` mediumint(8) unsigned NOT NULL COMMENT '下載人次',
  `original_filename` varchar(255) NOT NULL DEFAULT '',
  `hash_filename` varchar(255) NOT NULL DEFAULT '',
  `sub_dir` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`files_sn`),
  UNIQUE KEY `col_name` (`col_name`,`col_sn`,`sort`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=24 ;

INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(1, 'bg', 0, 1, 'img', '158.gif', 'image/gif', 145, '158.gif', 0, '158.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(2, 'bg', 0, 2, 'img', '419.png', 'image/png', 1616, '419.png', 0, '419.png', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(3, 'logo', 0, 1, 'img', 'logo.png', 'image/png', 37878, 'logo.png', 0, 'logo.png', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(4, 'bg', 1, 1, 'img', '158.gif', 'image/gif', 145, '158.gif', 0, '158.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(5, 'bg', 1, 2, 'img', '419.png', 'image/png', 1616, '419.png', 0, '419.png', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(6, 'logo', 1, 1, 'img', 'logo.png', 'image/png', 37878, 'logo.png', 0, 'logo.png', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(7, 'bg', 0, 3, 'img', 'bg.gif', 'image/gif', 49, 'bg.gif', 0, 'bg.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(8, 'bt_bg', 0, 1, 'img', 'green.gif', 'image/gif', 1411, 'green.gif', 0, 'green.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(9, 'bt_bg', 0, 2, 'img', 'red.gif', 'image/gif', 1403, 'red.gif', 0, 'red.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(10, 'bt_bg', 0, 3, 'img', 'blue.gif', 'image/gif', 1352, 'blue.gif', 0, 'blue.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(11, 'bt_bg', 0, 4, 'img', 'orange.gif', 'image/gif', 1406, 'orange.gif', 0, 'orange.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(12, 'bg', 2, 1, 'img', 'bg.gif', 'image/gif', 49, 'bg.gif', 0, 'bg.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(13, 'bg', 2, 2, 'img', '158.gif', 'image/gif', 145, '158.gif', 0, '158.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(14, 'bg', 2, 3, 'img', '419.png', 'image/png', 1616, '419.png', 0, '419.png', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(15, 'logo', 2, 1, 'img', 'logo.png', 'image/png', 37878, 'logo.png', 0, 'logo.png', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(16, 'bt_bg', 2, 1, 'img', 'green.gif', 'image/gif', 1411, 'green.gif', 0, 'green.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(17, 'bt_bg', 2, 2, 'img', 'red.gif', 'image/gif', 1403, 'red.gif', 0, 'red.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(18, 'bt_bg', 2, 3, 'img', 'blue.gif', 'image/gif', 1352, 'blue.gif', 0, 'blue.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(19, 'bt_bg', 2, 4, 'img', 'orange.gif', 'image/gif', 1406, 'orange.gif', 0, 'orange.gif', '', '');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(20, 'slide', 2, 1, 'img', 'slide_2_1.jpg', 'image/jpeg', 20782, '', 0, '01.jpg', '', '/school2013/slide');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(21, 'slide', 2, 2, 'img', 'slide_2_2.jpg', 'image/jpeg', 23433, '', 0, '04.jpg', '', '/school2013/slide');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(22, 'slide', 2, 3, 'img', 'slide_2_3.jpg', 'image/jpeg', 30453, '', 0, '02.jpg', '', '/school2013/slide');
INSERT INTO `xx_tad_themes_files_center` (`files_sn`, `col_name`, `col_sn`, `sort`, `kind`, `file_name`, `file_type`, `file_size`, `description`, `counter`, `original_filename`, `hash_filename`, `sub_dir`) VALUES(23, 'bg', 2, 4, 'img', 'ybg.png', 'image/png', 207, 'ybg.png', 0, 'ybg.png', 'b27c17010328d27950a11d246f4cee46.png', '/school2013/bg');

DROP TABLE IF EXISTS `xx_tad_themes_menu`;
CREATE TABLE `xx_tad_themes_menu` (
  `menuid` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `of_level` smallint(5) unsigned NOT NULL DEFAULT '0',
  `position` smallint(5) unsigned NOT NULL DEFAULT '0',
  `itemname` varchar(255) NOT NULL DEFAULT '',
  `itemurl` varchar(255) NOT NULL DEFAULT '',
  `membersonly` enum('0','1') NOT NULL,
  `status` enum('1','0') NOT NULL,
  `mainmenu` enum('0','1') NOT NULL DEFAULT '0',
  `target` varchar(255) NOT NULL DEFAULT '',
  `icon` varchar(255) NOT NULL DEFAULT 'icon-th-list',
  PRIMARY KEY (`menuid`),
  KEY `of_level` (`of_level`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=19 ;

INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(1, 0, 1, '學校簡介', '', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(2, 1, 1, '學校沿革', 'http://localhost/modules/tadnews/page.php?ncsn=8', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(3, 1, 2, '本校概況', 'http://localhost/modules/tadnews/page.php?nsn=3', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(4, 1, 3, '校歌校徽', 'http://localhost/modules/tadnews/page.php?nsn=4', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(5, 0, 2, '行政組織', '', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(6, 5, 1, '校長室', 'http://localhost/modules/tadnews/page.php?nsn=6', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(7, 5, 2, '教務處', 'http://localhost/modules/tadnews/page.php?nsn=7', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(8, 5, 3, '訓導處', 'http://localhost/modules/tadnews/page.php?nsn=8', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(9, 5, 4, '總務處', 'http://localhost/modules/tadnews/page.php?nsn=9', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(10, 5, 5, '輔導室', 'http://localhost/modules/tadnews/page.php?nsn=10', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(11, 0, 3, '校務行政', '', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(12, 11, 1, '檔案下載', '/modules/tad_uploader/', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(13, 11, 2, '維修通報', '/modules/tad_repair/', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(14, 11, 3, '各式評鑑', '/modules/tad_evaluation/', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(15, 11, 4, '營養午餐', '/modules/tad_lunch2/', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(16, 11, 5, '校內填報', '/modules/tad_form/', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(17, 11, 6, '校務行事曆', '/modules/tad_cal/', '0', '1', '', '_self', '');
INSERT INTO `xx_tad_themes_menu` (`menuid`, `of_level`, `position`, `itemname`, `itemurl`, `membersonly`, `status`, `mainmenu`, `target`, `icon`) VALUES(18, 1, 4, '學校位置圖', 'http://localhost/modules/tadnews/page.php?nsn=5', '0', '1', '', '_self', '');

DROP TABLE IF EXISTS `xx_tad_uploader`;
CREATE TABLE `xx_tad_uploader` (
  `cat_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cat_title` varchar(255) NOT NULL DEFAULT '',
  `cat_desc` text NOT NULL,
  `cat_enable` enum('1','0') NOT NULL DEFAULT '1',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `of_cat_sn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `cat_share` enum('1','0') NOT NULL DEFAULT '1',
  `cat_sort` smallint(6) NOT NULL DEFAULT '0',
  `cat_count` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`cat_sn`),
  KEY `of_cat_sn` (`of_cat_sn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

INSERT INTO `xx_tad_uploader` (`cat_sn`, `cat_title`, `cat_desc`, `cat_enable`, `uid`, `of_cat_sn`, `cat_share`, `cat_sort`, `cat_count`) VALUES(1, '教務', '', '1', 1, 0, '1', 1, 0);
INSERT INTO `xx_tad_uploader` (`cat_sn`, `cat_title`, `cat_desc`, `cat_enable`, `uid`, `of_cat_sn`, `cat_share`, `cat_sort`, `cat_count`) VALUES(2, '訓導', '', '1', 1, 0, '1', 2, 0);
INSERT INTO `xx_tad_uploader` (`cat_sn`, `cat_title`, `cat_desc`, `cat_enable`, `uid`, `of_cat_sn`, `cat_share`, `cat_sort`, `cat_count`) VALUES(3, '總務', '', '1', 1, 0, '1', 3, 0);
INSERT INTO `xx_tad_uploader` (`cat_sn`, `cat_title`, `cat_desc`, `cat_enable`, `uid`, `of_cat_sn`, `cat_share`, `cat_sort`, `cat_count`) VALUES(4, '輔導', '', '1', 1, 0, '1', 4, 0);

DROP TABLE IF EXISTS `xx_tad_uploader_dl_log`;
CREATE TABLE `xx_tad_uploader_dl_log` (
  `log_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `dl_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `from_ip` varchar(15) NOT NULL DEFAULT '',
  `cfsn` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`log_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_uploader_file`;
CREATE TABLE `xx_tad_uploader_file` (
  `cfsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `cat_sn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `cf_name` varchar(255) NOT NULL DEFAULT '',
  `cf_desc` text NOT NULL,
  `cf_type` varchar(255) NOT NULL DEFAULT '',
  `cf_size` int(11) unsigned NOT NULL DEFAULT '0',
  `cf_count` smallint(6) unsigned NOT NULL DEFAULT '0',
  `up_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `file_url` varchar(255) NOT NULL DEFAULT '',
  `cf_sort` smallint(5) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`cfsn`),
  KEY `cat_sn` (`cat_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_uploader_files_center`;
CREATE TABLE `xx_tad_uploader_files_center` (
  `files_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `col_name` varchar(255) NOT NULL DEFAULT '',
  `col_sn` smallint(5) unsigned NOT NULL DEFAULT '0',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '1',
  `kind` enum('img','file') NOT NULL DEFAULT 'img',
  `file_name` varchar(255) NOT NULL DEFAULT '',
  `file_type` varchar(255) NOT NULL DEFAULT '',
  `file_size` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `counter` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `original_filename` varchar(255) NOT NULL DEFAULT '',
  `hash_filename` varchar(255) NOT NULL DEFAULT '',
  `sub_dir` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`files_sn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web`;
CREATE TABLE `xx_tad_web` (
  `WebID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '編號',
  `CateID` smallint(6) unsigned NOT NULL DEFAULT '0',
  `WebName` varchar(255) NOT NULL DEFAULT '' COMMENT '名稱',
  `WebSort` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `WebEnable` enum('1','0') NOT NULL DEFAULT '1' COMMENT '狀態',
  `WebCounter` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '人氣',
  `WebOwner` varchar(255) NOT NULL DEFAULT '' COMMENT '擁有者',
  `WebOwnerUid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '擁有者uid',
  `WebTitle` varchar(255) NOT NULL DEFAULT '' COMMENT '全銜',
  `CreatDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `WebYear` year(4) NOT NULL DEFAULT '0000',
  PRIMARY KEY (`WebID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_action`;
CREATE TABLE `xx_tad_web_action` (
  `ActionID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '活動編號',
  `CateID` smallint(6) unsigned NOT NULL DEFAULT '0',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  `ActionName` varchar(255) NOT NULL DEFAULT '' COMMENT '活動名稱',
  `ActionDesc` text NOT NULL COMMENT '活動說明',
  `ActionDate` date NOT NULL DEFAULT '0000-00-00' COMMENT '活動日期',
  `ActionPlace` varchar(255) NOT NULL DEFAULT '' COMMENT '活動地點',
  `uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '發布者',
  `ActionCount` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '人氣',
  PRIMARY KEY (`ActionID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_cate`;
CREATE TABLE `xx_tad_web_cate` (
  `CateID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '編號',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  `CateName` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '名稱',
  `ColName` varchar(255) NOT NULL DEFAULT '' COMMENT '擁有者',
  `ColSN` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '擁有者uid',
  `CateSort` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `CateEnable` enum('1','0') NOT NULL DEFAULT '1' COMMENT '狀態',
  `CateCounter` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '人氣',
  PRIMARY KEY (`CateID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_config`;
CREATE TABLE `xx_tad_web_config` (
  `ConfigName` varchar(100) NOT NULL DEFAULT '',
  `ConfigValue` text NOT NULL,
  `ConfigSort` smallint(5) unsigned NOT NULL DEFAULT '0',
  `CateID` smallint(5) unsigned NOT NULL DEFAULT '0',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  PRIMARY KEY (`ConfigName`,`WebID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_web_discuss`;
CREATE TABLE `xx_tad_web_discuss` (
  `DiscussID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '編號',
  `ReDiscussID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '回覆編號',
  `CateID` smallint(6) unsigned NOT NULL DEFAULT '0',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  `uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT 'uid',
  `MemID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '發布者',
  `MemName` varchar(255) NOT NULL DEFAULT '' COMMENT '發布者姓名',
  `DiscussTitle` varchar(255) NOT NULL DEFAULT '' COMMENT '標題',
  `DiscussContent` text NOT NULL COMMENT '內容',
  `DiscussDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '發布時間',
  `LastTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '最後發表時間',
  `DiscussCounter` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '人氣',
  PRIMARY KEY (`DiscussID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_files`;
CREATE TABLE `xx_tad_web_files` (
  `fsn` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '檔案流水號',
  `CateID` smallint(6) unsigned NOT NULL DEFAULT '0',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  `uid` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '上傳者',
  `file_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '日期',
  PRIMARY KEY (`fsn`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_files_center`;
CREATE TABLE `xx_tad_web_files_center` (
  `files_sn` smallint(5) unsigned NOT NULL AUTO_INCREMENT COMMENT '檔案流水號',
  `col_name` varchar(255) NOT NULL DEFAULT '' COMMENT '欄位名稱',
  `col_sn` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '欄位編號',
  `sort` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `kind` enum('img','file') NOT NULL DEFAULT 'img' COMMENT '檔案種類',
  `file_name` varchar(255) NOT NULL DEFAULT '' COMMENT '檔案名稱',
  `file_type` varchar(255) NOT NULL DEFAULT '' COMMENT '檔案類型',
  `file_size` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '檔案大小',
  `description` text NOT NULL COMMENT '檔案說明',
  `counter` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '下載人次',
  `original_filename` varchar(255) NOT NULL COMMENT '檔案名稱',
  `hash_filename` varchar(255) NOT NULL COMMENT '加密檔案名稱',
  `sub_dir` varchar(255) NOT NULL COMMENT '檔案子路徑',
  PRIMARY KEY (`files_sn`),
  UNIQUE KEY `col_name` (`col_name`,`col_sn`,`sort`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_link`;
CREATE TABLE `xx_tad_web_link` (
  `LinkID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '編號',
  `CateID` smallint(6) unsigned NOT NULL DEFAULT '0',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  `LinkTitle` varchar(255) NOT NULL DEFAULT '' COMMENT '網站名稱',
  `LinkDesc` text NOT NULL COMMENT '說明',
  `LinkUrl` varchar(255) NOT NULL DEFAULT '' COMMENT '網站連結',
  `LinkCounter` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '人氣',
  `LinkSort` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '發布者',
  PRIMARY KEY (`LinkID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_link_mems`;
CREATE TABLE `xx_tad_web_link_mems` (
  `MemID` mediumint(8) unsigned NOT NULL COMMENT 'MemID',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  `MemNum` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT '座號',
  `MemSort` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '排序',
  `MemEnable` enum('1','0') NOT NULL DEFAULT '1' COMMENT '狀態',
  `top` smallint(6) NOT NULL DEFAULT '0',
  `left` smallint(6) NOT NULL DEFAULT '0',
  PRIMARY KEY (`MemID`,`WebID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `xx_tad_web_mems`;
CREATE TABLE `xx_tad_web_mems` (
  `MemID` mediumint(8) unsigned NOT NULL AUTO_INCREMENT COMMENT 'MemID',
  `MemName` varchar(255) NOT NULL DEFAULT '' COMMENT '學生姓名',
  `MemNickName` varchar(255) NOT NULL DEFAULT '' COMMENT '學生暱稱',
  `MemSex` enum('1','0') NOT NULL DEFAULT '1' COMMENT '性別',
  `MemUnicode` varchar(255) NOT NULL DEFAULT '' COMMENT '學號',
  `MemBirthday` date NOT NULL DEFAULT '0000-00-00' COMMENT '生日',
  `MemUrl` varchar(255) NOT NULL DEFAULT '' COMMENT '網址',
  `MemClassOrgan` varchar(255) NOT NULL DEFAULT '' COMMENT '職稱',
  `MemExpertises` varchar(255) NOT NULL DEFAULT '' COMMENT '專長',
  `uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT 'uid',
  `MemUname` varchar(255) NOT NULL DEFAULT '' COMMENT '帳號',
  `MemPasswd` varchar(255) NOT NULL DEFAULT '' COMMENT '密碼',
  PRIMARY KEY (`MemID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_news`;
CREATE TABLE `xx_tad_web_news` (
  `NewsID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '編號',
  `CateID` smallint(6) unsigned NOT NULL DEFAULT '0',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  `NewsTitle` varchar(255) NOT NULL DEFAULT '' COMMENT '標題',
  `NewsContent` text NOT NULL COMMENT '內容',
  `NewsDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '發布日期',
  `toCal` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT '加到行事曆',
  `NewsPlace` varchar(255) NOT NULL DEFAULT '' COMMENT '地點',
  `NewsMaster` varchar(255) NOT NULL DEFAULT '' COMMENT '主持人',
  `NewsUrl` varchar(255) NOT NULL DEFAULT '' COMMENT '相關連結',
  `NewsCounter` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '人氣',
  `NewsKind` varchar(255) NOT NULL DEFAULT '' COMMENT '文章種類',
  `uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '發布者',
  PRIMARY KEY (`NewsID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tad_web_video`;
CREATE TABLE `xx_tad_web_video` (
  `VideoID` smallint(6) unsigned NOT NULL AUTO_INCREMENT COMMENT '影片編號',
  `CateID` smallint(6) unsigned NOT NULL DEFAULT '0',
  `WebID` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '所屬班級',
  `VideoName` varchar(255) NOT NULL DEFAULT '' COMMENT '影片名稱',
  `VideoDesc` text NOT NULL COMMENT '影片說明',
  `VideoDate` date NOT NULL DEFAULT '0000-00-00' COMMENT '影片日期',
  `VideoPlace` varchar(255) NOT NULL DEFAULT '' COMMENT '影片地點',
  `uid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '發布者',
  `VideoCount` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '人氣',
  `Youtube` varchar(255) NOT NULL DEFAULT '' COMMENT 'Youtube 位址',
  PRIMARY KEY (`VideoID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_tplfile`;
CREATE TABLE `xx_tplfile` (
  `tpl_id` mediumint(7) unsigned NOT NULL AUTO_INCREMENT,
  `tpl_refid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `tpl_module` varchar(25) NOT NULL DEFAULT '',
  `tpl_tplset` varchar(50) NOT NULL DEFAULT '',
  `tpl_file` varchar(50) NOT NULL DEFAULT '',
  `tpl_desc` varchar(255) NOT NULL DEFAULT '',
  `tpl_lastmodified` int(10) unsigned NOT NULL DEFAULT '0',
  `tpl_lastimported` int(10) unsigned NOT NULL DEFAULT '0',
  `tpl_type` varchar(20) NOT NULL DEFAULT '',
  PRIMARY KEY (`tpl_id`),
  KEY `tpl_refid` (`tpl_refid`,`tpl_type`),
  KEY `tpl_tplset` (`tpl_tplset`,`tpl_file`(10))
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=453 ;

INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(1, 1, 'system', 'default', 'system_imagemanager.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(2, 1, 'system', 'default', 'system_imagemanager2.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(3, 1, 'system', 'default', 'system_userinfo.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(4, 1, 'system', 'default', 'system_userform.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(5, 1, 'system', 'default', 'system_rss.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(6, 1, 'system', 'default', 'system_redirect.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(7, 1, 'system', 'default', 'system_comment.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(8, 1, 'system', 'default', 'system_comments_flat.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(9, 1, 'system', 'default', 'system_comments_thread.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(10, 1, 'system', 'default', 'system_comments_nest.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(11, 1, 'system', 'default', 'system_siteclosed.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(12, 1, 'system', 'default', 'system_dummy.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(13, 1, 'system', 'default', 'system_notification_list.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(14, 1, 'system', 'default', 'system_notification_select.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(15, 1, 'system', 'default', 'system_block_dummy.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(16, 1, 'system', 'default', 'system_homepage.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(17, 1, 'system', 'default', 'system_bannerlogin.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(18, 1, 'system', 'default', 'system_banner.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(19, 1, 'system', 'default', 'system_bannerdisplay.html', '', 1341588017, 1341588017, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(20, 1, 'system', 'default', 'system_header.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(21, 1, 'system', 'default', 'system_banners.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(22, 1, 'system', 'default', 'system_modules.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(23, 1, 'system', 'default', 'system_modules_confirm.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(24, 1, 'system', 'default', 'system_avatars.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(25, 1, 'system', 'default', 'system_smilies.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(26, 1, 'system', 'default', 'system_blocks.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(27, 1, 'system', 'default', 'system_blocks_item.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(28, 1, 'system', 'default', 'system_comments.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(29, 1, 'system', 'default', 'system_userrank.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(30, 1, 'system', 'default', 'system_users.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(31, 1, 'system', 'default', 'system_preferences.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(32, 1, 'system', 'default', 'system_mailusers.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(33, 1, 'system', 'default', 'system_groups.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(34, 1, 'system', 'default', 'system_images.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(35, 1, 'system', 'default', 'system_templates.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(36, 1, 'system', 'default', 'system_index.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(37, 1, 'system', 'default', 'system_maintenance.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(38, 1, 'system', 'default', 'system_help.html', '', 1341588017, 1341588017, 'admin');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(39, 1, 'system', 'default', 'system_block_user.html', 'Shows user block', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(40, 2, 'system', 'default', 'system_block_login.html', 'Shows login form', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(41, 3, 'system', 'default', 'system_block_search.html', 'Shows search form block', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(42, 4, 'system', 'default', 'system_block_waiting.html', 'Shows contents waiting for approval', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(43, 5, 'system', 'default', 'system_block_mainmenu.html', 'Shows the main navigation menu of the site', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(44, 6, 'system', 'default', 'system_block_siteinfo.html', 'Shows basic info about the site and a link to Recommend Us pop up window', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(45, 7, 'system', 'default', 'system_block_online.html', 'Displays users/guests currently online', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(46, 8, 'system', 'default', 'system_block_topusers.html', 'Top posters', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(47, 9, 'system', 'default', 'system_block_newusers.html', 'Shows most recent users', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(48, 10, 'system', 'default', 'system_block_comments.html', 'Shows most recent comments', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(49, 11, 'system', 'default', 'system_block_notification.html', 'Shows notification options', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(50, 12, 'system', 'default', 'system_block_themes.html', 'Shows theme selection box', 1341588017, 1341588017, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(391, 4, 'tadtools', 'default', 'tadtools_adm_index_tpl.html', '後台主管理介面樣板。', 1390312099, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(60, 19, 'tad_themes', 'default', 'tad_themes_responsive_slider.html', '佈景首頁滑動區塊', 1390312306, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(390, 5, 'tad_adm', 'default', 'tad_adm_adm_phpini.html', 'tad_adm_adm_phpini.html', 1389593268, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(389, 5, 'tad_adm', 'default', 'tad_adm_adm_spam.html', 'tad_adm_adm_spam.html', 1389593268, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(388, 5, 'tad_adm', 'default', 'tad_adm_adm_main.html', 'tad_adm_adm_main.html', 1389593268, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(65, 20, 'tad_adm', 'default', 'tad_adm_new.html', '新的垃圾帳戶區塊', 1389593268, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(452, 3, 'tad_themes', 'default', 'tad_themes_adm_dropdown_tpl.html', 'tad_themes_adm_dropdown_tpl', 1390312306, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(451, 3, 'tad_themes', 'default', 'tad_themes_adm_main_tpl.html', 'tad_themes_adm_main_tpl', 1390312305, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(180, 14, 'logcounterx', 'default', 'report.html', 'Log Report', 1389009140, 1389009140, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(181, 14, 'logcounterx', 'default', 'logcounterx_adm_main.html', 'logcounterx_adm_main.html', 1389009140, 1389009140, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(182, 54, 'logcounterx', 'default', 'lcx_block_display.html', '顯示計數器', 1389009140, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(380, 15, 'tad_idioms', 'default', 'tad_idioms_adm_main.html', 'tad_idioms_adm_main.html', 1389343293, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(379, 15, 'tad_idioms', 'default', 'tad_idioms_index_tpl.html', 'tad_idioms_index_tpl.html', 1389343293, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(185, 56, 'tad_idioms', 'default', 'tad_idioms_show.html', '成語隨時背(tad_idioms_show)', 1389343293, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(393, 16, 'tad_login', 'default', 'tad_login_adm_main.html', 'tad_login_adm_main.html', 1390312109, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(392, 16, 'tad_login', 'default', 'tad_login_index_tpl.html', 'tad_login_index_tpl.html', 1390312109, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(188, 57, 'tad_login', 'default', 'tad_login.html', '快速登入(tad_login)', 1390312109, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(189, 17, 'mytabs', 'default', 'mytabs_admin_blocks.html', '', 1389060112, 1389060112, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(190, 17, 'mytabs', 'default', 'mytabs_admin_page.html', '', 1389060112, 1389060112, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(191, 17, 'mytabs', 'default', 'mytabs_block.html', '', 1389060112, 1389060112, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(192, 17, 'mytabs', 'default', 'mytabs_index.html', '', 1389060112, 1389060112, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(193, 17, 'mytabs', 'default', 'mytabs_about.html', '', 1389060112, 1389060112, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(194, 58, 'mytabs', 'default', 'mytabs_block_blocks.html', 'Shows dynamic content tab', 1389060113, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(195, 18, 'pm', 'default', 'pm_pmlite.html', '', 1389060124, 1389060124, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(196, 18, 'pm', 'default', 'pm_readpmsg.html', '', 1389060124, 1389060124, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(197, 18, 'pm', 'default', 'pm_viewpmsg.html', '', 1389060124, 1389060124, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(198, 19, 'profile', 'default', 'profile_breadcrumbs.html', '', 1389060135, 1389060135, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(199, 19, 'profile', 'default', 'profile_form.html', '', 1389060135, 1389060135, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(200, 19, 'profile', 'default', 'profile_admin_fieldlist.html', '', 1389060135, 1389060135, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(201, 19, 'profile', 'default', 'profile_userinfo.html', '', 1389060135, 1389060135, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(202, 19, 'profile', 'default', 'profile_admin_categorylist.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(203, 19, 'profile', 'default', 'profile_search.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(204, 19, 'profile', 'default', 'profile_results.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(205, 19, 'profile', 'default', 'profile_admin_visibility.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(206, 19, 'profile', 'default', 'profile_admin_steplist.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(207, 19, 'profile', 'default', 'profile_register.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(208, 19, 'profile', 'default', 'profile_changepass.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(209, 19, 'profile', 'default', 'profile_editprofile.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(210, 19, 'profile', 'default', 'profile_userform.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(211, 19, 'profile', 'default', 'profile_avatar.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(212, 19, 'profile', 'default', 'profile_email.html', '', 1389060136, 1389060136, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(213, 20, 'randomquote', 'default', 'randomquote_adm_main.html', 'randomquote_adm_main.html', 1389060158, 1389060158, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(214, 59, 'randomquote', 'default', 'random_quote_block.html', '隨機顯示內容', 1389060158, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(415, 21, 'tadnews', 'default', 'tadnews_adm_page_cate_tpl.html', 'tadnews_adm_page_cate_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(414, 21, 'tadnews', 'default', 'tadnews_adm_tag_tpl.html', 'tadnews_adm_tag_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(413, 21, 'tadnews', 'default', 'tadnews_adm_newspaper_tpl.html', 'tadnews_adm_newspaper_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(412, 21, 'tadnews', 'default', 'tadnews_adm_cate_tpl.html', 'tadnews_adm_cate_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(411, 21, 'tadnews', 'default', 'tadnews_adm_page_tpl.html', 'tadnews_adm_page_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(410, 21, 'tadnews', 'default', 'tadnews_adm_list_tpl.html', 'tadnews_adm_list_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(409, 21, 'tadnews', 'default', 'tadnews_newspaper_tpl.html', 'tadnews_newspaper_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(408, 21, 'tadnews', 'default', 'tadnews_index_cate_tpl.html', 'tadnews_index_cate_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(407, 21, 'tadnews', 'default', 'tadnews_index_summary_tpl.html', 'tadnews_index_summary_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(406, 21, 'tadnews', 'default', 'tadnews_page_tpl.html', 'tadnews_page_tpl.html', 1390312140, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(405, 21, 'tadnews', 'default', 'tadnews_archive_tpl.html', 'tadnews_archive_tpl.html', 1390312140, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(404, 21, 'tadnews', 'default', 'tadnews_post_tpl.html', 'tadnews_post_tpl.html', 1390312140, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(403, 21, 'tadnews', 'default', 'tadnews_rss.html', 'tadnews_rss.html', 1390312140, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(402, 21, 'tadnews', 'default', 'tadnews_news_tpl.html', 'tadnews_news_tpl.html', 1390312140, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(401, 21, 'tadnews', 'default', 'tadnews_list_tpl.html', 'tadnews_list_tpl.html', 1390312140, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(233, 60, 'tadnews', 'default', 'tadnews_cate.html', '顯示所有文章的類別', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(234, 61, 'tadnews', 'default', 'tadnews_content_block.html', '顯示文章內容', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(235, 62, 'tadnews', 'default', 'tadnews_re_block.html', '列出最新的文章評論', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(236, 63, 'tadnews', 'default', 'tadnews_newspaper.html', '讓使者訂閱電子報的區塊', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(237, 64, 'tadnews', 'default', 'tadnews_newspaper_list.html', '秀出最新的電子報', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(238, 65, 'tadnews', 'default', 'tadnews_cate_news.html', '秀出指定分類最新的新聞', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(239, 66, 'tadnews', 'default', 'tadnews_page.html', '秀出指定的自訂頁面分類所有文章標題', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(240, 67, 'tadnews', 'default', 'tadnews_focus_news.html', '可以自訂要播放哪些新聞', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(241, 68, 'tadnews', 'default', 'tadnews_my_page.html', '可以自己選定文章', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(242, 69, 'tadnews', 'default', 'tadnews_list_content_block.html', '文章標題條列式', 1390312141, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(243, 70, 'tadnews', 'default', 'tadnews_table_content_block.html', '表格佈告欄式', 1390312142, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(244, 71, 'tadnews', 'default', 'tadnews_qrcode.html', '產生連到手持裝置頁面的QR Code條碼', 1390312142, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(245, 72, 'tadnews', 'default', 'tadnews_slidernews.html', '以文章封面圖為底的滑動新聞', 1390312142, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(246, 73, 'tadnews', 'default', 'tadnews_slidernews2.html', '以文章封面圖為底的滑動新聞（可視裝置自動縮放）', 1390312142, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(247, 22, 'tad_link', 'default', 'tad_link_index_tpl.html', 'tad_link_index_tpl.html', 1389078678, 1389078678, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(248, 22, 'tad_link', 'default', 'tad_link_adm_main.html', 'tad_link_adm_main.html', 1389078678, 1389078678, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(249, 22, 'tad_link', 'default', 'tad_link_form_tpl.html', 'tad_link_form_tpl.html', 1389078678, 1389078678, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(250, 74, 'tad_link', 'default', 'tad_link_show.html', '最新好站連結(tad_link_show)', 1389078678, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(251, 75, 'tad_link', 'default', 'tad_link_all.html', '好站推薦快速連結(tad_link_all)', 1389078678, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(384, 23, 'tad_uploader', 'default', 'tad_uploader_adm_power.html', 'tad_uploader_adm_power.html', 1389343356, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(383, 23, 'tad_uploader', 'default', 'tad_uploader_adm_main.html', 'tad_uploader_adm_main.html', 1389343356, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(381, 23, 'tad_uploader', 'default', 'tad_uploader_main.html', 'tad_uploader_main.html', 1389343355, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(382, 23, 'tad_uploader', 'default', 'tad_uploader_uploads.html', 'tad_uploader_uploads.html', 1389343356, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(257, 24, 'tad_repair', 'default', 'tad_repair_index_tpl.html', 'tad_repair_index_tpl.html', 1389078716, 1389078716, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(258, 24, 'tad_repair', 'default', 'tad_repair_repair_tpl.html', 'tad_repair_repair_tpl.html', 1389078716, 1389078716, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(259, 24, 'tad_repair', 'default', 'tad_repair_adm_main.html', 'tad_repair_adm_main.html', 1389078716, 1389078716, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(260, 24, 'tad_repair', 'default', 'tad_repair_adm_unit.html', 'tad_repair_adm_unit.html', 1389078716, 1389078716, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(261, 77, 'tad_repair', 'default', 'wait_to_repair.html', '待修通報(wait_to_repair)', 1389078716, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(396, 25, 'tad_evaluation', 'default', 'tad_evaluation_index.html', 'tad_evaluation_index.html', 1390312120, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(395, 25, 'tad_evaluation', 'default', 'tad_evaluation_adm_main.html', 'tad_evaluation_adm_main.html', 1390312120, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(264, 78, 'tad_evaluation', 'default', 'tad_evaluation_block_tad_evaluation_list.html', '評鑑列表(tad_evaluation_list)', 1390312120, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(265, 26, 'tad_lunch2', 'default', 'tad_lunch2_adm_main.html', 'tad_lunch2_adm_main.html', 1389078743, 1389078743, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(266, 26, 'tad_lunch2', 'default', 'tad_lunch2_index.html', 'tad_lunch2_index.html', 1389078743, 1389078743, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(267, 79, 'tad_lunch2', 'default', 'tad_lunch2_block_tad_lunch2_show.html', '營養午餐公告(tad_lunch2_show)', 1389078743, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(431, 27, 'tad_discuss', 'default', 'tad_discuss_adm_copycbox.html', 'tad_discuss_adm_copycbox.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(430, 27, 'tad_discuss', 'default', 'tad_discuss_talk_bubble_vertical.html', 'tad_discuss_talk_bubble_vertical.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(429, 27, 'tad_discuss', 'default', 'tad_discuss_clean.html', 'tad_discuss_clean.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(428, 27, 'tad_discuss', 'default', 'tad_discuss_talk_bubble.html', 'tad_discuss_talk_bubble.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(427, 27, 'tad_discuss', 'default', 'tad_discuss_mobile.html', 'tad_discuss_mobile.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(426, 27, 'tad_discuss', 'default', 'tad_discuss_form.html', 'tad_discuss_form.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(425, 27, 'tad_discuss', 'default', 'tad_discuss_form_tpl.html', 'tad_discuss_form_tpl.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(424, 27, 'tad_discuss', 'default', 'tad_discuss_adm_spam.html', 'tad_discuss_adm_spam.html', 1390312154, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(423, 27, 'tad_discuss', 'default', 'tad_discuss_adm_copybb.html', 'tad_discuss_adm_copybb.html', 1390312154, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(422, 27, 'tad_discuss', 'default', 'tad_discuss_adm_groupperm.html', 'tad_discuss_adm_groupperm.html', 1390312154, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(421, 27, 'tad_discuss', 'default', 'tad_discuss_adm_main.html', 'tad_discuss_adm_main.html', 1390312154, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(420, 27, 'tad_discuss', 'default', 'tad_discuss_discuss_tpl.html', 'tad_discuss_discuss_tpl.html', 1390312154, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(419, 27, 'tad_discuss', 'default', 'tad_discuss_index_tpl.html', 'tad_discuss_index_tpl.html', 1390312154, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(283, 80, 'tad_discuss', 'default', 'tad_discuss_new.html', '最新討論(tad_discuss_new)', 1390312155, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(284, 81, 'tad_discuss', 'default', 'tad_discuss_hot.html', '最熱門討論(tad_discuss_hot)', 1390312155, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(285, 82, 'tad_discuss', 'default', 'tad_discuss_cbox.html', '即時留言簿(tad_discuss_cbox)', 1390312155, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(286, 28, 'tad_form', 'default', 'tad_form_index.html', 'tad_form_index.html', 1389078766, 1389078766, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(287, 28, 'tad_form', 'default', 'tad_form_adm_main.html', 'tad_form_adm_main.html', 1389078766, 1389078766, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(288, 28, 'tad_form', 'default', 'tad_form_adm_mail.html', 'tad_form_adm_mail.html', 1389078766, 1389078766, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(289, 28, 'tad_form', 'default', 'tad_form_adm_result.html', 'tad_form_adm_result.html', 1389078766, 1389078766, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(290, 28, 'tad_form', 'default', 'tad_form_adm_add.html', 'tad_form_adm_add.html', 1389078766, 1389078766, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(291, 28, 'tad_form', 'default', 'tad_form_report.html', 'tad_form_report.html', 1389078766, 1389078766, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(292, 83, 'tad_form', 'default', 'tad_form.html', '列出目前執行中的線上表單', 1389078766, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(293, 84, 'tad_form', 'default', 'tad_one_form.html', '列出指定的上表單', 1389078766, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(436, 29, 'tad_faq', 'default', 'tad_faq_index.html', 'tad_faq_index.html', 1390312165, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(435, 29, 'tad_faq', 'default', 'tad_faq_adm_power.html', 'tad_faq_adm_power.html', 1390312165, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(434, 29, 'tad_faq', 'default', 'tad_faq_adm_main.html', 'tad_faq_adm_main.html', 1390312165, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(297, 85, 'tad_faq', 'default', 'tad_faq_block.html', '會列出所有常見問題的分類', 1390312165, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(445, 30, 'tadgallery', 'default', 'tg_upload_tpl.html', 'tg_upload_tpl.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(444, 30, 'tadgallery', 'default', 'tg_list_waterfall.html', 'tg_list_waterfall.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(443, 30, 'tadgallery', 'default', 'tg_list_flickr.html', 'tg_list_flickr.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(442, 30, 'tadgallery', 'default', 'tg_list_normal.html', 'tg_list_normal.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(441, 30, 'tadgallery', 'default', 'tg_responsive_view_tpl.html', 'tg_responsive_view_tpl.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(440, 30, 'tadgallery', 'default', 'tg_author_tpl.html', 'tg_author_tpl.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(439, 30, 'tadgallery', 'default', 'tg_slideshow.html', 'tg_slideshow.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(438, 30, 'tadgallery', 'default', 'tg_passwd_form.html', 'tg_passwd_form.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(437, 30, 'tadgallery', 'default', 'tg_show_tpl.html', 'tg_show_tpl.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(309, 86, 'tadgallery', 'default', 'tadgallery_carousel.html', '可以上下移動圖片的的區塊', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(310, 87, 'tadgallery', 'default', 'tadgallery_shuffle.html', '可以抽取切換的相片', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(311, 88, 'tadgallery', 'default', 'tadgallery_show.html', '一張接著一張展示投影片', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(312, 89, 'tadgallery', 'default', 'tadgallery_cooliris.html', '3D相片牆', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(313, 90, 'tadgallery', 'default', 'tadgallery_scroller.html', '圖片會以跑馬燈的方式呈現', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(314, 91, 'tadgallery', 'default', 'tadgallery_re.html', '顯示網友針對某張相片的評論', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(315, 92, 'tadgallery', 'default', 'tadgallery_slideshow.html', '利用 Flash 來播放相片（含自動播放功能）', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(316, 93, 'tadgallery', 'default', 'tadgallery_list.html', '最傳統的縮圖列表顯示區塊', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(317, 94, 'tadgallery', 'default', 'tadgallery_marquee.html', '無縫跑馬燈區塊', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(318, 95, 'tadgallery', 'default', 'tadgallery_qrcode.html', '產生連到手持裝置頁面的QR Code條碼', 1390312177, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(319, 96, 'yaoh_light', 'default', 'yaoh_light_block_tpl.html', '使用跑馬燈的方式使他人關注某些標語或事物', 1389078798, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(320, 32, 'tad_web', 'default', 'tad_web_adm_main.html', 'tad_web_adm_main.html', 1389078809, 1389078809, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(321, 32, 'tad_web', 'default', 'tad_web_index_tpl.html', 'tad_web_index_tpl.html', 1389078809, 1389078809, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(322, 32, 'tad_web', 'default', 'tad_web_header.html', 'tad_web_header.html', 1389078809, 1389078809, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(323, 32, 'tad_web', 'default', 'tad_web_aboutus_tpl.html', 'tad_web_aboutus_tpl.html', 1389078809, 1389078809, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(324, 32, 'tad_web', 'default', 'tad_web_news_tpl.html', 'tad_web_news_tpl.html', 1389078809, 1389078809, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(325, 32, 'tad_web', 'default', 'tad_web_common_news.html', 'tad_web_common_news.html', 1389078809, 1389078809, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(326, 32, 'tad_web', 'default', 'tad_web_file_tpl.html', 'tad_web_file_tpl.html', 1389078809, 1389078809, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(327, 32, 'tad_web', 'default', 'tad_web_common_files.html', 'tad_web_common_files.html', 1389078809, 1389078809, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(328, 32, 'tad_web', 'default', 'tad_web_action_tpl.html', 'tad_web_action_tpl.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(329, 32, 'tad_web', 'default', 'tad_web_common_action.html', 'tad_web_common_action.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(330, 32, 'tad_web', 'default', 'tad_web_discuss_tpl.html', 'tad_web_discuss_tpl.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(331, 32, 'tad_web', 'default', 'tad_web_common_discuss.html', 'tad_web_common_discuss.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(332, 32, 'tad_web', 'default', 'tad_web_link_tpl.html', 'tad_web_link_tpl.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(333, 32, 'tad_web', 'default', 'tad_web_common_link.html', 'tad_web_common_link.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(334, 32, 'tad_web', 'default', 'tad_web_video_tpl.html', 'tad_web_video_tpl.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(335, 32, 'tad_web', 'default', 'tad_web_common_video.html', 'tad_web_common_video.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(336, 32, 'tad_web', 'default', 'tad_web_calendar_tpl.html', 'tad_web_calendar_tpl.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(337, 32, 'tad_web', 'default', 'tad_web_common_homework.html', 'tad_web_common_homework.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(338, 32, 'tad_web', 'default', 'tad_web_common_aboutus.html', 'tad_web_common_aboutus.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(339, 32, 'tad_web', 'default', 'tad_web_adm.html', 'tad_web_adm.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(340, 32, 'tad_web', 'default', 'tad_web_config.html', 'tad_web_config.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(341, 32, 'tad_web', 'default', 'tad_web_discuss_login_tpl.html', 'tad_web_discuss_login_tpl.html', 1389078810, 1389078810, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(342, 97, 'tad_web', 'default', 'tad_web_menu.html', '選單', 1389078810, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(343, 98, 'tad_web', 'default', 'tad_web_list.html', '列出所有個人網頁的選單', 1389078810, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(344, 99, 'tad_web', 'default', 'tad_web_image.html', '活動剪影', 1389078810, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(450, 33, 'tad_rss', 'default', 'tad_rss_adm_main.html', 'tad_rss_adm_main.html', 1390312187, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(449, 33, 'tad_rss', 'default', 'tad_rss_index_tpl.html', 'tad_rss_index_tpl.html', 1390312187, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(347, 100, 'tad_rss', 'default', 'tad_rss_show.html', '友站消息(tad_rss_show)', 1390312187, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(348, 34, 'tad_player', 'default', 'tp_adm_main.html', 'tp_adm_main.html', 1389078831, 1389078831, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(349, 34, 'tad_player', 'default', 'tp_adm_cate.html', 'tp_adm_cate.html', 1389078831, 1389078831, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(350, 34, 'tad_player', 'default', 'tp_main_tpl.html', 'tp_main_tpl.html', 1389078831, 1389078831, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(351, 34, 'tad_player', 'default', 'tp_play_tpl.html', 'tp_play_tpl.html', 1389078831, 1389078831, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(352, 34, 'tad_player', 'default', 'tp_upload_tpl.html', 'tp_upload_tpl.html', 1389078831, 1389078831, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(353, 101, 'tad_player', 'default', 'tad_player.html', '可指定某一影音檔案來播放', 1389078831, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(354, 102, 'tad_player', 'default', 'tad_new_media.html', '播放新進的影音檔案', 1389078831, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(355, 103, 'tad_player', 'default', 'tad_hot_media.html', '播放熱門的影音檔案', 1389078831, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(356, 104, 'tad_player', 'default', 'tad_play_list.html', '播放某個分類的影音檔案', 1389078831, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(357, 105, 'tad_player', 'default', 'tad_play_qrcode.html', '產生連到手持裝置頁面的QR Code條碼', 1389078831, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(400, 35, 'tad_cal', 'default', 'tad_cal_download_tpl.html', 'tad_cal_download_tpl.html', 1390312130, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(399, 35, 'tad_cal', 'default', 'tad_cal_adm_main.html', 'tad_cal_adm_main.html', 1390312130, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(398, 35, 'tad_cal', 'default', 'tad_cal_event_tpl.html', 'tad_cal_event_tpl.html', 1390312130, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(397, 35, 'tad_cal', 'default', 'tad_cal_index_tpl.html', 'tad_cal_index_tpl.html', 1390312130, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(362, 106, 'tad_cal', 'default', 'tad_cal_calendar.html', '小行事曆(tad_cal_calendar)', 1390312130, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(363, 107, 'tad_cal', 'default', 'tad_cal_list.html', '近期事項(tad_cal_list)', 1390312130, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(364, 36, 'tad_book3', 'default', 'tadbook3_index.html', 'tadbook3_index.html', 1389078851, 1389078851, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(365, 36, 'tad_book3', 'default', 'tadbook3_page.html', 'tadbook3_page.html', 1389078851, 1389078851, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(366, 36, 'tad_book3', 'default', 'tadbook3_post.html', 'tadbook3_post.html', 1389078851, 1389078851, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(367, 36, 'tad_book3', 'default', 'tadbook3_adm_main.html', 'tadbook3_adm_main.html', 1389078851, 1389078851, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(368, 36, 'tad_book3', 'default', 'tadbook3_adm_cate.html', 'tadbook3_adm_cate.html', 1389078851, 1389078851, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(369, 108, 'tad_book3', 'default', 'tad_book3_random.html', '會隨機出現書的封面', 1389078851, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(370, 109, 'tad_book3', 'default', 'tad_book3_new_doc.html', '會列出最新發表的文章', 1389078851, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(371, 110, 'tad_book3', 'default', 'tad_book3_list.html', '把所有的書以文字列出', 1389078851, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(372, 111, 'tad_book3', 'default', 'tad_book3_index.html', '會自動偵測目前閱讀的書籍，並秀出該書目錄', 1389078851, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(373, 112, 'tad_book3', 'default', 'tad_book3_qrcode.html', '產生連到手持裝置頁面的QR Code條碼', 1389078851, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(378, 114, 'tad_uploader', 'default', 'tad_uploader_block_1.html', '最新上傳的檔案', 1389343356, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(387, 113, 'tad_rss', 'default', 'tad_rss_show.html', '友站消息(tad_rss_show)', 1390312187, 0, 'block');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(394, 16, 'tad_login', 'default', 'tad_login_adm_fb.html', 'tad_login_adm_fb.html', 1390312109, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(416, 21, 'tadnews', 'default', 'tadnews_page_list_tpl.html', 'tadnews_page_list_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(417, 21, 'tadnews', 'default', 'tadnews_sign_tpl.html', 'tadnews_sign_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(418, 21, 'tadnews', 'default', 'tadnews_my_news_tpl.html', 'tadnews_my_news_tpl.html', 1390312141, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(432, 27, 'tad_discuss', 'default', 'tad_discuss_adm_cbox_setup.html', 'tad_discuss_adm_cbox_setup.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(433, 27, 'tad_discuss', 'default', 'tad_discuss_bootstrap.html', 'tad_discuss_bootstrap.html', 1390312155, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(446, 30, 'tadgallery', 'default', 'tg_adm_main_tpl.html', 'tg_adm_main_tpl.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(447, 30, 'tadgallery', 'default', 'tg_adm_cate_tpl.html', 'tg_adm_cate_tpl.html', 1390312176, 0, 'module');
INSERT INTO `xx_tplfile` (`tpl_id`, `tpl_refid`, `tpl_module`, `tpl_tplset`, `tpl_file`, `tpl_desc`, `tpl_lastmodified`, `tpl_lastimported`, `tpl_type`) VALUES(448, 30, 'tadgallery', 'default', 'tg_albums.html', 'tg_albums.html', 1390312176, 0, 'module');

DROP TABLE IF EXISTS `xx_tplset`;
CREATE TABLE `xx_tplset` (
  `tplset_id` int(7) unsigned NOT NULL AUTO_INCREMENT,
  `tplset_name` varchar(50) NOT NULL DEFAULT '',
  `tplset_desc` varchar(255) NOT NULL DEFAULT '',
  `tplset_credits` text,
  `tplset_created` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`tplset_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

INSERT INTO `xx_tplset` (`tplset_id`, `tplset_name`, `tplset_desc`, `tplset_credits`, `tplset_created`) VALUES(1, 'default', 'XOOPS Default Template Set', '', 1341588017);

DROP TABLE IF EXISTS `xx_tplsource`;
CREATE TABLE `xx_tplsource` (
  `tpl_id` mediumint(7) unsigned NOT NULL DEFAULT '0',
  `tpl_source` mediumtext,
  KEY `tpl_id` (`tpl_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(1, '<!DOCTYPE html PUBLIC ''-//W3C//DTD XHTML 1.0 Transitional//EN'' ''http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd''>\r\n<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<{$xoops_langcode}>" lang="<{$xoops_langcode}>">\r\n<head>\r\n<meta http-equiv="content-type" content="text/html; charset=<{$xoops_charset}>" />\r\n<meta http-equiv="content-language" content="<{$xoops_langcode}>" />\r\n<title><{$sitename}> <{$lang_imgmanager}></title>\r\n<script type="text/javascript">\r\n<!--//\r\nfunction appendCode(addCode) {\r\n	var targetDom = window.opener.xoopsGetElementById(''<{$target}>'');\r\n	if (targetDom.createTextRange && targetDom.caretPos){\r\n  		var caretPos = targetDom.caretPos;\r\n		caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == '' '' ? addCode + '' '' : addCode;  \r\n	} else if (targetDom.getSelection && targetDom.caretPos) {\r\n		var caretPos = targetDom.caretPos;\r\n		caretPos.text = caretPos.text.charat(caretPos.text.length - 1) == '' '' ? addCode + '' '' : addCode;\r\n	} else {\r\n		targetDom.value = targetDom.value + addCode;\r\n  	}\r\n	window.close();\r\n	return;\r\n}\r\n//-->\r\n</script>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl xoops.css}>" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl modules/system/css/imagemanager.css}>" />\r\n\r\n<{php}> \r\n$language = $GLOBALS[''xoopsConfig''][''language''];\r\nif(file_exists(XOOPS_ROOT_PATH.''/language/''.$language.''/style.css'')){ \r\necho "<link rel=\\"stylesheet\\" type=\\"text/css\\" media=\\"all\\" href=\\"language/$language/style.css\\" />";\r\n}\r\n<{/php}>\r\n\r\n</head>\r\n\r\n<body onload="window.resizeTo(<{$xsize}>, <{$ysize}>);">\r\n  <form action="imagemanager.php" method="get">\r\n    <table cellspacing="0" id="imagenav">\r\n      <tr>\r\n        <td>\r\n          <select name="cat_id" onchange="location=''<{$xoops_url}>/imagemanager.php?target=<{$target}>&cat_id=''+this.options[this.selectedIndex].value"><{$cat_options}></select> \r\n          <input type="hidden" name="target" value="<{$target}>" />\r\n          <input type="submit" value="<{$lang_go}>" />\r\n        </td>\r\n\r\n        <{if $show_cat > 0}>\r\n        <td id="addimage" class="txtright"><a href="<{$xoops_url}>/imagemanager.php?target=<{$target}>&op=upload&imgcat_id=<{$show_cat}>" title="<{$lang_addimage}>"><{$lang_addimage}></a></td>\r\n        <{/if}>\r\n        \r\n      </tr>\r\n    </table>\r\n  </form>\r\n  <div id="pagenav"><{$pagenav}></div>\r\n  <{if $image_total > 0}>\r\n  \r\n  <table cellspacing="0" id="imagemain">\r\n    <tr>\r\n      <th><{$lang_imagename}></th>\r\n      <th><{$lang_image}></th>\r\n      <th><{$lang_imagemime}></th>\r\n      <th><{$lang_align}></th>\r\n    </tr>\r\n\r\n    <{section name=i loop=$images}>\r\n    <tr class="txtcenter">\r\n      <td><input type="hidden" name="image_id[]" value="<{$images[i].id}>" /><{$images[i].nicename}></td>\r\n      <td><img style="max-width:200px;" src="<{$images[i].src}>" alt="" /></td>\r\n      <td><{$images[i].mimetype}></td>\r\n      <td><a href="#" title="" onclick="javascript:appendCode(''<{$images[i].lxcode}>'');" title=""><img src="<{xoAppUrl images/alignleft.gif}>" alt="Left" /></a> <a href="#" title="" onclick="javascript:appendCode(''<{$images[i].xcode}>'');" title=""><img src="<{xoAppUrl images/aligncenter.gif}>" alt="Center" /></a> <a href="#" title="" onclick="javascript:appendCode(''<{$images[i].rxcode}>'');" title=""><img src="<{xoAppUrl images/alignright.gif}>" alt="Right" /></a></td>\r\n    </tr>\r\n    <{/section}>\r\n  </table>\r\n  <{else}>\r\n  <div id="welcomenot"></div>\r\n  <{/if}>\r\n\r\n  <div id="pagenav"><{$pagenav}></div>\r\n\r\n  <div id="footer">\r\n    <input value="<{$lang_close}>" type="button" onclick="javascript:window.close();" />\r\n  </div>\r\n\r\n  </body>\r\n</html>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(2, '<!DOCTYPE html PUBLIC ''-//W3C//DTD XHTML 1.0 Transitional//EN'' ''http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd''>\r\n<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<{$xoops_langcode}>" lang="<{$xoops_langcode}>">\r\n<head>\r\n<meta http-equiv="content-type" content="text/html; charset=<{$xoops_charset}>" />\r\n<meta http-equiv="content-language" content="<{$xoops_langcode}>" />\r\n<title><{$xoops_sitename}> <{$lang_imgmanager}></title>\r\n<{$image_form.javascript}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl xoops.css}>" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl modules/system/css/imagemanager.css}>" />\r\n\r\n<{php}> \r\n$language = $GLOBALS[''xoopsConfig''][''language''];\r\nif(file_exists(XOOPS_ROOT_PATH.''/language/''.$language.''/style.css'')){ \r\necho "<link rel=\\"stylesheet\\" type=\\"text/css\\" media=\\"all\\" href=\\"language/$language/style.css\\" />";\r\n}\r\n<{/php}>\r\n\r\n</head>\r\n\r\n<body onload="window.resizeTo(<{$xsize}>, <{$ysize}>);">\r\n   <table cellspacing="0" id="imagenav">\r\n    <tr>\r\n      <td id="addimage" class="txtleft"><a href="<{$xoops_url}>/imagemanager.php?target=<{$target}>&amp;cat_id=<{$show_cat}>" title="<{$lang_imgmanager}>"><{$lang_imgmanager}></a></td>\r\n    </tr>\r\n  </table>\r\n\r\n  <form name="<{$image_form.name}>" id="<{$image_form.name}>" action="<{$image_form.action}>" method="<{$image_form.method}>" <{$image_form.extra}>>\r\n    <table id="imageform" cellspacing="">\r\n    <!-- start of form elements loop -->\r\n    <{foreach item=element from=$image_form.elements}>\r\n      <{if $element.hidden != true}>\r\n      <tr class="aligntop">\r\n        <td class="caption"><{$element.caption}></td>\r\n        <td class="body"><{$element.body}></td>\r\n      </tr>\r\n      <{else}>\r\n      <{$element.body}>\r\n      <{/if}>\r\n    <{/foreach}>\r\n    <!-- end of form elements loop -->\r\n    </table>\r\n  </form>\r\n\r\n\r\n  <div id="footer">\r\n    <input value="<{$lang_close}>" type="button" onclick="javascript:window.close();" />\r\n  </div>\r\n\r\n  </body>\r\n</html>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(3, '<{if $user_ownpage == true}>\n\n<form name="usernav" action="user.php" method="post">\n\n<br /><br />\n\n<table class="width70 aligncenter bnone">\n  <tr class="txtcenter">\n    <td><input type="button" value="<{$lang_editprofile}>" onclick="location=''edituser.php''" />\n    <input type="button" value="<{$lang_avatar}>" onclick="location=''edituser.php?op=avatarform''" />\n    <input type="button" value="<{$lang_inbox}>" onclick="location=''viewpmsg.php''" />\n\n    <{if $user_candelete == true}>\n    <input type="button" value="<{$lang_deleteaccount}>" onclick="location=''user.php?op=delete''" />\n    <{/if}>\n\n    <input type="button" value="<{$lang_logout}>" onclick="location=''user.php?op=logout''" /></td>\n  </tr>\n</table>\n</form>\n\n<br /><br />\n<{elseif $xoops_isadmin != false}>\n\n<br /><br />\n\n<table class="width70 aligncenter bnone">\n  <tr class="txtcenter">\n    <td><input type="button" value="<{$lang_editprofile}>" onclick="location=''<{$xoops_url}>/modules/system/admin.php?fct=users&amp;uid=<{$user_uid}>&amp;op=modifyUser''" />\n    <input type="button" value="<{$lang_deleteaccount}>" onclick="location=''<{$xoops_url}>/modules/system/admin.php?fct=users&amp;op=delUser&amp;uid=<{$user_uid}>''" />\n  </tr>\n</table>\n\n<br /><br />\n<{/if}>\n\n<table class="width100 bnone" cellspacing="5">\n  <tr class="aligntop">\n    <td class="width50">\n      <table class="outer width100" cellpadding="4" cellspacing="1">\n        <tr>\n          <th colspan="2" class="txtcenter"><{$lang_allaboutuser}></th>\n        </tr>\n        <{if $user_avatarurl}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_avatar}></td>\n          <td class="even txt center"><img src="<{$user_avatarurl}>" alt="Avatar" /></td>\n        </tr>\n        <{/if}>\n        <{if $user_realname}>\n        <tr>\n          <td class="head"><{$lang_realname}></td>\n          <td class="odd center"><{$user_realname}></td>\n        </tr>\n        <{/if}>\n        <{if $user_websiteurl}>\n        <tr>\n          <td class="head"><{$lang_website}></td>\n          <td class="even"><{$user_websiteurl}></td>\n        </tr>\n\n        <{/if}>\n        <{if $user_email}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_email}></td>\n          <td class="odd"><{$user_email}></td>\n        </tr>\n        <{/if}>\n        <{if !$user_ownpage == true}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_privmsg}></td>\n          <td class="even"><{$user_pmlink}></td>\n        </tr>\n        <{/if}>\n        <{if $user_icq}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_icq}></td>\n          <td class="odd"><{$user_icq}></td>\n        </tr>\n        <{/if}>\n        <{if $user_aim}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_aim}></td>\n          <td class="even"><{$user_aim}></td>\n        </tr>\n        <{/if}>\n        <{if $user_yim}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_yim}></td>\n          <td class="odd"><{$user_yim}></td>\n        </tr>\n        <{/if}>\n        <{if $user_msnm}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_msnm}></td>\n          <td class="even"><{$user_msnm}></td>\n        </tr>\n        <{/if}>\n        <{if $user_location}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_location}></td>\n          <td class="odd"><{$user_location}></td>\n        </tr>\n        <{/if}>\n        <{if $user_occupation}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_occupation}></td>\n          <td class="even"><{$user_occupation}></td>\n        </tr>\n        <{/if}>\n        <{if $user_interest}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_interest}></td>\n          <td class="odd"><{$user_interest}></td>\n        </tr>\n        <{/if}>\n        <{if $user_extrainfo}>\n        <tr class="aligntop">\n          <td class="head"><{$lang_extrainfo}></td>\n          <td class="even"><{$user_extrainfo}></td>\n        </tr>\n        <{/if}>\n      </table>\n    </td>\n    <td class="width50">\n      <table class="outer width100" cellpadding="4" cellspacing="1">\n        <tr class="aligntop">\n          <th class="txtcenter" colspan="2"><{$lang_statistics}></th>\n        </tr>\n        <tr class="aligntop">\n          <td class="head"><{$lang_membersince}></td>\n          <td class="even txtcenter"><{$user_joindate}></td>\n        </tr>\n        <tr class="aligntop">\n          <td class="head"><{$lang_rank}></td>\n          <td class="odd txtcenter"><{$user_rankimage}><br /><{$user_ranktitle}></td>\n        </tr>\n        <tr class="aligntop">\n          <td class="head"><{$lang_posts}></td>\n          <td class="even txtcenter"><{$user_posts}></td>\n        </tr>\n    <tr class="aligntop">\n          <td class="head"><{$lang_lastlogin}></td>\n          <td class="odd center"><{$user_lastlogin}></td>\n        </tr>\n      </table>\n      <{if $user_signature}>\n      <br />\n      <table class="outer width100" cellpadding="4" cellspacing="1">\n        <tr class="aligntop">\n          <th colspan="2" class="txtcenter"><{$lang_signature}></th>\n        </tr>\n        <tr class="aligntop">\n          <td class="even"><{$user_signature}></td>\n        </tr>\n      </table>\n      <{/if}>\n    </td>\n  </tr>\n</table>\n\n<!-- start module search results loop -->\n<{foreach item=module from=$modules}>\n\n<br class="clear" />\n<h4><{$module.name}></h4>\n\n  <!-- start results item loop -->\n  <{foreach item=result from=$module.results}>\n\n  <img src="<{$result.image}>" alt="<{$module.name}>" /><strong><a href="<{$result.link}>" title="<{$result.title}>"><{$result.title}></a></strong><br /><span class="x-small">(<{$result.time}>)</span><br />\n\n  <{/foreach}>\n  <!-- end results item loop -->\n\n<{$module.showall_link}>\n\n\n<{/foreach}>\n<!-- end module search results loop -->');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(4, '<fieldset class="pad10">\r\n  <legend class="bold"><{$lang_login}></legend>\r\n  <form action="user.php" method="post">\r\n    <{$lang_username}> <input type="text" name="uname" size="26" maxlength="25" value="<{$usercookie}>" /><br /><br />\r\n    <{$lang_password}> <input type="password" name="pass" size="21" maxlength="32" /><br /><br />\r\n    <{if isset($lang_rememberme)}>\r\n        <input type="checkbox" name="rememberme" value="On" checked /> <{$lang_rememberme}><br /><br />\r\n    <{/if}>\r\n    \r\n    <input type="hidden" name="op" value="login" />\r\n    <input type="hidden" name="xoops_redirect" value="<{$redirect_page}>" />\r\n    <input type="submit" value="<{$lang_login}>" />\r\n  </form>\r\n  <br />\r\n  <a name="lost"></a>\r\n  <div><{$lang_notregister}><br /></div>\r\n</fieldset>\r\n\r\n<br />\r\n\r\n<fieldset class="pad10">\r\n  <legend class="bold"><{$lang_lostpassword}></legend>\r\n  <div><br /><{$lang_noproblem}></div>\r\n  <form action="lostpass.php" method="post">\r\n    <{$lang_youremail}> <input type="text" name="email" size="26" maxlength="60" />&nbsp;&nbsp;<input type="hidden" name="op" value="mailpasswd" /><input type="hidden" name="t" value="<{$mailpasswd_token}>" /><input type="submit" value="<{$lang_sendpassword}>" />\r\n  </form>\r\n</fieldset>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(5, '<?xml version="1.0" encoding="UTF-8"?>\r\n<rss version="2.0">\r\n  <channel>\r\n    <title><{$channel_title}></title>\r\n    <link><{$channel_link}></link>\r\n    <description><{$channel_desc}></description>\r\n    <lastBuildDate><{$channel_lastbuild}></lastBuildDate>\r\n    <docs>http://backend.userland.com/rss/</docs>\r\n    <generator><{$channel_generator}></generator>\r\n    <category><{$channel_category}></category>\r\n    <managingEditor><{$channel_editor}></managingEditor>\r\n    <webMaster><{$channel_webmaster}></webMaster>\r\n    <language><{$channel_language}></language>\r\n    <{if $image_url != ""}>\r\n    <image>\r\n      <title><{$channel_title}></title>\r\n      <url><{$image_url}></url>\r\n      <link><{$channel_link}></link>\r\n      <width><{$image_width}></width>\r\n      <height><{$image_height}></height>\r\n    </image>\r\n    <{/if}>\r\n    <{foreach item=item from=$items}>\r\n    <item>\r\n      <title><{$item.title}></title>\r\n      <link><{$item.link}></link>\r\n      <description><{$item.description}></description>\r\n      <pubDate><{$item.pubdate}></pubDate>\r\n      <guid><{$item.guid}></guid>\r\n    </item>\r\n    <{/foreach}>\r\n  </channel>\r\n</rss>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(6, '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\r\n<html>\r\n<head>\r\n<meta http-equiv="Content-Type" content="text/html; charset=<{$xoops_charset}>" />\r\n<meta http-equiv="Refresh" content="<{$time}>; url=<{$url}>" />\r\n<meta name="generator" content="XOOPS" />\r\n<link rel="shortcut icon" type="image/ico" href="<{xoAppUrl favicon.ico}>" />\r\n<title><{$xoops_sitename}></title>\r\n<link rel="stylesheet" type="text/css" media="all" href="<{$xoops_themecss}>" />\r\n</head>\r\n<body>\r\n<div class="center bold" style="background-color: #ebebeb; border-top: 1px solid #fff; border-left: 1px solid #fff; border-right: 1px solid #aaa; border-bottom: 1px solid #aaa;">\r\n  <h4><{$message}></h4>\r\n  <p><{$lang_ifnotreload}></p>\r\n</div>\r\n<{if $xoops_logdump != ''''}><div><{$xoops_logdump}></div><{/if}>\r\n</body>\r\n</html>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(7, '<!-- start comment post -->\r\n        <tr>\r\n          <td class="head"><a id="comment<{$comment.id}>"></a> <{$comment.poster.uname}></td>\r\n          <td class="head"><div class="comDate"><span class="comDateCaption"><{$lang_posted}>:</span> <{$comment.date_posted}>&nbsp;&nbsp;<span class="comDateCaption"><{$lang_updated}>:</span> <{$comment.date_modified}></div></td>\r\n        </tr>\r\n        <tr>\r\n\r\n          <{if $comment.poster.id != 0}>\r\n\r\n          <td class="odd">\r\n			<div class="comUserRank">\r\n				<div class="comUserRankText"><{$comment.poster.rank_title}></div>\r\n				<img class="comUserRankImg" src="<{$xoops_upload_url}>/<{$comment.poster.rank_image}>" alt="" />\r\n			</div>\r\n			<img class="comUserImg" src="<{$xoops_upload_url}>/<{$comment.poster.avatar}>" alt="" />\r\n			<div class="comUserStat"><span class="comUserStatCaption"><{$lang_joined}>:</span> <{$comment.poster.regdate}></div>\r\n			<div class="comUserStat"><span class="comUserStatCaption"><{$lang_from}>:</span> <{$comment.poster.from}></div>\r\n			<div class="comUserStat"><span class="comUserStatCaption"><{$lang_posts}>:</span> <{$comment.poster.postnum}></div>\r\n			<div class="comUserStatus"><{$comment.poster.status}></div></td>\r\n\r\n          <{else}>\r\n\r\n          <td class="odd"> </td>\r\n\r\n          <{/if}>\r\n\r\n          <td class="odd">\r\n            <div class="comTitle"><{$comment.image}><{$comment.title}></div>\r\n			<div class="comText"><{$comment.text}></div>\r\n          </td>\r\n        </tr>\r\n        <tr>\r\n          <td class="even"></td>\r\n\r\n          <{if $xoops_iscommentadmin == true}>\r\n\r\n          <td class="even txtright">\r\n            <a href="<{$editcomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_edit}>"><img src="<{$xoops_url}>/images/icons/edit.gif" alt="<{$lang_edit}>" /></a>\r\n			<a href="<{$deletecomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_delete}>"><img src="<{$xoops_url}>/images/icons/delete.gif" alt="<{$lang_delete}>" /></a>\r\n			<a href="<{$replycomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_reply}>"><img src="<{$xoops_url}>/images/icons/reply.gif" alt="<{$lang_reply}>" /></a>\r\n          </td>\r\n\r\n          <{elseif $xoops_isuser == true && $xoops_userid == $comment.poster.id}>\r\n\r\n          <td class="even txtright">\r\n            <a href="<{$editcomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_edit}>"><img src="<{$xoops_url}>/images/icons/edit.gif" alt="<{$lang_edit}>" /></a>\r\n			<a href="<{$replycomment_link}>&amp;com_id=<{$comment.id}>" title="<{$lang_reply}>"><img src="<{$xoops_url}>/images/icons/reply.gif" alt="<{$lang_reply}>" /></a>\r\n          </td>\r\n\r\n          <{elseif $xoops_isuser == true || $anon_canpost == true}>\r\n\r\n          <td class="even txtright">\r\n            <a href="<{$replycomment_link}>&amp;com_id=<{$comment.id}>"><img src="<{$xoops_url}>/images/icons/reply.gif" alt="<{$lang_reply}>" /></a>\r\n          </td>\r\n\r\n          <{else}>\r\n\r\n          <td class="even"> </td>\r\n\r\n          <{/if}>\r\n\r\n        </tr>\r\n<!-- end comment post -->');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(8, '<table class="outer" cellpadding="5" cellspacing="1">\r\n  <tr>\r\n    <th class="width20"><{$lang_poster}></th>\r\n    <th><{$lang_thread}></th>\r\n  </tr>\r\n  <{foreach item=comment from=$comments}>\r\n    <{include file="db:system_comment.html" comment=$comment}>\r\n  <{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(9, '<{section name=i loop=$comments}>\r\n<br />\r\n<table cellspacing="1" class="outer">\r\n  <tr>\r\n    <th class="width20"><{$lang_poster}></th>\r\n    <th><{$lang_thread}></th>\r\n  </tr>\r\n  <{include file="db:system_comment.html" comment=$comments[i]}>\r\n</table>\r\n\r\n<{if $show_threadnav == true}>\r\n<div class="txtleft marg3 pad5">\r\n<a href="<{$comment_url}>" title="<{$lang_top}>"><{$lang_top}></a> | <a href="<{$comment_url}>&amp;com_id=<{$comments[i].pid}>&amp;com_rootid=<{$comments[i].rootid}>#newscomment<{$comments[i].pid}>"><{$lang_parent}></a>\r\n</div>\r\n<{/if}>\r\n\r\n<{if $comments[i].show_replies == true}>\r\n<!-- start comment tree -->\r\n<br />\r\n<table cellspacing="1" class="outer">\r\n  <tr>\r\n    <th class="width50"><{$lang_subject}></th>\r\n    <th class="width20 txtcenter"><{$lang_poster}></th>\r\n    <th class="txtright"><{$lang_posted}></th>\r\n  </tr>\r\n  <{foreach item=reply from=$comments[i].replies}>\r\n  <tr>\r\n    <td class="even"><{$reply.prefix}> <a href="<{$comment_url}>&amp;com_id=<{$reply.id}>&amp;com_rootid=<{$reply.root_id}>" title=""><{$reply.title}></a></td>\r\n    <td class="odd txtcenter"><{$reply.poster.uname}></td>\r\n    <td class="even right"><{$reply.date_posted}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>\r\n<!-- end comment tree -->\r\n<{/if}>\r\n\r\n<{/section}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(10, '<{section name=i loop=$comments}>\r\n<br />\r\n<table cellspacing="1" class="outer">\r\n  <tr>\r\n    <th class="width20"><{$lang_poster}></th>\r\n    <th><{$lang_thread}></th>\r\n  </tr>\r\n  <{include file="db:system_comment.html" comment=$comments[i]}>\r\n</table>\r\n\r\n<!-- start comment replies -->\r\n<{foreach item=reply from=$comments[i].replies}>\r\n<br />\r\n<table class="bnone collapse">\r\n  <tr>\r\n    <td width="<{$reply.prefix}>"></td>\r\n    <td>\r\n      <table class="outer" cellspacing="1">\r\n        <tr>\r\n          <th class="width20"><{$lang_poster}></th>\r\n          <th><{$lang_thread}></th>\r\n        </tr>\r\n        <{include file="db:system_comment.html" comment=$reply}>\r\n      </table>\r\n    </td>\r\n  </tr>\r\n</table>\r\n<{/foreach}>\r\n<!-- end comment tree -->\r\n<{/section}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(11, '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\r\n<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<{$xoops_langcode}>" lang="<{$xoops_langcode}>">\r\n<head>\r\n	<meta http-equiv="content-type" content="text/html; charset=<{$xoops_charset}>" />\r\n	<meta http-equiv="content-language" content="<{$xoops_langcode}>" />\r\n	<title><{$xoops_sitename}> - <{$xoops_slogan}></title>\r\n	<meta name="robots" content="<{$xoops_meta_robots}>" />\r\n	<meta name="keywords" content="<{$xoops_meta_keywords}>" />\r\n	<meta name="description" content="<{$xoops_meta_description}>" />\r\n	<meta name="rating" content="<{$xoops_meta_rating}>" />\r\n	<meta name="author" content="<{$xoops_meta_author}>" />\r\n	<meta name="copyright" content="<{$xoops_meta_copyright}>" />\r\n	<meta name="generator" content="XOOPS" />\r\n	\r\n	<link rel="stylesheet" type="text/css" media="screen" href="<{xoAppUrl browse.php?xoops.css}>" />\r\n	<link rel="shortcut icon" type="image/ico" href="<{xoAppUrl favicon.ico}>" />\r\n	\r\n</head>\r\n<body>\r\n  <table class="collapse">\r\n    <tr id="header">\r\n      <td class="alignmiddle txtcenter" style="width: 150px; background-color: #2F5376;"><a href="<{xoAppUrl }>" title=""><img src="<{xoAppUrl images/logo.gif}>" alt="" /></a></td>\r\n      <td class="width100 alignmiddle txtcenter" style="background-color: #2F5376;">&nbsp;</td>\r\n    </tr>\r\n    <tr>\r\n      <td style="height: 8px; border-bottom: 1px solid silver; background-color: #ddd;" colspan="2">&nbsp;</td>\r\n    </tr>\r\n  </table>\r\n\r\n  <table class="width80 txtcenter bnone" cellspacing="1" cellpadding="10">\r\n    <tr>\r\n      <td class="txtcenter"><div class="txtcenter bold" style="background-color: #DDFFDF; color: #136C99; border-top: 1px solid #DDDDFF; border-left: 1px solid #DDDDFF; border-right: 1px solid #aaa; border-bottom: 1px solid #aaa; padding: 10px;"><{$lang_siteclosemsg}></div></td>\r\n    </tr>\r\n  </table>\r\n  \r\n  <form action="<{xoAppUrl user.php}>" method="post">\r\n    <table class="collapse txtcenter solidsilver" style="width: 200px;">\r\n      <tr>\r\n        <th class="alignmiddle pad2 white" style="background-color: #2F5376;" colspan="2"><{$lang_login}></th>\r\n      </tr>\r\n      <tr>\r\n        <td class="pad2"><{$lang_username}></td><td class="pad2"><input type="text" name="uname" size="12" value="" /></td>\r\n      </tr>\r\n      <tr>\r\n        <td class="pad2"><{$lang_password}></td><td class="pad2"><input type="password" name="pass" size="12" /></td>\r\n      </tr>\r\n      <tr>\r\n        <td class="pad2">&nbsp;</td>\r\n        <td class="pad2">\r\n        	<input type="hidden" name="xoops_redirect" value="<{$xoops_requesturi}>" />\r\n        	<input type="hidden" name="xoops_login" value="1" />\r\n        	<input type="submit" value="<{$lang_login}>" /></td>\r\n      </tr>\r\n    </table>\r\n  </form>\r\n\r\n  <table class="collapse width100">\r\n    <tr>\r\n      <td style="height:8px; border-bottom: 1px solid silver; border-top: 1px solid silver; background-color: #ddd;" colspan="2">&nbsp;</td>\r\n    </tr>\r\n  </table>\r\n\r\n  </body>\r\n</html>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(12, '<{$dummy_content}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(13, '<h4><{$lang_activenotifications}></h4>\r\n<form name="notificationlist" action="notifications.php" method="post">\r\n<table class="outer">\r\n  <tr>\r\n	<th><input name="allbox" id="allbox" onclick="xoopsCheckAll(''notificationlist'', ''allbox'');" type="checkbox" value="<{$lang_checkall}>" /></th>\r\n    <th><{$lang_event}></th>\r\n    <th><{$lang_category}></th>\r\n    <th><{$lang_itemid}></th>\r\n    <th><{$lang_itemname}></th>\r\n  </tr>\r\n  <{foreach item=module from=$modules}>\r\n  <tr>\r\n    <td class="head"><input name="del_mod[<{$module.id}>]" id="del_mod[]" onclick="xoopsCheckGroup(''notificationlist'', ''del_mod[<{$module.id}>]'', ''del_not[<{$module.id}>][]'');" type="checkbox" value="<{$module.id}>" /></td>\r\n    <td class="head" colspan="4"><{$lang_module}>: <{$module.name}></td>\r\n  </tr>\r\n  <{foreach item=category from=$module.categories}>\r\n  <{foreach item=item from=$category.items}>\r\n  <{foreach item=notification from=$item.notifications}>\r\n  <tr>\r\n    <{cycle values=odd,even assign=class}>\r\n    <td class="<{$class}>"><input type="checkbox" name="del_not[<{$module.id}>][]" id="del_not[<{$module.id}>]" value="<{$notification.id}>" /></td>\r\n    <td class="<{$class}>"><{$notification.event_title}></td>\r\n    <td class="<{$class}>"><{$notification.category_title}></td>\r\n    <td class="<{$class}>"><{if $item.id != 0}><{$item.id}><{/if}></td>\r\n    <td class="<{$class}>"><{if $item.id != 0}><{if $item.url != ''''}><a href="<{$item.url}>" title="<{$item.name}>"><{/if}><{$item.name}><{if $item.url != ''''}></a><{/if}><{/if}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <tr>\r\n    <td class="foot" colspan="5">\r\n      <input type="submit" name="delete_cancel" value="<{$lang_cancel}>" />\r\n      <input type="reset" name="delete_reset" value="<{$lang_clear}>" />\r\n      <input type="submit" name="delete" value="<{$lang_delete}>" />\r\n      <input type="hidden" name="XOOPS_TOKEN_REQUEST" value="<{$notification_token}>" />\r\n    </td>\r\n  </tr>\r\n</table>\r\n</form>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(14, '<{if $xoops_notification.show}>\r\n	<form name="notification_select" action="<{$xoops_notification.target_page}>" method="post">\r\n		<h4 class="txtcenter"><{$lang_activenotifications}></h4>\r\n		<input type="hidden" name="not_redirect" value="<{$xoops_notification.redirect_script}>" />\r\n		<input type="hidden" name="XOOPS_TOKEN_REQUEST" value="<{php}>echo $GLOBALS[''xoopsSecurity'']->createToken();<{/php}>" />\r\n		<table class="outer">\r\n		  <tr><th colspan="3"><{$lang_notificationoptions}></th></tr>\r\n		  <tr>\r\n			<td class="head"><{$lang_category}></td>\r\n			<td class="head"><input name="allbox" id="allbox" onclick="xoopsCheckAll(''notification_select'',''allbox'');" type="checkbox" value="<{$lang_checkall}>" /></td>\r\n			<td class="head"><{$lang_events}></td>\r\n		  </tr>\r\n		  <{foreach name=outer item=category from=$xoops_notification.categories}>\r\n		  <{foreach name=inner item=event from=$category.events}>\r\n		  <tr>\r\n			<{if $smarty.foreach.inner.first}>\r\n			<td class="even" rowspan="<{$smarty.foreach.inner.total}>"><{$category.title}></td>\r\n			<{/if}>\r\n			<td class="odd">\r\n			<{counter assign=index}>\r\n			<input type="hidden" name="not_list[<{$index}>][params]" value="<{$category.name}>,<{$category.itemid}>,<{$event.name}>" />\r\n			<input type="checkbox" id="not_list[]" name="not_list[<{$index}>][status]" value="1" <{if $event.subscribed}>checked="checked"<{/if}> />\r\n			</td>\r\n			<td class="odd"><{$event.caption}></td>\r\n		  </tr>\r\n		  <{/foreach}>\r\n		  <{/foreach}>\r\n		  <tr>\r\n			<td class="foot txtcenter" colspan="3"><input type="submit" name="not_submit" value="<{$lang_updatenow}>" /></td>\r\n		  </tr>\r\n		</table>\r\n		<div class="txtcenter">\r\n		<{$lang_notificationmethodis}>:&nbsp;<{$user_method}>&nbsp;&nbsp;[<a href="<{$editprofile_url}>" title="<{$lang_change}>"><{$lang_change}></a>]\r\n		</div>\r\n	</form>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(15, '<{$block.content}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(16, '\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(17, '<div id="login_window">\n<h2 class=''content_title''><{$smarty.const._BANNERS_LOGIN_TITLE}></h2>\n<form method=''post'' action=''banners.php'' class=''login_form''>\n <div class=''credentials''>\n  <label for=''login_form-login''><{$smarty.const._BANNERS_LOGIN_LOGIN}></label>\n  <input type=''text'' name=''login'' id=''login_form-login'' value='''' /><br />\n  <label for=''login_form-password''><{$smarty.const._BANNERS_LOGIN_PASS}></label>\n  <input type=''password'' name=''pass'' id=''login_form-password'' value='''' /><br />\n </div>\n <div class=''actions''>\n 	<input type=''hidden'' name=''op'' value=''list'' />\n	<button type=''submit''><{$smarty.const._BANNERS_LOGIN_OK}></button></div>\n <div class=''login_info''><{$smarty.const._BANNERS_LOGIN_INFO}></div>\n <{$TOKEN}>\n</form>\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(18, '<h1><{$smarty.const._BANNERS_MANAGEMENT}></h1>\n<h5><{$welcomeuser}></h5>\n<div class="txtcenter"><a href="banners.php?op=logout" title="<{$smarty.const._BANNERS_LOGOUT}>"><{$smarty.const._BANNERS_LOGOUT}></a></div>\n<h4 class="content_title"><{$smarty.const._BANNERS_TITLE}></h4>\n<table cellpadding="2" cellspacing="1" summary="" class="outer">\n	<tr class="txtcenter">\n		<th><{$smarty.const._BANNERS_NO}></th>\n		<th><{$smarty.const._BANNERS_IMP_MADE}></th>\n		<th><{$smarty.const._BANNERS_IMP_TOTAL}></th>\n		<th><{$smarty.const._BANNERS_IMP_LEFT}></th>\n		<th><{$smarty.const._BANNERS_CLICKS}></th>\n		<th><{$smarty.const._BANNERS_PER_CLICKS}></th>\n		<th><{$smarty.const._BANNERS_FUNCTIONS}></th>\n	</tr>\n	<{if $bcount}>\n		<{foreach item=banner from=$banners}>\n			<tr class="even txtcenter">\n				<td><{$banner.bid}></td>\n			    <td><{$banner.impmade}></td>\n			    <td><{$banner.imptotal}></td>\n			    <td><{$banner.left}></td>\n			    <td><{$banner.clicks}></td>\n			    <td><{$banner.percent}>%</td>\n			    <td>\n					<a href="banners.php?op=banner_email&amp;cid=<{$banner.cid}>&amp;bid=<{$banner.bid}>" title="<{$smarty.const._BANNERS_STATS}>"><{$smarty.const._BANNERS_STATS}></a>\n			        <a href="banners.php?op=banner_display&amp;cid=<{$banner.cid}>" title="<{$banner.bid}>"><{$smarty.const._BANNERS_SHOWBANNER}></a>\n				</td>\n			</tr>\n		<{/foreach}>\n	<{else}>\n		<tr>\n			<td class="even txtcenter" colspan="7"><{$smarty.const._BANNERS_NOTHINGFOUND}></td>\n		</tr>\n	<{/if}>\n	<tr>\n		<td class="head" colspan="7">&nbsp;</td>\n	</tr>\n</table><br /><br />\n\n<h4 class="content_title"><{$smarty.const._BANNERS_FINISHED}></h4>\n\n<table cellpadding="2" cellspacing="1" summary="" class="outer">\n	<tr class="txtcenter">\n		<th><{$smarty.const._BANNERS_NO}></th>\n		<th><{$smarty.const._BANNERS_IMP_MADE}></th>\n		<th><{$smarty.const._BANNERS_CLICKS}></th>\n		<th><{$smarty.const._BANNERS_PER_CLICKS}></th>\n		<th><{$smarty.const._BANNERS_STARTED}></th>\n		<th><{$smarty.const._BANNERS_ENDED}></th>\n	</tr>\n	<{if $bcount}>\n		<{foreach item=ebanner from=$ebanners}>\n			<tr class="even txtcenter">\n				<td><{$ebanner.bid}></td>\n			    <td><{$ebanner.impressions}></td>\n			    <td><{$ebanner.clicks}></td>\n			    <td><{$ebanner.percent}></td>\n			    <td><{$ebanner.datestart}></td>\n			    <td><{$ebanner.dateend}>%</td>\n			</tr>\n		<{/foreach}>\n	<{else}>\n		<tr>\n			<td class="even txtcenter" colspan="7"><{$smarty.const._BANNERS_NOTHINGFOUND}></td>\n		</tr>\n	<{/if}>\n	<tr>\n		<td class="head" colspan="7">&nbsp;</td>\n	</tr>\n</table><br />');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(19, '<h1><{$smarty.const._BANNERS_MANAGEMENT}></h1>\n<h5><{$welcomeuser}></h5>\n<div class="txtcenter"><a href="banners.php?op=logout" title="<{$smarty.const._BANNERS_LOGOUT}>"><{$smarty.const._BANNERS_LOGOUT}></a></div>\n<div class="txtcenter"><a href="banners.php?op=list" title="<{$smarty.const._BANNERS_BACK}>"><{$smarty.const._BANNERS_BACK}></a></div>\n<div><{$banneractive}></div><br />\n<{if $count}>\n	<{foreach item=banner from=$banners}>\n		<form action="banners.php" method="post">\n			<table cellspacing="1" class="outer width100">\n				<th colspan="2"><{$smarty.const._BANNERS_ID}> <{$banner.bid}></th>\n				<tr>\n					<td class="head width50">\n					<div><{$banner.sendstats}></div>\n					<div><{$banner.bannerpoints}></div>\n					<{if !$banner.htmlbanner}>\n					<div></div>\n					<div><{$smarty.const._BANNERS_URL}>\n						<input type="text" name="url" size="50" maxlength="200" value="<{$banner.clickurl}>" />\n						<input type="hidden" name="bid" value="<{$banner.bid}>" />\n						<input type="hidden" name="cid" value="<{$banner.cid}>" />\n						<input type="submit" name="op" value="save" />\n						<{$TOKEN}>\n					</div>\n					<{/if}>\n					</td>\n					<td class="even txtcenter"><{$banner.banner_url}></td>\n				</tr>\n				<tr>\n					<td class="head" colspan="2">&nbsp;</td>\n				</tr>\n			</table>\n			<br />\n		</form>\n	<{/foreach}>\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(20, '<ul id="xo-breadcrumb" class="ui-corner-all" style="background-image:url(''<{xoAdminNav bc_bg.png}>''); ">\r\n    <{foreach item=breadcrumb from=$xo_sys_breadcrumb}>\r\n        <{if $breadcrumb.home}>\r\n            <li><a class="tooltip" href="<{$breadcrumb.link}>" title="<{$breadcrumb.title}>" style="background-image:url(''<{xoAdminNav bc_separator.png}>'');"><img  class="home" src="<{xoAdminNav home.png}>" alt="<{$breadcrumb.title}>" /></a></li>\r\n        <{else}>\r\n            <{if $breadcrumb.link}>\r\n            <li><a class="tooltip" href="<{$breadcrumb.link}>" title="<{$breadcrumb.title}>" style="background-image:url(''<{xoAdminNav bc_separator.png}>'');"><{$breadcrumb.title}></a></li>\r\n            <{else}>\r\n            <li><{$breadcrumb.title}></li>\r\n            <{/if}>\r\n        <{/if}>\r\n    <{/foreach}>\r\n    <{if $xo_sys_help}>\r\n    <li class="xo-help">\r\n        <a class="cursorhelp tooltip help_view" title="<{$smarty.const._AM_SYSTEM_HELP_VIEW}>" style="background-image:url(''<{xoAdminNav bc_separator_end.png}>''); display: visible;"><img src="<{xoAdminIcons help.png}>" alt="<{$smarty.const._AM_SYSTEM_HELP_VIEW}>" /></a>\r\n        <a class="cursorhelp tooltip help_hide" title="<{$smarty.const._AM_SYSTEM_HELP_HIDE}>" style="background-image:url(''<{xoAdminNav bc_separator_end.png}>''); display: none;"><img src="<{xoAdminIcons help.png}>" alt="<{$smarty.const._AM_SYSTEM_HELP_HIDE}>" /></a>\r\n    </li>\r\n    <{/if}>\r\n</ul>\r\n<{if $help_content}>\r\n<div class="hide" id="xo-system-help">\r\n<{includeq file="$help_content"}>\r\n</div>\r\n<{/if}>\r\n<{if $xo_sys_tips}>\r\n<div class="tips ui-corner-all">\r\n    <img class="floatleft tooltip" src="<{xoAdminIcons tips.png}>" alt="<{$smarty.const._AM_SYSTEM_TIPS}>" title="<{$smarty.const._AM_SYSTEM_TIPS}>" />\r\n    <div class="floatleft"><{$xo_sys_tips}></div>\r\n    <div class="clear">&nbsp;</div>\r\n</div>\r\n<{else}>\r\n<br />\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(21, '<{includeq file="db:system_header.html"}>\r\n<!--Banner-->\r\n<table class=''width100 bnone'' cellspacing=''1''>\r\n	<tr>\r\n        <{if $banner_count == true}>\r\n		<td>\r\n			<h4><{$smarty.const._AM_SYSTEM_BANNERS_CURACTBNR}></h4>\r\n		</td>\r\n        <{/if}>\r\n		<td>\r\n			<div class="floatright">\r\n                <div class="xo-buttons">\r\n    				<a class="ui-corner-all tooltip" href="admin.php?fct=banners&amp;op=new_banner" title="<{$smarty.const._AM_SYSTEM_BANNERS_ADDNWBNR}>">\r\n    				    <img src="<{xoAdminIcons attach.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_ADDNWBNR}>" />\r\n    					<{$smarty.const._AM_SYSTEM_BANNERS_ADDNWBNR}>\r\n    				</a>\r\n    				<a class="ui-corner-all tooltip" href="admin.php?fct=banners&amp;op=new_client" title="<{$smarty.const._AM_SYSTEM_BANNERS_ADDCLI}>">\r\n    				    <img src="<{xoAdminIcons user_add.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_ADDCLI}>" />\r\n    					<{$smarty.const._AM_SYSTEM_BANNERS_ADDCLI}>\r\n    				</a>\r\n				</div>\r\n			</div>\r\n		</td>\r\n	</tr>\r\n</table>\r\n<{if $banner_count == true}>\r\n<table id="xo-bannerslist-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n	<tr>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_IMPRESION}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_IMPLEFT}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLICKS}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_NCLICKS}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLINAME}></th>\r\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_BANNERS_FUNCTION}></th>\r\n	</tr>\r\n	</thead>\r\n	<tbody>\r\n	<{foreach item=banner from=$banner}>\r\n	<tr class="<{cycle values=''even,odd''}>">\r\n		<td class="txtcenter"><{$banner.impmade}></td>\r\n		<td class="txtcenter"><{$banner.left}></td>\r\n		<td class="txtcenter"><{$banner.clicks}></td>\r\n		<td class="txtcenter"><{$banner.percent}>%</td>\r\n		<td class="txtcenter"><{$banner.name}></td>\r\n		<td class="xo-actions txtcenter">\r\n            <img class="tooltip" onclick="display_dialog(<{$banner.bid}>, true, true, ''slide'', ''slide'', 200, 520);" src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_VIEW}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_VIEW}>" />\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_edit&amp;bid=<{$banner.bid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_EDIT}>" />\r\n            </a>\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_delete&amp;bid=<{$banner.bid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>" />\r\n            </a>\r\n        </td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n</table>\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu_banner}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu_banner}></div><div class="clear spacer"></div>\r\n<{/if}>\r\n<!--Pop-pup-->\r\n<{foreach item=banner from=$popup_banner}>\r\n<div id="dialog<{$banner.bid}>" title="<{$banner.name}>" style=''display:none;''>\r\n	<{$banner.imageurl}>\r\n</div>\r\n<{/foreach}>\r\n<!--Pop-pup-->\r\n<{/if}>\r\n\r\n<!--Banner Finish-->\r\n<{if $banner_finish_count == true}>\r\n<h4><{$smarty.const._AM_SYSTEM_BANNERS_FINISHBNR}></h4>\r\n<table id="xo-bannersfinish-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n	<tr>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_IMPD}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLICKS}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_NCLICKS}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_STARTDATE}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_ENDDATE}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLINAME}></th>\r\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_BANNERS_FUNCTION}></th>\r\n	</tr>\r\n	</thead>\r\n	<tbody>\r\n	<{foreach item=banner_finish from=$banner_finish}>\r\n	<tr class="<{cycle values=''even,odd''}>">\r\n		<td class="txtcenter"><{$banner_finish.impressions}></td>\r\n		<td class="txtcenter"><{$banner_finish.clicks}></td>\r\n		<td class="txtcenter"><{$banner_finish.percent}>%</td>\r\n		<td class="txtcenter"><{$banner_finish.datestart}></td>\r\n		<td class="txtcenter"><{$banner_finish.dateend}></td>\r\n		<td class="txtcenter"><{$banner_finish.name}></td>\r\n		<td class="xo-actions txtcenter">\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_finish_delete&amp;bid=<{$banner_finish.bid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>" />\r\n            </a>\r\n        </td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n</table>\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu_bannerF}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu_bannerF}></div>\r\n<div class="clear spacer"></div>\r\n<{/if}>\r\n\r\n<{/if}>\r\n<!--Banner Client-->\r\n<{if $banner_client_count == true}>\r\n<h4><{$smarty.const._AM_SYSTEM_BANNERS_ADVCLI}></h4>\r\n<table id="xo-bannersclient-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n	<tr>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CLINAME}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_ACTIVEBNR}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CONTNAME}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_BANNERS_CONTMAIL}></th>\r\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_BANNERS_FUNCTION}></th>\r\n	</tr>\r\n	</thead>\r\n	<tbody>\r\n	<{foreach item=banner_client from=$banner_client}>\r\n	<tr class="<{cycle values=''even,odd''}>">\r\n		<td class="txtcenter"><{$banner_client.name}></td>\r\n		<td class="txtcenter"><{$banner_client.banner_active}></td>\r\n		<td class="txtcenter"><{$banner_client.contact}></td>\r\n		<td class="txtcenter"><{$banner_client.email}></td>\r\n		<td class="xo-actions txtcenter">\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_client_edit&amp;cid=<{$banner_client.cid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_EDIT}>" />\r\n            </a>\r\n            <a class="tooltip" href="admin.php?fct=banners&amp;op=banner_client_delete&amp;cid=<{$banner_client.cid}>" title="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_BANNERS_DELETE}>" />\r\n            </a>\r\n        </td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n</table>\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu_client}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu_client}></div>\r\n<div class="clear spacer"></div>\r\n<{/if}>\r\n<{/if}>\r\n<br />\r\n<!-- Display Avatar form (add,edit) -->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(22, '<{includeq file="db:system_header.html"}>\r\n<{if $install_mods}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<div class="floatleft">\r\n    <img class="cursorpointer tooltip" onclick="system_moduleLargeView();" src="<{xoAdminIcons view_large.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLARGE}>" title="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLARGE}>" />\r\n    <img class="cursorpointer tooltip" onclick="system_moduleListView();" src="<{xoAdminIcons view_small.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLINE}>" title="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLINE}>" />\r\n</div>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <a class="ui-corner-all tooltip" href="admin.php?fct=modulesadmin&amp;op=installlist" title="<{$smarty.const._AM_SYSTEM_MODULES_TOINSTALL}>">\r\n            <img src="<{xoAdminIcons install.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_TOINSTALL}>" />\r\n            <{$smarty.const._AM_SYSTEM_MODULES_TOINSTALL}>&nbsp;<span class="red">(<{$toinstall_nb}>)</span>\r\n        </a>\r\n    </div>\r\n</div>\r\n<div class="clear spacer"></div>\r\n<form action="admin.php" method="post" name="moduleadmin">\r\n    <table id="xo-module-sort" class="outer" cellspacing="1">\r\n        <thead>\r\n            <tr class="txtcenter">\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_MODULE}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_VERSION}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_LASTUP}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_ACTIVE}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_MENU}></th>\r\n                <th><{$smarty.const._AM_SYSTEM_MODULES_ACTION}></th>\r\n            </tr>\r\n        </thead>\r\n        <tbody>\r\n            <{foreach item=row from=$install_mods}>\r\n            <{if $row.dirname == ''system''}>\r\n            <tr class="txtcenter foot">\r\n                <td>\r\n                    <a class="xo-logonormal tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                        <img src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" />\r\n                    </a>\r\n                    <div class="spacer xo-modsimages">\r\n                        <a class="tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                            <img class="xo-mods hide" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                        </a>\r\n                        <input type="text" name="newname[<{$row.mid}>]" value="<{$row.name}>" maxlength="150" size="20" />\r\n                        <input type="hidden" name="oldname[<{$row.mid}>]" value="<{$row.name}>" />\r\n                    </div>\r\n                </td>\r\n                <td>\r\n                    <{if $row.warning_update == 1}>\r\n                        <strong class="red"><{$row.version}></strong>\r\n                    <{else}>\r\n                        <{$row.version}>\r\n                    <{/if}>\r\n                </td>\r\n                <td><{$row.last_update}></td>\r\n                <td class="xo-modsimages"></td>\r\n                <td class="xo-modsimages"></td>\r\n                <td class="xo-modsimages">\r\n                    <{if $row.isactive == 1}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>">\r\n                        <{if $row.warning_update == 1}>\r\n                        <img src="<{xoAdminIcons messagebox_warning.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                        <{else}>\r\n                        <img src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                        <{/if}>\r\n                    </a>\r\n                    <{/if}>\r\n                    <img class="cursorpointer tooltip" onclick="display_dialog(<{$row.mid}>, true, true, ''slide'', ''slide'', 240, 450);" src="<{xoAdminIcons info.png}>" alt="<{$smarty.const._INFO}>" title="<{$smarty.const._INFO}>" />\r\n                    <input type="hidden" name="module[]" value="<{$row.mid}>" />\r\n                </td>\r\n            </tr>\r\n            <{/if}>\r\n            <{/foreach}>\r\n            <tr class="head"><td colspan="6"></td></tr>\r\n        </tbody>\r\n        <tbody class="xo-module">\r\n            <{foreach item=row from=$install_mods}>\r\n            <{if $row.dirname != ''system'' && $row.hasmain}>\r\n            <tr id="mod_<{$row.mid}>" class="<{if $row.dirname == ''system''}>xo-system <{/if}>txtcenter <{cycle values=''odd, even''}>">\r\n                <td>\r\n                    <{if $row.hasadmin == 1 && $row.isactive == 1}>\r\n                    <a class="xo-logonormal tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                        <img src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" />\r\n                    </a>\r\n                    <{else}>\r\n                    <img class="xo-logonormal tooltip" src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                    <{/if}>\r\n                    <div class="spacer xo-modsimages">\r\n                        <{if $row.hasadmin == 1 && $row.isactive == 1}>\r\n                        <a class="tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                            <img class="xo-mods hide" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                        </a>\r\n                        <{else}>\r\n                        <img class="xo-mods hide tooltip" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                        <{/if}>\r\n                        <input type="text" name="newname[<{$row.mid}>]" value="<{$row.name}>" maxlength="150" size="20" />\r\n                        <input type="hidden" name="oldname[<{$row.mid}>]" value="<{$row.name}>" />\r\n                    </div>\r\n                </td>\r\n                <td>\r\n                    <{if $row.warning_update == 1}>\r\n                        <a class="tooltip maxi" style="color:red;" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>"><{$row.version}></a><br /><{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>\r\n                    <{else}>\r\n                        <{$row.version}>\r\n                    <{/if}>\r\n                </td>\r\n                <td><{$row.last_update}></td>\r\n                <td class="xo-modsimages">\r\n                    <img id="loading_active<{$row.mid}>" src="images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" />\r\n                    <img class="cursorpointer tooltip" id="active<{$row.mid}>" onclick="system_setStatus( { fct: ''modulesadmin'', op: ''display'', mid: <{$row.mid}> }, ''active<{$row.mid}>'', ''admin.php'' )" src="<{if $row.isactive}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $row.isactive}><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}><{/if}>" title="<{if $row.isactive}><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}><{/if}>" />\r\n                </td>\r\n                <td class="xo-modsimages">\r\n                    <img id="loading_menu<{$row.mid}>" src="images/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" />\r\n                    <img class="cursorpointer tooltip" id="menu<{$row.mid}>" onclick="system_setStatus( { fct: ''modulesadmin'', op: ''display_in_menu'', mid: <{$row.mid}> }, ''menu<{$row.mid}>'', ''admin.php'' )" src="<{if $row.weight != 0}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $row.weight != 0}><{$smarty.const._AM_SYSTEM_MODULES_HIDE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_SHOW}><{/if}>" title="<{if $row.weight != 0}><{$smarty.const._AM_SYSTEM_MODULES_HIDE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_SHOW}><{/if}>" />\r\n                </td>\r\n                <td class="xo-modsimages">\r\n                    <{if $row.isactive == 1}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>">\r\n                        <{if $row.warning_update == 1}>\r\n                        <img src="<{xoAdminIcons messagebox_warning.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                        <{else}>\r\n                        <img src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                        <{/if}>\r\n                    </a>\r\n                    <{/if}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=uninstall&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UNINSTALL}>">\r\n                        <img src="<{xoAdminIcons uninstall.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UNINSTALL}>" />\r\n                    </a>\r\n                    <img class="cursorpointer tooltip" onclick="display_dialog(<{$row.mid}>, true, true, ''slide'', ''slide'', 240, 450);" src="<{xoAdminIcons info.png}>" alt="<{$smarty.const._INFO}>" title="<{$smarty.const._INFO}>" />\r\n                    <input type="hidden" name="module[]" value="<{$row.mid}>" />\r\n                </td>\r\n            </tr>\r\n            <{/if}>\r\n            <{/foreach}>\r\n        </tbody>\r\n        <tbody>\r\n            <tr class="head"><td colspan="6"></td></tr>\r\n            <{foreach item=row from=$install_mods}>\r\n            <{if $row.dirname != ''system'' && !$row.hasmain}>\r\n            <tr class="txtcenter foot">\r\n                <td>\r\n                    <a class="xo-logonormal tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                        <img src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" />\r\n                    </a>\r\n                    <div class="spacer xo-modsimages">\r\n                        <a class="tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                            <img class="xo-mods hide" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                        </a>\r\n                        <input type="text" name="newname[<{$row.mid}>]" value="<{$row.name}>" maxlength="150" size="20" />\r\n                        <input type="hidden" name="oldname[<{$row.mid}>]" value="<{$row.name}>" />\r\n                    </div>\r\n                </td>\r\n                <td>\r\n                    <{if $row.warning_update == 1}>\r\n                        <a class="tooltip maxi" style="color:red;" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>"><{$row.version}></a><br /><{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>\r\n                    <{else}>\r\n                        <{$row.version}>\r\n                    <{/if}>\r\n                </td>\r\n                <td><{$row.last_update}></td>\r\n                <td class="xo-modsimages"><img id="loading_mid<{$row.mid}>" src="images/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="mid<{$row.mid}>" onclick="system_setStatus( { fct: ''modulesadmin'', op: ''display'', mid: <{$row.mid}> }, ''mid<{$row.mid}>'', ''admin.php'' )" src="<{if $row.isactive}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $row.isactive}><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}><{/if}>" title="<{if $row.isactive}><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}><{else}><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}><{/if}>" />\r\n                </td>\r\n                <td class="xo-modsimages"></td>\r\n                <td class="xo-modsimages">\r\n                    <{if $row.isactive == 1}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=update&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>">\r\n                        <img src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UPDATE}>" />\r\n                    </a>\r\n                    <{/if}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=uninstall&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_UNINSTALL}>">\r\n                        <img src="<{xoAdminIcons uninstall.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_UNINSTALL}>" />\r\n                    </a>\r\n                    <img class="cursorpointer tooltip" onclick="display_dialog(<{$row.mid}>, true, true, ''slide'', ''slide'', 240, 450);" src="<{xoAdminIcons info.png}>" alt="<{$smarty.const._INFO}>" title="<{$smarty.const._INFO}>" />\r\n                    <input type="hidden" name="module[]" value="<{$row.mid}>" />\r\n                </td>\r\n            </tr>\r\n            <{/if}>\r\n            <{/foreach}>\r\n        </tbody>\r\n        <tfoot>\r\n            <tr class="txtcenter foot">\r\n                <td colspan="6">\r\n                    <input type="hidden" name="fct" value="modulesadmin" />\r\n                    <input type="hidden" name="op" value="confirm" />\r\n                    <input class="xo-formbuttons" type="submit" name="submit" value="<{$smarty.const._AM_SYSTEM_MODULES_SUBMIT}>" />\r\n                </td>\r\n            </tr>\r\n        </tfoot>\r\n    </table>\r\n</form>\r\n<{/if}>\r\n\r\n<{if $toinstall_mods}>\r\n<div class="floatleft">\r\n    <img class="cursorpointer tooltip" onclick="system_moduleLargeView();" src="<{xoAdminIcons view_large.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLARGE}>" title="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLARGE}>" />\r\n    <img class="cursorpointer tooltip" onclick="system_moduleListView();" src="<{xoAdminIcons view_small.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLINE}>" title="<{$smarty.const._AM_SYSTEM_MODULES_VIEWLINE}>" />\r\n</div>\r\n<div class="clear spacer"></div>\r\n<table class="outer" cellspacing="1">\r\n    <thead>\r\n        <tr class="txtcenter">\r\n            <th><{$smarty.const._AM_SYSTEM_MODULES_MODULE}></th>\r\n            <th><{$smarty.const._AM_SYSTEM_MODULES_VERSION}></th>\r\n            <th><{$smarty.const._AM_SYSTEM_MODULES_ACTION}></th>\r\n        </tr>\r\n    </thead>\r\n    <tbody>\r\n        <{foreach item=row from=$toinstall_mods}>\r\n        <tr class="txtcenter <{cycle values=''odd, even''}>">\r\n            <td>\r\n                <img class="xo-logonormal" src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                <div class="spacer xo-modsimages">\r\n                    <{if $row.hasadmin == 1 && $row.isactive == 1}>\r\n                    <a class="tooltip" href="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.adminindex}>" title="<{$row.name}>">\r\n                        <img class="xo-mods hide" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                    </a>\r\n                    <{else}>\r\n                    <img class="xo-mods hide tooltip" src="<{xoAdminIcons applications.png}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n                    <{/if}>\r\n                    <span class="spacer bold"><{$row.name}></span>\r\n                </div>\r\n            </td>\r\n            <td><{$row.version}></td>\r\n            <td class="xo-modsimages">\r\n                <a class="tooltip" href="<{$xoops_url}>/modules/system/admin.php?fct=modulesadmin&amp;op=install&amp;module=<{$row.dirname}>" title="<{$smarty.const._AM_SYSTEM_MODULES_INSTALL}>">\r\n                    <img src="<{xoAdminIcons install.png}>" alt="<{$smarty.const._AM_SYSTEM_MODULES_INSTALL}>" />\r\n                </a>\r\n                <img class="cursorpointer tooltip" onclick="display_dialog(<{$row.mid}>, true, true, ''slide'', ''slide'', 240, 450);" src="<{xoAdminIcons info.png}>" alt="<{$smarty.const._INFO}>" title="<{$smarty.const._INFO}>" />\r\n            </td>\r\n        </tr>\r\n        <{/foreach}>\r\n    </tbody>\r\n</table>\r\n<{/if}>\r\n<!--Pop-pup-->\r\n<{foreach item=row from=$mods_popup}>\r\n<div id="dialog<{$row.mid}>" title="<{$row.name}>" style=''display:none;''>\r\n    <table>\r\n        <tr>\r\n            <td class="width10 aligntop">\r\n                <img src="<{$xoops_url}>/modules/<{$row.dirname}>/<{$row.image}>" alt="<{$row.name}>" title="<{$row.name}>" />\r\n            </td>\r\n            <td>\r\n                <ul class="xo-moduleinfos">\r\n                    <li><span class="bold"><{$smarty.const._VERSION}></span>&nbsp;:&nbsp;<{$row.version}></li>\r\n                    <li><span class="bold"><{$smarty.const._AUTHOR}></span>&nbsp;:&nbsp;<{$row.author}></li>\r\n                    <li><span class="bold"><{$smarty.const._CREDITS}></span>&nbsp;:&nbsp;<{$row.credits}></li>\r\n                    <li><span class="bold"><{$smarty.const._LICENCE}></span>&nbsp;:&nbsp;<{$row.license}> </li>\r\n                </ul>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n    <p><{$row.description}></p>\r\n</div>\r\n<{/foreach}>\r\n<!--Pop-pup-->');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(23, '<{includeq file="db:system_header.html"}>\r\n<{if $modifs_mods}>\r\n<form action="admin.php" method="post">\r\n  <table class="outer" cellspacing="1">\r\n    <thead>\r\n      <tr class="txtcenter">\r\n        <th><{$smarty.const._AM_SYSTEM_MODULES_MODULE}></th>\r\n        <th><{$smarty.const._AM_SYSTEM_MODULES_ACTION}></th>\r\n        <th><{$smarty.const._AM_SYSTEM_MODULES_ORDER}></th>\r\n      </tr>\r\n    </thead>\r\n    <tbody>\r\n      <{foreach item=row from=$modifs_mods}>\r\n      <tr class="txtcenter <{cycle values=''odd, even''}>">\r\n        <td>\r\n          <{$row.oldname}>\r\n          <{if $row.oldname != $row.newname}>\r\n          <span class="bold red">&nbsp;&raquo;&raquo;&nbsp;<{$row.newname}></span>\r\n          <{/if}>\r\n        </td>\r\n        <td>\r\n          <{if $row.oldstatus != $row.newstatus}>\r\n          <{if $row.newstatus == 1}>\r\n          <div class="bold red"><{$smarty.const._AM_SYSTEM_MODULES_ACTIVATE}></div>\r\n          <{else}>\r\n          <div class="bold red"><{$smarty.const._AM_SYSTEM_MODULES_DEACTIVATE}></div>\r\n          <{/if}>\r\n          <{else}>\r\n          <{$smarty.const._AM_SYSTEM_MODULES_NOCHANGE}>\r\n          <{/if}>\r\n        </td>\r\n        <td>\r\n          <{if $row.oldweight != $row.weight}>\r\n          <div class="bold red"><{$row.weight}></div>\r\n          <{else}>\r\n          <{$row.weight}>\r\n          <{/if}>\r\n          <input type="hidden" name="module[]" value="<{$row.mid}>" />\r\n          <input type="hidden" name="oldname[<{$row.mid}>]" value="<{$row.oldname}>" />\r\n          <input type="hidden" name="newname[<{$row.mid}>]" value="<{$row.newname}>" />\r\n          <input type="hidden" name="oldstatus[<{$row.mid}>]" value="<{$row.oldstatus}>" />\r\n          <input type="hidden" name="newstatus[<{$row.mid}>]" value="<{$row.newstatus}>" />\r\n          <input type="hidden" name="oldweight[<{$row.mid}>]" value="<{$row.oldweight}>" />\r\n          <input type="hidden" name="weight[<{$row.mid}>]" value="<{$row.weight}>" />\r\n        </td>\r\n      </tr>\r\n      <{/foreach}>\r\n    </tbody>\r\n    <tfoot>\r\n      <tr class="txtcenter foot">\r\n        <td colspan="3">\r\n          <input class="formButton" type="submit" value="<{$smarty.const._AM_SYSTEM_MODULES_SUBMIT}>" />&nbsp;\r\n          <input class="formButton" type="button" value="<{$smarty.const._AM_SYSTEM_MODULES_CANCEL}>" onclick="location=''admin.php?fct=modulesadmin''" />\r\n          <input type="hidden" name="fct" value="modulesadmin" />\r\n          <input type="hidden" name="op" value="submit" />\r\n          <{$input_security}>\r\n        </td>\r\n      </tr>\r\n    </tfoot>\r\n  </table>\r\n</form>\r\n<{else}>\r\n<div id="xo-module-log">\r\n    <{if $result}>\r\n    <div class="logger">\r\n        <{foreach item=row from=$result}>\r\n        <div class="spacer"><{$row}></div>\r\n        <{/foreach}>\r\n    </div>\r\n    <{/if}>\r\n    <a href="admin.php?fct=modulesadmin"><{$smarty.const._AM_SYSTEM_MODULES_BTOMADMIN}></a>\r\n</div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(24, '<!-- Header -->\r\n<{includeq file="db:system_header.html"}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<{if $view_cat}>\r\n<!-- Display Avatar header for switch between system & custom category -->\r\n<table class="outer" cellspacing="1">\r\n    <thead>\r\n        <tr>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_AVATAR_SYSTEM}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_AVATAR_CUSTOM}></th>\r\n        </tr>\r\n    </thead>\r\n    <tbody>\r\n        <tr class="odd">\r\n            <td class="txtcenter">\r\n                <a class="tooltip" href="admin.php?fct=avatars&amp;op=listavt&amp;type=s" title="<{$smarty.const._AM_SYSTEM_AVATAR_SYSTEM}>">\r\n                    <img src="<{xoAdminIcons avatar_system.png}>" alt="<{$smarty.const._AM_SYSTEM_AVATAR_SYSTEM}>" />\r\n                </a>\r\n                <div class="spacer"><{$smarty.const._AM_SYSTEM_AVATAR_SYSTEM}>&nbsp;:&nbsp;<strong><{$count_system}></strong></div>\r\n            </td>\r\n            <td class="txtcenter">\r\n                <a class="tooltip" href="admin.php?fct=avatars&amp;op=listavt&amp;type=c" title="<{$smarty.const._AM_SYSTEM_AVATAR_CUSTOM}>">\r\n                    <img src="<{xoAdminIcons avatar_custom.png}>" alt="<{$smarty.const._AM_SYSTEM_AVATAR_CUSTOM}>" />\r\n                </a>\r\n                <div class="spacer"><{$smarty.const._AM_SYSTEM_AVATAR_CUSTOM}>&nbsp;:&nbsp;<strong><{$count_custom}></strong></div>\r\n            </td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<br />\r\n<{/if}>\r\n<!-- Display Avatar list for each category -->\r\n<{if $avatars_list}>\r\n<{foreach item=avatar from=$avatars_list}>\r\n<div class="floatleft">\r\n    <div class="ui-corner-all xo-thumb txtcenter">\r\n        <div class="xo-thumbimg">\r\n            <img class="tooltip" src="class/thumbs/phpThumb.php?src=<{$xoops_rootpath}>/uploads/<{$avatar.avatar_file}>&amp;h=120&amp;w=120" alt="<{$avatar.avatar_name}>" title="<{$avatar.avatar_name}>" />\r\n        </div>\r\n        <div class="xo-actions txtcenter">\r\n            <div class="spacer bold"><{$avatar.avatar_name}></div>\r\n            <img id="loading_avt<{$avatar.avatar_id}>" src="images/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="tooltip" id="avt<{$avatar.avatar_id}>" onclick="system_setStatus( { fct: ''avatars'', op: ''display'', avatar_id: <{$avatar.avatar_id}> }, ''avt<{$avatar.avatar_id}>'', ''admin.php'' )" src="<{if $avatar.avatar_display}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{$smarty.const._IMGDISPLAY}>" title="<{$smarty.const._IMGDISPLAY}>" />\r\n            <{if $avatar.type == ''c''}>\r\n            <a href="<{$xoops_url}>/modules/profile/userinfo.php?uid=<{$avatar.user}>" title="<{$smarty.const._AM_SYSTEM_AVATAR_USERS}>">\r\n                <img src="<{xoAdminIcons user_edit.png}>" alt="<{$smarty.const._AM_SYSTEM_AVATAR_USERS}>" />\r\n            </a>\r\n            <{else}>\r\n            <img class="cursorhelp tooltip" src="<{xoAdminIcons forum.png}>" alt="<{$avatar.count}> <{$smarty.const._AM_SYSTEM_AVATAR_USERS}>" title="<{$avatar.count}> <{$smarty.const._AM_SYSTEM_AVATAR_USERS}>" />\r\n            <{/if}>\r\n            <a class="tooltip" href="admin.php?fct=avatars&amp;op=edit&amp;avatar_id=<{$avatar.avatar_id}>" title="<{$smarty.const._EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>" />\r\n            </a>\r\n            <a class="tooltip" href="admin.php?fct=avatars&amp;op=delfile&amp;avatar_id=<{$avatar.avatar_id}>" title="<{$smarty.const._DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._DELETE}>" />\r\n            </a>\r\n        </div>\r\n    </div>\r\n</div>\r\n<{/foreach}>\r\n<!-- Display Avatars navigation -->\r\n<div class="clear">&nbsp;</div>\r\n<{if $nav_menu}><div class="xo-pagenav floatright"><{$nav_menu}></div><div class="clear spacer"></div><{/if}>\r\n<{/if}>\r\n<!-- Display Avatar form (add,edit) -->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>\r\n<!-- Display Avatar images on edit page -->\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(25, '<!--smilies-->\n<{includeq file="db:system_header.html"}>\n<script type="text/javascript">\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\n</script>\n<{if $smilies_count == true}>\n<div class="floatright">\n    <div class="xo-buttons">\n        <a class="ui-corner-all tooltip" href="admin.php?fct=smilies&amp;op=new_smilie" title="<{$smarty.const._AM_SYSTEM_SMILIES_ADD}>">\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_SMILIES_ADD}>" />\n            <{$smarty.const._AM_SYSTEM_SMILIES_ADD}>\n        </a>\n    </div>\n</div>\n<table id="xo-smilies-sorter" cellspacing="1" class="outer tablesorter">\n    <thead>\n	<tr>\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_SMILIES_CODE}></th>\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_SMILIES_SMILIE}></th>\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_SMILIES_DESCRIPTION}></th>\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_SMILIES_DISPLAY}></th>\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_SMILIES_ACTION}></th>\n	</tr>\n	</thead>\n	<tbody>\n	<{foreach item=smilies from=$smilies}>\n	<tr class="<{cycle values=''even,odd''}> alignmiddle">\n		<td class="txtcenter width5"><{$smilies.code}></td>\n        <td class="txtcenter width5"><{$smilies.image}></td>\n		<td class="txtcenter width50"><{$smilies.emotion}></td>\n		<td class="xo-actions txtcenter width10">\n            <img id="loading_sml<{$smilies.smilies_id}>" src="images/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="sml<{$smilies.smilies_id}>" onclick="system_setStatus( { fct: ''smilies'', op: ''smilies_update_display'', smilies_id: <{$smilies.smilies_id}> }, ''sml<{$smilies.smilies_id}>'', ''admin.php'' )" src="<{if $smilies.display}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $smilies.display}><{$smarty.const._AM_SYSTEM_SMILIES_OFF}><{else}><{$smarty.const._AM_SYSTEM_SMILIES_ON}><{/if}>" title="<{if $smilies.display}><{$smarty.const._AM_SYSTEM_SMILIES_OFF}><{else}><{$smarty.const._AM_SYSTEM_SMILIES_ON}><{/if}>" />\n        </td>\n		<td class="xo-actions txtcenter width10">\n            <a class="tooltip" href="admin.php?fct=smilies&amp;op=edit_smilie&amp;smilies_id=<{$smilies.smilies_id}>" title="<{$smarty.const._AM_SYSTEM_SMILIES_EDIT}>">\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_SMILIES_EDIT}>" />\n            </a>\n            <a class="tooltip" href="admin.php?fct=smilies&amp;op=smilies_delete&amp;smilies_id=<{$smilies.smilies_id}>" title="<{$smarty.const._AM_SYSTEM_SMILIES_DELETE}>">\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_SMILIES_DELETE}>" />\n            </a>\n        </td>\n	</tr>\n	<{/foreach}>\n	</tbody>\n</table>\n<!-- Display smilies navigation -->\n<div class="clear spacer"></div>\n<{if $nav_menu}>\n<div class="xo-avatar-pagenav floatright"><{$nav_menu}></div>\n<div class="clear spacer"></div>\n<{/if}>\n<{/if}>\n<!-- Display smilies form (add,edit) -->\n<{if $form}>\n<div class="spacer"><{$form}></div>\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(26, '<!-- Breadcrumb Header -->\r\n<{includeq file="db:system_header.html"}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<{if $filterform}>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <button id="xo-add-btn" class="ui-corner-all" onclick="self.location.href=''admin.php?fct=blocksadmin&amp;op=add'';">\r\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_BLOCKS_ADD}>" />\r\n            <{$smarty.const._AM_SYSTEM_BLOCKS_ADD}>\r\n        </button>\r\n    </div>\r\n</div>\r\n<div class="clear"></div>\r\n<div id="xo-block-dragndrop">\r\n    <table class="outer">\r\n        <tr>\r\n            <th>\r\n                <form name="<{$filterform.name}>" id="<{$filterform.name}>" action="<{$filterform.action}>" method="<{$filterform.method}>" <{$filterform.extra}> >\r\n                    <div class="xo-blocksfilter">\r\n                    <{foreach item=element from=$filterform.elements}>\r\n                    <{if $element.hidden != true}>\r\n                    \r\n                    <div class="xo-caption"><{$element.caption}></div>\r\n                    <div class="xo-element"><{$element.body}></div>\r\n                    <{else}>\r\n                    <{$element.body}>\r\n                    <{/if}>\r\n                    <{/foreach}>\r\n                    </div>\r\n                </form>\r\n            </th>\r\n        </tr>\r\n        <tr>\r\n            <td>\r\n                <table id="xo-block-managment">\r\n                    <tr>\r\n                        <td side="0" class="xo-blocksection" rowspan="3" id="xo-leftcolumn">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDELEFT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=0}>\r\n                        </td>\r\n                        <td side="3" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDETOPLEFT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=3}>\r\n                        </td>\r\n                        <td side="5" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDETOPCENTER}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=5}>\r\n                        </td>\r\n                        <td side="4" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDETOPRIGHT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=4}>\r\n                        </td>\r\n                        <td side="1" class="xo-blocksection" rowspan="3" id="xo-rightcolumn">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDERIGHT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=1}>\r\n                        </td>\r\n                    </tr>\r\n                    <tr style="height:30px;">\r\n                        <td colspan="3" class="xo-blockContent width5">&nbsp;</td>\r\n                    </tr>\r\n                    <tr>\r\n                        <td side="7" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDEBOTTOMLEFT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=7}>\r\n                        </td>\r\n                        <td side="9" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDEBOTTOMCENTER}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=9}>\r\n                        </td>\r\n                        <td side="8" class="xo-blocksection">\r\n                            <div class="xo-title"><{$smarty.const._AM_SYSTEM_BLOCKS_SIDEBOTTOMRIGHT}></div>\r\n                            <{includeq file="db:system_blocks_item.html" blocks=$blocks side=8}>\r\n                        </td>\r\n                    </tr>\r\n                </table>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</div>\r\n<{/if}>\r\n<div id="xo-block-add" <{if $filterform}>class="hide"<{/if}>>\r\n    <{if !$filterform}><br /><{/if}>\r\n    <{$blockform}>\r\n</div>\r\n<!-- Preview block -->\r\n<div id="xo-preview-block" class="hide"></div>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(27, '\r\n<{foreach item=item from=$blocks}>\r\n<{if $item.side == $side}>\r\n<div id="blk_<{$item.bid}>" bid="<{$item.bid}>" side="<{$item.side}>" order="<{$item.weight}>" class="xo-block ui-widget ui-widget-content ui-corner-all">\r\n    <div class="xo-blocktitle ui-corner-all">\r\n        <span class="spacer">\r\n            <img class="xo-imgmini" src="<{xoAdminIcons block.png}>" alt="<{$smarty.const._AM_SYSTEM_BLOCKS_DRAG}>" title="<{$smarty.const._AM_SYSTEM_BLOCKS_DRAG}>" />\r\n        </span>\r\n        <{$item.title}>\r\n    </div>\r\n    <div class="xo-blockaction xo-actions"><img id="loading_img<{$item.bid}>" src="./images/mimetypes/spinner.gif" style="display:none;" title="<{$smarty.const._AM_SYSTEM_LOADING}>" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="tooltip" id="img<{$item.bid}>" onclick="system_setStatus( { fct: ''blocksadmin'', op: ''display'', bid: <{$item.bid}>, visible: <{if $item.visible}>0<{else}>1<{/if}> }, ''img<{$item.bid}>'', ''admin.php'' )" src="<{if $item.visible}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $item.visible}><{$smarty.const._AM_SYSTEM_BLOCKS_HIDE}><{else}><{$smarty.const._AM_SYSTEM_BLOCKS_DISPLAY}><{/if}><{$item.name}>" title="<{if $item.visible}><{$smarty.const._AM_SYSTEM_BLOCKS_HIDE}><{else}><{$smarty.const._AM_SYSTEM_BLOCKS_DISPLAY}><{/if}><{$item.name}>" />\r\n        <a class="tooltip" href="admin.php?fct=blocksadmin&amp;op=edit&amp;bid=<{$item.bid}>" title="<{$smarty.const._EDIT}>">\r\n            <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>" />\r\n        </a>\r\n        <{if $item.block_type != ''S''}>\r\n        <a class="tooltip" href="admin.php?fct=blocksadmin&amp;op=delete&amp;bid=<{$item.bid}>" title="<{$smarty.const._DELETE}>">\r\n            <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._DELETE}>" />\r\n        </a>\r\n        <{/if}>\r\n        <a class="tooltip" href="admin.php?fct=blocksadmin&amp;op=clone&amp;bid=<{$item.bid}>" title="<{$smarty.const._AM_SYSTEM_BLOCKS_CLONE}>">\r\n            <img src="<{xoAdminIcons clone.png}>" alt="<{$smarty.const._AM_SYSTEM_BLOCKS_CLONE}>" />\r\n        </a>\r\n    </div>\r\n</div>\r\n<{/if}>\r\n<{/foreach}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(28, '<{includeq file="db:system_header.html"}>\r\n<!--Comments-->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{else}>\r\n<div class="floatleft"><{$form_sort}></div>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <button class="ui-corner-all" onclick="self.location.href=''admin.php?fct=comments&amp;op=comments_form_purge''">\r\n            <img src="<{xoAdminIcons clear.png}>" alt="<{$smarty.const._AM_SYSTEM_COMMENTS_FORM_PURGE}>" />\r\n            <{$smarty.const._AM_SYSTEM_COMMENTS_FORM_PURGE}>\r\n        </button>\r\n    </div>\r\n</div>\r\n<div class="clear"></div>\r\n<table id="xo-comment-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n    <tr>\r\n        <th class="txtcenter width5"><input name=''allbox'' id=''allbox'' onclick=''xoopsCheckAll("commentslist", "allbox");''  type=''checkbox'' value=''Check All'' /></th>\r\n        <th class="txtcenter width5"></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_TITLE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_POSTED}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_IP}></th>\r\n        <th class="txtcenter"><{$smarty.const._DATE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_MODULE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_COMMENTS_STATUS}></th>\r\n        <th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_COMMENTS_ACTION}></th>\r\n    </tr>\r\n    </thead>\r\n    <form name=''commentslist'' id=''commentslist'' action=''<{$php_selft}>'' method="post">\r\n    <tbody>\r\n    <{foreach item=comments from=$comments}>\r\n    <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n        <td class="txtcenter"><input type=''checkbox'' name=''commentslist_id[]'' id=''commentslist_id[]'' value=''<{$comments.comments_id}>''/></td>	\r\n        <td class="txtcenter"><{$comments.comments_icon}></td>\r\n        <td class="txtcenter"><{$comments.comments_title}></td>\r\n        <td class="txtcenter"><{$comments.comments_poster}></td>\r\n        <td class="txtcenter"><{$comments.comments_ip}></td>\r\n        <td class="txtcenter"><{$comments.comments_date}></td>\r\n        <td class="txtcenter"><{$comments.comments_modid}></td>\r\n        <td class="txtcenter"><{$comments.comments_status}></td>\r\n        <td class="xo-actions txtcenter">\r\n            <img class="cursorpointer" onclick="display_dialog(''<{$comments.comments_id}>'', true, true, ''slide'', ''slide'', 300, 500);" src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_COMMENTS_VIEW}>" title="<{$smarty.const._AM_SYSTEM_COMMENTS_VIEW}>" />\r\n            <a href="admin/comments/comment_edit.php?com_id=<{$comments.comments_id}>" title="<{$smarty.const._EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>">\r\n            </a>\r\n            <a href="admin/comments/comment_delete.php?com_id=<{$comments.comments_id}>" title="<{$smarty.const._DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._DELETE}>">\r\n            </a>\r\n        </td>\r\n    </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n    <tr>\r\n        <td><input type=''submit'' name=''<{$smarty.const._DELETE}>'' value=''<{$smarty.const._DELETE}>'' /></td>\r\n        <td colspan="7">&nbsp;</td>\r\n    </tr>\r\n    </form>\r\n</table>\r\n<{foreach item=comments from=$comments_popup}>\r\n<!--Pop-pup-->\r\n<div id=''dialog<{$comments.comments_id}>'' title=''<{$comments.comments_icon}>&nbsp;&nbsp;<{$comments.comments_title}>'' style=''display:none;''>\r\n    <img src="<{xoAdminIcons comment.png}>" alt="comments" title="comments" class="xo-commentsimg" />\r\n    <p><{$comments.comments_text}></p>\r\n</div>\r\n<{/foreach}>\r\n<!--Pop-pup-->\r\n<div class="txtright"><{$nav}></div>\r\n<{/if}>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(29, '<{includeq file="db:system_header.html"}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<!--User rank-->\r\n<{if $userrank_count == true}>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <a class="ui-corner-all tooltip" href="admin.php?fct=userrank&amp;op=userrank_new" title="<{$smarty.const._AM_SYSTEM_USERRANK_ADD}>">\r\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_USERRANK_ADD}>" />\r\n            <{$smarty.const._AM_SYSTEM_USERRANK_ADD}>\r\n        </a>\r\n    </div>\r\n</div>\r\n<table id="xo-rank-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n    <tr>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_IMAGE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_TITLE}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_MINPOST}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_MAXPOST}></th>\r\n        <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERRANK_SPECIAL}></th>\r\n        <th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_USERRANK_ACTION}></th>\r\n    </tr>\r\n    </thead>\r\n    <tbody>\r\n    <{foreach item=userrank from=$userrank}>\r\n    <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n        <td class="txtcenter"><{$userrank.rank_image}></td>\r\n        <td class="txtcenter"><{$userrank.rank_title}></td>\r\n        <td class="txtcenter"><{$userrank.rank_min}></td>\r\n        <td class="txtcenter"><{$userrank.rank_max}></td>\r\n        <td class="xo-actions txtcenter"><img id="loading_sml<{$userrank.rank_id}>" src="images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="sml<{$userrank.rank_id}>" onclick="system_setStatus( { fct: ''userrank'', op: ''userrank_update_special'', rank_id: <{$userrank.rank_id}> }, ''sml<{$userrank.rank_id}>'', ''admin.php'' )" src="<{if $userrank.rank_special}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{if $userrank.rank_special}><{$smarty.const._AM_SYSTEM_USERRANK_OFF}><{else}><{$smarty.const._AM_SYSTEM_USERRANK_ON}><{/if}>" title="<{if $userrank.rank_special}><{$smarty.const._AM_SYSTEM_USERRANK_OFF}><{else}><{$smarty.const._AM_SYSTEM_USERRANK_ON}><{/if}>" />\r\n        </td>\r\n        <td class="xo-actions txtcenter">\r\n            <a class="tooltip" href="admin.php?fct=userrank&amp;op=userrank_edit&amp;rank_id=<{$userrank.rank_id}>" title="<{$smarty.const._AM_SYSTEM_USERRANK_EDIT}>">\r\n                <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_USERRANK_EDIT}>" />\r\n            </a>\r\n            <a class="tooltip" href="admin.php?fct=userrank&amp;op=userrank_delete&amp;rank_id=<{$userrank.rank_id}>" title="<{$smarty.const._AM_SYSTEM_USERRANK_DELETE}>">\r\n                <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_USERRANK_DELETE}>" />\r\n            </a>\r\n        </td>\r\n    </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n</table>\r\n<!-- Display rank navigation -->\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu}></div>\r\n<div class="clear spacer"></div>\r\n<{/if}>\r\n<{/if}>\r\n<!--Display rank form (add,edit)-->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>\r\n\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(30, '<{includeq file="db:system_header.html"}>\r\n\r\n<{if $users_display == true}>\r\n<!--Display form sort-->\r\n<div class="xo-headercontent">\r\n    <div class="floatleft"><{$form_sort}></div>\r\n    <div class="floatright">\r\n        <div class="xo-buttons">\r\n            <a class="ui-corner-all tooltip" href="admin.php?fct=users&amp;op=users_synchronize&amp;status=2" title="<{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>">\r\n                <img src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>" />\r\n                <{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>\r\n            </a>\r\n            <a class="ui-corner-all tooltip" href="admin.php?fct=users&amp;op=users_add" title="<{$smarty.const._AM_SYSTEM_USERS_ADDUSER}>">\r\n                <img src="<{xoAdminIcons user_add.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_ADDUSER}>" />\r\n                <{$smarty.const._AM_SYSTEM_USERS_ADDUSER}>\r\n            </a>\r\n        </div>\r\n    </div>\r\n</div>\r\n<div class="clear">&nbsp;</div>\r\n    <table id="xo-users-sorter" cellspacing="1" class="outer tablesorter">\r\n        <thead>\r\n        <tr>\r\n            <th class="txtcenter width3"><input name=''allbox'' id=''allbox'' onclick=''xoopsCheckAll("memberslist", "allbox");''  type=''checkbox'' value=''Check All'' /></th>\r\n            <th class="txtcenter width5"><{$smarty.const._AM_SYSTEM_USERS_STATUS}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_UNAME}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_EMAIL}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_REG_DATE}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_LAST_LOGIN}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_POSTS}></th>\r\n            <th class="txtcenter" width=''11%''><{$smarty.const._AM_SYSTEM_USERS_ACTION}></th>\r\n        </tr>\r\n        </thead>\r\n        <!--Display data-->\r\n        <{if $users_count == true}>\r\n        <form name=''memberslist'' id=''memberslist'' action=''<{$php_selft}>'' method=''POST''>\r\n        <tbody>\r\n        <{foreach item=users from=$users}>\r\n        <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n            <td class="txtcenter"><{if $users.checkbox_user}><input type=''checkbox'' name=''memberslist_id[]'' id=''memberslist_id[]'' value=''<{$users.uid}>'' /><{/if}></td>\r\n            <td class="txtcenter"><img class="xo-imgmini" src="<{$users.group}>" alt="" /></td>\r\n            <td class="txtcenter"><a title="<{$users.uname}>" href="<{$xoops_url}>/userinfo.php?uid=<{$users.uid}>" ><{$users.uname}></a></td>\r\n            <td class="txtcenter"><{$users.email}></td>\r\n            <td class="txtcenter"><{$users.reg_date}></td>\r\n            <td class="txtcenter"><{$users.last_login}></td>\r\n            <td class="txtcenter"><div id="display_post_<{$users.uid}>"><{$users.posts}></div><div id=''loading_<{$users.uid}>'' class="txtcenter" style="display:none;"><img src="./images/mimetypes/spinner.gif" title="Loading" alt="Loading" width="12px"/></div></td>\r\n            <td class="xo-actions txtcenter">\r\n                <{if $users.user_level > 0}>\r\n                <img class="tooltip" onclick="display_post(''<{$users.uid}>'');" src="<{xoAdminIcons reload.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>" title="<{$smarty.const._AM_SYSTEM_USERS_SYNCHRONIZE}>" />\r\n                <img class="tooltip" onclick="display_dialog(''<{$users.uid}>'', true, true, ''slide'', ''slide'', 300, 400);" src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_VIEW}>" title="<{$smarty.const._AM_SYSTEM_USERS_VIEW}>" />\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_edit&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_EDIT}>">\r\n                    <img src="<{xoAdminIcons user_edit.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_EDIT}>" />\r\n                </a>\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_delete&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_DEL}>">\r\n                    <img src="<{xoAdminIcons user_delete.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_DEL}>" />\r\n                </a>\r\n                <{else}>\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_active&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_ACTIVE}>">\r\n                    <img src="<{xoAdminIcons xoops/active_user.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_ACTIVE}>" />\r\n                </a>\r\n                <img class="tooltip" onclick="display_dialog(''<{$users.uid}>'', true, true, ''slide'', ''slide'', 300, 400);" src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_VIEW}>" title="<{$smarty.const._AM_SYSTEM_USERS_VIEW}>" />\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_edit&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_EDIT}>">\r\n                    <img src="<{xoAdminIcons user_edit.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_EDIT}>" />\r\n                </a>\r\n                <a class="tooltip" href="admin.php?fct=users&amp;op=users_delete&amp;uid=<{$users.uid}>" title="<{$smarty.const._AM_SYSTEM_USERS_DEL}>">\r\n                    <img src="<{xoAdminIcons user_delete.png}>" alt="<{$smarty.const._AM_SYSTEM_USERS_DEL}>" />\r\n                </a>\r\n                <{/if}>\r\n            </td>\r\n        </tr>\r\n        <{/foreach}>\r\n        </tbody>\r\n        <tr>\r\n            <td class=''txtleft'' colspan=''6''>\r\n                <select name=''fct'' onChange=''changeDisplay (this.value, "groups", "edit_group")''>\r\n                    <option value=''''>---------</option>\r\n                    <option value=''mailusers''><{$smarty.const._AM_SYSTEM_USERS_SENDMAIL}></option>\r\n                    <option value=''groups''><{$smarty.const._AM_SYSTEM_USERS_EDIT_GROUPS}></option>\r\n                    <option value=''users''><{$smarty.const._AM_SYSTEM_USERS_DELETE}></option>\r\n                </select>&nbsp;\r\n                <select name=''edit_group'' id=''edit_group'' onChange=''changeDisplay (this.value, this.value, "selgroups")'' style="display:none;">\r\n                    <option value=''''>---------</option>\r\n                    <option value=''add_group''><{$smarty.const._AM_SYSTEM_USERS_ADD_GROUPS}></option>\r\n                    <option value=''delete_group''><{$smarty.const._AM_SYSTEM_USERS_DELETE_GROUPS}></option>\r\n                </select>\r\n                <{$form_select_groups}>\r\n                <input type="hidden" name="op" value="action_group">\r\n                <input type=''submit'' name=''Submit'' />\r\n            </td>\r\n        </tr>\r\n        </form>\r\n        <{/if}>\r\n        <!--No found-->\r\n        <{if $users_no_found == true}>\r\n        <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n            <td colspan=''8'' class="txtcenter"><{$smarty.const._AM_SYSTEM_USERS_NO_FOUND}></td>\r\n        </tr>\r\n        <{/if}>\r\n    </table>\r\n    <!--Pop-pup-->\r\n    <{if $users_count == true}>\r\n        <{foreach item=users from=$users_popup}>\r\n            <div id="dialog<{$users.uid}>" title="<{$users.uname}>" style=''display:none;''>\r\n                <table>\r\n                    <tr>\r\n                        <td class="txtcenter">\r\n                            <img src="<{$users.user_avatar}>" alt="<{$users.uname}>" title="<{$users.uname}>" />\r\n                        </td>\r\n                        <td class="txtcenter">\r\n                            <a href=''mailto:<{$users.email}>''><img src="<{xoAdminIcons mail_send.png}>" alt="" title=<{$smarty.const._AM_SYSTEM_USERS_EMAIL}> /></a>\r\n                            <a href=''javascript:openWithSelfMain("<{$xoops_url}>/pmlite.php?send2=1&amp;to_userid=<{$users.uid}>","pmlite",450,370);''><img src="<{xoAdminIcons pm.png}>" alt="" title=<{$smarty.const._AM_SYSTEM_USERS_PM}> /></a>\r\n                            <a href=''<{$users.url}>'' rel=''external''><img src="<{xoAdminIcons url.png}>" alt="" title=<{$smarty.const._AM_SYSTEM_USERS_URL}> ></a>\r\n                        </td>\r\n                    </tr>\r\n                    <tr>\r\n                        <td colspan="2">\r\n                            <ul style="border: 1px solid #666; padding: 8px;">\r\n                                <{if $users.user_name}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_NAME}></span>&nbsp;:&nbsp;<{$users.name}></li><{/if}>\r\n                                <li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_UNAME}></span>&nbsp;:&nbsp;<{$users.uname}></li>\r\n                                <li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_EMAIL}></span>&nbsp;:&nbsp;<{$users.email}></li>\r\n                                <{if $users.user_url}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_URL}></span>&nbsp;:&nbsp;<{$users.url}> </li><{/if}>\r\n                                <{if $users.user_icq}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_ICQ}></span>&nbsp;:&nbsp;<{$users.user_icq}></li><{/if}>\r\n                                <{if $users.user_aim}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_AIM}></span>&nbsp;:&nbsp;<{$users.user_aim}></li><{/if}>\r\n                                <{if $users.user_yim}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_YIM}></span>&nbsp;:&nbsp;<{$users.user_yim}></li><{/if}>\r\n                                <{if $users.user_msnm}><li><span class="bold"><{$smarty.const._AM_SYSTEM_USERS_MSNM}></span>&nbsp;:&nbsp;<{$users.user_msnm}> </li><{/if}>\r\n                            </ul>\r\n                        </td>\r\n                    </tr>\r\n                </table>\r\n            </div>\r\n        <{/foreach}>\r\n    <{/if}>\r\n    <!--Pop-pup-->\r\n    <div class=''txtright''><{$nav}></div>\r\n<{/if}>\r\n<br />\r\n<!-- Display Avatar form (add,edit) -->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(31, '<{if $breadcrumb}>\r\n<{includeq file="db:system_header.html"}>\r\n<{/if}>\r\n<!--Preferences-->\r\n<{if $menu}>\r\n<div class="xo-catsetting">\r\n	<{foreach item=preferences from=$preferences}>\r\n	<a class="tooltip" href="admin.php?fct=preferences&amp;op=show&amp;confcat_id=<{$preferences.id}>" title="<{$preferences.name}>">\r\n        <img src="<{$preferences.image}>" alt="<{$preferences.name}>" />\r\n        <span><{$preferences.name}></span>\r\n    </a>	\r\n	<{/foreach}>\r\n	<a class="tooltip" href="admin.php?fct=preferences&amp;op=showmod&amp;mod=1" title="<{$smarty.const._AM_SYSTEM_PREFERENCES_SETTINGS}>">\r\n        <img src="<{xoAdminIcons xoops/system_mods.png}>" alt="<{$smarty.const._AM_SYSTEM_PREFERENCES_SETTINGS}>" />\r\n        <span><{$smarty.const._AM_SYSTEM_PREFERENCES_SETTINGS}></span>\r\n    </a>	\r\n</div>\r\n<{/if}>\r\n<div class="clear">&nbsp;</div>\r\n<br />\r\n\r\n\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(32, '<!--smilies-->\r\n<{includeq file="db:system_header.html"}>\r\n<!-- Display mailusers form  -->\r\n<br />\r\n<{if $form}>\r\n    <div class="spacer"><{$form}></div>\r\n<{/if}>\r\n<{$Sucess}>\r\n<{$Errors}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(33, '<!--groups-->\r\n<{includeq file="db:system_header.html"}>\r\n<{if $groups_count == true}>\r\n<div class="floatright">\r\n    <div class="xo-buttons">\r\n        <button class="ui-corner-all" onclick="self.location.href=''admin.php?fct=groups&amp;op=groups_add''">\r\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_GROUPS_ADD}>" />\r\n            <{$smarty.const._AM_SYSTEM_GROUPS_ADD}>\r\n        </button>\r\n    </div>\r\n</div>\r\n<table id="xo-group-sorter" cellspacing="1" class="outer tablesorter">\r\n    <thead>\r\n	<tr>\r\n		<th class="txtcenter width5"><{$smarty.const._AM_SYSTEM_GROUPS_ID}></th>\r\n        <th class="txtcenter width20"><{$smarty.const._AM_SYSTEM_GROUPS_NAME}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_GROUPS_DESCRIPTION}></th>\r\n		<th class="txtcenter"><{$smarty.const._AM_SYSTEM_GROUPS_NB_USERS_BY_GROUPS}></th>\r\n		<th class="txtcenter width10"><{$smarty.const._AM_SYSTEM_GROUPS_ACTION}></th>\r\n	</tr>\r\n	</thead>\r\n	<tbody>\r\n	<{foreach item=groups from=$groups}>\r\n	<tr class="<{cycle values=''odd, even''}> alignmiddle">\r\n		<td class="txtcenter"><{$groups.groups_id}></td>\r\n        <td class="txtleft">\r\n            <a class="tooltip" href="admin.php?fct=groups&amp;op=groups_edit&amp;groups_id=<{$groups.groups_id}>" title="<{$smarty.const._AM_SYSTEM_GROUPS_EDIT}>">\r\n                <{$groups.name}>\r\n            </a>\r\n        </td>\r\n		<td class="txtleft"><{$groups.description}></td>\r\n		<td class="txtcenter width25">\r\n            <a href="./admin.php?fct=users&amp;selgroups=<{$groups.groups_id}>"><{$groups.nb_users_by_groups}></a>\r\n        </td>\r\n		<td class="xo-actions txtcenter">\r\n			<a class="tooltip" href="admin.php?fct=groups&amp;op=groups_edit&amp;groups_id=<{$groups.groups_id}>" title="<{$smarty.const._AM_SYSTEM_GROUPS_EDIT}>">\r\n				<img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._AM_SYSTEM_GROUPS_EDIT}>" />\r\n			</a>\r\n			<{if $groups.delete}>\r\n			<a class="tooltip" href="admin.php?fct=groups&amp;op=groups_delete&amp;groups_id=<{$groups.groups_id}>" title="<{$smarty.const._AM_SYSTEM_GROUPS_DELETE}>">\r\n				<img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._AM_SYSTEM_GROUPS_DELETE}>" />\r\n			</a>\r\n			<{/if}>\r\n        </td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n</table>\r\n<!-- Display groups navigation -->\r\n<div class="clear spacer"></div>\r\n<{if $nav_menu}>\r\n<div class="xo-avatar-pagenav floatright"><{$nav_menu}></div><div class="clear spacer"></div>\r\n<{/if}>\r\n<{/if}>\r\n<!-- Display groups form (add,edit) -->\r\n<{if $form}>\r\n<div class="spacer"><{$form}></div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(34, '<!-- Header -->\n<{includeq file="db:system_header.html"}>\n<!-- Buttons -->\n<div class="floatright">\n    <div class="xo-buttons">\n        <{if !$edit_form && !$listimg}>\n        <button id="xo-addcat-btn" class="ui-corner-all tooltip" onclick="xo_toggle(''div#xo-category-add'');" title="<{$smarty.const._AM_SYSTEM_IMAGES_ADDCAT}>">\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_ADDCAT}>" />\n            <{$smarty.const._AM_SYSTEM_IMAGES_ADDCAT}>\n        </button>\n        <{/if}>\n        <{if $cat_img || $listimg}>\n        <button id="xo-addimg-btn" class="ui-corner-all tooltip" onclick="xo_toggle(''div#xo-images-add'');" title="<{$smarty.const._AM_SYSTEM_IMAGES_ADDIMG}>">\n            <img src="<{xoAdminIcons add.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_ADDIMG}>" />\n            <{$smarty.const._AM_SYSTEM_IMAGES_ADDIMG}>\n        </button>\n        <{/if}>\n    </div>\n</div>\n<!-- Category List -->\n<{if !$edit_form && !$listimg}>\n<table class="outer" cellspacing="1">\n    <thead>\n        <tr>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_NAME}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_NBIMAGES}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_MAXSIZE}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_MAXWIDTH}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_MAXHEIGHT}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_DISPLAY}></th>\n            <th><{$smarty.const._AM_SYSTEM_IMAGES_ACTIONS}></th>\n        </tr>\n    </thead>\n    <tbody>\n        <{foreach item=cat from=$cat_img}>\n        <tr class="<{cycle values=''odd, even''}> txtcenter">\n            <td>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=listimg&amp;imgcat_id=<{$cat.id}>" title="<{$smarty.const._AM_SYSTEM_IMAGES_VIEW}>">\n                    <{$cat.name}>\n                </a>\n            </td>\n            <td><{$cat.count}></td>\n            <td><{$cat.maxsize}></td>\n            <td><{$cat.maxwidth}></td>\n            <td><{$cat.maxheight}></td>\n            <td class="xo-actions"><img id="loading_cat<{$cat.id}>" src="./images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="cat<{$cat.id}>" onclick="system_setStatus( { fct: ''images'', op: ''display_cat'', imgcat_id: <{$cat.id}> }, ''cat<{$cat.id}>'', ''admin.php'' )" src="<{if $cat.display}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="" title="<{if $cat.display}><{$smarty.const._AM_SYSTEM_IMAGES_OFF}><{else}><{$smarty.const._AM_SYSTEM_IMAGES_ON}><{/if}>" />\n            </td>\n            <td class="xo-actions txtcenter">\n                <a class="tooltip" href="admin.php?fct=images&amp;op=listimg&amp;imgcat_id=<{$cat.id}>" title="<{$smarty.const._AM_SYSTEM_IMAGES_VIEW}>">\n                    <img src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_VIEW}>" />\n                </a>\n                <{if $xoops_isadmin}>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=editcat&amp;imgcat_id=<{$cat.id}>" title="<{$smarty.const._EDIT}>">\n                    <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>" />\n                </a>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=delcat&amp;imgcat_id=<{$cat.id}>" title="<{$smarty.const._EDIT}>">\n                    <img src="<{xoAdminIcons delete.png}>" alt="" />\n                </a>\n                <{/if}>\n            </td>\n        </tr>\n        <{/foreach}>\n        <{if !$cat_img}>\n        <tr>\n            <td class="txtcenter bold odd" colspan="7"><{$smarty.const._AM_SYSTEM_IMAGES_NOCAT}></td>\n        </tr>\n        <{/if}>\n    </tbody>\n</table>\n<!-- Nav menu -->\n<{if $nav_menu}><div class="xo-avatar-pagenav floatright"><{$nav_menu}></div><div class="clear spacer"></div><{/if}>\n<{/if}>\n<{if $images}>\n<!-- Image list -->\n<div id="xo-category-add" class="">\n    <{foreach item=img from=$images}>\n    <div class="floatleft">\n        <div class="ui-corner-all xo-thumb txtcenter">\n            <div class="xo-thumbimg">\n                <{if !$db_store}>\n                <img class="tooltip" src="class/thumbs/phpThumb.php?src=<{$xoops_rootpath}>/uploads/<{$img.image_name}>&amp;h=120&amp;w=120" alt="<{$img.image_nicename}>" title="<{$img.image_nicename}>" />\n                <{else}>\n                <img class="tooltip" src="<{$xoops_url}>/image.php?id=<{$img.image_id}>" alt="<{$img.image_nicename}>" title="<{$img.image_nicename}>" style="max-width:120px; max-height:120px;" />\n                <{/if}>\n            </div>\n            <div class="xo-actions txtcenter">\n                <div class="spacer bold"><{$img.image_nicename}></div>\n                    <img id="loading_img<{$img.image_id}>" src="./images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" /><img class="cursorpointer tooltip" id="img<{$img.image_id}>" onclick="system_setStatus( { fct: ''images'', op: ''display_img'', image_id: <{$img.image_id}> }, ''img<{$img.image_id}>'', ''admin.php'' )" src="<{if $img.image_display}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{$smarty.const._IMGDISPLAY}>" title="<{$smarty.const._IMGDISPLAY}>" />\n                    <{if !$db_store}>\n                    <a class="lightbox tooltip" href="<{$xoops_upload_url}>/<{$img.image_name}>" title="<{$smarty.const._PREVIEW}>">\n                    <{else}>\n                    <a class="lightbox tooltip" href="<{$xoops_url}>/image.php?id=<{$img.image_id}>" title="<{$smarty.const._PREVIEW}>">\n                    <{/if}>\n                        <img src="<{xoAdminIcons display.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_VIEW}>" />\n                    </a>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=editimg&amp;image_id=<{$img.image_id}>" title="<{$smarty.const._EDIT}>">\n                    <img src="<{xoAdminIcons edit.png}>" alt="<{$smarty.const._EDIT}>" />\n                </a>\n                <a class="tooltip" href="admin.php?fct=images&amp;op=delfile&amp;image_id=<{$img.image_id}>" title="<{$smarty.const._DELETE}>">\n                    <img src="<{xoAdminIcons delete.png}>" alt="<{$smarty.const._DELETE}>" />\n                </a>\n                 <img class="tooltip" onclick="display_dialog(<{$img.image_id}>, true, true, ''slide'', ''slide'', 120, 350);" src="<{xoAdminIcons url.png}>" alt="<{$smarty.const._AM_SYSTEM_IMAGES_URL}>" title="<{$smarty.const._AM_SYSTEM_IMAGES_URL}>" />\n            </div>\n        </div>\n    </div>\n    \n    <div id="dialog<{$img.image_id}>" title="<{$img.image_nicename}>" style=''display:none;''>\n          <div class="center">\n              <{if !$db_store}>\n              <{$xoops_upload_url}>/<{$img.image_name}>\n              <{else}>\n              <{$xoops_url}>/image.php?id=<{$img.image_id}>\n              <{/if}>\n          </div>\n    </div>\n\n    <{/foreach}>\n    <div class="clear"></div>\n</div>\n<{if $nav_menu}><div class="xo-avatar-pagenav floatright"><{$nav_menu}></div><div class="clear spacer"></div><{/if}>\n<{/if}>\n\n<!-- Add Image form -->\n<div id="xo-images-add" class="hide">\n    <br />\n    <{$image_form.javascript}>\n    <form name="<{$image_form.name}>" id="<{$image_form.name}>" action="<{$image_form.action}>" method="<{$image_form.method}>" <{$image_form.extra}> >\n    <table class="outer">\n        <tr>\n            <th colspan="2"><{$image_form.title}></th>\n        </tr>\n        <{foreach item=element from=$image_form.elements}>\n        <{if $element.hidden != true && $element.body != ''''}>\n        <tr>\n            <td class="odd aligntop">\n                <div class="spacer bold"><{$element.caption}><{if $element.required}><span class="red">&nbsp;*</span><{/if}></div>\n                <div class="spacer"><{$element.description}></div>\n            </td>\n            <td class="even"><{$element.body}></td>\n        </tr>\n        <{else}>\n        <{$element.body}>\n        <{/if}>\n        <{/foreach}>\n    </table>\n    </form>\n</div>\n<!-- Add Category form -->\n<div id="xo-category-add" class="hide">\n    <br />\n    <{$imagecat_form.javascript}>\n    <form name="<{$imagecat_form.name}>" id="<{$imagecat_form.name}>" action="<{$imagecat_form.action}>" method="<{$imagecat_form.method}>" <{$imagecat_form.extra}> >\n    <table class="outer">\n        <tr>\n            <th colspan="2"><{$imagecat_form.title}></th>\n        </tr>\n        <{foreach item=element from=$imagecat_form.elements}>\n        <{if $element.hidden != true && $element.body != ''''}>\n        <tr>\n            <td class="odd aligntop">\n                <div class="spacer bold"><{$element.caption}><{if $element.required}><span class="red">&nbsp;*</span><{/if}></div>\n                <div class="spacer"><{$element.description}></div>\n            </td>\n            <td class="even"><{$element.body}></td>\n        </tr>\n        <{else}>\n        <{$element.body}>\n        <{/if}>\n        <{/foreach}>\n    </table>\n    </form>\n</div>\n<!-- Edit form image -->\n<{if $edit_form}>\n<div id="xo-images-add" class="">\n    <{$edit_thumbs}>\n    <br />\n    <{$edit_form.javascript}>\n    <form name="<{$edit_form.name}>" id="<{$edit_form.name}>" action="<{$edit_form.action}>" method="<{$edit_form.method}>" <{$edit_form.extra}> >\n    <table class="outer">\n        <tr>\n            <th colspan="2"><{$edit_form.title}></th>\n        </tr>\n        <{foreach item=element from=$edit_form.elements}>\n        <{if $element.hidden != true && $element.body != ''''}>\n        <tr>\n            <td class="odd aligntop">\n                <div class="spacer bold"><{$element.caption}><{if $element.required}><span class="red">&nbsp;*</span><{/if}></div>\n                <div class="spacer"><{$element.description}></div>\n            </td>\n            <td class="even"><{$element.body}></td>\n        </tr>\n        <{else}>\n        <{$element.body}>\n        <{/if}>\n        <{/foreach}>\n    </table>\n    </form>\n</div>\n<{/if}>\n<script type="text/javascript">\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\n\n    $(''.lightbox'').lightBox({\n        imageLoading:''language/<{$xoops_language}>/images/lightbox-ico-loading.gif'',\n        imageBtnClose:''language/<{$xoops_language}>/images/lightbox-btn-close.gif'',\n        imageBtnNext:''language/<{$xoops_language}>/images/lightbox-btn-next.gif'',\n        imageBtnPrev:''language/<{$xoops_language}>/images/lightbox-btn-prev.gif'',\n        imageBlank:''language/<{$xoops_language}>/images/lightbox-blank.gif''\n    });\n\n\n</script>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(35, '<{includeq file="db:system_header.html"}>\r\n\r\n<{if $index}>    \r\n<br class="clear" />\r\n<div class="spacer">\r\n    <table class="outer ui-corner-all" cellspacing="1">\r\n        <tr>\r\n            <th><{$smarty.const._AM_SYSTEM_TEMPLATES_YOUR_THEMES}></th>\r\n            <th>&nbsp;</th>\r\n        </tr>\r\n		<tr>\r\n			<td class="aligntop width10"><div id="fileTree" class="display_folder"></div></td>\r\n			<td class="aligntop">\r\n				<div id="display_form"><{$form}></div>\r\n				<div id="display_contenu"></div>\r\n				<div id=''display_message'' class="txtcenter" style="display:none;"></div>\r\n				<div id=''loading'' class="txtcenter" style="display:none;"><br /><br /><img src="images/loading.gif" title="Loading" alt="Loading" /></div>\r\n			</td>\r\n		</tr>\r\n    </table>\r\n\r\n<br class="clear" />\r\n</div>\r\n<{else}>\r\n    <br />\r\n    <{if $verif}>\r\n        <{$infos}>\r\n    <{else}>\r\n        <div class="txtcenter"><{$smarty.const._AM_SYSTEM_TEMPLATES_NOT_CREATED}></div>\r\n    <{/if}>\r\n<{/if}>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(36, '<{includeq file="db:system_header.html"}>\r\n<script type="text/javascript">\r\n    IMG_ON = ''<{xoAdminIcons success.png}>'';\r\n    IMG_OFF = ''<{xoAdminIcons cancel.png}>'';\r\n</script>\r\n<table cellspacing="1" class="outer">\r\n    <thead>\r\n        <tr>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_SECTION}></th>\r\n            <th class="txtcenter"><{$smarty.const._AM_SYSTEM_DESC}></th>\r\n            <th class="txtcenter">&nbsp;</th>\r\n            <th class="txtcenter">&nbsp;</th>\r\n        </tr>\r\n    </thead>\r\n    \r\n    <tbody>\r\n    <{foreach item=menu from=$menu}>\r\n    <{if $menu.title}>\r\n    <tr class="<{cycle values=''even,odd''}>">\r\n        <td class="bold width15">\r\n            <a class="tooltip" href="admin.php?fct=<{$menu.file}>" title="<{$smarty.const._AM_SYSTEM_GO}>: <{$menu.title}>">\r\n                <img class="xo-imgmini" src=''<{$theme_icons}>/<{$menu.icon}>'' alt="<{$menu.title}>" />\r\n                <{$menu.title}>\r\n            </a>\r\n        </td>\r\n        <td class=""><{$menu.desc}></td>\r\n        <td class="width15"><{$menu.infos}></td>\r\n        <td class="xo-actions width2">\r\n            <{if $menu.used}>\r\n                <img id="loading_<{$menu.file}>" src="images/spinner.gif" style="display:none;" alt="<{$smarty.const._AM_SYSTEM_LOADING}>" />\r\n                <img class="tooltip" id="<{$menu.file}>" onclick="system_setStatus( { op: ''system_avtivate'', type: ''<{$menu.file}>'' }, ''<{$menu.file}>'', ''admin.php'' )" src="<{if $menu.status}><{xoAdminIcons success.png}><{else}><{xoAdminIcons cancel.png}><{/if}>" alt="<{$smarty.const._AM_SYSTEM_STATUS}>" title="<{$smarty.const._AM_SYSTEM_STATUS}>" />\r\n            <{/if}>\r\n        </td>\r\n    </tr>\r\n    <{/if}>\r\n    <{/foreach}>\r\n    </tbody>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(37, '<!--maintenance-->\r\n<{includeq file="db:system_header.html"}>\r\n<!-- Display mailusers form  -->\r\n<br />\r\n<{if $form_maintenance}>\r\n    <div class="spacer"><{$form_maintenance}></div><br />\r\n	<div class="spacer"><{$form_dump}></div>\r\n<{elseif $maintenance}>\r\n	<{if $verif_cache || $verif_session}>\r\n		<table class="outer ui-corner-all" cellspacing="1">\r\n			<tr>\r\n				<th><{$smarty.const._AM_SYSTEM_MAINTENANCE}></th>\r\n				<th><{$smarty.const._AM_SYSTEM_MAINTENANCE_RESULT}></th>\r\n			</tr>\r\n			<{if $verif_cache}>\r\n				<tr>\r\n					<td class="aligntop txtcenter"><{$smarty.const._AM_SYSTEM_MAINTENANCE_RESULT_CACHE}></td>\r\n					<td class="aligntop txtcenter"><{if $result_cache}><img width="16" src="<{xoAdminIcons success.png}>" /><{else}><img style="width:16px;" src="<{xoAdminIcons cancel.png}>" alt="Cancel"/><{/if}></td>\r\n				</tr>\r\n			<{/if}>\r\n			\r\n			<{if $verif_session}>\r\n				<tr>\r\n					<td class="aligntop" align="center"><{$smarty.const._AM_SYSTEM_MAINTENANCE_RESULT_SESSION}></td>\r\n					<td class="aligntop" align="center"><{if $result_session}><img style="width:16px;" src="<{xoAdminIcons success.png}>" alt="Success"/><{else}><img style="width:16px;" src="<{xoAdminIcons cancel.png}>" alt="Cancel"/><{/if}></td>\r\n				</tr>\r\n			<{/if}>\r\n		</table><br />\r\n	<{/if}>\r\n	<{if $verif_maintenance}>\r\n		<{$result_maintenance}>\r\n	<{/if}>\r\n<{else}>\r\n	<{$result_dump}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(38, '<{includeq file="db:system_header.html"}>\r\n<table>\r\n	<tr>\r\n		<td class="width20">\r\n			<{if $help}>\r\n				<div class="xo-help-menu">\r\n					<h2 class="head"><{$modname}></h2>\r\n					<{foreach item=help from=$help}>\r\n						<div class="<{cycle values=''odd, even''}>"><a href="<{$help.link}>"><{$help.name}></a></div>\r\n					<{/foreach}>\r\n				</div>\r\n			<{/if}>\r\n			<{if $list_mods}>\r\n				<div class="xo-help-menu">\r\n					<{foreach item=row from=$list_mods}>\r\n						<h2 class="head"><{$row.name}></h2>\r\n						<{foreach item=list from=$row.help_page}>\r\n							<div class="<{cycle values=''odd, even''}>" title="<{$list.name}>"><a href="<{$list.link}>"><{$list.name}></a></div>\r\n						<{/foreach}>\r\n					<{/foreach}>\r\n				</div>\r\n			<{/if}>\r\n		</td>\r\n		<td>\r\n			<div id="help-content">\r\n	         <{$helpcontent}>\r\n			</div>\r\n		</td>\r\n	</tr>\r\n</table>			');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(39, '<div id="usermenu">\r\n  <{if $xoops_isadmin}>\r\n	<a class="menuTop" href="<{xoAppUrl admin.php}>" title="<{$block.lang_adminmenu}>"><{$block.lang_adminmenu}></a>\r\n	<a href="<{xoAppUrl user.php}>" title="<{$block.lang_youraccount}>"><{$block.lang_youraccount}></a>\r\n  <{else}>\r\n	<a class="menuTop" href="<{xoAppUrl user.php}>" title="<{$block.lang_youraccount}>"><{$block.lang_youraccount}></a>\r\n  <{/if}>\r\n  <a href="<{xoAppUrl edituser.php}>" title="<{$block.lang_editaccount}>"><{$block.lang_editaccount}></a>\r\n  <a href="<{xoAppUrl notifications.php}>" title="<{$block.lang_notifications}>"><{$block.lang_notifications}></a>\r\n  <{if $block.new_messages > 0}>\r\n	<a class="highlight" href="<{xoAppUrl viewpmsg.php}>" title="<{$block.lang_inbox}>"><{$block.lang_inbox}> (<strong><{$block.new_messages}></strong>)</a>\r\n  <{else}>\r\n	<a href="<{xoAppUrl viewpmsg.php}>" title="<{$block.lang_inbox}>"><{$block.lang_inbox}></a>\r\n  <{/if}>\r\n  <a href="<{xoAppUrl user.php?op=logout}>" title="<{$block.lang_logout}>"><{$block.lang_logout}></a>\r\n</div>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(40, '<div class="txtcenter">\r\n	<form style="margin-top: 0;" action="<{xoAppUrl user.php}>" method="post">\r\n		<{$block.lang_username}><br />\r\n		<input type="text" name="uname" size="12" value="<{$block.unamevalue}>" maxlength="25" /><br />\r\n		<{$block.lang_password}><br />\r\n		<input type="password" name="pass" size="12" maxlength="32" /><br />\r\n		<{if isset($block.lang_rememberme)}>\r\n			<input type="checkbox" name="rememberme" value="On" class ="formButton" /><{$block.lang_rememberme}><br />\r\n		<{/if}>\r\n		<br />\r\n		<input type="hidden" name="xoops_redirect" value="<{$xoops_requesturi}>" />\r\n		<input type="hidden" name="op" value="login" />\r\n		<input type="submit" value="<{$block.lang_login}>" /><br />\r\n		<{$block.sslloginlink}>\r\n	</form>\r\n	<br />\r\n	<a href="<{xoAppUrl user.php#lost}>" title="<{$block.lang_lostpass}>"><{$block.lang_lostpass}></a>\r\n	<br /><br />\r\n	<a href="<{xoAppUrl register.php}>" title="<{$block.lang_registernow}>"><{$block.lang_registernow}></a>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(41, '<div class="txtcenter">\r\n<form style="margin-top: 0;" action="<{xoAppUrl search.php}>" method="get">\r\n  <input type="text" name="query" size="14" />\r\n  <input type="hidden" name="action" value="results" /><br />\r\n  <input type="submit" value="<{$block.lang_search}>" />\r\n</form>\r\n<a href="<{xoAppUrl search.php}>" title="<{$block.lang_advsearch}>"><{$block.lang_advsearch}></a>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(42, '<ul>\r\n  <{foreach item=module from=$block.modules}>\r\n  <li><a href="<{$module.adminlink}>" title="<{$module.lang_linkname}>"><{$module.lang_linkname}></a>: <{$module.pendingnum}></li>\r\n  <{/foreach}>\r\n</ul>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(43, '<div id="mainmenu">\r\n    <a class="menuTop <{if !$block.nothome}>maincurrent<{/if}>" href="<{xoAppUrl }>" title="<{$block.lang_home}>"><{$block.lang_home}></a>\r\n    <!-- start module menu loop -->\r\n    <{foreach item=module from=$block.modules}>\r\n		<a class="menuMain <{if $module.highlight}>maincurrent<{/if}>" href="<{$xoops_url}>/modules/<{$module.directory}>/" title="<{$module.name}>"><{$module.name}></a>\r\n		<{foreach item=sublink from=$module.sublinks}>\r\n			<a class="menuSub" href="<{$sublink.url}>" title="<{$sublink.name}>"><{$sublink.name}></a>\r\n		<{/foreach}>\r\n    <{/foreach}>\r\n    <!-- end module menu loop -->\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(44, '<table class="outer collapse">\r\n\r\n  <{if $block.showgroups == true}>\r\n\r\n  <!-- start group loop -->\r\n  <{foreach item=group from=$block.groups}>\r\n  <tr>\r\n    <th colspan="2"><{$group.name}></th>\r\n  </tr>\r\n\r\n  <!-- start group member loop -->\r\n  <{foreach item=user from=$group.users}>\r\n  <tr>\r\n    <td class="even txtcenter alignmiddle">\r\n        <img style="width:32px;" src="<{$user.avatar}>" alt="<{$user.name}>" /><br />\r\n        <a href="<{$xoops_url}>/userinfo.php?uid=<{$user.id}>" title="<{$user.name}>"><{$user.name}></a>\r\n    </td>\r\n    <td class="odd width20 txtright alignmiddle">\r\n        <{$user.msglink}>\r\n    </td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <!-- end group member loop -->\r\n\r\n  <{/foreach}>\r\n  <!-- end group loop -->\r\n  <{/if}>\r\n</table>\r\n\r\n<br />\r\n\r\n<div class="txtcenter marg3">\r\n  <img src="<{$block.logourl}>" alt="" /><br /><{$block.recommendlink}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(45, '<{$block.online_total}>\r\n<br /><br />\r\n<{$block.lang_members}>: <{$block.online_members}>\r\n<br />\r\n<{$block.lang_guests}>: <{$block.online_guests}>\r\n<br /><br />\r\n<{$block.online_names}>\r\n<a href="javascript:openWithSelfMain(''<{$xoops_url}>/misc.php?action=showpopups&amp;type=online'',''Online'',420,350);" title="<{$block.lang_more}>">\r\n    <{$block.lang_more}>\r\n</a>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(46, '<table cellspacing="1" class="outer">\r\n  <{foreach item=user from=$block.users}>\r\n  <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n    <td><{$user.rank}></td>\r\n    <td class="txtcenter">\r\n      <{if $user.avatar != ""}>\r\n      <img style="width:32px;" src="<{$user.avatar}>" alt="<{$user.name}>" /><br />\r\n      <{/if}>\r\n      <a href="<{$xoops_url}>/userinfo.php?uid=<{$user.id}>" title="<{$user.name}>"><{$user.name}></a>\r\n    </td>\r\n    <td class="txtcenter"><{$user.posts}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(47, '<table cellspacing="1" class="outer">\r\n  <{foreach item=user from=$block.users}>\r\n    <tr class="<{cycle values=''even,odd''}> alignmiddle">\r\n      <td class="txtcenter">\r\n      <{if $user.avatar != ""}>\r\n      <img style="width:32px;" src="<{$user.avatar}>" alt="<{$user.name}>" /><br />\r\n      <{/if}>\r\n      <a href="<{$xoops_url}>/userinfo.php?uid=<{$user.id}>" title="<{$user.name}>"><{$user.name}></a>\r\n      </td>\r\n      <td class="txtcenter"><{$user.joindate}></td>\r\n    </tr>\r\n  <{/foreach}>\r\n</table>\r\n');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(48, '<table cellspacing="1" class="outer width100">\r\n  <{foreach item=comment from=$block.comments}>\r\n  <tr class="<{cycle values=''even,odd''}>">\r\n    <td class="txtcenter"><img src="<{$xoops_url}>/images/subject/<{$comment.icon}>" alt="" /></td>\r\n    <td><{$comment.title}></td>\r\n    <td class="txtcenter"><{$comment.module}></td>\r\n    <td class="txtcenter"><{$comment.poster}></td>\r\n    <td class="txtright"><{$comment.time}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(49, '<form action="<{$block.target_page}>" method="post">\r\n<table class="outer">\r\n  <{foreach item=category from=$block.categories}>\r\n  <{foreach name=inner item=event from=$category.events}>\r\n  <{if $smarty.foreach.inner.first}>\r\n  <tr>\r\n    <td class="head" colspan="2"><{$category.title}></td>\r\n  </tr>\r\n  <{/if}>\r\n  <tr>\r\n    <td class="odd">\r\n		<{counter assign=index}>\r\n		<input type="hidden" name="not_list[<{$index}>][params]" value="<{$category.name}>,<{$category.itemid}>,<{$event.name}>" />\r\n		<input type="checkbox" name="not_list[<{$index}>][status]" value="1" <{if $event.subscribed}>checked="checked"<{/if}> />\r\n	</td>\r\n    <td class="odd"><{$event.caption}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n  <{/foreach}>\r\n  <tr>\r\n    <td class="foot" colspan="2">\r\n		<input type="hidden" name="not_redirect" value="<{$block.redirect_script}>">\r\n		<input type="hidden" value="<{$block.notification_token}>" name="XOOPS_TOKEN_REQUEST" />\r\n		<input type="submit" name="not_submit" value="<{$block.submit_button}>" />\r\n	</td>\r\n  </tr>\r\n</table>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(50, '<div class="txtcenter">\r\n<form action="<{xoAppUrl index.php}>" method="post">\r\n<{$block.theme_select}>\r\n</form>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(391, '<!--TadNews Start-->\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<div class="row-fluid">\r\n  <h2><{$version}></h2>\r\n  <form action="main.php" method="post">\r\n    <table class="table">\r\n    <tr>\r\n      <th><{$smarty.const._MA_TT_THEMES}></th>\r\n      <th><{$smarty.const._MA_TT_NEED_BOOTSTRAP}></th>\r\n      <th><{$smarty.const._MA_TT_BOOTSTRAP_COLOR}></th>\r\n    </tr>\r\n    <{foreach item=theme from=$themes}>\r\n      <tr>\r\n        <td <{$theme.color}>>\r\n          <{$theme.theme_name}>\r\n        </td>\r\n        <td>\r\n          <select name="tt_use_bootstrap[<{$theme.theme_name}>]">\r\n            <option value="" <{if $theme.use_bootstrap==""}>selected<{/if}>><{$smarty.const._MA_TT_EMPTY_CONFIG}></option>\r\n            <option value="1" <{if $theme.use_bootstrap=="1"}>selected<{/if}>><{$smarty.const._YES}></option>\r\n            <option value="0" <{if $theme.use_bootstrap=="0"}>selected<{/if}>><{$smarty.const._NO}></option>\r\n          </select>\r\n        </td>\r\n        <td>\r\n          <label class="radio inline">\r\n            <input type="radio" name="tt_bootstrap_color[<{$theme.theme_name}>]" id="bootstrap_color_normal" value="bootstrap" <{if $theme.bootstrap_color=="bootstrap"}>checked<{/if}>> <{$smarty.const._TT_COLOR_NORMAL}>\r\n          </label>\r\n          <label class="radio inline">\r\n            <input type="radio" name="tt_bootstrap_color[<{$theme.theme_name}>]" id="bootstrap_color_dark" value="darkstrap" <{if $theme.bootstrap_color=="darkstrap"}>checked<{/if}>> <{$smarty.const._TT_COLOR_DARK}>\r\n          </label>\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n    </table>\r\n    <input type="hidden" name="op" value="save">\r\n    <input type="submit" value="<{$smarty.const._MA_TT_SAVE}>">\r\n  </form>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(60, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(388, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n<{if $now_op=="login_form"}>\r\n  <div class="row-fluid">\r\n    <div class="span6">\r\n      <h2><{$smarty.const._MA_TADADM_SSH_ID}></h2>\r\n      <div class="well">\r\n        <form action="main.php" method="post">\r\n          <div class="row-fluid">\r\n            <label class="span5 text-right"><{$smarty.const._MA_TADADM_SSH_HOST}><{$smarty.const._TAD_FOR}></label>\r\n            <div class="span7">\r\n              <input type="text" name="ssh_host" placeholder="<{$smarty.const._MA_TADADM_SSH_HOST}>" value="<{$tad_adm_ssh_host}>" class="span12">\r\n            </div>\r\n          </div>\r\n          <div class="row-fluid">\r\n            <label class="span5 text-right"><{$smarty.const._MA_TADADM_SSH_ID}><{$smarty.const._TAD_FOR}></label>\r\n            <div class="span7">\r\n              <input type="text" name="ssh_id" placeholder="<{$smarty.const._MA_TADADM_SSH_ID}>" class="span12" value="<{$tad_adm_ssh_id}>">\r\n            </div>\r\n          </div>\r\n          <div class="row-fluid">\r\n            <label class="span5 text-right"><{$smarty.const._MA_TADADM_SSH_PASS}><{$smarty.const._TAD_FOR}></label>\r\n            <div class="span7">\r\n              <input type="password" name="ssh_passwd" placeholder="<{$smarty.const._MA_TADADM_SSH_PASS}>" class="span12" value="<{$tad_adm_ssh_passwd}>">\r\n            </div>\r\n          </div>\r\n\r\n          <div class="text-center">\r\n            <input type="hidden" name="file_link" value="<{$file_link}>">\r\n            <input type="hidden" name="dirname" value="<{$dirname}>">\r\n            <input type="hidden" name="act" value="<{$act}>">\r\n            <input type="hidden" name="kind_dir" value="<{$kind_dir}>">\r\n            <input type="hidden" name="update_sn" value="<{$update_sn}>">\r\n            <input type="hidden" name="op" value="ssh_login">\r\n            <button type="submit" class="btn btn-primary"><{$smarty.const._MA_TADADM_LOGIN}>SSH</button>\r\n          </div>\r\n        </form>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="span6">\r\n      <h2><{$smarty.const._MA_TADADM_FTP_ID}></h2>\r\n      <div class="well">\r\n        <form action="main.php" method="post">\r\n          <div class="row-fluid">\r\n            <label class="span5 text-right"><{$smarty.const._MA_TADADM_FTP_HOST}><{$smarty.const._TAD_FOR}></label>\r\n            <div class="span7">\r\n              <input type="text" name="ftp_host" placeholder="<{$smarty.const._MA_TADADM_FTP_HOST}>" value="<{$tad_adm_ftp_host}>" class="span12">\r\n            </div>\r\n          </div>\r\n          <div class="row-fluid">\r\n            <label class="span5 text-right"><{$smarty.const._MA_TADADM_FTP_ID}><{$smarty.const._TAD_FOR}></label>\r\n            <div class="span7">\r\n              <input type="text" name="ftp_id" placeholder="<{$smarty.const._MA_TADADM_FTP_ID}>" class="span12" value="<{$tad_adm_ftp_id}>">\r\n            </div>\r\n          </div>\r\n          <div class="row-fluid">\r\n            <label class="span5 text-right"><{$smarty.const._MA_TADADM_FTP_PASS}><{$smarty.const._TAD_FOR}></label>\r\n            <div class="span7">\r\n              <input type="password" name="ftp_passwd" placeholder="<{$smarty.const._MA_TADADM_FTP_PASS}>" class="span12" value="<{$tad_adm_ftp_passwd}>">\r\n              <{$smarty.const._MA_TADADM_FTP_NOTE}>\r\n            </div>\r\n          </div>\r\n\r\n          <div class="text-center">\r\n            <input type="hidden" name="file_link" value="<{$file_link}>">\r\n            <input type="hidden" name="dirname" value="<{$dirname}>">\r\n            <input type="hidden" name="act" value="<{$act}>">\r\n            <input type="hidden" name="kind_dir" value="<{$kind_dir}>">\r\n            <input type="hidden" name="update_sn" value="<{$update_sn}>">\r\n            <input type="hidden" name="op" value="ftp_login">\r\n            <button type="submit" class="btn btn-primary"><{$smarty.const._MA_TADADM_LOGIN}>FTP</button>\r\n          </div>\r\n        </form>\r\n      </div>\r\n    </div>\r\n  </div>\r\n<{elseif $all_data}>\r\n	<form action="main.php" method="post">\r\n  <table class="table table-striped table-bordered table-hover">\r\n    <tr>\r\n    <th nowrap><{$smarty.const._MA_TADADM_KIND}></th>\r\n    <th nowrap><{$smarty.const._MA_TADADM_MOD_NAME}></th>\r\n    <th nowrap><{$smarty.const._MA_TADADM_MOD_DIRNAME}></th>\r\n    <th nowrap><{$smarty.const._MA_TADADM_MOD_VERSION}></th>\r\n    <th nowrap><{$smarty.const._MA_TADADM_MOD_LAST_UPDATE}></th>\r\n    <th nowrap><{$smarty.const._MA_TADADM_MOD_NEW_VERSION}></th>\r\n    <th nowrap><{$smarty.const._MA_TADADM_MOD_NEW_LAST_UPDATE}></th>\r\n    <th nowrap><{$smarty.const._TAD_FUNCTION}></th>\r\n    <th><{$smarty.const._MA_TADADM_MOD_UPDATE_DESC}></th>\r\n    </tr>\r\n      <{foreach from=$all_data item=mod}>\r\n        <tr>\r\n          <td nowrap>\r\n            <{if $mod.kind=="module"}>\r\n              <span class="label label-info"><{$smarty.const._MA_TADADM_MODULE}></span>\r\n            <{elseif $mod.kind=="theme"}>\r\n              <span class="label label-important"><{$smarty.const._MA_TADADM_THEME}></span>\r\n            <{/if}>\r\n          </td>\r\n          <td nowrap><a href="http://120.115.2.90/modules/tad_modules/index.php?module_sn=<{$mod.module_sn}>" target="_blank"><{$mod.name}></a></td>\r\n          <td nowrap><{$mod.dirname}></td>\r\n          <td nowrap><{$mod.version}></td>\r\n          <td nowrap><{$mod.last_update}></td>\r\n          <td nowrap><{$mod.new_version}></td>\r\n          <td nowrap><{$mod.new_last_update}></td>\r\n          <td nowrap>\r\n              <{if $mod.function==''install''}>\r\n                <a href="main.php?op=install_module&dirname=<{$mod.dirname}>&file_link=<{$mod.file_link}>&update_sn=<{$mod.update_sn}>" class="btn btn-mini btn-primary"><{$smarty.const._MA_TADADM_MOD_INSTALL_MODULE}></a>\r\n              <{elseif $mod.function==''update''}>\r\n                <a href="main.php?op=update_module&dirname=<{$mod.dirname}>&file_link=<{$mod.file_link}>&update_sn=<{$mod.update_sn}>" class="btn btn-mini btn-danger"><{$smarty.const._MA_TADADM_MOD_UPDATE_MODULE}></a>\r\n              <{elseif $mod.function==''update_theme''}>\r\n                  <a href="main.php?op=update_theme&dirname=<{$mod.dirname}>&file_link=<{$mod.file_link}>&update_sn=<{$mod.update_sn}>" class="btn btn-mini btn-danger"><{$smarty.const._MA_TADADM_MOD_UPDATE_THEME}></a>\r\n              <{elseif $mod.function==''install_theme''}>\r\n                  <a href="main.php?op=install_theme&dirname=<{$mod.dirname}>&file_link=<{$mod.file_link}>&update_sn=<{$mod.update_sn}>" class="btn btn-mini btn-primary"><{$smarty.const._MA_TADADM_MOD_INSTALL_THEME}></a>\r\n              <{elseif $mod.function==''last_mod''}>\r\n                <a href="main.php?op=update_module&dirname=<{$mod.dirname}>&file_link=<{$mod.file_link}>&update_sn=<{$mod.update_sn}>"><{$smarty.const._MA_TADADM_MOD_LATEST}></a>\r\n              <{elseif $mod.function==''last_theme''}>\r\n                  <a href="main.php?op=update_theme&dirname=<{$mod.dirname}>&file_link=<{$mod.file_link}>&update_sn=<{$mod.update_sn}>"><{$smarty.const._MA_TADADM_MOD_LATEST}></a>\r\n              <{elseif $mod.new_last_update}>\r\n                <{$smarty.const._MA_TADADM_MOD_LATEST}>\r\n              <{/if}>\r\n          </td>\r\n\r\n          <td nowrap>\r\n            <{if $mod.descript}>\r\n              <a id="view_well<{$mod.module_sn}>" class="btn btn-mini btn-success" href="javascript:alert(''<{$mod.descript}>'')"><{if $mod.version}><{$smarty.const._MA_TADADM_MOD_UPDATE_DESC}><{else}><{$smarty.const._MA_TADADM_MOD_ABOUT_MOD}><{/if}></a>\r\n            <{/if}>\r\n          </td>\r\n        </tr>\r\n      <{/foreach}>\r\n    </table>\r\n\r\n  </form>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(65, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(389, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n\r\n<ol style="padding:20px;">\r\n  <li style="line-height:180%;list-style: decimal outside none;"><a href="spam.php?op=all"><{$smarty.const._MA_TADADM_AUTO_CHECK}></a><{$_MA_TADADM_AUTO_CHECK_DESC}></li>\r\n  <li style="line-height:180%;list-style: decimal outside none;"><{$smarty.const._MA_TADADM_AUTO_CHECK_DESC1}></li>\r\n  <li style="line-height:180%;list-style: decimal outside none;"><{$smarty.const._MA_TADADM_AUTO_CHECK_DESC2}></li>\r\n  <li style="line-height:180%;list-style: decimal outside none;"><{$smarty.const._MA_TADADM_AUTO_CHECK_DESC3}></li>\r\n  <li style="line-height:180%;list-style: decimal outside none;"><{$smarty.const._MA_TADADM_AUTO_CHECK_DESC4}></li>\r\n  <li style="line-height:180%;list-style: decimal outside none;"><{$smarty.const._MA_TADADM_AUTO_CHECK_DESC5}></li>\r\n	<li style="line-height:180%;list-style: decimal outside none;"><{$_MA_TADADM_WORKTIME}></li>\r\n\r\n</ol>\r\n\r\n<{if $op=="spam"}>\r\n\r\n	<form action="spam.php" method="post">\r\n  <table id="tbl">\r\n    <tr><td colspan=10><{$bar}></td></tr>\r\n    <tr>\r\n    <th>uid</th>\r\n    <th><{$smarty.const._MA_TADADM_UNAME}></th>\r\n    <th><{$smarty.const._MA_TADADM_COUNT}></th>\r\n    <th><{$smarty.const._MA_TADADM_EMAIL}></th>\r\n    <th><{$smarty.const._MA_TADADM_SPAM}></th>\r\n    <th><{$smarty.const._MA_TADADM_REGIST}></th>\r\n    <th><{$smarty.const._MA_TADADM_LASTLOGIN}></th>\r\n    <th style="width:200px;"><{$smarty.const._MA_TADADM_SIGN}></th>\r\n    </tr>\r\n        <{foreach from=$all_data item=spam}>\r\n          <tr style="color:<{$spam.color}>;background-color:<{$spam.bgcolor}>;">\r\n            <td>\r\n              <label class="checkbox inline">\r\n                <input type="checkbox" name="uid[]" value="<{$spam.uid}>" <{$spam.checked}> id="uid_<{$spam.uid}>" class="uid"><{$spam.uid}>\r\n              </label>\r\n\r\n            </td>\r\n            <td><label for="uid_<{$spam.uid}>"><{$spam.uname}></label><div><label for="uid_<{$spam.uid}>"><{$spam.name}></label></div></td>\r\n            <td><{$spam.posts}></td>\r\n            <td><label for="uid_<{$spam.uid}>"><{$spam.email}></label><div><label for="uid_<{$spam.uid}>"><{$spam.url}></label></div></td>\r\n            <td><{$spam.appears}></td>\r\n            <td><{$spam.user_regdate}><div><{$spam.last_login}></div></td>\r\n            <td><label for="uid_<{$spam.uid}>"><{$spam.days_between}></label></td>\r\n            <td><label for="uid_<{$spam.uid}>"><{$spam.user_sig}></label></td>\r\n          </tr>\r\n        <{/foreach}>\r\n    <tr><td colspan=10><{$bar}></td></tr>\r\n    </table>\r\n    "<{$_MA_TADADM_TOTAL}>\r\n      <input type="hidden" name="g2p" value="<{$g2p}>">\r\n      <input type="hidden" name="op" value="del_user">\r\n      <input type="submit" value="<{$smarty.const._TAD_DEL_CONFIRM}>">\r\n  </form>\r\n\r\n<{else}>\r\n\r\n  <script type="text/javascript">\r\n  $().ready(function(){\r\n    $("#clickAll").click(function() {\r\n      if($("#clickAll").attr("checked")){\r\n        $("input[name=''uid[]'']").each(function() {\r\n        $(this).attr("checked", true);\r\n      });\r\n    }else{\r\n     $("input[name=''uid[]'']").each(function() {\r\n         $(this).attr("checked", false);\r\n     });\r\n    }\r\n    });\r\n  });\r\n  </script>\r\n\r\n  <form action="spam.php" method="get">\r\n      <{$_MA_TADADM_NEVERSTART_DAY}>\r\n      <input type="hidden" name="op" value="byNeverStartDays">\r\n      <input type="submit" value="<{$smarty.const._TAD_GO}>">\r\n    </form>\r\n    <form action="spam.php" method="get">\r\n      <{$_MA_TADADM_NEVERLOGIN_DAY}>\r\n      <input type="hidden" name="op" value="byNeverLoginDays">\r\n      <input type="submit" value="<{$smarty.const._TAD_GO}>">\r\n    </form>\r\n    <form action="spam.php" method="get">\r\n      <{$_MA_TADADM_BY_EMAIL}>\r\n      <input type="hidden" name="op" value="byEmail">\r\n      <input type="submit" value="<{$smarty.const._TAD_GO}>">\r\n    </form>\r\n\r\n    <form action="spam.php" method="post">\r\n    <table class="table table-striped table-bordered table-hover">\r\n      <tr><td colspan=10><{$bar}></td></tr>\r\n      <tr><td colspan=10>\r\n      <label class="checkbox inline">\r\n        <input type="checkbox" value="" id="clickAll">  <{$smarty.const._MA_TADADM_SELECT_ALL}>\r\n      </label>\r\n      </td></tr>\r\n      <tr>\r\n      <th>uid</th>\r\n      <th><{$smarty.const._MA_TADADM_UNAME}></th>\r\n      <th><{$smarty.const._MA_TADADM_COUNT}></th>\r\n      <th><{$smarty.const._MA_TADADM_EMAIL}></th>\r\n      <th><{$smarty.const._MA_TADADM_SPAM}></th>\r\n      <th><{$smarty.const._MA_TADADM_REGIST}></th>\r\n      <th><{$smarty.const._MA_TADADM_LASTLOGIN}></th>\r\n      <th style="width:200px;"><{$smarty.const._MA_TADADM_SIGN}></th>\r\n      </tr>\r\n        <{foreach from=$all_data item=spam}>\r\n          <tr style="color:<{$spam.color}>;background-color:<{$spam.bgcolor}>;">\r\n            <td>\r\n              <label class="checkbox inline">\r\n                <input type="checkbox" name="uid[]" value="<{$spam.uid}>" <{$spam.checked}> id="uid_<{$spam.uid}>" class="uid"><{$spam.uid}>\r\n              </label>\r\n\r\n            </td>\r\n            <td><label for="uid_<{$spam.uid}>"><{$spam.uname}></label><div><label for="uid_<{$spam.uid}>"><{$spam.name}></label></div></td>\r\n            <td><{$spam.posts}></td>\r\n            <td><label for="uid_<{$spam.uid}>"><{$spam.email}></label><div><label for="uid_<{$spam.uid}>"><{$spam.url}></label></div></td>\r\n            <td><{$spam.appears}></td>\r\n            <td><{$spam.user_regdate}><div><{$spam.last_login}></div></td>\r\n            <td><label for="uid_<{$spam.uid}>"><{$spam.days_between}></label></td>\r\n            <td><label for="uid_<{$spam.uid}>"><{$spam.user_sig}></label></td>\r\n          </tr>\r\n        <{/foreach}>\r\n      <tr><td colspan=10><{$bar}></td></tr>\r\n      </table>\r\n      <{$_MA_TADADM_TOTAL}>\r\n      <input type="hidden" name="g2p" value="<{$g2p}>">\r\n      <input type="hidden" name="op" value="del_user">\r\n      <input type="submit" value="<{$smarty.const._TAD_DEL_CONFIRM}>">\r\n    </form>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(390, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n<table class="table table-striped table-bordered table-hover">\r\n<tr>\r\n  <th><{$smarty.const._MA_TADADM_PHPINI_ITEM}></th>\r\n  <th><{$smarty.const._MA_TADADM_PHPINI_ITEM_VAL}></th>\r\n  <th><{$smarty.const._MA_TADADM_PHPINI_ITEM_DESC}></th>\r\n</tr>\r\n\r\n<{foreach from=$main item=php}>\r\n  <tr>\r\n    <td><{$php.k}></td>\r\n    <td><{$php.global_value}></td>\r\n    <td><div style="line-height:150%"><{$php.ini}></div></td>\r\n  </tr>\r\n<{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(451, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" >\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" >\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" >\r\n<{$jquery}>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/jqueryCookie/jquery.cookie.js"></script>\r\n<script type="text/javascript" src="../class/mColorPicker/javascripts/mColorPicker.js" charset="UTF-8"></script>\r\n\r\n<script type="text/javascript">\r\n\r\n$(document).ready(function(){\r\n  change_css();\r\n  preview_img("bg","<{$bg_img}>");\r\n  var $tabs = $("#tad-themes-tabs").tabs({ cookie: { expires: 30 } , collapsible: true});\r\n});\r\n\r\n$("#color").mColorPicker({\r\nimageFolder: "../class/mColorPicker/images/"\r\n});\r\n\r\nfunction preview_img(kind,imgSrc){\r\n  var newimgSrc=imgSrc.replace(kind+"/", kind+"/thumbs/");\r\n  var newImg = new Image();\r\n  newImg.src = imgSrc;\r\n  var height = newImg.height * 1;\r\n  if(height > 90){\r\n    $("#preview_zone").css("background-image","url("+newimgSrc+")");\r\n  }else{\r\n    $("#preview_zone").css("background-image","url("+imgSrc+")");\r\n  }\r\n}\r\n\r\n<{$chang_css}>\r\n\r\n</script>\r\n\r\n<form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n  <div class="row-fluid">\r\n    <div class="span8">\r\n      <div class="row-fluid">\r\n        <div class="span6">\r\n          <label style="font-size:24px;font-weight:bold;"><{$theme_name}><{$smarty.const._MA_TAD_THEMES_FORM}></label>\r\n          <{$theme_kind}><{$theme_kind_txt}>\r\n        </div>\r\n        <div class="span6 alert alert-info">\r\n\r\n          <{if $theme_kind!="bootstrap"}><{$smarty.const._MA_TADTHEMES_NOTICE}><{/if}>\r\n          <{$smarty.const._MA_TADTHEMES_NOTICE2}>\r\n          <input type="hidden" name="theme_kind" value="<{$theme_kind}>">\r\n        </div>\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <div class="span12">\r\n          <div id="tad-themes-tabs">\r\n            <ul>\r\n              <li><a href="#tabs-1"><{$smarty.const._MA_TADTHEMES_THEME_BASE}></a></li>\r\n              <li><a href="#tabs-2"><{$smarty.const._MA_TADTHEMES_BG_IMG}></a></li>\r\n              <li><a href="#tabs-3"><{$smarty.const._MA_TAD_THEMES_HEAD}></a></li>\r\n              <li><a href="#tabs-4"><{$smarty.const._MA_TADTHEMES_LOGO_IMG}></a></li>\r\n              <li><a href="#tabs-5"><{$smarty.const._MA_TADTHEMES_BLOCK_TITLE}></a></li>\r\n              <li><a href="#tabs-6"><{$smarty.const._MA_TADTHEMES_NAVBAR}></a></li>\r\n              <li><a href="#tabs-7"><{$smarty.const._MA_TADTHEMES_NAVLOGO_IMG}></a></li>\r\n            </ul>\r\n\r\n            <div id="tabs-1">\r\n              <!--版面基本設定-->\r\n              <!--佈景類型-->\r\n              <div class="row-fluid">\r\n                <!--版面類型-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_THEME_TYPE}></div>\r\n                <div class="span2">\r\n                  <select name="theme_type" id="theme_type" class="span12" onChange="change_css();">\r\n                    <option value="theme_type_1" <{if $theme_type=="theme_type_1"}>selected<{/if}>><{$smarty.const._MA_TAD_THEMES_TYPE1}></option>\r\n                    <option value="theme_type_2" <{if $theme_type=="theme_type_2"}>selected<{/if}>><{$smarty.const._MA_TAD_THEMES_TYPE2}></option>\r\n                    <option value="theme_type_3" <{if $theme_type=="theme_type_3"}>selected<{/if}>><{$smarty.const._MA_TAD_THEMES_TYPE3}></option>\r\n                    <option value="theme_type_4" <{if $theme_type=="theme_type_4"}>selected<{/if}>><{$smarty.const._MA_TAD_THEMES_TYPE4}></option>\r\n                    <option value="theme_type_5" <{if $theme_type=="theme_type_5"}>selected<{/if}>><{$smarty.const._MA_TAD_THEMES_TYPE5}></option>\r\n                    <option value="theme_type_6" <{if $theme_type=="theme_type_6"}>selected<{/if}>><{$smarty.const._MA_TAD_THEMES_TYPE6}></option>\r\n                    <option value="theme_type_7" <{if $theme_type=="theme_type_7"}>selected<{/if}>><{$smarty.const._MA_TAD_THEMES_TYPE7}></option>\r\n                    <option value="theme_type_8" <{if $theme_type=="theme_type_8"}>selected<{/if}>><{$smarty.const._MA_TAD_THEMES_TYPE8}></option>\r\n                  </select>\r\n                </div>\r\n\r\n                <!--版面寬度-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_THEME_WIDTH}></div>\r\n                <div class="span2">\r\n                  <input type="text" name="theme_width" class="span8" value="<{$theme_width}>" id="theme_width">\r\n                  <{$theme_unit}>\r\n                </div>\r\n\r\n                <!--文字大小-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_FONT_SIZE}></div>\r\n                <div class="span2">\r\n                  <input type="text" name="font_size" class="span12" value="<{$font_size}>" id="font_size">\r\n                </div>\r\n              </div>\r\n\r\n\r\n              <div class="row-fluid">\r\n                <!--左區塊顏色-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_LB_COLOR}></div>\r\n                <div class="span2">\r\n                  <input type="color" name="lb_color" id="lb_color" value="<{$lb_color}>" class="span8" data-hex="true" onChange="change_css();">\r\n                </div>\r\n\r\n                <!--中區塊顏色-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_CB_COLOR}></div>\r\n                <div class="span2">\r\n                  <input type="color" name="cb_color" id="cb_color" value="<{$cb_color}>" class="span8"  data-hex="true" onChange="change_css();">\r\n                </div>\r\n\r\n                <!--右區塊顏色-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_RB_COLOR}></div>\r\n                <div class="span2">\r\n                  <input type="color" name="rb_color" id="rb_color" value="<{$rb_color}>" class="span8" data-hex="true" onChange="change_css();">\r\n                </div>\r\n              </div>\r\n\r\n\r\n              <div class="row-fluid">\r\n                <!--左區塊寬度-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_LB_WIDTH}></div>\r\n                <div class="span2">\r\n                  <input type="text" name="lb_width" class="span8" value="<{$lb_width}>" id="lb_width" onChange="change_css();">\r\n                  <{$theme_unit}>\r\n                </div>\r\n\r\n                <!--中區塊寬度-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_CB_WIDTH}></div>\r\n                <div class="span2">\r\n                  <div id="cb_width"></div>\r\n                </div>\r\n\r\n                <!--右區塊寬度-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_RB_WIDTH}></div>\r\n                <div class="span2">\r\n                  <input type="text" name="rb_width" class="span8" value="<{$rb_width}>" id="rb_width" onChange="change_css();">\r\n                  <{$theme_unit}>\r\n                </div>\r\n\r\n              </div>\r\n\r\n\r\n              <{$margin_setup}>\r\n\r\n              <div class="row-fluid">\r\n\r\n                <!--文字顏色-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_FONT_COLOR}></div>\r\n                <div class="span2">\r\n                  <input type="color" name="font_color" id="font_color" value="<{$font_color}>" class="span8" data-hex="true" onChange="change_css();">\r\n                </div>\r\n\r\n                <!--連結顏色-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_LINK_COLOR}></div>\r\n                <div class="span2">\r\n                  <input type="color" name="link_color" id="link_color" value="<{$link_color}>" class="span8" data-hex="true" onChange="change_css();">\r\n                </div>\r\n\r\n                <!--滑鼠移到連結顏色-->\r\n                <div class="span2 text-right"><{$smarty.const._MA_TADTHEMES_HOVER_COLOR}></div>\r\n                <div class="span2">\r\n                  <input type="color" name="hover_color" id="hover_color" value="<{$hover_color}>" class="span8" data-hex="true" onChange="change_css();">\r\n                </div>\r\n              </div>\r\n            </div>\r\n\r\n            <!--背景圖-->\r\n            <div id="tabs-2">\r\n              <div class="row-fluid">\r\n                <div class="span5">\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 上傳 背景圖-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TAD_THEMES_UPLOAD}>\r\n                      <{$smarty.const._MA_TADTHEMES_BG_IMG}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <{$upform_bg}>\r\n                    </div>\r\n                  </div>\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 背景顏色-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BG_COLOR}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <input type="color" name="bg_color" id="bg_color" value="<{$bg_color}>" class="span6" data-hex="true" onChange="change_css();">\r\n                    </div>\r\n                  </div>\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 背景重複-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BG_REPEAT}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <select name="bg_repeat" id="bg_repeat" onChange="change_css();">\r\n                        <option value="repeat" <{if $bg_repeat=="repeat"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_REPEAT_NORMAL}></option>\r\n                        <option value="repeat-x" <{if $bg_repeat=="repeat-x"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_REPEAT_X}></option>\r\n                        <option value="repeat-y" <{if $bg_repeat=="repeat-y"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_REPEAT_Y}></option>\r\n                        <option value="no-repeat" <{if $bg_repeat=="no-repeat"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_NO_REPEAT}></option>\r\n                      </select>\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 背景模式-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BG_ATTACHMENT}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <select name="bg_attachment" id="bg_attachment" onChange="change_css();">\r\n                        <option value="scroll" <{if $bg_attachment=="scroll"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_ATTACHMENT_SCROLL}></option>\r\n                        <option value="fixed" <{if $bg_attachment=="fixed"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_ATTACHMENT_FIXED}></option>\r\n                      </select>\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 背景位置-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BG_POSITION}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <select name="bg_position" id="bg_position" onChange="change_css();">\r\n                        <option value="" <{if $bg_position=="left top"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_LT}></option>\r\n                        <option value="right top" <{if $bg_position=="right top"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_RT}></option>\r\n                        <option value="left bottom" <{if $bg_position=="left bottom"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_LB}></option>\r\n                        <option value="right bottom" <{if $bg_position=="right bottom"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_RB}></option>\r\n                        <option value="center center" <{if $bg_position=="center center"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_CC}></option>\r\n                        <option value="center top" <{if $bg_position=="center top"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_CT}></option>\r\n                        <option value="center bottom" <{if $bg_position=="center bottom"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_CB}></option>\r\n                      </select>\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n\r\n                <!--選擇預設 背景圖-->\r\n                <div class="span7">\r\n                  <{if $all_bg}>\r\n                    <div style="width:60px; height:66px; display:inline-block; margin:4px;">\r\n                      <label for="bg_img0" style="width:60px; height:60px;border:1px dotted gray;" >\r\n                        <input type="radio" name="bg_img" id="bg_img0" onChange="$(''.del_img_box'').show(); preview_img(''bg'',$(this).val());" value="" <{if $bg_img==""}>checked<{/if}>>\r\n                        <{$smarty.const._MA_TADTHEMES_NONE}><{$smarty.const._MA_TADTHEMES_BG_IMG}>\r\n                      </label>\r\n                    </div>\r\n                    <{foreach from=$all_bg item=bg}>\r\n                      <div style="width:60px; height:66px; display:inline-block; margin:4px;">\r\n                        <label for="bg_img<{$bg.files_sn}>" style="width:60px; height:60px; background:#000000 url(<{$bg.tb_path}>);background-position:center center;border:1px solid gray;" >\r\n                          <input type="radio" name="bg_img" id="bg_img<{$bg.files_sn}>" onChange="$(''.del_img_box'').show(); $(''#del_img<{$bg.files_sn}>'').hide(); preview_img(''bg'',$(this).val());" value="<{$bg.path}>" <{if $bg_img==$bg.path}>checked<{/if}>>\r\n                        </label>\r\n                        <label class="checkbox del_img_box" style="font-size:11px;"  id="del_img<{$bg.files_sn}>">\r\n                          <input type="checkbox" value="<{$bg.files_sn}>" name="del_file[<{$bg.files_sn}>]"> <{$smarty.const._TAD_DEL}>\r\n                        </label>\r\n                      </div>\r\n                    <{/foreach}>\r\n                  <{/if}>\r\n                </div>\r\n              </div>\r\n            </div>\r\n\r\n            <!--滑動圖片高度-->\r\n            <div id="tabs-3">\r\n              <div class="row-fluid">\r\n                <div class="row-fluid">\r\n\r\n                  <div class="span2 text-right">\r\n                    <{$smarty.const._MA_TADTHEMES_SLIDE_WIDTH}>\r\n                  </div>\r\n                  <div class="span2">\r\n                    <input type="text" name="slide_width" class="span8" value="<{$slide_width}>" id="slide_width" onChange="change_css();">\r\n                    <{$theme_unit}>\r\n                  </div>\r\n\r\n                  <div class="span2 text-right">\r\n                    <{$smarty.const._MA_TADTHEMES_SLIDE_HEIGHT}>\r\n                  </div>\r\n                  <div class="span2">\r\n                    <input type="text" name="slide_height" class="span8" value="<{$slide_height}>" id="slide_height" onChange="change_css();"> px\r\n                  </div>\r\n\r\n                  <div class="span4 alert alert-success">\r\n                    <{$smarty.const._MA_TADTHEMES_SLIDE_DESC}>\r\n                  </div>\r\n                </div>\r\n\r\n                <div class="row-fluid">\r\n                  <!-- 背景模式-->\r\n                  <div class="span2 text-right">\r\n                    <{$smarty.const._MA_TAD_THEMES_UPLOAD}>\r\n                    <{$smarty.const._MA_TAD_THEMES_HEAD}>\r\n                  </div>\r\n                  <div class="span10">\r\n                    <{$upform_slide}>\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n\r\n\r\n            <!--logo圖-->\r\n            <div id="tabs-4">\r\n              <div class="row-fluid">\r\n                <div class="span5">\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 上傳logo圖-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TAD_THEMES_UPLOAD}><{$smarty.const._MA_TADTHEMES_LOGO_IMG}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <{$upform_logo}>\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 選擇預設logo圖-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_LOGO_PLACE}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <div class="row-fluid">\r\n                        <div class="span4 offset4">\r\n                          <input type="text" name="logo_top" class="span8" value="<{$logo_top}>" id="logo_top" onChange="if(this.value > 0){$(''#logo_bottom'').val(0);}"> px\r\n                        </div>\r\n                      </div>\r\n\r\n                      <div class="row-fluid">\r\n                        <div class="span4">\r\n                          <input type="text" name="logo_left" class="span8" value="<{$logo_left}>" id="logo_left" onChange="if(this.value > 0){$(''#logo_right'').val(0);}"> px\r\n                        </div>\r\n                        <div class="span4 offset4">\r\n                          <input type="text" name="logo_right" class="span8" value="<{$logo_right}>" id="logo_right" onChange="if(this.value > 0){$(''#logo_left'').val(0);}"> px\r\n                        </div>\r\n                      </div>\r\n\r\n                      <div class="row-fluid">\r\n                        <div class="span4 offset4">\r\n                          <input type="text" name="logo_bottom" class="span8" value="<{$logo_bottom}>" id="logo_bottom" onChange="if(this.value > 0){$(''#logo_top'').val(0);}"> px\r\n                        </div>\r\n                      </div>\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n\r\n                <div class="span7">\r\n                  <!-- 選擇預設logo圖-->\r\n                  <div style="width:60px; height:66px; display:inline-block; margin:4px;">\r\n                    <label for="logo_img0" style="width:60px; height:60px;border:1px dotted gray;" >\r\n                      <input type="radio" name="logo_img" id="logo_img0" value="" <{if $logo_img==""}>checked<{/if}>>\r\n                      <{$smarty.const._MA_TADTHEMES_NONE}><{$smarty.const._MA_TADTHEMES_LOGO_IMG}>\r\n                    </label>\r\n                  </div>\r\n\r\n                  <{if $all_logo}>\r\n                    <{foreach from=$all_logo item=logo}>\r\n                      <div style="width:60px; height:66px; display:inline-block; margin:4px;">\r\n                        <label for="logo_img<{$logo.files_sn}>" style="width:60px; height:60px; background:#000000 url(<{$logo.tb_path}>);background-repeat:no-repeat;background-position:left center;border:1px solid gray;" >\r\n                          <input type="radio" name="logo_img" id="logo_img<{$logo.files_sn}>" value="<{$logo.path}>" <{if $logo_img==$logo.path}>checked<{/if}>>\r\n                        </label>\r\n                        <label class="checkbox del_img_box" style="font-size:11px;"  id="del_img<{$logo.files_sn}>">\r\n                          <input type="checkbox" value="<{$logo.files_sn}>" name="del_file[<{$logo.files_sn}>]"> <{$smarty.const._TAD_DEL}>\r\n                        </label>\r\n                      </div>\r\n                    <{/foreach}>\r\n                  <{/if}>\r\n\r\n                </div>\r\n              </div>\r\n            </div>\r\n\r\n            <!--區塊標題背景設定by hc 開始-->\r\n            <!--區塊標題列背景圖-->\r\n            <div id="tabs-5">\r\n              <div class="row-fluid">\r\n                <div class="span5">\r\n                  <div class="row-fluid">\r\n                    <!-- 區塊標題列背景重複-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BG_REPEAT}>\r\n                    </div>\r\n\r\n                    <div class="span8">\r\n                      <select name="bt_bg_repeat" id="bt_bg_repeat">\r\n                        <option value="1" <{if $bt_bg_repeat=="1"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_REPEAT_NORMAL}></option>\r\n                        <option value="0" <{if $bt_bg_repeat=="0"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_NO_REPEAT}></option>\r\n                      </select>\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 上傳區塊標題列背景圖-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TAD_THEMES_UPLOAD}>\r\n                      <{$smarty.const._MA_TADTHEMES_BG_IMG}>\r\n                    </div>\r\n\r\n                    <div class="span8">\r\n                      <{$upform_bt_bg}>\r\n                    </div>\r\n                  </div>\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 區塊標題文字縮排-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BLOCK_TITLE_PADDING}>\r\n                    </div>\r\n\r\n                    <div class="span8">\r\n                      <input type="text" name="bt_text_padding" class="span6" value="<{$bt_text_padding}>" id="bt_text_padding">px\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 區塊標題列文字顏色-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_FONT_COLOR}>\r\n                    </div>\r\n\r\n                    <div class="span8">\r\n                      <input type="color" name="bt_text" id="bt_text" value="<{$bt_text}>" class="span6" data-hex="true">\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 區塊標題列背景顏色-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BG_COLOR}>\r\n                    </div>\r\n\r\n                    <div class="span8">\r\n                      <input type="color" name="bt_bg_color" id="bt_bg_color" value="<{$bt_bg_color}>" class="span6" data-hex="true">\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 區塊標題工具按鈕-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BLOCK_TITLE_BUTTOM}>\r\n                    </div>\r\n\r\n                    <div class="span8">\r\n                      <select name="block_config" id="block_config">\r\n                        <option value="right" <{if $block_config=="1"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_RT}></option>\r\n                        <option value="left" <{if $block_config=="0"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BG_POSITION_LT}></option>\r\n                      </select>\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 區塊標題圓角設定-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TADTHEMES_BLOCK_TITLE_RADIUS}>\r\n                    </div>\r\n\r\n                    <div class="span8">\r\n                      <select name="bt_radius" id="bt_radius">\r\n                        <option value="1" <{if $bt_radius=="1"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BLOCK_TITLE_RADIUS_Y}></option>\r\n                        <option value="0" <{if $bt_radius=="0"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_BLOCK_TITLE_RADIUS_N}></option>\r\n                      </select>\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n                <div class="span7">\r\n                    <!-- 選擇預設區塊標題列背景圖-->\r\n                  <{if $all_bt_bg}>\r\n                    <div style="width:60px; height:66px; display:inline-block; margin:4px;">\r\n                      <label for="bt_bg_img0" style="width:60px; height:60px;border:1px dotted gray;" >\r\n                        <input type="radio" name="bt_bg_img" id="bt_bg_img0" onChange="$(''.del_img_box'').show();" value="" <{if $bt_bg_img==""}>checked<{/if}>>\r\n                        <{$smarty.const._MA_TADTHEMES_NONE}>\r\n                      </label>\r\n                    </div>\r\n                    <{foreach from=$all_bt_bg item=bt_bg}>\r\n                      <div style="width:60px; height:66px; display:inline-block; margin:4px;">\r\n                        <label for="bt_bg_img<{$bt_bg.files_sn}>" style="width:60px; height:60px; background:#000000 url(<{$bt_bg.tb_path}>);background-position:center center;border:1px solid gray;" >\r\n                          <input type="radio" name="bt_bg_img" id="bt_bg_img<{$bt_bg.files_sn}>" onChange="$(''.del_img_box'').show(); $(''#del_img<{$bt_bg.files_sn}>'').hide(); " value="<{$bt_bg.path}>" <{if $bt_bg_img==$bt_bg.path}>checked<{/if}>>\r\n                        </label>\r\n                        <label class="checkbox del_img_box" style="font-size:11px;"  id="del_img<{$bt_bg.files_sn}>">\r\n                          <input type="checkbox" value="<{$bt_bg.files_sn}>" name="del_file[<{$bt_bg.files_sn}>]"> <{$smarty.const._TAD_DEL}>\r\n                        </label>\r\n                      </div>\r\n                    <{/foreach}>\r\n                  <{/if}>\r\n                </div>\r\n              </div>\r\n            </div>\r\n\r\n            <!--navbar設定by hc 開始-->\r\n            <!--navbar-->\r\n            <div id="tabs-6">\r\n              <div class="row-fluid">\r\n                <div class="span6">\r\n                  <!--導覽工具列位置-->\r\n                  <div class="row-fluid">\r\n                    <div class="span4"><{$smarty.const._MA_TADTHEMES_NAVBAR_POSITION}></div>\r\n                    <div class="span8">\r\n                      <select name="navbar_pos" id="navbar_pos" >\r\n                        <option value="navbar-fixed-top" <{if $navbar_pos=="navbar-fixed-top"}>selected<{/if}>>\r\n                        <{$smarty.const._MA_TADTHEMES_NAVBAR_POSITION_1}></option>\r\n                        <option value="navbar-fixed-bottom" <{if $navbar_pos=="navbar-fixed-bottom"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_NAVBAR_POSITION_2}></option>\r\n                        <option value="navbar-static-top" <{if $navbar_pos=="navbar-static-top"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_NAVBAR_POSITION_3}></option>\r\n                        <option value="not-use" <{if $navbar_pos=="not-use"}>selected<{/if}>><{$smarty.const._MA_TADTHEMES_NAVBAR_POSITION_4}></option>\r\n                      </select>\r\n                    </div>\r\n                  </div>\r\n\r\n                  <!--導覽工具列 漸層顏色(top) -->\r\n                  <div class="row-fluid">\r\n                    <div class="span4">\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR}>\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR_BG_COLOR}>(top)\r\n                    </div>\r\n                    <div class="span8">\r\n                      <input type="color" name="navbar_bg_top" id="navbar_bg_top" value="<{$navbar_bg_top}>" class="span6" data-hex="true">\r\n                    </div>\r\n                  </div>\r\n\r\n                  <!--導覽工具列 漸層顏色(bottom)-->\r\n                  <div class="row-fluid">\r\n                    <div class="span4">\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR}>\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR_BG_COLOR}>(bottom)\r\n                    </div>\r\n                    <div class="span8">\r\n                      <input type="color" name="navbar_bg_bottom" id="navbar_bg_bottom" value="<{$navbar_bg_bottom}>" class="span6" data-hex="true">\r\n                    </div>\r\n                  </div>\r\n\r\n                  <!--導覽工具列 連結區塊底色-->\r\n                  <div class="row-fluid">\r\n                    <div class="span4">\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR}>\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR_HOVER_COLOR}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <input type="color" name="navbar_hover" id="navbar_hover" value="<{$navbar_hover}>" class="span6" data-hex="true">\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n                <div class="span6">\r\n                  <!--導覽工具列 文字顏色-->\r\n                  <div class="row-fluid">\r\n                    <div class="span4">\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR}>\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR_COLOR}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <input type="color" name="navbar_color" id="navbar_color" value="<{$navbar_color}>" class="span6" data-hex="true">\r\n                    </div>\r\n                  </div>\r\n\r\n\r\n                  <!--導覽工具列 文字移過顏色-->\r\n                  <div class="row-fluid">\r\n                    <div class="span4">\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR}>\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR_COLOR_HOVER}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <input type="color" name="navbar_color_hover" id="navbar_color_hover" value="<{$navbar_color_hover}>" class="span6" data-hex="true">\r\n                    </div>\r\n                  </div>\r\n\r\n                  <!--導覽工具列 圖示顏色-->\r\n                  <div class="row-fluid">\r\n                    <div class="span4">\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR}>\r\n                      <{$smarty.const._MA_TADTHEMES_NAVBAR_COLOR}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <label for="navbar_icon_white">\r\n                        <input type="radio" name="navbar_icon" id="navbar_icon_white" value="icon-white" <{if $navbar_icon=="icon-white"}>checked<{/if}>>\r\n                        <{$smarty.const._MA_TADTHEMES_NAVBAR_ICON_WHITE}>\r\n                      </label>\r\n                      <label for="navbar_icon_black">\r\n                        <input type="radio" name="navbar_icon" id="navbar_icon_black" value="" <{if $navbar_icon==""}>checked<{/if}>>\r\n                        <{$smarty.const._MA_TADTHEMES_NAVBAR_ICON_BLACK}>\r\n                      </label>\r\n                    </div>\r\n                  </div>\r\n                </div>\r\n              </div>\r\n            </div>\r\n\r\n            <!--導覽列navlogo圖-->\r\n            <div id="tabs-7">\r\n              <div class="row-fluid">\r\n                <div class="span5">\r\n\r\n                  <div class="row-fluid">\r\n                    <!-- 上傳logo圖-->\r\n                    <div class="span4 text-right">\r\n                      <{$smarty.const._MA_TAD_THEMES_UPLOAD}><{$smarty.const._MA_TADTHEMES_NAVLOGO_IMG}>\r\n                    </div>\r\n                    <div class="span8">\r\n                      <{$upform_navlogo}>\r\n                    </div>\r\n                  </div>\r\n\r\n                </div>\r\n\r\n                <div class="span7">\r\n                  <!-- 選擇預設導覽列navlogo圖-->\r\n                  <div style="width:60px; height:66px; display:inline-block; margin:4px;">\r\n                    <label for="navlogo_img0" style="width:60px; height:60px;border:1px dotted gray;" >\r\n                      <input type="radio" name="navlogo_img" id="navlogo_img0" value="" <{if $navlogo_img==""}>checked<{/if}>>\r\n                      <{$smarty.const._MA_TADTHEMES_NONE}><{$smarty.const._MA_TADTHEMES_NAVLOGO_IMG}>\r\n                    </label>\r\n                  </div>\r\n\r\n                  <{if $all_navlogo}>\r\n                    <{foreach from=$all_navlogo item=navlogo}>\r\n                      <div style="width:60px; height:66px; display:inline-block; margin:4px;">\r\n                        <label for="logo_img<{$navlogo.files_sn}>" style="width:60px; height:60px; background:#000000 url(<{$navlogo.tb_path}>);background-repeat:no-repeat;background-position:left center;border:1px solid gray;" >\r\n                          <input type="radio" name="navlogo_img" id="navlogo_img<{$navlogo.files_sn}>" value="<{$navlogo.path}>" <{if $navlogo_img==$navlogo.path}>checked<{/if}>>\r\n                        </label>\r\n                        <label class="checkbox del_navimg_box" style="font-size:11px;"  id="del_navimg<{$navlogo.files_sn}>">\r\n                          <input type="checkbox" value="<{$navlogo.files_sn}>" name="del_file[<{$navlogo.files_sn}>]"> <{$smarty.const._TAD_DEL}>\r\n                        </label>\r\n                      </div>\r\n                    <{/foreach}>\r\n                  <{/if}>\r\n\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n\r\n\r\n    <div class="span4">\r\n      <!--預覽-->\r\n      <div class="row-fluid">\r\n        <div class="span12 text-center">\r\n          <div id=''preview_zone'' class="span12">\r\n            <div id=''theme_demo'' style=''border:1px solid gray;background-color:white;margin:0px auto;''>\r\n              <div id=''theme_head'' style=''border:1px solid #E0E0E0;background-color:#F0F0F0;margin:4px auto 2px auto;font-size:11px;text-align:center;''><{$smarty.const._MA_TAD_THEMES_HEAD}></div>\r\n              <div id=''left_block'' style=''border:1px solid #E0E0E0;background-color:#99CCFF;font-size:11px;text-align:center;''></div>\r\n              <div id=''center_block'' style=''border:1px solid #E0E0E0;background-color:#CCFF66;font-size:11px;text-align:center;''></div>\r\n              <div id=''right_block'' style=''border:1px solid #E0E0E0;background-color:#FFCC66;font-size:11px;text-align:center;''></div>\r\n              <div id=''theme_foot'' style=''clear:both;border:1px solid #E0E0E0;height:30px;line-height:30px;background-color:#F0F0F0;margin:4px auto;font-size:11px;text-align:center;''><{$smarty.const._MA_TAD_THEMES_FOOT}></div>\r\n            </div>\r\n          </div>\r\n      </div>\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <div class="span12 text-center">\r\n          <!--中左區塊寬度-->\r\n          <input type="hidden" name="clb_width" value="<{$clb_width}>" id="clb_width" >\r\n          <!--中右區塊寬度-->\r\n          <input type="hidden" name="crb_width" value="<{$crb_width}>" id="crb_width" >\r\n          <input type="hidden" name="theme_id" value="<{$theme_id}>">\r\n          <input type="hidden" name="theme_name" value="<{$theme_name}>">\r\n\r\n          <!--佈景圖片寬度-->\r\n          <input type="hidden" name="op" value="<{$op}>">\r\n          <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(180, '<h4><{$smarty.const._LCX_TOTAL}>  &lt;<{$xoops_url}>&gt;</h4>\r\n<{$smarty.const._LCX_VALID}> : <{$log_count}>   (<{$strtday}> -&gt; <{$lastday}>)<br />\r\n\r\n<{* Shortened Referer *}>\r\n<{if $ref_short.Title != ''''}>\r\n<table width="100%" summary="<{$ref_short.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$ref_short.Title}></th></tr>\r\n<{foreach item=rec from=$ref_short.Data}>\r\n<tr>\r\n<{if $rec.Link != ''''}>\r\n<td class="head" nowrap="nowrap"><a href="<{$rec.Link}>" title="<{$rec.Name}>" target="_blank"><{$rec.Name}></a></td>\r\n<{else}>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<{/if}>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}></td>\r\n</tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Query Words *}>\r\n<{if $qword.Title != ''''}>\r\n<table width="100%" summary="<{$qword.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$qword.Title}></th></tr>\r\n<{foreach item=rec from=$qword.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* OS *}>\r\n<{if $os.Title != ''''}>\r\n<table width="100%" summary="<{$os.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$os.Title}></th></tr>\r\n<{foreach item=rec from=$os.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Browser *}>\r\n<{if $browser.Title != ''''}>\r\n<table width="100%" summary="<{$browser.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$browser.Title}></th></tr>\r\n<{foreach item=rec from=$browser.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Recent Days *}>\r\n<{if $recent.Title != ''''}>\r\n<table width="100%" summary="<{$recent.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$recent.Title}></th></tr>\r\n<{foreach item=rec from=$recent.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<{if $cfg.NO_ROBOT_COUNT}>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{else}>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.NoRobotWidth}>" style="height:6px;" border="0" style="margin-right:0;" alt="<{$rec.NoRobot}>" /><img src="<{$xoops_url}>/modules/logcounterx/images/bar2.gif" width="<{$rec.RobotWidth}>" style="height:6px;" border="0" alt="Robot : <{$rec.Robot}>" style="margin-left:0; margin-right:0;" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/if}>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Record Days *}>\r\n<{if $record.Title != ''''}>\r\n<table width="100%" summary="<{$record.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$record.Title}></th></tr>\r\n<{foreach item=rec from=$record.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<{if $cfg.NO_ROBOT_COUNT}>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{else}>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.NoRobotWidth}>" style="height:6px;" border="0" style="margin-right:0;" alt="<{$rec.NoRobot}>" /><img src="<{$xoops_url}>/modules/logcounterx/images/bar2.gif" width="<{$rec.RobotWidth}>" style="height:6px;" border="0" alt="Robot : <{$rec.Robot}>" style="margin-left:0; margin-right:0;" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/if}>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Day of the Week *}>\r\n<{if $weekday.Title != ''''}>\r\n<table width="100%" summary="<{$weekday.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$weekday.Title}></th></tr>\r\n<{foreach item=rec from=$weekday.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}>&nbsp;(<{$rec.Percent}>%)</td></tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Hour *}>\r\n<{if $hours.Title != ''''}>\r\n<table width="100%" summary="<{$hours.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$hours.Title}></th></tr>\r\n<{foreach item=rec from=$hours.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<{if $cfg.NO_ROBOT_COUNT}>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}>&nbsp;(<{$rec.Percent}>%)</td></tr>\r\n<{else}>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.NoRobotWidth}>" style="height:6px;" border="0" style="margin-right:0;" alt="<{$rec.NoRobot}>" /><img src="<{$xoops_url}>/modules/logcounterx/images/bar2.gif" width="<{$rec.RobotWidth}>" style="height:6px;" border="0" alt="Robot : <{$rec.Robot}>" style="margin-left:0; margin-right:0;" />&nbsp;<{$rec.FormattedCount}>&nbsp;(<{$rec.Percent}>%)</td></tr>\r\n<{/if}>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Remote Host *}>\r\n<{if $host.Title != ''''}>\r\n<table width="100%" summary="<{$host.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$host.Title}></th></tr>\r\n<{foreach item=rec from=$host.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* User Name *}>\r\n<{if $uname.Title != ''''}>\r\n<table width="100%" summary="<{$uname.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$uname.Title}></th></tr>\r\n<{foreach item=rec from=$uname.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><{$rec.Name}></td>\r\n<td class="<{cycle values="even,odd"}>"><img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Referer (Full) *}>\r\n<{if $referer.Title != ''''}>\r\n<table width="100%" summary="<{$referer.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$referer.Title}></th></tr>\r\n<{foreach item=rec from=$referer.Data}>\r\n<tr>\r\n<{if $rec.Link != ''''}>\r\n<td class="head" nowrap="nowrap"><a href="<{$rec.Link}>" title="<{$rec.Name}>" target="_blank"><{$rec.ShortName}></a></td>\r\n<{else}>\r\n<td class="head" nowrap="nowrap"><{$rec.ShortName}></td>\r\n<{/if}>\r\n<td class="<{cycle values="even,odd"}>" align="right"><!--<img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />-->&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Referer (Full) *}>\r\n<{if $referer2.Title != ''''}>\r\n<table width="100%" summary="<{$referer.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$referer2.Title}> (Except for Search-Engines)</th></tr>\r\n<{foreach item=rec from=$referer2.Data}>\r\n<tr>\r\n<{if $rec.Link != ''''}>\r\n<td class="head" nowrap="nowrap"><a href="<{$rec.Link}>" title="<{$rec.Name}>" target="_blank"><{$rec.ShortName}></a></td>\r\n<{else}>\r\n<td class="head" nowrap="nowrap"><{$rec.ShortName}></td>\r\n<{/if}>\r\n<td class="<{cycle values="even,odd"}>" align="right"><!--<img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />-->&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/foreach}>\r\n</table>\r\n<br />\r\n<{/if}>\r\n\r\n<{* Path Info *}>\r\n<{if $pathinfo.Title != ''''}>\r\n<table width="100%" summary="<{$pathinfo.Title}>">\r\n<tr><th colspan="2" nowrap="nowrap"><{$pathinfo.Title}></th></tr>\r\n<{foreach item=rec from=$pathinfo.Data}>\r\n<tr>\r\n<td class="head" nowrap="nowrap"><span title="<{$rec.Name}>"><{$rec.ShortName}></span></td>\r\n<td class="<{cycle values="even,odd"}>" align="right"><!--<img src="<{$xoops_url}>/modules/logcounterx/images/bar.gif" width="<{$rec.Width}>" style="height:6px;" border="0" alt="<{$rec.Name}>" />-->&nbsp;<{$rec.FormattedCount}></td></tr>\r\n<{/foreach}>\r\n</table>\r\n<{/if}>\r\n\r\n<div style="font-size:xx-small; text-align:center;"><a href="http://xoops.taquino.net/" target="_blank">LogCounterX by Taq</a></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(181, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{$main}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(182, '<table>\r\n<{foreach item=count from=$block.counts}>\r\n<{if $block.use_char}>\r\n<{* Display Counter by Letters   from here *}>\r\n<tr><td nowrap="nowrap"><{$count.title}></td>\r\n<td align="right" nowrap="nowrap"><span style="<{$block.style}>"><{$count.count}></span></td></tr>\r\n<{* Display Counter by Letters    end here *}>\r\n<{else}>\r\n<{* Display Counter by Images      from here *}>\r\n<tr><td nowrap="nowrap"><{$count.title}></td>\r\n<td align="right" nowrap="nowrap"><{foreach item=digit from=$count.digits}><img src="<{$xoops_url}>/modules/logcounterx/images/<{$block.imagedir}><{$digit}>.gif" alt="<{$count.count}>" border="0" <{$block.imageattr}>/><{/foreach}></td></tr>\r\n<{* Display Counter by Images       end here *}>\r\n<{/if}>\r\n<{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(379, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<script language=''javascript'' src=''http://tts.itri.org.tw/TTScript/Text2SpeechJsApiV2.php?key=ekn@-_ji50*2A*14*2Aefg*60ab''></script>\r\n\r\n<form action="index.php" method="post">\r\n  <div class="row-fluid">\r\n    <label class="span1"><{$smarty.const._MD_TAD_IDIOMS_SEARCH}><{$smarty.const._TAD_FOR}></label>\r\n    <input type="text" name="keyword" class="span3">\r\n    <button type="submit" class="btn"><{$smarty.const._MD_TAD_IDIOMS_SEARCH}></button>\r\n  </div>\r\n</form>\r\n\r\n<{foreach from=$all_content item=idioms}>\r\n  <a name="<{$idioms.name}>"></a>\r\n  <div class="well well-small" <{if $idioms.current}>style="background-color:#FFFF80"<{/if}>>\r\n    <table style=''width:auto;''>\r\n    <tr>\r\n    <td><{$idioms.sn}>.</td>\r\n    <{$idioms.main}>\r\n    <td>\r\n      <div id=''ttscontent<{$idioms.sn}>'' style=''display:none;''><{$idioms.title}>,<{$idioms.mean}></div>\r\n      <div id=''ttsmedia<{$idioms.sn}>''></div>\r\n      <script language=''javascript''>\r\n\r\n        var tts<{$idioms.sn}> = new TTS();\r\n        tts<{$idioms.sn}>.PlayerSet.hidden = false;\r\n        tts<{$idioms.sn}>.PlayerSet.width = 250;\r\n        tts<{$idioms.sn}>.PlayerSet.height = 30;\r\n        tts<{$idioms.sn}>.ConvertInit(''id:ttscontent<{$idioms.sn}>'',''ttsmedia<{$idioms.sn}>'',''Bruce'',''100'',''0'',''0'',''0'',''5'');\r\n\r\n      </script>\r\n\r\n    </td>\r\n    </tr>\r\n    </table>\r\n      <div style=''margin:10px 0px 10px 35px;''><{$idioms.mean}></div>\r\n  </div>\r\n\r\n<{/foreach}>\r\n\r\n<{if $isAdmin}>\r\n<a href=''admin/main.php?op=tad_idioms_form''  class=''btn btn-info''><{$smarty.const._TAD_ADD}></a>\r\n\r\n<{/if}>\r\n<{$bar}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(380, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $op=="tad_idioms_form"}>\r\n\r\n	<{$formValidator_code}>\r\n  \r\n  <h2><{$smarty.const._MA_TAD_IDIOMS_FORM}></h2>\r\n\r\n	<form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <div class="row-fluid">\r\n      <div class="controls controls-row">\r\n        <!--成語-->\r\n        <div class="span1"><{$smarty.const._MA_TADIDIOMS_TITLE}></div> \r\n        <input type="text" name="title" value="<{$title}>" id="title" class="validate[required] span4" placeholder="<{$smarty.const._MA_TADIDIOMS_TITLE}>">\r\n        <!--注音-->\r\n        <div class="span1"><{$smarty.const._MA_TADIDIOMS_JUIN}></div> \r\n        <input type="text" name="juin" class="span4" value="<{$juin}>" id="juin" placeholder="<{$smarty.const._MA_TADIDIOMS_JUIN}>">\r\n        \r\n        <!--編號-->\r\n        <input type="hidden" name="sn" value="<{$sn}>">\r\n        <input type="hidden" name="op" value="<{$op}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n      </div>\r\n      \r\n       <div class="controls controls-row">\r\n        <!--解釋-->	\r\n        <textarea name="mean" class="span10" id="mean" placeholder="<{$smarty.const._MA_TADIDIOMS_MEAN}>"><{$mean}></textarea>\r\n\r\n\r\n      </div>\r\n    </div>\r\n  \r\n	</form>\r\n\r\n<{else}>\r\n\r\n  <script>\r\n  function delete_tad_idioms_func(sn){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)	return;\r\n    location.href="main.php?op=delete_tad_idioms&sn=" + sn;\r\n  }\r\n  </script>\r\n\r\n  <table class="table table-striped table-bordered table-hover">\r\n    <tr>\r\n      <td><{$smarty.const._MA_TADIDIOMS_SN}></td>\r\n      <td><{$smarty.const._MA_TADIDIOMS_TITLE}></td>\r\n      <td><{$smarty.const._MA_TADIDIOMS_JUIN}></td>\r\n      <td><{$smarty.const._MA_TADIDIOMS_SHOW_TIMES}></td>\r\n      <td><{$smarty.const._MA_TADIDIOMS_SEARCH_TIMES}></td>\r\n      <!--td><{$smarty.const._MA_TADIDIOMS_CATE}></td-->\r\n      <td><{$smarty.const._TAD_FUNCTION}></td>\r\n    </tr>\r\n    <tbody>\r\n    \r\n    <{foreach from=$all_content item=idioms}>\r\n      <tr>\r\n        <td><{$idioms.sn}></td>\r\n        <td><{$idioms.title}></td>\r\n        <td><{$idioms.juin}></td>\r\n        <td><{$idioms.show_times}></td>\r\n        <td><{$idioms.search_times}></td>\r\n        <!--td><{$idioms.cate}></td-->\r\n        <td>\r\n        <a href="main.php?op=tad_idioms_form&sn=<{$idioms.sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        <a href="javascript:delete_tad_idioms_func(<{$idioms.sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n\r\n    <tr>\r\n      <td colspan=8>\r\n        <a href="main.php?op=tad_idioms_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n        <{$bar}>\r\n      </td>\r\n    </tr>\r\n  </table>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(185, '<div class="row-fluid">\r\n  <div class="span12">\r\n    <table style="margin:10px auto;font-family:<{$smarty.const._MB_TAD_IDIOMS_FONT}>;">\r\n      <tr>\r\n        <{if $block.no_juin}>\r\n          <td style="font-size:2.5em;"><{$block.title}></td>\r\n        <{else}>\r\n          <{foreach from=$block.main item=word}>\r\n            <td style="vertical-align: middle; text-align:right;width:30px;height:30px;line-height:30px;">\r\n              <span style="font-size:30px;"><{$word.txt}></span>\r\n            </td>\r\n            <td style="vertical-align:middle;text-align:left;font-size:10px;width:12px;line-height:10px;">\r\n              <span style="font-size:10px;writing-mode:tb-rl;line-height:<{$word.lh}>%;"><{$word.juin}></span>\r\n            </td>\r\n            <td style="vertical-align: middle; text-align:left;width:10px;padding:0px;">\r\n              <span style="margin:0px;font-size:10px;"><{$word.sud}></span>\r\n            </td>\r\n          <{/foreach}>\r\n        <{/if}>  \r\n      </tr>\r\n    </table>\r\n  </div>\r\n  \r\n  <{if $block.mean}>\r\n    <div class="well well-small"><{$block.mean}></div>\r\n  <{/if}>\r\n\r\n  <a href="<{$xoops_url}>/modules/tad_idioms/index.php?g2p=<{$block.g2p}>&show_sn=<{$block.show_sn}>#<{$block.show_sn}>" class="btn btn-mini btn-info pull-right">more...</a>\r\n<{$block.sound_js}>\r\n</div>\r\n<div class="clearfix"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(393, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<!--顯示表單-->\r\n\r\n\r\n<{if $now_op=="tad_login_config_form"}>\r\n  <{$formValidator_code}>\r\n\r\n  <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n    <!--學校代碼或Email-->\r\n    <div class="row-fluid">\r\n      <div class="span1 text-right">\r\n        <{$smarty.const._MA_TADLOGIN_ITEM}>\r\n      </div>\r\n      <div class="span6">\r\n        <textarea name="item" rows=3 id="item" class="span12 " placeholder="<{$smarty.const._MA_TADLOGIN_ITEM}>"><{$item}></textarea>\r\n      </div>\r\n\r\n      <!--群組-->\r\n      <div class="span1 text-right">\r\n        <{$smarty.const._MA_TADLOGIN_GROUP_ID}>\r\n      </div>\r\n      <div class="span3">\r\n        <{$group_menu}>\r\n      </div>\r\n\r\n      <div class="span1 text-center">\r\n        <!--編號-->\r\n        <input type=''hidden'' name="config_id" value="<{$config_id}>">\r\n        <input type="hidden" name="op" value="<{$next_op}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n      </div>\r\n    </div>\r\n  </form>\r\n<{/if}>\r\n\r\n\r\n<!--列出所有資料-->\r\n<{if $all_content}>\r\n  <script type="text/javascript">\r\n  function delete_tad_login_config_func(config_id){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)  return;\r\n    location.href="<{$action}>?op=delete_tad_login_config&config_id=" + config_id;\r\n  }\r\n  </script>\r\n\r\n  <table class="table table-striped table-hover">\r\n    <thead>\r\n    <tr>\r\n      <th><{$smarty.const._MA_TADLOGIN_ITEM}></th>\r\n      <th><{$smarty.const._MA_TADLOGIN_GROUP_ID}></th>\r\n      <th><{$smarty.const._TAD_FUNCTION}></th>\r\n\r\n    </tr>\r\n    </thead>\r\n\r\n    <tbody>\r\n    <{foreach from=$all_content item=data}>\r\n      <tr>\r\n        <td><{$data.item}></td>\r\n        <td><span class="label"><{$data.group_id}></span><{$data.group_name}></td>\r\n        <td>\r\n          <a href="javascript:delete_tad_login_config_func(<{$data.config_id}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n          <a href="<{$action}>?op=tad_login_config_form&config_id=<{$data.config_id}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n  </table>\r\n\r\n\r\n  <div class="text-right">\r\n    <a href="<{$action}>?op=tad_login_config_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n  </div>\r\n\r\n<{elseif $now_op=="list_tad_login_config"}>\r\n  <div class="hero-unit">\r\n    <a href="<{$action}>?op=tad_login_config_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n  </div>\r\n<{/if}>\r\n\r\n<!--顯示某一筆資料-->\r\n<{if $now_op=="show_one_tad_login_config"}>\r\n  <h2 class="text-center"><{$title}></h2>\r\n  <hr>\r\n\r\n  <div class="row-fluid">\r\n      <!--群組-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADLOGIN_GROUP_ID}>\r\n    </div>\r\n    <div class="span9">\r\n      <{$group_id}>\r\n    </div>\r\n\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n\r\n  <!--學校代碼或Email-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADLOGIN_ITEM}>\r\n    </div>\r\n    <div class="well span9">\r\n      <{$item}>\r\n    </div>\r\n  </div>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(392, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n\r\n<{if "facebook"|in_array:$auth_method}>\r\n  <a href="<{$facebook}>" class="btn"><img src="images/facebook.png"><{$smarty.const._MD_TADLOGIN_FB_LOGIN}></a>\r\n<{/if}>\r\n\r\n<{if "google"|in_array:$auth_method}>\r\n<a href="index.php?login&op=google" class="btn"><img src="images/google.png"><{$smarty.const._MD_TADLOGIN_GO_LOGIN}></a>\r\n<{/if}>\r\n\r\n\r\n<{if "yahoo"|in_array:$auth_method}>\r\n<a href="index.php?login&op=yahoo" class="btn"><img src="images/yahoo.png"><{$smarty.const._MD_TADLOGIN_YA_LOGIN}></a>\r\n<{/if}>\r\n\r\n<{if "myid"|in_array:$auth_method}>\r\n<a href="index.php?login&op=myid" class="btn"><img src="images/openid.png"><{$smarty.const._MD_TADLOGIN_MY_LOGIN}></a>\r\n<{/if}>\r\n\r\n<{if "tn_openid"|in_array:$auth_method}>\r\n<a href="index.php?op=tn" class="btn"><img src="images/tn.png"><{$smarty.const._MD_TADLOGIN_TN_LOGIN}></a>\r\n<{/if}>\r\n\r\n\r\n<{if "cyc"|in_array:$auth_method}>\r\n<a href="index.php?login&op=cyc" class="btn"><img src="images/cyc.png"><{$smarty.const._MD_TADLOGIN_CYC_LOGIN}></a>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(188, '<{if $block}>\r\n  <{if "facebook"|in_array:$block.auth_method}>\r\n    <a href="<{$block.facebook}>" ><img src="<{$xoops_url}>/modules/tad_login/images/facebook.png" alt="<{$smarty.const._MB_TADLOGIN_FB_LOGIN}>" title="<{$smarty.const._MB_TADLOGIN_FB_LOGIN}>"></a>\r\n  <{/if}>\r\n  \r\n\r\n  <{if "google"|in_array:$block.auth_method}>\r\n  <a href="<{$xoops_url}>/modules/tad_login/index.php?login&op=google" ><img src="<{$xoops_url}>/modules/tad_login/images/google.png" alt="<{$smarty.const._MB_TADLOGIN_GO_LOGIN}>" title="<{$smarty.const._MB_TADLOGIN_GO_LOGIN}>"></a>\r\n  <{/if}>\r\n\r\n  <{if "yahoo"|in_array:$block.auth_method}>\r\n  <a href="<{$xoops_url}>/modules/tad_login/index.php?login&op=yahoo" ><img src="<{$xoops_url}>/modules/tad_login/images/yahoo.png" alt="<{$smarty.const._MB_TADLOGIN_YA_LOGIN}>" title="<{$smarty.const._MB_TADLOGIN_YA_LOGIN}>"></a>\r\n  <{/if}>\r\n\r\n\r\n  <{if "myid"|in_array:$block.auth_method}>\r\n  <a href="<{$xoops_url}>/modules/tad_login/index.php?login&op=myid" ><img src="<{$xoops_url}>/modules/tad_login/images/openid.png" alt="<{$smarty.const._MB_TADLOGIN_YA_LOGIN}>" title="<{$smarty.const._MB_TADLOGIN_MY_LOGIN}>"></a>\r\n  <{/if}>\r\n\r\n\r\n  <{if "tn_openid"|in_array:$block.auth_method}>\r\n  <a href="<{$xoops_url}>/modules/tad_login/index.php?op=tn" ><img src="<{$xoops_url}>/modules/tad_login/images/tn.png" alt="<{$smarty.const._MB_TADLOGIN_TN_LOGIN}>" title="<{$smarty.const._MB_TADLOGIN_TN_LOGIN}>"></a>\r\n  <{/if}>\r\n\r\n  <{if "cyc"|in_array:$block.auth_method}>\r\n  <a href="<{$xoops_url}>/modules/tad_login/index.php?login&op=cyc" ><img src="<{$xoops_url}>/modules/tad_login/images/cyc.png" alt="<{$smarty.const._MB_TADLOGIN_CYC_LOGIN}>" title="<{$smarty.const._MB_TADLOGIN_CYC_LOGIN}>"></a>\r\n  <{/if}>\r\n\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(189, '<{foreach item=block from=$blocks}>\r\n  <div class="flexblock" style="background-color: <{if $block.visible}>#afa<{/if}><{if $block.timebased}>#ffa<{/if}><{if $block.unvisible}>#faa<{/if}>;">\r\n    <div style="background-color: #ccc; padding-left: 6px; cursor: pointer;" onclick="toggleBlock(<{$block.pageblockid}>);" id="blockl_<{$block.pageblockid}>">\r\n      <div style="float:right;font-size:10px;">\r\n        (<{$block.pageblockid}>)\r\n      </div>\r\n      <{$block.title}><{if $block.note != ""}>&nbsp;(<{$block.note}>)<{/if}>\r\n      <input type="checkbox" name="markedblocks[]" value="<{$block.pageblockid}>" id="block_<{$block.pageblockid}>" style="display: none;" />\r\n    </div>\r\n    <div style=" padding: 4px;">\r\n      <{foreach item=groupid from=$block.groups name=grouploop}>\r\n        <{if $smarty.foreach.grouploop.first}>(<{/if}><{$groups[$groupid]}><{if $smarty.foreach.grouploop.last}>)<{else}>, <{/if}>\r\n      <{/foreach}>\r\n      <br />\r\n      <a href="block.php?op=edit&amp;pageblockid=<{$block.pageblockid}>"><{$smarty.const._EDIT}></a> -\r\n      <a href="block.php?op=delete&amp;pageblockid=<{$block.pageblockid}>"><{$smarty.const._DELETE}></a>\r\n      &nbsp;&nbsp;<input type="text" name="pri[<{$block.pageblockid}>]" value="<{$block.priority}>" size="2" style="margin: 1px;" />\r\n      <select name=''place[<{$block.pageblockid}>]''>";\r\n        <option value=''left'' <{if $block.placement == ''left''}> selected=''selected''<{/if}>><{$smarty.const._AM_MYTABS_LEFT}></option>\r\n        <option value=''center'' <{if $block.placement == ''center''}> selected=''selected''<{/if}>><{$smarty.const._AM_MYTABS_CENTER}></option>\r\n        <option value=''right'' <{if $block.placement == ''right''}> selected=''selected''<{/if}>><{$smarty.const._AM_MYTABS_RIGHT}></option>\r\n      </select>\r\n      <br /><br />\r\n    </div>\r\n  </div>\r\n<{/foreach}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(190, '<{if $pagelist}>\r\n  <div style="float: right;">\r\n    <form method="get" action="index.php" id="changepage">\r\n      <select name="pageid" id="pageid">\r\n      <{foreach item=name from=$pagelist key=value }>\r\n        <option value="<{$value}>"<{if $pageid == $value}> selected=''selected''<{/if}>><{$name}></option>\r\n      <{/foreach}>\r\n      </select>\r\n      <input type="submit" value="<{$smarty.const._AM_MYTABS_GOTO_PAGE}>">\r\n	 </form>\r\n  </div>\r\n\r\n  <div>\r\n    <a href="index.php"><{$smarty.const._AM_MYTABS_HOME}></a>&raquo;&nbsp;\r\n    <a href="index.php?pageid=<{$pageid}>"><{$pagename}></a>&nbsp;\r\n    <a href="page.php?op=edit&amp;pageid=<{$pageid}>"><{$smarty.const._EDIT}></a> -\r\n    <a href="page.php?op=delete&amp;pageid=<{$pageid}>"><{$smarty.const._DELETE}></a>\r\n  </div>\r\n  <br />\r\n<{/if}>\r\n\r\n<div>\r\n  <{if $tabs}>\r\n    <div>\r\n      <form action="index.php" method="post" onsubmit="return confirmIfDelete(this);">\r\n        <div style="clear:both;"><table style="border: 1px solid black; border-collapse: collapse; padding: 4px; margin:1px; width:100%;">\r\n          <tr>\r\n          <{foreach from=$tabs key=k item=tab}>\r\n            <td style="border: 1px solid black; padding: 4px; margin: 1px; vertical-align: top;">\r\n              <div class="flexblock" style="background-color: <{if $tab.visible}>#afa<{/if}><{if $tab.timebased}>#ffa<{/if}><{if $tab.unvisible}>#faa<{/if}>;">\r\n                <div style="background-color: #ccc; padding-left: 6px; cursor: pointer;" onclick="toggleTab(<{$k}>);" id="tabl_<{$k}>">\r\n                  <div style="float:right;font-size:10px;">\r\n                    (<{$k}>)\r\n                  </div>\r\n                  <{$tab.title}><{if $tab.note != ""}>&nbsp;(<{$tab.note}>)<{/if}>\r\n                  <input type="checkbox" name="markedtabs[]" value="<{$k}>" id="tab_<{$k}>" style="display: none;" />\r\n                </div>\r\n                <{if $tab.link != ""}>\r\n                  <div style="padding: 4px;background-color: #aff;">\r\n                    <{$smarty.const._AM_MYTABS_LINK}>:&nbsp;<{$tab.link}>\r\n                  </div>\r\n                <{/if}>\r\n                <{if $tab.rev != ""}>\r\n                  <div style="padding: 4px;background-color: #aaf;">\r\n                    <{$smarty.const._AM_MYTABS_REV}>:&nbsp;<{$tab.rev}>\r\n                  </div>\r\n                <{/if}>\r\n                <div style="padding: 4px;">\r\n                  <{foreach item=groupid from=$tab.groups name=grouploop}>\r\n                    <{if $smarty.foreach.grouploop.first}>(<{/if}><{$groups[$groupid]}><{if $smarty.foreach.grouploop.last}>)<{else}>, <{/if}>\r\n                  <{/foreach}>\r\n                  <br />\r\n                  <a href="tab.php?op=edit&amp;tabid=<{$k}>"><{$smarty.const._EDIT}></a> -\r\n                  <a href="tab.php?op=delete&amp;tabid=<{$k}>"><{$smarty.const._DELETE}></a>&nbsp;&nbsp;\r\n                  <input type="text" name="tabpri[<{$k}>]" value="<{$tab.priority}>" size="2" style="margin: 1px;" />\r\n                </div>\r\n                <hr />\r\n                <{if $blocks}>\r\n                  <{include file="db:mytabs_admin_blocks.html" blocks=$blocks.$k}>\r\n                <{/if}>\r\n              </div>\r\n            </td>\r\n          <{/foreach}>\r\n          </tr>\r\n        </table></div>\r\n        <div style="float:right;width:200px;">\r\n          <fieldset>\r\n          <legend><{$smarty.const._AM_MYTABS_COLOR_LEGEND}></legend>\r\n            <table>\r\n		          <tr>\r\n                <td style="background: #afa; border: 1px solid black;">&nbsp;&nbsp;&nbsp;&nbsp;</td>\r\n                <td><{$smarty.const._AM_MYTABS_COLOR_LEGEND_VISIBLE}></td>\r\n		          </tr>\r\n		          <tr>\r\n                <td style="background: #ffa; border: 1px solid black;">&nbsp;&nbsp;&nbsp;&nbsp;</td>\r\n                <td><{$smarty.const._AM_MYTABS_COLOR_LEGEND_TIME_BASED}></td>\r\n		          </tr>\r\n		          <tr>\r\n                <td style="background: #faa; border: 1px solid black;">&nbsp;&nbsp;&nbsp;&nbsp;</td>\r\n			         <td><{$smarty.const._AM_MYTABS_COLOR_LEGEND_NOT_VISIBLE}></td>\r\n		          </tr>\r\n            </table>\r\n          </fieldset>\r\n        </div>\r\n        <div>\r\n          <select name="doaction">\r\n            <option value="setpriorities"><{$smarty.const._AM_MYTABS_ACTION_SETPRIORITIES}></option>\r\n            <option value="delete"><{$smarty.const._AM_MYTABS_ACTION_DELETE}></option>\r\n          </select>\r\n          <input type="submit" value="<{$smarty.const._AM_MYTABS_GO}>" />\r\n          <input type="button" onclick="document.location=''index.php?pageid=<{$pageid}>'';" value="<{$smarty.const._AM_MYTABS_CANCEL}>" />\r\n          <input type="hidden" name="pageid" value="<{$pageid}>" />\r\n        </div>\r\n      </form>\r\n    </div>\r\n  <{/if}>\r\n\r\n\r\n<{if $placement}>\r\n  <div>\r\n	  <h3><{$smarty.const._AM_MYTABS_CREATE_BLOCK}></h3>\r\n	  <form method="post" action="block.php" id="newblocksubmit">\r\n      <input type="hidden" name="op" value="new" />\r\n      <select name="blockid" id="blockid">\r\n  <{foreach item=name from=$blocklist key=value }>\r\n        <option value="<{$value}>"><{$name}></option>\r\n  <{/foreach}>\r\n      </select>&nbsp;\r\n      <{$placement}>\r\n      <input type="submit" value="<{$smarty.const._AM_MYTABS_GO}>">\r\n      <input type="hidden" name="pageid" value="<{$pageid}>">\r\n	  </form>\r\n  </div>\r\n<{/if}>\r\n\r\n<{if $pagelist}>\r\n  <div>\r\n    <h3><{$smarty.const._AM_MYTABS_CREATE_TAB}></h3>\r\n    <form method="post" action="tab.php" id="newtabsubmit">\r\n      <input type="hidden" name="op" value="new" />\r\n      <input type="text" name="tabtitle" id="tabtitle" size="14" >\r\n      <input type="submit" value="<{$smarty.const._AM_MYTABS_GO}>">\r\n      <input type="hidden" name="pageid" value="<{$pageid}>">\r\n	  </form>\r\n  </div>\r\n<{/if}>\r\n\r\n  <div>\r\n	  <h3><{$smarty.const._AM_MYTABS_CREATE_PAGE}></h3>\r\n	  <form method="post" action="page.php" id="newpagesubmit">\r\n      <input type="hidden" name="op" value="new" />\r\n      <input type="text" name="pagetitle" id="pagetitle" size="14" >\r\n      <input type="submit" value="<{$smarty.const._AM_MYTABS_GO}>">\r\n	  </form>\r\n  </div>\r\n  \r\n</div>\r\n\r\n<div id="flexblock_infoblock" style="margin-top: 20px;"></div>\r\n\r\n<script type="text/javascript">\r\nfunction toggleBlock(id) {\r\n    var checkbox=document.getElementById(''block_''+id);\r\n    checkbox.checked=!checkbox.checked;\r\n    document.getElementById(''blockl_''+id).style.backgroundColor=checkbox.checked?''#fa0'':''#ccc'';\r\n}\r\n\r\nfunction toggleTab(id) {\r\n    var checkbox=document.getElementById(''tab_''+id);\r\n    checkbox.checked=!checkbox.checked;\r\n    document.getElementById(''tabl_''+id).style.backgroundColor=checkbox.checked?''#fa0'':''#ccc'';\r\n}\r\n\r\nfunction confirmIfDelete(form) {\r\n    if(form.doaction.value==''delete'')\r\n    return confirm(''<{$smarty.const._AM_MYTABS_CONFIRM_DELETE}>'');\r\n    return true;\r\n}\r\n</script>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(191, '<{foreach item=thisblock from=$block.blocks}>\r\n    <div>\r\n		<{if $thisblock.title != ""}>\r\n        <h3 id="title-<{$thisblock.blockid}>" class="mytabsblock-title">\r\n            <{$thisblock.title}>\r\n        </h3>\r\n		<{/if}>\r\n\r\n        <div id="content-<{$thisblock.blockid}>" class="mytabsblock-content">\r\n            <{$thisblock.content}>\r\n        </div>\r\n\r\n    </div>\r\n<{/foreach}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(192, '<h3><{$pagename}></h3>\r\n\r\n<div id="tabscontents" class="modernbricksmenu2">\r\n<ul>\r\n<{$tabs_content}>\r\n</ul>\r\n<br style="clear: left" />\r\n</div>\r\n\r\n<div style="border:1px solid gray; padding: 5px; margin-bottom:1em">');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(193, '<img src=''<{$module_url}><{$module_image}>'' alt=''<{$module_name}>'' style=''float: left; margin-right: 10px;''/></a>\r\n<div style=''margin-top: 1px; color: #33538e; margin-bottom: 4px; font-size: 18px; line-height: 18px; font-weight: bold;''>\r\n	<{$module_name}> version <{$module_version}> (<{$module_status_version}>)\r\n</div>\r\n\r\n<div style=''line-height: 16px; font-weight: bold;''>\r\n	<{$smarty.const._AB_MYTABS_BY}> <{$module_author_name}>\r\n</div>\r\n\r\n<div style = ''line-height: 16px; ''>\r\n	 <{$module_license}>\r\n</div>\r\n\r\n<{if $module_credits}>\r\n	<table width=''100%'' cellspacing="1" cellpadding="3" border="0" class="outer" style="margin-top: 15px;">\r\n		<tr>\r\n			<td class=''bg3''><b><{$smarty.const._AB_MYTABS_DEVELOPER_CREDITS}></b></td>\r\n		</tr>\r\n\r\n		<tr>\r\n			<td class=''even''><{$module_credits}></td>\r\n		</tr>\r\n	</table>\r\n<{/if}>\r\n\r\n<table width=''100%'' cellspacing="1" cellpadding="3" border="0" class="outer" style="margin-top: 15px;">\r\n	<tr>\r\n		<td colspan=''2'' class=''bg3''>\r\n			<b><{$smarty.const._AB_MYTABS_AUTHOR_INFO}></b>\r\n		</td>\r\n	</tr>\r\n\r\n	<{if $module_developer_lead}>\r\n		<tr>\r\n			<td class=''head'' width = ''150px''><{$smarty.const._AB_MYTABS_DEVELOPER_LEAD}></td>\r\n			<td class=''even''><{$module_developer_lead}></td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_developer_contributor}>\r\n		<tr>\r\n			<td class=''head'' width = ''150px''><{$smarty.const._AB_MYTABS_DEVELOPER_CONTRIBUTOR}></td>\r\n			<td class=''even''><{$module_developer_contributor}></td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_people_developers}>\r\n		<tr>\r\n			<td class=''head'' style="vertical-align: top;" width = ''150px''><{$smarty.const._AB_MYTABS_PEOPLE_DEVELOPERS}></td>\r\n			<td class=''even''>\r\n			    <{foreach item=person from=$module_people_developers}>\r\n			    	<div><{$person}></div>\r\n			    <{/foreach}>\r\n			</td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_people_testers}>\r\n		<tr>\r\n			<td class=''head'' style="vertical-align: top;" width = ''150px''><{$smarty.const._AB_MYTABS_PEOPLE_TESTERS}></td>\r\n			<td class=''even''>\r\n			    <{foreach item=person from=$module_people_testers}>\r\n			    	<div><{$person}></div>\r\n			    <{/foreach}>\r\n			</td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_people_translaters}>\r\n		<tr>\r\n			<td class=''head'' style="vertical-align: top;" width = ''150px''><{$smarty.const._AB_MYTABS_PEOPLE_TRANSLATERS}></td>\r\n			<td class=''even''>\r\n			    <{foreach item=person from=$module_people_translaters}>\r\n			    	<div><{$person}></div>\r\n			    <{/foreach}>\r\n			</td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_people_documenters}>\r\n		<tr>\r\n			<td class=''head'' style="vertical-align: top;" width = ''150px''><{$smarty.const._AB_MYTABS_PEOPLE_DOCUMENTERS}></td>\r\n			<td class=''even''>\r\n			    <{foreach item=person from=$module_people_documenters}>\r\n			    	<div><{$person}></div>\r\n			    <{/foreach}>\r\n			</td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_people_other}>\r\n		<tr>\r\n			<td class=''head'' style="vertical-align: top;" width = ''150px''><{$smarty.const._AB_MYTABS_PEOPLE_OTHER}></td>\r\n			<td class=''even''>\r\n			    <{foreach item=person from=$module_people_other}>\r\n			    	<div><{$person}></div>\r\n			    <{/foreach}>\r\n			</td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_developer_website_url}>\r\n		<tr>\r\n			<td class=''head'' width = ''150px''><{$smarty.const._AB_MYTABS_DEVELOPER_WEBSITE}></td>\r\n			<td class=''even''><a href="<{$module_developer_website_url}>" target="_blank"><{$module_developer_website_name}></a></td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_developer_email}>\r\n		<tr>\r\n			<td class=''head'' width = ''150px''><{$smarty.const._AB_MYTABS_DEVELOPER_EMAIL}></td>\r\n			<td class=''even''><a href="mailto:<{$module_developer_email}>" target="_blank"><{$module_developer_email}></a></td>\r\n		</tr>\r\n	<{/if}>\r\n</table>\r\n\r\n<table width=''100%'' cellspacing="1" cellpadding="3" border="0" class="outer" style="margin-top: 15px;">\r\n	<tr>\r\n		<td colspan=''2'' class=''bg3''><b><{$smarty.const._AB_MYTABS_MODULE_INFO}></b></td>\r\n	</tr>\r\n\r\n	<tr>\r\n		<td class=''head'' width = ''200px''><{$smarty.const._AB_MYTABS_MODULE_RELEASE_DATE}></td>\r\n		<td class=''even''><{$module_date}></td>\r\n	</tr>\r\n\r\n	<tr>\r\n		<td class=''head'' width = ''200px''><{$smarty.const._AB_MYTABS_MODULE_STATUS}></td>\r\n		<td class=''even''><{$module_status}></td>\r\n	</tr>\r\n\r\n	<{if $module_demo_site_name}>\r\n		<tr>\r\n			<td class=''head'' width = ''200px''><{$smarty.const._AB_MYTABS_MODULE_DEMO}></td>\r\n			<td class=''even''><a href="<{$module_developer_demo_site_url}>" target="_blank"><{$module_demo_site_name}></a></td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_support_site_name}>\r\n		<tr>\r\n			<td class=''head'' width = ''200px''><{$smarty.const._AB_MYTABS_MODULE_SUPPORT}></td>\r\n			<td class=''even''><a href="<{$module_developer_support_site_url}>" target="_blank"><{$module_support_site_name}></a></td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_submit_bug}>\r\n		<tr>\r\n			<td class=''head'' width = ''200px''><{$smarty.const._AB_MYTABS_MODULE_BUG}></td>\r\n			<td class=''even''><a href="<{$module_submit_bug}>" target="_blank"><{$smarty.const._AB_MYTABS_MODULE_SUBMIT_BUG}></a></td>\r\n		</tr>\r\n	<{/if}>\r\n\r\n	<{if $module_submit_feature}>\r\n		<tr>\r\n			<td class=''head'' width = ''200px''><{$smarty.const._AB_MYTABS_MODULE_FEATURE}></td>\r\n			<td class=''even''><a href="<{$module_submit_feature}>" target="_blank"><{$smarty.const._AB_MYTABS_MODULE_SUBMIT_FEATURE}></a></td>\r\n		</tr>\r\n	<{/if}>\r\n</table>\r\n\r\n<table width=''100%'' cellspacing="1" cellpadding="3" border="0" class="outer" style="margin-top: 15px;">\r\n	<tr>\r\n		<td class=''bg3''><b><{$smarty.const._AB_MYTABS_MODULE_DISCLAIMER}></b></td>\r\n	</tr>\r\n\r\n	<tr>\r\n		<td class=''even''><{$module_warning}></td>\r\n	</tr>\r\n</table>\r\n\r\n<{if $module_author_word}>\r\n	<table width=''100%'' cellspacing="1" cellpadding="3" border="0" class="outer" style="margin-top: 15px;">\r\n		<tr>\r\n			<td class=''bg3''><b><{$smarty.const._AB_MYTABS_AUTHOR_WORD}></b></td>\r\n		</tr>\r\n\r\n		<tr>\r\n			<td class=''even''><{$module_author_word}></td>\r\n		</tr>\r\n	</table>\r\n<{/if}>\r\n\r\n<table width=''100%'' cellspacing="1" cellpadding="3" border="0" class="outer" style="margin-top: 15px;">\r\n	<tr>\r\n		<td class=''bg3''><b><{$smarty.const._AB_MYTABS_VERSION_HISTORY}></b></td>\r\n	</tr>\r\n\r\n	<tr>\r\n		<td class=''even''>\r\n			<div style=''line-height: 18px;''><{$module_version_history}></div>\r\n		</td>\r\n	</tr>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(194, '<div class="<{$block.class}>-menu" id="tabscontents-<{$block.uniqueid}>"><{$block.tabsmenu}></div>\r\n\r\n<{foreach item=thistab from=$block.tabs}>\r\n  <div class="<{$block.class}>-content" id="tab-<{$thistab.id}>-<{$block.uniqueid}>" style="<{if $block.width != 0}>width:<{$block.width}>px;<{/if}><{if $block.height != 0}>height: <{$block.height}>px;<{/if}>overflow: auto;">\r\n    <table cellspacing="0">\r\n      <tr>\r\n      <{foreach item=placement from=$block.placements}>\r\n        <{if $thistab.$placement}>\r\n          <td style="width:<{$thistab.width}>%; padding: 5px; vertical-align: top;">\r\n            <{foreach item=thisblock from=$thistab.$placement}>\r\n              <div class="<{$block.class}>-block">\r\n                <{if $block.showblockstitle == 1}>\r\n                  <h2 class="<{$block.class}>-blocktitle"><{$thisblock.title}></h2>\r\n                <{/if}>\r\n                <div class="<{$block.class}>-blockcontent"><{$thisblock.content}></div>\r\n              </div>\r\n            <{/foreach}>\r\n          </td>\r\n        <{/if}>\r\n      <{/foreach}>\r\n      </tr>\r\n    </table>\r\n  </div>\r\n<{/foreach}>\r\n\r\n<script type="text/javascript">\r\nvar tabc_<{$block.uniqueid}>=new ddtabcontent("tabscontents-<{$block.uniqueid}>")\r\ntabc_<{$block.uniqueid}>.setpersist(<{$block.persist}>)\r\ntabc_<{$block.uniqueid}>.hidetabs(<{$block.hidetabs}>)\r\ntabc_<{$block.uniqueid}>.setonmouseover(<{$block.onmouseover}>)\r\ntabc_<{$block.uniqueid}>.setselectedClassTarget("link")\r\ntabc_<{$block.uniqueid}>.init(<{$block.milisec}>)\r\n</script>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(195, '<{$pmform.javascript}>\r\n<form name="<{$pmform.name}>" id="<{$pmform.name}>" action="<{$pmform.action}>" method="<{$pmform.method}>" <{$pmform.extra}> >\r\n    <table class=''outer txtcenter width100''>\r\n        <tr>\r\n            <td class=''head width30 txtright''><{$smarty.const._PM_TO}></td>\r\n            <td class=''even txtleft''><{if $pmform.elements.to_userid.hidden != 1}><{$pmform.elements.to_userid.body}><{/if}><{$to_username}></td>\r\n        </tr>\r\n        <tr>\r\n            <td class=''head width30 txtright''><{$smarty.const._PM_SUBJECTC}></td>\r\n            <td class=''even txtleft''><{$pmform.elements.subject.body}></td>\r\n        </tr>\r\n        <tr>\r\n            <td class=''head width30 txtright''><{$smarty.const._PM_SUBJECT_ICONS}></td>\r\n            <td class=''even txtleft''>\r\n\r\n            <{foreachq item=icon from=$radio_icons}>\r\n                <input type=''radio'' name=''icon'' id=''<{$icon}>'' value=''<{$icon}>''  /><label name=''xolb_icon'' for=''<{$icon}>''><img src=''<{xoAppUrl}>images/subject/<{$icon}>'' alt="" /></label>\r\n            <{/foreach}>  </td>  \r\n        </tr>   \r\n        <tr class=''aligntop''>\r\n            <td class=''head width30 txtright''><{$smarty.const._PM_MESSAGEC}></td>\r\n            <td class=''even txtleft''><{$pmform.elements.message.body}></td>\r\n        </tr>\r\n        <tr class=''aligntop''>\r\n            <td class=''head width30''><{$smarty.const._PM_SAVEINOUTBOX}></td>\r\n            <td class=''even''><{$pmform.elements.savecopy.body}></td>\r\n        </tr>                          \r\n        <tr>\r\n            <td class=''head''>&nbsp;</td>\r\n            <td class=''even''>\r\n                <{foreach item=element from=$pmform.elements}>\r\n                    <{if $element.hidden == 1}>\r\n                        <{$element.body}>\r\n                    <{/if}>\r\n                <{/foreach}>\r\n                <{$pmform.elements.submit.body}>&nbsp;\r\n                <{$pmform.elements.reset.body}>&nbsp;\r\n                <{$pmform.elements.cancel.body}>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(196, '<div>\r\n    <h4><{$smarty.const._PM_PRIVATEMESSAGE}></h4>\r\n</div><br />\r\n<{if $op==out}>\r\n    <a href=''viewpmsg.php?op=out'' title=''<{$smarty.const._PM_OUTBOX}>''><{$smarty.const._PM_OUTBOX}></a>&nbsp;\r\n<{elseif $op == "save"}>\r\n    <a href=''viewpmsg.php?op=save'' title=''<{$smarty.const._PM_SAVEBOX}>''><{$smarty.const._PM_SAVEBOX}></a>&nbsp;\r\n<{else}>\r\n    <a href=''viewpmsg.php?op=in'' title=''<{$smarty.const._PM_INBOX}>''><{$smarty.const._PM_INBOX}></a>&nbsp;\r\n<{/if}>\r\n\r\n<{if $message}>\r\n    <span class=''bold''>&raquo;&raquo;</span>&nbsp;<{$message.subject}><br />\r\n    <form name="<{$pmform.name}>" id="<{$pmform.name}>" action="<{$pmform.action}>" method="<{$pmform.method}>" <{$pmform.extra}> >\r\n        <table cellpadding=''4'' cellspacing=''1'' class=''outer bnone width100''>\r\n            <tr>\r\n                <th colspan=''2''><{if $op==out}><{$smarty.const._PM_TO}><{else}><{$smarty.const._PM_FROM}><{/if}></th>\r\n            </tr>\r\n            <tr class=''even''>\r\n                <td class=''aligntop''>\r\n                    <{if ( $poster != false ) }>\r\n                        <a href=''<{$xoops_url}>/userinfo.php?uid=<{$poster->getVar("uid")}>''><{$poster->getVar("uname")}></a><br />\r\n                        <{if ( $poster->getVar("user_avatar") != "" ) }>\r\n                            <img src=''<{$xoops_url}>/uploads/<{$poster->getVar("user_avatar")}>'' alt='''' /><br />\r\n                        <{/if}>\r\n                        <{if ( $poster->getVar("user_from") != "" ) }>\r\n                            <{$smarty.const._PM_FROMC}><{$poster->getVar("user_from")}><br /><br />\r\n                        <{/if}>\r\n                        <{if ( $poster->isOnline() ) }>\r\n                            <span class=''bold red''><{$smarty.const._PM_ONLINE}></span><br /><br />\r\n                        <{/if}>\r\n                    <{else}>\r\n                        <{$anonymous}>\r\n                    <{/if}>\r\n                </td>\r\n                <td>\r\n                    <{if $message.msg_image != ""}>\r\n                        <img src=''<{$xoops_url}>/images/subject/<{$message.msg_image}>'' alt='''' />\r\n                    <{/if}>                    \r\n                    <{$smarty.const._PM_SENTC}><{$message.msg_time}><br />\r\n                    <hr />\r\n                    <strong><{$message.subject}></strong><br />\r\n                    <br />\r\n                    <{$message.msg_text}><br />\r\n                    <br />\r\n                </td>\r\n            </tr>\r\n            <tr class=''foot''>\r\n                <td class=''width20 txtleft'' colspan=''2''>\r\n                    <{foreach item=element from=$pmform.elements}>\r\n                        <{$element.body}>\r\n                    <{/foreach}>\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td class=''txtright'' colspan=''2''>\r\n                    <{if ( $previous >= 0 ) }>\r\n                        <a href=''readpmsg.php?start=<{$previous}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>'' title=''<{$smarty.const._PM_PREVIOUS}>''>\r\n                            <{$smarty.const._PM_PREVIOUS}>\r\n                        </a>&nbsp|&nbsp;\r\n                    <{else}>\r\n                        <{$smarty.const._PM_PREVIOUS}>&nbsp;|&nbsp;\r\n                    <{/if}>\r\n                    <{if ( $next < $total_messages ) }>\r\n                        <a href=''readpmsg.php?start=<{$next}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>'' title=''<{$smarty.const._PM_NEXT}>''>\r\n                            <{$smarty.const._PM_NEXT}>\r\n                        </a>\r\n                    <{else}>\r\n                        <{$smarty.const._PM_NEXT}>\r\n                    <{/if}>\r\n                </td>\r\n            </tr>\r\n        </table>\r\n    </form>\r\n<{else}>\r\n    <br /><br /><{$smarty.const._PM_YOUDONTHAVE}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(197, '<h4 class="txtcenter"><{$smarty.const._PM_PRIVATEMESSAGE}></h4>\r\n<{if $op}>\r\n<br />\r\n<div class="floatright txtright" style="width: 18%;">\r\n    <{if $op == "out"}>\r\n        <a href=''viewpmsg.php?op=in'' title=''<{$smarty.const._PM_INBOX}>''><{$smarty.const._PM_INBOX}></a> | <a href=''viewpmsg.php?op=save'' title=''<{$smarty.const._PM_SAVEBOX}>''><{$smarty.const._PM_SAVEBOX}></a>\r\n    <{elseif $op == "save"}>\r\n        <a href=''viewpmsg.php?op=in'' title=''<{$smarty.const._PM_INBOX}>''><{$smarty.const._PM_INBOX}></a> | <a href=''viewpmsg.php?op=out'' title=''<{$smarty.const._PM_OUTBOX}>''><{$smarty.const._PM_OUTBOX}></a>\r\n    <{elseif $op == "in"}>\r\n        <a href=''viewpmsg.php?op=out'' title=''<{$smarty.const._PM_OUTBOX}>''><{$smarty.const._PM_OUTBOX}></a> | <a href=''viewpmsg.php?op=save'' title=''<{$smarty.const._PM_SAVEBOX}>''><{$smarty.const._PM_SAVEBOX}></a>\r\n    <{/if}>\r\n</div>\r\n<div class="floatleft width80">\r\n    <{if $op == "out"}><{$smarty.const._PM_OUTBOX}>\r\n    <{elseif $op == "save"}><{$smarty.const._PM_SAVEBOX}>\r\n    <{else}><{$smarty.const._PM_INBOX}><{/if}>\r\n</div>\r\n<br />\r\n<br />\r\n<{if $msg}>\r\n    <div class="confirmMsg"><{$msg}></div>\r\n<{/if}>\r\n<{if $errormsg}>\r\n    <div class="errorMsg"><{$errormsg}></div>\r\n<{/if}>\r\n\r\n<{if $pagenav}>\r\n    <div class="floatright txtright pad5">\r\n    <{$pagenav}>\r\n    </div>\r\n    <br class="clear" />\r\n<{/if}>\r\n\r\n<form name="<{$pmform.name}>" id="<{$pmform.name}>" action="<{$pmform.action}>" method="<{$pmform.method}>" <{$pmform.extra}> >\r\n    <table cellspacing=''1'' cellpadding=''4'' class=''outer bnone width100''>\r\n    \r\n        <tr class=''txtcenter alignmiddle''>\r\n            <th><input name=''allbox'' id=''allbox'' onclick=''xoopsCheckAll("<{$pmform.name}>", "allbox");'' type=''checkbox'' value=''Check All'' /></th>\r\n            <th><img class=''bnone'' src=''<{xoAppUrl images/download.gif}>'' alt=''''/></th>\r\n            <th>&nbsp;</th>\r\n            <{if $op == "out"}>\r\n                <th><{$smarty.const._PM_TO}></th>\r\n            <{else}>\r\n                <th><{$smarty.const._PM_FROM}></th>\r\n            <{/if}>\r\n            <th><{$smarty.const._PM_SUBJECT}></th>\r\n            <th class=''txtcenter''><{$smarty.const._PM_DATE}></th>\r\n        </tr>\r\n        \r\n        <{if $total_messages == 0}>\r\n            <tr>\r\n                <td class=''even txtcenter'' colspan=''6''><{$smarty.const._PM_YOUDONTHAVE}></td>\r\n            </tr>\r\n        <{/if}>\r\n        <{foreach item=message from=$messages}>\r\n            <tr class=''<{cycle values="odd, even"}> txtleft''>\r\n                <td class=''aligntop txtcenter width2''>\r\n                    <input type=''checkbox'' id=''msg_id_<{$message.msg_id}>'' name=''msg_id[]'' value=''<{$message.msg_id}>'' />\r\n                </td>\r\n                <{if $message.read_msg == 1}>\r\n                    <td class=''aligntop width5 txtcenter''><img src=''<{xoModuleIcons16 mail_read.png}>'' alt=''<{$smarty.const._PM_READ}>'' title=''<{$smarty.const._PM_READ}>''/></td>\r\n                <{else}>\r\n                    <td class=''aligntop width5 txtcenter''><img src=''<{xoModuleIcons16 mail_notread.png}>'' alt=''<{$smarty.const._PM_NOTREAD}>'' title=''<{$smarty.const._PM_NOTREAD}>''/></td>\r\n                <{/if}>\r\n                <td class=''aligntop width5 txtcenter''>\r\n                    <{if $message.msg_image != ""}>\r\n                        <img src=''<{$xoops_url}>/images/subject/<{$message.msg_image}>'' alt='''' />\r\n                    <{/if}>\r\n                </td>\r\n                <td class=''alignmiddle width10''>\r\n                    <{if $message.postername != ""}>\r\n                        <a href=''<{$xoops_url}>/userinfo.php?uid=<{$message.posteruid}>'' title=''''><{$message.postername}></a>\r\n                    <{else}>\r\n                        <{$anonymous}>\r\n                    <{/if}>\r\n                </td>\r\n                <td class=''alignmiddle''>\r\n                    <a href=''readpmsg.php?msg_id=<{$message.msg_id}>&amp;start=<{$message.msg_no}>&amp;total_messages=<{$total_messages}>&amp;op=<{$op}>'' title=''''>\r\n                        <{$message.subject}>\r\n                    </a>\r\n                </td>\r\n                <td class=''alignmiddle txtcenter width20''>\r\n                    <{$message.msg_time}>\r\n                </td>\r\n            </tr>\r\n        <{/foreach}>\r\n        <tr class=''bg2 txtleft''>\r\n            <td class=''txtleft'' colspan=''6''>\r\n                <{$pmform.elements.send.body}>\r\n                <{if $display}>\r\n                    &nbsp;<{$pmform.elements.move_messages.body}>\r\n                    &nbsp;<{$pmform.elements.delete_messages.body}>\r\n                    &nbsp;<{$pmform.elements.empty_messages.body}>\r\n                <{/if}>\r\n                <{foreach item=element from=$pmform.elements}>\r\n                    <{if $element.hidden == 1}>\r\n                        <{$element.body}>\r\n                    <{/if}>\r\n                <{/foreach}>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>\r\n<{if $pagenav}>\r\n<div class="floatright txtright pad5">\r\n<{$pagenav}>\r\n</div>\r\n<{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(198, '<div class="breadcrumbs">\r\n    <{foreach item=itm from=$xoBreadcrumbs name=bcloop}>\r\n        <span class="item">\r\n        <{if $itm.link}>\r\n            <a href="<{$itm.link}>" title="<{$itm.title}>"><{$itm.title}></a>\r\n        <{else}>\r\n            <{$itm.title}>\r\n        <{/if}>\r\n        </span>\r\n        \r\n        <{if !$smarty.foreach.bcloop.last}>\r\n            <span class="delimiter">&raquo;</span>\r\n        <{/if}>\r\n    <{/foreach}>\r\n</div>\r\n<br class="clear"/>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(199, '<{$xoForm.javascript}>\r\n    <form id="<{$xoForm.name}>" name="<{$xoForm.name}>" action="<{$xoForm.action}>" method="<{$xoForm.method}>" <{$xoForm.extra}> >\r\n        <table class="profile-form" id="profile-form-<{$xoForm.name}>">\r\n            <{foreach item=element from=$xoForm.elements}>\r\n                <{if !$element.hidden}>\r\n                    <tr>\r\n                        <td class="head">\r\n				            <div class=''xoops-form-element-caption<{if $element.required}>-required<{/if}>''>\r\n				                <span class=''caption-text''><{$element.caption}></span>\r\n				                <span class=''caption-marker''>*</span>\r\n				            </div>\r\n                            <{if $element.description != ""}>\r\n                                <div class=''xoops-form-element-help''><{$element.description}></div>\r\n                            <{/if}>\r\n                        </td>\r\n                        <td class="<{cycle values=''odd, even''}>">\r\n                            <{$element.body}>\r\n                        </td>\r\n                    </tr>\r\n                <{/if}>\r\n            <{/foreach}>\r\n        </table>\r\n        <{foreach item=element from=$xoForm.elements}>\r\n            <{if $element.hidden}>\r\n                <{$element.body}>\r\n            <{/if}>\r\n        <{/foreach}>\r\n    </form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(200, '<form action="field.php" method="post" id="fieldform">\r\n    <table>\r\n        <th><{$smarty.const._PROFILE_AM_NAME}></th>\r\n        <th><{$smarty.const._PROFILE_AM_TITLE}></th>\r\n        <th><{$smarty.const._PROFILE_AM_DESCRIPTION}></th>\r\n        <th><{$smarty.const._PROFILE_AM_TYPE}></th>\r\n        <th><{$smarty.const._PROFILE_AM_CATEGORY}></th>\r\n        <th><{$smarty.const._PROFILE_AM_WEIGHT}></th>\r\n        <th><{$smarty.const._PROFILE_AM_REQUIRED}></th>\r\n        <th><{$smarty.const._PROFILE_AM_ACTION}></th>\r\n        <{foreach item=category from=$fieldcategories}>\r\n            <{foreach item=field from=$category}>\r\n                <tr class="<{cycle values=''odd, even''}>">\r\n                    <td><{$field.field_name}></td>\r\n                    <td><{$field.field_title}></td>\r\n                    <td><{$field.field_description}></td>\r\n                    <td><{$field.fieldtype}></td>\r\n                    <td>\r\n                        <{if $field.canEdit}>\r\n                            <select name="category[<{$field.field_id}>]"><{html_options options=$categories selected=$field.cat_id}></select>\r\n                        <{/if}>\r\n                    </td>\r\n                    <td>\r\n                        <{if $field.canEdit}>\r\n                            <input type="text" name="weight[<{$field.field_id}>]" size="5" maxlength="5" value="<{$field.field_weight}>" />\r\n                        <{/if}>\r\n                    </td>\r\n                    <td align="center">\r\n                        <{if $field.canEdit}>\r\n                        <a href="field.php?op=toggle&amp;field_required=<{$field.field_required}>&amp;field_id=<{$field.field_id}>"><img src="<{xoModuleIcons16}><{$field.field_required}>.png" title="<{$smarty.const._PROFILE_AM_REQUIRED_TOGGLE}>" alt="<{$smarty.const._PROFILE_AM_REQUIRED_TOGGLE}>" /></a>\r\n                        <{/if}>\r\n                    </td>\r\n                    <td align= "center">\r\n                        <{if $field.canEdit}>\r\n                            <input type="hidden" name="oldweight[<{$field.field_id}>]" value="<{$field.field_weight}>" />\r\n                            <input type="hidden" name="oldcat[<{$field.field_id}>]" value="<{$field.cat_id}>" />\r\n                            <input type="hidden" name="field_ids[]" value="<{$field.field_id}>" />\r\n                            <a href="field.php?id=<{$field.field_id}>" title="<{$smarty.const._EDIT}>"><img src="<{xoModuleIcons16 edit.png}>" alt="<{$smarty.const._EDIT}>" title="<{$smarty.const._EDIT}>" /></a>\r\n                        <{/if}>\r\n                        <{if $field.canDelete}>\r\n                            &nbsp;<a href="field.php?op=delete&amp;id=<{$field.field_id}>" title="<{$smarty.const._DELETE}>"><img src="<{xoModuleIcons16 delete.png}>" alt="<{$smarty.const._DELETE}>" title="<{$smarty.const._DELETE}>"</a>\r\n                        <{/if}>\r\n                    </td>\r\n                </tr>\r\n            <{/foreach}>\r\n        <{/foreach}>\r\n        <tr class="<{cycle values=''odd, even''}>">\r\n            <td colspan="5">\r\n            </td>\r\n            <td>\r\n                <{$token}>\r\n                <input type="hidden" name="op" value="reorder" />\r\n                <input type="submit" name="submit" value="<{$smarty.const._SUBMIT}>" />\r\n            </td>\r\n            <td colspan="2">\r\n            </td>\r\n        </tr>\r\n    </table>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(201, '<{includeq file="db:profile_breadcrumbs.html"}>\r\n\r\n<div>\r\n    <{if $avatar}>\r\n        <div class="floatleft pad5">\r\n            <img src="<{$avatar}>" alt="<{$uname}>" />\r\n        </div>\r\n    <{/if}>\r\n    <div class="floatleft pad10 block">\r\n        <strong><{$uname}></strong>\r\n        <{if $email}>\r\n            <{$email}> <br />\r\n        <{/if}>\r\n        <{if !$user_ownpage && $xoops_isuser == true}>\r\n        <form name="usernav" action="user.php" method="post">\r\n            <input type="button" value="<{$smarty.const._PROFILE_MA_SENDPM}>" onclick="javascript:openWithSelfMain(''<{$xoops_url}>/pmlite.php?send2=1&amp;to_userid=<{$user_uid}>'', ''pmlite'', 450, 380);" />\r\n        </form>\r\n        <{/if}>        \r\n    </div>\r\n</div>\r\n<br class="clear"/>\r\n\r\n<{if $user_ownpage == true}>\r\n<div class="floatleft pad5">\r\n    <form name="usernav" action="user.php" method="post">\r\n        <input type="button" value="<{$lang_editprofile}>" onclick="location=''<{$xoops_url}>/modules/<{$xoops_dirname}>/edituser.php''" />\r\n        <input type="button" value="<{$lang_changepassword}>" onclick="location=''<{$xoops_url}>/modules/<{$xoops_dirname}>/changepass.php''" />\r\n        <{if $user_changeemail}>\r\n            <input type="button" value="<{$smarty.const._PROFILE_MA_CHANGEMAIL}>" onclick="location=''<{$xoops_url}>/modules/<{$xoops_dirname}>/changemail.php''" />\r\n        <{/if}>\r\n\r\n        <{if $user_candelete == true}>\r\n            <form method="post" action="<{$xoops_url}>/modules/<{$xoops_dirname}>/user.php">\r\n                <input type="hidden" name="op" value="delete">\r\n                <input type="hidden" name="uid" value="<{$user_uid}>">\r\n                <input type="button" value="<{$lang_deleteaccount}>" onclick="submit();" />\r\n            </form>\r\n        <{/if}>\r\n\r\n        <input type="button" value="<{$lang_avatar}>" onclick="location=''edituser.php?op=avatarform''" />\r\n        <input type="button" value="<{$lang_inbox}>" onclick="location=''<{$xoops_url}>/viewpmsg.php''" />\r\n        <input type="button" value="<{$lang_logout}>" onclick="location=''<{$xoops_url}>/modules/<{$xoops_dirname}>/user.php?op=logout''" />\r\n    </form>\r\n</div>\r\n<{elseif $xoops_isadmin != false}>\r\n<div class="floatleft pad5">\r\n        <form method="post" action="<{$xoops_url}>/modules/<{$xoops_dirname}>/admin/deactivate.php">\r\n        <input type="button" value="<{$lang_editprofile}>" onclick="location=''<{$xoops_url}>/modules/<{$xoops_dirname}>/admin/user.php?op=edit&amp;id=<{$user_uid}>''" />\r\n        <input type="hidden" name="uid" value="<{$user_uid}>" />\r\n        <{if $userlevel == 1}>\r\n            <input type="hidden" name="level" value="0" />\r\n            <input type="button" value="<{$smarty.const._PROFILE_MA_DEACTIVATE}>" onclick="submit();" />\r\n        <{else}>\r\n            <input type="hidden" name="level" value="1" />\r\n            <input type="button" value="<{$smarty.const._PROFILE_MA_ACTIVATE}>" onclick="submit();" />\r\n        <{/if}>\r\n        </form>\r\n</div>\r\n<{/if}>\r\n\r\n<br class="clear"/>\r\n\r\n<{foreach item=category from=$categories}>\r\n    <{if isset($category.fields)}>\r\n        <div class="profile-list-category" id="profile-category-<{$category.cat_id}>">\r\n            <table class="outer" cellpadding="4" cellspacing="1">\r\n                <tr>\r\n                  <th class="txtcenter" colspan="2"><{$category.cat_title}></th>\r\n                </tr>\r\n                <{foreach item=field from=$category.fields}>\r\n                    <tr>\r\n                        <td class="head"><{$field.title}></td>\r\n                        <td class="even"><{$field.value}></td>\r\n                    </tr>\r\n                <{/foreach}>\r\n            </table>\r\n        </div>\r\n    <{/if}>\r\n<{/foreach}>\r\n\r\n<{if $modules}>\r\n<br class="clear" />\r\n<div class="profile-list-activity">\r\n    <h2><{$recent_activity}></h2>\r\n    <!-- start module search results loop -->\r\n    <{foreach item=module from=$modules}>\r\n\r\n    <h4><{$module.name}></h4>\r\n\r\n      <!-- start results item loop -->\r\n          <{foreach item=result from=$module.results}>\r\n\r\n          <img src="<{$result.image}>" alt="<{$module.name}>" />&nbsp;<strong><a href="<{$result.link}>"><{$result.title}></a></strong><br /><span class="x-small">(<{$result.time}>)</span><br />\r\n\r\n          <{/foreach}>\r\n          <!-- end results item loop -->\r\n\r\n    <{$module.showall_link}>\r\n\r\n    <{/foreach}>\r\n    <!-- end module search results loop -->\r\n</div>    \r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(202, '<table>\r\n    <tr>\r\n    <th><{$smarty.const._PROFILE_AM_TITLE}></th>\r\n    <th><{$smarty.const._PROFILE_AM_DESCRIPTION}></th>\r\n    <th><{$smarty.const._PROFILE_AM_WEIGHT}></th>\r\n    <th><{$smarty.const._PROFILE_AM_ACTION}></th>\r\n    </tr>\r\n    <{foreach item=category from=$categories}>\r\n        <tr class="<{cycle values=''odd, even''}>">\r\n            <td><{$category.cat_title}></td>\r\n            <td><{$category.cat_description}></td>\r\n            <td align= "center"><{$category.cat_weight}></td>\r\n            <td align= "center">\r\n                <a href="category.php?id=<{$category.cat_id}>" title="<{$smarty.const._EDIT}>"><img src="<{xoModuleIcons16 edit.png}>" alt="<{$smarty.const._EDIT}>" title="<{$smarty.const._EDIT}>" /></a>                \r\n                &nbsp;<a href="category.php?op=delete&amp;id=<{$category.cat_id}>" title="<{$smarty.const._DELETE}>"><img src="<{xoModuleIcons16 delete.png}>" alt="<{$smarty.const._DELETE}>" title="<{$smarty.const._DELETE}>"</a>\r\n            </td>\r\n        </tr>\r\n    <{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(203, '<{includeq file="db:profile_breadcrumbs.html"}>\r\n<div>( <{$total_users}> )</div>\r\n<{includeq file="db:profile_form.html" xoForm=$searchform}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(204, '<{includeq file="db:profile_breadcrumbs.html"}>\r\n<div>( <{$total_users}> )</div>\r\n<{if $users}>\r\n    <table>\r\n        <tr>\r\n            <{foreach item=caption from=$captions}>\r\n                <th><{$caption}></th>\r\n            <{/foreach}>\r\n        </tr>\r\n        <{foreach item=user from=$users}>\r\n            <tr class="<{cycle values=''odd, even''}>">\r\n                <{foreach item=fieldvalue from=$user.output}>\r\n                    <td><{$fieldvalue}></td>\r\n                <{/foreach}>\r\n            </tr>\r\n        <{/foreach}>\r\n    </table>\r\n    \r\n    <{$nav}>\r\n<{else}>\r\n    <div class="errorMsg">\r\n        <{$smarty.const._PROFILE_MA_NOUSERSFOUND}>\r\n    </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(205, '<br />\r\n<div class="head">\r\n    <form id="<{$addform.name}>" method="<{$addform.method}>" action="<{$addform.action}>">\r\n        <{foreach item=element from=$addform.elements}>\r\n            <{$element.caption}> <{$element.body}>\r\n        <{/foreach}>\r\n    </form>\r\n</div>\r\n\r\n<table>\r\n    <{foreach item=field from=$fields key=field_id}>\r\n        <tr class="<{cycle values=''odd,even''}>">\r\n            <td class="width20"><{$field}></td>\r\n            <td>\r\n                <{if isset($visibilities.$field_id)}>\r\n                    <ul>\r\n                        <{foreach item=visibility from=$visibilities.$field_id}>\r\n                            <{assign var=user_gid value=$visibility.user_group}>\r\n                            <{assign var=profile_gid value=$visibility.profile_group}>\r\n                            <li>\r\n                                <{$smarty.const._PROFILE_AM_FIELDVISIBLEFOR}> <{$groups.$user_gid}>\r\n                                <{$smarty.const._PROFILE_AM_FIELDVISIBLEON}> <{$groups.$profile_gid}>\r\n                                <a href="visibility.php?op=del&amp;field_id=<{$field_id}>&amp;ug=<{$user_gid}>&amp;pg=<{$profile_gid}>" title="<{$smarty.const._DELETE}>">\r\n                                    <img src="<{$xoops_url}>/modules/profile/images/no.png" alt="<{$smarty.const._DELETE}>" />\r\n                                </a>\r\n                            </li>\r\n                        <{/foreach}>\r\n                    </ul>\r\n                <{else}>\r\n                    <{$smarty.const._PROFILE_AM_FIELDNOTVISIBLE}>\r\n                <{/if}>\r\n            </td>\r\n        </tr>\r\n    <{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(206, '<table>\r\n    <th><{$smarty.const._PROFILE_AM_STEPNAME}></th>\r\n    <th><{$smarty.const._PROFILE_AM_STEPORDER}></th>\r\n    <th><{$smarty.const._PROFILE_AM_STEPSAVE}></th>\r\n    <th><{$smarty.const._PROFILE_AM_ACTION}></th>\r\n    <{foreach item=step from=$steps}>\r\n        <tr class="<{cycle values=''odd, even''}>">\r\n            <td><{$step.step_name}></td>\r\n            <td align= "center"><{$step.step_order}></td>            \r\n            <td align="center">\r\n                <a href="step.php?op=toggle&amp;step_save=<{$step.step_save}>&amp;step_id=<{$step.step_id}>"><img src="<{xoModuleIcons16}><{$step.step_save}>.png" title="<{$smarty.const._PROFILE_AM_SAVESTEP_TOGGLE}>" alt="<{$smarty.const._PROFILE_AM_SAVESTEP_TOGGLE}>" /></a>\r\n            </td>\r\n            <td align= "center">\r\n                <a href="step.php?id=<{$step.step_id}>" title="<{$smarty.const._EDIT}>"><img src="<{xoModuleIcons16 edit.png}>" alt="<{$smarty.const._EDIT}>" title="<{$smarty.const._EDIT}>" /></a>\r\n                &nbsp;<a href="step.php?op=delete&amp;id=<{$step.step_id}>" title="<{$smarty.const._DELETE}>"><img src="<{xoModuleIcons16 delete.png}>" alt="<{$smarty.const._DELETE}>" title="<{$smarty.const._DELETE}>"</a>\r\n            </td>\r\n        </tr>\r\n    <{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(207, '<{includeq file="db:profile_breadcrumbs.html"}>\r\n\r\n<{if $steps|@count > 1 AND $current_step >= 0}>\r\n    <div class=''register-steps''>\r\n        <span class=''caption''><{$lang_register_steps}></span>\r\n        <{foreachq item=step from=$steps key=stepno name=steploop}>\r\n            <{if $stepno == $current_step}>\r\n                <span class=''item current''><{$step.step_name}></span>\r\n            <{else}>\r\n                <span class=''item''><{$step.step_name}></span>\r\n            <{/if}>\r\n            <{if !$smarty.foreach.steploop.last}>\r\n                <span class=''delimiter''>&raquo;</span>\r\n            <{/if}>\r\n        <{/foreach}>\r\n    </div>\r\n<{/if}>\r\n\r\n<{if $stop}>\r\n    <div class=''errorMsg txtleft''><{$stop}></div>\r\n    <br class=''clear''/>\r\n<{/if}>\r\n\r\n<{if $confirm}>\r\n    <{foreach item=msg from=$confirm}>\r\n        <div class=''confirmMsg txtleft''><{$msg}></div>\r\n        <br class=''clear''/>\r\n    <{/foreach}>\r\n<{/if}>\r\n\r\n<{if $regform}>\r\n    <h3><{$regform.title}></h3>\r\n    <{includeq file="db:profile_form.html" xoForm=$regform}>\r\n<{elseif $finish}>\r\n    <h1><{$finish}></h1>\r\n    <{if $finish_message}><p><{$finish_message}></p><{/if}>\r\n    <{if $finish_login}>\r\n    <form id=''register_login'' name=''register_login'' action=''user.php'' method=''post''>\r\n    <input type=''submit'' value="<{$finish_login}>">\r\n    <input type=''hidden'' name="op" id="op" value="login">\r\n    <input type=''hidden'' name="uname" id="uname" value="<{$finish_uname}>">\r\n    <input type=''hidden'' name="pass" id="pass" value="<{$finish_pass}>">\r\n    </form>\r\n    <{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(208, '<{includeq file="db:profile_breadcrumbs.html"}>\r\n\r\n<{includeq file="db:profile_form.html" xoForm=$form}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(209, '<{includeq file="db:profile_breadcrumbs.html"}>\r\n\r\n\r\n<{if $stop}>\r\n    <div class=''errorMsg txtleft''><{$stop}></div>\r\n    <br class=''clear''/>\r\n<{/if}>\r\n\r\n<{includeq file="db:profile_form.html" xoForm=$userinfo}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(210, '<fieldset class="pad10">\r\n  <legend class="bold"><{$lang_login}></legend>\r\n  <form action="user.php" method="post">\r\n    <{$lang_username}> <input type="text" name="uname" size="26" maxlength="25" value="<{$usercookie}>" /><br /><br />\r\n    <{$lang_password}> <input type="password" name="pass" size="21" maxlength="32" /><br /><br />\r\n    <{if isset($lang_rememberme)}>\r\n        <input type="checkbox" name="rememberme" value="On" checked /> <{$lang_rememberme}><br /><br />\r\n    <{/if}>\r\n    \r\n    <input type="hidden" name="op" value="login" />\r\n    <input type="hidden" name="xoops_redirect" value="<{$redirect_page}>" />\r\n    <input type="submit" value="<{$lang_login}>" />\r\n  </form>\r\n  <br />\r\n  <a name="lost"></a>\r\n  <div><{$lang_notregister}><br /></div>\r\n</fieldset>\r\n\r\n<br />\r\n\r\n<fieldset class="pad10">\r\n  <legend class="bold"><{$lang_lostpassword}></legend>\r\n  <div><br /><{$lang_noproblem}></div>\r\n  <form action="lostpass.php" method="post">\r\n    <{$lang_youremail}> <input type="text" name="email" size="26" maxlength="60" />&nbsp;&nbsp;<input type="hidden" name="op" value="mailpasswd" /><input type="hidden" name="t" value="<{$mailpasswd_token}>" /><input type="submit" value="<{$lang_sendpassword}>" />\r\n  </form>\r\n</fieldset>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(211, '<{includeq file="db:profile_breadcrumbs.html"}>\r\n\r\n<{if $old_avatar}>\r\n    <div class="pad10 center">\r\n        <h4 class="bold red"><{$smarty.const._US_OLDDELETED}></h4>\r\n        <img src="<{$old_avatar}>" alt="" />\r\n    </div>\r\n<{/if}>\r\n\r\n<{if $uploadavatar}>\r\n<{$uploadavatar.javascript}>\r\n<form name="<{$uploadavatar.name}>" action="<{$uploadavatar.action}>" method="<{$uploadavatar.method}>" <{$uploadavatar.extra}>>\r\n  <table class="outer" cellspacing="1">\r\n    <tr>\r\n    <th colspan="2"><{$uploadavatar.title}></th>\r\n    </tr>\r\n    <!-- start of form elements loop -->\r\n    <{foreach item=element from=$uploadavatar.elements}>\r\n      <{if $element.hidden != true}>\r\n      <tr>\r\n        <td class="head"><{$element.caption}>\r\n        <{if $element.description}>\r\n        	<div style="font-weight: normal"><{$element.description}></div>\r\n        <{/if}>\r\n        </td>\r\n        <td class="<{cycle values=''even,odd''}>"><{$element.body}></td>\r\n      </tr>\r\n      <{else}>\r\n      <{$element.body}>\r\n      <{/if}>\r\n    <{/foreach}>\r\n    <!-- end of form elements loop -->\r\n  </table>\r\n</form>\r\n<br />\r\n<{/if}>\r\n\r\n<br />\r\n<{$chooseavatar.javascript}>\r\n<form name="<{$chooseavatar.name}>" action="<{$chooseavatar.action}>" method="<{$chooseavatar.method}>" <{$chooseavatar.extra}>>\r\n  <table class="outer" cellspacing="1">\r\n    <tr>\r\n    <th colspan="2"><{$chooseavatar.title}></th>\r\n    </tr>\r\n    <!-- start of form elements loop -->\r\n    <{foreach item=element from=$chooseavatar.elements}>\r\n      <{if $element.hidden != true}>\r\n      <tr>\r\n        <td class="head"><{$element.caption}>\r\n        <{if $element.description}>\r\n        	<div style="font-weight: normal"><{$element.description}></div>\r\n        <{/if}>\r\n        </td>\r\n        <td class="<{cycle values=''even,odd''}>"><{$element.body}></td>\r\n      </tr>\r\n      <{else}>\r\n      <{$element.body}>\r\n      <{/if}>\r\n    <{/foreach}>\r\n    <!-- end of form elements loop -->\r\n  </table>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(212, '<{includeq file="db:profile_breadcrumbs.html"}>\r\n\r\n<{includeq file="db:profile_form.html" xoForm=$emailform}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(213, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n//刪除確認\r\n<script language="JavaScript" type="text/JavaScript">\r\nfunction delete_data(sn){\r\n	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n	if (!sure)	return;\r\n	location.href="main.php?op=del&id=" + sn;\r\n}\r\n</script>\r\n\r\n<div class="row-fluid">\r\n  <div class="span6">\r\n    <h3><{$smarty.const._RQ_ADD}></h3>\r\n    <form action="main.php" method="post">\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._RQ_TEXTO}>\r\n        </label>\r\n        <div class="span10">\r\n          <textarea name="texto" cols="20" rows="3" class="span12"></textarea>\r\n        </div>  \r\n\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._RQ_AUTOR}>\r\n        </label>\r\n        <div class="span5">\r\n          <input type="text" name="autor" class="span12" maxlength="255" />\r\n        </div>  \r\n        <div class="span5">\r\n          <input type="hidden" name="op" value="add" />\r\n          <button type="submit" class="btn btn-primary" ><{$smarty.const._SUBMIT}></button>\r\n        </div>  \r\n      </div>\r\n    </form>\r\n    \r\n    <div class="row-fluid">\r\n      <h3><{$smarty.const._RQ_BATCH_IMPORT}></h3>\r\n      <div class="well">    \r\n        <form action="main.php" method="post" enctype="multipart/form-data">\r\n          <{$smarty.const._RQ_BATCH_FILE}>\r\n          <input type="file" name="userfile"/>\r\n          <input type="hidden" name="op" value="import" />\r\n           <button type="submit" class="btn btn-primary" ><{$smarty.const._SUBMIT}></button>\r\n        </form>\r\n        <hr>\r\n        <a href="quote.csv"><{$smarty.const._RQ_BATCH_IMPORT_DEMO}></a>  \r\n      </div>\r\n    </div>\r\n  </div>\r\n    \r\n  <div class="span6">\r\n    <{if $all}>\r\n      <h3><{$smarty.const._RQ_TITLE}></h3>\r\n      <form action="main.php" method="post">\r\n        <div class="row-fluid">\r\n          <label class="span9"><{$smarty.const._RQ_TEXTO}></label>\r\n          <label class="span3"><{$smarty.const._RQ_AUTOR}></label>\r\n        </div>\r\n          <{foreach from=$all item=rq}>\r\n          \r\n            <div class="row-fluid">\r\n              <div class="span9">            \r\n                <input type="hidden" value="<{$rq.texto}>" name="oldtexto[<{$rq.id}>]" />\r\n                <textarea name="newtexto[<{$rq.id}>]" rows="2" class="span12"><{$rq.texto}></textarea>\r\n              </div>\r\n              <div class="span3">\r\n                <input type="hidden" value="<{$rq.autor}>" name="oldautor[<{$rq.id}>]" />\r\n                <input type="text" value="<{$rq.autor}>" name="newautor[<{$rq.id}>]" maxlength="255" class="span12" />\r\n                <div>\r\n                  #<{$rq.id}>\r\n                  <a href="javascript:delete_data(<{$rq.id}>)" class="btn btn-mini btn-danger"><{$smarty.const._DELETE}></a>\r\n                </div>\r\n              </div>\r\n            </div>\r\n            <hr>\r\n          <{/foreach}>\r\n          <div class="row-fluid">\r\n            <input type="hidden" name="op" value="edit" />\r\n            <button type="submit" class="btn btn-primary" ><{$smarty.const._SUBMIT}></button>\r\n          </div>\r\n      </form>\r\n      <hr>\r\n      <h3><{$smarty.const._RQ_BATCH_EXPORT}></h3>\r\n      <form action="main.php" method="post">\r\n        <input type="hidden" name="op" value="export" />\r\n        <input type="submit" value="<{$smarty.const._RQ_BATCH_BUTTON}>" />\r\n      </form>  \r\n    <{/if}>\r\n  </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(214, '<div class="blockContent"><b><{$block.texto}></b><p align="right"><i><{$block.autor}></i></p></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(417, '<{$bootstrap}>\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n\r\n<div class="row-fluid">\r\n\r\n<{if $op=="list_sign"}>\r\n  <h1>\r\n  <a href="<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$nsn}>"><{$news_title}></a>\r\n  </h1>\r\n  <{foreach item=sign from=$sign}>\r\n    <div class="span2 well">\r\n      <div><a href="index.php?uid=<{$sign.uid}>&op=list_user_sign"><{$sign.uid_name}></a></div>\r\n      <div><{$sign.sign_time}></div>\r\n    </div>\r\n  <{/foreach}>\r\n<{elseif $op=="list_user_sign"}>\r\n  <h1>\r\n  <a href="<{$xoops_url}>/userinfo.php?uid=<{$uid}>"><{$uid_name}></a>\r\n  </h1>\r\n  <{foreach item=sign from=$sign}>\r\n    <div class="span3 well">\r\n      <div>[<{$sign.nsn}>] <a href=''<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$sign.nsn}>''><{$sign.news_title}></a></div>\r\n      <div><{$sign.sign_time}></div>\r\n    </div>\r\n  <{/foreach}>\r\n<{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(418, '<!--TadNews Start-->\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n\r\n<{$bootstrap}>\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n\r\n<{if $page}>\r\n\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadnews/class/MultiLink/js/MultiLink.js"></script>\r\n  <link rel="stylesheet" href="<{$xoops_url}>/modules/tadnews/class/MultiLink/css/MultiLink.css" type="text/css" media="screen" />\r\n\r\n  <script type="text/javascript">\r\n  ML.Config = {\r\n    "allLinks" : {\r\n      <{$MutiLinkConfig}>\r\n    }\r\n  }\r\n  </script>\r\n\r\n  <div class="row-fluid">\r\n  <div id="tadnews_save_msg"></div>\r\n  <{$cate_select}>\r\n  <{$author_select}>\r\n  <table class="table table-striped">\r\n    <tr>\r\n      <th nowrap><{$smarty.const._MD_TADNEWS_NEWS_TITLE}></th>\r\n    </tr>\r\n    <tbody id="sort">\r\n      <{foreach item=page from=$page}>\r\n        <tr id="tr_<{$page.nsn}>">\r\n          <td>\r\n            <{$page.post_date}>\r\n            <{if $page.not_news!=''1''}>\r\n              <{$page.prefix_tag}>\r\n              <{if $page.need_sign}>\r\n                <img src="<{$page.need_sign}>" align="absmiddle" alt="<{$page.news_title}>" style="margin:3px;">\r\n              <{/if}>\r\n            <{else}>\r\n              <i class="icon-book"></i>\r\n            <{/if}>\r\n            <{$page.enable_txt}><{$page.today_pic}>\r\n            <a href="<{$xoops_url}>/modules/tadnews/<{$page.link_page}>?nsn=<{$page.nsn}>"><{$page.news_title}></a>\r\n            <span style="color:gray;font-size:12px;"> (<a href="index.php?show_uid=<{$page.uid}>"><{$page.uid_name}></a> / <{$page.counter}> / <a class="multilink" id="my_news_<{$page.nsn}>" data-dls-links="<{$page.mutilink}>"><{$page.cate_name}></a>)</span> <{$page.content}>\r\n          </td>\r\n        </tr>\r\n      <{/foreach}>\r\n    </tbody>\r\n  </table>\r\n  </div>\r\n  <{$bar}>\r\n  <script type=''text/javascript''>\r\n    if($(''#linkdiv'').text() == '''') {\r\n      document.write("<div id="linkdiv" class="hideme">I get replaced with the listing of links...<\\/div>");\r\n    }\r\n  </script>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(416, '<!--TadNews Start-->\r\n<{if $ncsn}>\r\n<link rel="alternate" type="application/rss+xml" title="tadnews rss" href="<{$xoops_url}>/modules/tadnews/rss.php?ncsn=<{$ncsn}>" />\r\n<{/if}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n\r\n<{$bootstrap}>\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n\r\n\r\n<!--TadNews Start-->\r\n<{foreach item=all_news from=$all_news}>\r\n  <h3><a href="page.php?ncsn=<{$all_news.ncsn}>"><{$all_news.nc_title}></a></h3>\r\n  <table class="table table-striped table-hover">\r\n  <{foreach  item=news from=$all_news.news}>\r\n    <tr>\r\n      <td>\r\n      <a href="<{$xoops_url}>/modules/tadnews/page.php?nsn=<{$news.nsn}>"><{$news.news_title}></a>\r\n      </td>\r\n      <td class="span1 text-right" style="color: gray;font-size:12px;">(<{$news.counter}>)</td>\r\n    </tr>\r\n  <{/foreach}>\r\n  </table>\r\n<{/foreach}>\r\n<!--TadNews End-->');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(414, '<!--TadNews Start-->\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n\r\n<{$jquery}>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadnews/class/izzyColor/izzyColor.js" charset="UTF-8"></script>\r\n<script type="text/javascript">\r\nvar imageUrl="<{$xoops_url}>/modules/tadnews/class/izzyColor/editor_images/color.png"; // optionally, you can change path for images.\r\n</script>\r\n\r\n\r\n<script language="JavaScript" type="text/JavaScript">\r\nfunction delete_tag(tag_sn){\r\n	var sure = window.confirm(''<{$smarty.const._TADNEWS_SURE_DEL}>'');\r\n	if (!sure)	return;\r\n	location.href="<{$xoops_url}>/modules/tadnews/admin/tag.php?op=del_tag&tag_sn=" + tag_sn;\r\n}\r\n</script>\r\n\r\n\r\n<table class="table table-striped table-bordered">\r\n<tr>\r\n  <th><{$smarty.const._MA_TADNEWS_TAG_DEMO}></th>\r\n  <th><{$smarty.const._MA_TADNEWS_TAG_TITLE}></th>\r\n  <th><{$smarty.const._MA_TADNEWS_TAG_COLOR}></th>\r\n  <th><{$smarty.const._MA_TADNEWS_TAG_ENABLE}></th>\r\n  <th><{$smarty.const._MA_TADNEWS_TAG_FUNC}></th>\r\n</tr>\r\n<{if $tag_sn==""}>\r\n<form action="tag.php" method="post" id="myForm">\r\n<tr class="info">\r\n  <td><{$smarty.const._MA_TADNEWS_TAG_NEW}></td>\r\n  <td><input type="text" name="tag" value="<{$tag}>" size=10></td>\r\n  <td><input type="text" name="color" value="<{$color}>" id="color2" class="izzyColor" size=10></td>\r\n  <td>\r\n    <label class="radio">\r\n      <input type="radio" name="enable" value="1" <{$tag.enable_1}>><{$smarty.const._YES}>\r\n    </label>\r\n    <label class="radio">\r\n      <input type="radio" name="enable" value="0" <{$tag.enable_0}>><{$smarty.const._NO}>\r\n    </label>\r\n  </td>\r\n  <td>\r\n  <input type="hidden" name="op" value="insert_tad_news_tags">\r\n  <button class="btn" type="submit"><{$smarty.const._MA_TADNEWS_SAVE_CATE}></button>\r\n  </td>\r\n</tr>\r\n</form>\r\n<{/if}>\r\n\r\n<{foreach item=tag from=$tagarr}>\r\n  <{if $tag.mode=="edit"}>\r\n  <form action="tag.php" method="post" id="myForm">\r\n    <tr class="warning">\r\n      <td><{$tag.prefix_tag}></td>\r\n      <td><input type="text" name="tag" value="<{$tag.tag}>" size=10></td>\r\n      <td><input type="text" name="color" value="<{$tag.color}>" id="color" class="izzyColor" size=10></td>\r\n      <td>\r\n        <label class="radio">\r\n          <input type="radio" name="enable" value="1" <{$tag.enable_1}>><{$smarty.const._YES}>\r\n        </label>\r\n        <label class="radio">\r\n          <input type="radio" name="enable" value="0" <{$tag.enable_0}>><{$smarty.const._NO}>\r\n        </label>\r\n      </td>\r\n      <td>\r\n    	<input type="hidden" name="tag_sn" value="<{$tag_sn}>">\r\n      <input type="hidden" name="op" value="update_tad_news_tags">\r\n      <button class="btn" type="submit"><{$smarty.const._MA_TADNEWS_SAVE_CATE}></button>\r\n      </td></tr>\r\n    </form>\r\n  <{else}>\r\n    <tr>\r\n      <td><{$tag.prefix_tag}></td>\r\n      <td><{$tag.tag}></td>\r\n      <td><{$tag.color}></td>\r\n      <td><{$tag.enable_txt}><{$tag.amount}></td>\r\n      <td><{$tag.tool}></td>\r\n    </tr>\r\n  <{/if}>\r\n<{/foreach}>\r\n\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(415, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n\r\n<{$jquery}>\r\n<script type="text/javascript">\r\n$(document).ready(function() {\r\n  $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n      var order = $(this).sortable("serialize");\r\n      $.post("save_sort_cate.php", order, function(theResponse){\r\n          $("#save_msg").html(theResponse);\r\n      });\r\n  }\r\n  });\r\n});\r\n\r\n\r\nfunction delete_tad_news_cate_func(ncsn){\r\n	var sure = window.confirm("<{$smarty.const._TADNEWS_SURE_DEL}>");\r\n	if (!sure)	return;\r\n	location.href="<{$php_self}>?op=delete_tad_news_cate&ncsn=" + ncsn;\r\n}\r\n\r\nfunction move_cate(ncsn){\r\n  $(''#move_form''+ncsn).show();\r\n}\r\n</script>\r\n\r\n<h3><{$smarty.const._MA_TADNEWS_ADD_PAGE_CATE}></h3>\r\n\r\n<{if $ncsn==""}>\r\n  <div class="row-fluid">\r\n    <div class="well span12 <{$cate.offset}>" style="background-color:#FFFF99;">\r\n      <form action="<{$php_self}>" method="post" id="myForm" enctype="multipart/form-data">\r\n        <div class="row-fluid">\r\n\r\n          <div class="span2">\r\n            <label><{$smarty.const._MA_TADNEWS_CATE_PIC}></label>\r\n            <input type="file" name="cate_pic" class="span12" size=10>\r\n          </div>\r\n\r\n\r\n          <div class="span3">\r\n            <label><{$smarty.const._MA_TADNEWS_PARENT_CATE}></label>\r\n            <select name="of_ncsn" size=1 class="span12">\r\n              <{$cate_select}>\r\n            </select>\r\n            <label><{$smarty.const._MA_TADNEWS_CATE_TITLE}></label>\r\n            <input type="text" name="nc_title" id="nc_title" class="span12" value="<{$cate.nc_title}>">\r\n          </div>\r\n\r\n          <div class="span3">\r\n            <div>\r\n              <label class="inline"><{$smarty.const._MA_TADNEWS_CATE_SHOW_TITLE}><{$smarty.const._TAD_FOR}></label>\r\n              <label class="radio inline">\r\n              <input type="radio" name="setup[title]" id="setup_title_1" value="1" checked><{$smarty.const._YES}>\r\n              </label>\r\n\r\n              <label class="radio inline">\r\n              <input type="radio" name="setup[title]" id="setup_title_0" value="0"><{$smarty.const._NO}>\r\n              </label>\r\n            </div>\r\n\r\n            <div>\r\n              <label class="inline"><{$smarty.const._MA_TADNEWS_CATE_SHOW_TOOL}><{$smarty.const._TAD_FOR}></label>\r\n              <label class="radio inline">\r\n              <input type="radio" name="setup[tool]" id="setup_tool_1" value="1"><{$smarty.const._YES}>\r\n              </label>\r\n\r\n              <label class="radio inline">\r\n              <input type="radio" name="setup[tool]" id="setup_tool_0" value="0" checked><{$smarty.const._NO}>\r\n              </label>\r\n            </div>\r\n\r\n            <div>\r\n              <label class="inline"><{$smarty.const._MA_TADNEWS_CATE_SHOW_COMM}><{$smarty.const._TAD_FOR}></label>\r\n              <label class="radio inline">\r\n              <input type="radio" name="setup[comm]" id="setup_comm_1" value="1"><{$smarty.const._YES}>\r\n              </label>\r\n\r\n              <label class="radio inline">\r\n              <input type="radio" name="setup[comm]" id="setup_comm_0" value="0" checked><{$smarty.const._NO}>\r\n              </label>\r\n            </div>\r\n\r\n            <div>\r\n              <label class="inline"><{$smarty.const._MA_TADNEWS_CATE_SHOW_NAV}><{$smarty.const._TAD_FOR}></label>\r\n              <label class="radio inline">\r\n              <input type="radio" name="setup[nav]" id="setup_nav_1" value="1" checked><{$smarty.const._YES}>\r\n              </label>\r\n\r\n              <label class="radio inline">\r\n              <input type="radio" name="setup[nav]" id="setup_nav_0" value="0"><{$smarty.const._NO}>\r\n              </label>\r\n            </div>\r\n          </div>\r\n\r\n          <div class="span2">\r\n            <label><{$smarty.const._MA_TADNEWS_CAN_READ_CATE_GROUP}><br />\r\n            <{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_TXT}></label>\r\n            <{$enable_group}>\r\n          </div>\r\n\r\n          <div class="span2">\r\n\r\n            <label><{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP}><br />\r\n            <{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_TXT}></label>\r\n            <{$enable_post_group}>\r\n\r\n            <input type="hidden" name="not_news" value="1">\r\n            <input type="hidden" name="op" value="<{$op}>">\r\n            <button type="submit" class="btn btn-info"><{$smarty.const._MA_TADNEWS_SAVE_CATE}></button>\r\n          </div>\r\n        </div>\r\n\r\n      </form>\r\n    </div>\r\n  </div>\r\n<{/if}>\r\n\r\n<{if $cate}>\r\n  <div class="row-fluid" id="sort">\r\n  <{foreach item=cate from=$cate}>\r\n    <{if $cate.ncsn==$ncsn}>\r\n      <script type="text/javascript">\r\n      $(document).ready(function() {\r\n        $("#nc_title").focus();\r\n      });\r\n      </script>\r\n      <div class="row-fluid">\r\n        <div class="well span12 <{$cate.offset}>" style="background-color:#FFFF99;">\r\n          <form action="<{$php_self}>" method="post" id="myForm" enctype="multipart/form-data">\r\n            <div class="span2">\r\n              <a href="<{$xoops_url}>/modules/tadnews/page.php?ncsn=<{$cate.ncsn}>"><img src="<{$cate.pic}>"  alt="<{$cate.nc_title}>" title="<{$cate.nc_title}>" class="img-polaroid" ></a>\r\n              <label><{$smarty.const._MA_TADNEWS_CATE_PIC}></label>\r\n              <input type="file" name="cate_pic" class="span12" size=10>\r\n            </div>\r\n\r\n            <div class="span3">\r\n              <label><{$smarty.const._MA_TADNEWS_PARENT_CATE}></label>\r\n              <select name="of_ncsn" size=1 class="span12">\r\n                <{$cate_select}>\r\n              </select>\r\n              <label><{$smarty.const._MA_TADNEWS_CATE_TITLE}></label>\r\n              <input type="text" name="nc_title" id="nc_title" class="span12" value="<{$cate.nc_title}>">\r\n            </div>\r\n\r\n\r\n            <div class="span3">\r\n              <div>\r\n                <label class="inline"><{$smarty.const._MA_TADNEWS_CATE_SHOW_TITLE}><{$smarty.const._TAD_FOR}></label>\r\n                <label class="radio inline">\r\n                <input type="radio" name="setup[title]" id="setup_title_1" value="1" <{if $set.title=="1"}>checked<{/if}>><{$smarty.const._YES}>\r\n                </label>\r\n\r\n                <label class="radio inline">\r\n                <input type="radio" name="setup[title]" id="setup_title_0" value="0" <{if $set.title=="0"}>checked<{/if}>><{$smarty.const._NO}>\r\n                </label>\r\n              </div>\r\n\r\n              <div>\r\n                <label class="inline"><{$smarty.const._MA_TADNEWS_CATE_SHOW_TOOL}><{$smarty.const._TAD_FOR}></label>\r\n                <label class="radio inline">\r\n                <input type="radio" name="setup[tool]" id="setup_tool_1" value="1" <{if $set.tool=="1"}>checked<{/if}>><{$smarty.const._YES}>\r\n                </label>\r\n\r\n                <label class="radio inline">\r\n                <input type="radio" name="setup[tool]" id="setup_tool_0" value="0" <{if $set.tool=="0"}>checked<{/if}>><{$smarty.const._NO}>\r\n                </label>\r\n              </div>\r\n\r\n              <div>\r\n                <label class="inline"><{$smarty.const._MA_TADNEWS_CATE_SHOW_COMM}><{$smarty.const._TAD_FOR}></label>\r\n                <label class="radio inline">\r\n                <input type="radio" name="setup[comm]" id="setup_comm_1" value="1" <{if $set.comm=="1"}>checked<{/if}>><{$smarty.const._YES}>\r\n                </label>\r\n\r\n                <label class="radio inline">\r\n                <input type="radio" name="setup[comm]" id="setup_comm_0" value="0" <{if $set.comm=="0"}>checked<{/if}>><{$smarty.const._NO}>\r\n                </label>\r\n              </div>\r\n\r\n              <div>\r\n                <label class="inline"><{$smarty.const._MA_TADNEWS_CATE_SHOW_NAV}><{$smarty.const._TAD_FOR}></label>\r\n                <label class="radio inline">\r\n                <input type="radio" name="setup[nav]" id="setup_nav_1" value="1" <{if $set.nav=="1"}>checked<{/if}>><{$smarty.const._YES}>\r\n                </label>\r\n\r\n                <label class="radio inline">\r\n                <input type="radio" name="setup[nav]" id="setup_nav_0" value="0" <{if $set.nav=="0"}>checked<{/if}>><{$smarty.const._NO}>\r\n                </label>\r\n              </div>\r\n            </div>\r\n\r\n\r\n            <div class="span2">\r\n              <label><{$smarty.const._MA_TADNEWS_CAN_READ_CATE_GROUP}><br />\r\n              <{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_TXT}></label>\r\n              <{$enable_group}>\r\n            </div>\r\n\r\n            <div class="span2">\r\n\r\n              <label><{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP}><br />\r\n              <{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_TXT}></label>\r\n              <{$enable_post_group}>\r\n              <input type="hidden" name="not_news" value="1">\r\n            	<input type="hidden" name="ncsn" value="<{$ncsn}>">\r\n              <input type="hidden" name="op" value="<{$op}>">\r\n              <button type="submit" class="btn btn-info"><{$smarty.const._MA_TADNEWS_SAVE_CATE}></button>\r\n            </div>\r\n          </form>\r\n        </div>\r\n      </div>\r\n    <{else}>\r\n      <div class="row-fluid" id="tr_<{$cate.ncsn}>">\r\n        <div class="well span5 <{$cate.offset}>" style="background-color:white;">\r\n          <div class="span3">\r\n            <a href="<{$xoops_url}>/modules/tadnews/page.php?ncsn=<{$cate.ncsn}>"><img src="<{$cate.pic}>"  alt="<{$cate.nc_title}>" title="<{$cate.nc_title}>" class="img-polaroid" ></a>\r\n            <div style="margin:6px 0px;text-align:center;">\r\n            <a href="<{$xoops_url}>/modules/tadnews/page.php?ncsn=<{$cate.ncsn}>" style="color:#669900;"><{$smarty.const._MA_TADNEWS_CATE_COUNTER}><{$cate.counter}></a>\r\n\r\n            </div>\r\n          </div>\r\n\r\n          <div class="span9">\r\n            <div>\r\n              <a href="<{$xoops_url}>/modules/tadnews/page.php?ncsn=<{$cate.ncsn}>" style="font-size:11pt;"><{$cate.nc_title}></a>\r\n            </div>\r\n\r\n        		<div style="margin:6px 0px;">\r\n\r\n              <a href="<{$php_self}>?ncsn=<{$cate.ncsn}>" class="btn btn-mini btn-info"><{$smarty.const._TADNEWS_EDIT}></a>\r\n              <{if $cate.counter==0}>\r\n          		<a href="javascript:delete_tad_news_cate_func(<{$cate.ncsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TADNEWS_DEL}></a>\r\n          		<{/if}>\r\n          		<a href="<{$php_self}>?not_news=<{$cate.new_kind}>&op=change_kind&ncsn=<{$cate.ncsn}>" class="btn btn-mini btn-success"><{$cate.change_text}></a>\r\n            </div>\r\n        		<div style="margin:6px 0px;"><b><{$smarty.const._MA_TADNEWS_CAN_READ_CATE_GROUP_S}></b>: <{$cate.g_txt}></div>\r\n            <div><b><{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_S}></b>: <{$cate.gp_txt}></div>\r\n        		<{if $cate.counter}>\r\n        		<div style="margin:6px 0px;">\r\n              <form action="<{$php_self}>" method="post" id="myForm" enctype="multipart/form-data">\r\n          		  <a class="btn btn-mini btn-warning" id="move_button<{$cate.ncsn}>" onClick="move_cate(<{$cate.ncsn}>)"><{$smarty.const._MA_TADNEWS_MOVE}></a>\r\n          		  <span id="move_form<{$cate.ncsn}>" style="display:none;">\r\n              		<select name="to_ncsn" size=1>\r\n                  <{$cate_select}>\r\n                  </select>\r\n                	<input type="hidden" name="ncsn" value="<{$cate.ncsn}>">\r\n                  <input type="hidden" name="op" value="move_to">\r\n                  <button type="submit" class="btn btn-mini btn-info"><{$smarty.const._TADNEWS_MOVE_TO}></button>\r\n                </span>\r\n              </form>\r\n        		</div>\r\n        		<{/if}>\r\n          </div>\r\n\r\n        </div>\r\n      </div>\r\n    <{/if}>\r\n  <{/foreach}>\r\n  </div>\r\n<{/if}>\r\n\r\n\r\n<div id="save_msg"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(413, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n\r\n<{if $op=="creat_newspaper" or $op=="modify"}>\r\n	<script type="text/javascript" src="../class/nicEdit.js"></script>\r\n  <script type="text/javascript">\r\n  	//bkLib.onDomLoaded(function() { nicEditors.allTextAreas()});\r\n  	bkLib.onDomLoaded(function() {\r\n    	new nicEditor({fullPanel : true}).panelInstance(''head'');\r\n    	new nicEditor({fullPanel : true}).panelInstance(''foot'');\r\n  	});\r\n  </script>\r\n  <h2><{$smarty.const._MA_TADNEWS_NP_STEP1}></h2>\r\n\r\n  <form action="newspaper.php" method="post" id="myForm" class="form">\r\n    <div class="control-group">\r\n      <label class="control-label"><{$smarty.const._MA_TADNEWS_NP_THEMES}></label>\r\n      <div class="controls">\r\n        <{$nps_theme}>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="control-group">\r\n      <label class="control-label" for="title"><{$smarty.const._MA_TADNEWS_NP_TITLE}></label>\r\n      <div class="controls">\r\n        <input type="text" name="title" id="title" value="<{$np_title}>" class="span12">\r\n      </div>\r\n    </div>\r\n\r\n    <div class="control-group">\r\n      <label class="control-label" for="head"><{$smarty.const._MA_TADNEWS_NP_CONTENT_HEAD}></label>\r\n      <div class="controls">\r\n        <textarea name="head" id="head" class="span12"><{$head}></textarea>\r\n        <span class="help-block"><{$smarty.const._MA_TADNEWS_NP_CONTENT_HEAD_DESC}></span>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="control-group">\r\n      <label class="control-label" for="foot"><{$smarty.const._MA_TADNEWS_NP_CONTENT_FOOT}></label>\r\n      <div class="controls">\r\n        <textarea name="foot" id="foot"  class="span12"><{$foot}></textarea>\r\n        <span class="help-block"><{$smarty.const._MA_TADNEWS_NP_CONTENT_FOOT_DESC}></span>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="control-group">\r\n      <div class="controls">\r\n        <{$hidden}>\r\n        <input type="hidden" name="op" value="save_newspaper_set">\r\n        <button type="submit" class="btn"><{$smarty.const._TADNEWS_NP_SUBMIT}></button>\r\n      </div>\r\n    </div>\r\n  </form>\r\n\r\n<{elseif $op=="add_newspaper"}>\r\n\r\n	<script type="text/javascript" src="../class/tmt_core.js"></script>\r\n	<script type="text/javascript" src="../class/tmt_spry_linkedselect.js"></script>\r\n	<script type="text/javascript">\r\n	function getOptions()\r\n	  {\r\n	  var x=document.getElementById("destination");\r\n	  txt="";\r\n	  for (i=0;i<x.length;i++)\r\n	    {\r\n	    txt=txt + "," + x.options[i].value;\r\n	    }\r\n	  document.getElementById("all_news").value=txt;\r\n	  }\r\n	</script>\r\n\r\n  <h2><{$smarty.const._MA_TADNEWS_NP_STEP2}></h2>\r\n  <form action="newspaper.php" method="post" id="myForm" class="form-horizontal">\r\n\r\n    <div class="control-group">\r\n      <label class="control-label" for="number"><{$smarty.const._MA_TADNEWS_NP_NUMBER}></label>\r\n      <div class="controls">\r\n         <{$newspaper_set_title}>\r\n      </div>\r\n    </div>\r\n\r\n\r\n\r\n    <div class="control-group">\r\n      <label class="control-label"><{$smarty.const._MA_TADNEWS_NP_CONTENT}></label>\r\n      <div class="controls controls-row">\r\n        <select name="repository" id="repository" size="12" multiple="multiple"	tmt:linkedselect="true" class="span4">\r\n          <{$opt}>\r\n        </select>\r\n\r\n        <div class="span1">\r\n      		<img src="../images/right.png" onclick="tmt.spry.linkedselect.util.moveOptions(''repository'', ''destination'');getOptions();"><br>\r\n      		<img src="../images/left.png" onclick="tmt.spry.linkedselect.util.moveOptions(''destination'' , ''repository'');getOptions();"><br><br>\r\n\r\n          <img src="../images/up.png" onclick="tmt.spry.linkedselect.util.moveOptionUp(''destination'');getOptions();"><br>\r\n        	<img src="../images/down.png" onclick="tmt.spry.linkedselect.util.moveOptionDown(''destination'');getOptions();">\r\n    		</div>\r\n\r\n        <select id="destination" size="12" multiple="multiple" tmt:linkedselect="true" class="span4">\r\n  			 <{$opt2}>\r\n  			</select>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="control-group">\r\n      <div class="controls">\r\n        <input type="hidden" name="op" value="save_newspaper">\r\n        <input type="hidden" name="nps_sn" value="<{$nps_sn}>">\r\n        <input type="hidden" name="all_news" id="all_news">\r\n        <button type="submit"><{$smarty.const._TADNEWS_NP_SUBMIT}></button>\r\n      </div>\r\n    </div>\r\n  </form>\r\n\r\n<{elseif $op=="edit_newspaper"}>\r\n\r\n  <h2><{$smarty.const._MA_TADNEWS_NP_STEP3}></h2>\r\n  <form action="newspaper.php" method="post" id="myForm">\r\n    <div class="control-group">\r\n      <div class="controls">\r\n        <{$smarty.const._MA_TADNEWS_NP_SUB_TITLE}><input type="text" name="np_title" class="span8" value="<{$np_title}>">\r\n      </div>\r\n    </div>\r\n    <div class="control-group">\r\n      <div class="controls">\r\n        <{$editor}>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="control-group">\r\n      <div class="controls">\r\n        <input type="hidden" name="npsn" value="<{$npsn}>">\r\n        <input type="hidden" name="op" value="save_all">\r\n        <button type="submit"><{$smarty.const._TADNEWS_SUBMIT}></button>\r\n      </div>\r\n    </div>\r\n\r\n\r\n  </form>\r\n\r\n<{elseif $op=="sendmail"}>\r\n\r\n  <script>\r\n		function delete_tad_news_email_func(email){\r\n			var sure = window.confirm("<{$smarty.const._TADNEWS_SURE_DEL}>");\r\n			if (!sure)	return;\r\n			location.href="newspaper.php?op=delete_tad_news_email_npsn&npsn=<{$npsn}>&nps_sn=<{$nps_sn}>&email=" + email;\r\n		}\r\n	</script>\r\n\r\n  <h2><{$smarty.const._MA_TADNEWS_NP_STEP4}></h2>\r\n\r\n  <div class="control-group">\r\n    <div class="controls">\r\n      <{$total}>\r\n    </div>\r\n  </div>\r\n\r\n  <form action="newspaper.php" method="post" id="myForm">\r\n    <table class="table table-condensed">\r\n      <{assign var="i" value=0}>\r\n\r\n      <{foreach item=log from=$log }>\r\n        <{if !$i}><tr><{/if}>\r\n          <td>\r\n            <label class="checkbox">\r\n            <{$log.checkbox}><{$log.email}>\r\n            </label>\r\n          </td>\r\n          <td><{$log.data}></td>\r\n        <{assign var="i" value=$i+1}>\r\n        <{if $i == 2}></tr><{assign var="i" value=0}><{/if}>\r\n      <{/foreach}>\r\n    </table>\r\n      <input type="hidden" name="op" value="send_now">\r\n      <input type="hidden" name="npsn" value="<{$npsn}>">\r\n      <div class="text-center"><button type="submit"><{$smarty.const._MA_TADNEWS_SEND_NOW}></button></div>\r\n\r\n  </form>\r\n\r\n  <iframe src="newspaper.php?op=preview&npsn=<{$npsn}>" style="width:800px;height:480px;border:1px solid gray;clear:both"><{$np_content}></iframe>\r\n\r\n<{elseif $op=="newspaper_email"}>\r\n  <script>\r\n		function delete_tad_news_email_func(email){\r\n		var sure = window.confirm("<{$smarty.const._TADNEWS_SURE_DEL}>");\r\n			if (!sure)	return;\r\n			location.href="newspaper.php?op=delete_tad_news_email&nps_sn=<{$nps_sn}>&g2p=<{$g2p}>&email=" + email;\r\n		}\r\n	</script>\r\n  <h2><{$title}><{$smarty.const._MA_TADNEWS_NP_EMAIL}></h2>\r\n\r\n  <div class="row-fluid"><a href="newspaper.php?nps_sn=<{$nps_sn}>" class="btn btn-info"><{$back}></a></div>\r\n\r\n  <table class="table table-striped">\r\n  <tr><td colspan=10>\r\n  <{$bar}>\r\n  </td></tr>\r\n\r\n  <{assign var="i" value=0}>\r\n\r\n  <{foreach item=log from=$log }>\r\n    <{if !$i}><tr><{/if}>\r\n      <{if $log.edit}>\r\n        <td colspan=5>\r\n          <form action="newspaper.php" method="post">\r\n          <input type="text" name="new_email" value="<{$log.email}>" style="width:100%;background-color:#FFFF99;color:black;"></td><td>\r\n          <input type="hidden" name="old_email" value="<{$log.email}>">\r\n          <input type="hidden" name="op" value="update_email">\r\n          <input type="hidden" name="nps_sn" value="<{$nps_sn}>">\r\n          <input type="hidden" name="g2p" value="<{$g2p}>">\r\n          <input type="submit" value="<{$smarty.const._MA_TADNEWS_SAVE_CATE}>">\r\n      		</form>\r\n        </td>\r\n      <{else}>\r\n        <td><{$log.email}></td>\r\n        <td>\r\n        <{if $log.ok=="ok"}>\r\n          <span class="badge badge-info"><{$log.ok}></span>\r\n        <{else}>\r\n          <span class="badge badge-important"><{$log.ok}></span>\r\n        <{/if}>\r\n        </td>\r\n        <td><{$log.order_date}></td>\r\n        <td>\r\n          <a href="newspaper.php?op=newspaper_email&nps_sn=<{$nps_sn}>&memail=<{$log.email}>&g2p=<{$g2p}>" class="btn btn-mini btn-warning"><{$smarty.const._TADNEWS_EDIT}></a>\r\n    			<a href="javascript:delete_tad_news_email_func(''<{$log.email}>'');" class="btn btn-mini btn-danger"><{$smarty.const._TADNEWS_DEL}></a>\r\n        </td>\r\n        <td>\r\n          <{$log.data}>\r\n        </td>\r\n      <{/if}>\r\n    <{assign var="i" value=$i+1}>\r\n    <{if $i == 2}></tr><{assign var="i" value=0}><{/if}>\r\n  <{/foreach}>\r\n\r\n  <tr><td colspan=10>\r\n  <{$bar}>\r\n  </td></tr>\r\n\r\n  <tr><td colspan=10>\r\n  <form action="newspaper.php" method="post">\r\n    <textarea name="email_import" class="span12"></textarea>\r\n    <input type="hidden" name="nps_sn" value="<{$nps_sn}>">\r\n    <input type="hidden" name="op" value="email_import"><br>\r\n    <input type="submit" value="<{$smarty.const._MA_TADNEWS_NP_EMAIL_IMPORT}>">\r\n  </form>\r\n  </td></tr>\r\n  </table>\r\n\r\n<{elseif $op=="sendmail_log"}>\r\n  <h2><{$title}></h2>\r\n\r\n  <div class="row-fluid"><a href="newspaper.php?nps_sn=<{$nps_sn}>" class="btn btn-info"><{$back}></a></div>\r\n\r\n  <{if $empty}>\r\n    <div class="well"><{$smarty.const._MA_TADNEWS_EMPTY_LOG}></div>\r\n  <{else}>\r\n    <table class="table table-striped">\r\n      <{assign var="i" value=0}>\r\n      <{foreach item=log from=$log }>\r\n        <td><{$log.email}></td>\r\n        <td><{$log.send_time}></td>\r\n        <td><span class="badge badge-info"><{$log.log}></span></td>\r\n        <{assign var="i" value=$i+1}>\r\n        <{if $i == 2}></tr><{assign var="i" value=0}><{/if}>\r\n      <{/foreach}>\r\n    </table>\r\n  <{/if}>\r\n\r\n<{else}>\r\n\r\n  <h2><{$smarty.const._MA_TADNEWS_NP_LIST}></h2>\r\n\r\n  <{$js}>\r\n  <div style="margin:10px;">\r\n    <select name="nps_sn" id="nps_sn" onChange="window.location.href=''newspaper.php?nps_sn=''+this.value ">\r\n      <option value=""><{$smarty.const._MA_TADNEWS_NP_OPTION}></option>\r\n      <{$option}>\r\n    </select>\r\n    <{$create_btn}>\r\n\r\n    <{$del_btn}>\r\n    <{$edit_btn}>\r\n  </div>\r\n\r\n  <{if $nps_sn}>\r\n    <table class="table table-striped table-hover">\r\n      <tr>\r\n        <th><{$smarty.const._MA_TADNEWS_NP_TITLE}></th>\r\n        <th><{$smarty.const._MA_TADNEWS_NP_DATE}></th>\r\n        <th><{$smarty.const._MA_TADNEWS_FUNCTION}></th>\r\n      </tr>\r\n\r\n      <{foreach item=np from=$newspaper}>\r\n        <tr>\r\n          <td>\r\n            <a href="../newspaper.php?op=preview&npsn=<{$np.allnpsn}>" target="_blank"><{$np.title}><{$np.number}></a>\r\n          </td>\r\n          <td><{$np.np_date}></td>\r\n          <td>\r\n            <a href="newspaper.php?op=edit_newspaper&npsn=<{$np.allnpsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TADNEWS_EDIT}></a>\r\n            <a href="javascript:delete_tad_newspaper(<{$np.allnpsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TADNEWS_DEL}></a>\r\n            <a href="newspaper.php?op=sendmail_log&npsn=<{$np.allnpsn}>" class="btn btn-mini btn-info"><{$smarty.const._MA_TADNEWS_SEND_LOG}></a>\r\n            <a href="newspaper.php?op=sendmail&npsn=<{$np.allnpsn}>" class="btn btn-mini btn-primary"><{$smarty.const._MA_TADNEWS_SEND_NOW}></a>\r\n          </td>\r\n        </tr>\r\n      <{/foreach}>\r\n    </table>\r\n  <{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(409, '<!--TadNews Start-->\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n\r\n<{$bootstrap}>\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n\r\n\r\n<{if $page}>\r\n<div class="row-fluid">\r\n<table class="table table-striped table-bordered">\r\n  <tbody>\r\n    <{foreach item=page from=$page}>\r\n      <tr>\r\n        <td class="span3"><{$page.np_date}></td>\r\n        <td><a href="<{$xoops_url}>/modules/tadnews/newspaper.php?op=preview&npsn=<{$page.allnpsn}>" target="_blank">\r\n        <{$page.title}></a>\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n  </tbody>\r\n</table>\r\n</div>\r\n<{$bar}>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(410, '<!--TadNews Start-->\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n<{$syntaxhighlighter_code}>\r\n<{$rating_js}>\r\n<{$del_js}>\r\n\r\n<{if $show_sort_tool}>\r\n<{$jquery}>\r\n<script language="JavaScript">\r\n  $().ready(function(){\r\n    $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n      var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n      $.post("save_sort.php", order, function(theResponse){\r\n        $("#tadnews_save_msg").html(theResponse);\r\n      });\r\n    }\r\n    });\r\n  });\r\n</script>\r\n<{/if}>\r\n\r\n\r\n<{if $page}>\r\n\r\n  <div class="row-fluid">\r\n  <div id="tadnews_save_msg"></div>\r\n  <form action="<{$action}>" method="post">\r\n  <{$cate_select}>\r\n  <{$author_select}>\r\n  <table class="table table-striped table-bordered">\r\n    <tr>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_NEWS_CATE}></th>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_NEWS_TITLE}></th>\r\n      <{if $show_admin_tool_title}>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_NEWS_PASSWD}></th>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_CAN_READ_NEWS_GROUP}></th>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_FUNCTION}></th>\r\n      <{/if}>\r\n    </tr>\r\n    <tbody id="sort">\r\n      <{foreach item=page from=$page}>\r\n        <tr id="tr_<{$page.nsn}>">\r\n          <td>\r\n            <{$page.chkbox}><a href="main.php?ncsn=<{$page.ncsn}>" title="<{$page.cate_name}>"><{$page.cate_name}></a>\r\n            <div><{$page.post_date}></div>\r\n          </td>\r\n          <td>\r\n            <{$page.prefix_tag}>\r\n            <{if $page.need_sign}>\r\n              <img src="<{$page.need_sign}>" align="absmiddle" alt="<{$page.news_title}>" style="margin:3px;">\r\n            <{/if}>\r\n            <{$page.enable_txt}><{$page.today_pic}>\r\n            <a href="<{$xoops_url}>/modules/tadnews/<{$page.link_page}>?nsn=<{$page.nsn}>"><{$page.news_title}></a>\r\n            <span style="color:gray;font-size:12px;"> (<a href="main.php?show_uid=<{$page.uid}>"><{$page.uid_name}></a> / <{$page.counter}>)</span> <{$page.content}>\r\n          </td>\r\n          <{if $page.show_admin_tool}>\r\n            <td><{$page.passwd}></td>\r\n            <td><{$page.g_txt}></td>\r\n            <td>\r\n              <a href="javascript:delete_tad_news_func(<{$page.nsn}>);" class="btn btn-mini btn-danger" id="del<{$page.nsn}>"><{$smarty.const._TADNEWS_DEL}></a>\r\n              <a href="<{$xoops_url}>/modules/tadnews/post.php?op=tad_news_form&nsn=<{$page.nsn}>" class="btn btn-mini btn-info" id="update<{$page.nsn}>"><{$smarty.const._TADNEWS_EDIT}></a>\r\n            </td>\r\n          <{/if}>\r\n        </tr>\r\n      <{/foreach}>\r\n    </tbody>\r\n  </table>\r\n  <{$bar}>\r\n  <{$batch_tool}>\r\n  </form>\r\n  </div>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(411, '<!--TadNews Start-->\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n<{$syntaxhighlighter_code}>\r\n<{$rating_js}>\r\n<{$del_js}>\r\n\r\n<{$jquery}>\r\n<script language="JavaScript">\r\n  $(function() {\r\n    $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n      var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n      $.post("save_sort.php", order, function(theResponse){\r\n        $("#tadnews_save_msg").html(theResponse);\r\n      });\r\n    }\r\n    });\r\n  });\r\n	</script>\r\n\r\n<{$jquery}>\r\n\r\n<{if $page}>\r\n<div class="row-fluid">\r\n<div id="tadnews_save_msg"></div>\r\n<form action="<{$action}>" method="post">\r\n<{$cate_select}>\r\n<{$author_select}>\r\n<table class="table table-striped table-bordered">\r\n  <tr>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_NEWS_CATE}></th>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_NEWS_TITLE}></th>\r\n      <{if $show_admin_tool_title}>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_NEWS_PASSWD}></th>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_CAN_READ_NEWS_GROUP}></th>\r\n      <th nowrap><{$smarty.const._MA_TADNEWS_FUNCTION}></th>\r\n      <{/if}>\r\n  </tr>\r\n  <tbody id="sort">\r\n    <{foreach item=page from=$page}>\r\n      <tr id="tr_<{$page.nsn}>">\r\n        <td>\r\n          <{$page.chkbox}><a href="page.php?ncsn=<{$page.ncsn}>" title="<{$page.cate_name}>"><{$page.cate_name}></a>\r\n          <div><{$page.post_date}></div>\r\n        </td>\r\n        <td>\r\n          <{$page.enable_txt}><{$page.today_pic}>\r\n          <a href="<{$xoops_url}>/modules/tadnews/<{$page.link_page}>?nsn=<{$page.nsn}>"><{$page.news_title}></a>\r\n          <span style="color:gray;font-size:12px;"> (<a href="page.php?show_uid=<{$page.uid}>"><{$page.uid_name}></a> / <{$page.counter}>)</span> <{$page.content}>\r\n        </td>\r\n        <{if $page.show_admin_tool}>\r\n          <td><{$page.passwd}></td>\r\n          <td><{$page.g_txt}></td>\r\n          <td>\r\n            <a href="javascript:delete_tad_news_func(<{$page.nsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TADNEWS_DEL}></a>\r\n            <a href="<{$xoops_url}>/modules/tadnews/post.php?op=tad_news_form&nsn=<{$page.nsn}>" class="btn btn-mini btn-info"><{$smarty.const._TADNEWS_EDIT}></a>\r\n          </td>\r\n        <{/if}>\r\n      </tr>\r\n    <{/foreach}>\r\n  </tbody>\r\n</table>\r\n<{$bar}>\r\n<{$batch_tool}>\r\n</form>\r\n</div>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(412, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{$jquery}>\r\n<script type="text/javascript">\r\n$(document).ready(function() {\r\n  $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n      var order = $(this).sortable("serialize");\r\n      $.post("save_sort_cate.php", order, function(theResponse){\r\n          $("#save_msg").html(theResponse);\r\n      });\r\n  }\r\n  });\r\n});\r\n\r\n\r\nfunction delete_tad_news_cate_func(ncsn){\r\n  var sure = window.confirm("<{$smarty.const._TADNEWS_SURE_DEL}>");\r\n  if (!sure)  return;\r\n  location.href="<{$php_self}>?op=delete_tad_news_cate&ncsn=" + ncsn;\r\n}\r\n\r\nfunction move_cate(ncsn){\r\n  $(''#move_form''+ncsn).show();\r\n}\r\n</script>\r\n\r\n<h3><{$smarty.const._MA_TADNEWS_ADD_CATE}></h3>\r\n\r\n<{if $ncsn==""}>\r\n  <div class="row-fluid">\r\n  <div class="well span12" style="background-color:#EEFFCC;">\r\n    <form action="<{$php_self}>" method="post" id="myForm" enctype="multipart/form-data">\r\n      <div class="span3">\r\n        <label><{$smarty.const._MA_TADNEWS_CATE_PIC}></label>\r\n        <input type="file" name="cate_pic" class="span12" size=10>\r\n      </div>\r\n\r\n      <div class="span3">\r\n        <label><{$smarty.const._MA_TADNEWS_PARENT_CATE}></label>\r\n        <select name="of_ncsn" size=1 class="span12">\r\n          <{$cate_select}>\r\n        </select>\r\n        <label><{$smarty.const._MA_TADNEWS_CATE_TITLE}></label>\r\n        <input type="text" name="nc_title" class="span12" value="<{$cate.nc_title}>">\r\n      </div>\r\n\r\n      <div class="span3">\r\n        <label><{$smarty.const._MA_TADNEWS_CAN_READ_CATE_GROUP}><br />\r\n        <{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_TXT}></label>\r\n        <{$enable_group}>\r\n      </div>\r\n\r\n      <div class="span3">\r\n\r\n        <label><{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP}><br />\r\n        <{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_TXT}></label>\r\n        <{$enable_post_group}>\r\n        <input type="hidden" name="not_news" value="<{$not_news}>">\r\n        <input type="hidden" name="ncsn" value="<{$ncsn}>">\r\n        <input type="hidden" name="op" value="<{$op}>">\r\n        <button type="submit" class="btn btn-mini btn-info"><{$smarty.const._MA_TADNEWS_SAVE_CATE}></button>\r\n      </div>\r\n    </form>\r\n  </div>\r\n  </div>\r\n<{/if}>\r\n\r\n\r\n\r\n<{if $cate}>\r\n  <div class="row-fluid" id="sort">\r\n  <{foreach item=cate from=$cate}>\r\n    <{if $cate.ncsn==$ncsn}>\r\n      <script type="text/javascript">\r\n      $(document).ready(function() {\r\n        $("#nc_title").focus();\r\n      });\r\n      </script>\r\n      <div class="row-fluid">\r\n        <div class="well span10 <{$cate.offset}>" style="background-color:#FFFF99;">\r\n          <form action="<{$php_self}>" method="post" id="myForm" enctype="multipart/form-data">\r\n            <div class="span3">\r\n              <a href="<{$xoops_url}>/modules/tadnews/index.php?ncsn=<{$cate.ncsn}>"><img src="<{$cate.pic}>"  alt="<{$cate.nc_title}>" title="<{$cate.nc_title}>" class="img-polaroid" ></a>\r\n              <label><{$smarty.const._MA_TADNEWS_CATE_PIC}></label>\r\n              <input type="file" name="cate_pic" class="span12" size=10>\r\n            </div>\r\n\r\n            <div class="span3">\r\n              <label><{$smarty.const._MA_TADNEWS_PARENT_CATE}></label>\r\n              <select name="of_ncsn" size=1 class="span12">\r\n                <{$cate_select}>\r\n              </select>\r\n              <label><{$smarty.const._MA_TADNEWS_CATE_TITLE}></label>\r\n              <input type="text" name="nc_title" id="nc_title" class="span12" value="<{$cate.nc_title}>">\r\n            </div>\r\n\r\n            <div class="span3">\r\n              <label><{$smarty.const._MA_TADNEWS_CAN_READ_CATE_GROUP}><br />\r\n              <{$smarty.const._MA_TADNEWS_CAN_READ_CATE_GROUP_TXT}></label>\r\n              <{$enable_group}>\r\n            </div>\r\n\r\n            <div class="span3">\r\n\r\n              <label><{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP}><br />\r\n              <{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_TXT}></label>\r\n              <{$enable_post_group}>\r\n              <input type="hidden" name="not_news" value="0">\r\n              <input type="hidden" name="ncsn" value="<{$ncsn}>">\r\n              <input type="hidden" name="op" value="<{$op}>">\r\n              <button type="submit" class="btn btn-mini btn-info"><{$smarty.const._MA_TADNEWS_SAVE_CATE}></button>\r\n            </div>\r\n          </form>\r\n        </div>\r\n      </div>\r\n    <{else}>\r\n      <div class="row-fluid" id="tr_<{$cate.ncsn}>">\r\n        <div class="well span5 <{$cate.offset}>" style="background-color:white;">\r\n          <div class="span3">\r\n            <a href="<{$xoops_url}>/modules/tadnews/index.php?ncsn=<{$cate.ncsn}>"><img src="<{$cate.pic}>"  alt="<{$cate.nc_title}>" title="<{$cate.nc_title}>" class="img-polaroid" ></a>\r\n            <div style="margin:6px 0px;text-align:center;">\r\n            <a href="<{$xoops_url}>/modules/tadnews/index.php?ncsn=<{$cate.ncsn}>" style="color:#669900;"><{$smarty.const._MA_TADNEWS_CATE_COUNTER}><{$cate.counter}></a>\r\n\r\n            </div>\r\n          </div>\r\n\r\n          <div class="span9">\r\n            <div>\r\n              <a href="<{$xoops_url}>/modules/tadnews/index.php?ncsn=<{$cate.ncsn}>" style="font-size:11pt;"><{$cate.nc_title}></a>\r\n            </div>\r\n\r\n            <div style="margin:6px 0px;">\r\n\r\n              <a href="<{$php_self}>?ncsn=<{$cate.ncsn}>" class="btn btn-mini btn-info"><{$smarty.const._TADNEWS_EDIT}></a>\r\n              <{if $cate.counter==0}>\r\n              <a href="javascript:delete_tad_news_cate_func(<{$cate.ncsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TADNEWS_DEL}></a>\r\n              <{/if}>\r\n              <a href="<{$php_self}>?not_news=<{$cate.new_kind}>&op=change_kind&ncsn=<{$cate.ncsn}>" class="btn btn-mini btn-success"><{$cate.change_text}></a>\r\n            </div>\r\n            <div style="margin:6px 0px;"><b><{$smarty.const._MA_TADNEWS_CAN_READ_CATE_GROUP_S}></b>: <{$cate.g_txt}></div>\r\n            <div><b><{$smarty.const._MA_TADNEWS_CAN_POST_CATE_GROUP_S}></b>: <{$cate.gp_txt}></div>\r\n            <{if $cate.counter}>\r\n              <div style="margin:6px 0px;">\r\n                <form action="<{$php_self}>" method="post" id="myForm" enctype="multipart/form-data">\r\n                  <a class="btn btn-mini btn-warning" id="move_button<{$cate.ncsn}>" onClick="move_cate(<{$cate.ncsn}>)"><{$smarty.const._MA_TADNEWS_MOVE}></a>\r\n                  <span id="move_form<{$cate.ncsn}>" style="display:none;">\r\n                    <select name="to_ncsn" size=1>\r\n                    <{$cate_select}>\r\n                    </select>\r\n                    <input type="hidden" name="ncsn" value="<{$cate.ncsn}>">\r\n                    <input type="hidden" name="op" value="move_to">\r\n                    <button type="submit" class="btn btn-mini btn-info"><{$smarty.const._TADNEWS_MOVE_TO}></button>\r\n                  </span>\r\n                </form>\r\n              </div>\r\n            <{/if}>\r\n          </div>\r\n\r\n        </div>\r\n      </div>\r\n    <{/if}>\r\n  <{/foreach}>\r\n  </div>\r\n<{/if}>\r\n\r\n\r\n<div id="save_msg"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(405, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n<{$bootstrap}>\r\n<{$jquery}>\r\n\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n\r\n\r\n<div class="row-fluid">\r\n  <{$smarty.const._MD_TADNEWS_ARCHIVE}>\r\n\r\n  <select onChange="location.href=''archive.php?date=''+this.value">\r\n    <{foreach item=opt from=$opt}>\r\n    <option value="<{$opt.value}>" <{$opt.selected}>><{$opt.text}> (<{$opt.count}>)</option>\r\n    <{/foreach}>\r\n  </select>\r\n\r\n</div>\r\n\r\n<div class="row-fluid">\r\n<table class="table table-striped table-bordered">\r\n<tr><th><{$date_title}></th></tr>\r\n  <{foreach item=page from=$page}>\r\n    <tr><td>\r\n    <{$page.post_date}>\r\n\r\n    <{if $page.need_sign}>\r\n      <img src="<{$page.need_sign}>" align="absmiddle" alt="<{$page.news_title}>" style="margin:3px;">\r\n    <{/if}>\r\n    <div style="float:right"><{$page.files}></div>\r\n    <a href="index.php?nsn=<{$page.nsn}>"><{$page.news_title}></a>\r\n    (<{$page.uid_name}>)\r\n    </td></tr>\r\n  <{/foreach}>\r\n</table>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(406, '<{$bootstrap}>\r\n\r\n<{if $cate_set_tool}>\r\n  <p><{$toolbar}></p>\r\n<{/if}>\r\n\r\n\r\n<{$syntaxhighlighter_code}>\r\n<{$rating_js}>\r\n<{$del_js}>\r\n<{$jquery}>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadnews/class/MultiLink/js/MultiLink.js"></script>\r\n<link rel="stylesheet" href="<{$xoops_url}>/modules/tadnews/class/MultiLink/css/MultiLink.css" type="text/css" media="screen" />\r\n\r\n<script type="text/javascript">\r\nML.Config = {\r\n	"allLinks" : {\r\n    <{$MutiLinkConfig}>\r\n	}\r\n}\r\n</script>\r\n\r\n<{foreach item=page from=$page}>\r\n  <{if $page.enable=="1" or $page.uid==$uid}>\r\n    <div class="row-fluid">\r\n\r\n    <{if $cate_set_title}>\r\n      <div class="news_head">\r\n\r\n        <div style="font-size:12px;">\r\n          <div style="float:right"><{$page.fun}></div>          \r\n          <a class="multilink" id="page_<{$page.nsn}>" data-dls-links="<{$page.mutilink}>"><{$page.cate_name}></a>\r\n\r\n        </div>\r\n\r\n        <h1>\r\n          <{$page.news_title}>\r\n        </h1>\r\n\r\n        <div style="font-size:12px;text-align:right;">\r\n          <{$page.post_date}> | <{$smarty.const._TADNEWS_HOT}><{$page.counter}>\r\n        </div>\r\n\r\n      </div>\r\n    <{else}>\r\n      <div style="font-size:12px;">\r\n        <div style="float:right"><{$page.fun}></div>\r\n      </div>\r\n    <{/if}>\r\n\r\n    <div style="margin:10px auto;	line-height: 2em;	font-weight:normal;"><{$page.pic}><{$page.content}></div>\r\n\r\n\r\n    <div class="row-fluid">\r\n      <{$page.have_read_chk}>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <{$page.files}>\r\n    </div>\r\n\r\n\r\n    <{if $cate_set_nav}>\r\n      <div class="row-fluid">\r\n        <{if $page.back_news_link}><a href="<{$page.back_news_link}>" class="span6 btn" style="text-align:left;"><img src="images/left.png" hspace=2 align="absmiddle" alt="<{$page.back_news_title}>" title="<{$page.back_news_title}>"><{$page.back_news_title}></a><{/if}>\r\n        <{if $page.next_news_link}><a href="<{$page.next_news_link}>" class="span6 btn <{if $page.back_news_link==""}>offset6<{/if}>" style="text-align:right;"><{$page.next_news_title}><img src="images/right.png" hspace=2 align="absmiddle" alt="<{$page.next_news_title}>" title="<{$page.next_news_title}>"></a><{/if}>\r\n      </div>\r\n    <{/if}>\r\n\r\n    <{if $cate_set_comm}>\r\n    <div class="row-fluid">\r\n      <p style="clear: both">\r\n        <div style="text-align: center; padding: 3px; margin: 3px;">\r\n          <{$commentsnav}>\r\n          <{$lang_notice}>\r\n        </div>\r\n\r\n        <div style="margin: 3px; padding: 3px;">\r\n        <{if $comment_mode == "flat"}>\r\n          <{include file="db:system_comments_flat.html"}>\r\n        <{elseif $comment_mode == "thread"}>\r\n          <{include file="db:system_comments_thread.html"}>\r\n        <{elseif $comment_mode == "nest"}>\r\n          <{include file="db:system_comments_nest.html"}>\r\n        <{/if}>\r\n        </div>\r\n      </p>\r\n    </div>\r\n    <{/if}>\r\n\r\n    </div>\r\n  <{else}>\r\n    <div class="hero-unit">\r\n      <p><{$smarty.const._MD_TADNEWS_HIDDEN}></p>\r\n    </div>\r\n\r\n  <{/if}>\r\n<{/foreach}>\r\n\r\n<script type=''text/javascript''>\r\n  if($(''#linkdiv'').text() == '''') {\r\n    document.write("<div id="linkdiv" class="hideme">I get replaced with the listing of links...<\\/div>");\r\n  }\r\n</script>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(407, '<!--TadNews Start-->\r\n<{if $ncsn}>\r\n<link rel="alternate" type="application/rss+xml" title="tadnews rss" href="<{$xoops_url}>/modules/tadnews/rss.php?ncsn=<{$ncsn}>" />\r\n<{/if}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n<{$bootstrap}>\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n<{$syntaxhighlighter_code}>\r\n<{$rating_js}>\r\n<{$del_js}>\r\n\r\n<link rel="stylesheet" href="<{$xoops_url}>/modules/tadnews/class/MultiLink/css/MultiLink.css" type="text/css" media="screen" />\r\n\r\n<{$jquery}>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadnews/class/MultiLink/js/MultiLink.js"></script>\r\n<script type="text/javascript">\r\nML.Config = {\r\n	"allLinks" : {\r\n    <{$MutiLinkConfig}>\r\n	}\r\n}\r\n</script>\r\n\r\n<{if $page}>\r\n  <{foreach item=page from=$page}>\r\n  <div class="row-fluid">\r\n    <div class="news_head well" <{if $page.need_sign}>style="background-image:url(<{$page.need_sign}>);background-position: right top;background-repeat: no-repeat;"<{/if}>>\r\n      <div style="float:right"><{$page.star}></div>\r\n      <div style="font-size: 16px;font-weight: bolder;border: none;	color:rgb(153,0,0);"><{$page.prefix_tag}>\r\n        <a href="<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$page.nsn}>" style="font-size:16px;color:rgb(153,0,0);font-weight:bold;"><{$page.news_title}></a><{$page.enable_txt}><div style="float:right"><{$page.files}></div>\r\n      </div>\r\n\r\n      <div style="font-size:12px;">\r\n        <div style="float:right"><{$page.fun}></div>\r\n        <a href="<{$xoops_url}>/userinfo.php?uid=<{$page.uid}>"><{$page.uid_name}></a> - <a class="multilink" id="index_summary_<{$page.nsn}>" data-dls-links="<{$page.mutilink}>"><{$page.cate_name}></a> | <{$page.post_date}> | <{$smarty.const._TADNEWS_HOT}><{$page.counter}>\r\n      </div>\r\n    </div>\r\n\r\n    <div style="margin:10px auto;	line-height: 2em;	font-weight:normal;"><{$page.pic}><{$page.content}></div>\r\n    <div style="clear:both;height:10px;"></div>\r\n  </div>\r\n  <{/foreach}>\r\n  <script type=''text/javascript''>\r\n    if($(''#linkdiv'').text() == '''') {\r\n      document.write("<div id="linkdiv" class="hideme">I get replaced with the listing of links...<\\/div>");\r\n    }\r\n  </script>\r\n<{else}>\r\n\r\n<{/if}>\r\n<div style="text-align:center;"><{$bar}></div>\r\n<div style="clear:both;"></div>\r\n<!--TadNews End-->');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(408, '<!--TadNews Start-->\r\n<{if $ncsn}>\r\n<link rel="alternate" type="application/rss+xml" title="tadnews rss" href="<{$xoops_url}>/modules/tadnews/rss.php?ncsn=<{$ncsn}>" />\r\n<{/if}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n<{$bootstrap}>\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n<{$syntaxhighlighter_code}>\r\n<{$rating_js}>\r\n<{$del_js}>\r\n\r\n<!--TadNews Start-->\r\n<table class="table">\r\n  <{foreach item=all_news from=$all_news}>\r\n    <tr>\r\n      <td class="span2">\r\n      <img src="<{$all_news.pic}>" alt="<{$all_news.nc_title}>" title="<{$all_news.nc_title}>" class="thumbnail" onClick="window.location.href=''<{$xoops_url}>/modules/tadnews/index.php?ncsn=<{$all_news.ncsn}>''">\r\n      </td>\r\n      <td colspan=2>\r\n        <a href="<{$xoops_url}>/modules/tadnews/index.php?ncsn=<{$all_news.ncsn}>"><img src="images/icon_more.gif" alt="more" title="more" align=right></a>\r\n        <h4><a href="index.php?ncsn=<{$all_news.ncsn}>"><{$all_news.nc_title}></a></h4>\r\n        <table class="table table-striped">\r\n        <{foreach  item=news from=$all_news.news}>\r\n          <tr>\r\n            <td class="span1"><{$news.post_date}></td>\r\n            <td><{$news.always_top_pic}><{$news.prefix_tag}>\r\n            <a href="<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$news.nsn}>"><{$news.news_title}></a>\r\n            </td>\r\n          </tr>\r\n        <{/foreach}>\r\n        </table>\r\n      </td>\r\n    </tr>\r\n  <{/foreach}>\r\n</table>\r\n<!--TadNews End-->');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(403, '<?xml version="1.0" encoding="UTF-8"?>\r\n<rss version="2.0">\r\n  <channel>\r\n    <title><{$channel_title}></title>\r\n    <link><{$channel_link}></link>\r\n    <description><{$channel_desc}></description>\r\n    <lastBuildDate><{$channel_lastbuild}></lastBuildDate>\r\n    <docs>http://backend.userland.com/rss/</docs>\r\n    <generator><{$channel_generator}></generator>\r\n    <category><{$channel_category}></category>\r\n    <managingEditor><{$channel_editor}></managingEditor>\r\n    <webMaster><{$channel_webmaster}></webMaster>\r\n    <language><{$channel_language}></language>\r\n    <{if $image_url != ""}>\r\n    <image>\r\n      <title><{$channel_title}></title>\r\n      <url><{$image_url}></url>\r\n      <link><{$channel_link}></link>\r\n      <width><{$image_width}></width>\r\n      <height><{$image_height}></height>\r\n    </image>\r\n    <{/if}>\r\n\r\n    <{foreach item=item from=$items}>\r\n    <item>\r\n      <title><{$item.title}></title>\r\n      <link><{$item.link}></link>\r\n      <description><{$item.description}></description>\r\n      <pubDate><{$item.pubdate}></pubDate>\r\n      <guid><{$item.guid}></guid>\r\n    </item>\r\n    <{/foreach}>\r\n\r\n  </channel>\r\n</rss>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(404, '<{$bootstrap}>\r\n\r\n<{$jquery}>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/jqueryCookie/jquery.cookie.js"></script>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadnews/class/mColorPicker/javascripts/mColorPicker.js" charset="UTF-8"></script>\r\n\r\n<{$jquery_code}>\r\n<{$toolbar}>\r\n<{$formValidator_code}>\r\n\r\n<form action="<{$action}>" method="post" id="myForm" name="myForm" enctype="multipart/form-data">\r\n  <div class="row-fluid">\r\n    <h1><{$smarty.const._MD_TADNEWS_ADD_NEWS}></h1>\r\n    <div class="controls controls-row">\r\n      <{$cate_menu}>\r\n      <{$creat_cate_tool}>\r\n      <{$prefix_tag_menu}>\r\n      <input type="text" name="news_title" id="news_title_input" class="validate[required] span6" value="<{$news_title}>" placeholder="<{$smarty.const._MD_TADNEWS_NEWS_TITLE}>">\r\n    </div>\r\n    <div class="controls">\r\n      <{$editor}>\r\n    </div>\r\n  </div>\r\n\r\n  <div id="setup_form">\r\n    <div id="<{$jquery_tabs_id}>">\r\n       <ul>\r\n          <li><a href="#fragment-1"><span><{$smarty.const._MD_TADNEWS_TIME_TAB}></span></a></li>\r\n          <li><a href="#fragment-2"><span><{$smarty.const._MD_TADNEWS_PRIVILEGE_TAB}></span></a></li>\r\n          <li><a href="#fragment-3"><span><{$smarty.const._MD_TADNEWS_NEWSPIC_TAB}></span></a></li>\r\n          <li><a href="#fragment-4"><span><{$smarty.const._MD_TADNEWS_FILES_TAB}></span></a></li>\r\n      </ul>\r\n\r\n      <div id="fragment-1">\r\n        <div class="row-fluid">\r\n\r\n          <div class="span4">\r\n        	 <label><{$smarty.const._MD_TADNEWS_START_DATE}><{$smarty.const._MD_TADNEWS_FOR}></label>\r\n           <input type="text" value="<{$start_day}>" name="start_day" id="start_day" onClick="WdatePicker({dateFmt:''yyyy-MM-dd HH:mm:ss''})" >\r\n          </div>\r\n\r\n          <div class="span4">\r\n            <label><{$smarty.const._MD_TADNEWS_END_DATE}><{$smarty.const._MD_TADNEWS_FOR}></label>\r\n            <input type="text" value="<{$end_day}>" name="end_day" id="end_day"  onClick="WdatePicker({dateFmt:''yyyy-MM-dd HH:mm:ss'',startDate:''%y-%M-{%d+14} %H:%m:%s''})">\r\n          </div>\r\n\r\n          <div class="span4">\r\n        	  <label class="checkbox">\r\n              <input type="checkbox" name="always_top" id="always_top" value="1" <{$always_top_checked}>>\r\n              <{$smarty.const._MD_TADNEWS_ALWAYS_TOP}>\r\n            </label>\r\n            <span id="top_date_input">\r\n              <input type="text" name="always_top_date"  id="always_top_date" size=20 value="<{$always_top_date}>" onClick="WdatePicker({dateFmt:''yyyy-MM-dd HH:mm'',startDate:''%y-%M-{%d+14} %H:%m''})" align="absmiddle">\r\n            </span>\r\n          </div>\r\n\r\n        </div>\r\n      </div>\r\n\r\n\r\n\r\n\r\n      <div id="fragment-2">\r\n\r\n        <div class="row-fluid">\r\n\r\n          <div class="span3">\r\n            <label><{$smarty.const._MD_TADNEWS_CAN_READ_NEWS_GROUP}><{$smarty.const._MD_TADNEWS_FOR}></label>\r\n            <{$enable_group}>\r\n          </div>\r\n\r\n          <div class="span3">\r\n            <label><{$smarty.const._MD_TADNEWS_NEWS_HAVE_READ}><{$smarty.const._MD_TADNEWS_FOR}></label>\r\n            <{$have_read_group}>\r\n          </div>\r\n\r\n          <div class="span3">\r\n            <div class="row-fluid">\r\n              <label>\r\n              <{$smarty.const._MD_TADNEWS_NEWS_ENABLE}><{$smarty.const._MD_TADNEWS_FOR}>\r\n              </label>\r\n                <label class="radio inline">\r\n                  <input type="radio" name="enable" value="1" id="enable1" <{$enable_checked1}>><{$smarty.const._MD_TADNEWS_NEWS_ENABLE_OK}>\r\n                </label>\r\n                <label class="radio inline">\r\n                  <input type="radio" name="enable" value="0" id="enable0" <{$enable_checked0}>><{$smarty.const._TADNEWS_NEWS_UNABLE}>\r\n                </label>\r\n            </div>\r\n          </div>\r\n\r\n          <div class="span3">\r\n            <div class="row-fluid">\r\n              <label><{$smarty.const._MD_TADNEWS_NEWS_PASSWD}><{$smarty.const._MD_TADNEWS_FOR}></label>\r\n              <input type="text" name="passwd" id="passwd"  class="span12" value="<{$passwd}>">\r\n            </div>\r\n          </div>\r\n        </div>\r\n      </div>\r\n\r\n\r\n      <div id="fragment-3">\r\n        <script type="text/javascript" src="<{$xoops_url}>/modules/tadnews/class/jquery.upload-1.0.2.min.js"></script>\r\n        <{if $pic}>\r\n          <script type="text/javascript">\r\n            d = new Date();\r\n            $(function() {\r\n              $(''#show_pic_css_setup'').show();\r\n              $(''#upfile2'').change(function() {\r\n                $(this).upload(''demo_upload.php'',{op:''upload'' , nsn:''<{$nsn}>''}, function(res) {\r\n                  $(''#files_sn'').val(res);\r\n                  $.post("demo_upload.php", { op: "get_pic", files_sn: res }, function(data) {\r\n                    $(''#demo_cover_pic'').css(''background-image'',''url(''+data+''?''+d.getTime()+'')'');\r\n                  });\r\n                }, ''html'');\r\n              });\r\n            });\r\n          </script>\r\n\r\n        <{else}>\r\n\r\n          <{assign var=pic value="<div id=''demo_cover_pic'' style=''width:200px; height:150px; border:1px solid #909090; background-position:left top; background-repeat:no-repeat; background-size:cover; float:right; margin:4px;''></div>"}>\r\n\r\n          <script type="text/javascript">\r\n            d = new Date();\r\n            $(function() {\r\n              $(''#show_pic_css_setup'').hide();\r\n              $(''#upfile2'').change(function() {\r\n                $(this).upload(''demo_upload.php'',{op:''upload'' , nsn:''<{$nsn}>''}, function(res) {\r\n                  $(''#show_pic_css_setup'').show();\r\n                  $(''#files_sn'').val(res);\r\n\r\n                  $.post("demo_upload.php", { op: "get_pic", files_sn: res }, function(data) {\r\n                    $(''#demo_cover_pic'').css(''background-image'',''url(''+data+''?''+d.getTime()+'')'');\r\n                  });\r\n                }, ''html'');\r\n              });\r\n            });\r\n          </script>\r\n\r\n        <{/if}>\r\n\r\n        <input type="hidden" name="files_sn" id="files_sn" value="<{$files_sn}>">\r\n        <div class="row-fluid">\r\n          <div class="span6">\r\n            <label><{$smarty.const._MD_TADNEWS_NEWS_PIC}></label>\r\n            <input id="upfile2" type="file" name="upfile2" multiple>\r\n          </div>\r\n        </div>\r\n\r\n        <div id="show_pic_css_setup" class="row-fluid">\r\n          <div class="row-fluid">\r\n            <div class="span6">\r\n              <label><{$smarty.const._MD_TADNEWS_ENABLE_NEWSPIC}></label>\r\n              <select class="span12" name="pic_css[use_pic_css]" id="pic_css">\r\n                <option value="" <{$use_pic_css}>><{$smarty.const._MD_TADNEWS_ENABLE_NEWSPIC_NO}></option>\r\n                <option value="true" <{$use_pic_css_true}>><{$smarty.const._MD_TADNEWS_ENABLE_NEWSPIC_YES}></option>\r\n              </select>\r\n            </div>\r\n          </div>\r\n\r\n          <div id="pic_css_set" class="well">\r\n            <div class="row-fluid">\r\n\r\n              <div class="span3">\r\n                <label>\r\n                <{$smarty.const._MD_TADNEWS_NEWSPIC_WIDTH}>\r\n                </label>\r\n                <input type="text" name="pic_css[width]" value="<{$pic_css_width}>" class="span3" onChange="$(''#demo_cover_pic'').css(''width'',this.value+''px'');"> x\r\n                <input type="text" name="pic_css[height]" value="<{$pic_css_height}>" class="span3" onChange="$(''#demo_cover_pic'').css(''height'',this.value+''px'');"> px\r\n              </div>\r\n\r\n              <div class="span2">\r\n                <label><{$smarty.const._MD_TADNEWS_NEWSPIC_BORDER_STYTLE}></label>\r\n                <select class="span12" name="pic_css[border_style]" onChange="$(''#demo_cover_pic'').css(''border-style'',this.value);">\r\n\r\n                  <option value="solid" <{$pic_css_border_style_solid}>><{$smarty.const._MD_TADNEWS_NEWSPIC_SOLID}> </option>\r\n                  <option value="dashed" <{$pic_css_border_style_dashed}>><{$smarty.const._MD_TADNEWS_NEWSPIC_DASHED}></option>\r\n                  <option value="double" <{$pic_css_border_style_double}>><{$smarty.const._MD_TADNEWS_NEWSPIC_DOUBLE}></option>\r\n                  <option value="dotted" <{$pic_css_border_style_dotted}>><{$smarty.const._MD_TADNEWS_NEWSPIC_DOTTED}></option>\r\n                  <option value="groove" <{$pic_css_border_style_groove}>><{$smarty.const._MD_TADNEWS_NEWSPIC_GROOVE}></option>\r\n                  <option value="ridge" <{$pic_css_border_style_ridge}>><{$smarty.const._MD_TADNEWS_NEWSPIC_RIDGE}></option>\r\n                  <option value="inset" <{$pic_css_border_style_inset}>><{$smarty.const._MD_TADNEWS_NEWSPIC_INSET}></option>\r\n                  <option value="outset" <{$pic_css_border_style_outset}>><{$smarty.const._MD_TADNEWS_NEWSPIC_OUTSET}></option>\r\n                  <option value="none" <{$pic_css_border_style_none}>><{$smarty.const._MD_TADNEWS_NEWSPIC_NONE}></option>\r\n                </select>\r\n              </div>\r\n\r\n              <div class="span3">\r\n                <label><{$smarty.const._MD_TADNEWS_NEWSPIC_BORDER}><{$smarty.const._MD_TADNEWS_NEWSPIC_BORDER_WIDTH}></label>\r\n                <input type="text" name="pic_css[border_width]" value="<{$pic_css_border_width}>" class="span4" onChange="$(''#demo_cover_pic'').css(''border-width'',this.value+''px'');"> px\r\n              </div>\r\n\r\n              <div class="span3">\r\n                <label><{$smarty.const._MD_TADNEWS_NEWSPIC_FLOAT}></label>\r\n                <select class="span12" name="pic_css[float]" onChange="$(''#demo_cover_pic'').css(''float'',this.value);">\r\n                  <option value="left" <{$pic_css_float_left}>><{$smarty.const._MD_TADNEWS_NEWSPIC_FLOAT_LEFT}></option>\r\n                  <option value="right" <{$pic_css_float_right}>><{$smarty.const._MD_TADNEWS_NEWSPIC_FLOAT_RIGHT}></option>\r\n                  <option value="none" <{$pic_css_float_none}>><{$smarty.const._MD_TADNEWS_NEWSPIC_FLOAT_NONE}></option>\r\n                </select>\r\n              </div>\r\n\r\n              <div class="span1">\r\n                <label><{$smarty.const._MD_TADNEWS_NEWSPIC_BORDER_COLOR}></label>\r\n                <input type="color" name="pic_css[border_color]" id="border_color" value="<{$pic_css_border_color}>" data-text="hidden" data-hex="true" style="height:20px;width:20px;" onChange="$(''#demo_cover_pic'').css(''border-color'',this.value);" />\r\n              </div>\r\n            </div>\r\n\r\n            <div class="row-fluid">\r\n              <div class="span3">\r\n                <label><{$smarty.const._MD_TADNEWS_NEWSPIC}></label>\r\n                <select class="span12" name="pic_css[background_repeat]" onChange="$(''#demo_cover_pic'').css(''background-repeat'',this.value);">\r\n                  <option value="no-repeat" <{$pic_css_background_repeat_no_repeat}>><{$smarty.const._MD_TADNEWS_NEWSPIC_NO_REPEAT}></option>\r\n                  <option value="repeat" <{$pic_css_background_repeat_repeat}>><{$smarty.const._MD_TADNEWS_NEWSPIC_REPEAT}></option>\r\n                  <option value="repeat-x" <{$pic_css_background_repeat_x}>><{$smarty.const._MD_TADNEWS_NEWSPIC_X_REPEAT}></option>\r\n                  <option value="repeat-y" <{$pic_css_background_repeat_y}>><{$smarty.const._MD_TADNEWS_NEWSPIC_Y_REPEAT}></option>\r\n                </select>\r\n              </div>\r\n\r\n              <div class="span2">\r\n                <label><{$smarty.const._MD_TADNEWS_NEWSPIC_SHOW}></label>\r\n                <select class="span12" name="pic_css[background_position]" onChange="$(''#demo_cover_pic'').css(''background-position'',this.value);">\r\n                  <option value="left top" <{$pic_css_background_position_left_top}>><{$smarty.const._MD_TADNEWS_NEWSPIC_LEFT_TOP}></option>\r\n                  <option value="left center" <{$pic_css_background_position_left_center}>><{$smarty.const._MD_TADNEWS_NEWSPIC_LEFT_CENTER}></option>\r\n                  <option value="left bottom" <{$pic_css_background_position_left_bottom}>><{$smarty.const._MD_TADNEWS_NEWSPIC_LEFT_BOTTOM}></option>\r\n                  <option value="right top" <{$pic_css_background_position_right_top}>><{$smarty.const._MD_TADNEWS_NEWSPIC_RIGHT_TOP}></option>\r\n                  <option value="right center" <{$pic_css_background_position_right_center}>><{$smarty.const._MD_TADNEWS_NEWSPIC_RIGHT_CENTER}></option>\r\n                  <option value="right bottom" <{$pic_css_background_position_right_bottom}>><{$smarty.const._MD_TADNEWS_NEWSPIC_RIGHT_BOTTOM}></option>\r\n                  <option value="center top" <{$pic_css_background_position_center_top}>><{$smarty.const._MD_TADNEWS_NEWSPIC_CENTER_TOP}></option>\r\n                  <option value="center center" <{$pic_css_background_position_center_center}>><{$smarty.const._MD_TADNEWS_NEWSPIC_CENTER_CENTER}></option>\r\n                  <option value="center bottom" <{$pic_css_background_position_center_bottom}>><{$smarty.const._MD_TADNEWS_NEWSPIC_CENTER_BOTTOM}></option>\r\n                </select>\r\n              </div>\r\n\r\n              <div class="span5">\r\n                <label><{$smarty.const._MD_TADNEWS_NEWSPIC_AND}></label>\r\n                <select class="span12" name="pic_css[background_size]" onChange="$(''#demo_cover_pic'').css(''background-size'',this.value);">\r\n                  <option value="" <{$pic_css_background_size}>><{$smarty.const._MD_TADNEWS_NEWSPIC_NO_RESIZE}></option>\r\n                  <option value="contain" <{$pic_css_background_size_contain}>><{$smarty.const._MD_TADNEWS_NEWSPIC_CONTAIN}></option>\r\n                  <option value="cover" <{$pic_css_background_size_cover}>><{$smarty.const._MD_TADNEWS_NEWSPIC_COVER}></option>\r\n                </select>\r\n              </div>\r\n\r\n\r\n              <div class="span2">\r\n                <label><{$smarty.const._MD_TADNEWS_NEWSPIC_MARGIN}></label>\r\n                <input type="text" name="pic_css[margin]" value="<{$pic_css_margin}>" class="span6" onChange="$(''#demo_cover_pic'').css(''margin'',this.value + ''px'');"> px\r\n              </div>\r\n\r\n\r\n            </div>\r\n\r\n            <div class="row-fluid">\r\n              <div class="span12 well">\r\n               <{$pic}>\r\n               <{$smarty.const._MD_TADNEWS_NEWSPIC_DEMO}>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n\r\n\r\n      </div>\r\n\r\n      <div id="fragment-4">\r\n        <label><{$smarty.const._MD_TADNEWS_NEWS_FILES}></label>\r\n        <{$upform}>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n\r\n\r\n  <div class="row-fluid">\r\n    <div class="form-actions">\r\n      <div class="span12 text-right">\r\n        <div class="controls">\r\n          <input type="hidden" name="nsn" value="<{$nsn}>">\r\n          <input type="hidden" name="uid" value="<{$uid}>">\r\n          <input type="hidden" name="op" value="<{$op}>">\r\n          <button class="btn btn-success" type="button" id="show_input_form"><{$smarty.const._MD_TADNEWS_ADV_SETUP}></button>\r\n          <button class="btn" type="submit"><{$smarty.const._MD_TADNEWS_SAVE_NEWS}></button>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(402, '<{$bootstrap}>\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n\r\n<{$syntaxhighlighter_code}>\r\n<{$rating_js}>\r\n<{$del_js}>\r\n\r\n<{$jquery}>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadnews/class/MultiLink/js/MultiLink.js"></script>\r\n<link rel="stylesheet" href="<{$xoops_url}>/modules/tadnews/class/MultiLink/css/MultiLink.css" type="text/css" media="screen" />\r\n\r\n<script type="text/javascript">\r\nML.Config = {\r\n	"allLinks" : {\r\n    <{$MutiLinkConfig}>\r\n	}\r\n}\r\n</script>\r\n\r\n<{foreach item=page from=$page}>\r\n  <{if $page.enable=="1" or $page.uid==$uid}>\r\n  <div class="row-fluid">\r\n    <div class="news_head well" <{if $page.need_sign}>style="background-image:url(<{$page.need_sign}>);background-position: right top;background-repeat: no-repeat;"<{/if}>>\r\n      <div style="float:right"><{$page.star}></div>\r\n      <div style="font-size: 16px;font-weight: bolder;border: none;	color:rgb(153,0,0);"><{$page.prefix_tag}>\r\n        <a href="<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$page.nsn}>" style="font-size:16px;color:rgb(153,0,0);font-weight:bold;"><{$page.news_title}></a>\r\n      </div>\r\n\r\n      <div style="font-size:12px;">\r\n        <div style="float:right"><{$page.fun}></div>\r\n        <a href="<{$xoops_url}>/userinfo.php?uid=<{$page.uid}>"><{$page.uid_name}></a> - <a class="multilink" id="news_<{$page.nsn}>" data-dls-links="<{$page.mutilink}>"><{$page.cate_name}></a> | <{$page.post_date}> | <{$smarty.const._TADNEWS_HOT}><{$page.counter}>\r\n      </div>\r\n    </div>\r\n\r\n    <div style="margin:10px auto;	line-height: 2em;	font-weight:normal;"><{$page.pic}><{$page.content}></div>\r\n\r\n\r\n    <div class="row-fluid">\r\n      <{$page.have_read_chk}>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <{$page.files}>\r\n    </div>\r\n\r\n\r\n    <div class="row-fluid">\r\n      <div style="span6 offset6 text-right"><{$page.push}></div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <{if $page.back_news_link}><a href="<{$page.back_news_link}>" class="span6 btn" style="text-align:left;"><img src="images/left.png" hspace=2 align="absmiddle" alt="<{$page.back_news_title}>" title="<{$page.back_news_title}>"><{$page.back_news_title}></a><{/if}>\r\n      <{if $page.next_news_link}><a href="<{$page.next_news_link}>" class="span6 btn <{if $page.back_news_link==""}>offset6<{/if}>" style="text-align:right;"><{$page.next_news_title}><img src="images/right.png" hspace=2 align="absmiddle" alt="<{$page.next_news_title}>" title="<{$page.next_news_title}>"></a><{/if}>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span12"><{$page.facebook_comments}></div>\r\n    </div>\r\n\r\n\r\n    <p style="clear: both">\r\n      <div style="text-align: center; padding: 3px; margin: 3px;">\r\n        <{$commentsnav}>\r\n        <{$lang_notice}>\r\n      </div>\r\n\r\n      <div style="margin: 3px; padding: 3px;">\r\n      <{if $comment_mode == "flat"}>\r\n        <{include file="db:system_comments_flat.html"}>\r\n      <{elseif $comment_mode == "thread"}>\r\n        <{include file="db:system_comments_thread.html"}>\r\n      <{elseif $comment_mode == "nest"}>\r\n        <{include file="db:system_comments_nest.html"}>\r\n      <{/if}>\r\n      </div>\r\n    </p>\r\n    </div>\r\n  <{else}>\r\n    <div class="hero-unit">\r\n      <p><{$smarty.const._MD_TADNEWS_HIDDEN}></p>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span6 text-left"><{$page.back_news}></div>\r\n      <div class="span6 text-right"><{$page.next_news}></div>\r\n    </div>\r\n\r\n  <{/if}>\r\n<{/foreach}>\r\n<script type=''text/javascript''>\r\n  if($(''#linkdiv'').text() == '''') {\r\n    document.write("<div id="linkdiv" class="hideme">I get replaced with the listing of links...<\\/div>");\r\n  }\r\n</script>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(401, '<!--TadNews Start-->\r\n<{if $ncsn}>\r\n<link rel="alternate" type="application/rss+xml" title="tadnews rss" href="<{$xoops_url}>/modules/tadnews/rss.php?ncsn=<{$ncsn}>" />\r\n<{/if}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n\r\n<{$bootstrap}>\r\n\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n\r\n\r\n<{$syntaxhighlighter_code}>\r\n\r\n<{if $show_sort_tool}>\r\n<{$jquery}>\r\n<script language="JavaScript">\r\n  $().ready(function(){\r\n    $(function() {\r\n      $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n        var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n        $.post("save_sort.php", order, function(theResponse){\r\n          $("#tadnews_save_msg").html(theResponse);\r\n        });\r\n      }\r\n      });\r\n  });\r\n  });\r\n</script>\r\n<{/if}>\r\n\r\n\r\n<{if $page}>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadnews/class/MultiLink/js/MultiLink.js"></script>\r\n<link rel="stylesheet" href="<{$xoops_url}>/modules/tadnews/class/MultiLink/css/MultiLink.css" type="text/css" media="screen" />\r\n\r\n<script type="text/javascript">\r\nML.Config = {\r\n	"allLinks" : {\r\n    <{$MutiLinkConfig}>\r\n	}\r\n}\r\n</script>\r\n<div class="row-fluid">\r\n<div id="tadnews_save_msg"></div>\r\n<{$cate_select}>\r\n<{$author_select}>\r\n<table class="table table-striped">\r\n  <tr>\r\n      <th nowrap><{$smarty.const._MD_TADNEWS_NEWS_TITLE}></th>\r\n      <{if $show_admin_tool_title}>\r\n      <th nowrap><{$smarty.const._MD_TADNEWS_NEWS_PASSWD}></th>\r\n      <th nowrap><{$smarty.const._MD_TADNEWS_CAN_READ_NEWS_GROUP}></th>\r\n      <th nowrap><{$smarty.const._TAD_FUNCTION}></th>\r\n      <{/if}>\r\n  </tr>\r\n  <tbody id="sort">\r\n    <{foreach item=page from=$page}>\r\n      <tr id="tr_<{$page.nsn}>">\r\n        <td>\r\n          <{$page.chkbox}>\r\n          <{$page.post_date}>\r\n\r\n          <{$page.prefix_tag}>\r\n          <{if $page.need_sign}>\r\n            <img src="<{$page.need_sign}>" align="absmiddle" alt="<{$page.news_title}>" style="margin:3px;">\r\n          <{/if}>\r\n          <{$page.enable_txt}><{$page.today_pic}>\r\n          <a href="<{$xoops_url}>/modules/tadnews/<{$page.link_page}>?nsn=<{$page.nsn}>"><{$page.news_title}></a>\r\n          <span style="color:gray;font-size:12px;"> (<a href="index.php?show_uid=<{$page.uid}>"><{$page.uid_name}></a> / <{$page.counter}> / <a class="multilink" id="list_<{$page.nsn}>" data-dls-links="<{$page.mutilink}>"><{$page.cate_name}></a>)</span> <{$page.content}>\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n  </tbody>\r\n</table>\r\n</div>\r\n<{$bar}>\r\n<script type=''text/javascript''>\r\n  if($(''#linkdiv'').text() == '''') {\r\n    document.write("<div id="linkdiv" class="hideme">I get replaced with the listing of links...<\\/div>");\r\n  }\r\n</script>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(233, '<{if $block}>\r\n  <style>\r\n  #centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n  </style>\r\n  <{$block}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(234, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n<{$block.bootstrap}>\r\n\r\n<{php}>\r\n  $arr= $this->get_template_vars(''block'');\r\n  $col_num= $arr[''col_num''];\r\n  $end=$col_num-1;\r\n  $i=0;\r\n<{/php}>\r\n\r\n<{$block.syntaxhighlighter_code}>\r\n<{$block.rating_js}>\r\n<{$block.del_js}>\r\n\r\n<{if $block.page}>\r\n\r\n  <{foreach item=page from=$block.page}>\r\n\r\n    <{php}>\r\n    if($col_num==0 or $i % $col_num==0){\r\n      echo ''\r\n      <!-----start------>\r\n      <div class="row-fluid" style="margin:10px 0px;">\r\n      '';\r\n    }\r\n    <{/php}>\r\n\r\n    <div class="<{$block.width}>">\r\n      <{if $block.col_num=="1" or $block.col_num==""}>\r\n        <div class="well" <{if $page.need_sign}>style="background-image:url(<{$page.need_sign}>);background-position: right top;background-repeat: no-repeat;"<{/if}>>\r\n\r\n          <{if $page.star}><div class="pull-right"><{$page.star}></div><{/if}>\r\n\r\n          <div style="font-size: 16px;font-weight: bolder;border: none; color:rgb(153,0,0);"><{$page.prefix_tag}>\r\n            <a href="<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$page.nsn}>" style="font-size:16px;color:#990000;font-weight:bold;"><{$page.news_title}></a>\r\n          </div>\r\n\r\n          <div style="font-size:12px;margin:8px 0px 0px;">\r\n            <{if $page.files}><div style="float:right"><{$page.files}></div><{/if}>\r\n\r\n            <a href="<{$xoops_url}>/userinfo.php?uid=<{$page.uid}>"><{$page.uid_name}></a> - <a href="<{$xoops_url}>/modules/tadnews/<{$page.link_page}>?ncsn=<{$page.ncsn}>"><{$page.cate_name}></a> | <{$page.post_date}> | <{$smarty.const._TADNEWS_HOT}><{$page.counter}>\r\n\r\n          </div>\r\n        </div>\r\n\r\n        <div style="margin:10px auto; line-height: 2em; font-weight:normal;<{$block.summary_css}>">\r\n          <{$page.pic}><{$page.content}> (<a href=''<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$page.nsn}>''><{$smarty.const._MB_TADNEWS_SHOW_ALL}></a>)\r\n          <div style="float:right"><{$page.fun}></div>\r\n        </div>\r\n\r\n      <{else}>\r\n        <div class="well" style="<{if $page.need_sign}>background-image:url(<{$page.need_sign}>);background-position: right top;background-repeat: no-repeat;<{/if}>">\r\n          <div style="border:none;height:20px;line-height:20px;overflow:hidden;"><{$page.prefix_tag}>\r\n            <a href="<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$page.nsn}>" style="font-size:16px;color:#990000;font-weight:bold;"><{$page.news_title}></a>\r\n          </div>\r\n\r\n          <div class="span12" style="font-size:11px;margin:8px 0px 0px;">\r\n            <div style="float:right"><{$page.files}></div>\r\n            <a href="<{$xoops_url}>/userinfo.php?uid=<{$page.uid}>"><{$page.uid_name}></a> - <a class="multilink" id="content_<{$page.nsn}>" data-dls-links="<{$page.mutilink}>"><{$page.cate_name}></a> | <{$page.post_date}> | <{$page.counter}>\r\n          </div>\r\n\r\n          <div class="span12" style="margin:10px auto;  line-height: 2em; font-weight:normal;<{$block.summary_css}>">\r\n            <{$page.pic}><{$page.content}> (<a href=''<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$page.nsn}>''><{$smarty.const._MB_TADNEWS_SHOW_ALL}></a>)\r\n          </div>\r\n          <div class="span12 text-right"><{$page.fun}></div>\r\n        </div>\r\n      <{/if}>\r\n\r\n    </div>\r\n\r\n    <{php}>\r\n    if($col_num==0 or ($i % $col_num)==$end){\r\n      echo "\r\n      </div>\r\n      <!-----end------>\r\n      ";\r\n    }\r\n    $i++;\r\n    <{/php}>\r\n\r\n  <{/foreach}>\r\n\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(235, '<{$block.bootstrap}>\r\n<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n<table class="table table-striped">\r\n<{foreach item=topic from=$block.re}>\r\n  <tr>\r\n	<td class="text-right"><a href=''<{$xoops_url}>/userinfo.php?uid=<{$topic.uid}>''><{$topic.uid_name}></a>:</td>\r\n	<td class="text-left"><a href=''<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$topic.nsn}>#comment<{$topic.com_id}>''><{$topic.txt}></a></td>\r\n  </tr>\r\n<{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(236, '<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n<{if $block.option==""}>\r\n  <{$smarty.const._MB_TADNEWS_NO_NEWSPAPER}>\r\n<{else}>\r\n<div class="row-fluid">\r\n  <form action="<{$xoops_url}>/modules/tadnews/email.php" method="post">\r\n    <{$block.counter}>\r\n    \r\n    <div class="controls controls-row">\r\n      <div class="span4"><{$smarty.const._MB_TADNEWS_TITLE}></div>\r\n      <select name="nps_sn" class="span8" id="newspaper" placeholder="<{$smarty.const._MB_TADNEWS_TITLE}>">\r\n        <{foreach item=opt from=$block.option}>\r\n        <option value="<{$opt.value}>"><{$opt.text}></option>\r\n        <{/foreach}>\r\n      </select>\r\n    </div>\r\n\r\n\r\n    <div class="controls controls-row">\r\n      <div class="span4"><{$smarty.const._MB_TADNEWS_EMAIL}></div>\r\n      <input type="text" name="newspaper_email" id="newspaper_email" placeholder="<{$smarty.const._MB_TADNEWS_EMAIL}>" class="span8">\r\n    </div>\r\n\r\n\r\n    <div class="controls controls-row">\r\n    <input type="radio" name="mode" value="add" checked><{$smarty.const._MB_TADNEWS_ORDER}>\r\n    <input type="radio" name="mode" value="del"><{$smarty.const._MB_TADNEWS_CANCEL}>\r\n    <button type="submit" class="btn"><{$smarty.const._MB_TADNEWS_SUBMIT}></button>\r\n    </div>\r\n  </form>\r\n</div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(237, '<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n\r\n<div class="row-fluid">\r\n  <{if $block.page}>\r\n    <{foreach item=page from=$block.page}>\r\n      <div>\r\n        <a href="<{$xoops_url}>/modules/tadnews/newspaper.php?op=preview&npsn=<{$page.npsn}>" target="_blank"><{$page.title}></a>\r\n      </div>\r\n    <{/foreach}>\r\n  <{else}>\r\n    <{$smarty.const._MB_TADNEWS_NO_NEWSPAPER}>\r\n  <{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(238, '<link rel="stylesheet" type="text/css" media="screen" href="<{$block.xoops_url}>/modules/tadnews/iconize.css" />\r\n<{$block.bootstrap}>\r\n<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n<{$block.syntaxhighlighter_code}>\r\n\r\n<!--TadNews Start-->\r\n<{foreach item=all_news from=$block.all_news}>\r\n  <{if $all_news.news}>\r\n    <div class="row-fluid">\r\n      <{if $all_news.show_pic}>\r\n      <div class="span2">\r\n        <a href="<{$xoops_url}>/modules/tadnews/index.php?ncsn=<{$all_news.ncsn}>">\r\n          <img src="<{$all_news.pic}>" alt="<{$all_news.nc_title}>" title="<{$all_news.nc_title}>" class="thumbnail">\r\n        </a>\r\n      </div>\r\n      <div class="span10">\r\n      <{else}>  \r\n      <div class="span12">\r\n      <{/if}>\r\n      <h4><a href="<{$xoops_url}>/modules/tadnews/index.php?ncsn=<{$all_news.ncsn}>"><{$all_news.nc_title}></a></h4>    \r\n      <ul>\r\n      <{foreach from=$all_news.news item=news}>\r\n        <li>\r\n          <{$news.post_date}>\r\n          <{$news.always_top_pic}>\r\n          <{$news.prefix_tag}>\r\n          <a href="<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$news.nsn}>"><{$news.news_title}>\r\n          </a>\r\n          <{if $news.content}>\r\n            <{$news.content}>\r\n          <{/if}>\r\n        </li>\r\n      <{/foreach}>\r\n      </ul>\r\n      </div>\r\n    </div>\r\n  <{/if}>\r\n<{/foreach}>\r\n\r\n<!--TadNews End-->');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(239, '<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(240, '<{$block.bootstrap}>\r\n<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n<{$block.syntaxhighlighter_code}>\r\n<{$block.rating_js}>\r\n<{$block.del_js}>\r\n<{foreach item=page from=$block.page}>\r\n  <{if $page.enable=="1" or $page.uid==$uid}>\r\n  <div class="row-fluid">\r\n    <div class="news_head well" <{if $page.need_sign}>style="background-image:url(<{$page.need_sign}>);background-position: right top;background-repeat: no-repeat;"<{/if}>>\r\n      <div style="float:right"><{$page.star}></div>\r\n      <div style="font-size: 16px;font-weight: bolder;border: none;	color:rgb(153,0,0);"><{$page.prefix_tag}>\r\n        <a href="<{$xoops_url}>/modules/tadnews/index.php?nsn=<{$page.nsn}>" style="font-size:16px;color:rgb(153,0,0);font-weight:bold;"><{$page.news_title}></a>\r\n      </div>\r\n\r\n      <div style="font-size:12px;">\r\n        <div style="float:right"><{$page.fun}></div>\r\n        <a href="<{$xoops_url}>/userinfo.php?uid=<{$page.uid}>"><{$page.uid_name}></a> - <a href="<{$xoops_url}>/modules/tadnews/<{$page.link_page}>?ncsn=<{$page.ncsn}>"><{$page.cate_name}></a> | <{$page.post_date}> | <{$smarty.const._TADNEWS_HOT}><{$page.counter}>\r\n      </div>\r\n    </div>\r\n\r\n    <div style="margin:10px auto;	line-height: 2em;	font-weight:normal;"><{$page.pic}><{$page.content}></div>\r\n\r\n\r\n    <div class="row-fluid">\r\n      <{$page.have_read_chk}>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <{$page.files}>\r\n    </div>\r\n\r\n  </div>\r\n  <{else}>\r\n    <div class="hero-unit">\r\n      <p><{$smarty.const._MD_TADNEWS_HIDDEN}></p>\r\n    </div>\r\n  <{/if}>\r\n<{/foreach}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(241, '<link rel="stylesheet" type="text/css" media="screen" href="<{$block.xoops_url}>/modules/tadnews/iconize.css" />\r\n<{$block.bootstrap}>\r\n<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n\r\n\r\n\r\n\r\n<table class="table table-striped">\r\n<tr>\r\n	<th><{$smarty.const._MB_TADNEWS_NEWS_CATE}></th>\r\n	<th><{$smarty.const._MB_TADNEWS_NEWS_TITLE}></th>\r\n	<th><{$smarty.const._MB_TADNEWS_COUNTER}></th>\r\n</tr>\r\n<{foreach item=page from=$block.page}>\r\n	<tr>\r\n		<td><a href="<{$xoops_url}>/modules/tadnews/<{$page.link_page}>?ncsn=<{$page.ncsn}>"><{$page.cate_name}></a></td>\r\n		<td>\r\n      <{$page.prefix_tag}>\r\n      <{if $page.need_sign}>\r\n        <img src="<{$page.need_sign}>" align="absmiddle" alt="<{$page.news_title}>" style="margin:3px;">\r\n      <{/if}>\r\n      <a href="<{$xoops_url}>/modules/tadnews/<{$page.index}>?nsn=<{$page.nsn}>"><{$page.news_title}></a></td>\r\n		<td><{$page.counter}></td>\r\n	</tr>\r\n<{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(242, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n\r\n<{$block.bootstrap}>\r\n<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n\r\n<p>\r\n<{$block.toolbar}>\r\n</p>\r\n<{$block.syntaxhighlighter_code}>\r\n\r\n<{if $block.page}>\r\n<div class="row-fluid">\r\n<div id="tadnews_save_msg"></div>\r\n<form action="<{$action}>" method="post">\r\n<{$block.cate_select}>\r\n<{$block.author_select}>\r\n<ul>\r\n  <{foreach item=page from=$block.page}>\r\n    <li>\r\n      <{$page.post_date}>\r\n      <{$page.pic}>\r\n      <{$page.prefix_tag}>\r\n      <{if $page.need_sign}>\r\n        <img src="<{$page.need_sign}>" align="absmiddle" alt="<{$page.news_title}>" style="margin:3px;">\r\n      <{/if}>\r\n      <{$page.enable_txt}>\r\n      <{$page.today_pic}>\r\n      <a href="<{$xoops_url}>/modules/tadnews/<{$page.link_page}>?nsn=<{$page.nsn}>"><{$page.news_title}></a>\r\n      <{$page.content}>\r\n    </li>\r\n  <{/foreach}>\r\n</ul>\r\n</div>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(243, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n<{$block.bootstrap}>\r\n<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n<{$block.jquery_path}>\r\n<script type="text/javascript">\r\n  $(document).ready(function(){\r\n    view_content<{$block.randStr}>(0);\r\n  });\r\n\r\n  function view_content<{$block.randStr}>(p){\r\n    $.ajax({\r\n        type: ''POST'',\r\n        url: ''<{$block.HTTP_HOST}>/modules/tadnews/ajax.php'',\r\n        crossDomain: true,\r\n        data:  { num: "<{$block.num}>", p: p , show_button:"<{$block.show_button}>",  "cell[]": ["<{$block.cell1}>", "<{$block.cell2}>", "<{$block.cell3}>", "<{$block.cell4}>", "<{$block.cell5}>"],start_from:"<{$block.start_from}>",show_ncsn: "<{$block.show_ncsn}>",randStr:"<{$block.randStr}>"},\r\n        success: function(responseData, textStatus, jqXHR) {\r\n            $("#msg_results<{$block.randStr}>").html(responseData);\r\n        },\r\n        error: function (responseData, textStatus, errorThrown) {\r\n            $("#msg_results<{$block.randStr}>").html("<{$block.HTTP_HOST}>");\r\n        }\r\n    });\r\n	}\r\n\r\n</script>\r\n<div>\r\n  <div id="msg_results<{$block.randStr}>"></div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(244, '<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(245, '<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n\r\n<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(246, '<style>\r\n#centerCcolumn .blockContent, #bottomCcolumn .blockContent{border:none;}\r\n</style>\r\n<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(247, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<{if $op=="tad_link_form"}>\r\n  <{if $isAdmin}>\r\n    <{includeq file="db:tad_link_form_tpl.html"}>\r\n  <{/if}>\r\n<{elseif $op=="show_one_tad_link"}>\r\n  <script type="text/javascript">\r\n\r\n    <{if $isAdmin}>\r\n  	function delete_tad_link_func(link_sn){\r\n  		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  		if (!sure)	return;\r\n  		location.href="index.php?op=delete_tad_link&link_sn=" + link_sn;\r\n  	}\r\n    <{/if}>\r\n  </script>\r\n	<div class="well">\r\n    <div class="row-fluid">\r\n      <div class="span5">\r\n        <a href="index.php?op=go&link_sn=<{$link_sn}>" target="_blank" border=0><img src="<{$pic}>" class="img-rounded img-polaroid" ></a></div>\r\n      <div class="span7">\r\n        <div class="span6">\r\n        <span class="label label-info">\r\n          <a href="index.php?cate_sn=<{$cate_sn}>" style="color:white;"><{$cate_title}></a>\r\n        </span>\r\n        <span class="badge badge-important"><{$link_counter}></span>\r\n        </div>\r\n        \r\n        <div class="span6" style="text-align:right;">\r\n        <{if $isAdmin}>\r\n        <a href="index.php?op=tad_link_form&link_sn=<{$link_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        <a href="javascript:delete_tad_link_func(<{$link_sn}>)" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n        <{/if}>\r\n        <a href="index.php?cate_sn=<{$cate_sn}>" class="btn btn-mini btn-info"><{$smarty.const._MD_TADLINK_CATE_INFO2}></a>\r\n        </div>\r\n        \r\n        <h1><a href="index.php?op=go&link_sn=<{$link_sn}>" target="_blank" style="text-decoration:none;"><{$link_title}></a></h1>\r\n\r\n        <div class="well well-small">\r\n        <a href="index.php?op=go&link_sn=<{$link_sn}>" target="_blank" class="btn btn-primary"><{$smarty.const._MD_TADLINK_GOTO_LINK}><{$link_url}></a>\r\n        </div>\r\n        \r\n        <div><{$link_desc}></div>\r\n      </div>\r\n    </div>\r\n	</div>\r\n	\r\n  <div style="margin:8px;text-align:right;"><{$push_url}></div>\r\n  <{$facebook_comments}>\r\n  \r\n<{elseif $op=="batch" and $isAdmin and $show_cate_sn}>\r\n\r\n    <script type="text/javascript">\r\n\r\n      $().ready(function(){\r\n        $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n            var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n            $.post("save_sort.php", order, function(theResponse){\r\n                $("#save_msg").html(theResponse);\r\n            });\r\n        }\r\n        });\r\n        \r\n        $("#clickAll").click(function() {\r\n\r\n           if($("#clickAll").attr("checked"))\r\n           {\r\n             $("input[name=''link_sn[]'']").each(function() {\r\n                 $(this).attr("checked", true);\r\n             });\r\n           }\r\n           else\r\n           {\r\n             $("input[name=''link_sn[]'']").each(function() {\r\n                 $(this).attr("checked", false);\r\n             });          \r\n           }\r\n           get_all_sn();\r\n        });\r\n        \r\n        $("input[name=''link_sn[]'']").change(function() {\r\n          get_all_sn();\r\n        });\r\n      });\r\n      \r\n      function get_all_sn(){\r\n        var i=0;\r\n        var arr = new Array();\r\n        $("input[name=''link_sn[]'']").each(function() {\r\n           if($(this).attr("checked")){\r\n            arr[i] = $(this).val();\r\n            i++;\r\n           }\r\n        });\r\n        $(''#all_sn'').val(arr.join('',''));\r\n      };\r\n        \r\n    	function delete_tad_link_func(link_sn){\r\n    		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    		if (!sure)	return;\r\n    		location.href="index.php?op=delete_tad_link&mode=batch&cate_sn=<{$show_cate_sn}>&link_sn=" + link_sn;\r\n    	}\r\n\r\n    	function delete_all_link_func(){\r\n    		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    		if (!sure)	return;\r\n        var all_sn=$(''#all_sn'').val();\r\n    		location.href="index.php?op=delete_all_link&mode=batch&cate_sn=<{$show_cate_sn}>&all_sn=" + all_sn;\r\n    	}\r\n    </script>\r\n\r\n    <div class="row-fluid">\r\n      <{$smarty.const._MD_TADLINK_SHOW_CATE}><{$smarty.const._TAD_FOR}>\r\n      <select name="show_cate_sn" size=1 id="show_cate_sn" onChange="location.href=''index.php?cate_sn=''+this.value;">\r\n    		<option value="" ></option>\r\n    		<{$get_tad_link_cate_options}>\r\n    	</select>\r\n    	<{if $isAdmin and $show_cate_sn!=""}>\r\n        <a href="index.php?cate_sn=<{$show_cate_sn}>" class="btn btn-success"><{$smarty.const._MD_TADLINK_BACK}></a>\r\n    	<{/if}>\r\n    </div>\r\n    <form action="index.php" method="post">\r\n      <label class="checkbox inline">\r\n      <input type="checkbox" id="clickAll"> <{$smarty.const._MD_TADLINK_SELECT_ALL}>\r\n      <span class="label label-success" id="save_msg"></span>\r\n      </label>\r\n\r\n      <table class="table table-striped table-hover">\r\n      <tbody id="sort">\r\n      <{foreach item=link from=$all_content}>\r\n\r\n        <tr id="tr_<{$link.link_sn}>">\r\n          <td>\r\n            <label class="checkbox inline">\r\n              <input type="checkbox" name="link_sn[]" value="<{$link.link_sn}>" class="link_sn">\r\n              <span class="label label-info">\r\n                <{$link.cate_title}>\r\n              </span>\r\n              <{$link.link_title}>\r\n              \r\n              <span style="font-size:12px;"><{$link.link_url}></span>\r\n              <span class="label label-important"><a href="index.php?op=go&link_sn=<{$link.link_sn}>" target="_blank" style="color:white">Go</a></span>\r\n              \r\n            </label>\r\n          </td>\r\n          <td>\r\n            <a href="javascript:delete_tad_link_func(<{$link.link_sn}>)" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n            <a href="index.php?op=tad_link_form&mode=batch&link_sn=<{$link.link_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n          </td>\r\n        </tr>\r\n\r\n      <{/foreach}>\r\n      </tbody>\r\n      </table>\r\n      <span class="help-block"><{$smarty.const._MD_TADLINK_DRAG_SORT}></span>\r\n      <input type="hidden" id="all_sn" >\r\n      <a href="javascript:delete_all_link_func()" class="btn btn-danger"><{$smarty.const._MD_TADLINK_BATCH_DEL}></a>\r\n    </form>\r\n<{else}>\r\n\r\n  <{if $all_content}>\r\n    <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/lib/jquery.mousewheel-3.0.6.pack.js"></script>\r\n    <link rel="stylesheet" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.css?v=2.1.5" type="text/css" media="screen" />\r\n    <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.pack.js?v=2.1.5"></script>\r\n    <link rel="stylesheet" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-buttons.css?v=1.0.5" type="text/css" media="screen" />\r\n    <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-buttons.js?v=1.0.5"></script>\r\n    <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-media.js?v=1.0.6"></script>\r\n    <link rel="stylesheet" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-thumbs.css?v=1.0.7" type="text/css" media="screen" />\r\n    <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-thumbs.js?v=1.0.7"></script>\r\n\r\n    <script type="text/javascript">\r\n      $(document).ready(function() {\r\n    		$(''.fancybox'').fancybox();\r\n    	});\r\n\r\n      <{if $isAdmin}>\r\n\r\n    	function delete_tad_link_func(link_sn){\r\n    		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    		if (!sure)	return;\r\n    		location.href="index.php?op=delete_tad_link&cate_sn=<{$show_cate_sn}>&link_sn=" + link_sn;\r\n    	}\r\n      <{/if}>\r\n    </script>\r\n\r\n    <div class="row-fluid">\r\n      <{$smarty.const._MD_TADLINK_SHOW_CATE}><{$smarty.const._TAD_FOR}>\r\n      <select name="show_cate_sn" size=1 id="show_cate_sn" onChange="location.href=''index.php?cate_sn=''+this.value;">\r\n    		<option value="" ></option>\r\n    		<{$get_tad_link_cate_options}>\r\n    	</select>\r\n    	<{if $isAdmin and $show_cate_sn!=""}>\r\n        <a href="index.php?op=batch&cate_sn=<{$show_cate_sn}>" class="btn btn-success"><{$smarty.const._MD_TADLINK_BATCH}></a>\r\n    	<{/if}>\r\n    </div>\r\n\r\n    <{assign var="i" value=0}>\r\n    <{assign var="total" value=1}>\r\n    <{foreach item=link from=$all_content}>\r\n      <{if $i==0}>\r\n      <div class="row-fluid">\r\n      <{/if}>\r\n  \r\n        <div class="well span6" id="link<{$link.link_sn}>">\r\n          <div class="row-fluid">\r\n            <div class="span4">\r\n              <div class="row-fluid">\r\n                <a href="<{$link.pic}>" class="fancybox" title="<{$link.link_title}>"><img src="<{$link.thumb}>" class="thumbnail" alt="<{$link.link_title}>"></a>\r\n              </div>\r\n\r\n              <{if $isAdmin}>\r\n                <div style="text-align:center;margin-top:8px;">\r\n                  <a href="javascript:delete_tad_link_func(<{$link.link_sn}>)" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n                  <a href="index.php?op=tad_link_form&link_sn=<{$link.link_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n                </div>\r\n              <{/if}>\r\n            </div>\r\n\r\n            <div class="span8">\r\n              <div class="row-fluid">\r\n                <{if $link.cate_title}>\r\n                <span class="label label-info">\r\n                  <a href="index.php?cate_sn=<{$link.cate_sn}>" style="color:white;"><{$link.cate_title}></a>\r\n                </span>\r\n                <{/if}>\r\n                <a href="index.php?link_sn=<{$link.link_sn}>" <{$link.js_class}>><{$link.link_title}></a>\r\n\r\n              </div>\r\n\r\n              <div class="row-fluid">\r\n                <a href="index.php?op=go&link_sn=<{$link.link_sn}>" target="_blank" style="font-size:12px;"><{$link.link_url}></a>\r\n              </div>\r\n\r\n              <div class="row-fluid">\r\n                <div style="color:#404040;font-size:12px;"><{$link.link_desc}></div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n            \r\n        </div>\r\n\r\n      <{assign var="i" value=$i+1}>\r\n      <{assign var="total" value=$total+1}>\r\n      <{if $i == 2 || $total==$count}>\r\n        </div>\r\n        <{assign var="i" value=0}>\r\n      <{/if}>\r\n    <{/foreach}>\r\n    <div class="clearfix"></div>\r\n\r\n    <div style="margin:20px auto;">\r\n      <{$bar}>\r\n    </div>\r\n  <{/if}>\r\n  \r\n  <{if $isAdmin}>\r\n    <{includeq file="db:tad_link_form_tpl.html"}>\r\n  <{/if}>\r\n  \r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(248, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $op=="tad_link_cate_form"}>\r\n  <h2><{$smarty.const._MA_TAD_LINK_CATE_FORM}></h2>\r\n\r\n\r\n  <{$formValidator_code}>\r\n  <form action=''main.php'' method=''post'' id=''myForm'' enctype=''multipart/form-data''>\r\n\r\n  <!--父分類-->\r\n  <{$smarty.const._MA_TADLINK_OF_CATE_SN}>\r\n  <select name=''of_cate_sn'' size=1 >\r\n  <option value=''''></option>\r\n    <{$get_tad_link_cate_options}>\r\n  </select>\r\n\r\n\r\n  <!--分類標題-->\r\n  <{$smarty.const._MA_TADLINK_CATE_TITLE}>\r\n  <input type=''text'' name=''cate_title'' size=''20'' value=''<{$cate_title}>'' id=''cate_title'' class=''validate[required]''></td></tr>\r\n\r\n\r\n\r\n  <!--分類編號-->\r\n  <input type=''hidden'' name=''cate_sn'' value=''<{$cate_sn}>''>\r\n  <input type=''hidden'' name=''cate_sort'' value=''<{$cate_sort}>''>\r\n  <input type=''hidden'' name=''op'' value=''<{$next_op}>''>\r\n  <input type=''submit'' value=''<{$smarty.const._TAD_SAVE}>''>\r\n\r\n  </form>\r\n\r\n<{else}>\r\n\r\n  <{$jquery}>\r\n    <script language="JavaScript">\r\n      $().ready(function(){\r\n        $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n            var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n            $.post("save_sort.php", order, function(theResponse){\r\n                $("#save_msg").html(theResponse);\r\n            });\r\n        }\r\n        });\r\n      });\r\n\r\n      function delete_tad_link_cate_func(cate_sn){\r\n        var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n        if (!sure)  return;\r\n        location.href="main.php?op=delete_tad_link_cate&cate_sn=" + cate_sn;\r\n      }\r\n    </script>\r\n\r\n    <div id="save_msg"></div>\r\n\r\n\r\n    <table>\r\n    <tbody id="sort">\r\n    <{foreach from=$data item=link}>\r\n      <tr id="tr_<{$link.cate_sn}>">\r\n        <td>\r\n          <div class="well well-small span4 <{$link.offset}>" style="font-size:12pt;">\r\n            <span class="label label-success"><{$link.level}></span>\r\n            <a href="../index.php?cate_sn=<{$link.cate_sn}>"><{$link.cate_title}></a>\r\n            <span class="label"><{$link.count}></span>\r\n            <a href="main.php?op=tad_link_cate_form&cate_sn=<{$link.cate_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n            <a href="javascript:delete_tad_link_cate_func(<{$link.cate_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n          </div>\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n\r\n    </tbody>\r\n    </table>\r\n\r\n    <div class="text-center">\r\n      <a href="main.php?op=tad_link_cate_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n    </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(249, '<{$formValidator_code}>\r\n\r\n<script type="text/javascript">\r\n  $(document).ready(function(){\r\n    $(''#LinkGet'').click(function() {\r\n      $.post("link_ajax.php", { url: $(''#LinkUrl'').val()},\r\n       function(data) {\r\n        var obj = $.parseJSON(data);\r\n         $(''#LinkTitle'').val(obj.title);\r\n         $(''#LinkDesc'').val(obj.description);\r\n         $(''#thumb'').attr("src","http://capture.heartrails.com/400x300/border?"+$(''#LinkUrl'').val());\r\n       });\r\n    });\r\n\r\n    $(''#thumb'').click(function() {\r\n      $(''#thumb'').attr("src","http://capture.heartrails.com/400x300/border?"+$(''#LinkUrl'').val());\r\n    });\r\n  });\r\n</script>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n\r\n\r\n<div class="well">\r\n  <form action="index.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <div class="row-fluid">\r\n      <input type="text" name="link_url" id="LinkUrl" style="font-size:24px;" class="validate[required,custom[url]] span10" placeholder="http://<{$smarty.const._MD_TADLINK_LINK_URL}>" value="<{$link_url}>">\r\n\r\n      <button type="button" id="LinkGet" class="btn btn-primary pull-right"><{$smarty.const._MD_TADLINK_AUTOGET}></button>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n\r\n      <div class="span6">\r\n\r\n        <div class="row-fluid">\r\n          <input type="text" name="link_title" id="LinkTitle" class="validate[required] span12" placeholder="<{$smarty.const._MD_TADLINK_LINK_TITLE}>" value="<{$link_title}>">\r\n        </div>\r\n\r\n        <div class="row-fluid">\r\n          <textarea name="link_desc" class="span12" rows=4 id="LinkDesc" placeholder="<{$smarty.const._MD_TADLINK_LINK_DESC}>"><{$link_desc}></textarea>\r\n        </div>\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <img src="<{$pic}>" id="thumb">\r\n        <input type="file" name="pic" accept="image/gif,image/jpeg,image/png">\r\n      </div>\r\n\r\n      <div class="span4">\r\n        <div class="row-fluid">\r\n          <{if $get_tad_link_cate_options}>\r\n            <select name="cate_sn" size=1 id="cate_sn" class="span5">\r\n              <option value=""></option>\r\n              <{$get_tad_link_cate_options}>\r\n            </select>\r\n           <input type="text" name="new_cate" class="span7" id="new_cate" placeholder="<{$smarty.const._MD_TADLINK_NEW_CATE}>">\r\n          <{else}>\r\n           <input type="text" name="new_cate" class="span12" id="new_cate" placeholder="<{$smarty.const._MD_TADLINK_ADD_NEW_CATE}>">\r\n          <{/if}>\r\n        </div>\r\n\r\n\r\n        <div class="row-fluid">\r\n          <input type="text" name="unable_date" class="span5" value="<{$unable_date}>" id="unable_date" placeholder="<{$smarty.const._MD_TADLINK_UNABLE_DATE}>"  onClick="WdatePicker({dateFmt:''yyyy-MM-dd'' , startDate:''%y-%M-%d}''})">\r\n\r\n          <input type="hidden" name="enable" value="1">\r\n          <input type="hidden" name="mode" value="<{$mode}>">\r\n          <input type="hidden" name="link_sn" value="<{$link_sn}>">\r\n          <input type="hidden" name="op" value="<{$next_op}>">\r\n          <button type="submit" class="btn btn-info pull-right"><{$smarty.const._MD_TADLINK_QUICK_ADD}></button>\r\n        </div>\r\n\r\n\r\n     </div>\r\n    </div>\r\n  </form>\r\n</div>\r\n<div style="color:<{$color}>;"><{$chk_msg}></div>\r\n<div class="clearfix"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(250, '<{foreach from=$block.links item=web}>\r\n  <div style="text-align:center;width:130px;float:left;height:<{if $block.height}><{$block.height}><{else}><{$web.height}><{/if}>px;overflow:hidden;">\r\n    <{$web.pic}>\r\n    <{$web.title}>\r\n    <{$web.url}>\r\n  </div>\r\n\r\n<{/foreach}>\r\n<div style=''clear:both;''></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(251, '<div class="row-fluid">\r\n<{foreach from=$block item=cate}>\r\n    <select onChange="<{$cate.link_js}>" style=''background-color:<{$cate.color}>;'' class="span12">\r\n    <option value=""><{$cate.cate_title}></option>\r\n      <{foreach from=$cate.item item=link}>\r\n        <option value=''<{$link.val}>''>&#x2665; <{$link.link_title}></option>\r\n      <{/foreach}>\r\n    </select>\r\n<{/foreach}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(381, '<{$bootstrap}>\r\n<{$toolbar}>\r\n\r\n<{if $up_power}>\r\n\r\n  <script type="text/javascript">\r\n  $(document).ready(function()  {\r\n\r\n    //***目錄排序****\r\n    $("#dir_sort").sortable({opacity: 0.6, cursor: "move", update: function() {\r\n        var order = $(this).sortable(''serialize'');\r\n        $.post(''save_dir_sort.php'', order, function(theResponse){\r\n            $(''#save_msg'').html(theResponse);\r\n        });\r\n    }\r\n    });\r\n\r\n\r\n    //***檔案排序****\r\n    $("#sort").sortable({opacity: 0.6, cursor: "move", update: function() {\r\n        var order = $(this).sortable(''serialize'');\r\n        $.post(''save_file_sort.php'', order, function(theResponse){\r\n            $(''#save_msg'').html(theResponse);\r\n        });\r\n    }\r\n    });\r\n\r\n    $("#clickAll").click(function() {\r\n      if($("#clickAll").attr("checked")){\r\n        $(".u<{$cat_sn}>").each(function() {\r\n        $(this).attr("checked", true);\r\n        });\r\n      }else{\r\n       $(".u<{$cat_sn}>").each(function() {\r\n           $(this).attr("checked", false);\r\n       });\r\n      }\r\n    });\r\n\r\n\r\n  });\r\n\r\n  function delete_catalog_func(cat_sn,of_cat_sn){\r\n    var sure = window.confirm("<{$smarty.const._MD_TADUP_DEL_CONFIRM}>");\r\n    if (!sure)	return;\r\n    location.href="index.php?op=delete_catalog&cat_sn=" + cat_sn + "&of_cat_sn=" + of_cat_sn;\r\n  }\r\n\r\n  function delete_file_func(cfsn,of_cat_sn){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)	return;\r\n    location.href="index.php?op=del_file&cfsn=" + cfsn + "&of_cat_sn=" + of_cat_sn;\r\n  }\r\n\r\n  </script>\r\n<{/if}>\r\n\r\n<div id="save_msg" style="float:right"></div>\r\n\r\n<{$jqueryui}>\r\n\r\n\r\n<{$path}>\r\n\r\n<div style="clear:both"></div>\r\n\r\n<{if $cat_desc}>\r\n  <div class="well"><{$cat_desc}></div>\r\n<{/if}>\r\n\r\n\r\n\r\n\r\n<form action="index.php" method="POST" enctype="multipart/form-data">\r\n  <{if $folder_list or $files_list}>\r\n\r\n    <{if $list_mode=="more"}>\r\n      <{$FooTableJS}>\r\n      <table class="footable" id="filetbl">\r\n        <thead>\r\n          <tr class="success">\r\n            <th data-class="expand">\r\n              <label class="checkbox inline">\r\n              <input type="checkbox" id="clickAll"> <{$smarty.const._MD_TADUP_FILE_NAME}>\r\n              </label>\r\n            </th>\r\n            <th data-hide="phone" style="text-align:center;" nowrap>\r\n              <{$smarty.const._MD_TADUP_FILE_DATE}>\r\n            </th>\r\n            <th data-hide="phone" style="text-align:center;" nowrap>\r\n              <{$smarty.const._MD_TADUP_FILE_SIZE}>\r\n            </th>\r\n            <th data-hide="phone" style="text-align:center;" nowrap>\r\n              <{$smarty.const._MD_TADUP_FILE_COUNTER}>\r\n            </th>\r\n\r\n            <{if $only_show_desc!="1"}>\r\n              <th data-hide="phone"><{$smarty.const._MD_TADUP_FILE_DESC}></th>\r\n            <{/if}>\r\n\r\n            <{if $up_power}>\r\n              <th data-hide="phone" style="text-align:center;">\r\n                <{$smarty.const._TAD_FUNCTION}>\r\n              </th>\r\n            <{/if}>\r\n          </tr>\r\n        </thead>\r\n    <{else}>\r\n      <div class="row-fluid">\r\n    <{/if}>\r\n\r\n\r\n    <{if $folder_list}>\r\n      <{if $list_mode=="icon"}>\r\n        <ul id="dir_sort" style="display:inline">\r\n        <{foreach from=$folder_list item=folder}>\r\n          <li id="tr_<{$folder.cat_sn}>" style="display:inline;margin:2px;width:<{$icon_width}>;height:130px;float:left;">\r\n            <a href="index.php?of_cat_sn=<{$folder.cat_sn}>" style="display:block;height:64px;overflow:hidden;margin:0px auto;text-align:center">\r\n            <img src="images/folder<{$folder.lock}>.gif">\r\n            </a>\r\n            <div style="overflow: hidden;width:100%;height:50px;text-align:center;">\r\n              <a href="index.php?of_cat_sn=<{$folder.cat_sn}>" style="font-size:12px;text-align:left;">\r\n            <{$folder.cat_title}></a>(<{$folder.file_num}>)\r\n            </div>\r\n          </li>\r\n        <{/foreach}>\r\n        </ul>\r\n      <{else}>\r\n        <tbody id="dir_sort">\r\n        <{foreach from=$folder_list item=folder}>\r\n          <tr id="tr_<{$folder.cat_sn}>">\r\n            <td colspan=2>\r\n              <{if $up_power}>\r\n                <label>\r\n              <{/if}>\r\n              <img src="images/s_folder<{$folder.lock}>.png" hspace="2" align="absmiddle"><a href="index.php?of_cat_sn=<{$folder.cat_sn}>"><{$folder.cat_title}></a>\r\n              <{if $up_power}>\r\n                </label>\r\n              <{/if}>\r\n            </td>\r\n            <td style="font-size:11px;text-align:center;"><{$folder.file_num}><{$smarty.const._MD_TADUP_FILE}></td>\r\n            <td style="font-size:11px;text-align:center;"><{$folder.cat_count}></td>\r\n            <{if $only_show_desc!="1"}>\r\n              <td style="font-size:12px;"><{$folder.cat_desc}></td>\r\n            <{/if}>\r\n            <{if $up_power}>\r\n              <td style="text-align:center;">\r\n                <{if $folder.file_num==0}>\r\n                  <a href="javascript:delete_catalog_func(<{$folder.cat_sn}>,<{$folder.the_cat_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n                <{/if}>\r\n              </td>\r\n            <{/if}>\r\n          </tr>\r\n        <{/foreach}>\r\n        </tbody>\r\n      <{/if}>\r\n    <{/if}>\r\n\r\n    <{if $files_list}>\r\n      <{if $list_mode=="more"}>\r\n        <tbody id="sort">\r\n          <{foreach from=$files_list item=file}>\r\n            <tr id="tr_<{$file.cfsn}>">\r\n              <td nowrap>\r\n                <{if $up_power}>\r\n                  <label class="checkbox inline">\r\n                  <input type="checkbox" name="select_files[<{$file.cfsn}>]" value="<{$file.cf_name}>" class="u<{$file.cat_sn}>">\r\n                <{/if}>\r\n                <{if $file.pic}>\r\n                  <div style="width:24px;height:24px;background-image: url(<{$file.pic}>);float:left;background-size:cover;-webkit-border-radius: 3px;-moz-border-radius: 3px;border-radius: 3px;margin-right:2px;"></div>\r\n                <{/if}>\r\n                <a href="index.php?op=dlfile&cfsn=<{$file.cfsn}>&cat_sn=<{$file.cat_sn}>&name=<{$file.fname}>">\r\n                <{if $only_show_desc=="1"}>\r\n                  <{$file.cf_desc}>\r\n                <{else}>\r\n                  <{$file.cf_name}>\r\n                <{/if}>\r\n                </a>\r\n\r\n                <{if $up_power}>\r\n                </label>\r\n                <{/if}>\r\n              </td>\r\n              <td style="font-size:11px;text-align:center;"><{$file.up_date}></td>\r\n              <td style="font-size:11px;text-align:center;"><{$file.size}></td>\r\n              <td style="font-size:11px;text-align:center;"><{$file.cf_count}></td>\r\n\r\n              <{if $only_show_desc!="1"}>\r\n                <td style="font-size:12px;">\r\n                <{if $file.cf_desc!=$file.cf_name}>\r\n                <{$file.cf_desc}>\r\n                <{/if}></td>\r\n              <{/if}>\r\n\r\n              <{if $up_power}>\r\n                <td style="text-align:center;">\r\n                   <a href="javascript:delete_file_func(<{$file.cfsn}>,<{$cat_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n                  <a href="uploads.php?cfsn=<{$file.cfsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n                </td>\r\n              <{/if}>\r\n            </tr>\r\n          <{/foreach}>\r\n        </tbody>\r\n      <{else}>\r\n        <ul id="sort" style="display:inline">\r\n          <{foreach from=$files_list item=file}>\r\n            <li id="tr_<{$file.cfsn}>" style="display:inline;margin:2px;width:<{$icon_width}>;height:130px;float:left;">\r\n              <a href="index.php?op=dlfile&cfsn=<{$file.cfsn}>&cat_sn=<{$file.cat_sn}>" style="display:block;height:64px;overflow:hidden;margin:0px auto;text-align:center">\r\n              <img src="<{$file.pic}>" title="<{$file.cf_desc}>" class="img-rounded" style="<{$file.thumb_style}>">\r\n              </a>\r\n\r\n              <div style="overflow: hidden;width:100%;height:50px;text-align:center;">\r\n                <{if $up_power}>\r\n                  <label class="checkbox inline">\r\n                  <input type="checkbox" name="select_files[<{$file.cfsn}>]" value="<{$file.cf_name}>" class="u<{$file.cat_sn}>">\r\n                <{/if}>\r\n\r\n                <a href="index.php?op=dlfile&cfsn=<{$file.cfsn}>&cat_sn=<{$file.cat_sn}>" style="display:inline-block;width:auto;line-height:110%;font-size:12px;text-align:left;margin:0px auto;">\r\n\r\n                <{if $only_show_desc=="1"}>\r\n                  <{$file.cf_desc}>\r\n                <{else}>\r\n                  <{$file.cf_name}>\r\n                <{/if}>\r\n                </a>\r\n                <{if $up_power}>\r\n                  </label>\r\n                <{/if}>\r\n              </div>\r\n            </li>\r\n          <{/foreach}>\r\n        </ul>\r\n      <{/if}>\r\n    <{/if}>\r\n\r\n    <{if $list_mode=="more"}>\r\n      </table>\r\n    <{else}>\r\n      </div>\r\n    <{/if}>\r\n  <{/if}>\r\n\r\n  <{if $up_power}>\r\n    <div class="well">\r\n      <{if $files_list}>\r\n        <div>\r\n          <label class="radio inline">\r\n            <input type="radio" name="all_selected"  value="all_del"><{$smarty.const._MD_TADUP_SELECTED_DEL}>\r\n          </label>\r\n        </div>\r\n\r\n        <{if $move_option}>\r\n          <div>\r\n            <label class="radio inline span3">\r\n            <input type="radio" name="all_selected"  value="all_move"><{$smarty.const._MD_TADUP_SELECTED_MOVETO}>\r\n            </label>\r\n            <select name=''new_cat_sn''>\r\n              <option value=0><{$smarty.const._MD_TADUP_ROOT}></option>\r\n              <{$move_option}>\r\n            </select>\r\n          </div>\r\n        <{/if}>\r\n      <{/if}>\r\n\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._MD_TADUP_SELECT_FOLDER}><{$smarty.const._TAD_FOR}>\r\n        </label>\r\n        <select name="add_to_cat" size=1 class="span3">\r\n          <option value="0"><{$smarty.const._MD_TADUP_ROOT}></option>\r\n          <{$menu_option}>\r\n      	</select>\r\n        <input type="text" name="creat_new_cat" class="span3" placeholder="<{$smarty.const._MD_TADUP_CREAT_NEW_CATE}>">\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._MD_TADUP_SELECT_FILES}><{$smarty.const._TAD_FOR}>\r\n        </label>\r\n        <{$upform}>\r\n        <input type="text" name="cf_desc" class="span5"  value="<{$cf_desc}>" placeholder="<{$smarty.const._MD_TADUP_FILE_DESC}>">\r\n        <input name="op" type="hidden" value="save_files">\r\n        <input name="cat_sn" type="hidden" value="<{$cat_sn}>">\r\n        <button type="button" class="btn"><{$smarty.const._TAD_RESET}></button>\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_GO}></button>\r\n      </div>\r\n    </div>\r\n\r\n    <span class="help-block text-right">\r\n    php.ini: memory_limit (<{$memory_limit}>) > post_max_size (<{$post_max_size}>) >      upload_max_filesize (<{$upload_max_filesize}>) ;\r\n    max_execution_time=<{$max_execution_time}>\r\n    </span>\r\n  <{/if}>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(382, '<link rel="stylesheet" type="text/css" media="screen" href="module.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="iconize.css" />\r\n<{$bootstrap}>\r\n<{$jquery}>\r\n\r\n<script type="text/javascript">\r\n  $(document).ready(function() {\r\n    var $tabs = $("#jquery-tabs<{$randStr}>").tabs();\r\n    var last_tab=$tabs.tabs("length")-1;\r\n    <{$to_batch_upload}>\r\n\r\n    <{$hide}>\r\n    $("#file_where").change(function() {\r\n      if ($("#file_where").val()=="up") {\r\n         $("#file_up").show();\r\n         $("#file_link").hide();\r\n      } else{\r\n         $("#file_link").show();\r\n         $("#file_up").hide();\r\n      }\r\n    });\r\n\r\n  });\r\n</script>\r\n\r\n<{$toolbar}>\r\n\r\n<div id="jquery-tabs<{$randStr}>">\r\n\r\n  <ul>\r\n      <li><a href="#fragment-1"><span><{$smarty.const._MD_TADUP_UPLOAD_ONE}></span></a></li>\r\n      <li><a href="jupload.php"><span><{$smarty.const._MD_TADUP_JAVA_UPLOAD}></span></a></li>\r\n      <li><a href="batch_upload.php"><span><{$smarty.const._MD_TADUP_BATCH_UPLOAD}></span></a></li>\r\n  </ul>\r\n  <div id="fragment-1">\r\n\r\n    <form action="uploads.php" method="post" id="myForm" enctype="multipart/form-data">\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._MD_TADUP_SELECT_FOLDER}><{$smarty.const._TAD_FOR}>\r\n        </label>\r\n        <select name="add_to_cat" size=1 class="span3">\r\n          <option value="0"><{$smarty.const._MD_TADUP_ROOT}></option>\r\n          <{$cate_select}>\r\n        </select>\r\n        <input type="text" name="creat_new_cat" class="span3" placeholder="<{$smarty.const._MD_TADUP_CREAT_NEW_CATE}>">\r\n      </div>\r\n\r\n\r\n      <div class="row-fluid">\r\n        <select id="file_where">\r\n        <option value="up" <{$selected_up}>><{$smarty.const._MD_TADUP_UPLOAD}></option>\r\n        <option value="link" <{$selected_link}>><{$smarty.const._MD_TADUP_LINK}></option>\r\n        </select>\r\n\r\n        <span id="file_up"><{$upform}></span>\r\n        <span id="file_link"><input type="text" name="file_url" size="50" value="<{$file_url}>"></span>\r\n      </div>\r\n\r\n      <div>\r\n        <{$smarty.const._MD_TADUP_FILE_DESC}>\r\n        <input type="text" name="cf_desc" size=30  value="<{$cf_desc}>">\r\n      </div>\r\n\r\n      <{$up_time_col}>\r\n\r\n      <div>\r\n        <input type="hidden" name="op" value="<{$op}>">\r\n        <input type="hidden" name="cfsn" value="<{$cfsn}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._MD_TADUP_SAVE}></button>\r\n      </div>\r\n\r\n    </form>\r\n  </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(383, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n<{$jquery_path}>\r\n<{$treetable_code}>\r\n<script type="text/javascript">\r\nfunction delete_catalog_func(cat_sn){\r\n  var sure = window.confirm("<{$smarty.const._MA_TADUP_DEL_CONFIRM}>");\r\n  if (!sure)	return;\r\n  location.href="main.php?op=delete_catalog&cat_sn=" + cat_sn;\r\n}\r\n</script>\r\n\r\n<h2><{$smarty.const._MA_TADUP_LIST_ALL_FILES}></h2>\r\n\r\n<form action="main.php" method="POST" enctype="multipart/form-data">\r\n<div class="row-fluid">\r\n  <div class="span5">\r\n    <div class="controls controls-row">\r\n      <label class="span3 text-right"><{$smarty.const._MA_TADUP_FATHER_FOLDER}></label>\r\n      <select name="of_cat_sn" class="span8">\r\n        <option></option>\r\n        <{$cata_select}>\r\n      </select>\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <label class="span3 text-right"><{$smarty.const._MA_TADUP_FOLDER_NAME}></label>\r\n      <input type="text" name="cat_title" value="<{$cat_title}>" class="span8" placeholder="<{$smarty.const._MA_TADUP_FOLDER_NAME}>">\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <label class="span3 text-right"><{$smarty.const._MA_TADUP_ENABLE}></label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="cat_enable" id="cat_enable1" value="1" <{if $cat_enable=="1"}>checked<{/if}>><{$smarty.const._YES}>\r\n      </label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="cat_enable" id="cat_enable0" value="0" <{if $cat_enable=="0"}>checked<{/if}>><{$smarty.const._NO}>\r\n      </label>\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <label class="span3 text-right"><{$smarty.const._MA_TADUP_SHARE}></label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="cat_share" id="cat_share1" value="1" <{if $cat_share=="1"}>checked<{/if}>><{$smarty.const._YES}>\r\n      </label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="cat_share" id="cat_share0" value="0" <{if $cat_share=="0"}>checked<{/if}>><{$smarty.const._NO}>\r\n      </label>\r\n    </div>\r\n\r\n\r\n  </div>\r\n\r\n  <div class="span2">\r\n    <div class="controls controls-row">\r\n      <label><{$smarty.const._MA_TADUP_CAN_ACCESS_GROUPS2}></label>\r\n      <{$enable_group}>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="span2">\r\n    <div class="controls controls-row">\r\n      <label><{$smarty.const._MA_TADUP_CAN_UPLOADS_GROUPS}></label>\r\n      <{$enable_upload_group}>\r\n    </div>\r\n  </div>\r\n  <div class="span3">\r\n    <div class="controls controls-row">\r\n      <label><{$smarty.const._MA_TADUP_FOLDER_DESC}></label>\r\n      <textarea name="cat_desc" class="span12" style="height:70px;font-size:12px"><{$cat_desc}></textarea>\r\n  </div>\r\n</div>\r\n\r\n<div class="text-center">\r\n  <input type="hidden" name="cat_sn" value="<{$cat_sn}>">\r\n  <input type="hidden" name="cat_sort" value="<{$cat_sort}>">\r\n  <input type="hidden" name="cat_count" value="<{$cat_count}>">\r\n  <input type="hidden" name="op" value="add_catalog">\r\n  <button type="submit" class="btn btn-primary"><{$smarty.const._MA_TADUP_SAVE}></button>\r\n</div>\r\n\r\n\r\n</form>\r\n\r\n<div id="save_msg" style="float:right;"></div>\r\n<div id="save_msg2" style="float:right;"></div>\r\n\r\n<table id="tbl" class="table table-striped table-bordered table-hover">\r\n  <tr>\r\n    <th><{$smarty.const._MA_TADUP_FOLDER_NAME}></th>\r\n    <th><{$smarty.const._MA_TADUP_AUTHOR}></th>\r\n    <th><{$smarty.const._MA_TADUP_ENABLE}></th>\r\n    <th><{$smarty.const._MA_TADUP_SHARE}></th>\r\n    <th><{$smarty.const._MA_TADUP_FILE_COUNTER}></th>\r\n    <th><{$smarty.const._MA_TADUP_FUNCTION}></th>\r\n  </tr>\r\n  <tbody class="sort">\r\n    <{foreach from=$get_cata_data item=cate}>\r\n      <tr id="node-_<{$cate.cat_sn}>" <{$cate.class}> style="letter-spacing: 0em;">\r\n      <td>\r\n        <img src="<{$xoops_url}>/modules/tadtools/treeTable/images/move_s.png" class="folder" alt="<{$smarty.const._MA_TREETABLE_MOVE_PIC}>" title="<{$smarty.const._MA_TREETABLE_MOVE_PIC}>">\r\n        <span class="folder">\r\n          <a href="<{$xoops_url}>/modules/tad_uploader/index.php?of_cat_sn=<{$cate.cat_sn}>"><{$cate.cat_title}></a>\r\n        </span>\r\n      </td>\r\n      <td><{$cate.uid_name}></td>\r\n      <td align="center"><{$cate.enable}></td>\r\n      <td align="center"><{$cate.share}></td>\r\n      <td><{$cate.cat_count}></td>\r\n      <td>\r\n\r\n      <img src="<{$xoops_url}>/modules/tadtools/treeTable/images/updown_s.png" style="cursor: s-resize;" alt="<{$smarty.const._MA_TREETABLE_SORT_PIC}>" title="<{$smarty.const._MA_TREETABLE_SORT_PIC}>">\r\n\r\n      <a href="javascript:delete_catalog_func(<{$cate.cat_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._MA_TADUP_DEL}></a>\r\n      <a href="main.php?op=catalog_form&cat_sn=<{$cate.cat_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._MA_TADUP_EDIT}></a>\r\n      </td>\r\n      </tr>\r\n    <{/foreach}>\r\n  </tbody>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(384, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{$jquery_path}>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/jqueryCookie/jquery.cookie.js"></script>\r\n<script type="text/javascript">\r\n  $(document).ready(function() {\r\n    var $tabs = $("#grouppermform-tabs").tabs({ cookie: { expires: 30 } , collapsible: true});\r\n  });\r\n</script>\r\n\r\n<div id="grouppermform-tabs">\r\n  <ul>\r\n    <li><a href="#tabs-1"><{$smarty.const._MA_TADUP_SET_ACCESS_POWER}></a></li>\r\n    <li><a href="#tabs-2"><{$smarty.const._MA_TADUP_SET_UPLOAD_POWER}></a></li>\r\n  </ul>\r\n  <div id="tabs-1">\r\n    <{$main1}>\r\n  </div>\r\n  <div id="tabs-2">\r\n    <{$main2}>\r\n  </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(257, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<{if $mode=="show_one"}>\r\n  <{$modify_link}>\r\n  <h2>[<{$repair_sn}>] <{$smarty.const._MD_TADREPAIR_FIXED_NOTICE}></h2>\r\n\r\n  <table class="table table-striped table-bordered table-hover">\r\n  	<tr><th nowrap style="width:80px;"><{$smarty.const._MD_TADREPAIR_REPAIR_TITLE}></th><td><{$repair_title}></td></tr>\r\n  	<tr><th nowrap><{$smarty.const._MD_TADREPAIR_REPAIR_DATE}></th><td><{$repair_date}></td></tr>\r\n  	<tr><th nowrap><{$smarty.const._MD_TADREPAIR_REPAIR_STATUS}></th><td><{$repair_status}></td></tr>\r\n  	<tr><th nowrap><{$smarty.const._MD_TADREPAIR_REPAIR_UID}></th><td><{$repair_name}></td></tr>\r\n  	<tr><th nowrap><{$smarty.const._MD_TADREPAIR_REPAIR_UID}></th><td><{$repair_content}></td></tr>\r\n  </table>\r\n\r\n  <{$fixed_link}>\r\n	<h2><{$smarty.const._MD_TADREPAIR_FIXED_STATUS}></h2>\r\n\r\n  <table class="table table-striped table-bordered table-hover">\r\n  	<tr><th nowrap style="width:80px;"><{$smarty.const._MD_TADREPAIR_FIXED_UNIT_SN}></th><td><{$unit_title}></td></tr>\r\n  	<tr><th nowrap><{$smarty.const._MD_TADREPAIR_FIXED_STATUS}></th><td><{$fixed_status}></td></tr>\r\n  	<tr><th nowrap><{$smarty.const._MD_TADREPAIR_FIXED_CONTENT}></th><td><{$fixed_content}></td></tr>\r\n  	<tr><th nowrap><{$smarty.const._MD_TADREPAIR_FIXED_DATE}></th><td><{$fixed_date}></td></tr>\r\n  	<tr><th nowrap><{$smarty.const._MD_TADREPAIR_FIXED_UID}></th><td><{$fixed_name}></td></tr>\r\n  </table>\r\n\r\n\r\n<{else}>\r\n  <{if $content}>\r\n    <{$FooTableJS}>\r\n    <table class="table table-striped table-hover footable">\r\n      <thead>\r\n    	<tr>\r\n    		<th nowrap data-hide="phone"><{$smarty.const._MD_TADREPAIR_REPAIR_DATE}></th>\r\n    		<th nowrap data-class="expand"><{$smarty.const._MD_TADREPAIR_REPAIR_TITLE}></th>\r\n    		<th nowrap data-hide="phone"><{$smarty.const._MD_TADREPAIR_REPAIR_UID}></th>\r\n    		<th nowrap data-hide="phone"><{$smarty.const._MD_TADREPAIR_UNIT}></th>\r\n    		<th nowrap data-hide="phone"><{$smarty.const._MD_TADREPAIR_REPAIR_STATUS2}></th>\r\n    		<th nowrap data-hide="phone,tablet"><{$smarty.const._MD_TADREPAIR_FIXED_UID}></th>\r\n    		<th nowrap data-hide="phone,tablet"><{$smarty.const._MD_TADREPAIR_FIXED_DATE}></th>\r\n    		<th><{$smarty.const._MD_TADREPAIR_FIXED_STATUS2}></th>\r\n    	</tr>\r\n      </thead>\r\n\r\n    	<tbody>\r\n      <{foreach item=repair from=$content}>\r\n    		<tr>\r\n    			<td nowrap><{$repair.repair_date}></td>\r\n    			<td><span class="label label-success"><{$repair.repair_sn}></span> <{$repair.repair_title}></a></td>\r\n    			<td nowrap><{$repair.repair_name}></td>\r\n    			<td nowrap><{$repair.unit_title}></td>\r\n    			<td nowrap><{$repair.repair_status}></td>\r\n    			<td nowrap><{$repair.fixed_name}></td>\r\n    			<td nowrap><{$repair.fixed_date}></td>\r\n    			<td nowrap><{$repair.fixed_status}></td>\r\n    		</tr>\r\n      <{/foreach}>\r\n    	</tbody>\r\n\r\n    	<tr>\r\n    		<td colspan=9 class=''bar''>\r\n    		<{$add_button}>\r\n    		<{$bar}>\r\n    		</td>\r\n    	</tr>\r\n    </table>\r\n\r\n\r\n    <form action="excel.php" method="post" id="myForm" enctype="multipart/form-data">\r\n      <select name="ym">\r\n        <{foreach item=report from=$repair_ym}>\r\n   			  <option value="<{$report.ym}>"><{$report.ym}></option>\r\n        <{/foreach}>\r\n      </select>\r\n      <button type="submit" class="btn btn-primary"><{$smarty.const._MD_TADREPAIR_DL_REPORT}></button>\r\n    </form>\r\n  <{else}>\r\n    <div class="hero-unit">\r\n      <{$smarty.const._MD_TADREPAIR_EMPTY}>\r\n    </div>\r\n\r\n  <{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(258, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<{if $mode=="repair_form"}>\r\n  <{$formValidator_code}>\r\n  <h2><{$repair_form_title}></h2>\r\n  <form action="repair.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <div class="row-fluid">\r\n      <div class="span12">\r\n\r\n        <!--報修內容-->\r\n        <div class="controls controls-row">\r\n          <label class="span2"><{$smarty.const._MD_TADREPAIR_REPAIR_TITLE}></label>\r\n          <input type="text" name="repair_title" placeholder="<{$smarty.const._MD_TADREPAIR_REPAIR_TITLE}>" value="<{$repair_title}>" id="repair_title" class="validate[required] span10">\r\n        </div>\r\n\r\n\r\n        <!--詳細說明-->\r\n        <div class="controls controls-row">\r\n          <textarea name="repair_content" rows=5 class="validate[required] span12" id="repair_content" placeholder="<{$smarty.const._MD_TADREPAIR_REPAIR_CONTENT}>"><{$repair_content}></textarea>\r\n        </div>\r\n        \r\n        <!--通知單位-->\r\n        <div class="controls controls-row">\r\n          <label><{$smarty.const._MD_TADREPAIR_UNIT_SN}></label>\r\n          <select name="unit_sn" size=1 >\r\n        		<{$unit_sn_menu_options}>\r\n        	</select>\r\n        	\r\n          <!--嚴重程度-->\r\n          <label><{$smarty.const._MD_TADREPAIR_REPAIR_STATUS}></label>\r\n          <select name="repair_status" size=1 >\r\n            <{$repair_status}>\r\n        	</select>\r\n        	\r\n        	<!--修繕編號-->\r\n        	<input type="hidden" name="repair_sn" value="<{$repair_sn}>">\r\n    			<input type="hidden" name="op" value="<{$op}>">\r\n    			<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n        </div>\r\n\r\n\r\n      </div>\r\n    </div>\r\n\r\n  </form>\r\n\r\n\r\n\r\n<{else}>\r\n	<h2><{$fixed_form_title}></h2>\r\n\r\n\r\n  <{$formValidator_code}>\r\n	\r\n  	<table class="table table-striped table-bordered table-hover">\r\n  	<!--報修內容-->\r\n  	<tr><th nowrap style="width:80px;"><{$smarty.const._MD_TADREPAIR_REPAIR_TITLE}></th>\r\n  	<td><{$repair_title}></td></tr>\r\n\r\n  	<!--詳細說明-->\r\n  	<tr><th><{$smarty.const._MD_TADREPAIR_REPAIR_CONTENT}></th>\r\n  	<td><{$repair_content}></td></tr>\r\n\r\n  	<!--嚴重程度-->\r\n  	<tr><th><{$smarty.const._MD_TADREPAIR_REPAIR_STATUS}></th>\r\n  	<td>\r\n  	<{$repair_status}>\r\n  	</td></tr>\r\n\r\n  	<!--通知單位-->\r\n  	<tr><th><{$smarty.const._MD_TADREPAIR_UNIT_SN}></th>\r\n  	<td><{$unit_title}>\r\n  	</td></tr>\r\n  	</table>\r\n\r\n	<form action="repair.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n  \r\n  	<!--回覆內容-->\r\n  	<div class="row-fluid">\r\n    	<textarea name="fixed_content" class="span12" rows=4 id="fixed_content" placeholder="<{$smarty.const._MD_TADREPAIR_FIXED_CONTENT}>" ><{$fixed_content}></textarea>\r\n    </div>\r\n\r\n    <!--處理狀況-->\r\n    <div class="row-fluid">\r\n    	<label><{$smarty.const._MD_TADREPAIR_FIXED_STATUS}></label>\r\n    	<select name="fixed_status" size=1 >\r\n        <{$fixed_status}>\r\n    	</select>\r\n\r\n    	<!--修繕編號-->\r\n    	<input type="hidden" name="repair_sn" value="<{$repair_sn}>">\r\n			<input type="hidden" name="op" value="update_tad_fixed">\r\n			<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n  	</form>\r\n\r\n\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(259, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $all_content}>\r\n	<script>\r\n	function delete_tad_repair_func(repair_sn){\r\n		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n		if (!sure)	return;\r\n		location.href="main.php?op=delete_tad_repair&repair_sn=" + repair_sn;\r\n	}\r\n	</script>\r\n\r\n	<table class="table table-striped table-hover">\r\n	<tr>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_REPAIR_SN}></td>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_REPAIR_DATE}></td>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_REPAIR_TITLE}></td>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_REPAIR_UID}></td>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_UNIT}></td>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_REPAIR_STATUS2}></td>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_FIXED_UID}></td>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_FIXED_DATE}></td>\r\n		<td nowrap><{$smarty.const._MA_TADREPAIR_FIXED_STATUS2}></td>\r\n		<td><{$smarty.const._TAD_FUNCTION}></td>\r\n	</tr>\r\n\r\n	<tbody>\r\n	<{foreach from=$all_content item=repair}>\r\n    <tr>\r\n      <td><{$repair.repair_sn}></td>\r\n      <td><{$repair.repair_date}></td>\r\n      <td><{$repair.prefix}><a href="../index.php?repair_sn=<{$repair.repair_sn}>"><{$repair.repair_title}></a></td>\r\n      <td nowrap><{$repair.repair_name}></td>\r\n      <td nowrap><{$repair.unit_title}></td>\r\n      <td nowrap><{$repair.repair_status}></td>\r\n      <td nowrap><{$repair.fixed_name}></td>\r\n      <td><{$repair.fixed_date}></td>\r\n      <td nowrap><{$repair.fixed_status}></td>\r\n      <td>\r\n        <a href="javascript:delete_tad_repair_func(<{$repair.repair_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n      </td>\r\n    </tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n\r\n	<tr>\r\n		<td colspan=12 class="bar">\r\n		<{$bar}>\r\n		</td>\r\n	</tr>\r\n	</table>\r\n<{else}>\r\n  <div class="hero-unit">\r\n    <{$smarty.const._MA_TADREPAIR_EMPTY}>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(260, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $op=="tad_repair_unit_form"}>\r\n\r\n  <h2><{$smarty.const._MA_TAD_REPAIR_UNIT_FORM}></h2>\r\n\r\n	<{$formValidator_code}>\r\n\r\n	<script type="text/javascript" src="<{$xoops_url}>/modules/tad_repair/class/tmt_core.js"></script>\r\n	<script type="text/javascript" src="<{$xoops_url}>/modules/tad_repair/class/tmt_spry_linkedselect.js"></script>\r\n	<script type="text/javascript">\r\n\r\n	function gettmtOptions() {\r\n  var x=document.getElementById("destination");\r\n  txt="";\r\n  for (i=0;i<x.length;i++)\r\n    {\r\n      if(x.options[i].value!="") txt=txt + "," + x.options[i].value;\r\n    }\r\n    document.getElementById("unit_admin").value=txt;\r\n  }\r\n\r\n	</script>\r\n	\r\n	<form action="unit.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n  <div class="controls controls-row">\r\n  <!--單位名稱-->\r\n  <input type="text" name="unit_title" value="<{$unit_title}>" id="unit_title" class="validate[required] span6" placeholder="<{$smarty.const._MA_TADREPAIR_UNIT_TITLE}>">\r\n  </div>\r\n\r\n	<!--管理人員-->\r\n	<h3><{$smarty.const._MA_TADREPAIR_UNIT_ADMIN}></h3>\r\n\r\n      <table style="width:auto">\r\n      <tr><td style="vertical-align:top;">\r\n      <select name="repository" id="repository" size="15" multiple="multiple"	tmt:linkedselect="true" style="width: 100px;">\r\n      <{$option}>\r\n      </select>\r\n  		<td style="vertical-align:middle">\r\n  		<button type="button" onclick="tmt.spry.linkedselect.util.moveOptions(''repository'', ''destination'');gettmtOptions();"><img src="<{$xoops_url}>/modules/tad_repair/images/right.png"></button><br>\r\n  		<button type="button" onclick="tmt.spry.linkedselect.util.moveOptions(''destination'' , ''repository'');gettmtOptions();"><img src="<{$xoops_url}>/modules/tad_repair/images/left.png"></button>\r\n  		</td>\r\n  		<td style="vertical-align:top;">\r\n  			<select name="destination" id="destination" size="15" multiple="multiple" tmt:linkedselect="true" style="width: 100px;">\r\n  			<{$option2}>\r\n  			</select>\r\n      <input type="hidden" name="unit_admin" id="unit_admin" value=",<{$unit_admin}>">\r\n  		</td>\r\n  	</tr>\r\n    </table>\r\n    \r\n    \r\n    <div class="text-center">\r\n    	<!--單位編號-->\r\n    	<input type="hidden" name="unit_sn" value="<{$unit_sn}>">\r\n			<input type="hidden" name="op" value="<{$next_op}>">\r\n			<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n	</form>\r\n<{else}>\r\n  <{if $all_content}>\r\n	<script type="text/javascript">\r\n	function delete_tad_repair_unit_func(unit_sn){\r\n		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n		if (!sure)	return;\r\n		location.href="unit.php?op=delete_tad_repair_unit&unit_sn=" + unit_sn;\r\n	}\r\n	</script>\r\n\r\n	<table class="table table-striped table-hover">\r\n	<tr>\r\n		<th><{$smarty.const._MA_TADREPAIR_UNIT_TITLE}></th>\r\n		<th><{$smarty.const._MA_TADREPAIR_UNIT_ADMIN}></th>\r\n    <th><{$smarty.const._TAD_FUNCTION}></th>\r\n	</tr>\r\n\r\n	<tbody>\r\n	<{foreach from=$all_content item=unit}>\r\n	<tr>\r\n			<td><a href="../index.php?unit_sn=<{$unit.unit_sn}>"><{$unit.unit_title}></a></td>\r\n			<td><{$unit.unit_admin_list}></td>\r\n			<td>\r\n		<a href="unit.php?op=tad_repair_unit_form&unit_sn=<{$unit.unit_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n		<a href="javascript:delete_tad_repair_unit_func(<{$unit.unit_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n		</td>\r\n		</tr>\r\n	<{/foreach}>\r\n	</tbody>\r\n\r\n	</table>\r\n	<{/if}>\r\n	\r\n	<div class="text-center">\r\n    <a href="unit.php?op=tad_repair_unit_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n  </div>\r\n  \r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(261, '<dl>\r\n  <{foreach item=block from=$block}>\r\n		<dt style="font-size:12px;">\r\n      <{$block.repair_date}> <{$block.unit_title}> <{$block.fixed_status}> <{$block.repair_status}>\r\n    </dt>\r\n\r\n		<dd>\r\n      <span class="label label-success"><{$block.repair_name}></span>\r\n      <a href="<{$xoops_url}>/modules/tad_repair/index.php?repair_sn=<{$block.repair_sn}>"><{$block.repair_title}></a>\r\n    </dd>\r\n  <{/foreach}>\r\n</dl>\r\n\r\n<a href="<{$xoops_url}>/modules/tad_repair/index.php" class="btn btn-mini btn-info pull-right">more...</a>\r\n<div class="clearfix"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(396, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$tab_ui}>\r\n<{$toolbar}>\r\n\r\n<!--列出所有資料-->\r\n<{if $all_content}>\r\n  <{if $isAdmin}>\r\n    <script type="text/javascript">\r\n    function delete_tad_evaluation_func(evaluation_sn){\r\n      var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n      if (!sure)  return;\r\n      location.href="<{$action}>?op=delete_tad_evaluation&evaluation_sn=" + evaluation_sn;\r\n    }\r\n    </script>\r\n  <{/if}>\r\n\r\n  <{foreach from=$all_content item=data}>\r\n    <div class="row-fluid">\r\n      <div class="well">\r\n        <h2><a href=''index.php?evaluation_sn=<{$data.evaluation_sn}>''><{$data.evaluation_title}></a></h2>\r\n        <div style="font-size:12px;color:gray;text-align:right;">\r\n          <{$data.evaluation_date}>\r\n          <i class="icon-folder-open"></i> <{$data.evaluation_cates}>\r\n          <i class="icon-file"></i> <{$data.evaluation_files}>\r\n        </div>\r\n      </div>\r\n\r\n    </div>\r\n  <{/foreach}>\r\n\r\n  <{if $isAdmin}>\r\n  <div style="text-align:right;">\r\n    <a href="admin/main.php?op=tad_evaluation_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n  </div>\r\n  <{/if}>\r\n\r\n<{elseif $now_op=="list_tad_evaluation"}>\r\n  <div class="hero-unit">\r\n    <{if $isAdmin}>\r\n      <a href="admin/main.php?op=tad_evaluation_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n    <{/if}>\r\n  </div>\r\n<{/if}>\r\n\r\n\r\n<!--顯示某一筆資料-->\r\n<{if $now_op=="show_one_tad_evaluation"}>\r\n  <link rel="stylesheet" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" type="text/css" media="screen" />\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/lib/jquery.mousewheel-3.0.6.pack.js"></script>\r\n  <script type="text/javascript" language="javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.js?v=2.1.4"></script>\r\n  <link rel="stylesheet" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.css?v=2.1.4" type="text/css" media="screen" />\r\n  <link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-buttons.css?v=1.0.5" />\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-buttons.js?v=1.0.5"></script>\r\n  <link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-thumbs.css?v=1.0.7" />\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-thumbs.js?v=1.0.7"></script>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-media.js?v=1.0.5"></script>\r\n\r\n  <script type="text/javascript">\r\n  $(document).ready(function(){\r\n    $(".evaluation_fancy_<{$evaluation_sn}>").fancybox({\r\n    fitToView : true,\r\n    width   : ''90%'',\r\n    height    : ''100%'',\r\n    autoSize  : true,\r\n    closeClick  : false,\r\n    openEffect  : ''none'',\r\n    closeEffect : ''none''\r\n    });\r\n\r\n  });\r\n  </script>\r\n\r\n  <h2 class="text-center"><{$title}></h2>\r\n  <{if $evaluation_description}>\r\n  <div class="row-fluid">\r\n    <div class="well">\r\n      <{$evaluation_description}>\r\n    </div>\r\n  </div>\r\n  <{/if}>\r\n\r\n  <{if $evaluation_files}>\r\n    <div class="row-fluid">\r\n      <div class="span12">\r\n        <{if $use_tab==''1''}>\r\n          <div id="evaluation_sn_tabs">\r\n            <ul>\r\n              <{$db_files.title}>\r\n            </ul>\r\n            <{$db_files.content}>\r\n          </div>\r\n        <{else}>\r\n          <{$db_files}>\r\n        <{/if}>\r\n      </div>\r\n    </div>\r\n  <{else}>\r\n    <div class="hero-unit">\r\n      <{$smarty.const._MD_TADEVALUA_EVALUATION_EMPTY}>\r\n    </div>\r\n  <{/if}>\r\n  <{if $isAdmin}>\r\n  <div class="row-fluid text-right">\r\n    <a href="admin/main.php?evaluation_sn=<{$evaluation_sn}>" class="btn btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n  </div>\r\n  <{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(395, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n<!--列出所有資料-->\r\n<{if $all_content}>\r\n  <{if $isAdmin}>\r\n    <script type="text/javascript">\r\n    function delete_tad_evaluation_func(evaluation_sn){\r\n      var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n      if (!sure)  return;\r\n      location.href="<{$action}>?op=delete_tad_evaluation&evaluation_sn=" + evaluation_sn;\r\n    }\r\n    </script>\r\n  <{/if}>\r\n\r\n  <table class="table table-striped table-hover">\r\n    <thead>\r\n    <tr>\r\n      <th><!--評鑑名稱--><{$smarty.const._MA_TADEVALUA_EVALUATION_TITLE}></th>\r\n      <th nowrap><!--是否啟用--><{$smarty.const._MA_TADEVALUA_EVALUATION_ENABLE}></th>\r\n      <th nowrap><!--建立者--><{$smarty.const._MA_TADEVALUA_EVALUATION_UID}></th>\r\n      <th><!--建立日期--><{$smarty.const._MA_TADEVALUA_EVALUATION_DATE}></th>\r\n      <th><!--路徑--><{$smarty.const._MA_TADEVALUA_EVALUATION_PATH}></th>\r\n\r\n      <{if $isAdmin}>\r\n        <th><{$smarty.const._TAD_FUNCTION}></th>\r\n      <{/if}>\r\n    </tr>\r\n    </thead>\r\n\r\n    <tbody>\r\n    <{foreach from=$all_content item=data}>\r\n      <tr>\r\n        <td nowrap><a href="main.php?evaluation_sn=<{$data.evaluation_sn}>"><{$data.evaluation_title}></a></td>\r\n        <td nowrap>\r\n          <{if $data.evaluation_enable==''1''}><{$smarty.const._YES}><{else}><{$smarty.const._NO}><{/if}>\r\n          <i class="icon-folder-open"></i> <{$data.evaluation_cates}>\r\n          <i class="icon-file"></i> <{$data.evaluation_files}>\r\n        </td>\r\n        <td nowrap><{$data.evaluation_uid}></td>\r\n        <td nowrap><{$data.evaluation_date}></td>\r\n        <td><a href="main.php?evaluation_sn=<{$data.evaluation_sn}>"><{$data.evaluation_path}></a></td>\r\n\r\n        <{if $isAdmin}>\r\n        <td nowrap>\r\n          <a href="zip.php?evaluation_sn=<{$data.evaluation_sn}>" class="btn btn-mini btn-success"><{$smarty.const._MA_TADEVALUA_EVALUATION_EXPORT}></a>\r\n          <a href="javascript:delete_tad_evaluation_func(<{$data.evaluation_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n          <a href="<{$action}>?evaluation_sn=<{$data.evaluation_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        </td>\r\n        <{/if}>\r\n      </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n  </table>\r\n\r\n\r\n  <{if $isAdmin}>\r\n    <div class="text-right">\r\n      <a href="<{$action}>?op=tad_evaluation_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n    </div>\r\n  <{/if}>\r\n\r\n  <{$bar}>\r\n<{elseif $now_op=="list_tad_evaluation"}>\r\n  <div class="hero-unit">\r\n    <{if $isAdmin}>\r\n      <a href="<{$action}>?op=tad_evaluation_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n    <{/if}>\r\n  </div>\r\n<{/if}>\r\n\r\n<!--顯示某一筆資料-->\r\n<{if $now_op=="show_one_tad_evaluation" or $now_op=="tad_evaluation_form"}>\r\n\r\n  <{$jquery}>\r\n\r\n  <link rel="stylesheet" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" type="text/css" media="screen" />\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/lib/jquery.mousewheel-3.0.6.pack.js"></script>\r\n  <script type="text/javascript" language="javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.js?v=2.1.4"></script>\r\n  <link rel="stylesheet" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.css?v=2.1.4" type="text/css" media="screen" />\r\n  <link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-buttons.css?v=1.0.5" />\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-buttons.js?v=1.0.5"></script>\r\n  <link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-thumbs.css?v=1.0.7" />\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-thumbs.js?v=1.0.7"></script>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/helpers/jquery.fancybox-media.js?v=1.0.5"></script>\r\n\r\n  <script type="text/javascript">\r\n  $(document).ready(function(){\r\n    $(".evaluation_fancy_<{$evaluation_sn}>").fancybox();\r\n  });\r\n  </script>\r\n\r\n  <{$formValidator_code}>\r\n\r\n  <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n    <!--評鑑編號-->\r\n    <input type=''hidden'' name="evaluation_sn" value="<{$evaluation_sn}>">\r\n\r\n\r\n    <!--評鑑名稱-->\r\n    <div class="row-fluid">\r\n      <h4 class="span2 text-right"><{$smarty.const._MA_TADEVALUA_EVALUATION_TITLE}></h4>\r\n\r\n      <div class="span4">\r\n        <input type="text" name="evaluation_title" id="evaluation_title" class="span12 " value="<{$evaluation_title}>" placeholder="<{$smarty.const._MA_TADEVALUA_EVALUATION_TITLE}>">\r\n      </div>\r\n\r\n    <!--是否啟用-->\r\n      <div class="span2 text-right">\r\n        <{$smarty.const._MA_TADEVALUA_EVALUATION_ENABLE}>\r\n      </div>\r\n      <div class="span4">\r\n        <label class="radio inline">\r\n          <input type="radio" name="evaluation_enable" id="evaluation_enable_1" value="1" <{if $evaluation_enable == "1"}>checked="checked"<{/if}>><{$smarty.const._YES}>\r\n        </label>\r\n        <label class="radio inline">\r\n          <input type="radio" name="evaluation_enable" id="evaluation_enable_0" value="0" <{if $evaluation_enable == "0"}>checked="checked"<{/if}>><{$smarty.const._NO}>\r\n        </label>\r\n      </div>\r\n    </div>\r\n    <!--評鑑說明-->\r\n    <div class="row-fluid">\r\n      <div class="span12">\r\n        <{$evaluation_description_editor}>\r\n      </div>\r\n    </div>\r\n\r\n\r\n    <div class="text-center">\r\n      <input type="hidden" name="op" value="<{$next_op}>">\r\n      <{if $evaluation_sn}>\r\n        <a href="../index.php?evaluation_sn=<{$evaluation_sn}>" class="btn btn-success"><{$smarty.const._MA_TADEVALUA_EVALUATION_VIEW}></a>\r\n      <{/if}>\r\n      <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n\r\n  </form>\r\n\r\n  <{if $evaluation_sn}>\r\n    <div class="well">\r\n      <div class="row-fluid">\r\n\r\n        <{if $all_files}>\r\n        <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n          <div class="span6">\r\n            <{$all_files}>\r\n\r\n            <div class="text-center">\r\n              <input type="hidden" name="op" value="tad_evaluation_import">\r\n              <input type="hidden" name="evaluation_sn" value="<{$evaluation_sn}>">\r\n              <button type="submit" class="btn btn-primary"><{$smarty.const._MA_TADEVALUA_EVALUATION_IMPORT}></button>\r\n            </div>\r\n          </div>\r\n        </form>\r\n        <{else}>\r\n          <div class="span6 hero-unit">\r\n            <{$smarty.const._MA_TADEVALUA_EVALUATION_IMPORT_PATH}><br>\r\n            <div style="color:blue;"><{$evaluation_path}></div>\r\n          </div>\r\n        <{/if}>\r\n\r\n        <{if $all_files}>\r\n          <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n            <div class="span6" id=''sort''>\r\n              <{$db_files}>\r\n              <div class="text-center">\r\n                <input type="hidden" name="op" value="save_tad_evaluation">\r\n                <input type="hidden" name="evaluation_sn" value="<{$evaluation_sn}>">\r\n\r\n                <!--button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button-->\r\n              </div>\r\n            </div>\r\n          </form>\r\n        <{else}>\r\n          <div class="span6 hero-unit">\r\n            <{$smarty.const._MA_TADEVALUA_EVALUATION_IMPORT_FILES}>\r\n          </div>\r\n        <{/if}>\r\n      </div>\r\n    </div>\r\n    <div id="save_msg"></div>\r\n  <{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(264, '<!--列出所有資料-->\r\n<{if $block}>\r\n  <{foreach from=$block item=data}>\r\n    <div class="row-fluid">\r\n      <a href="<{$xoops_url}>/modules/tad_evaluation/index.php?evaluation_sn=<{$data.evaluation_sn}>"><{$data.evaluation_title}></a>\r\n    </div>\r\n  <{/foreach}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(265, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<!--顯示表單-->\r\n\r\n\r\n<{if $now_op=="tad_lunch2_form"}>\r\n  <{$formValidator_code}>\r\n\r\n  <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n  \r\n    \r\n    \r\n    <!--編號-->\r\n    <input type=''hidden'' name="lunch_sn" value="<{$lunch_sn}>">\r\n    \r\n    \r\n    <!--菜單名稱-->\r\n    <div class="row-fluid">\r\n      <div class="span2 text-right">\r\n        <{$smarty.const._MA_TADLUNCH2_LUNCH_TITLE}>\r\n      </div>\r\n      <div class="span10">\r\n        <input type="text" name="lunch_title" id="lunch_title" class="span6 validate[required]" value="<{$lunch_title}>" placeholder="<{$smarty.const._MA_TADLUNCH2_LUNCH_TITLE}>">\r\n      </div>\r\n    </div>\r\n    \r\n    <!--廠商名稱-->\r\n    <div class="row-fluid">\r\n      <div class="span2 text-right">\r\n        <{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY}>\r\n      </div>\r\n      <div class="span10">\r\n        <input type="text" name="lunch_factory" id="lunch_factory" class="span6 " value="<{$lunch_factory}>" placeholder="<{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY}>">\r\n      </div>\r\n    </div>\r\n    \r\n    <!--營養師-->\r\n    <div class="row-fluid">\r\n      <div class="span2 text-right">\r\n        <{$smarty.const._MA_TADLUNCH2_LUNCH_DIETICIAN}>\r\n      </div>\r\n      <div class="span10">\r\n        <input type="text" name="lunch_dietician" id="lunch_dietician" class="span6 " value="<{$lunch_dietician}>" placeholder="<{$smarty.const._MA_TADLUNCH2_LUNCH_DIETICIAN}>">\r\n      </div>\r\n    </div>\r\n    \r\n    <!--廠商電話-->\r\n    <div class="row-fluid">\r\n      <div class="span2 text-right">\r\n        <{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_TEL}>\r\n      </div>\r\n      <div class="span10">\r\n        <input type="text" name="lunch_factory_tel" id="lunch_factory_tel" class="span6 " value="<{$lunch_factory_tel}>" placeholder="<{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_TEL}>">\r\n      </div>\r\n    </div>\r\n    \r\n    <!--廠商傳真-->\r\n    <div class="row-fluid">\r\n      <div class="span2 text-right">\r\n        <{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_FAX}>\r\n      </div>\r\n      <div class="span10">\r\n        <input type="text" name="lunch_factory_fax" id="lunch_factory_fax" class="span6 " value="<{$lunch_factory_fax}>" placeholder="<{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_FAX}>">\r\n      </div>\r\n    </div>\r\n    \r\n    <!--廠商地址-->\r\n    <div class="row-fluid">\r\n      <div class="span2 text-right">\r\n        <{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_ADDR}>\r\n      </div>\r\n      <div class="span10">\r\n        <input type="text" name="lunch_factory_addr" id="lunch_factory_addr" class="span6 " value="<{$lunch_factory_addr}>" placeholder="<{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_ADDR}>">\r\n      </div>\r\n    </div>\r\n    \r\n    <div class="text-center">\r\n      <input type="hidden" name="op" value="<{$next_op}>">\r\n      <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n    \r\n  </form>\r\n<{/if}>\r\n\r\n\r\n<!--列出所有資料-->\r\n<{if $all_content}>\r\n	<{if $isAdmin}>\r\n		<script type="text/javascript">\r\n		function delete_tad_lunch2_func(lunch_sn){\r\n			var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n			if (!sure)	return;\r\n			location.href="<{$action}>?op=delete_tad_lunch2&lunch_sn=" + lunch_sn;\r\n		}\r\n		</script>\r\n	<{/if}>\r\n\r\n	<table class="table table-striped table-hover">\r\n		<thead>\r\n		<tr>\r\n			<th><!--菜單名稱--><{$smarty.const._MA_TADLUNCH2_LUNCH_TITLE}></th>\r\n			<th><!--廠商名稱--><{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY}></th>\r\n			<th><!--營養師--><{$smarty.const._MA_TADLUNCH2_LUNCH_DIETICIAN}></th>\r\n			<th><!--廠商電話--><{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_TEL}></th>\r\n			<th><!--廠商傳真--><{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_FAX}></th>\r\n			<th><!--廠商地址--><{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_ADDR}></th>\r\n      <{if $isAdmin}>\r\n        <th><{$smarty.const._TAD_FUNCTION}></th>\r\n      <{/if}>\r\n		</tr>\r\n		</thead>\r\n	\r\n		<tbody>	\r\n		<{foreach from=$all_content item=data}>\r\n			<tr>\r\n				<td><{$data.lunch_title}></td>\r\n				<td><{$data.lunch_factory}></td>\r\n				<td><{$data.lunch_dietician}></td>\r\n				<td><{$data.lunch_factory_tel}></td>\r\n				<td><{$data.lunch_factory_fax}></td>\r\n				<td><{$data.lunch_factory_addr}></td>\r\n				<{if $isAdmin}>\r\n				<td>\r\n					<a href="javascript:delete_tad_lunch2_func(<{$data.lunch_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n					<a href="<{$action}>?op=tad_lunch2_form&lunch_sn=<{$data.lunch_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n				</td>\r\n				<{/if}>\r\n			</tr>\r\n		<{/foreach}>\r\n		</tbody>\r\n	</table>\r\n\r\n\r\n	<{if $isAdmin}>\r\n    <div class="text-right">\r\n      <a href="<{$action}>?op=tad_lunch2_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n    </div>\r\n	<{/if}>\r\n\r\n	<{$bar}>\r\n<{elseif $now_op=="list_tad_lunch2"}>\r\n	<div class="hero-unit">\r\n		<{if $isAdmin}>\r\n			<a href="<{$action}>?op=tad_lunch2_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n		<{/if}>\r\n	</div>\r\n<{/if}>\r\n\r\n<!--顯示某一筆資料-->\r\n<{if $now_op=="show_one_tad_lunch2"}>\r\n  <h2 class="text-center"><{$title}></h2>\r\n  <hr>\r\n  \r\n  <div class="row-fluid">\r\n      <!--廠商名稱-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY}>\r\n    </div>\r\n    <div class="span9">\r\n      <{$lunch_factory}>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <!--營養師-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADLUNCH2_LUNCH_DIETICIAN}>\r\n    </div>\r\n    <div class="span9">\r\n      <{$lunch_dietician}>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <!--廠商電話-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_TEL}>\r\n    </div>\r\n    <div class="span9">\r\n      <{$lunch_factory_tel}>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <!--廠商傳真-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_FAX}>\r\n    </div>\r\n    <div class="span9">\r\n      <{$lunch_factory_fax}>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <!--廠商地址-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADLUNCH2_LUNCH_FACTORY_ADDR}>\r\n    </div>\r\n    <div class="span9">\r\n      <{$lunch_factory_addr}>\r\n    </div>\r\n  </div>\r\n  \r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(266, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<!--顯示表單-->\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n\r\n<{if $now_op=="tad_lunch2_data_form"}>\r\n  <{$formValidator_code}>\r\n\r\n  <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n\r\n    <!--日期-->\r\n    <div class="row-fluid">\r\n      <div class="span2">\r\n        <{$smarty.const._MD_TADLUNCH2_LUNCH_DATE}>\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <input type="text" name="lunch_date" id="lunch_date" class="span12 validate[required]" value="<{$lunch_date}>"  onClick="WdatePicker({dateFmt:"yyyy-MM-dd" , startDate:"%y-%M-%d"})" placeholder="<{$smarty.const._MD_TADLUNCH2_LUNCH_DATE}>">\r\n      </div>\r\n\r\n\r\n      <!--供餐來源-->\r\n      <div class="span2">\r\n        <{$smarty.const._MD_TADLUNCH2_LUNCH_TARGET}>\r\n      </div>\r\n      <div class="span2">\r\n        <select name="lunch_target" class="span12 " size=1>\r\n          <{foreach from=$lunch_target_menu item=target}>\r\n          <option value="<{$target.title}>" <{if $lunch_target == $lunch.title}>selected="selected"<{/if}>><{$target.title}></option>\r\n          <{/foreach}>\r\n        </select>\r\n      </div>\r\n\r\n      <!--廠商-->\r\n      <div class="span2">\r\n        <{$smarty.const._MD_TADLUNCH2_LUNCH_SN}>\r\n      </div>\r\n      <div class="span2">\r\n        <select name="lunch_sn" class="span12 " size=1>\r\n          <{foreach from=$lunch_company item=lunch}>\r\n          <option value="<{$lunch.lunch_sn}>" <{if $lunch_sn == $lunch.lunch_sn}>selected="selected"<{/if}>><{$lunch.lunch_title}></option>\r\n          <{/foreach}>\r\n        </select>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="well">\r\n    <!--標題-->\r\n\r\n      <div class="row-fluid">\r\n        <div class="span1">\r\n          <{$smarty.const._MD_TADLUNCH2_KIND}>\r\n        </div>\r\n        <div class="span4">\r\n          <{$smarty.const._MD_TADLUNCH2_FOOD}>\r\n        </div>\r\n\r\n        <div class="span5">\r\n          <{$smarty.const._MD_TADLUNCH2_FOOD_STUFF}>\r\n        </div>\r\n\r\n        <div class="span2">\r\n          <{$smarty.const._MD_TADLUNCH2_COOK}>\r\n        </div>\r\n      </div>\r\n\r\n    <!--主食-->\r\n    <div class="row-fluid">\r\n      <div class="span1">\r\n        <{$smarty.const._MD_TADLUNCH2_MDIN_FOOD}>\r\n      </div>\r\n      <div class="span4">\r\n        <input type="text" name="main_food" id="main_food" class="span12 validate[required , minSize[1] , maxSize[255]]" value="<{$main_food}>" placeholder="<{$smarty.const._MD_TADLUNCH2_MDIN_FOOD}>">\r\n      </div>\r\n\r\n      <div class="span5">\r\n        <input type="text" name="main_food_stuff" id="main_food_stuff" class="span12 " value="<{$main_food_stuff}>" placeholder="<{$smarty.const._MD_TADLUNCH2_MDIN_FOOD_STUFF}>">\r\n      </div>\r\n    </div>\r\n\r\n    <!--主菜-->\r\n    <div class="row-fluid">\r\n      <div class="span1">\r\n        <{$smarty.const._MD_TADLUNCH2_MDIN_DISH}>\r\n      </div>\r\n      <div class="span4">\r\n        <input type="text" name="main_dish" id="main_dish" class="span12 validate[required , minSize[1] , maxSize[255]]" value="<{$main_dish}>" placeholder="<{$smarty.const._MD_TADLUNCH2_MDIN_DISH}>">\r\n      </div>\r\n\r\n      <div class="span5">\r\n        <input type="text" name="main_dish_stuff" id="main_dish_stuff" class="span12 " value="<{$main_dish_stuff}>" placeholder="<{$smarty.const._MD_TADLUNCH2_MDIN_DISH_STUFF}>">\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <input type="text" name="main_dish_cook" id="main_dish_cook" class="span12 " value="<{$main_dish_cook}>" placeholder="<{$smarty.const._MD_TADLUNCH2_MDIN_DISH_COOK}>">\r\n      </div>\r\n    </div>\r\n\r\n    <!--副菜1-->\r\n    <div class="row-fluid">\r\n      <div class="span1">\r\n        <{$smarty.const._MD_TADLUNCH2_SIDE_DISH1}>\r\n      </div>\r\n      <div class="span4">\r\n        <input type="text" name="side_dish1" id="side_dish1" class="span12 " value="<{$side_dish1}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH1}>">\r\n      </div>\r\n\r\n      <div class="span5">\r\n        <input type="text" name="side_dish1_stuff" id="side_dish1_stuff" class="span12 " value="<{$side_dish1_stuff}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH1_STUFF}>">\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <input type="text" name="side_dish1_cook" id="side_dish1_cook" class="span12 " value="<{$side_dish1_cook}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH1_COOK}>">\r\n      </div>\r\n    </div>\r\n\r\n    <!--副菜2-->\r\n    <div class="row-fluid">\r\n      <div class="span1">\r\n        <{$smarty.const._MD_TADLUNCH2_SIDE_DISH2}>\r\n      </div>\r\n      <div class="span4">\r\n        <input type="text" name="side_dish2" id="side_dish2" class="span12 " value="<{$side_dish2}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH2}>">\r\n      </div>\r\n\r\n      <div class="span5">\r\n        <input type="text" name="side_dish2_stuff" id="side_dish2_stuff" class="span12 " value="<{$side_dish2_stuff}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH2_STUFF}>">\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <input type="text" name="side_dish2_cook" id="side_dish2_cook" class="span12 " value="<{$side_dish2_cook}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH2_COOK}>">\r\n      </div>\r\n    </div>\r\n\r\n    <!--副菜3-->\r\n    <div class="row-fluid">\r\n      <div class="span1">\r\n        <{$smarty.const._MD_TADLUNCH2_SIDE_DISH3}>\r\n      </div>\r\n      <div class="span4">\r\n        <input type="text" name="side_dish3" id="side_dish3" class="span12 " value="<{$side_dish3}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH3}>">\r\n      </div>\r\n\r\n      <div class="span5">\r\n        <input type="text" name="side_dish3_stuff" id="side_dish3_stuff" class="span12 " value="<{$side_dish3_stuff}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH3_STUFF}>">\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <input type="text" name="side_dish3_cook" id="side_dish3_cook" class="span12 " value="<{$side_dish3_cook}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SIDE_DISH3_COOK}>">\r\n      </div>\r\n    </div>\r\n\r\n    <!--水果-->\r\n    <div class="row-fluid">\r\n      <div class="span1">\r\n        <{$smarty.const._MD_TADLUNCH2_FRUIT}>\r\n      </div>\r\n      <div class="span4">\r\n        <input type="text" name="fruit" id="fruit" class="span12 " value="<{$fruit}>" placeholder="<{$smarty.const._MD_TADLUNCH2_FRUIT}>">\r\n      </div>\r\n    </div>\r\n\r\n    <!--湯點-->\r\n    <div class="row-fluid">\r\n      <div class="span1">\r\n        <{$smarty.const._MD_TADLUNCH2_SOUP}>\r\n      </div>\r\n      <div class="span4">\r\n        <input type="text" name="soup" id="soup" class="span12 " value="<{$soup}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SOUP}>">\r\n      </div>\r\n\r\n      <div class="span5">\r\n        <input type="text" name="soup_stuff" id="soup_stuff" class="span12 " value="<{$soup_stuff}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SOUP_STUFF}>">\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <input type="text" name="soup_cook" id="soup_cook" class="span12 " value="<{$soup_cook}>" placeholder="<{$smarty.const._MD_TADLUNCH2_SOUP_COOK}>">\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n    <!--蛋白質-->\r\n    <div class="row-fluid">\r\n\r\n      <div class="span2 input-prepend input-append">\r\n        <span class="add-on"><{$smarty.const._MD_TADLUNCH2_PROTEIN}></span>\r\n        <input type="text" name="protein" id="protein" class="span6" value="<{$protein}>" placeholder="<{$smarty.const._MD_TADLUNCH2_PROTEIN}>">\r\n        <span class="add-on">g</span>\r\n      </div>\r\n\r\n    <!--脂肪-->\r\n      <div class="span2 input-prepend input-append">\r\n        <span class="add-on"><{$smarty.const._MD_TADLUNCH2_FAT}></span>\r\n        <input type="text" name="fat" id="fat" class="span6" value="<{$fat}>" placeholder="<{$smarty.const._MD_TADLUNCH2_FAT}>">\r\n        <span class="add-on">g</span>\r\n      </div>\r\n\r\n    <!--醣類-->\r\n      <div class="span2 input-prepend input-append">\r\n        <span class="add-on"><{$smarty.const._MD_TADLUNCH2_CARBOHYDRATE}></span>\r\n        <input type="text" name="carbohydrate" id="carbohydrate" class="span6 " value="<{$carbohydrate}>" placeholder="<{$smarty.const._MD_TADLUNCH2_CARBOHYDRATE}>">\r\n        <span class="add-on">g</span>\r\n      </div>\r\n\r\n    <!--總熱量-->\r\n      <div class="span2 input-prepend input-append">\r\n        <span class="add-on"><{$smarty.const._MD_TADLUNCH2_CALORIE}></span>\r\n        <input type="text" name="calorie" id="calorie" class="span6 " value="<{$calorie}>" placeholder="<{$smarty.const._MD_TADLUNCH2_CALORIE}>">\r\n        <span class="add-on">g</span>\r\n      </div>\r\n\r\n      <div class="span2 text-center">\r\n        <!--流水號-->\r\n        <input type="hidden" name="lunch_data_sn" value="<{$lunch_data_sn}>">\r\n        <input type="hidden" name="op" value="<{$next_op}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n      </div>\r\n\r\n    </div>\r\n\r\n  </form>\r\n\r\n  <hr>\r\n  <h3><{$smarty.const._MD_TAD_LUNCH2_DATA_IMPORT}></h3>\r\n  <form action="index.php" method="post" enctype="multipart/form-data">\r\n    <div class="controls">\r\n      <!--供餐來源-->\r\n      <div class="span2">\r\n        <{$smarty.const._MD_TADLUNCH2_LUNCH_TARGET}>\r\n      </div>\r\n      <div class="span4">\r\n        <select name="lunch_target" class="span12 " size=1>\r\n          <{foreach from=$lunch_target_menu item=target}>\r\n          <option value="<{$target.title}>" <{if $lunch_target == $target.title}>selected="selected"<{/if}>><{$target.title}></option>\r\n          <{/foreach}>\r\n        </select>\r\n      </div>\r\n\r\n      <!--廠商-->\r\n      <div class="span2">\r\n        <{$smarty.const._MD_TADLUNCH2_LUNCH_SN}>\r\n      </div>\r\n      <div class="span4">\r\n        <select name="lunch_sn" class="span12 " size=1>\r\n          <{foreach from=$lunch_company item=lunch}>\r\n          <option value="<{$lunch.lunch_sn}>" <{if $lunch_sn == $lunch.lunch_sn}>selected="selected"<{/if}>><{$lunch.lunch_title}></option>\r\n          <{/foreach}>\r\n        </select>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="controls">\r\n      <div class="span2">\r\n        <{$smarty.const._MD_TAD_LUNCH2_DATA_IMPORT_FILE}>\r\n      </div>\r\n      <div class="span4">\r\n        <input type="file" name="importfile">\r\n      </div>\r\n      <div class="span6 help-block">\r\n        <input type="hidden" name="op" value="import_excel">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._MD_TAD_LUNCH2_DATA_IMPORT}></button>\r\n        <{$smarty.const._MD_TAD_LUNCH2_DATA_IMPORT_FILE_DESC}>\r\n      </div>\r\n    </div>\r\n  </form>\r\n\r\n<{/if}>\r\n\r\n\r\n<!--列出所有資料-->\r\n<{if $all_content}>\r\n    <{if $isAdmin or $isManager}>\r\n      <script type="text/javascript">\r\n      function delete_tad_lunch2_data_func(lunch_data_sn){\r\n        var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n        if (!sure)  return;\r\n        location.href="<{$action}>?op=delete_tad_lunch2_data&lunch_data_sn=" + lunch_data_sn;\r\n      }\r\n      </script>\r\n    <{/if}>\r\n    <select onChange="location.href=''index.php?ym=''+this.value">\r\n      <{foreach from=$all_options item=ym}>\r\n        <option value="<{$ym.ym}>" <{if $nowYm==$ym.ym}>selected<{/if}>><{$ym.ym_title}></option>\r\n      <{/foreach}>\r\n    </select>\r\n    <table class="table table-striped table-bordered table-hover">\r\n      <thead>\r\n      <tr>\r\n        <th><!--日期--><{$smarty.const._MD_TADLUNCH2_LUNCH_DATE}></th>\r\n        <th><!--主食--><{$smarty.const._MD_TADLUNCH2_MDIN_FOOD}></th>\r\n        <th><!--主菜--><{$smarty.const._MD_TADLUNCH2_MDIN_DISH}></th>\r\n        <th><!--副菜1--><{$smarty.const._MD_TADLUNCH2_SIDE_DISH1}></th>\r\n        <th><!--副菜2--><{$smarty.const._MD_TADLUNCH2_SIDE_DISH2}></th>\r\n        <th><!--副菜3--><{$smarty.const._MD_TADLUNCH2_SIDE_DISH3}></th>\r\n        <th><!--水果--><{$smarty.const._MD_TADLUNCH2_FRUIT}></th>\r\n        <th><!--湯點--><{$smarty.const._MD_TADLUNCH2_SOUP}></th>\r\n        <th><!--總熱量--><{$smarty.const._MD_TADLUNCH2_CALORIE}></th>\r\n        <{if $isAdmin or $isManager}>\r\n          <th><{$smarty.const._TAD_FUNCTION}></th>\r\n        <{/if}>\r\n      </tr>\r\n      </thead>\r\n\r\n      <tbody>\r\n      <{foreach from=$all_content item=data}>\r\n        <tr>\r\n          <td>\r\n            <div><a href="index.php?lunch_data_sn=<{$data.lunch_data_sn}>"><{$data.lunch_date}></a></div>\r\n            <div><a href="index.php?lunch_data_sn=<{$data.lunch_data_sn}>"><{$data.title}></a></div>\r\n          </td>\r\n          <td><{$data.main_food}></td>\r\n          <td><{$data.main_dish}></td>\r\n          <td><{$data.side_dish1}></td>\r\n          <td><{$data.side_dish2}></td>\r\n          <td><{$data.side_dish3}></td>\r\n          <td><{$data.fruit}></td>\r\n          <td><{$data.soup}></td>\r\n          <td><{$data.calorie}></td>\r\n          <{if $isAdmin or $isManager}>\r\n          <td>\r\n            <a href="javascript:delete_tad_lunch2_data_func(<{$data.lunch_data_sn}>);" class="btn btn-mini btn-danger btn-block"><{$smarty.const._TAD_DEL}></a>\r\n            <a href="<{$action}>?op=tad_lunch2_data_form&lunch_data_sn=<{$data.lunch_data_sn}>" class="btn btn-mini btn-warning btn-block"><{$smarty.const._TAD_EDIT}></a>\r\n          </td>\r\n          <{/if}>\r\n        </tr>\r\n      <{/foreach}>\r\n      </tbody>\r\n    </table>\r\n\r\n\r\n  <{if $isAdmin or $isManager}>\r\n  <div class="text-right">\r\n    <a href="<{$action}>?op=tad_lunch2_data_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n  </div>\r\n  <{/if}>\r\n\r\n  <{$bar}>\r\n<{elseif $now_op=="list_tad_lunch2_data"}>\r\n  <div class="hero-unit">\r\n    <{if $isAdmin or $isManager}>\r\n        <a href="<{$action}>?op=tad_lunch2_data_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n    <{/if}>\r\n  </div>\r\n<{/if}>\r\n\r\n<!--顯示某一筆資料-->\r\n<{if $now_op=="show_one_tad_lunch2_data"}>\r\n\r\n  <{foreach from=$all_data item=all}>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span4" style="font-weight:bold;">\r\n       <{$title}>\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <span class="label label-success"><{$smarty.const._MD_TADLUNCH2_PROTEIN}></span>\r\n        <{$all.protein}>g\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <span class="label label-warning"><{$smarty.const._MD_TADLUNCH2_FAT}></span>\r\n        <{$all.fat}>g\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <span class="label label-important"><{$smarty.const._MD_TADLUNCH2_CARBOHYDRATE}></span>\r\n        <{$all.carbohydrate}>g\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <span class="label label-info"><{$smarty.const._MD_TADLUNCH2_CALORIE}></span>\r\n        <{$all.calorie}>g\r\n      </div>\r\n\r\n    </div>\r\n    <table class="table table-striped table-bordered table-hover">\r\n\r\n      <tr>\r\n        <th style="text-align:center;"><!--廠商--></th>\r\n        <th style="text-align:center;"><!--主食--><{$smarty.const._MD_TADLUNCH2_MDIN_FOOD}></th>\r\n        <th style="text-align:center;"><!--主菜--><{$smarty.const._MD_TADLUNCH2_MDIN_DISH}></th>\r\n        <th style="text-align:center;"><!--副菜1--><{$smarty.const._MD_TADLUNCH2_SIDE_DISH1}></th>\r\n        <th style="text-align:center;"><!--副菜2--><{$smarty.const._MD_TADLUNCH2_SIDE_DISH2}></th>\r\n        <th style="text-align:center;"><!--副菜3--><{$smarty.const._MD_TADLUNCH2_SIDE_DISH3}></th>\r\n        <th style="text-align:center;"><!--水果--><{$smarty.const._MD_TADLUNCH2_FRUIT}></th>\r\n        <th style="text-align:center;"><!--湯點--><{$smarty.const._MD_TADLUNCH2_SOUP}></th>\r\n      </tr>\r\n      <tr>\r\n        <th style="text-align:center;"><{$smarty.const._MD_TADLUNCH2_FOOD}></th>\r\n        <td style="text-align:center;"><{$all.main_food}></td>\r\n        <td style="text-align:center;"><{$all.main_dish}></td>\r\n        <td style="text-align:center;"><{$all.side_dish1}></td>\r\n        <td style="text-align:center;"><{$all.side_dish2}></td>\r\n        <td style="text-align:center;"><{$all.side_dish3}></td>\r\n        <td style="text-align:center;"><{$all.fruit}></td>\r\n        <td style="text-align:center;"><{$all.soup}></td>\r\n      </tr>\r\n      <tr>\r\n        <th style="text-align:center;"><{$smarty.const._MD_TADLUNCH2_FOOD_STUFF_SHORT}></th>\r\n        <td style="text-align:center;"><{$all.main_food_stuff}></td>\r\n        <td style="text-align:center;"><{$all.main_dish_stuff}></td>\r\n        <td style="text-align:center;"><{$all.side_dish1_stuff}></td>\r\n        <td style="text-align:center;"><{$all.side_dish2_stuff}></td>\r\n        <td style="text-align:center;"><{$all.side_dish3_stuff}></td>\r\n        <td></td>\r\n        <td style="text-align:center;"><{$all.soup_stuff}></td>\r\n      </tr>\r\n      <tr>\r\n        <th style="text-align:center;"><{$smarty.const._MD_TADLUNCH2_COOK_SHORT}></th>\r\n        <td style="text-align:center;"><{$all.main_food_cook}></td>\r\n        <td style="text-align:center;"><{$all.main_dish_cook}></td>\r\n        <td style="text-align:center;"><{$all.side_dish1_cook}></td>\r\n        <td style="text-align:center;"><{$all.side_dish2_cook}></td>\r\n        <td style="text-align:center;"><{$all.side_dish3_cook}></td>\r\n        <td style="text-align:center;"></td>\r\n        <td style="text-align:center;"><{$all.soup_cook}></td>\r\n      </tr>\r\n    </table>\r\n\r\n    <hr>\r\n  <{/foreach}>\r\n<{/if}>\r\n\r\n\r\n\r\n<{if $now_op=="import_excel"}>\r\n  <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n    <h3><{$lunch_target}></h3>\r\n    <table class="table table-striped table-bordered table-hover">\r\n      <{$main}>\r\n    </table>\r\n    <div class="text-align:center;">\r\n    <input type="hidden" name="lunch_sn" value="<{$lunch_sn}>">\r\n    <input type="hidden" name="lunch_target" value="<{$lunch_target}>">\r\n    <input type="hidden" name="op" value="import2DB">\r\n    <button type="submit" class="btn btn-primary"><{$smarty.const._MD_TAD_LUNCH2_DATA_IMPORT}></button>\r\n  </div>\r\n  </form>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(267, '<{if $block}>\r\n  <table class="table table-striped table-bordered table-hover">\r\n    <thead>\r\n    <tr>\r\n      <th><!--日期--><{$smarty.const._MB_TADLUNCH2_LUNCH_DATE}></th>\r\n      <th><!--主食--><{$smarty.const._MB_TADLUNCH2_MDIN_FOOD}></th>\r\n      <th><!--主菜--><{$smarty.const._MB_TADLUNCH2_MDIN_DISH}></th>\r\n      <th><!--副菜1--><{$smarty.const._MB_TADLUNCH2_SIDE_DISH1}></th>\r\n      <th><!--副菜2--><{$smarty.const._MB_TADLUNCH2_SIDE_DISH2}></th>\r\n      <th><!--副菜3--><{$smarty.const._MB_TADLUNCH2_SIDE_DISH3}></th>\r\n      <th><!--水果--><{$smarty.const._MB_TADLUNCH2_FRUIT}></th>\r\n      <th><!--湯點--><{$smarty.const._MB_TADLUNCH2_SOUP}></th>\r\n      <th><!--總熱量--><{$smarty.const._MB_TADLUNCH2_CALORIE}></th>\r\n    </tr>\r\n    </thead>\r\n\r\n    <tbody>\r\n    <{foreach from=$block item=data}>\r\n      <tr>\r\n        <td>\r\n          <div><a href="<{$xoops_url}>/modules/tad_lunch2/index.php?lunch_data_sn=<{$data.lunch_data_sn}>"><{$data.lunch_date}></a></div>\r\n          <div><a href="<{$xoops_url}>/modules/tad_lunch2/index.php?lunch_data_sn=<{$data.lunch_data_sn}>"><{$data.title}></a></div>\r\n        </td>\r\n        <td><{$data.main_food}></td>\r\n        <td><{$data.main_dish}></td>\r\n        <td><{$data.side_dish1}></td>\r\n        <td><{$data.side_dish2}></td>\r\n        <td><{$data.side_dish3}></td>\r\n        <td><{$data.fruit}></td>\r\n        <td><{$data.soup}></td>\r\n        <td><{$data.calorie}></td>\r\n      </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n  </table>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(431, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $show_error==''1''}>\r\n  <div class="hero-unit">\r\n    <h1><{$msg}></h1>\r\n    <{$other_msg}>\r\n  </div>\r\n<{else}>\r\n  <a href="copycbox.php?op=copycbox" class="btn btn-large btn-danger pull-right"><{$smarty.const._MA_TADDISCUS_IMPORT_FORM_CBOX}></a>\r\n  <{$bar}>\r\n  <table class="table table-striped table-bordered table-hover">\r\n  <tr>\r\n    <th>publisher</th>\r\n    <th>uid</th>\r\n    <th>msg</th>\r\n    <th>post_date</th>\r\n    <th>ip</th>\r\n    <th>only_root</th>\r\n    <th>root_msg</th>\r\n  </tr>\r\n\r\n  <tbody>\r\n\r\n  <{foreach item=bb from=$all_content}>\r\n\r\n  <tr>\r\n      <td><{$bb.publisher}></td>\r\n      <td><{$bb.uid}></td>\r\n      <td><{$bb.msg}></td>\r\n      <td><{$bb.post_date}></td>\r\n      <td><{$bb.ip}></td>\r\n      <td><{$bb.only_root}></td>\r\n      <td><{$bb.root_msg}></td>\r\n    </tr>\r\n  <{/foreach}>\r\n\r\n\r\n\r\n  </tbody>\r\n  </table>\r\n  <{$bar}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(429, '<link rel="stylesheet" type="text/css" media="screen" href="module.css" />\r\n\r\n<div style="border:1px solid #cfcfcf;margin:4px;padding:10px;background:white;-moz-border-radius: 5px;-khtml-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;">\r\n\r\n  <div style="border:1px solid #cfcfcf;float:right; width:<{$discuss.width}>px;height:<{$discuss.width}>px;background: transparent url(<{$discuss.pic}>) no-repeat center;background-size:cover;margin:0px 0px 6px 6px;z-index:1000;position:relative;<{$discuss.pic_css}>" <{$discuss.pic_js}>>\r\n  </div>\r\n\r\n  <div><{$discuss.uid_name}> <{$smarty.const._MD_TADDISCUS_TALK}></div>\r\n\r\n  <div style="font-size:11px;margin:5px 0px;color:#CC0000">\r\n    <{$discuss.DiscussDate}>\r\n  </div>\r\n\r\n  <div style="line-height:160%;margin:10px 0px;text-align:justify;z-index:1;position:relative;">\r\n    <{$discuss.DiscussContent}>\r\n  </div>\r\n\r\n  <{$discuss.files}>\r\n\r\n  <{if $discuss.like}>\r\n    <div style="float:right;color:#B0B0B0;border:1px solid gray;padding:2px 6px;margin:0px 6px;">\r\n    <span id="unlike<{$discuss.DiscussID}>" style="color:#FF6600"><{$discuss.Bad}></span>\r\n    <img src="images/unlike.png" alt="unlike" align="absmiddle" onClick="like(''unlike'',<{$discuss.DiscussID}>);"> |\r\n    <img src="images/like.png" alt="like" align="absmiddle" onClick="like(''like'',<{$discuss.DiscussID}>);">\r\n    <span id="like<{$discuss.DiscussID}>" style="color:#0066FF"><{$discuss.Good}></span></div>\r\n  <{/if}>\r\n\r\n  <{if $discuss.fun}>\r\n    <div style="text-align:left;">\r\n  	<a href="javascript:delete_tad_discuss_func(<{$discuss.DiscussID}>);"><img src="images/delete.png" alt="<{$smarty.const._TAD_DEL}>"></a> |\r\n  	<a href="discuss.php?op=tad_discuss_form&BoardID=<{$discuss.BoardID}>&DiscussID=<{$discuss.DiscussID}>"><img src="images/edit.png" alt="<{$smarty.const._TAD_EDIT}>"></a>\r\n    </div>\r\n  <{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(430, '<link rel="stylesheet" type="text/css" media="screen" href="module.css" />\r\n<{if $discuss.dir!="top"}>\r\n  <div class="triangle-border" style="line-height:150%;margin:26px 0px 16px;">\r\n    <{$discuss.DiscussContent}>\r\n    <br /><{$discuss.files}><span style="width:96%;display:block;margin:10px auto 0px;padding:2px 8px;font-size:12px;color:silver;text-align:right;">\r\n    <{if $discuss.fun}>\r\n    	<a href="javascript:delete_tad_discuss_func(<{$discuss.DiscussID}>);"><img src="images/delete.png" alt="<{$smarty.const._TAD_DEL}>"></a> |\r\n    	<a href="discuss.php?op=tad_discuss_form&BoardID=<{$discuss.BoardID}>&DiscussID=<{$discuss.DiscussID}>"><img src="images/edit.png" alt="<{$smarty.const._TAD_EDIT}>"></a>\r\n    <{/if}>\r\n\r\n    <{$discuss.DiscussDate}>\r\n\r\n    <{if $discuss.like}>\r\n      <div style="float:right;color:#B0B0B0;border:1px solid gray;padding:2px 6px;margin:0px 6px;">\r\n      <span id="unlike<{$discuss.DiscussID}>" style="color:#FF6600"><{$discuss.Bad}></span>\r\n      <img src="images/unlike.png" alt="unlike" align="absmiddle" onClick="like(''unlike'',<{$discuss.DiscussID}>);"> |\r\n      <img src="images/like.png" alt="like" align="absmiddle" onClick="like(''like'',<{$discuss.DiscussID}>);">\r\n      <span id="like<{$discuss.DiscussID}>" style="color:#0066FF"><{$discuss.Good}></span></div>\r\n    <{/if}>\r\n    </span><span style="clean:both;display:block;"></span>\r\n  </div>\r\n<{/if}>\r\n\r\n  <div style="width:<{$discuss.width}>px;text-align:center;">\r\n    <div style="border:1px solid #cfcfcf;width:<{$discuss.width}>px;height:<{$discuss.width}>px;background: transparent url(<{$discuss.pic}>) no-repeat center;-moz-border-radius: 5px;-khtml-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;position:relative;background-size:cover;<{$discuss.pic_css}>" <{$discuss.pic_js}>>\r\n      <div style="position:absolute;right:6px;bottom:6px;" class="name_shadow"><{$discuss.uid_name}></div>\r\n    </div>\r\n  </div>\r\n\r\n<{if $discuss.dir=="top"}>\r\n  <div class="triangle-border top" style="line-height:150%;">\r\n    <{$discuss.DiscussContent}>\r\n    <br /><{$discuss.files}><span style="width:96%;display:block;margin:10px auto 0px;padding:2px 8px;font-size:12px;color:silver;text-align:right;">\r\n    <{if $discuss.fun}>\r\n    	<a href="javascript:delete_tad_discuss_func(<{$discuss.DiscussID}>);"><img src="images/delete.png" alt="<{$smarty.const._TAD_DEL}>"></a> |\r\n    	<a href="discuss.php?op=tad_discuss_form&BoardID=<{$discuss.BoardID}>&DiscussID=<{$discuss.DiscussID}>"><img src="images/edit.png" alt="<{$smarty.const._TAD_EDIT}>"></a>\r\n    <{/if}>\r\n\r\n    <{$discuss.DiscussDate}>\r\n\r\n    <{if $discuss.like}>\r\n      <div style="float:right;color:#B0B0B0;border:1px solid gray;padding:2px 6px;margin:0px 6px;">\r\n      <span id="unlike<{$discuss.DiscussID}>" style="color:#FF6600"><{$discuss.Bad}></span>\r\n      <img src="images/unlike.png" alt="unlike" align="absmiddle" onClick="like(''unlike'',<{$discuss.DiscussID}>);"> |\r\n      <img src="images/like.png" alt="like" align="absmiddle" onClick="like(''like'',<{$discuss.DiscussID}>);">\r\n      <span id="like<{$discuss.DiscussID}>" style="color:#0066FF"><{$discuss.Good}></span></div>\r\n    <{/if}>\r\n    </span><span style="clean:both;display:block;"></span>\r\n  </div>\r\n<{/if}>\r\n\r\n<div style="clear:both;"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(427, '<link rel="stylesheet" type="text/css" media="screen" href="module.css" />\r\n<table>\r\n  <tr>\r\n    <td style="border:1px solid #cfcfcf; width:120px;height:120px;background: transparent url(<{$discuss.pic}>) no-repeat center;background-size:cover;<{$discuss.pic_css}>" <{$discuss.pic_js}>>\r\n    </td>\r\n    <td style="background-color:white;vertical-align:top;">\r\n      <div style="float:right;padding:10px;margin:10px;">\r\n        <{if $discuss.fun}>\r\n          <a href="discuss.php?op=tad_discuss_form&BoardID=<{$discuss.BoardID}>&DiscussID=<{$discuss.DiscussID}>" class="mobile_btn"><{$smarty.const._TAD_EDIT}></a>\r\n          <a href="javascript:delete_tad_discuss_func(<{$discuss.DiscussID}>);" class="mobile_btn"><{$smarty.const._TAD_DEL}></a>\r\n        <{/if}>\r\n        <{if $discuss.like}>\r\n          <a href="javascript:like(''unlike'',<{$discuss.DiscussID}>);" class="mobile_btn">\r\n          <span id="unlike<{$discuss.DiscussID}>" style="color:#FF6600"><{$discuss.Bad}></span><img src="images/unlike.png" alt="unlike" align="absmiddle"></a>\r\n          <a href="javascript:like(''like'',<{$discuss.DiscussID}>);" class="mobile_btn"><img src="images/like.png" alt="like" align="absmiddle">\r\n          <span id="like<{$discuss.DiscussID}>" style="color:#0066FF"><{$discuss.Good}></span></a>\r\n        <{/if}>\r\n  \r\n      </div>\r\n\r\n      <div style="background-color:#EEEEEF;width:100%;height:76px;margin-top:10px;">\r\n        <div style="color:#265827;text-decoration:none;font-family:Verdana;font-weight:bold;font-size:11pt;padding:10px;"><{$discuss.uid_name}></div>\r\n        <div style="color:black;font-weight:normal;font-size:12px;padding: 0px 0px 0px 10px;"><{$discuss.DiscussDate}> #<{$discuss.i}></div>\r\n      </div>\r\n    </td>\r\n  </tr>\r\n  <tr style="background-color:white;">\r\n    <td colspan=2>\r\n    <div class="mobilesty" style="line-height:160%;margin:10px 10px 10px 0px;font-size:11pt;text-align:justify;"><{$discuss.DiscussContent}></div>\r\n    <{$discuss.files}>\r\n    <div style="clear:both;height:40px;"></div>\r\n    </td>\r\n  </tr>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(428, '<link rel="stylesheet" type="text/css" media="screen" href="module.css" />\r\n<div style="width:<{$discuss.width}>px;float:<{$discuss.dir}>;text-align:center;margin-top:10px;">\r\n  <div style="border:1px solid #cfcfcf;width:<{$discuss.width}>px;height:<{$discuss.width}>px;background: transparent url(<{$discuss.pic}>) no-repeat center;-moz-border-radius: 5px;-khtml-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;position:relative;background-size:cover;<{$discuss.pic_css}>" <{$discuss.pic_js}>>\r\n    <div style="position:absolute;right:6px;bottom:6px;" class="name_shadow"><{$discuss.uid_name}></div>\r\n  </div>\r\n\r\n</div>\r\n<div style="margin-<{$discuss.dir}>:110px;">\r\n  <div class="triangle-border <{$discuss.dir}>" style="line-height:150%;">\r\n  <br />\r\n  <{$discuss.DiscussContent}>\r\n  <{$discuss.files}>\r\n  <span style="width:96%;display:block;margin:10px auto 0px;padding:2px 8px;font-size:12px;color:silver;text-align:right;">\r\n    <{if $discuss.fun}>\r\n    	<a href="javascript:delete_tad_discuss_func(<{$discuss.DiscussID}>);"><img src="images/delete.png" alt="<{$smarty.const._TAD_DEL}>"></a> |\r\n    	<a href="discuss.php?op=tad_discuss_form&BoardID=<{$discuss.BoardID}>&DiscussID=<{$discuss.DiscussID}>"><img src="images/edit.png" alt="<{$smarty.const._TAD_EDIT}>"></a>\r\n    <{/if}>\r\n\r\n    <{$discuss.DiscussDate}>\r\n\r\n    <{if $discuss.like}>\r\n      <div style="float:right;color:#B0B0B0;border:1px solid gray;padding:2px 6px;margin:0px 6px;">\r\n      <span id="unlike<{$discuss.DiscussID}>" style="color:#FF6600"><{$discuss.Bad}></span>\r\n      <img src="images/unlike.png" alt="unlike" align="absmiddle" onClick="like(''unlike'',<{$discuss.DiscussID}>);"> |\r\n      <img src="images/like.png" alt="like" align="absmiddle" onClick="like(''like'',<{$discuss.DiscussID}>);">\r\n      <span id="like<{$discuss.DiscussID}>" style="color:#0066FF"><{$discuss.Good}></span></div>\r\n    <{/if}>\r\n  </span>\r\n  <span style="clean:both;display:block;"></span>\r\n  </div>\r\n</div>\r\n<div style="clear:both;"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(426, '<h2><{$BoardTitle}></h2>\r\n<{$formValidator_code}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="reset.css" />\r\n<script type="text/javascript" src="class/nicEdit.js"></script>\r\n<script type="text/javascript">\r\n	bkLib.onDomLoaded(function() { nicEditors.allTextAreas() });\r\n</script>\r\n<script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n<form action="discuss.php" method="post" id="myForm" enctype="multipart/form-data">\r\n  <{if $display_mode=="top" || $display_mode=="bottom"}>\r\n    <{includeq file="db:tad_discuss_talk_bubble_vertical.html"}>\r\n  <{elseif $display_mode=="mobile"}>\r\n    <{includeq file="db:tad_discuss_mobile.html"}>\r\n  <{elseif $display_mode=="clean"}>\r\n    <{includeq file="db:tad_discuss_clean.html"}>\r\n  <{elseif $display_mode=="default"}>\r\n    <{includeq file="db:tad_discuss_talk_bubble.html"}>\r\n  <{else}>\r\n    <{includeq file="db:tad_discuss_bootstrap.html"}>\r\n  <{/if}>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(425, '<h2><{$BoardTitle}></h2>\r\n\r\n<{$formValidator_code}>\r\n\r\n<link rel="stylesheet" type="text/css" media="screen" href="reset.css" />\r\n\r\n<script type="text/javascript" src="class/nicEdit.js"></script>\r\n\r\n<script type="text/javascript">\r\n	bkLib.onDomLoaded(function() { nicEditors.allTextAreas() });\r\n</script>\r\n\r\n<script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n\r\n<form action="discuss.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n<{if $display_mode=="mobile"}>\r\n  <table>\r\n    <tr>\r\n      <td style="border:1px solid #cfcfcf; width:<{$discuss.width}>px;height:<{$discuss.width}>px;background: transparent url(<{$discuss.pic}>) no-repeat center;background-size:cover;<{$discuss.pic_css}>" <{$discuss.pic_js}>>\r\n      </td>\r\n      <td style="background-color:white;vertical-align:top;">\r\n        <div style="float:right;padding:10px;margin:10px;">\r\n        <{$discuss.fun}>\r\n        <{$discuss.like}>\r\n        </div>\r\n\r\n        <div style="background-color:#EEEEEF;width:100%;height:76px;margin-top:10px;">\r\n          <div style="color:#265827;text-decoration:none;font-family:Verdana;font-weight:bold;font-size:11pt;padding:10px;"><{$discuss.uid_name}></div>\r\n          <div style="color:black;font-weight:normal;font-size:12px;padding: 0px 0px 0px 10px;"><{$discuss.DiscussDate}> #<{$discuss.i}></div>\r\n        </div>\r\n      </td>\r\n    </tr>\r\n    <tr style="background-color:white;">\r\n      <td colspan=2>\r\n      <div class="mobilesty" style="line-height:160%;margin:10px 10px 10px 0px;font-size:11pt;text-align:justify;"><{$discuss.DiscussContent}></div>\r\n      <{$discuss.files}>\r\n      <div style="clear:both;height:40px;"></div>\r\n      </td>\r\n    </tr>\r\n  </table>\r\n<{/if}>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(424, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $now_op==''list_spam'' or $now_op==''search_spam''}>\r\n  <{$jquery}>\r\n  <script type="text/javascript">\r\n  $().ready(function(){\r\n    $("#clickAll").click(function() {\r\n      if($("#clickAll").attr("checked")){\r\n        $("input[name=''spam_keyword[]'']").each(function() {\r\n        $(this).attr("checked", true);\r\n      });\r\n    }else{\r\n     $("input[name=''spam_keyword[]'']").each(function() {\r\n         $(this).attr("checked", false);\r\n     });\r\n    }\r\n    });\r\n\r\n\r\n  });\r\n\r\n  function delme(id){\r\n    $.post("spam.php", { op: "update_config", item: $(''#chk''+id).val()},\r\n      function(data) {\r\n      $(''#k''+id).remove();\r\n    });\r\n  }\r\n  </script>\r\n\r\n  <div id="msg"></div>\r\n  <form action="spam.php" method="post">\r\n    <label class="checkbox inline">\r\n      <input type="checkbox" value="<{$spam.keyword}>" id="clickAll" checked>ALL\r\n    </label>\r\n    <{assign var="i" value=0}>\r\n    <{foreach from=$all_keyword item=spam}>\r\n      <{assign var="i" value=$i+1}>\r\n      <label class="checkbox inline" id="k<{$i}>">\r\n        <input name="spam_keyword[]" id="chk<{$i}>" type="checkbox" value="<{$spam.keyword}>" <{$spam.checked}>><{$spam.keyword}>\r\n      <a href="javascript:delme(''<{$i}>'');"><img src="../images/del2.gif" alt="<{$smarty.const._TAD_DEL}>" ></a>\r\n      </label>\r\n    <{/foreach}>\r\n    <input name="new_spam_keyword" type="text" class="span3" placeholder="<{$smarty.const._MA_TADDISCUS_NEW_SPAM_KEYWORD}>">\r\n    <input type="hidden" name="op" value="search_spam">\r\n    <button type="submit" class="btn btn-primary"><{$smarty.const._SUBMIT}></button>\r\n  </form>\r\n<{/if}>\r\n\r\n<{if $now_op==''search_spam''}>\r\n  <form action="spam.php" method="post">\r\n    <table class="table table-striped table-bordered table-hover">\r\n      <tr>\r\n        <th>DiscussID</th>\r\n        <th>ReDiscussID</th>\r\n        <th>DiscussTitle</th>\r\n        <th>DiscussDate</th>\r\n        <th>uid_name</th>\r\n        <th>Counter</th>\r\n      </tr>\r\n      <{foreach from=$all_content item=spam}>\r\n        <tr>\r\n          <td>\r\n            <label class="checkbox inline">\r\n              <input name="SpamDiscussID[<{$spam.DiscussID}>]" type="checkbox" value="<{$spam.DiscussID}>" checked><{$spam.DiscussID}>\r\n            </label>\r\n          </td>\r\n          <td>\r\n            <{$spam.ReDiscussID}>\r\n          </td>\r\n          <td>\r\n            <a href="../discuss.php?DiscussID=<{$spam.DiscussID}>&BoardID=<{$spam.BoardID}>" target="_blank"><{$spam.DiscussTitle}></a>\r\n          </td>\r\n          <td>\r\n            <{$spam.DiscussDate}>\r\n          </td>\r\n          <td>\r\n            <{$spam.uid_name}>\r\n          </td>\r\n          <td>\r\n            <{$spam.Counter}>\r\n          </td>\r\n        </tr>\r\n      <{/foreach}>\r\n    </table>\r\n    <input type="hidden" name="op" value="del_spam">\r\n    <button type="submit" class="btn btn-danger"><{$smarty.const._TAD_DEL}></button>\r\n  </form>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(423, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $show_error==''1''}>\r\n<{$error}>\r\n  <div class="hero-unit">\r\n    <h1><{$smarty.const._MA_TADDISCUS_NO_XFORUM}></h1>\r\n  </div>\r\n<{elseif $op==''listBoard''}>\r\n  <div class="pull-right">\r\n	<a href="copybb.php?op=copyDiscuss&BoardID=<{$BoardID}>" class="btn btn-large btn-info"><{$smarty.const._MA_TADDISCUS_COPY_DISCUSS}></a>\r\n	<a href="copybb.php?op=copyDiscuss&BoardID=<{$BoardID}>&mode=force" class="btn btn-large btn-warning"><{$smarty.const._MA_TADDISCUS_COPY_DISCUSS_FORCE}></a>\r\n	</div>\r\n  <div class="clearfix"></div>\r\n\r\n	<form action="copybb.php" method="post" class="form">\r\n	<table class="table table-striped table-bordered table-hover">\r\n	<tr>\r\n    <th>#</th>\r\n		<th>DiscussID</th>\r\n		<th>uid</th>\r\n		<th>DiscussTitle</th>\r\n		<th>DiscussDate</th>\r\n		<th>BoardID</th>\r\n		<th>LastTime</th>\r\n		<th>Counter</th>\r\n		<th>FromIP</th>\r\n	</tr>\r\n\r\n	<tbody>\r\n	<{foreach item=bb from=$all_content}>\r\n		<tr>\r\n      <td><{$bb.i}></td>\r\n      <td><a href="copybb.php?op=delXforum&topic_id=<{$bb.topic_id}>&BoardID=<{$bb.BoardID}>" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a></td>\r\n      <td><{$bb.topic_id}></td>\r\n			<td><{$bb.topic_poster}></td>\r\n			<td>\r\n      <label class="checkbox inline">\r\n      <input type="checkbox" name="batch_del[]" value="<{$bb.topic_id}>">  <{$bb.topic_title}>\r\n      </label>\r\n      </td>\r\n			<td><{$bb.topic_time}></td>\r\n			<td><{$bb.forum_id}></td>\r\n			<td><{$bb.post_time}></td>\r\n			<td><{$bb.topic_views}></td>\r\n			<td><{$bb.poster_ip}></td>\r\n		</tr>\r\n  <{/foreach}>\r\n	</tbody>\r\n	</table>\r\n  <input type="hidden" name="BoardID" value="<{$BoardID}>">\r\n  <input type="hidden" name="op" value="batch_del">\r\n	<button type="submit" class="btn btn-large btn-danger pull-right"><{$smarty.const._MA_TADDISCUS_BATCH_DEL}></button>\r\n  </form>\r\n  <div class="clearfix"></div>\r\n\r\n<{else}>\r\n	<table class="table table-striped table-bordered table-hover">\r\n	<tr>\r\n		<th>BoardID</th>\r\n		<th>BoardTitle</th>\r\n		<th>BoardDesc</th>\r\n		<th>BoardManager</th>\r\n		<th>BoardSort</th>\r\n		<th><{$smarty.const._MA_TADDISCUS_COPY}></th>\r\n		<th><{$smarty.const._MA_TADDISCUS_COPY_AMOUNT}></th>\r\n		<th><{$smarty.const._MA_TADDISCUS_READ_POWER}></th>\r\n		<th><{$smarty.const._MA_TADDISCUS_POST_POWER}></th>\r\n		<th><{$smarty.const._MA_TADDISCUS_POWER_STATUS}></th>\r\n	</tr>\r\n\r\n	<tbody>\r\n\r\n	<{foreach item=bb from=$all_content}>\r\n\r\n	<tr>\r\n      <td><{$bb.forum_id}></td>\r\n			<td><{$bb.forum_name}></td>\r\n			<td><{$bb.forum_desc}></td>\r\n			<td><{$bb.moderator}></td>\r\n			<td><{$bb.forum_order}></td>\r\n			<td><{$bb.tool}></td>\r\n			<td nowrap><{$bb.discuss_num}> / <{$bb.discuss_num2}></td>\r\n			<td><{$bb.forum_read}></td>\r\n			<td><{$bb.forum_post}></td>\r\n			<td><{$bb.power_status}></td>\r\n		</tr>\r\n  <{/foreach}>\r\n\r\n\r\n\r\n	</tbody>\r\n\r\n	<tr>\r\n		<td colspan=6 class=''bar''>\r\n		<{$add_button}>\r\n		<{$bar}>\r\n		</td>\r\n	</tr>\r\n	</table>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(422, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n<{$jquery}>\r\n\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/jqueryCookie/jquery.cookie.js"></script>\r\n<script type="text/javascript">\r\n$(document).ready(function() {\r\n  var $tabs = $("#tad_discuss_grouppermform_tabs").tabs({ cookie: { expires: 30 } , collapsible: false});\r\n});\r\n</script>\r\n<div id="tad_discuss_grouppermform_tabs">\r\n  <ul>\r\n    <li><a href="#tabs-1"><{$smarty.const._MA_TADDISCUS_READ_POWER}></a></li>\r\n    <li><a href="#tabs-2"><{$smarty.const._MA_TADDISCUS_POST_POWER}></a></li>\r\n  </ul>\r\n  <div id="tabs-1">\r\n    <{$forum_read}>\r\n  </div>\r\n  <div id="tabs-2">\r\n    <{$forum_post}>\r\n  </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(421, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $op=="tad_discuss_board_form"}>\r\n<h1><{$smarty.const._MA_TAD_DISCUSS_BOARD_FORM}></h1>\r\n\r\n  <{$formValidator_code}>\r\n  <script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n  <form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n  <div class="row-fluid">\r\n    <!--討論區名稱-->\r\n    <label class="span1">\r\n      <{$smarty.const._MA_TADDISCUS_OFBOARDID}>\r\n    </label>\r\n    <div class="span2">\r\n      <select name="ofBoardID" class="span12">\r\n        <option value="0" <{if $of.BoardID==$ofBoardID}>selected<{/if}>></option>\r\n        <{foreach from=$ofBoardArr item=of}>\r\n          <option value="<{$of.BoardID}>" <{if $of.BoardID==$ofBoardID}>selected<{/if}>><{$of.BoardTitle}></option>\r\n        <{/foreach}>\r\n      </select>\r\n    </div>\r\n    <div class="span6">\r\n      <input type="text" name="BoardTitle" value="<{$BoardTitle}>" id="BoardTitle" class="span12 validate[required]" placeholder="<{$smarty.const._MA_TADDISCUS_BOARDTITLE}>" >\r\n    </div>\r\n\r\n    <div class="span3">\r\n      <!--狀態-->\r\n      <label class="radio inline">\r\n        <input type="radio" name="BoardEnable" id="BoardEnable_1" value="1" <{$BoardEnable1}>><{$smarty.const._TAD_ENABLE}>\r\n      </label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="BoardEnable" id="BoardEnable_0" value="0" <{$BoardEnable0}>><{$smarty.const._TAD_UNABLE}>\r\n      </label>\r\n    </div>\r\n  </div>\r\n\r\n\r\n\r\n  <div class="row-fluid">\r\n    <!--討論區說明-->\r\n    <div class="span9">\r\n      <textarea name="BoardDesc" rows=3 id="BoardDesc" class="span12" placeholder="<{$smarty.const._MA_TADDISCUS_BOARDDESC}>"><{$BoardDesc}></textarea>\r\n    </div>\r\n    <!--討論區圖片-->\r\n    <div class="span3">\r\n    <{$upform}>\r\n    </div>\r\n  </div>\r\n\r\n\r\n  <div class="row-fluid">\r\n    <!--讀取權限-->\r\n    <div class="span3"><label><{$smarty.const._MA_TADDISCUS_READ_POWER}></label><{$enable_read_group}></div>\r\n    <!--寫入權限-->\r\n    <div class="span3"><label><{$smarty.const._MA_TADDISCUS_POST_POWER}></label><{$enable_post_group}></div>\r\n    <!--板主-->\r\n    <div class="span3"><label><{$smarty.const._MA_TADDISCUS_BOARDMANAGER}></label><{$user_menu}></div>\r\n    <div class="span3">\r\n      <input type="hidden" name="BoardID" value="<{$BoardID}>">\r\n      <input type="hidden" name="op" value="<{$next_op}>">\r\n      <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n  </div>\r\n\r\n\r\n\r\n  </form>\r\n<{else}>\r\n\r\n\r\n  <{$jquery}>\r\n\r\n  <script type="text/javascript">\r\n  $(document).ready(function(){\r\n      $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n          var order = $(this).sortable("serialize");\r\n          $.post("save_sort.php", order, function(theResponse){\r\n              $("#save_msg").html(theResponse);\r\n          });\r\n      }\r\n      });\r\n  });\r\n\r\n\r\n  function delete_tad_discuss_board_func(BoardID){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)  return;\r\n    location.href="main.php?op=delete_tad_discuss_board&BoardID=" + BoardID;\r\n  }\r\n  </script>\r\n\r\n  <{if $all_content}>\r\n\r\n    <div id="save_msg"></div>\r\n\r\n    <table class="table table-striped">\r\n    <tr>\r\n      <th colspan=2><{$smarty.const._MA_TADDISCUS_BOARDTITLE}></th>\r\n      <th><{$smarty.const._MA_TADDISCUS_AMOUNT}></th>\r\n      <th><{$smarty.const._MA_TADDISCUS_BOARDMANAGER}></th>\r\n      <th><{$smarty.const._MA_TADDISCUS_BOARDENABLE}></th>\r\n      <th><{$smarty.const._TAD_FUNCTION}></th>\r\n    </tr>\r\n\r\n    <tbody id="sort">\r\n      <{foreach item=all from=$all_content}>\r\n      <tr id="tr_<{$all.BoardID}>" style="background-color:<{$all.color}>;">\r\n        <td>\r\n          <img src="<{$all.pic}>" alt="<{$all.BoardTitle}>" title="<{$all.BoardTitle}>" class="img-polaroid" width="120">\r\n        </td>\r\n        <td>\r\n          <a href="main.php?BoardID=<{$all.BoardID}>"><{$all.BoardTitle}></a>\r\n          <div style="width:300px;font-size:12px;color:gray;margin:8px 0px"><{$all.BoardDesc}></div>\r\n        </td>\r\n        <td>\r\n          <div style="margin:6px 0px;"><{$all.BoardNum}></div>\r\n          <div><{$all.BoardNum2}></div>\r\n        </td>\r\n        <td><{$all.BoardManager}></td>\r\n        <td><{$all.BoardEnable}></td>\r\n        <td>\r\n            <{if $all.BoardEnable==1}>\r\n              <a href="main.php?op=changeBoardStatus&act=0&BoardID=$BoardID" class="link_button">\r\n              <img src="../images/cancel.png" alt="<{$smarty.const._TAD_UNABLE}>"><{$smarty.const._TAD_UNABLE}>\r\n            </a>\r\n            <{else}>\r\n              <a href="javascript:delete_tad_discuss_board_func(<{$all.BoardID}>);" class="link_button">\r\n                <img src="../images/delete.png" alt="<{$smarty.const._TAD_DEL}>"><{$smarty.const._TAD_DEL}>\r\n              </a>\r\n                <a href="main.php?op=changeBoardStatus&act=1&BoardID=<{$all.BoardID}>" class="link_button">\r\n                  <img src="../images/accept.png" alt="<{$smarty.const._TAD_ENABLE}>"><{$smarty.const._TAD_ENABLE}>\r\n                </a>\r\n            <{/if}>\r\n            <a href="main.php?op=tad_discuss_board_form&BoardID= <{$all.BoardID}>" class="link_button">\r\n              <img src="../images/edit.png" alt="<{$smarty.const._TAD_EDIT}>"><{$smarty.const._TAD_EDIT}>\r\n            </a>\r\n\r\n            <form action="main.php" method="post">\r\n              <select name="NewBoardID" style="width:100px;">\r\n                <option value=""><{$smarty.const._MA_TADDISCUS_MOVE}></option>\r\n                <{$all.get_tad_discuss_board_menu_options}>\r\n              </select>\r\n              <input type="hidden" name="BoardID" value="<{$all.BoardID}>">\r\n              <input type="hidden" name="op" value="moveToBoardID">\r\n              <button type="submit" class="btn btn-small btn-info"><{$smarty.const._MA_TADDISCUS_MERGE}></button>\r\n            </form>\r\n          </td>\r\n      </tr>\r\n\r\n      <!--子分類-->\r\n      <{if $all.subBoard}>\r\n        <{foreach item=sb from=$all.subBoard}>\r\n          <tr id="tr_<{$sb.BoardID}>" style="background-color:<{$sb.color}>;">\r\n            <td>\r\n\r\n            </td>\r\n            <td>\r\n              <img src="<{$sb.pic}>" alt="<{$sb.BoardTitle}>" title="<{$sb.BoardTitle}>" class="img-polaroid" width="120">\r\n              <a href="main.php?BoardID=<{$sb.BoardID}>"><{$sb.BoardTitle}></a>\r\n              <div style="width:300px;font-size:12px;color:gray;margin:8px 0px"><{$sb.BoardDesc}></div>\r\n            </td>\r\n            <td>\r\n              <div style="margin:6px 0px;"><{$sb.BoardNum}></div>\r\n              <div><{$sb.BoardNum2}></div>\r\n            </td>\r\n            <td><{$sb.BoardManager}></td>\r\n            <td><{$sb.BoardEnable}></td>\r\n            <td>\r\n                <{if $sb.BoardEnable==1}>\r\n                  <a href="main.php?op=changeBoardStatus&act=0&BoardID=$BoardID" class="link_button">\r\n                  <img src="../images/cancel.png" alt="<{$smarty.const._TAD_UNABLE}>"><{$smarty.const._TAD_UNABLE}>\r\n                </a>\r\n                <{else}>\r\n                  <a href="javascript:delete_tad_discuss_board_func(<{$sb.BoardID}>);" class="link_button">\r\n                    <img src="../images/delete.png" alt="<{$smarty.const._TAD_DEL}>"><{$smarty.const._TAD_DEL}>\r\n                  </a>\r\n                    <a href="main.php?op=changeBoardStatus&act=1&BoardID=<{$sb.BoardID}>" class="link_button">\r\n                      <img src="../images/accept.png" alt="<{$smarty.const._TAD_ENABLE}>"><{$smarty.const._TAD_ENABLE}>\r\n                    </a>\r\n                <{/if}>\r\n                <a href="main.php?op=tad_discuss_board_form&BoardID= <{$sb.BoardID}>" class="link_button">\r\n                  <img src="../images/edit.png" alt="<{$smarty.const._TAD_EDIT}>"><{$smarty.const._TAD_EDIT}>\r\n                </a>\r\n\r\n                <form action="main.php" method="post">\r\n                  <select name="NewBoardID" style="width:100px;">\r\n                    <option value=""><{$smarty.const._MA_TADDISCUS_MOVE}></option>\r\n                    <{$sb.get_tad_discuss_board_menu_options}>\r\n                  </select>\r\n                  <input type="hidden" name="BoardID" value="<{$sb.BoardID}>">\r\n                  <input type="hidden" name="op" value="moveToBoardID">\r\n                  <button type="submit" class="btn btn-small btn-info"><{$smarty.const._MA_TADDISCUS_MERGE}></button>\r\n                </form>\r\n              </td>\r\n          </tr>\r\n          <{/foreach}>\r\n        <{/if}>\r\n      <{/foreach}>\r\n    </tbody>\r\n\r\n    </table>\r\n  <{/if}>\r\n\r\n  <a href="main.php?op=tad_discuss_board_form" class="btn btn-info"><{$smarty.const._MA_TADDISCUS_ADD_BOARD}></a>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(420, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n\r\n<{if $op=="tad_discuss_form"}>\r\n\r\n  <{foreach item=discuss from=$form_data}>\r\n    <{includeq file="db:tad_discuss_form.html"}>\r\n  <{/foreach}>\r\n\r\n<{elseif $op=="show_one_tad_discuss"}>\r\n  <{$js}>\r\n  <h1><a href="discuss.php?BoardID=<{$BoardID}>"><{$BoardTitle}></a> / <{$DiscussTitle}></h1>\r\n  <{foreach item=discuss from=$discuss_data}>\r\n    <{if $display_mode=="top" || $display_mode=="bottom"}>\r\n      <{includeq file="db:tad_discuss_talk_bubble_vertical.html"}>\r\n    <{elseif $display_mode=="mobile"}>\r\n      <{includeq file="db:tad_discuss_mobile.html"}>\r\n    <{elseif $display_mode=="clean"}>\r\n      <{includeq file="db:tad_discuss_clean.html"}>\r\n    <{elseif $display_mode=="default"}>\r\n      <{includeq file="db:tad_discuss_talk_bubble.html"}>\r\n    <{else}>\r\n      <{includeq file="db:tad_discuss_bootstrap.html"}>\r\n    <{/if}>\r\n  <{/foreach}>\r\n  <{$formValidator_code}>\r\n  <link rel="stylesheet" type="text/css" media="screen" href="reset.css" />\r\n  <script type="text/javascript" src="class/nicEdit.js"></script>\r\n  <script type="text/javascript">\r\n    bkLib.onDomLoaded(function() { nicEditors.allTextAreas() });\r\n  </script>\r\n  <script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n  <form action="discuss.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <{foreach item=discuss from=$form_data}>\r\n      <{if $display_mode=="top" || $display_mode=="bottom"}>\r\n        <{includeq file="db:tad_discuss_talk_bubble_vertical.html"}>\r\n      <{elseif $display_mode=="mobile"}>\r\n        <{includeq file="db:tad_discuss_mobile.html"}>\r\n      <{elseif $display_mode=="clean"}>\r\n        <{includeq file="db:tad_discuss_clean.html"}>\r\n      <{elseif $display_mode=="default"}>\r\n        <{includeq file="db:tad_discuss_talk_bubble.html"}>\r\n      <{else}>\r\n        <{includeq file="db:tad_discuss_bootstrap.html"}>\r\n      <{/if}>\r\n    <{/foreach}>\r\n  </form>\r\n\r\n<{else}>\r\n\r\n\r\n  <h1><{$ShowBoardTitle}></h1>\r\n\r\n	<{$FooTableJS}>\r\n	<div class="well" style="background-color:white;">\r\n  	<table class="table table-striped table-hover">\r\n  	<thead>\r\n  	<tr>\r\n  		<th data-class="expand"><{$smarty.const._MD_TADDISCUS_DISCUSSTITLE}></th>\r\n  		<th data-hide="phone"><{$smarty.const._MD_TADDISCUS_DISCUSSRE}></th>\r\n  		<th data-hide="phone"><{$smarty.const._MD_TADDISCUS_UID}></th>\r\n  		<th data-hide="phone"><{$smarty.const._MD_TADDISCUS_LAST_RE}></th>\r\n  	</tr>\r\n  	</thead>\r\n\r\n  	<tbody>\r\n\r\n    <{if $main_data}>\r\n      <{foreach item=discuss from=$main_data}>\r\n        <tr>\r\n      		<td><img src="images/<{if $discuss.isPublic}>greenpoint.gif<{else}>lock.gif<{/if}>" alt="<{$discuss.DiscussTitle}>" title="<{$discuss.DiscussTitle}>" align="absmiddle" style="margin-right:3px;"><a href="discuss.php?DiscussID=<{$discuss.DiscussID}>&BoardID=<{$discuss.BoardID}>" style="color:#505050"><{$discuss.DiscussTitle}></a></td>\r\n      		<td class="text-center"><{$discuss.renum}></td>\r\n      		<td><div style="font-size:10px;"><{$discuss.DiscussDate}></div><div><{$discuss.uid_name}></div></td>\r\n      		<td><div style="font-size:10px;"><{$discuss.LastTime}></div><div><{$discuss.last_uid_name}></div></td>\r\n    		</tr>\r\n      <{/foreach}>\r\n    <{else}>\r\n      <tr>\r\n        <td colspan=4 class="text-center">\r\n          <img src="images/add.png" align="absmiddle" hspace=4 alt="<{$smarty.const._MD_TADDISCUS_ADD_DISCUSS}>">\r\n          <a href="discuss.php?op=tad_discuss_form&BoardID=<{$DefBoardID}>"><{$smarty.const._MD_TADDISCUS_DISCUSS_EMPTY}></a>\r\n        </td>\r\n      </tr>\r\n    <{/if}>\r\n  	<tr>\r\n    	<td colspan=5>\r\n    	<{$post_tool}>\r\n      </td>\r\n    </tr>\r\n  	</tbody>\r\n  	</table>\r\n	</div>\r\n      <{$bar}>\r\n<{/if}>\r\n\r\n<{include file=''db:system_notification_select.html''}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(419, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<{if $all_content}>\r\n  <{$FooTableJS}>\r\n  <table class="table table-striped table-hover">\r\n  <thead>\r\n  <tr>\r\n    <th data-hide="phone"></th>\r\n    <th data-class="expand"></th>\r\n    <th data-hide="phone"></th>\r\n    <th data-hide="phone"></th>\r\n  </tr>\r\n  </thead>\r\n\r\n  <{foreach item=bb from=$all_content}>\r\n    <tbody>\r\n      <tr>\r\n        <td style="vertical-align:top;width:100px;">\r\n          <div style="width:90px;height:60px;background: transparent url(<{$bb.pic}>) no-repeat center top;-moz-border-radius: 5px;-khtml-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;position:relative;" alt="<{$bb.BoardTitle}>" title="<{$bb.BoardTitle}>"></div>\r\n\r\n        </td>\r\n        <td colspan=4>\r\n        <a href="discuss.php?op=tad_discuss_form&BoardID=<{$bb.BoardID}>" style="float:right;" class="btn btn-info"><{$smarty.const._MD_TADDISCUS_ADD_DISCUSS}></a>\r\n        <a href="discuss.php?BoardID=<{$bb.BoardID}>" style="font-size:130%"><{$bb.BoardTitle}></a> <{$bb.fun}>\r\n        <div style="margin:10px auto;font-size:12px;">\r\n          <img src="images/add.png" align="absmiddle" hspace=4 alt="<{$bb.BoardNum}>"><{$bb.BoardNum}> / <img src="images/add.png" align="absmiddle" hspace=4 alt="<{$bb.DiscussNum}>"><{$bb.DiscussNum}>  / <span style="font-size:11px;"><img src="images/cup.png" align="absmiddle" hspace=4 alt="<{$bb.BoardManager}>"><{$smarty.const._MD_TADDISCUS_BOARDMANAGER}><{$smarty.const._TAD_FOR}><{$bb.BoardManager}></span>\r\n        </div>\r\n        </td>\r\n      </tr>\r\n      <{if $bb.list_tad_discuss}>\r\n        <{foreach item=discuss from=$bb.list_tad_discuss}>\r\n          <tr>\r\n            <td nowrap style="font-size:11px;"><{$discuss.LastTime}></td>\r\n            <td><a href="discuss.php?DiscussID=<{$discuss.DiscussID}>&BoardID=<{$discuss.BoardID}>"><{$discuss.DiscussTitle}></a></td>\r\n            <td class="text-right;"><{$discuss.uid_name}></td>\r\n            <td class="text-center"><{$discuss.renum}></td>\r\n          </tr>\r\n        <{/foreach}>\r\n      <{elseif $login}>\r\n        <tr>\r\n          <td colspan=4 style="border:none;text-align:right;">\r\n            <a href="discuss.php?op=tad_discuss_form&BoardID=<{$bb.BoardID}>">\r\n              <img src="images/add.png" align="absmiddle" hspace=4 alt="<{$smarty.const._MD_TADDISCUS_ADD_DISCUSS}>">\r\n              <{$smarty.const._MD_TADDISCUS_DISCUSS_EMPTY}>\r\n            </a>\r\n          </td>\r\n        </tr>\r\n      <{else}>\r\n        <tr>\r\n          <td colspan=4 style="border:none;text-align:right;">\r\n            <{$smarty.const._MD_TADDISCUS_DISCUSS_EMPTY}>\r\n          </td>\r\n        </tr>\r\n      <{/if}>\r\n\r\n      <!--子分類-->\r\n      <{foreach item=subBoard from=$bb.subBoard}>\r\n        <tr>\r\n          <td style="vertical-align:top;width:100px;">\r\n            <!--div style="width:90px;height:60px;background: transparent url(<{$subBoard.pic}>) no-repeat center top;-moz-border-radius: 5px;-khtml-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;position:relative;" alt="<{$subBoard.BoardTitle}>" title="<{$subBoard.BoardTitle}>"></div-->\r\n          </td>\r\n          <td colspan=4>\r\n            <a href="discuss.php?op=tad_discuss_form&BoardID=<{$subBoard.BoardID}>" style="float:right;" class="btn btn-small btn-info"><{$smarty.const._MD_TADDISCUS_ADD_DISCUSS}></a>\r\n            <div style="margin:10px auto;font-size:12px;">\r\n              <a href="discuss.php?BoardID=<{$subBoard.BoardID}>" style="font-size:110%;font-weight:bold;"><{$subBoard.BoardTitle}></a> <{$subBoard.fun}>\r\n              <img src="images/add.png" align="absmiddle" hspace=4 alt="<{$subBoard.BoardNum}>"><{$subBoard.BoardNum}> / <img src="images/add.png" align="absmiddle" hspace=4 alt="<{$subBoard.DiscussNum}>"><{$subBoard.DiscussNum}>  / <span style="font-size:11px;"><img src="images/cup.png" align="absmiddle" hspace=4 alt="<{$subBoard.BoardManager}>"><{$smarty.const._MD_TADDISCUS_BOARDMANAGER}><{$smarty.const._TAD_FOR}><{$subBoard.BoardManager}></span>\r\n            </div>\r\n          </td>\r\n        </tr>\r\n      <{/foreach}>\r\n\r\n    </tbody>\r\n  <{/foreach}>\r\n  </table>\r\n<{else}>\r\n\r\n    <div class="hero-unit">\r\n    <a href="admin/main.php?op=tad_discuss_board_form"><{$smarty.const._MD_TADDISCUS_BOARD_EMPTY}></a>\r\n    </div>\r\n\r\n<{/if}>\r\n\r\n<{include file="db:system_notification_select.html"}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(283, '<table summary=''list_table''  cellspacing=''1'' class=''outer''>\r\n<tr>\r\n<th><{$block.DISCUSSTITLE}></th>\r\n<th><{$block.DISCUSSRE}></th>\r\n<th><{$block.UID}></th>\r\n<th><{$block.LAST_RE}></th>\r\n</tr>\r\n<tbody>\r\n\r\n<{foreach item=discuss from=$block.discuss}>\r\n  <tr class=''<{$discuss.class}>''>\r\n		<td><img src=''<{$xoops_url}>/modules/tad_discuss/images/<{if $discuss.isPublic}>greenpoint.gif<{else}>lock.gif<{/if}>'' alt=''<{$discuss.DiscussTitle}>'''' title=''<{$discuss.DiscussTitle}>'' align=''absmiddle'' style=''margin-right:3px;''><a href=''<{$xoops_url}>/modules/tad_discuss/discuss.php?DiscussID=<{$discuss.DiscussID}>&BoardID=<{$discuss.BoardID}>'' style=''color:#505050''><{$discuss.showDiscussTitle}></a></td>\r\n		<td class=''c''><{$discuss.renum}></td>\r\n		<td><div style=''font-size:10px;''><{$discuss.DiscussDate}></div><div><{$discuss.uid_name}></div></td>\r\n		<td><div style=''font-size:10px;''><{$discuss.LastTime}></div><div><{$discuss.last_uid_name}></div></td>\r\n	</tr>\r\n<{/foreach}>\r\n\r\n\r\n</tbody>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(284, '<table summary=''list_table''  cellspacing=''1'' class=''outer''>\r\n<tr>\r\n<th><{$block.DISCUSSTITLE}></th>\r\n<th><{$block.DISCUSSRE}></th>\r\n<th><{$block.UID}></th>\r\n<th><{$block.LAST_RE}></th>\r\n</tr>\r\n<tbody>\r\n\r\n<{foreach item=discuss from=$block.discuss}>\r\n  <tr class=''<{$discuss.class}>''>\r\n		<td><img src=''<{$xoops_url}>/modules/tad_discuss/images/<{if $discuss.isPublic}>greenpoint.gif<{else}>lock.gif<{/if}>'' alt=''<{$discuss.DiscussTitle}>'''' title=''<{$discuss.DiscussTitle}>'' align=''absmiddle'' style=''margin-right:3px;''><a href=''<{$xoops_url}>/modules/tad_discuss/discuss.php?DiscussID=<{$discuss.DiscussID}>&BoardID=<{$discuss.BoardID}>'' style=''color:#505050''><{$discuss.showDiscussTitle}></a></td>\r\n		<td class=''c''><{$discuss.renum}></td>\r\n		<td><div style=''font-size:10px;''><{$discuss.DiscussDate}></div><div><{$discuss.uid_name}></div></td>\r\n		<td><div style=''font-size:10px;''><{$discuss.LastTime}></div><div><{$discuss.last_uid_name}></div></td>\r\n	</tr>\r\n<{/foreach}>\r\n\r\n\r\n</tbody>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(285, '<{if $block}>\r\n  <style>\r\n    #tad_cbox_scrollup {\r\n    position: relative;overflow: hidden;height: 150px;width: 100%;\r\n  }\r\n\r\n  .headline {\r\n    position: absolute;\r\n    top: 210px;\r\n    left: 5px;\r\n    height: 30px;\r\n    width:100%;\r\n  }\r\n  </style>\r\n\r\n  <{$block.jquery_path}>\r\n\r\n\r\n  <script>\r\n   var headline_count;\r\n   var headline_interval;\r\n   var old_headline = 0;\r\n   var current_headline = 0;\r\n\r\n   $(document).ready(function(){\r\n     headline_count = $("div.headline").size();\r\n     $("div.headline:eq("+current_headline+")").css(''top'',''5px'');\r\n\r\n     headline_interval = setInterval(headline_rotate,5000); //time in milliseconds\r\n     $(''#tad_cbox_scrollup'').hover(function() {\r\n       clearInterval(headline_interval);\r\n     }, function() {\r\n       headline_interval = setInterval(headline_rotate,5000); //time in milliseconds\r\n       headline_rotate();\r\n     });\r\n   });\r\n\r\n   function headline_rotate() {\r\n     current_headline = (old_headline + 1) % headline_count;\r\n     $("div.headline:eq(" + old_headline + ")").animate({top: -205},"slow", function() {\r\n       $(this).css(''top'',''210px'');\r\n     });\r\n     $("div.headline:eq(" + current_headline + ")").show().animate({top: 5},"slow");\r\n     old_headline = current_headline;\r\n   }\r\n  </script>\r\n\r\n  <{$block.SelectBoard}>\r\n  <div align=''center'' id=''cboxdiv''>\r\n    <iframe frameborder=''0'' width=''100%'' height=''<{$block.height}>'' src=''<{$xoops_url}>/modules/tad_discuss/cbox.php?BoardID=<{$block.BoardID}>&amp;border_color=<{$block.border_color}>&amp;bg_color=<{$block.bg_color}>&amp;font_color=<{$block.font_color}>'' marginheight=''2'' marginwidth=''2'' scrolling=''auto'' allowtransparency=''yes'' name=''discussCboxMain'' style=''border:#ababab 1px solid;'' id=''discussCboxMain''></iframe>\r\n\r\n    <br/>\r\n\r\n    <iframe frameborder=''0'' width=''100%'' height=''<{if $block.now_uid}>190<{else}>70<{/if}>'' src=''<{$xoops_url}>/modules/tad_discuss/post.php?BoardID=<{$block.BoardID}><{if $block.BoardID==0}>&setupRule=<{$block.setupRule}><{/if}>'' marginheight=''2'' marginwidth=''2'' scrolling=''no'' allowtransparency=''yes'' name=''discussCboxForm'' style=''border:#ababab 1px solid;border-top:0px'' id=''discussCboxForm''></iframe>\r\n\r\n    <p style=''text-align:right;''><a href=''<{$xoops_url}>/modules/tad_discuss/discuss.php?BoardID=<{$block.BoardID}>''><{$snarty.const._MB_TADDISCUS_CBOX_VIEW_ALL}></a></p>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(286, '<{$bootstrap}>\r\n<{$jquery}>\r\n<div class="row-fluid">\r\n  <div class="span12">\r\n    <{$toolbar}>\r\n  </div>\r\n</div>\r\n\r\n<div class="row-fluid">\r\n<{if $op=="sign"}>\r\n\r\n  <{$jquery}>\r\n\r\n  <{$formValidator_code}>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n\r\n  <script type="text/javascript">\r\n  function check_data(){\r\n  	<{$chk_emeil_js}>\r\n  	return true;\r\n  }\r\n  </script>\r\n  <h1><{$form_title}></h1>\r\n\r\n  <form action="index.php" method="post" name="myForm" id="myForm" enctype="multipart/form-data" onSubmit="return check_data()">\r\n  	<table class="table table-striped">\r\n  	<tr><td><{$form_content}></td></tr>\r\n  	<{$apply_ok}>\r\n  	<{$main_form}>\r\n  	</table>\r\n\r\n  	<input type="hidden" name="ssn" value="<{$db_ans_ssn}>">\r\n  	<input type="hidden" name="ofsn" value="<{$ofsn}>">\r\n  	<input type="hidden" name="op" value="save_val">\r\n  	<p>\r\n    	<{$captcha_div}>\r\n    	<{$smarty.const._MD_TADFORM_MAN_NAME}> : <input type="text" name="man_name" id="tfman_name" class=''span2 validate[required]'' value="<{$uid_name}>">\r\n    	<{$smarty.const._MD_TADFORM_EMAIL}> : <input type="text" name="email" id="tfemail"  class=''span3 validate[required]'' value="<{$email}>">\r\n    	<button type="submit" name="submit" class="btn btn-primary"><{$smarty.const._MD_TADFORM_SUBMIT_FORM}></button>\r\n    </p>\r\n	</form>\r\n  <{$captcha_js}>\r\n	<div style="border-top:1px dotted gray;padding-top:6px;"><img src="images/star.png" alt="<{$smarty.const._MD_TADFORM_NEED_SIGN}>" hspace=3 align=absmiddle><{$smarty.const._MD_TADFORM_IS_NEED_SIGN}></div>\r\n\r\n  <{if $history}>\r\n  	<script>\r\n  	function delete_fill(ssn){\r\n  		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  		if (!sure)	return;\r\n  		location.href="index.php?op=delete_fill&ofsn=<{$ofsn}>&ssn=" + ssn;\r\n  	}\r\n  	</script>\r\n	<div class="well" style="margin-top:30px;">\r\n	<h3><{$smarty.const._MD_TADFORM_HISTORY}></h3>\r\n	<table class="table table-striped">\r\n	<{foreach item=history from=$history}>\r\n	<tr>\r\n		<td><{$history.fill_time}></td>\r\n		<td><{$history.man_name}></td>\r\n		<td class="text-right">\r\n		<a href="javascript:delete_fill(<{$history.ssn}>)" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n		<a href="<{$xoops_url}>/modules/tad_form/index.php?op=sign&ssn=<{$history.ssn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n		</td>\r\n	</tr>\r\n	<{/foreach}>\r\n	</table>\r\n	</div>\r\n  <{/if}>\r\n  <div class="pull-right"><{$tool}></div>\r\n\r\n\r\n<{elseif $op=="error"}>\r\n\r\n  <div class="hero-unit">\r\n    <h3><{$title}></h3>\r\n    <p><{$msg}></p>\r\n  </div>\r\n\r\n<{elseif $op=="view"}>\r\n\r\n  <h1><{$form_title}></h1>\r\n  <table <{$tbl_set}>>\r\n	<{$content}>\r\n  <{foreach item=q from=$all}>\r\n  	<tr>\r\n      <td <{$q.td_set}>><{$q.i}>. <b><{$q.title}></b></td>\r\n  		<td><{$q.val}></td>\r\n    </tr>\r\n  <{/foreach}>\r\n	</table>\r\n  <div class="text-center">\r\n  <{if $show_report}><a href="report.php?ofsn=<{$ofsn}>" class="btn btn-info"><{$smarty.const._MD_TADFORM_VIEW_FORM}></a><{/if}>\r\n  <a href="index.php?op=sign&ofsn=<{$ofsn}>" class="btn btn-success"><{$smarty.const._MD_TADFORM_BACK_TO_FORM}></a>\r\n  </div>\r\n<{else}>\r\n\r\n  <{foreach item=form from=$all}>\r\n    <div class="well well-small">\r\n      <div class="pull-right"><{$form.multi_sign}><span class="label"><{$form.date}></span></div>\r\n      <h3><{$form.title}></h3>\r\n\r\n      <{$form.content}>\r\n      <div class="text-center">\r\n    		<a href="index.php?op=sign&ofsn=<{$form.ofsn}>" class="btn btn-large btn-block btn-primary"><{$form.button}></a>\r\n      </div>\r\n  	</div>\r\n  <{/foreach}>\r\n\r\n<{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(287, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<script>\r\n	function delete_tad_form_main_func(ofsn){\r\n		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n		if (!sure)	return;\r\n		location.href="main.php?op=delete_tad_form_main&ofsn=" + ofsn;\r\n}\r\n</script>\r\n<table class="table table-striped">\r\n  <tr>\r\n    <th><{$smarty.const._MA_TADFORM_OFSN}></th>\r\n    <th><{$smarty.const._MA_TADFORM_TITLE}></th>\r\n    <th><{$smarty.const._MA_TADFORM_RESULT}></th>\r\n    <th><{$smarty.const._MA_TADFORM_START_DATE}></th>\r\n    <th><{$smarty.const._MA_TADFORM_END_DATE}></th>\r\n    <th><{$smarty.const._TAD_FUNCTION}></th>\r\n    <th><{$smarty.const._MA_TADFORM_COL_NUM}></th>\r\n    <th><{$smarty.const._MA_TADFORM_OPTIONS}></th>\r\n  </tr>\r\n<tbody>\r\n\r\n<{foreach item=form from=$form}>\r\n  <tr>\r\n		<td><{$form.ofsn}></td>\r\n		<td><{$form.enable_tool}> <a href="../index.php?op=sign&ofsn=<{$form.ofsn}>"><{$form.title}></a></td>\r\n		<td>\r\n      <a href="result.php?ofsn=<{$form.ofsn}>" class="btn btn-mini btn-info"><{$form.counter}></a>\r\n  		<a href="excel.php?ofsn=<{$form.ofsn}>" class="btn btn-mini btn-info">Excel</a>\r\n  		<a href="mail.php?ofsn=<{$form.ofsn}>" class="btn btn-mini btn-info">mail</a>\r\n  		<{$form.show_result_pic}>\r\n  		<{$form.multi_sign_pic}>\r\n		</td>\r\n		<td><{$form.start_date}></td>\r\n		<td><{$form.end_date}></td>\r\n		<td>\r\n  		<a href="main.php?op=copy&ofsn=<{$form.ofsn}>" class="btn btn-mini btn-success"><{$smarty.const._MA_TADFORM_COPY_FORM}></a>\r\n  		<a href="javascript:delete_tad_form_main_func(<{$form.ofsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  		<a href="add.php?op=tad_form_main_form&ofsn=<{$form.ofsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n		</td>\r\n		<td class="text-center"><{$form.cols_num}></td>\r\n		<td>\r\n  		<a href="add.php?op=edit_opt&ofsn=<{$form.ofsn}>" class="btn btn-mini btn-info"><{$smarty.const._TAD_ADD}></a>\r\n      <a href="add.php?op=edit_all_opt&ofsn=<{$form.ofsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    </td>\r\n	</tr>\r\n<{/foreach}>\r\n<tr>\r\n<td colspan=8><{$bar}></td></tr>\r\n</tbody>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(288, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $op=="send"}>\r\n  \r\n  <{assign var="i" value=0}>\r\n  <{foreach item=data from=$main}>\r\n    <{if !$i}><div class="row-fluid"><{/if}>\r\n      <div class="hero-unit span5">\r\n        <span class="label label-info">To: <{$data.mail}></span>\r\n        <span class="label label-success"><{$data.title}></span>\r\n        <div><{$data.content}></div>\r\n      </div>\r\n  <{assign var="i" value=$i+1}>\r\n  <{if $i == 2}></div><{assign var="i" value=0}><{/if}>\r\n  <{/foreach}>\r\n  \r\n<div class="clearfix"></div>\r\n      \r\n<{else}>\r\n  <form action="mail.php" method="post" id="myForm">\r\n    <div class="controls">\r\n      <input type="text" name="title" class="span11" value="<{$title}>" placeholder="<{$smarty.const._MA_TADFORM_MAIL_TITLE}>">\r\n    </div>\r\n\r\n\r\n    <div class="controls controls-row">\r\n      <div class="span9"><{$editor}></div>\r\n      <div class="span2"><span class="label label-important"><{$smarty.const._MA_TADFORM_SEND_TAG}></span><{$tag}></div>\r\n    </div>\r\n\r\n    <div class="controls">\r\n\r\n      <label class="checkbox inline">\r\n      <input type="checkbox" name="test" id="test" value="1" class="warning"><{$smarty.const._MA_TADFORM_MAIL_TEST}>\r\n      </label>\r\n    	<{foreach item=data from=$data}>\r\n        <label class="checkbox inline">\r\n        <input name="email[<{$data.man_name}>]" type="checkbox" value="<{$data.email}>" checked><{$data.man_name}>\r\n        </label>\r\n      <{/foreach}>\r\n    </div>\r\n\r\n    <div class="controls">\r\n      <input type="hidden" name="op" value="send">\r\n      <input type="hidden" name="ofsn" value="<{$ofsn}>">\r\n    	<input type="submit" value="<{$smarty.const._MA_TADFORM_SEND}>">\r\n    </div>\r\n\r\n  </form>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(289, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n<{$jquery_path}>\r\n<link href="<{$xoops_url}>/modules/tad_form/class/ScrollTable/superTables.css" rel="stylesheet" type="text/css" />\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tad_form/class/ScrollTable/superTables.js"></script>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tad_form/class/ScrollTable/jquery.superTable.js"></script>\r\n\r\n\r\n<h1><{$form_title}></h1>\r\n\r\n<script>\r\n$(document).ready(function(){\r\n    $("#GridView1").toSuperTable({ width:"98%" , height: "350px", fixedCols: 1 });\r\n});\r\nfunction delete_tad_form_ans(ssn){\r\n	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n	if (!sure)	return;\r\n	location.href="result.php?op=delete_tad_form_ans&ofsn=<{$ofsn}>&ssn=" + ssn;\r\n}\r\n</script>\r\n<form action="result.php" method="post" id="myForm" enctype="multipart/form-data">\r\n  <table class="table table-striped " id="GridView1">\r\n    <tr><th <{$thSty}>><{$smarty.const._MA_TADFORM_COL_WHO}></th>\r\n    <{foreach item=tt from=$all_title}>\r\n      <th <{$thSty}>><{$tt.title}></th>\r\n    <{/foreach}>\r\n    <th <{$thSty}>><{$smarty.const._MA_TADFORM_SIGN_DATE}></th><{$funct_title}></tr>\r\n    <{foreach item=col from=$result_col}>\r\n    <tr><td><a href="<{$col.url}>"><{$col.man_name}></a></td>\r\n      <{foreach item=ans from=$col.ans}>\r\n      <td><{$ans.val}></td>\r\n      <{/foreach}>\r\n      <td><{$col.fill_time}></td>\r\n      <{$col.funct}>\r\n    </tr>\r\n    <{/foreach}>\r\n  </table>\r\n  <{$submit}>\r\n</form>\r\n\r\n<{if $view_ssn}>\r\n\r\n  <h3>[<{$uid}>]<{$man_name}> (<{$email}>) @<{$fill_time}></h3>\r\n  <table <{$tbl_set}>>\r\n  <{foreach item=q from=$all}>\r\n  	<tr>\r\n      <td <{$q.td_set}>><{$q.i}>. <b><{$q.title}></b></td>\r\n  		<td><{$q.val}></td>\r\n    </tr>\r\n  <{/foreach}>\r\n	</table>\r\n	\r\n<{else}>\r\n\r\n  <h1><{$smarty.const._MA_TADFORM_ANALYSIS}></h1>\r\n  <table class="table table-striped">\r\n  	<tr>\r\n  	<th><{$smarty.const._MA_TADFORM_COL_TITLE}></th>\r\n  	<th><{$smarty.const._MA_TADFORM_COL_FUNC}></th>\r\n  	<th><{$smarty.const._MA_TADFORM_ANALYSIS_RESULT}></th>\r\n  	</tr>\r\n    <{foreach item=analysis from=$analysis}>\r\n  	 <tr>\r\n      <td><{$analysis.title}></td>\r\n      <td><{$analysis.func}></td>\r\n      <td><{$analysis.val}></td>\r\n    </tr>\r\n    <{/foreach}>\r\n  </table>\r\n  \r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(290, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $op=="edit_opt"}>\r\n\r\n  <form action="add.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n    <div class="row-fluid">\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADFORM_COL_TITLE}><{$sort}>\r\n      </label>\r\n      <div class="span10">\r\n        <input type="text" name="title" value="<{$title}>" class="span12">\r\n      </div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADFORM_COL_DESCRIPT}>\r\n      </label>\r\n      <div class="span10">\r\n      <textarea name="descript" class="span12" rows=4><{$descript}></textarea>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADFORM_COL_KIND}>\r\n      </label>\r\n\r\n      <div class="span2">\r\n        <select name="kind" size=1 class="span12">\r\n          <option value="text" <{if $kind=="text"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_TEXT}></option>\r\n          <option value="radio" <{if $kind=="radio"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_RADIO}></option>\r\n          <option value="checkbox" <{if $kind=="checkbox"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_CHECKBOX}></option>\r\n          <option value="select" <{if $kind=="select"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_SELECT}></option>\r\n          <option value="textarea" <{if $kind=="textarea"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_TEXTAREA}></option>\r\n          <option value="date" <{if $kind=="date"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_DATE}></option>\r\n          <option value="datetime" <{if $kind=="datetime"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_DATETIME}></option>\r\n          <option value="show" <{if $kind=="show"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_SHOW}></option>\r\n        </select>\r\n      </div>\r\n\r\n\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADFORM_COL_SIZE}>\r\n      </label>\r\n      <div class="span6">\r\n        <input type="text" name="size" value="<{$size}>" class="span12" placeholder="<{$smarty.const._MA_TADFORM_COL_NOTE}>">\r\n      </div>\r\n    </div>\r\n\r\n\r\n    <div class="row-fluid">\r\n\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADFORM_COL_PUBLIC}>\r\n      </label>\r\n\r\n      <div class="span2">\r\n        <label class="radio inline">\r\n          <input type="radio" name="public" id="public1" value="1" <{if $public=="1"}>checked<{/if}>><{$smarty.const._YES}>\r\n        </label>\r\n        <label class="radio inline">\r\n          <input type="radio" name="public" id="public0" value="0" <{if $public!="1"}>checked<{/if}>><{$smarty.const._NO}>\r\n        </label>\r\n        <input type="hidden" name="sort" value="<{$sort}>">\r\n      </div>\r\n\r\n\r\n\r\n      <label class="span1">\r\n        <{$smarty.const._MA_TADFORM_COL_CHK}>\r\n      </label>\r\n      <div class="span2">\r\n        <label class="radio inline">\r\n          <input type="radio" name="chk" id="chk1" value="1" <{if $chk=="1"}>checked<{/if}>><{$smarty.const._YES}>\r\n        </label>\r\n        <label class="radio inline">\r\n          <input type="radio" name="chk" id="chk0" value="0"  <{if $chk!="1"}>checked<{/if}>><{$smarty.const._NO}>\r\n        </label>\r\n      </div>\r\n\r\n      <label class="span1">\r\n        <{$smarty.const._MA_TADFORM_COL_FUNC}>\r\n      </label>\r\n\r\n      <div class="span1">\r\n        <select name="func" size=1 class="span12">\r\n          <option value="" <{if $func==""}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_NO_FUN}></option>\r\n          <option value="sum" <{if $func=="sum"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_SUM}></option>\r\n          <option value="avg" <{if $func=="avg"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_AVG}></option>\r\n          <option value="count" <{if $func=="count"}>selected<{/if}>><{$smarty.const._MA_TADFORM_COL_COUNT}></option>\r\n        </select>\r\n      </div>\r\n\r\n      <label class="span1">\r\n        <{$smarty.const._MA_TADFORM_COL_VAL}>\r\n      </label>\r\n\r\n      <div class="span2">\r\n        <input type="text" name="val" value="<{$val}>" class="span12">\r\n      </div>\r\n\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span12 text-center">\r\n        <{$end_txt}>\r\n\r\n        <input type="hidden" name="op" value="<{$next_op}>">\r\n        <input type="hidden" name="csn" value="<{$csn}>">\r\n        <input type="hidden" name="ofsn" value="<{$ofsn}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n      </div>\r\n    </div>\r\n\r\n  </form>\r\n<{elseif $op=="edit_all_opt"}>\r\n\r\n  <{$jquery}>\r\n  <script>\r\n  $().ready(function(){\r\n      $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n          var order = $(this).sortable("serialize");\r\n          $.post("save_sort.php", order, function(theResponse){\r\n              $("#save_msg").html(theResponse);\r\n          });\r\n      }\r\n      });\r\n\r\n  });\r\n  function delete_tad_col_func(csn){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)  return;\r\n    location.href="add.php?op=delete_tad_form_col&ofsn=<{$ofsn}>&csn=" + csn;\r\n  }\r\n  </script>\r\n  <div id="save_msg"></div>\r\n  <table class="table table-striped">\r\n    <tr>\r\n    <th><{$smarty.const._MA_TADFORM_COL_SORT}></th>\r\n    <th><{$smarty.const._MA_TADFORM_COL_TITLE}> (<{$smarty.const._MA_TADFORM_COL_DESCRIPT}>)</th>\r\n    <th><{$smarty.const._MA_TADFORM_COL_KIND}></th>\r\n    <th><{$smarty.const._MA_TADFORM_COL_SIZE}></th>\r\n    <th><{$smarty.const._MA_TADFORM_COL_VAL}></th>\r\n    <th><{$smarty.const._MA_TADFORM_COL_CHK}></th>\r\n    <th><{$smarty.const._MA_TADFORM_COL_FUNC}></th>\r\n    <th><{$smarty.const._MA_TADFORM_COL_PUBLIC}></th>\r\n    <th><{$smarty.const._TAD_FUNCTION}></th>\r\n    </tr>\r\n    <tbody id="sort">\r\n    <{foreach item=q from=$question}>\r\n      <tr id="tr_<{$q.csn}>">\r\n        <td><{$q.sort}> <img src="<{$xoops_url}>/modules/tadtools/treeTable/images/updown_s.png" style="cursor: s-resize;" alt="<{$smarty.const._MA_TREETABLE_SORT_PIC}>" title="<{$smarty.const._MA_TREETABLE_SORT_PIC}>"></td>\r\n        <td><span class="question"><b><{$q.title}></b></span><br><span class="note"><{$q.descript}></span></td>\r\n        <td><{$q.col_type}></td>\r\n        <td><{$q.size}></td>\r\n        <td><{$q.val}></td>\r\n        <td><{$q.chk}></td>\r\n        <td><{$q.func}></td>\r\n        <td><{$q.public}></td>\r\n        <td>\r\n          <a href="javascript:delete_tad_col_func(<{$q.csn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n          <a href="add.php?op=edit_opt&ofsn=<{$ofsn}>&csn=<{$q.csn}>&mode=modify" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n  </tbody>\r\n  </table>\r\n  <div class="text-right">\r\n    <a href="add.php?op=edit_opt&ofsn=<{$ofsn}>" class="btn btn-info"><{$smarty.const._MA_TADFORM_ADD_COL}></a>\r\n  </div>\r\n  <br style="clear:both" />\r\n\r\n\r\n\r\n<{else}>\r\n  <{$formValidator_code}>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n  <form action="add.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n  <div class="row-fluid">\r\n    <div class="span6">\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._MA_TADFORM_TITLE}>\r\n        </label>\r\n        <div class="span10">\r\n          <input type="text" name="title" id="title" value="<{$title}>" class="validate[required] span12" >\r\n        </div>\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._MA_TADFORM_ADM_EMAIL}>\r\n        </label>\r\n        <div class="span10">\r\n          <input type="text" name="adm_email" id="adm_email" value="<{$adm_email}>" class="validate[required] span12" >\r\n        </div>\r\n      </div>\r\n\r\n\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._MA_TADFORM_START_DATE}>\r\n        </label>\r\n        <div class="span10">\r\n          <input type="text" name="start_date" id="start_date" class="span12" value="<{$start_date}>" onClick="WdatePicker({dateFmt:''yyyy-MM-dd HH:mm''})">\r\n        </div>\r\n      </div>\r\n\r\n\r\n      <div class="row-fluid">\r\n        <label class="span2">\r\n          <{$smarty.const._MA_TADFORM_END_DATE}>\r\n        </label>\r\n        <div class="span10">\r\n          <input type="text" name="end_date" id="end_date" class="span12" value="<{$end_date}>" onClick="WdatePicker({dateFmt:''yyyy-MM-dd HH:mm''})">\r\n        </div>\r\n      </div>\r\n\r\n    </div>\r\n\r\n    <div class="span6">\r\n\r\n      <div class="row-fluid">\r\n        <div class="span4">\r\n          <label>\r\n            <{$smarty.const._MA_TADFORM_USE_CAPTCHA}>\r\n          </label>\r\n          <label class="radio inline">\r\n            <input type="radio" name="captcha" id="captcha_1" value="1" <{$captcha1}>><{$smarty.const._YES}>\r\n          </label>\r\n          <label class="radio inline">\r\n            <input type="radio" name="captcha" id="captcha_0" value="0" <{$captcha0}>><{$smarty.const._NO}>\r\n          </label>\r\n        </div>\r\n\r\n        <div class="span4">\r\n          <label>\r\n            <{$smarty.const._MA_TADFORM_MULTI_SIGN}>\r\n          </label>\r\n          <label class="radio inline">\r\n            <input type="radio" name="multi_sign" id="multi_sign_1" value="1" <{$multi_sign1}>><{$smarty.const._YES}>\r\n          </label>\r\n          <label class="radio inline">\r\n            <input type="radio" name="multi_sign" id="multi_sign_0" value="0" <{$multi_sign0}>><{$smarty.const._NO}>\r\n          </label>\r\n        </div>\r\n\r\n        <div class="span4">\r\n          <label>\r\n            <{$smarty.const._MA_TADFORM_SHOW_RESULT}>\r\n          </label>\r\n          <label class="radio inline">\r\n            <input type="radio" name="show_result" id="show_result_1" value="1" <{$show_result1}>><{$smarty.const._YES}>\r\n          </label>\r\n          <label class="radio inline">\r\n            <input type="radio" name="show_result" id="show_result_0" value="0" <{$show_result0}>><{$smarty.const._NO}>\r\n          </label>\r\n        </div>\r\n      </div>\r\n\r\n      <hr>\r\n\r\n      <div class="row-fluid">\r\n        <div class="span4">\r\n          <label><{$smarty.const._MA_TADFORM_KIND}></label>\r\n          <select name="kind" class="span12"><{$kind_menu}></select>\r\n        </div>\r\n        <div class="span4">\r\n          <label><{$smarty.const._MA_TADFORM_SIGN_GROUP}></label>\r\n          <{$sign_group}>\r\n        </div>\r\n        <div class="span4">\r\n          <label><{$smarty.const._MA_TADFORM_VIEW_RESULT_GROUP}></label>\r\n          <{$view_result_group}>\r\n        </div>\r\n      </div>\r\n\r\n    </div>\r\n  </div>\r\n\r\n\r\n  <div class="row-fluid">\r\n    <label class="span1">\r\n      <{$smarty.const._MA_TADFORM_CONTENT}>\r\n    </label>\r\n    <div class="span11">\r\n      <{$editor}>\r\n    </div>\r\n  </div>\r\n\r\n\r\n  <div class="row-fluid">\r\n    <div class="span12 text-center">\r\n      <input type="hidden" name="enable" value="<{$enable}>">\r\n      <input type="hidden" name="ofsn" value="<{$ofsn}>">\r\n      <input type="hidden" name="op" value="<{$op}>">\r\n\r\n      <{$next}>\r\n      <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n  </div>\r\n\r\n  </form>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(291, '<{$bootstrap}>\r\n<{$jquery}>\r\n<div class="row-fluid">\r\n  <div class="span12">\r\n    <{$toolbar}>\r\n  </div>\r\n</div>\r\n<link href="<{$xoops_url}>/modules/tad_form/class/ScrollTable/superTables.css" rel="stylesheet" type="text/css" />\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tad_form/class/ScrollTable/superTables.js"></script>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tad_form/class/ScrollTable/jquery.superTable.js"></script>\r\n\r\n\r\n<h1><{$form_title}></h1>\r\n\r\n<script>\r\n$(document).ready(function(){\r\n    $("#GridView1").toSuperTable({ width:"98%" , height: "350px", fixedCols: 1 });\r\n});\r\n\r\n</script>\r\n\r\n<table class="table table-striped " id="GridView1">\r\n  <tr><th <{$thSty}>><{$smarty.const._MD_TADFORM_COL_WHO}></th>\r\n  <{foreach item=tt from=$all_title}>\r\n    <th <{$thSty}>><{$tt.title}></th>\r\n  <{/foreach}>\r\n  <th <{$thSty}>><{$smarty.const._MD_TADFORM_FILL_TIME}></th><{$funct_title}></tr>\r\n  <{foreach item=col from=$result_col}>\r\n  <tr><td><a href="<{$col.url}>"><{$col.man_name}></a></td>\r\n    <{foreach item=ans from=$col.ans}>\r\n    <td><{$ans.val}></td>\r\n    <{/foreach}>\r\n    <td><{$col.fill_time}></td>\r\n    <td><{$col.other_fun}></td>\r\n  </tr>\r\n  <{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(292, '<ul>\r\n<{foreach item=form from=$block.form}>\r\n  <li><a href="<{$xoops_url}>/modules/tad_form/index.php?op=sign&ofsn=<{$form.ofsn}>"><{$form.title}></a></li>\r\n<{/foreach}>\r\n</ul>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(293, '<div class="well well-small">\r\n  <h3><{$block.title}></h3>\r\n  <{$block.content}>\r\n  <div class="text-center">\r\n		<a href="<{$xoops_url}>/modules/tad_form/index.php?op=sign&ofsn=<{$block.ofsn}>" class="btn btn-large btn-block btn-primary"><{$block.sign_now}></a>\r\n		<div class="date"><{$block.date}></div>\r\n  </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(434, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<h2><{$smarty.const._MA_TADFAQ_CATE_INPUT_FORM}></h2>\r\n<{if $all_content}>\r\n<{$jquery}>\r\n<script type=''text/javascript''>\r\n  function delete_tad_faq_cate_func(fcsn){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)  return;\r\n    location.href="main.php?op=delete_tad_faq_cate&fcsn=" + fcsn;\r\n  }\r\n\r\n  $(document).ready(function(){\r\n      $(''#sort'').sortable({ opacity: 0.6, cursor: ''move'', update: function() {\r\n          var order = $(this).sortable(''serialize'');\r\n          $.post(''save_sort.php'', order, function(theResponse){\r\n              $(''#save_msg'').html(theResponse);\r\n          });\r\n      }\r\n      });\r\n  });\r\n\r\n</script>\r\n<div id=''save_msg''></div>\r\n<table class="table table-striped table-bordered table-hover">\r\n<tr>\r\n  <th><{$smarty.const._MA_TADFAQ_SORT}></th>\r\n  <th><{$smarty.const._MA_TADFAQ_TITLE}></th>\r\n  <th><{$smarty.const._MA_TADFAQ_DESCRIPTION}></th>\r\n  <th><{$smarty.const._MA_TADFAQ_ACCESS_POWER}></th>\r\n  <th><{$smarty.const._MA_TADFAQ_EDIT_POWER}></th>\r\n  <th><{$smarty.const._TAD_FUNCTION}></th>\r\n</tr>\r\n<tbody id=''sort'' >\r\n<{foreach from=$all_content item=faq}>\r\n  <tr id=''tr_<{$faq.fcsn}>''>\r\n    <td><img src=''<{$xoops_url}>/modules/tadtools/treeTable/images/updown_s.png'' style=''cursor: s-resize;margin:0px 4px;'' alt='''' title=''''><{$faq.sort}></td>\r\n    <td><{$faq.title}></td>\r\n    <td><{$faq.description}></td>\r\n    <td><{$faq.faq_read}></td>\r\n    <td><{$faq.faq_edit}></td>\r\n    <td>\r\n      <a href="javascript:delete_tad_faq_cate_func(<{$faq.fcsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n      <a href="main.php?op=tad_faq_cate_form&fcsn=<{$faq.fcsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    </td>\r\n  </tr>\r\n<{/foreach}>\r\n</tbody>\r\n<tr>\r\n</table>\r\n<{/if}>\r\n\r\n\r\n<form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n  <div class="row-fluid">\r\n    <div class="span9">\r\n      <div class="row-fluid">\r\n        <label class="span2"><{$smarty.const._MA_TADFAQ_TITLE}></label>\r\n        <div class="span10">\r\n          <input type="text" name="title" value="<{$title}>" class="span12">\r\n        </div>\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <label class="span2"><{$smarty.const._MA_TADFAQ_CONTENT}></label>\r\n        <div class="span10">\r\n          <{$editor}>\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="span3">\r\n      <div class="row-fluid">\r\n        <label><{$smarty.const._MA_TADFAQ_SET_ACCESS_POWER}></label>\r\n        <{$faq_read_group}>\r\n      </div>\r\n      <div class="row-fluid">\r\n        <label><{$smarty.const._MA_TADFAQ_SET_EDIT_POWER}></label>\r\n        <{$faq_edit_group}>\r\n      </div>\r\n      <div class="row-fluid text-center">\r\n        <input type="hidden" name="fcsn" value="<{$fcsn}>">\r\n        <input type="hidden" name="op" value="<{$op}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n\r\n\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(435, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{$jquery_path}>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/jqueryCookie/jquery.cookie.js"></script>\r\n<script type="text/javascript">\r\n  $(document).ready(function() {\r\n    var $tabs = $("#grouppermform-tabs").tabs({ cookie: { expires: 30 } , collapsible: true});\r\n  });\r\n</script>\r\n\r\n<div id="grouppermform-tabs">\r\n  <ul>\r\n    <li><a href="#tabs-1"><{$smarty.const._MA_TADFAQ_SET_ACCESS_POWER}></a></li>\r\n    <li><a href="#tabs-2"><{$smarty.const._MA_TADFAQ_SET_EDIT_POWER}></a></li>\r\n  </ul>\r\n  <div id="tabs-1">\r\n    <{$main1}>\r\n  </div>\r\n  <div id="tabs-2">\r\n    <{$main2}>\r\n  </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(436, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n<link rel="stylesheet" type="text/css" media="all" href="module.css" />\r\n\r\n<{if $now_op=="list_all"}>\r\n\r\n  <{if $isAdmin or $edit_power}>\r\n    <a href="index.php?op=tad_faq_content_form" class="btn btn-primary" style="float:right"><{$smarty.const._TAD_ADD}></a>\r\n  <{/if}>\r\n  <h2><{$module_title}></h2>\r\n  <{foreach from=$faq item=faq}>\r\n    <{if $faq.counter}>\r\n      <div class="faq_title">\r\n        <span class="counter"><{$faq.num}></span>\r\n        <a href="index.php?fcsn=<{$faq.fcsn}>" class="btn Q" style="text-align:left"><img src="images/<{$faq.img}>" align="absmiddle" hspace=6 alt="<{$faq.title}>"><{$faq.title}></a>\r\n      </div>\r\n    <{/if}>\r\n  <{/foreach}>\r\n\r\n<{elseif $now_op=="list_faq"}>\r\n  <script type=''text/javascript''>\r\n    function delete_tad_faq_content_func(fqsn){\r\n      var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n      if (!sure)  return;\r\n      location.href="index.php?op=delete_tad_faq_content&fcsn=<{$fcsn}>&fqsn=" + fqsn;\r\n    }\r\n\r\n    $(document).ready(function(){\r\n      <{if $isAdmin}>\r\n      $(''#sort'').sortable({ opacity: 0.6, cursor: ''move'', update: function() {\r\n          var order = $(this).sortable(''serialize'');\r\n          $.post(''save_sort.php'', order, function(theResponse){\r\n              $(''#save_msg'').html(theResponse);\r\n          });\r\n      }\r\n      });\r\n      <{/if}>\r\n\r\n      $(''.faq_content'').hide();\r\n\r\n      $(''.Q'').toggle(function(){\r\n        var fqsn=$(this).attr(''id'');\r\n        $.post(''ajax.php'', { sn: fqsn}, function(data) {\r\n          $(''#counter''+fqsn).html(data);\r\n        });\r\n        $(''.faq_content'').css("border","none");\r\n        $(this).parent().children(''.faq_content'').slideDown();\r\n        $(this).parent().children(''.faq_content'').slideDown().css("border","3px solid #B5D9EE");\r\n      },function(){\r\n        $(this).parent().children(''.faq_content'').slideUp();\r\n      });\r\n    });\r\n  </script>\r\n\r\n  <{if $isAdmin or $faq_edit_power}>\r\n    <a href="index.php?op=tad_faq_content_form&fcsn=<{$fcsn}>" class="btn btn-primary" style="float:right"><{$smarty.const._TAD_ADD}></a>\r\n  <{/if}>\r\n  <h2><{$cate_title}></h2>\r\n  <{assign var="n" value=1}>\r\n  <div id=''sort''>\r\n    <{foreach from=$faq item=faq}>\r\n      <{if $faq.enable==''1'' or $isAdmin or $edit_power}>\r\n        <div class=''faq_title'' id=''tr_<{$faq.fqsn}>''>\r\n          <div class=''counter''>\r\n            <{if $isAdmin or $edit_power}>\r\n              <{if $faq.enable!=''1''}><{$smarty.const._MD_TADFAQ_FAQ_UNABLE}><{/if}>\r\n            <{/if}>\r\n            <span id=''counter<{$faq.fqsn}>''><{$faq.counter}></span>\r\n          </div>\r\n          <a name="#<{$faq.fqsn}>" id="<{$faq.fqsn}>" class="Q btn <{if $faq.enable!=''1''}> unable<{/if}>" style="text-align:left">\r\n          <{if $faq.enable==''1''}>\r\n          <{$n}>.\r\n            <{assign var="n" value=$n+1}>\r\n          <{else}>\r\n            ?.\r\n          <{/if}>\r\n          <{$faq.title}></a>\r\n\r\n          <div id=''A<{$faq.fqsn}>'' class=''faq_content''>\r\n            <{if $isAdmin or $edit_power}>\r\n              <div style=''text-align:right;''>\r\n                <a href="index.php?op=update_status&fcsn=<{$fcsn}>&fqsn=<{$faq.fqsn}>&enable=<{$faq.update_enable}>" class="btn btn-mini btn-info"><{$faq.enable_txt}></a>\r\n\r\n                <a href="javascript:delete_tad_faq_content_func(<{$faq.fqsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n\r\n                <a href=''index.php?op=tad_faq_content_form&fqsn=<{$faq.fqsn}>'' class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n              </div>\r\n            <{/if}>\r\n            <{$faq.content}>\r\n          </div>\r\n        </div>\r\n      <{/if}>\r\n    <{/foreach}>\r\n  </div>\r\n  <div id=''save_msg''></div>\r\n<{elseif $now_op=="tad_faq_content_form"}>\r\n  <h2><{$smarty.const._MD_TADFAQ_ADD_CONTENT}></h2>\r\n\r\n    <form action=''index.php'' method=''post'' id=''myForm'' enctype=''multipart/form-data''>\r\n      <div class="row-fluid">\r\n        <label class="span1"><{$smarty.const._MD_TADFAQ_CATE_MENU}></label>\r\n\r\n        <{if $faq_cate_opt}>\r\n          <div class="span3">\r\n            <select name=''fcsn'' size=1 class="span12">\r\n              <{$faq_cate_opt}>\r\n            </select>\r\n          </div>\r\n\r\n          <{if $isAdmin}>\r\n            <div class="span8">\r\n              <input type=''text'' name=''new_cate'' class="span12" placeholder="<{$smarty.const._MD_TADFAQ_NEW_CATE}>">\r\n            </div>\r\n          <{/if}>\r\n        <{else}>\r\n          <{if $isAdmin}>\r\n            <div class="span11">\r\n              <input type=''text'' name=''new_cate'' class="span12" placeholder="<{$smarty.const._MD_TADFAQ_NEW_CATE}>">\r\n            </div>\r\n          <{/if}>\r\n        <{/if}>\r\n\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <label class="span1"><{$smarty.const._MD_TADFAQ_FAQ_TITLE}></label>\r\n        <div class="span7">\r\n          <input type=''text'' name=''title'' value=''<{$title}>'' class="span12">\r\n        </div>\r\n        <div class="span4">\r\n          <label class="radio inline">\r\n            <input type="radio" name="enable" id="enable1" value="1" <{if $enable==''1''}>checked<{/if}>><{$smarty.const._MD_TADFAQ_FAQ_ENABLE}>\r\n          </label>\r\n          <label class="radio inline">\r\n            <input type="radio" name="enable" id="enable0" value="0" <{if $enable==''0''}>checked<{/if}>><{$smarty.const._MD_TADFAQ_FAQ_UNABLE}>\r\n          </label>\r\n        </div>\r\n      </div>\r\n\r\n\r\n      <div class="row-fluid">\r\n        <label class="span1"><{$smarty.const._MD_TADFAQ_CONTENT}></label>\r\n        <div class="span11">\r\n          <{$editor}>\r\n        </div>\r\n      </div>\r\n\r\n\r\n      <div class="row-fluid text-center">\r\n        <input type="hidden" name="fqsn" value="<{$fqsn}>">\r\n        <input type="hidden" name="op" value="<{$op}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n      </div>\r\n\r\n    </form>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(297, '<{if $block}>\r\n  <{foreach from=$block item=faq}>\r\n    <div style=''clear:both;padding-bottom:8px;''>\r\n      <img src=''<{$xoops_url}>/modules/tad_faq/images/comment_edit.png'' align=''absmiddle'' hspace=2 alt=''<{$faq.title}>'' style=''margin:4px;''><a href=''<{$xoops_url}>/modules/tad_faq/index.php?fcsn=<{$faq.fcsn}>'' style=''line-height:150%;text-decoration: none;''><{$faq.title}> <{$faq.num}></a>\r\n    </div>\r\n  <{/foreach}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(447, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{$main}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(448, '<{if $albums}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadgallery/module.css" />\r\n<link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tadgallery/class/jquery.thumbs/jquery.thumbs.css" />\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.thumbs/jquery.thumbs.js"></script>\r\n<script language="JavaScript">\r\n  $().ready(function(){\r\n    $(".thumb").thumbs();\r\n\r\n    $(''.AlbumCate'').hover(function(){$(this).children(''.btn'').css(''display'',''inline'')},function(){$(this).children(''.btn'').css(''display'',''none'')});\r\n    $(''.AlbumCate'').animate({boxShadow: ''0 0 8px #D0D0D0''});\r\n  });\r\n\r\n  /*\r\n  function delete_tad_gallery_cate_func(sn){\r\n    var sure = window.confirm(''<{$smarty.const._TAD_DEL_CONFIRM}>'');\r\n    if (!sure)  return;\r\n    //location.href="ajax.php?op=delete_tad_gallery&sn=" + sn;\r\n    $.post("ajax.php", { op: "delete_tad_gallery_cate", csn: sn },\r\n      function(data) {\r\n      $(''#item_album_''+sn).remove();\r\n      //$(''#tg_container'').masonry(''reload'');\r\n    });\r\n  }\r\n  */\r\n</script>\r\n<{assign var="i" value=0}>\r\n<{assign var="total" value=1}>\r\n  <div class="row-fluid">\r\n\r\n    <{foreach item=album from=$albums}>\r\n\r\n      <{if $i==0}>\r\n      <ul class="thumbnails">\r\n      <{/if}>\r\n      <{if $album.album_lock}>\r\n        <script type="text/javascript">\r\n          $(document).ready(function(){\r\n            $("#pass_col_<{$album.csn}>").hide();\r\n              $(".GalleryCate").click(function(){\r\n              $("#cate_pass_title_<{$album.csn}>").hide();\r\n              $("#pass_col_<{$album.csn}>").show();\r\n            });\r\n          });\r\n        </script>\r\n\r\n        <li class="span3" id="item_album_<{$album.csn}>">\r\n          <div class="thumbnail">\r\n            <div class="AlbumCate" style="background:black url(images/cadenas.png) center center ;position:relative;height:160px;overflow:hidden;">\r\n                <form action="index.php" method="post" style="margin-top:80px;">\r\n                  <div class="input-append">\r\n                    <input class="span9" name="passwd" id="appendedInputButton" type="password">\r\n                    <input type="hidden" name="csn" value="<{$album.csn}>">\r\n                    <button class="btn" type="submit">Go</button>\r\n                  </div>\r\n                </form>\r\n                <div style="font-size:1em;font-weight:bold;color:#FFFFCC;position:absolute;bottom:2px;left:10px;z-index:2;text-shadow: 1px 1px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 0px -1px 0 #000, 0px 1px 0 #000, -1px 0px 0 #000, 1px 0px 0 #000;"><{$album.title}></div>\r\n            </div>\r\n          </div>\r\n        </li>\r\n      <{else}>\r\n        <li class="span3" id="item_album_<{$album.csn}>">\r\n          <div class="thumbnail">\r\n            <div class="AlbumCate" style="background-color:black;position:relative;height:160px;overflow:hidden;">\r\n              <a href="<{$xoops_url}>/modules/tadgallery/index.php?csn=<{$album.csn}>">\r\n                <img src="<{$album.cover_pic}>" alt="<{$album.title}>" style="z-index:1;">\r\n                <div style="font-size:1em;font-weight:bold;color:#FFFFCC;position:absolute;bottom:2px;left:10px;z-index:2;text-shadow: 1px 1px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 0px -1px 0 #000, 0px 1px 0 #000, -1px 0px 0 #000, 1px 0px 0 #000;"><{$album.title}></div>\r\n              </a>\r\n              <{if $album.album_del}>\r\n              <!--a href="javascript:delete_tad_gallery_func(<{$album.csn}>)" class="btn btn-mini btn-danger" style="position:absolute;bottom:2px;left:2px;display:none;"><{$smarty.const._TAD_DEL}></a-->\r\n              <{/if}>\r\n\r\n              <{if $album.album_edit}>\r\n              <a href="ajax.php?op=edit_album&csn=<{$album.csn}>" class="btn btn-mini fancybox.ajax editbtn" style="position:absolute;bottom:2px;right:2px;display:none;"><{$smarty.const._TAD_EDIT}></a>\r\n              <{/if}>\r\n            </div>\r\n          </div>\r\n        </li>\r\n      <{/if}>\r\n\r\n      <{assign var="i" value=$i+1}>\r\n      <{assign var="total" value=$total+1}>\r\n      <{if $i == 4 || $total==$count}>\r\n        </ul>\r\n        <{assign var="i" value=0}>\r\n      <{/if}>\r\n    <{/foreach}>\r\n\r\n  </div>\r\n  <hr>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(445, '<{$bootstrap}>\r\n<{$toolbar}>\r\n<div id=''jquery_tabs_tg_<{$now}>''>\r\n  <ul>\r\n    <{$li_1}>\r\n    <{$li_2}>\r\n    <{$li_3}>\r\n    <{$li_4}>\r\n    <{$li_5}>\r\n    <{$li_6}>\r\n    <li><a href=''import.php#import'' id=''import''><span><{$smarty.const._MD_TADGAL_PATCH_IMPORT_FORM}></span></a></li>\r\n  </ul>\r\n  <{$div_1}>\r\n  <{$div_2}>\r\n  <{$div_3}>\r\n  <{$div_5}>\r\n  <{$div_6}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(446, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n<link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tadgallery/class/jquery.thumbs/jquery.thumbs.css" />\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.thumbs/jquery.thumbs.js"></script>\r\n\r\n<style>\r\n#sortable { list-style-type: none;  }\r\n#sortable li { list-style-type: none; float:left}\r\n.thumb_func{background-color:rgb(234,234,234)}\r\n</style>\r\n\r\n<script language="JavaScript">\r\n  $().ready(function(){\r\n    $(".thumb").thumbs();\r\n    $("#sortable").sortable({ opacity: 0.6, cursor: ''move'', update: function(){\r\n			var order = $(this).sortable("serialize");\r\n			$.post("save_sort.php", order, function(theResponse){\r\n			  $("#save_msg").html(theResponse);\r\n			});\r\n		}\r\n		});\r\n\r\n    $("#clickAll").click(function() {\r\n      if($("#clickAll").attr("checked")){\r\n        $("input[name=''pic[]'']").each(function() {\r\n          $(this).attr("checked", true);\r\n        });\r\n      }else{\r\n       $("input[name=''pic[]'']").each(function() {\r\n           $(this).attr("checked", false);\r\n       });\r\n      }\r\n    });\r\n\r\n\r\n  });\r\n\r\n\r\n\r\n  function check_one(id_name,change){\r\n    if(document.getElementById(id_name).checked && change){\r\n      document.getElementById(id_name).checked = false;\r\n    }else{\r\n      document.getElementById(id_name).checked = true;\r\n    }\r\n  }\r\n</script>\r\n\r\n\r\n<form action="main.php" method="post" name="form1">\r\n  <div class="row-fluid">\r\n    <div class="span3">\r\n      <{$cate_option}>\r\n\r\n      <h3><{$smarty.const._MA_TADGAL_THE_ACT_IS}></h3>\r\n      <div class="row-fluid">\r\n        <label class="span3 radio">\r\n          <input type="radio" name="op" value="del" id="del"><{$smarty.const._TAD_DEL}>\r\n        </label>\r\n\r\n        <label class="span4 radio">\r\n          <input type="radio" name="op" value="add_good" id="add_good"><{$smarty.const._MA_TADGAL_ADD_GOOD}>\r\n        </label>\r\n\r\n        <label class="span4 radio">\r\n          <input type="radio" name="op" value="del_good" id="del_good"><{$smarty.const._MA_TADGAL_DEL_GOOD}>\r\n        </label>\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <label class="span4 radio">\r\n          <input type="radio" name="op" value="move" id="move"><{$smarty.const._MA_TADGAL_MOVE_TO}>\r\n        </label>\r\n        <div class="span8">\r\n          <select name="new_csn" onChange="check_one(''move'',false)"  class="span12">\r\n            <{$option}>\r\n          </select>\r\n        </div>\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <label class="span4 radio">\r\n          <input type="radio" name="op" value="add_title" id="add_title"><{$smarty.const._MA_TADGAL_ADD_TITLE}>\r\n        </label>\r\n\r\n        <div class="span8">\r\n          <input type="text" name="add_title"  class="span12" onClick="check_one(''add_title'',false)">\r\n        </div>\r\n      </div>\r\n\r\n\r\n      <div class="row-fluid">\r\n        <label class="span4 radio">\r\n          <input type="radio" name="op" value="add_description" id="add_description"><{$smarty.const._MA_TADGAL_ADD_DESCRIPTION}>\r\n        </label>\r\n\r\n        <div class="span8">\r\n          <textarea name="add_description"  class="span12" onClick="check_one(''add_description'',false)"></textarea>\r\n        </div>\r\n      </div>\r\n\r\n\r\n      <div class="row-fluid">\r\n        <label class="span4 radio">\r\n          <input type="radio" name="op" value="remove_tag" id="remove_tag"><{$smarty.const._MA_TADGAL_REMOVE_TAG}>\r\n        </label>\r\n      </div>\r\n\r\n\r\n      <div class="row-fluid">\r\n        <label class="span4 radio">\r\n          <input type="radio" name="op" value="add_tag" id="add_tag"><{$smarty.const._MA_TADGAL_TAG}>\r\n        </label>\r\n\r\n        <div class="span8">\r\n          <input type="text" name="new_tag" class="span12" placeholder="<{$smarty.const._MA_TADGAL_TAG_TXT}>" onClick="check_one(''add_tag'',false)">\r\n        </div>\r\n      </div>\r\n\r\n      <div class="row-fluid">\r\n        <{$tag_select}>\r\n      </div>\r\n\r\n      <input type="hidden" name="csn" value="<{$csn}>">\r\n      <input type="submit" value="<{$smarty.const._MA_TADGAL_GO}>">\r\n\r\n    </div>\r\n\r\n    <div class="span9">\r\n      <div class="row-fluid">\r\n        <label class="checkbox span2">\r\n          <input type="checkbox" id="clickAll">\r\n          <{$smarty.const._MA_TADGAL_SELECT_ALL}>\r\n        </label>\r\n\r\n        <{$mode_select}>\r\n        <{$link_to_cate}>\r\n        <div id="save_msg"></div>\r\n      </div>\r\n\r\n      <{if $photo}>\r\n        <div class="row-fluid">\r\n          <ul id="sortable">\r\n            <{foreach item=photo from=$photo}>\r\n              <li id="recordsArray_<{$photo.sn}>" class="thumb_func">\r\n                <a href="javascript:check_one(''p<{$photo.sn}>'',true)" class="thumb">\r\n                  <img data-src="<{$photo.photo_s}>" src="<{$photo.photo_s}>" <{if $photo.title}>alt="<{$photo.title}><{/if}>" >\r\n                </a>\r\n                <div style="font-size:11px;width:130px;word-break: break-all;">\r\n                  <label class="checkbox inline">\r\n                    <input type="checkbox" id="p<{$photo.sn}>" name="pic[]" value="<{$photo.sn}>" class="p<{$photo.db_csn}>">\r\n                  <span class="label label-success"><{$photo.photo_sort}></span>\r\n                  </label>\r\n                  <{if $photo.good==''1''}><i class="icon-star"></i><{/if}>\r\n                  <{$photo.filename}>\r\n                </div>\r\n              </li>\r\n            <{/foreach}>\r\n          </ul>\r\n        </div>\r\n      <{/if}>\r\n\r\n    </div>\r\n  </div>\r\n\r\n</form>\r\n<{$jquery}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(443, '<{$bootstrap}>\r\n<{$jquery}>\r\n\r\n\r\n<link rel="stylesheet" href="<{$xoops_url}>/modules/tadgallery/class/miromannino-Justified/js/jquery-colorbox/colorbox.css" type="text/css" media="screen" />\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/miromannino-Justified/js/jquery-colorbox/jquery.colorbox-min.js"></script>\r\n<link rel="stylesheet" href="<{$xoops_url}>/modules/tadgallery/class/miromannino-Justified/css/jquery.justifiedgallery.css" type="text/css" media="all" />\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/miromannino-Justified/js/jquery.justifiedgallery.js"></script>\r\n\r\n<!--工具列-->\r\n<div class="row-fluid">\r\n  <div class="span9"><{$toolbar}></div>\r\n  <div class="text-right span3">\r\n    <select onChange="location.href=''index.php?show_uid='' + this.value" class="span12">\r\n      <{$author_option}>\r\n    </select>\r\n  </div>\r\n</div>\r\n\r\n\r\n<!--下拉選單及目前路徑-->\r\n<div class="row-fluid">\r\n  <div class="span3">\r\n    <select onChange="location.href=''index.php?csn='' + this.value" class="span12">\r\n      <{$cate_option}>\r\n    </select>\r\n  </div>\r\n  <div class="span9">\r\n    <{$path}>\r\n  </div>\r\n</div>\r\n\r\n<!--相簿-->\r\n<{includeq file="db:tg_albums.html"}>\r\n\r\n\r\n\r\n<!--相片-->\r\n<{if $photo}>\r\n  <div class="row-fluid">\r\n    <div class="span12" id="tg_container">\r\n      <{foreach item=photo from=$photo}>\r\n        <a href="view.php?sn=<{$photo.sn}>" title="<{$photo.title}>">\r\n          <img alt="<{$photo.title}>" title="<{$photo.title}>" src="<{$photo.photo_m}>" />\r\n        </a>\r\n      <{/foreach}>\r\n    </div>\r\n  </div>\r\n\r\n  <script type="text/javascript">\r\n    $("#tg_container").justifiedGallery({\r\n      "rowHeight" : 110,\r\n      "sizeRangeSuffixes" : {\r\n        "lt100":"",\r\n        "lt240":"",\r\n        "lt320":"",\r\n        "lt500":"",\r\n        "lt640":"",\r\n        "lt1024":""\r\n      },\r\n      "usedSizeRange" : "lt240",\r\n      "margins" : 5,\r\n      "target" : "_blank"\r\n    });\r\n  </script>\r\n<{else}>\r\n  <div class="hero-unit">\r\n    <{$smarty.const._MD_TADGAL_EMPTY}>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(444, '<{$bootstrap}>\r\n\r\n<{$jquery}>\r\n\r\n<style>\r\n.tg_item {\r\n  width:200px;\r\n  margin: 8px;\r\n  float: left;\r\n  border:none;\r\n  background-color:rgb(254,254,254);\r\n}\r\n.outline{\r\n  color:rgb(32,32,32);\r\n  font-size:11pt;\r\n  display:block;\r\n  margin:0px;\r\n  padding:15px 4px;\r\n  border-top:1px solid #D0D0D0;\r\n  border-bottom:1px solid #D0D0D0;\r\n  text-align:center;\r\n}\r\n.photo_description{\r\n  font-size:12px;\r\n  line-height:1.8;\r\n  color:rgb(48,48,48);\r\n  padding:6px;\r\n}\r\n.photo_info{\r\n  font-size:10px;\r\n  color:rgb(128,128,128);\r\n  border-top:1px solid #D0D0D0;\r\n  padding:3px 6px;\r\n}\r\n</style>\r\n\r\n<div class="row-fluid">\r\n  <div class="span9"><{$toolbar}></div>\r\n  <div class="text-right span3">\r\n    <select onChange="location.href=''index.php?show_uid='' + this.value" class="span12">\r\n      <{$author_option}>\r\n    </select>\r\n  </div>\r\n</div>\r\n\r\n<div class="row-fluid">\r\n  <div class="span3">\r\n    <select onChange="location.href=''index.php?csn='' + this.value" class="span12">\r\n      <{$cate_option}>\r\n    </select>\r\n  </div>\r\n  <div class="span9">\r\n    <{$path}>\r\n  </div>\r\n</div>\r\n\r\n\r\n\r\n<!--相簿-->\r\n<{includeq file="db:tg_albums.html"}>\r\n\r\n\r\n<!--相片-->\r\n<{if $photo}>\r\n  <div class="row-fluid">\r\n    <div class="span12">\r\n      <div id="tg_container">\r\n        <{foreach item=photo from=$photo}>\r\n          <{if $photo.photo_m}>\r\n            <div class="tg_item" id="item_photo_<{$photo.sn}>">\r\n              <div class="show_photo" style="position:relative">\r\n                <a href="view.php?sn=<{$photo.sn}>">\r\n                <img src="<{$photo.photo_m}>" class="rounded" data-corner="top 5px" />\r\n                </a>\r\n\r\n                <{if $photo.photo_del}>\r\n                <a href="javascript:delete_tad_gallery_func(<{$photo.sn}>)" class="btn btn-mini btn-danger" style="position:absolute;bottom:2px;left:2px;display:none;"><{$smarty.const._TAD_DEL}></a>\r\n                <{/if}>\r\n\r\n                <{if $photo.photo_edit}>\r\n                <a href="ajax.php?op=edit_photo&sn=<{$photo.sn}>" class="btn btn-mini fancybox.ajax editbtn" style="position:absolute;bottom:2px;right:2px;display:none;"><{$smarty.const._TAD_EDIT}></a>\r\n                <{/if}>\r\n              </div>\r\n\r\n              <div <{if $photo.title}>class="outline"<{/if}>>\r\n                <a href="view.php?sn=<{$photo.sn}>" id="title<{$photo.sn}>"><{$photo.title}></a>\r\n              </div>\r\n\r\n              <div <{if $photo.description}>class="photo_description"<{/if}> id="description<{$photo.sn}>">\r\n                <{$photo.description}>\r\n              </div>\r\n\r\n              <div class="row-fluid">\r\n                <div class="span4 photo_info">\r\n                  <i class="icon-user"></i><{$photo.counter}>\r\n                </div>\r\n                <div class="span8 photo_info text-right">\r\n                  <{$photo.post_date}>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          <{/if}>\r\n        <{/foreach}>\r\n\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.masonry.min.js"></script>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery-outline-1.3.js"></script>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.corner.js"></script>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.animate-shadow.js"></script>\r\n\r\n  <link rel=''stylesheet'' href=''<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.css'' type=''text/css'' media=''all''>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.js"></script>\r\n\r\n\r\n  <script>\r\n   $(function(){\r\n\r\n     var $container = $(''#tg_container'');\r\n     $container.imagesLoaded(function(){\r\n       $container.masonry({\r\n         itemSelector : ''.tg_item'',\r\n         isFitWidth:true,\r\n         isAnimated: true\r\n       });\r\n     });\r\n\r\n    $(".editbtn").fancybox({\r\n      afterClose : function() {\r\n        $(''#tg_container'').masonry(''reload'');\r\n        return;\r\n      }\r\n    });\r\n\r\n    //$(".outline").outlineLetters({color: ''#E0E0E0'', size: 1});\r\n    $(''.show_photo'').hover(function(){$(this).children(''.btn'').css(''display'',''inline'')},function(){$(this).children(''.btn'').css(''display'',''none'')});\r\n    $(''.tg_item'').animate({boxShadow: ''0 0 8px #D0D0D0''});\r\n    $(''.rounded'').corner("round 4px");\r\n  });\r\n\r\n  function delete_tad_gallery_func(sn){\r\n  	var sure = window.confirm(''<{$smarty.const._TAD_DEL_CONFIRM}>'');\r\n  	if (!sure)	return;\r\n  	//location.href="ajax.php?op=delete_tad_gallery&sn=" + sn;\r\n  	$.post("ajax.php", { op: "delete_tad_gallery", sn: sn },\r\n      function(data) {\r\n      $(''#item_photo_''+sn).remove();\r\n      $(''#tg_container'').masonry(''reload'');\r\n    });\r\n  }\r\n  </script>\r\n\r\n<{else}>\r\n  <div class="hero-unit">\r\n    <{$smarty.const._MD_TADGAL_EMPTY}>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(442, '<{$bootstrap}>\r\n\r\n<{$jquery}>\r\n\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadgallery/module.css" />\r\n\r\n<div class="row-fluid">\r\n  <div class="span9"><{$toolbar}></div>\r\n  <div class="text-right span3">\r\n    <select onChange="location.href=''index.php?show_uid='' + this.value" class="span12">\r\n      <{$author_option}>\r\n    </select>\r\n  </div>\r\n</div>\r\n\r\n<div class="row-fluid">\r\n  <div class="span3">\r\n    <select onChange="location.href=''index.php?csn='' + this.value" class="span12">\r\n      <{$cate_option}>\r\n    </select>\r\n  </div>\r\n  <div class="span9">\r\n    <{$path}>\r\n  </div>\r\n</div>\r\n\r\n\r\n<!--相簿-->\r\n<{includeq file="db:tg_albums.html"}>\r\n\r\n\r\n  <!--相片-->\r\n<{if $photo}>\r\n  <div class="row-fluid">\r\n    <div class="span12" id="tg_container">\r\n      <{foreach item=photo from=$photo}>\r\n\r\n        <div class=''PhotoCate'' id="item_photo_<{$photo.sn}>">\r\n          <div style="width:135px;height:100px;background:rgb(249,249,249) url(''<{$photo.photo_s}>'') no-repeat center center;cursor: pointer;" class="show_photo" onClick="location.href=''<{$xoops_url}>/modules/tadgallery/view.php?sn=<{$photo.sn}>''">\r\n          </div>\r\n\r\n          <div class="pic_title2"><{$photo.title}></div>\r\n\r\n          <{if $photo.photo_del}>\r\n          <a href="javascript:delete_tad_gallery_func(<{$photo.sn}>)" class="btn btn-mini btn-danger" style="position:absolute;bottom:2px;left:2px;display:none;"><{$smarty.const._TAD_DEL}></a>\r\n          <{/if}>\r\n\r\n          <{if $photo.photo_edit}>\r\n          <a href="ajax.php?op=edit_photo&sn=<{$photo.sn}>" class="btn btn-mini fancybox.ajax editbtn" style="position:absolute;bottom:2px;right:2px;display:none;"><{$smarty.const._TAD_EDIT}></a>\r\n          <{/if}>\r\n        </div>\r\n      <{/foreach}>\r\n\r\n    </div>\r\n  </div>\r\n\r\n  <!--script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.dropshadow.js"></script-->\r\n\r\n\r\n\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery-outline-1.3.js"></script>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.corner.js"></script>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.animate-shadow.js"></script>\r\n\r\n  <link rel=''stylesheet'' href=''<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.css'' type=''text/css'' media=''all''>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.js"></script>\r\n\r\n\r\n  <script>\r\n   $(function(){\r\n\r\n    $(".editbtn").fancybox();\r\n\r\n    $(''.PhotoCate'').hover(function(){$(this).children(''.btn'').css(''display'',''inline'')},function(){$(this).children(''.btn'').css(''display'',''none'')});\r\n    $(''.PhotoCate'').animate({boxShadow: ''0 0 8px #D0D0D0''});\r\n    //$(''.PhotoCate'').corner("round 4px");\r\n    //$(".PhotoCate").dropShadow({left: 1, top: 1, blur: 2, opacity: 0.5});\r\n  });\r\n\r\n  function delete_tad_gallery_func(sn){\r\n    var sure = window.confirm(''<{$smarty.const._TAD_DEL_CONFIRM}>'');\r\n    if (!sure)  return;\r\n    //location.href="ajax.php?op=delete_tad_gallery&sn=" + sn;\r\n    $.post("ajax.php", { op: "delete_tad_gallery", sn: sn },\r\n      function(data) {\r\n      $(''#item_photo_''+sn).remove();\r\n      //$(''#tg_container'').masonry(''reload'');\r\n    });\r\n  }\r\n  </script>\r\n\r\n\r\n<{else}>\r\n  <div class="hero-unit">\r\n    <{$smarty.const._MD_TADGAL_EMPTY}>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(439, '<{$toolbar}>\r\n<{$css}>\r\n<{$cate_option}><{$link_to_cate}>\r\n<div style="width:100%;margin-left:auto;margin-right:auto;">\r\n<{$pics}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(440, '<{$toolbar}>\r\n<table style="width:100%;" id="tad_reset">\r\n<tr>\r\n<td style="margin:0px;padding:0px;"><{$path}></td>\r\n<td style="text-align:right;"><{$author_option}><{$cate_option}><{$show_3d_button}><{$show_shadowbox_button}><{$slideshow_button}></td>\r\n</tr>\r\n</table>\r\n<{$css}>\r\n\r\n\r\n<div style="width:100%;">\r\n  <p><{$data}></p>\r\n  <p style="clear:both;"></p>\r\n  <p align="center"><{$bar}></p>\r\n\r\n</div>\r\n<p style="clear:both;"></p>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(441, '<{$bootstrap}>\r\n<p>\r\n<{$toolbar}>\r\n</p>\r\n\r\n<{$jquery}>\r\n\r\n<link rel=''stylesheet'' href=''<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.css'' type=''text/css'' media=''all''>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/fancyBox/source/jquery.fancybox.js"></script>\r\n<script type="text/javascript" src="class/jquery.bxslider/jquery.bxslider.js"></script>\r\n<link rel="stylesheet" href="class/jquery.bxslider/jquery.bxslider.css" type="text/css" />\r\n\r\n\r\n<script>\r\n$(document).ready(function(){\r\n  $(''.slider1'').bxSlider({\r\n    slideWidth: 100,\r\n    minSlides: 2,\r\n    maxSlides: 12,\r\n    slideMargin: 10\r\n  });\r\n  $(".exif").fancybox();\r\n  $(".gmap").fancybox();\r\n});\r\n</script>\r\n\r\n\r\n<{$del_js}>\r\n\r\n<div class="row-fluid">\r\n  <div class="span12">\r\n    <{$path}>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span6">\r\n        <{if $title}>\r\n          <h1><{$title}></h1>\r\n        <{/if}>\r\n      </div>\r\n      <div class="span6" style="text-align:right;vertical-align:bottom;">\r\n\r\n        <{if $latitude}>\r\n          <a class="gmap fancybox.iframe" href="gmap.php?latitude=<{$latitude}>&longitude=<{$longitude}>"><img src="images/map.png" style="margin:3px 2px 0px 0px;"></a>\r\n        <{/if}>\r\n\r\n        <{if $sel_size}>\r\n          <{$sel_size}>\r\n          <a class="exif fancybox.ajax" href="exif.php?sn=<{$sn}>"><img src="images/exif.png" style="margin:3px 2px 0px 0px;"></a>\r\n        <{/if}>\r\n      </div>\r\n      <a name="photo<{$sn}>"></a>\r\n    </div>\r\n\r\n\r\n    <{if $description}>\r\n      <div class="row-fluid">\r\n        <div class="alert alert-info">\r\n          <{$description}>\r\n        </div>\r\n      </div>\r\n    <{/if}>\r\n\r\n\r\n    <{if $width > $height}>\r\n      <div class="row-fluid" style="background-color:#FBFBFB;">\r\n        <div class="span1" style="text-align:right;">\r\n          <{if $back}><a href="view.php?sn=<{$back}>#photo<{$back}>"><img src="images/left.png" style="margin-top:100px;"></a><{/if}>\r\n        </div>\r\n        <div class="span10 text-center">\r\n          <img src="<{$photo_l}>" class="img-polaroid">\r\n        </div>\r\n        <div class="span1">\r\n          <{if $next}><a href="view.php?sn=<{$next}>#photo<{$next}>"><img src="images/right.png" style="margin-top:100px;"></a><{/if}>\r\n        </div>\r\n      </div>\r\n    <{else}>\r\n      <div class="row-fluid" style="background-color:#FBFBFB;">\r\n        <div class="span2" style="text-align:right;">\r\n          <{if $back}><a href="view.php?sn=<{$back}>#photo<{$back}>"><img src="images/left.png" style="margin-top:100px;"></a><{/if}>\r\n        </div>\r\n\r\n        <div class="span8">\r\n          <img src="<{$photo_l}>" class="img-polaroid">\r\n        </div>\r\n\r\n        <div class="span2">\r\n          <{if $next}><a href="view.php?sn=<{$next}>#photo<{$next}>"><img src="images/right.png" style="margin-top:100px;"></a><{/if}>\r\n        </div>\r\n      </div>\r\n\r\n    <{/if}>\r\n\r\n\r\n    <div class="row-fluid text-center">\r\n      <{$push}>\r\n    </div>\r\n\r\n\r\n    <div class="row-fluid">\r\n      <div class="slider1 span12">\r\n        <{if $slides1}>\r\n          <{foreach item=slide from=$slides1}>\r\n            <div class="slide" onClick="location.href=''view.php?sn=<{$slide.sn}>#photo<{$slide.sn}>''" style="cursor:pointer;height:80px;background:#000 url(''<{$slide.thumb}>'') no-repeat center top;"></div>\r\n          <{/foreach}>\r\n        <{/if}>\r\n\r\n        <{if $slides2}>\r\n          <{foreach item=slide from=$slides2}>\r\n            <div class="slide" onClick="location.href=''view.php?sn=<{$slide.sn}>#photo<{$slide.sn}>''" style="cursor:pointer;height:80px;background:#000 url(''<{$slide.thumb}>'') no-repeat center top;"></div>\r\n          <{/foreach}>\r\n        <{/if}>\r\n      </div>\r\n    </div>\r\n\r\n    <{$facebook_comments}>\r\n\r\n    <div class="row-fluid">\r\n      <{$commentsnav}>\r\n      <{$lang_notice}>\r\n\r\n\r\n      <div style="margin: 3px; padding: 3px;">\r\n      <!-- start comments loop -->\r\n      <{if $comment_mode == "flat"}>\r\n        <{include file="db:system_comments_flat.html"}>\r\n      <{elseif $comment_mode == "thread"}>\r\n        <{include file="db:system_comments_thread.html"}>\r\n      <{elseif $comment_mode == "nest"}>\r\n        <{include file="db:system_comments_nest.html"}>\r\n      <{/if}>\r\n      <!-- end comments loop -->\r\n      </div>\r\n    </div>\r\n  </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(437, '<{$bootstrap}>\r\n\r\n\r\n<div class="row-fluid">\r\n    <div class="span9"><{$toolbar}></div>\r\n    <div class="text-right span3"><{$cate_option}></div>\r\n</div>\r\n\r\n<div class="row-fluid">\r\n  <div class="span12">\r\n    <{$path}>\r\n  </div>\r\n</div>\r\n\r\n<{$data}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(438, '<{$bootstrap}>\r\n\r\n<div class="row-fluid">\r\n  <div class="span9"><{$toolbar}></div>\r\n  <div class="text-right span3">\r\n    <select onChange="location.href=''index.php?show_uid='' + this.value" class="span12">\r\n      <{$author_option}>\r\n    </select>\r\n  </div>\r\n</div>\r\n\r\n<div class="row-fluid">\r\n  <div class="span3">\r\n    <select onChange="location.href=''index.php?csn='' + this.value" class="span12">\r\n      <{$cate_option}>\r\n    </select>\r\n  </div>\r\n  <div class="span9">\r\n    <{$path}>\r\n  </div>\r\n</div>\r\n\r\n<div class="well">\r\n  <form action="index.php" method="post" style="display:inline;">\r\n    <h3><{$title}></h3>\r\n    <div class="input-append">\r\n      <input class="span9" name="passwd" id="appendedInputButton" type="password" value="">\r\n      <input type="hidden" name="csn" value="<{$csn}>">\r\n      <button class="btn" type="submit">Go</button>\r\n    </div>\r\n  </form>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(309, '<{$block.jquery_path}>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/carouFredSel/jquery.carouFredSel-6.2.1-packed.js"></script>\r\n\r\n<!-- optionally include helper plugins -->\r\n<script type="text/javascript" language="javascript" src="<{$xoops_url}>/modules/tadgallery/class/carouFredSel/helper-plugins/jquery.mousewheel.min.js"></script>\r\n<script type="text/javascript" language="javascript" src="<{$xoops_url}>/modules/tadgallery/class/carouFredSel/helper-plugins/jquery.touchSwipe.min.js"></script>\r\n<script type="text/javascript" language="javascript" src="<{$xoops_url}>/modules/tadgallery/class/carouFredSel/helper-plugins/jquery.transit.min.js"></script>\r\n<script type="text/javascript" language="javascript" src="<{$xoops_url}>/modules/tadgallery/class/carouFredSel/helper-plugins/jquery.ba-throttle-debounce.min.js"></script>\r\n\r\n<style type="text/css" media="all">\r\n  .list_carousel {\r\n    position: relative;\r\n  }\r\n  .list_carousel ul {\r\n    margin: 0;\r\n    padding: 0;\r\n    list-style: none;\r\n    display: block;\r\n  }\r\n  .list_carousel li {\r\n    padding: 0;\r\n    margin: 0px;\r\n    display: block;\r\n    float: left;\r\n  }\r\n  .list_carousel.responsive {\r\n    width: auto;\r\n    margin-left: 0;\r\n  }\r\n  .clearfix {\r\n    float: none;\r\n    clear: both;\r\n  }\r\n  a.tadgallery_carousel_prev, a.tadgallery_carousel_next {\r\n    background: url(<{$xoops_url}>/modules/tadgallery/images/miscellaneous_sprite.png) no-repeat transparent;\r\n    width: 45px;\r\n    height: 50px;\r\n    display: block;\r\n    position: absolute;\r\n    top: 45px;\r\n  }\r\n  a.tadgallery_carousel_prev {			left: -22px;\r\n            background-position: 0 0; }\r\n  a.tadgallery_carousel_prev:hover {		background-position: 0 -50px; }\r\n  a.tadgallery_carousel_prev.disabled {	background-position: 0 -100px !important;  }\r\n  a.tadgallery_carousel_next {			right: -22px;\r\n            background-position: -50px 0; }\r\n  a.tadgallery_carousel_next:hover {		background-position: -50px -50px; }\r\n  a.tadgallery_carousel_next.disabled {	background-position: -50px -100px !important;  }\r\n  a.tadgallery_carousel_prev.disabled, a.tadgallery_carousel_next.disabled {\r\n    cursor: default;\r\n  }\r\n\r\n  a.tadgallery_carousel_prev span, a.tadgallery_carousel_next span {\r\n    display: none;\r\n  }   \r\n</style>    \r\n<script type="text/javascript">\r\n$(function() {\r\n  $(''#carousel<{$block.options1}>'').carouFredSel({\r\n    <{$block.vertical}>\r\n    width: ''100%'',\r\n    height: <{$block.vertical_height}>,\r\n    <{$block.scroll}>\r\n    tadgallery_carousel_prev	: {	\r\n      button	: "#foo2_tadgallery_carousel_prev",\r\n      key		: "left"\r\n    },\r\n    tadgallery_carousel_next	: { \r\n      button	: "#foo2_tadgallery_carousel_next",\r\n      key		: "right"\r\n    },\r\n    <{if $block.options12}>\r\n    auto: <{$block.options12}>,\r\n    <{/if}>\r\n    mouseWheel: true\r\n  });\r\n});\r\n\r\n</script>\r\n<div class="list_carousel">\r\n  <ul id="carousel<{$block.options1}>">\r\n    <{foreach from=$block.pics item=p}>\r\n    <li>\r\n    <div style="width:<{$p.options5}>px;height:<{$p.options6}>px;background-image:url(<{$p.pic_url}>); overflow:hidden; margin:2px; background-position: center center;  background-repeat: no-repeat;cursor: pointer;" onClick="location.href=''<{$xoops_url}>/modules/tadgallery/view.php?sn=<{$p.photo_sn}>''"  alt="<{$p.photo_title}>"  title="<{$p.photo_title}>">\r\n    </div>\r\n    </li>\r\n    <{/foreach}>\r\n  </ul>\r\n  <div class="clearfix"></div>\r\n	<a class="tadgallery_carousel_prev" id="foo2_tadgallery_carousel_prev" href="#"><span>prev</span></a>\r\n	<a class="tadgallery_carousel_next" id="foo2_tadgallery_carousel_next" href="#"><span>next</span></a>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(310, '<{$block.jquery_path}>\r\n<script type=''text/javascript'' src=''<{$xoops_url}>/modules/tadgallery/class/jqshuffle.js''></script>\r\n<script type=''text/javascript''>\r\n  $(document).ready(function(){\r\n      $(''.imageBox<{$block.csn}>'').jqShuffle();\r\n  });\r\n</script>\r\n\r\n<div style=''display:block;width:<{$block.width}>px;height:<{$block.height}>px;''>\r\n<ul class=''imageBox<{$block.csn}>'' style=''list-style-type: none;''>\r\n<{foreach from=$block.pics item=p}>\r\n  <li style=''list-style-type: none;''>\r\n    <div style=''width:<{$block.width}>px;height:<{$block.height}>px;background-image:url(<{$p.pic_url}>);  background-position: center center;  background-repeat: no-repeat;background-color:white;''></div>\r\n  </li>\r\n<{/foreach}>\r\n</ul>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(311, '<{$block.jquery_path}>\r\n<style type="text/css">\r\nul#animated-portfolio-block<{$block.options1}>{\r\n  list-style-type: none;\r\n}\r\nul#animated-portfolio-block<{$block.options1}> li{\r\n  list-style: none;\r\n}\r\n</style>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jquery.animated.innerfade/js/jquery.animated.innerfade.js"></script>\r\n<script type="text/javascript">\r\n\r\n$(document).ready( function(){\r\n  $("ul#animated-portfolio-block<{$block.options1}>").animatedinnerfade({\r\n  speed: 1000,\r\n  timeout: 5000,\r\n  type: "random",\r\n  containerwidth: "<{$block.options5}>px",\r\n  containerheight: "<{$block.options6}>px",\r\n  animationSpeed: 5000,\r\n  animationtype: "fade",\r\n  bgFrame: "none",\r\n  controlBox: "auto",\r\n  controlBoxClass: "none",\r\n  controlButtonsPath: "<{$xoops_url}>/modules/tadgallery/class/jquery.animated.innerfade/img",\r\n  displayTitle: "none"\r\n  });\r\n} );\r\n</script>\r\n\r\n<ul id="animated-portfolio-block<{$block.options1}>">\r\n<{foreach from=$block.pics item=p}>\r\n  <li>\r\n    <a href="<{$xoops_url}>/modules/tadgallery/view.php?sn=<{$p.sn}>"><img src="<{$p.pic_url}>" alt="<{$p.title}>" title="<{$p.title}>" /></a>\r\n  </li>\r\n<{/foreach}>\r\n</ul>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(312, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(313, '<style type="text/css">\r\n/* Scroller Box */\r\n#scroller_container<{$block.options1}> {\r\n width: <{$block.options5}>px;\r\n height: <{$block.options6}>px;\r\n overflow: hidden;\r\n}\r\n/* Scoller Box */\r\n\r\n/* CSS Hack Safari */\r\n#dummy {;# }\r\n\r\n#scroller_container<{$block.options1}> {\r\n overflow: auto;\r\n}\r\n/* Scroller Box */\r\n.blur{\r\n    background-color: #ccc; /*shadow color*/\r\n    color: inherit;\r\n    margin-left: 4px;\r\n    margin-top: 4px;\r\n    margin-right: 8px;\r\n    width:<{$block.options5}>px;\r\n}\r\n\r\n.shadow,\r\n.shadow_content{\r\n    position: relative;\r\n    bottom: 2px;\r\n    right: 2px;\r\n}\r\n\r\n.shadow{\r\n    background-color: #666; /*shadow color*/\r\n    color: inherit;\r\n}\r\n\r\n.shadow_content{\r\n    background-color: #fff; /*background color of content*/\r\n    color: #000; /*text color of content*/\r\n    border: 1px solid #cfcfcf; /*border color*/\r\n    padding: 4px 2px;\r\n    text-align:center;\r\n}\r\n</style>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadgallery/class/jscroller.js"></script>\r\n\r\n<div id="scroller_container<{$block.options1}>">\r\n  <div class="<{$block.options8}> jscroller2_speed-<{$block.options9}> jscroller2_mousemove">\r\n   <{foreach from=$block.pics item=p}>\r\n    <div class="blur">\r\n      <div class="shadow">\r\n        <div class="shadow_content">\r\n          <a href="<{$xoops_url}>/modules/tadgallery/view.php?sn=<{$p.sn}>"><img src="<{$p.pic_url}>" alt="<{$p.title}>" title="<{$p.title}>" /></a>\r\n          <div style="padding:4px;margin-top:4px;font-size:11px;color:#606060"><{$p.title}></div>\r\n          <{$p.description}>\r\n        </div>\r\n      </div>\r\n    </div>\r\n   <{/foreach}>\r\n  </div>\r\n </div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(314, '<{foreach from=$block item=p}>\r\n<div class="row-fluid">\r\n  <div class="span12" <{if $p.options3==''0''}>style="height:1em;line-height:2em;overflow:hidden;"<{/if}>>\r\n    <a href="<{$xoops_url}>/userinfo.php?uid=<{$p.uid}>"><{$p.uid_name}></a>: <a href="<{$xoops_url}>/modules/tadgallery/view.php?sn=<{$p.nsn}>#comment<{$p.com_id}>"><{$p.txt}></a>\r\n  </div>\r\n  <{$p.who}>\r\n</div>\r\n<{/foreach}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(315, '<div align="center">\r\n  <object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=7,0,0,0"\r\n  width="<{$block.width}>" height="<{$block.height}>">\r\n  <param name="allowFullScreen" value="true" />\r\n  <param name="movie" value="<{$xoops_url}>/modules/tadgallery/gallery.swf" />\r\n  <param name="quality" value="best" />\r\n  <param name=''FlashVars'' value=''xmlFile=<{$xoops_url}>/uploads/tadgallery/gallery_<{$block.sn}>.xml'' />\r\n  <param name="scale" value="noScale" />\r\n  <embed src="<{$xoops_url}>/modules/tadgallery/gallery.swf" quality="best" FlashVars=''xmlFile=<{$xoops_url}>/uploads/tadgallery/gallery_<{$block.sn}>.xml'' scale="noScale" width="<{$block.width}>" height="<{$block.height}>" allowFullScreen="true" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" />\r\n  </object>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(316, '<div>\r\n<{foreach from=$block item=p}>\r\n	<a href=''<{$xoops_url}>/modules/tadgallery/view.php?sn=<{$p.sn}>'' style=''display:block;float:left;margin:<{$p.options4}>px;text-decoration:none;''><div style=''border:1px solid #D0D0D0;width:<{$p.options5}>px;height:<{$p.options6}>px;background-image:url(<{$p.pic_url}>);background-position: top center;	background-repeat: no-repeat;cursor:pointer;''></div><{$p.pic_txt}></a>\r\n<{/foreach}>\r\n<div style=''clear:both;''></div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(317, '<{$block.jquery}>\r\n\r\n\r\n\r\n<style type="text/css">\r\n.scroll_div {width:<{$block.options5}>px;height:<{$block.options6}>px;margin:0 auto;overflow:hidden;white-space:nowrap;}\r\n.scroll_div img {width:{$pic_width}px;height:<{$block.options6}>px;margin: auto 0px}\r\n#scroll_begin, #scroll_end, #scroll_begin ul, #scroll_end ul, #scroll_begin ul li, #scroll_end ul li{display:inline}\r\n</style>\r\n\r\n<script language="javascript">\r\n$(function() {\r\n  var width=$(''#scrolldiv'').width();\r\n  $(''#scroll_div'').css(''width'',width+''px'');\r\n});\r\n\r\nfunction ScrollImgLeft(){\r\nvar speed=<{$block.options8}>\r\nvar scroll_begin = document.getElementById("scroll_begin");\r\nvar scroll_end = document.getElementById("scroll_end");\r\nvar scroll_div = document.getElementById("scroll_div");\r\nscroll_end.innerHTML=scroll_begin.innerHTML\r\n  function Marquee(){\r\n    if(scroll_end.offsetWidth-scroll_div.scrollLeft<=0)\r\n      scroll_div.scrollLeft-=scroll_begin.offsetWidth\r\n    else\r\n      scroll_div.scrollLeft++\r\n  }\r\nvar MyMar=setInterval(Marquee,speed)\r\n  scroll_div.onmouseover=function() {clearInterval(MyMar)}\r\n  scroll_div.onmouseout=function() {MyMar=setInterval(Marquee,speed)}\r\n}\r\n</script>\r\n\r\n<!--gundong-->\r\n<div id="scrolldiv">\r\n\r\n  <div id="scroll_div" class="scroll_div">\r\n    <div id="scroll_begin">\r\n      <ul style="list-style:none">\r\n        <{foreach from=$block.pics item=p}>\r\n        <li><a href="<{$xoops_url}>/modules/tadgallery/view.php?sn=<{$p.sn}>"><img src="<{$p.pic_url}>" alt="<{$p.title}>" title="<{$p.title}>" /></a></li>\r\n        <{/foreach}>\r\n      </ul>\r\n    </div>\r\n    <div id="scroll_end"></div>\r\n  </div>\r\n</div>\r\n<!--gundong-->\r\n<script type="text/javascript">ScrollImgLeft();</script>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(318, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(319, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(320, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n<{$jquery}>\r\n\r\n\r\n\r\n<{if $op=="tad_web_form"}>\r\n  <{$formValidator_code}>\r\n  <div class="row-fluid">\r\n	<form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n	<table class="table" style="<{$pic}>">\r\n\r\n	<tr><td nowrap><{$smarty.const._MA_TCW_TEAMNAME}></td>\r\n	<td><input type="text" name="WebName"  value="<{$WebName}>" id="WebName" class="validate[required , length[1,255]]"></td></tr>\r\n\r\n	<tr><td nowrap><{$smarty.const._MA_TCW_TEAMTITLE}></td>\r\n	<td><input type="text" name="WebTitle" value="<{$WebTitle}>" id="WebTitle" class="validate[required , length[1,255]]"></td></tr>\r\n\r\n	<tr><td nowrap><{$smarty.const._MA_TCW_TEAMLEADER}></td>\r\n	<td><{$user_menu}></td></tr>\r\n\r\n	<tr><td nowrap><{$smarty.const._MA_TCW_TEAMENABLE}></td>\r\n	<td>\r\n	<label class="radio inline">\r\n  <input type="radio" name="WebEnable" id="WebEnable" value="1" <{$WebEnable1}>><{$smarty.const._TAD_ENABLE}>\r\n  </label>\r\n\r\n\r\n	<label class="radio inline">\r\n	<input type="radio" name="WebEnable" id="WebEnable" value="0" <{$WebEnable0}>><{$smarty.const._TAD_UNABLE}>\r\n  </label>\r\n  </td></tr>\r\n\r\n	<tr><td class="bar" colspan="2">\r\n	<input type="hidden" name="WebSort" size="20" value="<{$WebSort}>" id="WebSort">\r\n\r\n	<!--編號-->\r\n	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n	<input type="hidden" name="op" value="<{$next_op}>">\r\n	<input type="submit" value="<{$smarty.const._TAD_SAVE}>"></td></tr>\r\n	</table>\r\n	</form>\r\n  </div>\r\n<{elseif $op=="batch_creat_class"}>\r\n	<form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <{$content}>\r\n  	<input type="hidden" name="op" value="batch_add_class">\r\n  	<input type="submit" value="<{$smarty.const._TAD_SAVE}>">\r\n	</form>\r\n	\r\n<{elseif $op=="create_web"}>\r\n  <a href="main.php?op=create_by_user" class="btn btn-large btn-info"><{$smarty.const._MA_TCW_CREATE_BY_USER}></a>\r\n<{elseif $op=="create_by_user"}>\r\n	<form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <{$form}>\r\n  	<input type="hidden" name="op" value="batch_add_class_by_user">\r\n  	<input type="submit" value="<{$smarty.const._TAD_SAVE}>">\r\n	</form>\r\n<{elseif $op=="delete_tad_web_chk"}>\r\n  <h2><{$smarty.const._MA_TCW_WILL_DEL}></h2>\r\n  <form action="main.php" method="post">\r\n  <table class="table table-striped table-bordered table-hover">\r\n  <tr><td><{$smarty.const._MA_TCW_DEL_MEM}></td><td><{$allMemName}></td></tr>\r\n  <tr><td><{$smarty.const._MA_TCW_DEL_LINK}></td><td><{$allLinkTitle}></td></tr>\r\n  <tr><td><{$smarty.const._MA_TCW_DEL_NEWS}></td><td><{$allNewsTitle}></td></tr>\r\n  <tr><td><{$smarty.const._MA_TCW_DEL_ACTION}></td><td><{$allActionName}></td></tr>\r\n  <tr><td><{$smarty.const._MA_TCW_DEL_FILES}></td><td><{$allFileName}></td></tr>\r\n  <tr><td><{$smarty.const._MA_TCW_DEL_VIDEOS}></td><td><{$allVideoName}></td></tr>\r\n  <tr><td><{$smarty.const._MA_TCW_DEL_DISCUSS}></td><td><{$allDiscussTitle}></td></tr>\r\n\r\n  </table>\r\n  <input type="hidden" name="op" value="delete_tad_web">\r\n  <input type="hidden" name="WebID" value="<{$WebID}>">\r\n  <button type="submit" class="btn btn-danger"><{$smarty.const._MA_TCW_DELETE}></button>\r\n  </form>\r\n<{else}>\r\n\r\n  <script type="text/javascript">\r\n  $(document).ready(function(){\r\n      $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n          var order = $(this).sortable("serialize");\r\n          $.post("save_sort.php", order, function(theResponse){\r\n              $("#save_msg").html(theResponse);\r\n          });\r\n      }\r\n      });\r\n  });\r\n\r\n  function delete_tad_web_func(WebID){\r\n  	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  	if (!sure)	return;\r\n  	location.href="main.php?op=delete_tad_web_chk&WebID=" + WebID;\r\n  }\r\n  </script>\r\n\r\n  <!--{$jeditable_set}-->\r\n\r\n  <div>\r\n  <a href="main.php?op=tad_web_form" class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n  <a href="main.php?op=create_by_user" class="btn btn-primary"><{$smarty.const._MA_TCW_CREATE_BY_USER}></a>\r\n  </div>\r\n  \r\n  <h2><{$WebYear}><{$smarty.const._MA_TCW_MAIN_TITLE}></h2>\r\n	<form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n	<div id="save_msg"></div>\r\n  <table class="table table-striped table-hover" style="width:auto;">\r\n  	<tr>\r\n    	<th><{$smarty.const._TAD_DEL}></th>\r\n    	<th><{$smarty.const._MA_TCW_TEAMNAME}></th>\r\n    	<th><{$smarty.const._MA_TCW_TEAMTITLE}></th>\r\n    	<th><{$smarty.const._MA_TCW_TEAMLEADER}></th>\r\n    	<th><{$smarty.const._MA_TCW_MEM_AMOUNT}></th>\r\n    	<th><{$smarty.const._MA_TCW_TEAMCOUNTER}></th>\r\n    	<th><{$smarty.const._TAD_FUNCTION}></th>\r\n    </tr>\r\n  	<tbody id="sort">\r\n  	<{foreach item=class from=$data}>\r\n  	<tr id="tr_<{$class.WebID}>">\r\n      <td>\r\n        <a href="main.php?op=delete_tad_web_chk&WebID=<{$class.WebID}>" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n      </td>\r\n  		<td>\r\n\r\n  		<{if $class.WebEnable==''1''}>\r\n  		  <a href="main.php?op=save_webs_able&able=0&WebID=<{$class.WebID}>"><img src="../images/show1.gif" alt="<{$smarty.const._TAD_ENABLE}>"></a>\r\n      <{else}>\r\n        <a href="main.php?op=save_webs_able&able=1&WebID=<{$class.WebID}>"><img src="../images/show0.gif" alt="<{$smarty.const._TAD_UNABLE}>"></a>\r\n      <{/if}>\r\n      \r\n        <a href="../index.php?WebID=<{$class.WebID}>" target="_blank"><{$class.WebName}></a>\r\n      </td>\r\n  		<td>\r\n        <input type="text" name="webTitle[<{$class.WebID}>]" value="<{$class.WebTitle}>" class="span2">\r\n      </td>\r\n  		<td>\r\n         <{$class.WebOwner}> (<{$class.uname}>)\r\n      </td>\r\n  		<td>\r\n    		<{$class.memAmount}>\r\n      </td>\r\n  		<td>\r\n    		<{$class.WebCounter}>\r\n      </td>\r\n  		<td>\r\n    		<a href="main.php?op=tad_web_form&WebID=<{$class.WebID}>" class="btn btn-mini btn-info"><{$smarty.const._TAD_EDIT}></a>\r\n\r\n      </td>\r\n  	</tr>\r\n    <{/foreach}>\r\n\r\n\r\n    </tbody>\r\n  </table>\r\n  \r\n	<input type="hidden" name="op" value="save_webs_title">\r\n	<div class="text-center">\r\n	<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n  </div>\r\n\r\n	</form>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(321, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<{$FooTableJS}>\r\n\r\n<{if $op=="ClassHome"}>\r\n\r\n  <{if $hide_news != 1}>\r\n    <div class="row-fluid">\r\n      <{includeq file="db:tad_web_common_news.html"}>\r\n    </div>\r\n  <{/if}>\r\n\r\n  <{if $hide_homework != 1}>\r\n    <div class="row-fluid">\r\n      <{includeq file="db:tad_web_common_homework.html"}>\r\n    </div>\r\n  <{/if}>\r\n\r\n  <{if $hide_discuss != 1}>\r\n    <div class="row-fluid">\r\n      <{includeq file="db:tad_web_common_discuss.html"}>\r\n    </div>\r\n  <{/if}>\r\n\r\n  <{if $hide_action != 1}>\r\n    <div class="row-fluid">\r\n      <{includeq file="db:tad_web_common_action.html"}>\r\n    </div>\r\n  <{/if}>\r\n\r\n  <{if $hide_link != 1}>\r\n    <div class="row-fluid">\r\n      <{includeq file="db:tad_web_common_link.html"}>\r\n    </div>\r\n  <{/if}>\r\n\r\n  <{if $hide_files != 1}>\r\n    <div class="row-fluid">\r\n      <{includeq file="db:tad_web_common_files.html"}>\r\n    </div>\r\n  <{/if}>\r\n\r\n  <{if $hide_video != 1}>\r\n    <div class="row-fluid">\r\n      <{includeq file="db:tad_web_common_video.html"}>\r\n    </div>\r\n  <{/if}>\r\n  \r\n<{elseif $op=="list_tad_web_news"}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_news.html"}>\r\n  </div>\r\n\r\n<{elseif $op=="list_tad_web_homework"}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_homework.html"}>\r\n  </div>\r\n  \r\n<{elseif $op=="list_tad_web_files"}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_files.html"}>\r\n  </div>\r\n\r\n<{elseif $op=="list_tad_web_action"}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_action.html"}>\r\n  </div>\r\n  \r\n<{elseif $op=="list_tad_web_discuss"}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_discuss.html"}>\r\n  </div>\r\n\r\n\r\n<{elseif $op=="list_tad_web_link"}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_link.html"}>\r\n  </div>\r\n  \r\n<{elseif $op=="list_tad_web_video"}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_video.html"}>\r\n  </div>\r\n  \r\n  \r\n<{else}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_aboutus.html"}>\r\n  </div>\r\n  \r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_news.html"}>\r\n  </div>\r\n  \r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_homework.html"}>\r\n  </div>\r\n\r\n  <!--div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_discuss.html"}>\r\n  </div-->\r\n\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_action.html"}>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_link.html"}>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_files.html"}>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_video.html"}>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(322, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<{if $WebID}>\r\n  <div class="well" id="WebBackground" style="background-image:url(images/background/<{$WebBackground}>);background-size:cover;background-position:<{$WebBackground_position}>">\r\n    <{if $teacher_thumb_pic}><a href="index.php?WebID=<{$WebID}>"><img src="<{$teacher_thumb_pic}>" class="img-polaroid img-rounded" style="float:left;margin-right:20px;"></a><{/if}>\r\n    <a href="index.php?WebID=<{$WebID}>"><img src="<{$xoops_url}>/uploads/tad_web_logos/<{$WebID}>.png"></a>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(323, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<{if $op=="show_one_tad_web"}>\r\n\r\n  <{if $all_mems}>\r\n\r\n  <style>\r\n	.draggable {padding: 5px; margin: 0 10px 10px 0; font-size: 12px; border:0px dotted gray;position:absolute;}\r\n	#snaptarget {width:640px;height: 540px; border:1px solid black;background:#CC6633 url(images/classroom2.png) center center no-repeat;position:relative;}\r\n\r\n	</style>\r\n\r\n	<script>\r\n	function IsNumeric(n){\r\n    return !isNaN(n);\r\n  }\r\n\r\n  $(function(){\r\n\r\n      $(''#getit'').click(function() {\r\n\r\n          var numLow = <{$min}>;\r\n          var numHigh = <{$max}>;\r\n\r\n          var adjustedHigh = (parseFloat(numHigh) - parseFloat(numLow)) + 1;\r\n\r\n          var numRand = Math.floor(Math.random()*adjustedHigh) + parseFloat(numLow);\r\n\r\n          if ((IsNumeric(numLow)) && (IsNumeric(numHigh)) && (parseFloat(numLow) <= parseFloat(numHigh)) && (numLow != '''') && (numHigh != '''')) {\r\n              $(''#randomnumber'').html(''<{$smarty.const._MD_TCW_GOT_YOU}>'' + numRand +''<{$smarty.const._MD_TCW_NUMBER}>'');\r\n              $(''#''+numRand).clone().appendTo(''#MemRandList'').css(''top'',''0px'').css(''left'',''0px'').css(''position'',''relative'').css(''float'',''left'');\r\n          } else {\r\n              $(''#randomnumber'').html(''<{$smarty.const._MD_TCW_AGAIN}>'');\r\n          }\r\n\r\n          return false;\r\n      });\r\n\r\n\r\n      $(''#clear'').click(function() {\r\n        $(''#MemRandList'').html('''');\r\n        $(''#randomnumber'').html('''');\r\n      });\r\n\r\n  });\r\n	</script>\r\n	<div class="row-fluid">\r\n    <div class="span5 well" style="background-image:url(<{$teacher_pic}>);background-repeat:no-repeat;background-size:cover;background-position:center; height:350px;"></div>\r\n    <div class="span7">\r\n      <div><{$smarty.const._MD_TCW_OWNER_NAME}><{$smarty.const._TAD_FOR}><{$WebOwner}></div>\r\n      <div><{$smarty.const._MD_TCW_MEM_AMOUNT}><{$smarty.const._TAD_FOR}> <{$smarty.const._MD_TCW_TOTAL}> <{$class_total}> <{$smarty.const._MD_TCW_PEOPLE}> <span class="label label-success"><{$smarty.const._MD_TCW_BOY}></span> <{$class_boy}> <{$smarty.const._MD_TCW_PEOPLE}> <span class="label label-important"><{$smarty.const._MD_TCW_GIRL}></span> <{$class_girl}> <{$smarty.const._MD_TCW_PEOPLE}></div>\r\n      <hr>\r\n      <div class="row-fluid">\r\n        <div class="span12">\r\n          <{if $isMine}><button class="btn btn-success" onClick="location.href=''aboutus.php?op=tad_web_adm&WebID=<{$WebID}>''"><{$smarty.const._MD_TCW_ADMIN}></button><{/if}>\r\n          <button id="clear" class="btn btn-danger"><{$smarty.const._MD_TCW_CLEAR}></button>\r\n          <button id="getit" class="btn btn-info"><{$smarty.const._MD_TCW_GET_SOMEONE}></button>\r\n        </div>\r\n      	<div id="randomnumber" style="font-size:16px;"></div>\r\n      	<div id="out" class="span12">\r\n          <div id="MemRandList"></div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n\r\n    <div class="demo">\r\n      <div id="snaptarget">\r\n      	<{$students1}>\r\n      </div>\r\n\r\n      <br style="clear:both;" />\r\n      <{$students2}>\r\n\r\n      <br style="clear:both;" />\r\n    </div>\r\n  <{else}>\r\n    <{includeq file="db:tad_web_adm.html"}>\r\n  <{/if}>\r\n<{elseif $op=="tad_web_adm"}>\r\n  <{includeq file="db:tad_web_adm.html"}>\r\n<{elseif $op=="tad_web_config"}>\r\n  <{includeq file="db:tad_web_config.html"}>\r\n<{elseif $op=="import_excel"}>\r\n\r\n  <h1><{$smarty.const._MD_TCW_IMPORT_PREVIEW}></h1>\r\n  <{$smarty.const._MD_TCW_IMPORT_DESCRIPT}>\r\n  \r\n  <form action="aboutus.php" method="post">\r\n  <table class="table table-striped table-bordered table-hover table-condensed">\r\n  <tr>\r\n    <th><{$smarty.const._MD_TCW_MEM_NUM}></th>\r\n    <th><{$smarty.const._MD_TCW_MEM_NAME}></th>\r\n    <th><{$smarty.const._MD_TCW_MEM_UNICODE}></th>\r\n    <th><{$smarty.const._MD_TCW_MEM_BIRTHDAY}></th>\r\n    <th><{$smarty.const._MD_TCW_MEM_SEX}></th>\r\n    <th><{$smarty.const._MD_TCW_MEM_NICKNAME}></th>\r\n  </tr>\r\n  <{$main}>\r\n  </table>\r\n  <input type="hidden" name="op" value="import2DB">\r\n  <input type="hidden" name="WebID" value="<{$WebID}>">\r\n  <button type="submit" class="btn btn-primary"><{$smarty.const._MD_TCW_IMPORT}></button>\r\n  </form>\r\n\r\n\r\n  \r\n<{else}>\r\n  <{$FooTableJS}>\r\n  <div class="row-fluid">\r\n    <{includeq file="db:tad_web_common_aboutus.html"}>\r\n  </div>\r\n  \r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(324, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<{if $mode=="list"}>\r\n  <{$FooTableJS}>\r\n  <{if $smarty.const._NEWS_KIND=="homework"}>\r\n    <{includeq file="db:tad_web_common_homework.html"}>\r\n  <{else}>\r\n    <{includeq file="db:tad_web_common_news.html"}>\r\n  <{/if}>\r\n  \r\n  <{if $isMyWeb}><a href="<{$smarty.const._NEWS_KIND}>.php?op=tad_web_news_form&WebID=<{$WebID}>" class="btn btn mini btn-warning pull-right"><{$smarty.const._TAD_EDIT}></a><{/if}>\r\n  <{$page}>\r\n  \r\n  <div class="clearfix"></div>\r\n  \r\n  <{if $show_fullcalendar}>\r\n    <link rel="stylesheet" type="text/css" href="class/fullcalendar/fullcalendar.css">\r\n  	<script src="class/fullcalendar/fullcalendar.js" type="text/javascript"></script>\r\n    <script type="text/javascript">\r\n    $(function() {\r\n        $("#calendar").fullCalendar({\r\n          buttonText:{today:"<{$smarty.const._MD_TCW_NEWS_TODAY}>",prev:"<{$smarty.const._MD_TCW_NEWS_PREV_MONTH}>",next:"<{$smarty.const._MD_TCW_NEWS_NEXT_MONTH}>"},\r\n          header: {\r\n        		left: ''prev,next today'',\r\n        		center: ''title'',\r\n        		right: ''''\r\n        	},\r\n          events: function(start, end, callback) {\r\n    				$.getJSON("get_event.php",\r\n    				{\r\n    					start: start.getTime(),\r\n    					NewsKind: "<{$smarty.const._NEWS_KIND}>" ,\r\n    					WebID: "<{$WebID}>"\r\n    				},\r\n    				function(result) {\r\n    					callback(result);\r\n    				});\r\n\r\n          },\r\n          eventClick: function(event) {\r\n              if (event.rel) {\r\n                  location.href=event.rel;\r\n                  return false;\r\n              }\r\n          }\r\n        })\r\n    });\r\n    </script>\r\n    <div id="calendar"></div>\r\n  <{/if}>\r\n  \r\n\r\n<{elseif $mode=="one_news"}>\r\n\r\n  <{if $isMine}>\r\n    <script>\r\n    function delete_tad_web_news_func(NewsID){\r\n    	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    	if (!sure)	return;\r\n    	location.href="<{$smarty.const._NEWS_KIND}>.php?op=delete_tad_web_news&NewsID=" + NewsID;\r\n    }\r\n    </script>\r\n  <{/if}>\r\n\r\n  <h1><{$NewsTitle}></h1>\r\n  <div style="text-align:right;font-size:12px;"><{$NewsInfo}></div>\r\n\r\n\r\n    <{$learn_info}>\r\n    <{$ShowCal}>\r\n  	<div class="well">\r\n  	 <{$NewsContent}>\r\n  	</div>\r\n  	<{$NewsUrlTxt}>\r\n\r\n  <{$NewsFiles}>\r\n  \r\n  <{if $isMine}>\r\n    <div style="text-align:right;">\r\n    	<a href="javascript:delete_tad_web_news_func(<{$NewsID}>);" class=''btn btn-danger''><{$smarty.const._TAD_DEL}></a>\r\n      <a href="<{$smarty.const._NEWS_KIND}>.php?WebID=<{$WebID}>&op=tad_web_news_form"  class="btn btn-info"><{$smarty.const._TAD_ADD}></a>\r\n      <a href="<{$smarty.const._NEWS_KIND}>.php?WebID=<{$WebID}>&op=tad_web_news_form&NewsID=<{$NewsID}>" class="btn btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    </div>\r\n  <{/if}>\r\n  \r\n<{else}>\r\n\r\n  <{$formValidator_code}>\r\n\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n  <script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n  <div class="row-fluid">\r\n  <form action="<{$smarty.const._NEWS_KIND}>.php" method="post" id="myForm" enctype="multipart/form-data">\r\n  	<!--標題-->\r\n    <div class="controls controls-row">\r\n      <input name="NewsTitle" id="NewsTitle" class="validate[required , length[1,255]] span12" type="text" value="<{$NewsTitle}>" placeholder="<{$smarty.const._MD_TCW_NEWSTITLE}>">\r\n    </div>\r\n\r\n  	<!--內容-->\r\n    <div class="controls controls-row">\r\n    	 <{$NewsContent_editor}>\r\n    </div>\r\n    <br>\r\n  	<!--地點-->\r\n  	<{if $SHOW_NEWS_PLACE || SHOW_NEWS_MASTER}>\r\n      <div class="controls controls-row">\r\n      	<{if $SHOW_NEWS_PLACE}>\r\n          <div class="span2"><{$smarty.const._MD_TCW_NEWSPLACE}></div>\r\n          <input type="text" name="NewsPlace"  value="<{$NewsPlace}>" id="NewsPlace" class="span4">\r\n\r\n      	<{/if}>\r\n\r\n      	<!--主持人-->\r\n      	<{if $SHOW_NEWS_MASTER}>\r\n          <div class="span2"><{$smarty.const._MD_TCW_NEWSMASTER}></div>\r\n          <input type="text" name="NewsMaster" value="<{$NewsMaster}>" id="NewsMaster" class="span4">\r\n      	<{/if}>\r\n      </div>\r\n    <{/if}>\r\n    \r\n  	<!--相關連結-->\r\n  	<{if $SHOW_NEWS_URL}>\r\n    <div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TCW_NEWSURL}></div>\r\n      <input type="text" name="NewsUrl" value="<{$NewsUrl}>" id="NewsUrl" class="span10">\r\n    </div>\r\n  	<{/if}>\r\n  	\r\n  	\r\n    <!--發布時間-->\r\n  	<{if $USE_NEWS_FORM_DATETIME || SHOW_NEWS_TOCAL}>\r\n      <div class="controls controls-row">\r\n      	<{if $USE_NEWS_FORM_DATETIME}>\r\n          <div class="span2"><{$smarty.const._MD_TCW_NEWSDATE}></div>\r\n          <input type="text" name="NewsDate" value="<{$NewsDate}>" id="NewsDate" onClick="WdatePicker({dateFmt:''yyyy-MM-dd HH:mm'' , startDate:''%y-%M-%d %H:%m}''})" class="span4">\r\n       	<{/if}>\r\n\r\n      	<!--加到行事曆-->\r\n      	<{if $SHOW_NEWS_TOCAL}>\r\n          <div class="span2"><{$smarty.const._MD_TCW_TOCAL}></div>\r\n          <input type="text" name="toCal" value="<{$toCal}>" id="toCal" onClick="WdatePicker({dateFmt:''yyyy-MM-dd'' , startDate:''%y-%M-%d}''})" class="span4" placeholder="<{$smarty.const._NEWS_TOCAL_DESC}>">\r\n      	<{/if}>\r\n      </div>\r\n  	<{/if}>\r\n\r\n  	<!--相關附件-->\r\n    <{if $SHOW_NEWS_UPLOAD}>\r\n    <div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TCW_NEWS_FILES}></div>\r\n      <input type="file" name="upfile[]" class="multi span4">\r\n      <div class="span4"><{$list_del_file}></div>\r\n    </div>\r\n  	<{/if}>\r\n\r\n\r\n    <div style="text-align:right;">\r\n    	<!--文章種類-->\r\n    	<input type="hidden" name="NewsKind" value="<{$smarty.const._NEWS_KIND}>">\r\n    	<!--編號-->\r\n    	<input type="hidden" name="NewsID" value="<{$NewsID}>">\r\n    	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n\r\n    	<input type="hidden" name="op" value="<{$op}>">\r\n    	<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n  	</div>\r\n\r\n  </form>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(325, '<{if $isMineNews}>\r\n  <script>\r\n    function delete_tad_web_news_func(NewsID){\r\n    	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    	if (!sure)	return;\r\n    	location.href="news.php?op=delete_tad_web_news&NewsID=" + NewsID;\r\n    }\r\n    </script>\r\n<{/if}>\r\n\r\n\r\n\r\n<h1><{$smarty.const._MD_TCW_NEWS}></h1>\r\n<table class="footable">\r\n<thead>\r\n  <tr>\r\n    <th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_NEWSDATE}></th>\r\n    <th data-class="expand"><{$smarty.const._MD_TCW_NEWS}></th>\r\n    <th data-hide="phone" style="width:50px;text-align:center;"><{$smarty.const._MD_TCW_NEWSCOUNTER}></th>\r\n    <{if $showWebTitleNews}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_TEAMID}></th><{/if}>\r\n    <{if !$showWebTitleNews && $isMineNews}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._TAD_FUNCTION}></th><{/if}>\r\n  </tr>\r\n</thead>\r\n\r\n<{if $news_data}>\r\n  <{foreach item=news from=$news_data}>\r\n  <tr>\r\n    <td style="text-align:center;"><{$news.Date}></td>\r\n    <td><a href="<{$news.NewsKind}>.php?WebID=<{$news.WebID}>&NewsID=<{$news.NewsID}>"><{$news.NewsTitle}></a></td>\r\n    <td style="text-align:center;"><{$news.NewsCounter}></td>\r\n    <{if $showWebTitleNews}><td style="text-align:center;"><{$news.WebTitle}></td><{/if}>\r\n    <{if !$showWebTitleNews && $isMineNews}>\r\n		<td style="text-align:center;">\r\n      <a href="javascript:delete_tad_web_news_func(<{$news.NewsID}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  		<a href="news.php?op=tad_web_news_form&NewsID=<{$news.NewsID}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    </td>\r\n		<{/if}>\r\n  </tr>\r\n  <{/foreach}>\r\n<{else}>\r\n  <tr><td colspan=4 style="text-align:center;"><{$smarty.const._MD_TCW_EMPTY}></td></tr>\r\n<{/if}>\r\n</table>\r\n\r\n<{if $news_data}>\r\n  <{$bar}>\r\n<{/if}>\r\n\r\n<div style="text-align:right">\r\n  <{if $bar==""}>\r\n    <{if $WebID==""}>\r\n      <a href="index.php?op=list_tad_web_news" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_NEWS_SHORT}></a>\r\n    <{else}>\r\n      <a href="news.php?WebID=<{$WebID}>" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_NEWS_SHORT}></a>\r\n    <{/if}>\r\n  <{/if}>\r\n  <{if $isMineNews}><a href="news.php?op=tad_web_news_form&WebID=<{$WebID}>" class="btn btn-mini btn-info"><{$smarty.const._TAD_ADD}></a><{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(326, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<{if $op=="tad_web_files_form"}>\r\n\r\n  <script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n	<form action="files.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n	<div class="controls controls-row">\r\n    <div class="span2"><{$smarty.const._MD_TCW_FILES_UPLOAD}></div>\r\n    <div class="span8"><input type="file" name="upfile[]" class="multi"></div>\r\n\r\n    <div class="span2">\r\n    	<!--所屬領域-->\r\n    	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n    	<!--檔案流水號-->\r\n    	<input type="hidden" name="fsn" value="<{$fsn}>">\r\n    	<input type="hidden" name="op" value="<{$next_op}>">\r\n    	<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n  	</div>\r\n  </div>\r\n\r\n	<div class="controls controls-row">\r\n    <div class="span12"><{$list_del_file}></div>\r\n  </div>\r\n\r\n	</form>\r\n\r\n<{else}>\r\n  <{$FooTableJS}>\r\n  <{includeq file="db:tad_web_common_files.html"}>\r\n\r\n  <{if $isMine}><a href="files.php?op=tad_web_files_form&WebID=<{$WebID}>" class="btn btn mini btn-warning pull-right"><{$smarty.const._MD_TCW_FILES_UPLOAD}></a><{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(327, '<{if $isMineFiles}>\r\n  <script type="text/javascript">\r\n  	function delete_tad_web_files_func(fsn){\r\n  		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  		if (!sure)	return;\r\n  		location.href="files.php?op=delete_tad_web_files&fsn=" + fsn;\r\n  	}\r\n  </script>\r\n<{/if}>\r\n\r\n<h1><{$smarty.const._MD_TCW_FILES}></h1>\r\n\r\n<table class="footable">\r\n<thead>\r\n	<tr>\r\n	<th data-class="expand"><{$smarty.const._MD_TCW_FILENAME}></th>\r\n	<th data-hide="phone" nowrap style="width:60px;"><{$smarty.const._MD_TCW_FILES_UID}></th>\r\n  <{if $showWebTitleFiles}><th data-hide="phone" style="text-align:center;"><{$smarty.const._MD_TCW_TEAMID}></th><{/if}>\r\n  <{if !$showWebTitleFiles && $isMineFiles}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._TAD_FUNCTION}></th><{/if}>\r\n  </tr>\r\n</thead>\r\n<{if $file_data}>\r\n  <{foreach item=file from=$file_data}>\r\n    <tr>\r\n    	<td><div style="word-wrap:break-word;width:<{$file.widht}>px;"><{$file.showurl}></div></td>\r\n    	<td style="text-align:center;" nowrap><{$file.uid_name}></td>\r\n    	\r\n      <{if $showWebTitleFiles}>\r\n        <td style="width:100px;text-align:center;"><{$file.WebTitle}></td>\r\n      <{/if}>\r\n\r\n      <{if !$showWebTitleFiles && $isMineFiles}>\r\n        <td style="text-align:center;">\r\n      		<a href="javascript:delete_tad_web_files_func(<{$file.fsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n      		<a href="files.php?op=tad_web_files_form&fsn=<{$file.fsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        </td>\r\n      <{/if}>\r\n    </tr>\r\n  <{/foreach}>\r\n<{else}>\r\n  <tr><td colspan=4><{$smarty.const._MD_TCW_EMPTY}></td></tr>\r\n<{/if}>\r\n</table>\r\n\r\n<{if $file_data}>\r\n  <{$bar}>\r\n<{/if}>\r\n\r\n<div style="text-align:right">\r\n  <{if $bar==""}>\r\n    <{if $WebID==""}>\r\n      <a href="index.php?op=list_tad_web_files" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_FILES_SHORT}></a>\r\n    <{else}>\r\n      <a href="files.php?WebID=<{$WebID}>" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_FILES_SHORT}></a>\r\n    <{/if}>\r\n  <{/if}>\r\n  <{if $isMineFiles}><a href="files.php?op=tad_web_files_form&WebID=<{$WebID}>" class="btn btn-mini btn-info"><{$smarty.const._TAD_ADD}></a><{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(328, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<{if $op=="tad_web_action_form"}>\r\n\r\n	<{$formValidator_code}>\r\n\r\n  <script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n	<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n  <div class="row-fluid">\r\n	<form action="action.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <!--活動名稱-->\r\n    <div class="controls controls-row">\r\n      <input type="text" name="ActionName" value="<{$ActionName}>" id="ActionName" class="validate[required , length[1,255]] span12" placeholder="<{$smarty.const._MD_TCW_ACTIONNAME}>">\r\n    </div>\r\n\r\n    <!--活動說明-->\r\n    <div class="controls controls-row">\r\n      <textarea name="ActionDesc"  rows=4 id="ActionDesc"  class="span12" placeholder="<{$smarty.const._MD_TCW_ACTIONDESC}>"><{$ActionDesc}></textarea>\r\n    </div>\r\n\r\n    <!--活動日期-->\r\n    <div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TCW_ACTIONDATE}></div>\r\n      <input type="text" name="ActionDate" class="span4" value="<{$ActionDate}>" id="ActionDate" onClick="WdatePicker({dateFmt:''yyyy-MM-dd'' , startDate:''%y-%M-%d''})">\r\n      \r\n      <!--活動地點-->\r\n      <div class="span2 text-right"><{$smarty.const._MD_TCW_ACTIONPLACE}></div>\r\n      <input type="text" name="ActionPlace" class="span4" value="<{$ActionPlace}>" id="ActionPlace" >\r\n    </div>\r\n\r\n    <!--上傳圖檔-->\r\n    <div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TCW_ACTION_UPLOAD}></div>\r\n      <{$upform}>\r\n    </div>\r\n    \r\n\r\n    <div class="controls controls-row pull-right">\r\n    	<!--活動編號-->\r\n    	<input type="hidden" name="ActionID" value="<{$ActionID}>">\r\n    	<!--所屬團隊-->\r\n    	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n    	<input type="hidden" name="op" value="<{$next_op}>">\r\n    	<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n\r\n	</form>\r\n	</div>\r\n<{elseif $op=="show_one_tad_web_action"}>\r\n\r\n  <{if $isMineAction}>\r\n  <script>\r\n  	function delete_tad_web_action_func(ActionID){\r\n  		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  		if (!sure)	return;\r\n  		location.href="action.php?op=delete_tad_web_action&ActionID=" + ActionID;\r\n  	}\r\n	</script>\r\n  <{/if}>\r\n  \r\n  <h1><{$ActionName}></h1>\r\n  <div class="row-fluid">\r\n    <div class="span4"><{$smarty.const._MD_TCW_ACTIONDATE}><{$smarty.const._TAD_FOR}><{$ActionDate}></div>\r\n    <div class="span4"><{$smarty.const._MD_TCW_ACTIONPLACE}><{$smarty.const._TAD_FOR}><{$ActionPlace}></div>\r\n    <div class="span4"><{$ActionInfo}></div>\r\n  </div>\r\n  <div class="well"><{$ActionDesc}></div>\r\n\r\n  <div class="row-fluid">\r\n    <{$pics}>\r\n  </div>\r\n\r\n  <{if $isMineAction}>\r\n    <div style="text-align:right;">\r\n  	<a href="javascript:delete_tad_web_action_func(<{$ActionID}>);" class="btn btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  	<a href="action.php?op=tad_web_action_form&ActionID=<{$ActionID}>" class="btn btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n  	</div>\r\n  <{/if}>\r\n<{else}>\r\n  <{$FooTableJS}>\r\n  <{includeq file="db:tad_web_common_action.html"}>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(329, '<{if $isMineAction}>\r\n  <script>\r\n    function delete_tad_web_action_func(ActionID){\r\n    	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    	if (!sure)	return;\r\n    	location.href="action.php?op=delete_tad_web_action&ActionID=" + ActionID;\r\n    }\r\n    </script>\r\n<{/if}>\r\n\r\n\r\n<h1><{$smarty.const._MD_TCW_ACTION}></h1>\r\n<table class="footable">\r\n<thead>\r\n  <tr>\r\n    <th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_ACTIONDATE}></th>\r\n    <th data-class="expand"><{$smarty.const._MD_TCW_ACTIONNAME}></th>\r\n    <th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_ACTIONPLACE}></th>\r\n    <th data-hide="phone" style="width:50px;text-align:center;"><{$smarty.const._MD_TCW_ACTIONCOUNT}></th>\r\n    <{if $showWebTitleAction}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_TEAMID}></th><{/if}>\r\n    <{if !$showWebTitleAction && $isMineAction}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._TAD_FUNCTION}></th><{/if}>\r\n  </tr>\r\n</thead>\r\n<{if $action_data}>\r\n  <{foreach item=act from=$action_data}>\r\n  <tr>\r\n		<td style="text-align:center;"><{$act.ActionDate}></td>\r\n		<td><a href=''action.php?ActionID=<{$act.ActionID}>&WebID=<{$act.WebID}>''><{$act.ActionName}></a></td>\r\n		<td style="text-align:center;"><{$act.ActionPlace}></td>\r\n		<td style="text-align:center;"><{$act.ActionCount}></td>\r\n    <{if $showWebTitleAction}><td style="text-align:center;"><{$act.WebTitle}></td><{/if}>\r\n    <{if !$showWebTitleAction && $isMineAction}>\r\n		<td style="text-align:center;">\r\n      <a href="javascript:delete_tad_web_action_func(<{$act.ActionID}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  		<a href="action.php?op=tad_web_action_form&ActionID=<{$act.ActionID}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    </td>\r\n		<{/if}>\r\n	</tr>\r\n		\r\n\r\n  <{/foreach}>\r\n<{else}>\r\n  <tr><td colspan=4 style="text-align:center;"><{$smarty.const._MD_TCW_EMPTY}></td></tr>\r\n<{/if}>\r\n</table>\r\n\r\n<{if $action_data}>\r\n  <{$bar}>\r\n<{/if}>\r\n\r\n<div style="text-align:right">\r\n  <{if $bar==""}>\r\n    <{if $WebID==""}>\r\n      <a href="index.php?op=list_tad_web_action" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_ACTION_SHORT}></a>\r\n    <{else}>\r\n      <a href="action.php?WebID=<{$WebID}>" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_ACTION_SHORT}></a>\r\n    <{/if}>\r\n  <{/if}>\r\n  <{if $isMineAction}><a href="action.php?op=tad_web_action_form&WebID=<{$WebID}>" class="btn btn-mini btn-info"><{$smarty.const._TAD_ADD}></a><{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(330, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<{if $op=="tad_web_discuss_form"}>\r\n  <{if $LoginMemID=="" and $MyWebs==""}>\r\n    <{includeq file="db:tad_web_discuss_login_tpl.html"}>\r\n  <{else}>\r\n\r\n    <{$formValidator_code}>\r\n    <div class="row-fluid">\r\n    <form action="discuss.php" method="post" id="myForm" enctype="multipart/form-data">\r\n      <!--標題-->\r\n      <div class="controls controls-row">\r\n        <div class="span2"><{$smarty.const._MD_TCW_DISCUSSTITLE}></div>\r\n        <input type="text" name="DiscussTitle" value="<{$DiscussTitle}>" id="DiscussTitle" class="span10 validate[required]" placeholder="<{$smarty.const._MD_TCW_DISCUSSTITLE}>">\r\n      </div>\r\n      \r\n      <!--內容-->\r\n      <div class="controls controls-row">\r\n        <div class="span2"><{$smarty.const._MD_TCW_DISCUSSCONTENT}></div>\r\n        <textarea name="DiscussContent" class="span10" rows=15 id="DiscussContent" placehold="<{$smarty.const._MD_TCW_DISCUSSCONTENT}>"><{$DiscussContent}></textarea>\r\n      </div>\r\n      \r\n      <div class="controls controls-row" style="text-align:right;">\r\n\r\n        <input type="hidden" name="WebID" value="<{$WebID}>">\r\n        <input type="hidden" name="DiscussID" value="<{$DiscussID}>">\r\n        <input type="hidden" name="ReDiscussID" value="<{$ReDiscussID}>">\r\n        <input type="hidden" name="WebID" value="<{$LoginWebID}>">\r\n\r\n        <input type="hidden" name="op" value="<{$next_op}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._MD_TCW_DISCUSS_SUBMIT}></button>\r\n      </div>\r\n      \r\n    </form>\r\n    </div>\r\n  <{/if}>  \r\n  \r\n<{elseif $op=="show_one_tad_web_discuss"}>\r\n\r\n  <link href="bubble.css" rel="stylesheet" type="text/css">\r\n  <script>\r\n  	function delete_tad_web_discuss_func(DiscussID){\r\n  		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  		if (!sure)	return;\r\n  		location.href="discuss.php?op=delete_tad_web_discuss&DiscussID=" + DiscussID;\r\n  	}\r\n  </script>\r\n  \r\n  <h1><{$DiscussTitle}></h1>\r\n  <div style="text-align:right;font-size:12px;">\r\n    <{$DiscussInfo}>\r\n    <{if $isMineDiscuss}>\r\n      <a href="javascript:delete_tad_web_discuss_func(<{$DiscussID}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n      <a href="discuss.php?op=tad_web_discuss_form&DiscussID=<{$DiscussID}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    <{/if}>\r\n  </div>\r\n  <div class="well" style="line-height:180%;">\r\n    <{$DiscussContent}>\r\n  </div>\r\n  \r\n  <{$re}>\r\n  \r\n  <{if $LoginMemID or $MyWebs}>\r\n    <form action="discuss.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <div class="controls controls-row">\r\n    <textarea name="DiscussContent" class="span12" rows=8 id="DiscussContent" class="validate[required , length[10,9999]]"></textarea>\r\n    </div>\r\n    \r\n    	<!--領域-->\r\n    	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n\r\n    	<!--回覆編號-->\r\n    	<input type="hidden" name="ReDiscussID" value="<{$DiscussID}>">\r\n    	<input type="hidden" name="DiscussTitle" value="Re:<{$DiscussTitle}>" id="DiscussTitle">\r\n    	<input type="hidden" name="op" value="insert_tad_web_discuss">\r\n      <button type="submit" class="btn btn-primary"><{$smarty.const._MD_TCW_DISCUSS_TO_REPLY}></button>\r\n\r\n\r\n    </form>\r\n  <{/if}>\r\n\r\n<{else}>\r\n  <{$FooTableJS}>\r\n  <{includeq file="db:tad_web_discuss_login_tpl.html"}>\r\n  <{includeq file="db:tad_web_common_discuss.html"}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(331, '<{if $mode=="need_login"}>\r\n\r\n  <div class="well"><{$smarty.const._MD_TCW_NEED_LOGIN}></div>\r\n\r\n<{else}>\r\n  <h1><{$smarty.const._MD_TCW_DISCUSS}></h1>\r\n\r\n  <table class="footable">\r\n  <thead>\r\n    <tr>\r\n      <th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_LASTTIME}></th>\r\n      <th data-class="expand"><{$smarty.const._MD_TCW_DISCUSSTITLE}></th>\r\n      <th data-hide="phone" style="text-align:center;width:100px;"><{$smarty.const._MD_TCW_DISCUSS_UID}></th>\r\n      <th data-hide="phone" style="width:50px;text-align:center;"><{$smarty.const._MD_TCW_ACTIONCOUNT}></th>\r\n      <{if $showWebTitleDiscuss}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_TEAMID}></th><{/if}>\r\n      <{if !$showWebTitleDiscuss && $isMineDiscuss}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._TAD_FUNCTION}></th><{/if}>\r\n    </tr>\r\n  </thead>\r\n  <{if $discuss_data}>\r\n    <script>\r\n    	function delete_tad_web_discuss_func(DiscussID){\r\n    		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    		if (!sure)	return;\r\n    		location.href="discuss.php?op=delete_tad_web_discuss&DiscussID=" + DiscussID;\r\n    	}\r\n    </script>\r\n\r\n    <{foreach item=discuss from=$discuss_data}>\r\n      <tr>\r\n        <td style="text-align:center;"><{$discuss.LastTime}></td>\r\n        <td><a href="discuss.php?DiscussID=<{$discuss.DiscussID}>&WebID=<{$discuss.WebID}>"><{$discuss.DiscussTitle}></a><{$discuss.show_re_num}></td>\r\n        <td style="text-align:center;"><{$discuss.MemName}></td>\r\n        <td style="text-align:center;"><{$discuss.DiscussCounter}></td>\r\n        <{if $showWebTitleDiscuss}><td style="text-align:center;"><{$discuss.WebTitle}></td><{/if}>\r\n        <{if !$showWebTitleDiscuss && $isMineDiscuss}>\r\n        <td style="text-align:center;">\r\n          <a href="javascript:delete_tad_web_discuss_func(<{$discuss.DiscussID}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n          <a href="discuss.php?op=tad_web_discuss_form&DiscussID=<{$discuss.DiscussID}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        </td>\r\n        <{/if}>\r\n      </tr>\r\n    <{/foreach}>\r\n  <{else}>\r\n    <tr><td colspan=5 style="text-align:center;"><{$smarty.const._MD_TCW_EMPTY}></td></tr>\r\n  <{/if}>\r\n  </table>\r\n\r\n  <{if $discuss_data}>\r\n    <{$bar}>\r\n  <{/if}>\r\n\r\n  <div style="text-align:right">\r\n    <{if $bar==""}>\r\n      <{if $WebID==""}>\r\n        <a href="index.php?op=list_tad_web_discuss" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_DISCUSS_SHORT}></a>\r\n      <{else}>\r\n        <a href="discuss.php?WebID=<{$WebID}>" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_DISCUSS_SHORT}></a>\r\n      <{/if}>\r\n    <{/if}>\r\n    <{if $isMineDiscuss}><a href="discuss.php?op=tad_web_discuss_form" class="btn btn-mini btn-info"><{$smarty.const._MD_TCW_DISCUSS_ADD}></a><{/if}>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(332, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<{if $op=="tad_web_link_form"}>\r\n<script type="text/javascript">\r\n  $(document).ready(function(){\r\n    $(''#LinkUrl'').change(function() {\r\n      $(''#LinkTitle'').val($(''#LinkUrl'').val());\r\n      $.post("link_ajax.php", { url: $(''#LinkUrl'').val()},\r\n       function(data) {\r\n        var obj = $.parseJSON(data);\r\n         $(''#LinkTitle'').val(obj.title);\r\n         $(''#LinkDesc'').val(obj.description);\r\n       });\r\n    });\r\n\r\n\r\n    $(''#LinkGet'').click(function() {\r\n      $.post("link_ajax.php", { url: $(''#LinkUrl'').val()},\r\n       function(data) {\r\n        var obj = $.parseJSON(data);\r\n         $(''#LinkTitle'').val(obj.title);\r\n         $(''#LinkDesc'').val(obj.description);\r\n       });\r\n    });\r\n  });\r\n\r\n</script>\r\n\r\n\r\n	<{$formValidator_code}>\r\n  <div class="row-fluid">\r\n	<form action="link.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n  	<!--網站連結-->\r\n  	<div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TCW_LINKURL}></div>\r\n      <input type="text" name="LinkUrl" value="<{$LinkUrl}>" id="LinkUrl" class="span8 validate[required]" placeholder="<{$smarty.const._MD_TCW_LINKURL}>">\r\n\r\n    	<button type="button" class="btn" id="LinkGet"><{$smarty.const._MD_TCW_LINK_AUTO_GET}></button>\r\n    </div>\r\n\r\n  	<!--網站名稱-->\r\n  	<div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TCW_LINKTITLE}></div>\r\n      <input type="text" name="LinkTitle" value="<{$LinkTitle}>" id="LinkTitle" class="validate[required] span10" placeholder="<{$smarty.const._MD_TCW_LINKTITLE}>">\r\n    </div>\r\n\r\n  	<!--說明-->\r\n  	<div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TCW_LINKDESC}></div>\r\n      <textarea name="LinkDesc" class="span10" rows=3 id="LinkDesc" placehold="<{$smarty.const._MD_TCW_LINKDESC}>"><{$LinkDesc}></textarea>\r\n    </div>\r\n\r\n  	<div class="controls controls-row" style="text-align:right;">\r\n    	<!--排序-->\r\n    	<input type="hidden" name="LinkSort" value="<{$LinkSort}>">\r\n    	<!--所屬團隊-->\r\n    	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n\r\n    	<!--編號-->\r\n    	<input type="hidden" name="LinkID" value="<{$LinkID}>">\r\n\r\n    	<input type="hidden" name="op" value="<{$next_op}>">\r\n    	<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n\r\n  </form>\r\n  </div>\r\n<{else}>\r\n  <{$FooTableJS}>\r\n  <{includeq file="db:tad_web_common_link.html"}>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(333, '<{if $isMineLink}>\r\n  <script type="text/javascript">\r\n  	function delete_tad_web_link_func(LinkID){\r\n  		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  		if (!sure)	return;\r\n  		location.href="link.php?op=delete_tad_web_link&LinkID=" + LinkID;\r\n  	}\r\n  </script>\r\n<{/if}>\r\n\r\n<h1><{$smarty.const._MD_TCW_LINK}></h1>\r\n\r\n<table class="footable">\r\n<thead>\r\n  <tr>\r\n    <th data-class="expand"><{$smarty.const._MD_TCW_LINKTITLE}></th>\r\n    <th data-hide="phone" style="width:50px;text-align:center;"><{$smarty.const._MD_TCW_ACTIONCOUNT}></th>\r\n    <{if $showWebTitleLink}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_TEAMID}></th><{/if}>\r\n    <{if !$showWebTitleLink && $isMineLink}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._TAD_FUNCTION}></th><{/if}>\r\n  </tr>\r\n</thead>\r\n<{if $link_data}>\r\n  <{foreach item=link from=$link_data}>\r\n  \r\n  <tr>\r\n		<td><img src="images/web.png" alt="<{$link.LinkUrl}>" hspace=4 align="absmiddle"><a href="<{$link.LinkUrl}>" target="_blank"><{$link.LinkTitle}></a>\r\n    <div style="font-size:12px;color:#666699"><{$link.LinkDesc}></div></td>\r\n		<td style="text-align:center;"><{$link.LinkCounter}></td>\r\n    <{if $showWebTitleLink}><td style="text-align:center;"><{$link.WebTitle}></td><{/if}>\r\n    <{if !$showWebTitleLink && $isMineLink}>\r\n		<td style="text-align:center;">\r\n      <a href="javascript:delete_tad_web_link_func(<{$link.LinkID}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  		<a href="link.php?op=tad_web_link_form&LinkID=<{$link.LinkID}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    </td>\r\n		<{/if}>\r\n		</tr>\r\n\r\n  <{/foreach}>\r\n<{else}>\r\n  <tr><td colspan=4 style="text-align:center;"><{$smarty.const._MD_TCW_EMPTY}></td></tr>\r\n<{/if}>\r\n</table>\r\n\r\n<{if $link_data}>\r\n  <{$bar}>\r\n<{/if}>\r\n\r\n<div style="text-align:right">\r\n  <{if $bar==""}>\r\n    <{if $WebID==""}>\r\n      <a href="index.php?op=list_tad_web_link" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_LINK_SHORT}></a>\r\n    <{else}>\r\n      <a href="link.php?WebID=<{$WebID}>" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_LINK_SHORT}></a>\r\n    <{/if}>\r\n  <{/if}>\r\n  <{if $isMineLink}><a href="link.php?op=tad_web_link_form&WebID=<{$WebID}>" class="btn btn-mini btn-info"><{$smarty.const._TAD_ADD}></a><{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(334, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<{if $op=="tad_web_video_form"}>\r\n<script type="text/javascript">\r\n  $(document).ready(function(){\r\n    $(''#Youtube'').change(function() {\r\n      $(''#VideoName'').val($(''#Youtube'').val());\r\n      $.post("link_ajax.php", { url: $(''#Youtube'').val()},\r\n       function(data) {\r\n        var obj = $.parseJSON(data);\r\n         $(''#VideoName'').val(obj.title);\r\n         $(''#VideoDesc'').val(obj.description);\r\n       });\r\n    });\r\n\r\n\r\n    $(''#LinkGet'').click(function() {\r\n      $.post("link_ajax.php", { url: $(''#Youtube'').val()},\r\n       function(data) {\r\n        var obj = $.parseJSON(data);\r\n         $(''#VideoName'').val(obj.title);\r\n         $(''#VideoDesc'').val(obj.description);\r\n       });\r\n    });\r\n  });\r\n\r\n\r\n</script>\r\n\r\n\r\n\r\n	<{$formValidator_code}>\r\n  <div class="row-fluid">\r\n	<form video="video.php" method="post" id="myForm" enctype="multipart/form-data">\r\n	  <!--影片網址-->\r\n    <div class="controls controls-row">\r\n      <input type="text" name="Youtube" value="<{$Youtube}>" id="Youtube" class="validate[required] span10" placeholder="<{$smarty.const._MD_TCW_VIDEOYOUTUBE}>">\r\n    	<button type="button" class="btn" id="LinkGet"><{$smarty.const._MD_TCW_LINK_AUTO_GET}></button>\r\n    </div>\r\n\r\n	  <!--影片名稱-->\r\n    <div class="controls controls-row">\r\n      <input type="text" name="VideoName" value="<{$VideoName}>" id="VideoName" class="validate[required] span12" placeholder="<{$smarty.const._MD_TCW_VIDEONAME}>">\r\n    </div>\r\n\r\n	  <!--影片說明-->\r\n    <div class="controls controls-row">\r\n      <textarea name="VideoDesc" rows=4 id="VideoDesc"  class="span12" placeholder="<{$smarty.const._MD_TCW_VIDEODESC}>"><{$VideoDesc}></textarea>\r\n    </div>\r\n\r\n    <div class="controls controls-row text-right">\r\n\r\n    	<!--影片編號-->\r\n    	<input type="hidden" name="VideoID" value="<{$VideoID}>">\r\n\r\n    	<!--所屬團隊-->\r\n    	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n    	<input type="hidden" name="op" value="<{$next_op}>">\r\n    	<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n    \r\n\r\n	</form>\r\n  </div>\r\n<{elseif $op=="show_one_tad_web_video"}>\r\n\r\n  <{if $isMineVideo}>\r\n  <script>\r\n	function delete_tad_web_video_func(VideoID){\r\n		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n		if (!sure)	return;\r\n		location.href="video.php?op=delete_tad_web_video&VideoID=" + VideoID;\r\n	}\r\n	</script>\r\n  <{/if}>\r\n\r\n  <h1><{$VideoName}></h1>\r\n\r\n\r\n\r\n	<div class="well">\r\n    <div class="row-fluid">\r\n      <{$player}>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <{$VideoDesc}>\r\n    </div>\r\n  </div>\r\n\r\n	<div style="text-align:right;color:#669900;font-size:11pt;"><{$VideoInfo}></div>\r\n\r\n	<{if $isMineVideo}>\r\n    <div style="text-align:right;">\r\n  	<a href="javascript:delete_tad_web_video_func(<{$VideoID}>);" class="btn btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  	<a href="video.php?op=tad_web_video_form&VideoID=<{$VideoID}>" class="btn btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n  	</div>\r\n  <{/if}>\r\n<{else}>\r\n  <{$FooTableJS}>\r\n  <{includeq file="db:tad_web_common_video.html"}>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(335, '<{if $isMineVideo}>\r\n  <script type="text/javascript">\r\n	function delete_tad_web_video_func(VideoID){\r\n		var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n		if (!sure)	return;\r\n		location.href="video.php?op=delete_tad_web_video&VideoID=" + VideoID;\r\n	}\r\n	</script>\r\n<{/if}>\r\n  \r\n  \r\n<h1><{$smarty.const._MD_TCW_VIDEO}></h1>\r\n\r\n<table class="footable">\r\n<thead>\r\n  <tr>\r\n    <th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_VIDEODATE}></th>\r\n    <th data-class="expand"><{$smarty.const._MD_TCW_VIDEONAME}></th>\r\n    <{if $showWebTitleVideo}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_TEAMID}></th><{/if}>\r\n    <{if !$showWebTitleVideo && $isMineVideo}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._TAD_FUNCTION}></th><{/if}>\r\n  </tr>\r\n</thead>\r\n<{if $video_data}>\r\n  <{foreach item=video from=$video_data}>\r\n\r\n  <tr>\r\n		<td style="width:130px;">\r\n    <a href="video.php?VideoID=<{$video.VideoID}>&WebID=<{$video.WebID}>"><img src="http://i3.ytimg.com/vi/<{$video.VideoPlace}>/1.jpg" class="pull-left img-polaroid" style="margin-right:10px;"></a>\r\n    </td>\r\n    \r\n    <td>\r\n    <{$video.VideoDate}>\r\n    <p><a href="video.php?VideoID=<{$video.VideoID}>&WebID=<{$video.WebID}>"><{$video.VideoName}></a></p>\r\n    <p style="font-size:12px;"><{$video.VideoCountInfo}></p>\r\n	 </td>\r\n\r\n    <{if $showWebTitleVideo}><td style="width:100px;text-align:center;"><{$video.WebTitle}></td><{/if}>\r\n    <{if !$showWebTitleVideo && $isMineVideo}>\r\n		<td style="width:100px;text-align:center;">\r\n      <a href="javascript:delete_tad_web_video_func(<{$video.VideoID}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  		<a href="video.php?op=tad_web_video_form&VideoID=<{$video.VideoID}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    </td>\r\n		<{/if}>\r\n	</tr>\r\n  <{/foreach}>\r\n<{else}>\r\n  <tr><td colspan=4 style="text-align:center;"><{$smarty.const._MD_TCW_EMPTY}></td></tr>\r\n<{/if}>\r\n</table>\r\n\r\n<{if $video_data}>\r\n  <{$bar}>\r\n<{/if}>\r\n\r\n<div style="text-align:right">\r\n  <{if $bar==""}>\r\n    <{if $WebID==""}>\r\n      <a href="index.php?op=list_tad_web_video" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_VIDEO_SHORT}></a>\r\n    <{else}>\r\n      <a href="video.php?WebID=<{$WebID}>" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_VIDEO_SHORT}></a>\r\n    <{/if}>\r\n  <{/if}>\r\n  <{if $isMineVideo}><a href="video.php?op=tad_web_video_form&WebID=<{$WebID}>" class="btn btn-mini btn-info"><{$smarty.const._TAD_ADD}></a><{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(336, '<{includeq file="db:tad_web_header.html"}>\r\n\r\n<link rel="stylesheet" type="text/css" href="class/fullcalendar/fullcalendar.css">\r\n<script src="class/fullcalendar/fullcalendar.js" type="text/javascript"></script>\r\n<script type="text/javascript">\r\n$(function() {\r\n    $("#calendar").fullCalendar({\r\n      buttonText:{today:"<{$smarty.const._MD_TCW_CALENDA_TODAY}>",prev:"<{$smarty.const._MD_TCW_CALENDA_PREV_MONTH}>",next:"<{$smarty.const._MD_TCW_CALENDA_NEXT_MONTH}>"},\r\n      header: {\r\n    		left: ''prev,next today'',\r\n    		center: ''title'',\r\n    		right: ''''\r\n    	},\r\n      events: function(start, end, callback) {\r\n				$.getJSON("get_event.php",\r\n				{\r\n					start: start.getTime(),\r\n					NewsKind: "<{$NewsKind}>" ,\r\n					WebID: "<{$WebID}>"\r\n				},\r\n				function(result) {\r\n					callback(result);\r\n				});\r\n\r\n      },\r\n      eventClick: function(event) {\r\n          if (event.rel) {\r\n              location.href=event.rel;\r\n              return false;\r\n          }\r\n      }\r\n    })\r\n});\r\n</script>\r\n<div id="calendar"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(337, '<{if $isMineHomework}>\r\n  <script>\r\n    function delete_tad_web_news_func(NewsID){\r\n    	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    	if (!sure)	return;\r\n    	location.href="homework.php?op=delete_tad_web_news&NewsID=" + NewsID;\r\n    }\r\n    </script>\r\n<{/if}>\r\n\r\n<h1><{$smarty.const._MD_TCW_HOMEWORK}></h1>\r\n<table class="footable">\r\n<thead>\r\n  <tr>\r\n    <th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_NEWSDATE}></th>\r\n    <th data-class="expand"><{$smarty.const._MD_TCW_HOMEWORK}></th>\r\n    <th data-hide="phone" style="width:50px;text-align:center;"><{$smarty.const._MD_TCW_NEWSCOUNTER}></th>\r\n    <{if $showWebTitleHomework}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._MD_TCW_TEAMID}></th><{/if}>\r\n    <{if !$showWebTitleHomework && $isMineHomework}><th data-hide="phone" style="width:100px;text-align:center;"><{$smarty.const._TAD_FUNCTION}></th><{/if}>\r\n  </tr>\r\n</thead>\r\n<{if $homework_data}>\r\n  <{foreach item=homework from=$homework_data}>\r\n  <tr>\r\n    <td style="text-align:center;"><{$homework.Date}></td>\r\n    <td><a href="<{$homework.NewsKind}>.php?WebID=<{$homework.WebID}>&NewsID=<{$homework.NewsID}>"><{$homework.NewsTitle}></a></td>\r\n    <td style="text-align:center;"><{$homework.NewsCounter}></td>\r\n    <{if $showWebTitleHomework}><td style="text-align:center;"><{$homework.WebTitle}></td><{/if}>\r\n    <{if !$showWebTitleHomework && $isMineHomework}>\r\n		<td style="text-align:center;">\r\n      <a href="javascript:delete_tad_web_news_func(<{$news.NewsID}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  		<a href="homework.php?op=tad_web_news_form&NewsID=<{$news.NewsID}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    </td>\r\n		<{/if}>\r\n  </tr>\r\n  <{/foreach}>\r\n<{else}>\r\n  <tr><td colspan=4 style="text-align:center;"><{$smarty.const._MD_TCW_EMPTY}></td></tr>\r\n<{/if}>\r\n</table>\r\n\r\n<{if $homework_data}>\r\n  <{$bar}>\r\n<{/if}>\r\n\r\n<div style="text-align:right">\r\n  <{if $bar==""}>\r\n    <{if $WebID==""}>\r\n      <a href="index.php?op=list_tad_web_homework" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_HOMEWORK_SHORT}></a>\r\n    <{else}>\r\n      <a href="homework.php?WebID=<{$WebID}>" class="btn btn-mini btn-primary"><{$smarty.const._MD_TCW_MORE}><{$smarty.const._MD_TCW_HOMEWORK_SHORT}></a>\r\n    <{/if}>\r\n  <{/if}>\r\n  <{if $isMineHomework}><a href="homework.php?op=tad_web_news_form&WebID=<{$WebID}>" class="btn btn-mini btn-info"><{$smarty.const._TAD_ADD}></a><{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(338, '<{if $data}>\r\n  <{assign var="i" value=0}>\r\n  <{assign var="total" value=0}>\r\n\r\n  <{foreach item=class from=$data}>\r\n    <{if $i==0}>\r\n    <div class="row-fluid">\r\n    <{/if}>\r\n    \r\n      <!--<{$class.WebName}> start-->\r\n      <div class="span3 well well-small" style="background-image:url(<{$class.WebOwnerPic}>);background-size:cover;background-position:center center;">\r\n\r\n        <h4><a href="index.php?WebID=<{$class.WebID}>" style="text-shadow: 1px 1px 0 #FFFFFF, -1px -1px 0 #FFFFFF, 1px -1px 0 #FFFFFF, -1px 1px 0 #FFFFFF, 0px -1px 0 #FFFFFF, 0px 1px 0 #FFFFFF, -1px 0px 0 #FFFFFF, 1px 0px 0 #FFFFFF;"><{$class.WebName}></a></h4>\r\n        <div class="row-fluid">\r\n          <div class="span8"><a href="index.php?WebID=<{$class.WebID}>" style="text-shadow: 1px 1px 0 #FFFFFF, -1px -1px 0 #FFFFFF, 1px -1px 0 #FFFFFF, -1px 1px 0 #FFFFFF, 0px -1px 0 #FFFFFF, 0px 1px 0 #FFFFFF, -1px 0px 0 #FFFFFF, 1px 0px 0 #FFFFFF;"><{$class.WebTitle}></a></div>\r\n          <div class="span4" style="text-align:right;">\r\n            <span class="label <{if $WebID==$class.WebID}>label-important<{else}>label-success<{/if}>"><{$class.WebOwner}></span>\r\n          </div>\r\n        </div>\r\n\r\n      </div>\r\n      <!--<{$class.WebName}> end-->\r\n      \r\n    <{assign var="i" value=$i+1}>\r\n    <{assign var="total" value=$total+1}>\r\n    <{if $i == 4 || $total==$count}>\r\n      </div>\r\n      <{assign var="i" value=0}>\r\n    <{/if}>\r\n  <{/foreach}>\r\n\r\n  <div class="clearfix"></div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(339, '<script type="text/javascript">\r\n$(function() {\r\n  var w=$(window).width();\r\n  if(w < 1024){\r\n    $(''#demo'').removeClass(''span8'');\r\n    $(''#setupClass'').removeClass(''span3'');\r\n    $(''#setupClass'').addClass(''row-fluid'');\r\n    $(''#myForm1'').addClass(''span5'');\r\n    $(''#myForm2'').addClass(''offset1 span5'');\r\n  }\r\n});\r\n</script>\r\n\r\n<{if $isMine}>\r\n  <div id="setupClass" class="span3">\r\n    <div id="myForm1">\r\n  	<form action="aboutus.php" method="post" enctype="multipart/form-data">\r\n  	  <fieldset>\r\n      <legend><{$smarty.const._MD_TCW_STUDENT_SETUP}></legend>\r\n      <span class="help-block"><{$smarty.const._MD_TCW_SELECT_TO_EDIT}></span>\r\n      <label><{$smarty.const._MD_TCW_IMPORT_EXCEL}></label>\r\n      <input type="file" name="importfile">\r\n\r\n      <input type="hidden" name="op" value="import_excel">\r\n    	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n    	<button type="submit" class="btn btn-primary"><{$smarty.const._MD_TCW_IMPORT}></button>\r\n      <{$smarty.const._MD_TCW_IMPORT_LINK}>\r\n\r\n    </fieldset>\r\n    </form>\r\n\r\n    <div>\r\n      <button type="button" onClick="edit_stu();" class="btn btn-primary"><{$smarty.const._MD_TCW_ADD_MEM}></button>\r\n    </div>\r\n\r\n    </div>\r\n\r\n    <div id="save_info"></div>\r\n\r\n\r\n\r\n  </div>\r\n<{/if}>\r\n\r\n\r\n<{if $students1 || $students2}>\r\n  <style>\r\n	.draggable {padding: 5px; margin: 0 10px 10px 0; font-size: 12px; border:0px dotted gray;position:absolute;}\r\n	#snaptarget {width:640px; height: 540px; border:1px solid black;background:#CC6633 url(images/classroom2.png) center center no-repeat;position:relative;}\r\n	</style>\r\n	\r\n	<script>\r\n	$(function() {\r\n	  var snaptarget = $("#snaptarget");\r\n    var st_pos = snaptarget.position();\r\n\r\n		$( ".draggable" ).draggable({\r\n\r\n      snapMode: "outer",\r\n      containment: "#snaptarget",\r\n      cursor:"move",\r\n      stop: function(e, ui) {\r\n        var top = ui.offset.top - st_pos.top;\r\n        var left = ui.offset.left - st_pos.left;\r\n        var MemID = $(this).attr("id");\r\n\r\n        $.post("aboutus.php", {op: "save_seat", MemID: MemID , top: top, left: left } , function(data) {\r\n          $("#save_info").html("<{$smarty.const._MD_TCW_MEM_SAVE_OK}>");\r\n        });\r\n      }});\r\n	});\r\n\r\n	function edit_stu(MemID){\r\n  	$.post("aboutus.php", {op: "tad_web_mems_form", MemID: MemID, WebID: <{$WebID}>} , function(data) {\r\n      $("#setupClass").html(data);\r\n    });\r\n\r\n  }\r\n	</script>\r\n	\r\n  <div id="demo" class="span8">\r\n    <div id="snaptarget">\r\n    	<{$students1}>\r\n    </div>\r\n\r\n    <br style="clear:both;" />\r\n    <{$students2}>\r\n\r\n    <br style="clear:both;" />\r\n  </div>\r\n  \r\n  \r\n<{else}>\r\n\r\n  <style>\r\n    #snaptarget {width:640px; height: 540px; border:1px solid gray;background:rgb(233,231,237) url(images/classroom2.png) center center no-repeat;position:relative;background-size:contain;}\r\n  </style>\r\n\r\n	<script>\r\n	function edit_stu(){\r\n  	$.post("aboutus.php", {op: "tad_web_mems_form" , WebID: <{$WebID}>} , function(data) {\r\n      $("#setupClass").html(data);\r\n    });\r\n  }\r\n	</script>\r\n\r\n\r\n  <div id="snaptarget" style="font-size:24px;color:gray;text-align:center;line-height:540px;" class="span8">\r\n    <{$smarty.const._MD_TCW_COMMING_SOON}><img src="images/clean.png">\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(340, '<div class="row-fluid">\r\n\r\n<{if $isMine}>\r\n  <div id="setupClass" class="span5">\r\n    <script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n\r\n  	<form action="aboutus.php" method="post" enctype="multipart/form-data">\r\n      <fieldset>\r\n        <legend><{$smarty.const._MD_TCW_CLASS_SETUP}></legend>\r\n\r\n        <label><{$smarty.const._MD_TCW_CLASS_WEB_NAME}></label>\r\n        <input type="text" name="WebName" value="<{$WebName}>" id="WebName" class="validate[required] span12" placeholder="<{$smarty.const._MD_TCW_CLASS_WEB_NAME}>">\r\n\r\n        <label><{$smarty.const._MD_TCW_UPLOAD_MY_PHOTO}></label>\r\n        <input type="file" name="upfile[]" class="multi" maxlength=''1'' accept=''gif|jpg|png|GIF|JPG|PNG''>\r\n        <{$list_del_file}>\r\n\r\n      	<input type="hidden" name="WebID" value="<{$WebID}>">\r\n      	<input type="hidden" name="op" value="<{$next_op}>">\r\n      	<button type="submit" class="btn btn-primary pull-right"><{$smarty.const._TAD_SAVE}></button>\r\n      </fieldset>\r\n  	</form>\r\n    <script src="<{$xoops_url}>/modules/tadtools/multiple-file-upload/jquery.MultiFile.js"></script>\r\n\r\n  	<form action="aboutus.php" method="post" enctype="multipart/form-data">\r\n      <fieldset>\r\n        <legend><{$smarty.const._MD_TCW_FCNCTION_SETUP}></legend>\r\n        <span class="help-block"><{$smarty.const._MD_TCW_SELECT_TO_CANCEL}></span>\r\n        <div class="controls controls-row">\r\n        <{$all_functions}>\r\n        </div>\r\n        <input type="hidden" name="WebID" value="<{$WebID}>">\r\n      	<input type="hidden" name="op" value="save_hide_function">\r\n      	<button type="submit" class="btn btn-primary pull-right"><{$smarty.const._TAD_SAVE}></button>\r\n      </fieldset>\r\n  	</form>\r\n  </div>\r\n  \r\n  <div id="setupClass" class="span7">\r\n\r\n    <link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tad_web/class/jquery.thumbs/jquery.thumbs.css" />\r\n    <script type="text/javascript" src="<{$xoops_url}>/modules/tad_web/class/jquery.thumbs/jquery.thumbs.js"></script>\r\n\r\n    <script language="JavaScript">\r\n      $().ready(function(){\r\n        $(".thumb").thumbs();\r\n        $(".thumb").click(function(){\r\n          var bg=$(this).attr("id");\r\n          $("#WebBackground").css("background-image","url(images/background/"+bg+")");\r\n\r\n          $.post("aboutus.php", {op: "save_background" , filename: bg});\r\n        \r\n        });\r\n\r\n        $("#rand_bg").click(function(){\r\n          $.post("aboutus.php", {op: "remove_background"},function(){\r\n            location.href="aboutus.php?WebID=<{$WebID}>&op=tad_web_config";\r\n          });\r\n        });\r\n        \r\n        $("#submit_bg").click(function(){\r\n          location.href="index.php?WebID=<{$WebID}>";\r\n        });\r\n        \r\n\r\n        $("#background_position").change(function(){\r\n          var position_val=$(''#background_position'').val();\r\n          //alert(position_val);\r\n          $("#WebBackground").css("background-position",position_val);\r\n          $.post("aboutus.php", {op: "save_background_position" , position: position_val});\r\n\r\n        });\r\n      });\r\n\r\n    </script>\r\n      <fieldset>\r\n        <legend><{$smarty.const._MD_TCW_HEADER_SETUP}></legend>\r\n        <label><{$smarty.const._MD_TCW_BG_POSITION}></label>\r\n        <select class="span2" id="background_position">\r\n          <option value="center top" <{$background_position_top}>><{$smarty.const._MD_TCW_BG_TOP}></option>\r\n          <option value="center center" <{$background_position_center}>><{$smarty.const._MD_TCW_BG_CENTER}></option>\r\n          <option value="center bottom" <{$background_position_bottom}>><{$smarty.const._MD_TCW_BG_BOTTOM}></option>\r\n        </select>\r\n        <span class="help-block"><{$smarty.const._MD_TCW_CLICK_TO_CHANG}></span>\r\n        <{foreach item="bg" from="$bg_files"}>\r\n        <img src="images/background/thumbs/<{$bg.background}>" alt="<{$bg.background}>" class="thumb" id="<{$bg.background}>">\r\n        <{/foreach}>\r\n        <div style="text-align:right;">\r\n      	<button type="button" class="btn btn-warning" id="rand_bg"><{$smarty.const._MD_TCW_RAND_IMAGE}></button>\r\n      	<button type="button" class="btn btn-primary" id="submit_bg"><{$smarty.const._TAD_SAVE}></button>\r\n      	</div>\r\n      </fieldset>\r\n\r\n  </div>\r\n<{/if}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(341, '<{if $MyWebs==""}>\r\n  <{if $LoginMemID==""}>\r\n    <div class="controls controls-row">\r\n      <form action="discuss.php" method="post" enctype="multipart/form-data">\r\n      <label class="span2" style="text-align:right;"><{$smarty.const._MD_TCW_PLEASE_INPUT}><{$smarty.const._MD_TCW_MEM_UNAME}><{$smarty.const._TAD_FOR}></label>\r\n      <input class="span3" type="text" name="MemUname" placeholder="<{$smarty.const._MD_TCW_MEM_UNAME}>">\r\n      <label class="span2" style="text-align:right;"><{$smarty.const._MD_TCW_PLEASE_INPUT}><{$smarty.const._MD_TCW_MEM_PASSWD}><{$smarty.const._TAD_FOR}></label>\r\n      <input class="span3" type="password" name="MemPasswd" placeholder="<{$smarty.const._MD_TCW_MEM_PASSWD}>">\r\n      <div class="span2">\r\n        <input type="hidden" name="WebID" value="<{$WebID}>">\r\n        <input type="hidden" name="op" value="mem_login">\r\n        <button type="submit" class="btn btn-primary pull-right"><{$smarty.const._MD_TCW_LOGIN}></button>\r\n      </div>\r\n      </form>\r\n    </div>\r\n  <{else}>\r\n    <div class="well well-small">\r\n    <a href="discuss.php?op=logout" class="btn btn-mini btn-warning"><{$smarty.const._MD_TCW_EXIT}></a>\r\n    <a href="discuss.php?op=tad_web_discuss_form&WebID=<{$LoginWebID}>" class="btn btn-mini btn-info pull-right"><{$smarty.const._MD_TCW_DISCUSS_ADD}></a>\r\n    <{$LoginMemName}><{if $LoginMemNickName!=""}> (<{$LoginMemNickName}>) <{/if}><{$smarty.const._MD_TCW_HELLO}>\r\n    </div>\r\n  <{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(342, '<{foreach item=block from=$block.web}>\r\n  <fieldset>\r\n    <legend><{$block.WebTitle}><{$smarty.const._MB_TCW_MENU}></legend>\r\n    <div class="row-fluid">\r\n      <div class="span12"><{$block.my_web}></div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span6"><{$block.class_setup}></div>\r\n      <div class="span6"><{$block.web_config}></div>\r\n    </div>\r\n\r\n\r\n    <hr>\r\n\r\n\r\n    <div class="row-fluid">\r\n      <div class="span6"><{$block.news_add}></div>\r\n      <div class="span6"><{$block.homework_add}></div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span6"><{$block.action_add}></div>\r\n      <div class="span6"><{$block.video_add}></div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span6"><{$block.files_add}></div>\r\n      <div class="span6"><{$block.link_add}></div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <div class="span12"><{$block.logout}></div>\r\n    </div>\r\n  </fieldset>\r\n<{/foreach}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(343, '<{if $block.webs}>\r\n  <div class="row-fluid">\r\n    <select size=5 onChange="location.href=this.value" class="span12">\r\n    <{foreach item=web from=$block.webs}>\r\n      <option value="<{$web.url}>"><{$web.title}> (<{$web.name}>)</option>\r\n    <{/foreach}>\r\n    </select>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(344, '<div style="font-size:11pt;">\r\n  <span class="label label-info"><{$block.WebTitle}></span>\r\n  <a href="<{$xoops_url}>/modules/tad_web/action.php?ActionID=<{$block.ActionID}>&WebID=<{$block.WebID}>">\r\n    <{$block.ActionName}>\r\n  </a>\r\n</div>\r\n<{$block.photos}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(449, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/jqueryCookie/jquery.cookie.js"></script>\r\n<script type="text/javascript">\r\n$(document).ready(function() {\r\n  var $tabs = $("#rss-tabs").tabs({ cookie: { expires: 30 } , collapsible: true});\r\n});\r\n</script>\r\n\r\n<div id="rss-tabs">\r\n  <ul>\r\n    <{foreach item=web from=$data}>\r\n      <li><a href="#rss-tabs-<{$web.rss_sn}>"><{$web.title}></a></li>\r\n    <{/foreach}>\r\n  </ul>\r\n<{foreach item=rss from=$data}>\r\n  <div id="rss-tabs-<{$rss.rss_sn}>">\r\n    <div class="well">\r\n      <h2><a href="<{$rss.link}>"><{$rss.title}></a></h2>\r\n    	<div>\r\n      <a href="<{$rss.link}>"><{$rss.link}></a>\r\n          <{if $isAdmin}>\r\n            <a href="admin/main.php?op=tad_rss_form&rss_sn=<{$rss.rss_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n          <{/if}>\r\n    	</div>\r\n\r\n    </div>\r\n\r\n    <{foreach item=item from=$rss.content}>\r\n      <h3><a href="<{$item.href}>" target="_blank"><{$item.title}></a></h3>\r\n\r\n      <span class="label pull-right"><{$item.date}></span>\r\n\r\n      <div class="well">\r\n        <{$item.description}>\r\n      </div>\r\n  	<{/foreach}>\r\n\r\n	</div>\r\n<{/foreach}>\r\n</div>\r\n<div class="clearfix"></div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(450, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n\r\n<script>\r\nfunction delete_tad_rss_func(rss_sn){\r\n	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n	if (!sure)	return;\r\n	location.href="main.php?op=delete_tad_rss&rss_sn=" + rss_sn;\r\n}\r\n</script>\r\n\r\n\r\n<form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n  <div class="controls controls-row">\r\n    <input type="text" name="url" value="<{$rss_url}>" id="url" placeholder="<{$smarty.const._MA_TADRSS_URL}>" class="span5">\r\n    <{if $rss_sn}>\r\n  	 <input type="text" name="title" value="<{$title}>" class="span4" placeholder="<{$smarty.const._MA_TADRSS_TITLE}>">\r\n  	<label class="radio inline">\r\n    <input type="radio" name="enable" id="enable" value="1" <{$enable1}>><{$smarty.const._TAD_ENABLE}>\r\n    </label>\r\n\r\n    <label class="radio inline">\r\n    <input type="radio" name="enable" id="enable" value="0" <{$enable0}>><{$smarty.const._TAD_UNABLE}>\r\n    </label>\r\n\r\n  	<input type="hidden" name="rss_sn" value="<{$rss_sn}>">\r\n  	<{/if}>\r\n  	<input type="hidden" name="op" value="<{$next_op}>">\r\n  	<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n  </div>\r\n\r\n</form>\r\n\r\n<{if $all_data}>\r\n  <table class="table table-striped table-hover">\r\n  <tr>\r\n  <th><{$smarty.const._MA_TADRSS_TITLE}></th>\r\n  <th><{$smarty.const._MA_TADRSS_URL}></th>\r\n  <th><{$smarty.const._MA_TADRSS_ENABLE}></th>\r\n  <th><{$smarty.const._TAD_FUNCTION}></th></tr>\r\n  <tbody>\r\n  <{foreach item=rss from=$all_data}>\r\n    <tr>\r\n  		<td><{$rss.title}></td>\r\n  		<td><{$rss.url}></td>\r\n  		<td><a href="main.php?op=change_enable&rss_sn=<{$rss.rss_sn}>&enable=<{$rss.new_enable}>"><img src="../images/<{$rss.enable}>.gif"></a></td>\r\n  		<td>\r\n  		<a href="main.php?rss_sn=<{$rss.rss_sn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n  		<a href="javascript:delete_tad_rss_func(<{$rss.rss_sn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n  		</td>\r\n  		</tr>\r\n  <{/foreach}>\r\n  <tr>\r\n  <td colspan=5 class="bar"><{$bar}></td></tr>\r\n  </tbody>\r\n  </table>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(347, '<{foreach item=rss_data from=$block.rss_data}>\r\n  <div>\r\n    <div><a href="<{$rss_data.link}>" rel="external" style="font-weight:bold;"><{$rss_data.title}></a></div>\r\n    <ul>\r\n    	<{foreach item=rss from=$rss_data.content}>\r\n        <li><a href="<{$rss.link}>" rel="external">[<{$rss.date}>] <{$rss.title}></a></li>\r\n      <{/foreach}>\r\n    </ul>\r\n  </div>\r\n<{/foreach}>\r\n<a href="<{$xoops_url}>/modules/tad_rss">[more...]</a>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(348, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n<{$jquery}>\r\n\r\n<script language="JavaScript">\r\n$().ready(function(){\r\n	$("div#all_videos").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n		var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n		$.post("save_sort.php?pcsn=$pcsn", order, function(theResponse){\r\n		  $("#save_msg").html(theResponse);\r\n		});\r\n	}\r\n	});\r\n\r\n  var hh = $(''div.thumb_height'').width() * 0.75;\r\n  $(''div.thumb_height'').css(''height'',hh);\r\n});\r\n\r\n\r\nfunction check_one(id_name,change){\r\n  if(document.getElementById(id_name).checked && change){\r\n    document.getElementById(id_name).checked = false;\r\n  }else{\r\n    document.getElementById(id_name).checked = true;\r\n  }\r\n}\r\n\r\n</script>\r\n\r\n  \r\n\r\n  <div class="container-fluid">\r\n    <div class="row-fluid">\r\n      <div class="span2">\r\n        <{$cate_select}>\r\n      </div>\r\n      \r\n      <{if $data}>\r\n      <div class="span10">\r\n      <!--Body content-->\r\n\r\n        <div class="row-fluid">\r\n          <label class="checkbox inline">\r\n            <input type="checkbox" id="u<{$pcsn}>" onClick="$(''input:checkbox.p<{$pcsn}>'').attr(''checked'',$(''#u<{$pcsn}>'').attr(''checked''));"> <{$smarty.const._MA_TADPLAYER_SELECT_ALL}>\r\n          </label>\r\n          \r\n          <{if $pcsn!=""}>\r\n            <a href="../index.php?pcsn=<{$pcsn}>" class="btn btn-mini btn-primary"><{$link_to_cate}></a>\r\n          <{/if}>\r\n          <span id="save_msg"></span>\r\n        </div>\r\n        \r\n\r\n              \r\n      	<form action="main.php" method="post">\r\n\r\n      	<div class="row-fluid" id="all_videos">\r\n          <{foreach item=video from=$data}>\r\n\r\n            <div class="thumbnail" id="recordsArray_<{$video.psn}>" onClick="check_one(''p<{$video.psn}>'',true);" style="width:156px;float:left;margin:8px;">\r\n              <div class="thumb_height" style="background-color:black;position:relative;height:120px;overflow:hidden;">\r\n                <img src="<{$video.pic}>" alt="<{$video.title}>" style="z-index:1;">\r\n                <div id="pt<{$video.psn}>" style="font-size:12px;font-weight:normal;color:#ffffff;position:absolute;bottom:2px;left:10px;z-index:2;text-shadow: 1px 1px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 0px -1px 0 #000, 0px 1px 0 #000, -1px 0px 0 #000, 1px 0px 0 #000;">\r\n                  \r\n                  <{$video.title}></div>\r\n              </div>\r\n\r\n              <div>\r\n                <input type="checkbox" id="p<{$video.psn}>" name="video[]" value="<{$video.psn}>" class="p<{$video.pcsn}>" onClick="check_one(''p<{$video.psn}>'',true);">\r\n                <a href="../uploads.php?psn=<{$video.psn}>#fragment-1" target="_blank" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n                <a href="../play.php?psn=<{$video.psn}>" target="_blank" class="btn btn-mini btn-info"><{$smarty.const._MA_TADPLAYER_VIEW}></a>\r\n                <{$smarty.const._MA_TADPLAYER_COUNTER}>:<{$video.counter}>\r\n              </div>\r\n                \r\n                \r\n              <div class="caption">\r\n                <div>\r\n                  <{$video.uid_name}> / <{$video.post_date}>\r\n                </div>\r\n                <div style="height:40px;overflow:auto;"><{$video.g_txt}></div>\r\n              </div>\r\n            </div>\r\n\r\n          <{/foreach}>\r\n          </div>\r\n\r\n          <div class="clearfix"></div>\r\n          \r\n\r\n          <h2><{$smarty.const._MA_TADPLAYER_THE_ACT_IS}></h2>\r\n\r\n        	<div class="row-fluid">\r\n            <div class="span6">\r\n              <div class="controls controls-row">\r\n                <label class="radio inline">\r\n                  <input type="radio" name="op" value="del" id="del"><{$smarty.const._TAD_DEL}>\r\n                </label>\r\n              </div>\r\n\r\n              <div class="controls controls-row">\r\n                <label class="radio inline span4">\r\n                  <input type="radio" name="op" value="move" id="move"><{$smarty.const._MA_TADPLAYER_MOVE_TO}>\r\n                </label>\r\n                <select name="new_pcsn" onChange="check_one(''move'',false)" class="span8"><{$option}></select>\r\n              </div>\r\n              \r\n              <div class="controls controls-row">\r\n                <label class="radio inline span4">\r\n                  <input type="radio" name="op" value="add_title" id="add_title"><{$smarty.const._MA_TADPLAYER_ADD_TITLE}>\r\n                </label>\r\n                <input type="text" name="add_title" class="span7" onClick="check_one(''add_title'',false)">\r\n              </div>\r\n\r\n            </div>\r\n            \r\n            <div class="span6">\r\n              <div class="controls controls-row">\r\n\r\n                <label class="radio inline span4">\r\n                  <input type="radio" name="op" value="add_info" id="add_info"><{$smarty.const._MA_TADPLAYER_ADD_INFO}>\r\n                </label>\r\n                <textarea name="add_info" clasa="span8" onClick="check_one(''add_info'',false)"></textarea>\r\n\r\n              	<input type="hidden" name="pcsn" value="{$pcsn}">\r\n              	<button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n              </div>\r\n            </div>\r\n\r\n          </div>\r\n\r\n      	</form>\r\n      \r\n      \r\n      \r\n      </div>\r\n      \r\n      <{/if}>\r\n    </div>\r\n  </div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(349, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{$main}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(350, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<script type="text/javascript">\r\n$(document).ready(function() {\r\n  var hh = $(''div.thumb_height'').width() * 0.75;\r\n  $(''div.thumb_height'').css(''height'',hh);\r\n});\r\n\r\n</script>\r\n\r\n\r\n<div class="row-fluid">\r\n  <div class="span3 offset9"><{$select}></div>\r\n</div>\r\n\r\n<div class="row-fluid">\r\n  <div id="path_bar" class="span12"><{$path_bar}></div>\r\n</div>\r\n\r\n<div class="row-fluid">\r\n  <{if $mode=="list"}>\r\n\r\n    <{$title}>\r\n    <{$playcode}>\r\n\r\n\r\n  <{else}>\r\n\r\n    <{$rating_js}>\r\n\r\n    <{assign var="i" value=0}>\r\n    <{assign var="total" value=0}>\r\n\r\n\r\n    <{if $sub_cate}>\r\n    <{foreach item=sub_cate from=$sub_cate}>\r\n      <{if $i==0}>\r\n      <div class="row-fluid">\r\n        <ul class="thumbnails">\r\n      <{/if}>\r\n\r\n      <li class="span3">\r\n        <div class="thumbnail">\r\n          <div class="thumb_height" style="background-color:black;position:relative;height:120px;overflow:hidden;">\r\n            <a href="index.php?pcsn=<{$sub_cate.pcsn}>">\r\n              <img src="<{$sub_cate.pic}>" alt="<{$sub_cate.title}>" style="z-index:1;">\r\n              <div style="font-size:1em;font-weight:bold;color:#FFFFCC;position:absolute;bottom:2px;left:10px;z-index:2;text-shadow: 1px 1px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 0px -1px 0 #000, 0px 1px 0 #000, -1px 0px 0 #000, 1px 0px 0 #000;"><{$sub_cate.title}></div>\r\n            </a>\r\n          </div>\r\n          <div class="caption">\r\n            <div style="font-size:13px;color:#666666;text-align:center;"><{$sub_cate.num}></div>\r\n            <{if $sub_cate.pcsn_num}><div style="font-size:13px;color:#666666;text-align:center;"><{$sub_cate.pcsn_num}></div><{/if}>\r\n          </div>\r\n        </div>\r\n      </li>\r\n      <{assign var="i" value=$i+1}>\r\n      <{assign var="total" value=$total+1}>\r\n      <{if $i == 4 || $total==$count}>\r\n          </ul>\r\n        </div>\r\n      <{/if}>\r\n      <{if $i == 4}><{assign var="i" value=0}><{/if}>\r\n    <{/foreach}>\r\n    <{/if}>\r\n\r\n    <{if $content}>\r\n      <{foreach item=video from=$content}>\r\n        <{if $i==0}>\r\n        <div class="row-fluid">\r\n          <ul class="thumbnails">\r\n        <{/if}>\r\n\r\n        <li class="span3">\r\n          <div class="thumbnail">\r\n            <{if $video.url}><a href="<{$video.url}>" alt="<{$video.info}>" title="<{$video.info}>" style="color:white;"><{/if}>\r\n              <div class="thumb_height" style="background-color:black;position:relative;height:120px;overflow:hidden;">\r\n              <img src="<{$video.pic}>" alt="<{$video.img_title}>" style="z-index:1;">\r\n              <{if $video.img_title}>\r\n                <div style="font-size:12px;position:absolute;bottom:2px;left:10px;z-index:2;text-shadow: 1px 1px 0 #000, -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 0px -1px 0 #000, 0px 1px 0 #000, -1px 0px 0 #000, 1px 0px 0 #000;"><{$video.img_title}></div>\r\n              <{/if}>\r\n              </div>\r\n            <{if $video.url}></a><{/if}>\r\n            <div class="caption">\r\n              <{if $video.post_date}><div style="font-size:11px;color:#666666;"><span class="badge badge-info pull-right"><{$video.counter}></span><{$video.post_date}></div><{/if}>\r\n              <{if $rating_js}><div id="rating_psn_<{$video.psn}>"></div><{/if}>\r\n\r\n              <div>\r\n                <{if $video.url}><a href="<{$video.url}>" alt="<{$video.info}>" title="<{$video.info}>"><{/if}>\r\n\r\n                <{if $video.url}></a><{/if}>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </li>\r\n\r\n        <{assign var="i" value=$i+1}>\r\n        <{assign var="total" value=$total+1}>\r\n        <{if $i == 4 || $total==$count}>\r\n            </ul>\r\n          </div>\r\n        <{/if}>\r\n        <{if $i == 4}><{assign var="i" value=0}><{/if}>\r\n      <{/foreach}>\r\n    <{/if}>\r\n\r\n\r\n\r\n    <p align="center" style="text-align:center;"><{$bar}></p>\r\n  <{/if}>\r\n\r\n  <div style="clear:both;"></div>\r\n  <{$push}>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(351, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n<script type=''text/javascript'' src=''<{$xoops_url}>/modules/tad_player/class/ajax.js''></script>\r\n<script type=''text/javascript'' src=''<{$xoops_url}>/modules/tad_player/class/chained_selects.js''></script>\r\n\r\n\r\n<script type="text/javascript">\r\nfunction delete_tad_player_file_func(psn){\r\n  var sure = window.confirm(''<{$smarty.const._TAD_DEL_CONFIRM}>'');\r\n  if (!sure)  return;\r\n  location.href="play.php?op=delete_tad_player_file&pcsn=<{$pcsn}>&psn=" + psn;\r\n}\r\n</script>\r\n\r\n<div class="row-fluid">\r\n  <div class="span5">\r\n    <{$path_bar}>\r\n  </div>\r\n\r\n  <div class="span7 text-right">\r\n    <{$select}>\r\n  </div>\r\n</div>\r\n\r\n<div class="row-fluid">\r\n\r\n</div>\r\n\r\n\r\n<div class="row-fluid">\r\n  <{$media}>\r\n</div>\r\n\r\n\r\n<div class="row-fluid">\r\n  <div class="span7">\r\n    <{$push}>\r\n  </div>\r\n  <div class="span2">\r\n    <{$star_rating}>\r\n  </div>\r\n  <div class="span3 text-right">\r\n    <{if $isAdmin}>\r\n      <a href="javascript:delete_tad_player_file_func(<{$psn}>);" class=''btn btn-danger''><{$smarty.const._TAD_DEL}></a>\r\n      <a href="<{$xoops_url}>/modules/tad_player/uploads.php?psn=<{$psn}>#fragment-1" class="btn btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n    <{/if}>\r\n  </div>\r\n\r\n</div>\r\n\r\n<{if $content}>\r\n<div class="well"><{$content}></div>\r\n<{/if}>\r\n\r\n<{if $code}>\r\n  <div class="well"><{$code}></div>\r\n<{/if}>\r\n\r\n\r\n\r\n<{if $facebook_comments}>\r\n  <div class="row-fluid">\r\n    <{$facebook_comments}>\r\n  </div>\r\n<{/if}>\r\n\r\n<!--Tad Player play_tpl.html-->\r\n\r\n<p style="clear: both">\r\n<div style="text-align: center; padding: 3px; margin: 3px;">\r\n  <{$commentsnav}>\r\n  <{$lang_notice}>\r\n</div>\r\n\r\n<div style="margin: 3px; padding: 3px;">\r\n<!-- start comments loop -->\r\n<{if $comment_mode == "flat"}>\r\n  <{include file="db:system_comments_flat.html"}>\r\n<{elseif $comment_mode == "thread"}>\r\n  <{include file="db:system_comments_thread.html"}>\r\n<{elseif $comment_mode == "nest"}>\r\n  <{include file="db:system_comments_nest.html"}>\r\n<{/if}>\r\n<!-- end comments loop -->\r\n</div>\r\n</p>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(352, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n\r\n<script type="text/javascript">\r\n  $(document).ready(function() {\r\n    var $tabs = $("#tad_player_upload_tabs").tabs();\r\n    var last_tab=$tabs.tabs("length")-1;\r\n    <{if $show_to_batch_upload}>$tabs.tabs("select", last_tab);<{/if}>\r\n  });\r\n</script>\r\n\r\n<div id="tad_player_upload_tabs">\r\n\r\n  <ul>\r\n      <li><a href="#fragment-1"><span><{$smarty.const._MD_TADPLAYER_UPLOAD}></span></a></li>\r\n      <li><a href="jupload.php"><span><{$smarty.const._MI_TADPLAYER_JAVA_UPLOAD}></span></a></li>\r\n      <li><a href="batch_upload.php"><span><{$smarty.const._MI_TADPLAYER_BATCH_UPLOAD}></span></a></li>\r\n  </ul>\r\n  <div id="fragment-1">\r\n\r\n  <script type="text/javascript">\r\n    $(document).ready(function() {\r\n      <{$hide}>\r\n      <{$hide_img}>\r\n\r\n      $("#flv_where").change(function() {\r\n        if ($("#flv_where").val()=="youtube") {\r\n           $("#flv_youtube").slideDown();\r\n           $("#flv_local").slideUp();\r\n           $("#flv_link").slideUp();\r\n           $("#thumb_config").hide();\r\n        } else if ($("#flv_where").val()=="link"){\r\n           $("#flv_link").slideDown();\r\n           $("#flv_local").slideUp();\r\n           $("#flv_youtube").slideUp();\r\n           $("#thumb_config").show();\r\n        }else{\r\n           $("#flv_local").fadeIn();\r\n           $("#flv_link").slideUp();\r\n           $("#flv_youtube").slideUp();\r\n           $("#thumb_config").show();\r\n        }\r\n      });\r\n\r\n\r\n      $("#img_where").change(function() {\r\n        if ($("#img_where").val()=="link"){\r\n           $("#img_link").slideDown();\r\n           $("#img_local").hide();\r\n        }else{\r\n           $("#img_local").slideDown();\r\n           $("#img_link").hide();\r\n        }\r\n      });\r\n\r\n\r\n    $(''#youtube'').change(function() {\r\n      $(''#title'').val($(''#youtube'').val());\r\n      $.post("link_ajax.php", { url: $(''#youtube'').val()},\r\n       function(data) {\r\n        var obj = $.parseJSON(data);\r\n         $(''#title'').val(obj.title);\r\n         $(''#creator'').val(obj.author);\r\n         CKEDITOR.instances.editor_content.setData(obj.description);\r\n       });\r\n    });\r\n\r\n\r\n    $(''#LinkGet'').click(function() {\r\n      $.post("link_ajax.php", { url: $(''#youtube'').val()},\r\n       function(data) {\r\n        var obj = $.parseJSON(data);\r\n         $(''#title'').val(obj.title);\r\n         $(''#creator'').val(obj.author);\r\n         CKEDITOR.instances.editor_content.setData(obj.description);\r\n       });\r\n    });\r\n\r\n    });\r\n    </script>\r\n    <form action="uploads.php" method="post" id="myForm" enctype="multipart/form-data">\r\n    <div class="row-fluid">\r\n      <div class="span9">\r\n        <div class="row-fluid">\r\n          <div class="span3">\r\n            <select id="flv_where" class="span12">\r\n              <option value="youtube" <{$selected_youtube}>><{$smarty.const._MD_TADPLAYER_YOUTUBE_FLV}></option>\r\n              <option value="local" <{$selected_local}>><{$smarty.const._MD_TADPLAYER_UPLOAD_FLV}></option>\r\n              <option value="link" <{$selected_link}>><{$smarty.const._MD_TADPLAYER_LINK_FLV}></option>\r\n            </select>\r\n          </div>\r\n\r\n          <div class="span9">\r\n            <div id="flv_local">\r\n              <input type="file" name="location" id="location" class="span12" value="<{$location}>">\r\n            </div>\r\n\r\n            <div id="flv_link">\r\n              <input type="text" name="location" id="location" class="span12" value="<{$location}>" placeholder="<{$smarty.const._MD_TADPLAYER_FLV_LINK}>">\r\n            </div>\r\n\r\n            <div id="flv_youtube">\r\n              <div class="row-fluid">\r\n                <div class="span8">\r\n                  <input type="text" name="youtube" id="youtube" class="span12" value="<{$youtube}>" placeholder="<{$smarty.const._MD_TADPLAYER_YOUTUBE_LINK}>">\r\n                </div>\r\n                <div class="span4">\r\n                  <button type="button" class="btn" id="LinkGet"><{$smarty.const._MD_TADPLAYER_AUTO_GET}></button>\r\n                </div>\r\n              </div>\r\n            </div>\r\n          </div>\r\n\r\n        </div>\r\n\r\n\r\n        <div class="controls controls-row">\r\n          <div class="span2"><{$smarty.const._MD_TADPLAYER_OF_CSN}></div>\r\n          <select name="pcsn" size=1 class="span3">\r\n          <{$cate_select}>\r\n          </select>\r\n          <input type="text" name="new_pcsn" class="span7" placeholder="<{$smarty.const._MD_TADPLAYER_NEW_PCSN}>">\r\n        </div>\r\n\r\n\r\n        <div class="controls controls-row">\r\n          <input type="text" name="title" id="title" class="span9" value="<{$title}>" placeholder="<{$smarty.const._MD_TADPLAYER_TITLE}>">\r\n          <input type="text" name="creator" id="creator" class="span3" value="<{$creator}>" placeholder="<{$smarty.const._MD_TADPLAYER_CREATOR}>">\r\n        </div>\r\n\r\n        <div class="controls controls-row" id="thumb_config">\r\n          <select id="img_where" class="span3">\r\n            <option value="local" <{$selected_img_local}>><{$smarty.const._MD_TADPLAYER_UPLOAD_IMG}></option>\r\n            <option value="link" <{$selected_img_link}>><{$smarty.const._MD_TADPLAYER_LINK_IMG}></option>\r\n          </select>\r\n\r\n          <div id="img_local"><input type="file" name="image" class="span3" value="<{$image}>"></div>\r\n          <div id="img_link"><input type="text" name="image" class="span3" value="<{$image}>" placeholder="<{$smarty.const._MD_TADPLAYER_IMG_LINK}>"></div>\r\n\r\n        </div>\r\n\r\n        <{if $logo_col and $choice_logo}>\r\n        <div class="controls controls-row">\r\n          <div class="span2"><{$smarty.const._MD_TADPLAYER_UPLOAD_LOGO}></div>\r\n          <select name="logo_name" size=1 class="span3">\r\n          <{$choice_logo}>\r\n          </select>\r\n          <input type="file" name="logo"  class="span7">\r\n        </div>\r\n        <{/if}>\r\n      </div>\r\n\r\n      <div class="span3">\r\n        <{$smarty.const._MD_TADPLAYER_ENABLE_GROUP}>\r\n        <{$enable_group}>\r\n      </div>\r\n    </div>\r\n    <div class="row-fluid">\r\n    <{$editor}>\r\n    <div style="text-aling:center;">\r\n    <input type="hidden" name="op" value="<{$next_op}>">\r\n    <input type="hidden" name="psn" value="<{$psn}>">\r\n    <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n    </div>\r\n\r\n    </form>\r\n  </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(353, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(354, '<table>\r\n  <{foreach from=$block item=video}>\r\n    <tr>\r\n      <{if $video.image}>\r\n      <td>\r\n        <a href="<{$xoops_url}>/modules/tad_player/play.php?psn=<{$video.psn}>"><img src="<{$xoops_url}>/uploads/tad_player/img/s_<{$video.psn}>.png" class="img-rounded" alt="<{$video.title}>" style="width:60px;"></a>\r\n      </td>\r\n      <{/if}>\r\n      <td>\r\n        <span class="label label-success"><{$video.post_date}></span>\r\n        <a href="<{$xoops_url}>/modules/tad_player/play.php?psn=<{$video.psn}>"><{$video.title}></a>\r\n      </td>\r\n    </tr>\r\n  <{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(355, '<table>\r\n  <{foreach from=$block item=video}>\r\n    <tr>\r\n      <{if $video.image}>\r\n      <td>\r\n        <a href="<{$xoops_url}>/modules/tad_player/play.php?psn=<{$video.psn}>"><img src="<{$xoops_url}>/uploads/tad_player/img/s_<{$video.psn}>.png" class="img-rounded" alt="<{$video.title}>" style="width:60px;"></a>\r\n      </td>\r\n      <{/if}>\r\n      <td>\r\n        <span class="label label-info"><{$video.counter}></span>\r\n        <a href="<{$xoops_url}>/modules/tad_player/play.php?psn=<{$video.psn}>"><{$video.title}></a>\r\n      </td>\r\n    </tr>\r\n  <{/foreach}>\r\n</table>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(356, '<{if $block}>\r\n  <{$block}>\r\n<{else}>\r\n  <div class="hero-unit">\r\n    <{$smarty.const._MB_TADPLAYER_NO_PLAYLIST}>\r\n  </div>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(357, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(400, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n\r\n<form action="word.php" method="post" id="myForm">\r\n\r\n  <!--事件起始時間-->\r\n  <div class="row-fluid">\r\n    <label class="span2">\r\n      <{$smarty.const._MD_TADCAL_TIME}>\r\n    </label>\r\n\r\n    <!--開始時間-->\r\n    <div class="span2">\r\n      <input type="text" name="start" value="<{$start}>" id="start_allday" class="validate[required] span12" onClick="WdatePicker({dateFmt:''yyyy-MM-dd'' , startDate:''%y-%M-%d''})">\r\n    </div>\r\n\r\n    <!--結束時間-->\r\n    <div class="span2">\r\n      <input type="text" name="end" value="<{$end}>" id="end_allday" onClick="WdatePicker({dateFmt:''yyyy-MM-dd'' , startDate:''%y-%M-%d''})"  class="span12">\r\n    </div>\r\n\r\n    <!--列出類型-->\r\n    <label class="span2">\r\n      <{$smarty.const._MD_TADCAL_DL_TYPE}>\r\n    </label>\r\n\r\n    <div class="span4">\r\n      <label class="radio">\r\n        <input type="radio" name="dl_type" value="only_event" id="only_event" checked><{$smarty.const._MD_TADCAL_ONLY_EVENT}>\r\n      </label>\r\n      <label class="radio">\r\n        <input type="radio" name="dl_type" value="all_date" id="only_event"><{$smarty.const._MD_TADCAL_ALL_DATE}>\r\n      </label>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <div class="span2">\r\n      <{$smarty.const._MD_TADCAL_CATE_SN}>\r\n    </div>\r\n\r\n    <div class="span4">\r\n      <select name=''cate_sn[]'' id=''cate_sn'' size=5 class="span12" multiple>\r\n        <{$get_tad_cal_cate_menu_options}>\r\n      </select>\r\n    </div>\r\n\r\n\r\n    <!--列出類型-->\r\n    <label class="span2">\r\n      <{$smarty.const._MD_TADCAL_SHOW_TYPE}>\r\n    </label>\r\n\r\n    <div class="span4">\r\n      <label class="radio">\r\n        <input type="radio" name="show_type" value="separate" id="separate" ><{$smarty.const._MD_TADCAL_SEPARATE}>\r\n      </label>\r\n      <label class="radio">\r\n        <input type="radio" name="show_type" value="merge" id="merge" checked><{$smarty.const._MD_TADCAL_MERGE}>\r\n      </label>\r\n\r\n      <div>\r\n        <input type="hidden" name="op" value="download_now">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._MD_TADCAL_SMNAME3}></button>\r\n      </div>\r\n    </div>\r\n\r\n  </div>\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(399, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{if $op=="tad_cal_cate_form"}>\r\n  <h1><{$smarty.const._MA_TADCAL_CATE_FORM}></h1>\r\n  <{$formValidator_code}>\r\n\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tad_cal/class/mColorPicker/javascripts/mColorPicker.js" charset="UTF-8"></script>\r\n  <script type="text/javascript">\r\n    $("#color").mColorPicker({\r\n    imageFolder: "../class/mColorPicker/images/"\r\n    });\r\n  </script>\r\n\r\n  <form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n    <div class="row-fluid">\r\n      <!--行事曆標題-->\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADCAL_CATE_TITLE}>\r\n      </label>\r\n      <div class="span4">\r\n        <input type="text" name="cate_title" class="span12" value="<{$cate_title}>" id="cate_title" class="validate[required]">\r\n      </div>\r\n\r\n      <!--是否啟用-->\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADCAL_CATE_ENABLE}>\r\n      </label>\r\n      <div class="span4">\r\n        <label class="radio inline">\r\n          <input type="radio" name="cate_enable" id="cate_enable" value="1" <{$cate_enable1}>><{$smarty.const._YES}>\r\n        </label>\r\n        <label class="radio inline">\r\n          <input type="radio" name="cate_enable" id="cate_enable" value="0" <{$cate_enable0}>><{$smarty.const._NO}>\r\n        </label>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <!--背景色-->\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADCAL_CATE_BGCOLOR}>\r\n      </label>\r\n      <div class="span4">\r\n        <input type="color" name="cate_bgcolor" id="cate_bgcolor" value="<{$cate_bgcolor}>"  data-hex="true">\r\n      </div>\r\n\r\n      <!--文字色-->\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADCAL_CATE_COLOR}>\r\n      </label>\r\n      <div class="span4">\r\n        <input type="color" name="cate_color" id="cate_color" value="<{$cate_color}>" data-hex="true">\r\n      </div>\r\n    </div>\r\n\r\n\r\n    <div class="row-fluid">\r\n      <!--可讀群組-->\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADCAL_ENABLE_GROUP}>\r\n      </label>\r\n      <div class="span4">\r\n        <{$enable_group}>\r\n      </div>\r\n\r\n      <!--可寫群組-->\r\n      <label class="span2">\r\n        <{$smarty.const._MA_TADCAL_ENABLE_UPLOAD_GROUP}>\r\n      </label>\r\n      <div class="span4">\r\n        <{$enable_upload_group}>\r\n      </div>\r\n    </div>\r\n\r\n\r\n    <{if $cate_handle}>\r\n      <div class="row-fluid">\r\n        <!--google帳號-->\r\n        <label class="span2">\r\n          <{$smarty.const._MA_TADCAL_GOOGLE_ID}>\r\n        </label>\r\n        <div class="span4">\r\n          <input type="text" name="google_id" value="<{$google_id}>" class="span12" id="google_id" ><{$smarty.const._MA_TADCAL_GOOGLE_ID_NOTE}>\r\n        </div>\r\n\r\n        <!--google密碼-->\r\n        <label class="span2">\r\n          <{$smarty.const._MA_TADCAL_GOOGLE_PASS}>\r\n        </label>\r\n        <div class="span4">\r\n          <input type="password" name="google_pass" value="<{$google_pass}>" class="span12" id="google_pass" >\r\n        </div>\r\n      </div>\r\n    <{/if}>\r\n\r\n\r\n    <div class="row-fluid">\r\n      <!--遠端行事曆-->\r\n      <input type="hidden" name="cate_handle" value="<{$cate_handle}>">\r\n\r\n      <!--行事曆排序-->\r\n      <input type="hidden" name="cate_sort" value="<{$cate_sort}>" id="cate_sort">\r\n      <!--行事曆編號-->\r\n      <input type="hidden" name="cate_sn" value="<{$cate_sn}>">\r\n      <input type="hidden" name="op" value="<{$next_op}>">\r\n      <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n\r\n  </form>\r\n\r\n<{elseif $op=="link_to_google"}>\r\n\r\n  <h1><{$smarty.const._MA_TADCAL_CATE_GFORM}></h1>\r\n  <{if $all}>\r\n    <form action="main.php" method="post" id="myForm" enctype="multipart/form-data">\r\n      <table class="table table-striped table-hover">\r\n      <tr>\r\n      <th colspan=2><{$smarty.const._MA_TADCAL_CATE_GTITLE}></th><th><{$smarty.const._MA_TADCAL_CATE_GNUM}></th></tr>\r\n\r\n      <{foreach item=cal from=$all}>\r\n        <{if $cal.in_array}>\r\n          <tr>\r\n            <td class="c"><{$smarty.const._MA_TADCAL_GOOGLE_EXIST}></td>\r\n            <td><img src="../images/google.png" title="<{$cal.cate_handle}>" alt="<{$cal.cate_handle}>" style="margin-right:4px;" align="absmiddle"><{$cal.cate_title}></td>\r\n            <td style="text-align:right;"><{$cal.totalResults}></td>\r\n          </tr>\r\n        <{else}>\r\n          <tr>\r\n            <td class="c"><input type="checkbox" name="handle[<{$cal.j}>]" value="<{$cal.handle}>"></td>\r\n            <td><input type="text" name="title[<{$cal.j}>]" value="<{$cal.cal_title}>" size=30></td>\r\n            <td style="text-align:right;"><{$cal.totalResults}></td>\r\n          </tr>\r\n        <{/if}>\r\n      <{/foreach}>\r\n    <tr><td class="bar" colspan="3">\r\n    <input type="hidden" name="google_id" value="<{$id}>">\r\n    <input type="hidden" name="google_pass" value="<{$pass}>">\r\n    <input type="hidden" name="op" value="save_google">\r\n    <input type="submit" value="<{$smarty.const._MA_TADCAL_NEXT}>"></td></tr>\r\n    </table>\r\n    </form>\r\n  <{/if}>\r\n<{elseif $op=="tad_cal_add_gcal_form"}>\r\n  <{if !$curl_init}>\r\n    <div style="border:1px solid gray;color:#990000;padding:10px;margin:10px;"><{$smarty.const._MA_TADCAL_CURL_NEED}></div>\r\n  <{else}>\r\n    <form action="main.php" method="post" id="myForm2" enctype="multipart/form-data">\r\n    <table>\r\n    <!--google帳號-->\r\n    <tr><td><{$smarty.const._MA_TADCAL_GOOGLE_ID}></td>\r\n    <td><input type="text" name="google_id" size="30" id="google_id" ><{$smarty.const._MA_TADCAL_GOOGLE_ID_NOTE}></td></tr>\r\n\r\n    <!--google密碼-->\r\n    <tr><td><{$smarty.const._MA_TADCAL_GOOGLE_PASS}></td>\r\n    <td><input type="password" name="google_pass" size="30" id="google_pass" ></td></tr>\r\n    <tr><td class="bar" colspan="2">\r\n\r\n    <input type="hidden" name="op" value="link_to_google">\r\n    <input type="submit" value="<{$smarty.const._MA_TADCAL_NEXT}>"></td></tr>\r\n    </table>\r\n    </form>\r\n  <{/if}>\r\n<{else}>\r\n  <{if $all_content==""}>\r\n\r\n    <a href="main.php?op=tad_cal_cate_form" class="btn btn-large btn-primary"><img src="../images/date_big.png" title="<{$smarty.const._TAD_ADD_CAL}>" alt="<{$smarty.const._TAD_ADD_CAL}>"><{$smarty.const._TAD_ADD_CAL}></a>\r\n\r\n    <a href="main.php?op=tad_cal_add_gcal_form"  class="btn btn-large btn-primary"><img src="../images/google_big.png" title="<{$smarty.const._TAD_ADD_GOOGLE}>" alt="<{$smarty.const._TAD_ADD_GOOGLE}>"><{$smarty.const._TAD_ADD_GOOGLE}></a>\r\n\r\n  <{else}>\r\n\r\n    <{$jquery}>\r\n\r\n    <script language="JavaScript">\r\n      $().ready(function(){\r\n          $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n              var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n              $.post("save_sort.php", order, function(theResponse){\r\n                  $("#save_msg").html(theResponse);\r\n              });\r\n          }\r\n          });\r\n      });\r\n\r\n      function delete_tad_cal_cate_func(cate_sn){\r\n      var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n      if (!sure)  return;\r\n      location.href="main.php?op=delete_tad_cal_cate&cate_sn=" + cate_sn;\r\n    }\r\n    </script>\r\n\r\n    <table class="table table-striped table-hover">\r\n    <tr>\r\n      <th><{$smarty.const._MA_TADCAL_CATE_TITLE}></th>\r\n      <th><{$smarty.const._MA_TADCAL_CATE_EVENTS_AMOUNT}></th>\r\n      <th><{$smarty.const._MA_TADCAL_CATE_ENABLE}></th>\r\n      <th><{$smarty.const._MA_TADCAL_ENABLE_GROUP}></th>\r\n      <th><{$smarty.const._MA_TADCAL_ENABLE_UPLOAD_GROUP}></th>\r\n      <th><{$smarty.const._MA_TADCAL_LAST_UPDATE}></th>\r\n      <th><{$smarty.const._TAD_FUNCTION}></th>\r\n    </tr>\r\n    <tbody id="sort">\r\n    <{foreach item=cal from=$all_content}>\r\n      <tr id="tr_<{$cal.cate_sn}>">\r\n        <td style="background-color:<{$cal.cate_bgcolor}>;color:<{$cal.cate_color}>;">\r\n        <{if $cate_handle==""}>\r\n          <img src="../images/date.png" title="<{$cal.cate_title}>" alt="<{$cal.cate_title}>" style="margin-right:4px;" align="absmiddle">\r\n        <{else}>\r\n          <img src="../images/google.png" title="<{$cal.cate_handle}>" alt="<{$cal.cate_handle}>" style="margin-right:4px;" align="absmiddle">\r\n        <{/if}>\r\n        <{$cal.cate_title}>\r\n        </td>\r\n        <td class="c"><{$cal.counter}></td>\r\n        <td class="c"><{$cal.enable}></td>\r\n        <td class="c"><{$cal.g_txt}></td>\r\n        <td class="c"><{$cal.gu_txt}></td>\r\n        <td class="c"><{$cal.last}></td>\r\n        <td>\r\n        <a href="javascript:delete_tad_cal_cate_func(<{$cal.cate_sn}>);"><img src="../images/delete.png" title="<{$smarty.const._TAD_DEL}>" alt="<{$smarty.const._TAD_DEL}>" align="absmiddle" style="margin-right:4px;"></a>\r\n\r\n        <a href="main.php?op=tad_cal_cate_form&cate_sn=<{$cal.cate_sn}>" class="btn btn-mini btn-warning"><img src="../images/edit.png" title="<{$smarty.const._TAD_EDIT}>" alt="<{$smarty.const._TAD_EDIT}>" align="absmiddle" style="margin-right:4px;"><{$smarty.const._TAD_EDIT}></a>\r\n\r\n        <{if $cate_handle!=""}>\r\n          <a href="main.php?op=import_google&cate_sn=<{$cal.cate_sn}>" class="btn btn-mini btn-info"><img src="../images/sync.png" title="<{$smarty.const._MA_TADCAL_GOOGLE_IMPORT}>" alt="<{$smarty.const._MA_TADCAL_GOOGLE_IMPORT}>" align="absmiddle" style="margin-right:4px;"><{$smarty.const._MA_TADCAL_GOOGLE_IMPORT}></a>\r\n        <{/if}>\r\n\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n    <tr>\r\n    <td colspan=10 class="bar">\r\n\r\n    <a href="main.php?op=tad_cal_cate_form" class="btn btn-mini btn-info"><img src="../images/date.png" title="<{$smarty.const._TAD_ADD_CAL}>" alt="<{$smarty.const._TAD_ADD_CAL}>" style="margin-right:4px;" align="absmiddle"><{$smarty.const._TAD_ADD_CAL}></a>\r\n\r\n    <a href="main.php?op=tad_cal_all_sync"  class="btn btn-mini btn-info"><img src="../images/sync.png" title="<{$smarty.const._MA_TADCAL_ALL_SYNC}>" alt="<{$smarty.const._MA_TADCAL_ALL_SYNC}>" style="margin-right:4px;" align="absmiddle"><{$smarty.const._MA_TADCAL_ALL_SYNC}></a>\r\n\r\n    <a href="main.php?op=tad_cal_add_gcal_form"  class="btn btn-mini btn-info"><img src="../images/google.png" title="<{$smarty.const._TAD_ADD_GOOGLE}>" alt="<{$smarty.const._TAD_ADD_GOOGLE}>" style="margin-right:4px;" align="absmiddle"><{$smarty.const._TAD_ADD_GOOGLE}></a>\r\n\r\n    <{$bar}>\r\n    </td></tr>\r\n    </tbody>\r\n    </table>\r\n  <{/if}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(398, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n<{if $op=="show_one_tad_cal_event"}>\r\n  <script>\r\n  function delete_tad_cal_event_func(sn){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)  return;\r\n    location.href="event.php?op=delete_tad_cal_event&sn=" + sn;\r\n  }\r\n  </script>\r\n\r\n  <h1><{$title}></h1>\r\n  <div class="row-fluid">\r\n    <div class="span6">\r\n    <img src=''images/date.png'' alt=''<{$smarty.const._MD_TADCAL_TIME}>''>\r\n    <{$date}>\r\n    </div>\r\n\r\n    <div class="span6">\r\n    <{$location_img}>\r\n    <{$location}>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="well">\r\n    <{$details}>\r\n  </div>\r\n  <div style=''text-align:right;font-size:12px;color:gray;''><{$cate_title}> / Posted by <{$uid_name}></div>\r\n\r\n  <{$fun}>\r\n\r\n  <div><{$push_url}></div>\r\n  <div><{$facebook_comments}></div>\r\n\r\n<{elseif $op=="list_tad_cal_event"}>\r\n\r\n  <script>\r\n  function delete_tad_cal_event_func(sn){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)  return;\r\n    location.href="event.php?op=delete_tad_cal_event&sn=" + sn;\r\n  }\r\n  </script>\r\n\r\n  <table class="table table-striped table-hover">\r\n  <tr>\r\n    <th><{$smarty.const._MD_TADCAL_START}></th>\r\n    <th><{$smarty.const._MD_TADCAL_TITLE}></th>\r\n    <th><{$smarty.const._MD_TADCAL_LOCATION}></th>\r\n    <th><{$smarty.const._MD_TADCAL_CATE_SN}></th>\r\n    <th><{$smarty.const._TAD_FUNCTION}></th>\r\n  </tr>\r\n  <tbody>\r\n  <{foreach from=$all_content item=cal}>\r\n    <tr>\r\n        <td style=''font-size:12px;font-family:arial;''><{$cal.date}></td>\r\n        <td><a href=''event.php?sn=<{$cal.sn}>''><{$cal.re}><{$cal.title}></a><div style=''color:gray;font-size:12px;''><{$cal.details}></div></td>\r\n        <td><{$cal.location}></td>\r\n        <td><{$cal.cate_title}></td>\r\n        <{$cal.fun}>\r\n    </tr>\r\n  <{/foreach}>\r\n  </tbody>\r\n  </table>\r\n  <a href=''event.php?op=tad_cal_event_form''  class=''btn btn-info''><{$smarty.const._TAD_ADD_EVENT}></a>\r\n  <{$bar}>\r\n\r\n\r\n<{else}>\r\n\r\n  <{if $mode!="ajax"}>\r\n    <h2><{$smarty.const._MD_TADCAL_EVENT_FORM}></h2>\r\n  <{/if}>\r\n\r\n\r\n  <{$formValidator_code}>\r\n  <script type="text/javascript">\r\n  $().ready(function() {\r\n    <{$show_week_repeat}>\r\n    <{$show_month_repeat}>\r\n    month_repeat_chk();\r\n\r\n    $("#freq_select").change(function(){\r\n      var freq_select_val=$("#freq_select").val();\r\n      if(freq_select_val=="DAILY"){\r\n        $("#week_repeat").hide();\r\n        $("#month_repeat").hide();\r\n        $("#interval_unit").text("<{$smarty.const._MD_TADCAL_D}>");\r\n      }else if(freq_select_val=="WEEKLY"){\r\n        $("#week_repeat").show();\r\n        $("#month_repeat").hide();\r\n        $("#interval_unit").text("<{$smarty.const._MD_TADCAL_W}>");\r\n      }else if(freq_select_val=="MONTHLY"){\r\n        $("#week_repeat").hide();\r\n        $("#month_repeat").show();\r\n        $("#interval_unit").text("<{$smarty.const._MD_TADCAL_M}>");\r\n        var theday=$("#start_allday").val();\r\n      }else if(freq_select_val=="YEARLY"){\r\n        $("#week_repeat").hide();\r\n        $("#month_repeat").hide();\r\n        $("#interval_unit").text("<{$smarty.const._MD_TADCAL_Y}>");\r\n      }\r\n    });\r\n\r\n\r\n    <{$show_repeat_box}>\r\n    $("#repeat_checkbox").change(function(){\r\n      if($("input#repeat_checkbox:checked").length){\r\n        $("#repeat_box").show();\r\n      }else{\r\n        $("#repeat_box").hide();\r\n      }\r\n    });\r\n\r\n    //切換全日事件時要處理的相關動作\r\n    var bymonthday_start=$("#start").val();\r\n    $("#bymonthday").text(bymonthday_start.substr(8,2));\r\n    <{$show_allday_date}>\r\n    $("#allday").change(function(){\r\n      if($("input#allday:checked").length){\r\n        var bymonthday_start=$("#start_allday").val();\r\n        $("#start_allday").val($("#start").val().substr(0,10));\r\n        $("#end_allday").val($("#end").val().substr(0,10));\r\n        $("#start_allday").show().attr("disabled",false);\r\n        $("#end_allday").show().attr("disabled",false);\r\n        $("#start").hide().attr("disabled","disabled");\r\n        $("#end").hide().attr("disabled","disabled");\r\n      }else{\r\n        var bymonthday_start=$("#start").val();\r\n        var start_time=$("#start").val().substr(10,6);\r\n        if(start_time=="")start_time=" 00:00";\r\n        var end_time=$("#end").val().substr(10,6);\r\n        if(end_time=="")end_time=" 00:00";\r\n        $("#start").val($("#start_allday").val().substr(0,10) + start_time);\r\n        $("#end").val($("#end_allday").val().substr(0,10)+end_time);\r\n        $("#start").show().attr("disabled",false);\r\n        $("#end").show().attr("disabled",false);\r\n        $("#start_allday").hide().attr("disabled","disabled");\r\n        $("#end_allday").hide().attr("disabled","disabled");\r\n      }\r\n      $("#bymonthday").text(bymonthday_start.substr(8,2));\r\n    });\r\n\r\n\r\n  });\r\n\r\n  //檢查結束日期\r\n  function check_end(){\r\n    var date_long=$("#long").val();\r\n    if($("input#allday:checked").length){\r\n      var chk_start=$("#start_allday").val();\r\n      $("#end_allday").val(date("Y-m-d",strtotime(chk_start)*1 + date_long*1));\r\n    }else{\r\n      var chk_start=$("#start").val();\r\n      $("#end").val(date("Y-m-d H:i",strtotime(chk_start)*1 + date_long*1));\r\n    }\r\n  }\r\n\r\n  //更新月重複選項\r\n  function month_repeat_chk(){\r\n    var theday=$("#start_allday").val();\r\n    $.post("get_w.php", { day: theday} , function(data) {\r\n       $("#get_w").text(data);\r\n    });\r\n    $("#bymonthday").text($("#start_allday").val().substr(8,2));\r\n  }\r\n\r\n  //更新結束日期\r\n  function update_long(){\r\n    if($("input#allday:checked").length){\r\n      var chk_start=$("#start_allday").val();\r\n      var chk_end=$("#end_allday").val();\r\n    }else{\r\n      var chk_start=$("#start").val();\r\n      var chk_end=$("#end").val();\r\n    }\r\n    $("#long").val(strtotime(chk_end)*1 - strtotime(chk_start)*1);\r\n  }\r\n  </script>\r\n  <script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n  <script type="text/javascript" src="class/date.js"></script>\r\n  <script type="text/javascript" src="class/strtotime.js"></script>\r\n  <form action="event.php" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n    <!--事件標題-->\r\n    <div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TADCAL_TITLE}></div>\r\n      <input type="text" name="title" value="<{$title}>" id="title" class="validate[required] span10">\r\n    </div>\r\n\r\n    <!--事件起始時間-->\r\n    <div class="controls controls-row">\r\n      <div class="span2"><{$smarty.const._MD_TADCAL_TIME}></div>\r\n\r\n      <!--開始時間-->\r\n      <input type="text" name="start" value="<{$start_allday}>" id="start_allday" class="validate[required] span2" onClick="WdatePicker({dateFmt:''yyyy-MM-dd'' , startDate:''%y-%M-%d''})" onChange="check_end();month_repeat_chk();">\r\n\r\n      <input type="text" name="start" value="<{$start}>" id="start" class="validate[required] span3" onClick="WdatePicker({dateFmt:''yyyy-MM-dd HH:mm'' , startDate:''%y-%M-%d %H:%m''})" onChange="$(''#bymonthday'').text($(''#start'').val().substr(8,2));check_end();">\r\n\r\n      <!--結束時間-->\r\n      <input type="text" name="end" value="<{$end_allday}>" id="end_allday" onClick="WdatePicker({dateFmt:''yyyy-MM-dd'' , startDate:''%y-%M-%d''})" onChange="update_long();" class="span2">\r\n\r\n      <input type="text" name="end" value="<{$end}>" id="end" onClick="WdatePicker({dateFmt:''yyyy-MM-dd HH:mm'' , startDate:''%y-%M-%d %H:%m''})" onChange="update_long();" class="span3">\r\n\r\n      <div class="span4">\r\n        <!--全日事件-->\r\n        <label class="checkbox inline">\r\n          <input type="checkbox" name="allday" id="allday" value="1" <{$chk_allday_1}>>\r\n          <{$smarty.const._MD_TADCAL_ALLDAY}>\r\n        </label>\r\n\r\n        <!--重複事件選項-->\r\n        <label class="checkbox inline">\r\n          <input type="checkbox" name="repeat" id="repeat_checkbox" value="1" <{$repeat_1}>>\r\n          <{$smarty.const._MD_TADCAL_RECURRENCE}>\r\n        </label>\r\n      </div>\r\n    </div>\r\n\r\n\r\n    <!--重複事件設定框-->\r\n    <div class="well"id="repeat_box">\r\n      <div  class="row-fluid">\r\n        <div class="span7">\r\n          <div class="controls controls-row">\r\n            <div class="span3"><{$smarty.const._MD_TADCAL_REPEAT}><{$smarty.const._TAD_FOR}></div>\r\n            <select name="FREQ" id="freq_select" class="span8">\r\n              <option value="DAILY" <{$chk_DAILY}>><{$smarty.const._MD_TADCAL_REPEAT_DAILY}></option>\r\n              <option value="WEEKLY" <{$chk_WEEKLY}>><{$smarty.const._MD_TADCAL_REPEAT_WEEKLY}></option>\r\n              <option value="MONTHLY" <{$chk_MONTHLY}>><{$smarty.const._MD_TADCAL_REPEAT_MONTHLY}></option>\r\n              <option value="YEARLY" <{$chk_YEARLY}>><{$smarty.const._MD_TADCAL_REPEAT_YEARLY}></option>\r\n            </select>\r\n          </div>\r\n\r\n          <div class="controls controls-row">\r\n\r\n            <div class="span3"><{$smarty.const._MD_TADCAL_INTERVAL}><{$smarty.const._TAD_FOR}></div>\r\n            <select name="INTERVAL" class="span7">\r\n              <{$INTERVAL_OPT}>\r\n            </select>\r\n            <span id="interval_unit" class="span1"><{$repeat_unit}></span>\r\n          </div>\r\n\r\n          <div id="week_repeat" class="controls controls-row">\r\n            <div class="span3"><{$smarty.const._MD_TADCAL_WEEK_REPEAT}><{$smarty.const._TAD_FOR}></div>\r\n            <div class="span9"><{$week_repeat_col}></div>\r\n          </div>\r\n\r\n          <div id="month_repeat" class="controls controls-row">\r\n            <div class="span3"><{$smarty.const._MD_TADCAL_MONTH_REPEAT}><{$smarty.const._TAD_FOR}></div>\r\n            <div class="span9">\r\n              <label class="radio inline">\r\n                <input type="radio" name="month_repeat" value="BYMONTHDAY" id="BYMONTHDAY" <{$RRULE_BYDAY}>><{$bymonthday}>\r\n              </label>\r\n              <label class="radio inline">\r\n                <input type="radio" name="month_repeat" value="BYDAY" id="BYDAY"><span id="get_w"></span>\r\n              </label>\r\n            </div>\r\n\r\n          </div>\r\n\r\n        </div>\r\n\r\n        <div class="span5">\r\n\r\n          <div class="controls controls-row">\r\n\r\n            <div class="span12">\r\n              <label class="radio inline">\r\n                <input type="radio" name="END" id="none" value="none" <{$ENDType_none}>><{$smarty.const._MD_TADCAL_NEVER_END}>\r\n              </label>\r\n            </div>\r\n          </div>\r\n\r\n          <div class="controls controls-row">\r\n\r\n            <div class="span3">\r\n              <label class="radio inline">\r\n                <input type="radio" name="END" id="count" value="count" <{$ENDType_count}>><{$smarty.const._MD_TADCAL_END_COUNT1}>\r\n              </label>\r\n            </div>\r\n\r\n            <input type="text" name="COUNT" class="span2" value="<{$RRULE_COUNT}>" onChange="$(''#count'').attr(''checked'',''checked''); if(this.value=="")this.value=10;">\r\n            <div class="span7">\r\n              <label class="radio inline"><{$smarty.const._MD_TADCAL_END_COUNT2}></label>\r\n            </div>\r\n\r\n          </div>\r\n\r\n          <div class="controls controls-row">\r\n\r\n            <div class="span3">\r\n              <label class="radio inline">\r\n                <input type="radio" name="END" id="until" value="until" <{$ENDType_until}>><{$smarty.const._MD_TADCAL_END_UNTIL1}>\r\n              </label>\r\n            </div>\r\n\r\n\r\n            <input type="text" name="UNTIL" class="span5"  value="<{$UNTIL}>" onClick="$(''#until'').attr(''checked'' , ''checked'');WdatePicker({dateFmt:''yyyy-MM-dd'' , startDate:''%y-%M-%d''})">\r\n            <div class="span4">\r\n              <label class="radio inline"><{$smarty.const._MD_TADCAL_END_UNTIL2}></label>\r\n            </div>\r\n\r\n          </div>\r\n\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <!--所屬行事曆-->\r\n      <div class="span2"><{$of_cate_title}></div>\r\n      <{$cate_col}>\r\n\r\n      <!--事件地點-->\r\n      <div class="span2"><{$smarty.const._MD_TADCAL_LOCATION}></div>\r\n      <input type="text" name="location" class="span4" value="<{$location}>" id="location" >\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <!--事件內容-->\r\n      <div class="span2"><{$smarty.const._MD_TADCAL_DETAILS}></div>\r\n      <textarea name="details" class="span10" rows=4 id="details"><{$details}></textarea>\r\n\r\n    </div>\r\n\r\n    <input type="hidden" id="long" value="<{$long}>">\r\n    <!--事件etag-->\r\n    <input type="hidden" name="etag" value="<{$etag}>">\r\n\r\n    <!--事件id-->\r\n    <input type="hidden" name="id" value="<{$id}>">\r\n\r\n    <!--事件編號-->\r\n    <input type="hidden" name="sn" value="<{$sn}>">\r\n\r\n    <!--事件排序-->\r\n    <input type="hidden" name="sequence" size="2" value="<{$sequence}>" id="sequence">\r\n    <input type="hidden" name="op" value="<{$next_op}>">\r\n\r\n    <div style="text-align:center;">\r\n      <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n    </div>\r\n  </form>\r\n\r\n\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(397, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n\r\n\r\n<link rel="stylesheet" type="text/css" href="module.css" />\r\n<link rel="stylesheet" type="text/css" href="class/fullcalendar/redmond/theme.css" />\r\n<link rel="stylesheet" type="text/css" href="class/fullcalendar/fullcalendar.css">\r\n<style type="text/css">\r\n<{$style_css}>\r\n</style>\r\n<script src="class/jquery-impromptu.3.2.min.js" type="text/javascript"></script>\r\n<script src="class/fullcalendar/fullcalendar.js" type="text/javascript"></script>\r\n<link rel="stylesheet" type="text/css" href="class/qtip/jquery.qtip.min.css" />\r\n<script src="class/qtip/jquery.qtip.min.js" type="text/javascript"></script>\r\n<script type="text/javascript" src="<{$xoops_url}>/modules/tadtools/My97DatePicker/WdatePicker.js"></script>\r\n\r\n<script type="text/javascript">\r\n$(document).ready(function(){\r\n\r\n  var calendar = $("#calendar").fullCalendar({\r\n    theme: true,\r\n    buttonText:{today:"<{$smarty.const._MD_TADCAL_TODAY}>"},\r\n    header: {\r\n      left: "prev,today,next",\r\n      center: "",\r\n      right: "title"\r\n    },\r\n    <{$eventAdd}>\r\n    <{$eventDrop}>\r\n    events: function(start, end, callback) {\r\n      $.getJSON("get_event.php",\r\n      {\r\n        start: start.getTime(),\r\n        end: end.getTime(),\r\n        cate_sn: <{$cate_sn}>\r\n      },\r\n      function(result) {\r\n        callback(result);\r\n      });\r\n    },\r\n      <{$eventShowMode}>: function(event) {\r\n        if (event.rel) {\r\n          $(this).qtip({\r\n           content: {\r\n            // 設定載入中圖片\r\n            text: "<img class=''throbber'' src=''images/loading.gif'' alt=''Loading...'' />",\r\n            ajax: {\r\n              url: event.rel //載入指定之連結\r\n            },\r\n            title: {\r\n             text: event.title, //給予標題文字\r\n             button: true\r\n            }\r\n           },\r\n           position: {\r\n              at: "top center", // 提示位置\r\n              my: "bottom center",\r\n              viewport: $(window), //確保提示在畫面上\r\n              effect: false, // 取消動畫\r\n              adjust: {\r\n               target: $(document),\r\n               resize: true // Can be ommited (e.g. default behaviour)\r\n              }\r\n           },\r\n           show: {\r\n            event: "false",\r\n            ready: true, // ... but show the tooltip when ready\r\n            solo: true // 一次只秀出一個提示\r\n           },\r\n           hide: "unfocus",\r\n           style: {\r\n            classes: "<{$eventTheme}> ui-tooltip-shadow ui-tooltip-rounded"\r\n           }\r\n        })\r\n        return false;\r\n      }\r\n    }\r\n  });\r\n});\r\n\r\n\r\nfunction delete_tad_cal_event_func(sn){\r\n  var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  if (!sure)	return;\r\n  location.href="index.php?op=delete_tad_cal_event&sn=" + sn;\r\n}\r\n</script>\r\n\r\n<div id="calendar" style="margin-top:20px;"></div>\r\n<div style="margin:10px auto;width:auto;"><{$style_mark}></div>\r\n\r\n<{$my_counter}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(362, '<{$block.jquery_path}>\r\n\r\n<link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tad_cal/class/fullcalendar/fullcalendar.block.css">\r\n<link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tad_cal/class/fullcalendar/redmond/block.css" />\r\n<script src="<{$xoops_url}>/modules/tad_cal/class/fullcalendar/fullcalendar.js" type="text/javascript"></script>\r\n\r\n<style type="text/css">\r\n#block_calendar *{\r\n font-size:10px;\r\n line-height:120%;\r\n}\r\n\r\n.blockevent,\r\n.fc-agenda .blockevent .fc-event-time,\r\n.blockevent a {\r\n    text-align:center;\r\n    font-weight:bold;\r\n    background-color:#6699CC; /* background color */\r\n    color: white;           /* text color */\r\n}\r\n</style>\r\n\r\n<link rel="stylesheet" type="text/css" href="<{$xoops_url}>/modules/tad_cal/class/qtip/jquery.qtip.min.css" />\r\n<script src="<{$xoops_url}>/modules/tad_cal/class/qtip/jquery.qtip.min.js" type="text/javascript"></script>\r\n<script type="text/javascript">\r\n$(document).ready(function(){\r\n  $("#block_calendar").fullCalendar({\r\n    theme: true,\r\n    buttonText:{today:"<{$smarty.const._MB_TADCAL_TODAY}>"},\r\n    header: {\r\n      left: "prev,today,next",\r\n      center: "",\r\n      right: "title"\r\n    },\r\n    events: function(start, end, callback) {\r\n      $.getJSON("<{$xoops_url}>/modules/tad_cal/get_block_event.php",\r\n      {\r\n        start: start.getTime(),\r\n        end: end.getTime()\r\n      },\r\n      function(result) {\r\n        callback(result);\r\n      });\r\n    },\r\n    eventClick: function(event) {\r\n        var event_month= event.start.getMonth()*1 + 1;\r\n        $(this).qtip({\r\n         content: {\r\n          text: "<img class="throbber" src="<{$xoops_url}>/modules/tad_cal/images/loading.gif" alt="Loading..." />",\r\n          ajax: {\r\n            url: "<{$xoops_url}>/modules/tad_cal/get_block_event.php?op=title&start=" + event.start.getTime()\r\n          },\r\n          title: {\r\n           text: "" + event.start.getFullYear() + "-" + event_month +"-" + event.start.getDate(),\r\n           button: true\r\n          }\r\n         },\r\n         position: {\r\n            at: "top center", // 提示位置\r\n            my: "bottom center",\r\n            viewport: $(window), //確保提示在畫面上\r\n            effect: false, // 取消動畫\r\n            adjust: {\r\n             target: $(document),\r\n             resize: true // Can be ommited (e.g. default behaviour)\r\n            }\r\n         },\r\n         show: {\r\n          event: "false",\r\n          ready: true, // ... but show the tooltip when ready\r\n          solo: true // 一次只秀出一個提示\r\n         },\r\n         hide: "unfocus",\r\n         style: {\r\n          classes: "ui-tooltip-blue ui-tooltip-shadow ui-tooltip-rounded"\r\n         }\r\n      })\r\n      return false;\r\n\r\n    }\r\n  });\r\n});\r\n</script>\r\n\r\n<div id="block_calendar"></div>\r\n<div style="text-align:right;">\r\n  <a href="<{$xoops_url}>/modules/tad_cal" class="label"><{$smarty.const._MB_TADCAL_TO_INDEX}></a>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(363, '<ul style="margin:0px;padding:0px;">\r\n<{foreach from=$block item=cal}>\r\n  <dt><{$cal.start}></dt>\r\n  <{foreach from=$cal.event item=event}>\r\n    <li>\r\n      <a href="<{$xoops_url}>/modules/tad_cal/event.php?sn=<{$event.sn}>">\r\n        <{$event.title}>\r\n      </a>\r\n    </li>\r\n  <{/foreach}>\r\n<{/foreach}>\r\n</ul>\r\n\r\n<div style="text-align:right;">\r\n  <a href="<{$xoops_url}>/modules/tad_cal" class="label"><{$smarty.const._MB_TADCAL_TO_INDEX}></a>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(364, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="module.css" />\r\n\r\n\r\n<{if $now_op=="tad_book3_form"}>\r\n  <div class="row-fluid">\r\n    <h2><{$smarty.const._MD_INPUT_BOOK_FORM}></h2>\r\n    <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n    <div class="controls controls-row">\r\n      <label class="span2 text-right"><{$smarty.const._MD_TADBOOK3_TBCSN_MENU}></label>\r\n      <select name="tbcsn" size=1 class="span3">\r\n        <{$cate_select}>\r\n      </select>\r\n      <input type="text" name="new_tbcsn" class="span2" placeholder="<{$smarty.const._MD_TADBOOK3_NEW_PCSN}>">\r\n\r\n\r\n      <label class="span1 text-right"><{$smarty.const._MD_TADBOOK3_ENABLE}></label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="enable" id="enable1" value="1" <{if $enable=="1"}>checked<{/if}>><{$smarty.const._MD_TADBOOK3_ENABLE}>\r\n      </label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="enable" id="enable0" value="0" <{if $enable=="0"}>checked<{/if}>><{$smarty.const._MD_TADBOOK3_UNABLE}>\r\n      </label>\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <label class="span2 text-right"><{$smarty.const._MD_TADBOOK3_TITLE}></label>\r\n      <input type="text" name="title" value="<{$title}>" class="span5" placeholder="<{$smarty.const._MD_TADBOOK3_TITLE}>">\r\n\r\n      <label class="span1 text-right"><{$smarty.const._MD_TADBOOK3_PIC_NAME}></label>\r\n      <input type="file" name="pic_name" class="span3" placeholder="<{$smarty.const._MD_TADBOOK3_PIC_NAME}>">\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <{$editor}>\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <div class="span4">\r\n        <label><{$smarty.const._MD_TADBOOK3_AUTHOR}></label>\r\n        <{$user_menu}>\r\n      </div>\r\n      <div class="span4">\r\n        <label><{$smarty.const._MD_TADBOOK3_READ_GROUP}></label>\r\n        <{$group_menu}>\r\n      </div>\r\n      <div class="span4">\r\n\r\n        <div>\r\n          <label class="span3"><{$smarty.const._MD_TADBOOK3_PASSWD}></label>\r\n          <input type="text" name="passwd" class="span8" value="<{$passwd}>">\r\n        </div>\r\n\r\n        <div class="text-center">\r\n          <input type="hidden" name="sort"  value="<{$sort}>">\r\n          <input type="hidden" name="tbsn" value="<{$tbsn}>">\r\n          <input type="hidden" name="op" value="<{$op}>">\r\n          <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n\r\n\r\n    </form>\r\n  </div>\r\n<{elseif $now_op=="list_docs"}>\r\n  <{if $my}>\r\n  <script>\r\n    function delete_tad_book3_docs_func(tbdsn){\r\n      var sure = window.confirm(''<{$smarty.const._TAD_DEL_CONFIRM}>'');\r\n      if (!sure)	return;\r\n      location.href="admin/main.php?op=delete_tad_book3_docs&tbdsn=" + tbdsn;\r\n    }\r\n  </script>\r\n  <{/if}>\r\n\r\n  <div class="row-fluid">\r\n    <div class="span3 text-center"><{$book}></div>\r\n    <div class="span9">\r\n      <h3>\r\n        <span class="label label-success"><{$cate}></span>\r\n        <a href="admin/main.php?op=list_docs&tbsn=<{$tbsn}>"><{$title}></a>\r\n      </h3>\r\n      <div style="font-size:11px;"><{$smarty.const._MD_TADBOOK3_CREATE_DATE}> <{$create_date}></div>\r\n\r\n      <{if $description}><div class="well"><{$description}></div><{/if}>\r\n      <{if $my}>\r\n        <div class="text-right">\r\n          <a href="admin/main.php?op=tad_book3_form&tbsn=<{$tbsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n          <a href="javascript:delete_tad_book3_func(<{$tbsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n          <a href="<{$xoops_url}>/modules/tad_book3/post.php?tbsn=<{$tbsn}>&op=tad_book3_docs_form" class="btn btn-mini btn-primary"><{$smarty.const._MD_TADBOOK3_ADD_DOC}></a>\r\n        </div>\r\n      <{/if}>\r\n    </div>\r\n  </div>\r\n\r\n\r\n  <div class="row-fluid">\r\n    <div class="span6" style="text-align:left;vertical-align:bottom;">\r\n      <!--a href="http://pdfmyurl.com/?url=<{$xoops_url}>/modules/tad_book3/pdf.php?tbdsn=<{$tbsn}>&-O=Portrait&-s=A4&-D=<{$smarty.const._CHARSET}>&--filename=BOOK<{$tbsn}>.pdf"><img src="images/pdf.png"></a>\r\n      <a href="<{$xoops_url}>/modules/tad_book3/tcpdf.php?tbdsn=<{$tbsn}>&filename=BOOK<{$tbsn}>.pdf"><img src="images/tcpdf.png"></a-->\r\n\r\n      <a href="<{$xoops_url}>/modules/tad_book3/epub.php?tbsn=<{$tbsn}>"><img src="images/epub.png"></a>\r\n    </div>\r\n    <div class="span6" style="text-align:right;vertical-align:bottom;">\r\n      <{$push_url}>\r\n    </div>\r\n  </div>\r\n\r\n\r\n  <div class="well">\r\n    <{foreach from=$docs item=doc}>\r\n      <div class="row-fluid">\r\n        <div class="<{if $my}>span6<{else}>span8<{/if}>">\r\n          <span class="doc_sort_<{$doc.doc_sort_level}>">\r\n            <{$doc.doc_sort_main}>\r\n          </span>\r\n          <a href="<{$xoops_url}>/modules/tad_book3/page.php?tbdsn=<{$doc.tbdsn}>"><{$doc.title}></a>\r\n        </div>\r\n        <div class="span4 text-right" style="font-size:10px;color:gray;">\r\n          <{$doc.last_modify_date}>\r\n\r\n          <i class="icon-user"></i> <{$doc.count}>\r\n        </div>\r\n\r\n        <{if $my}>\r\n          <div class="span2">\r\n            <a href="javascript:delete_tad_book3_docs_func(<{$doc.tbdsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n            <a href="<{$xoops_url}>/modules/tad_book3/post.php?op=tad_book3_docs_form&tbdsn=<{$doc.tbdsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n          </div>\r\n        <{/if}>\r\n\r\n      </div>\r\n    <{/foreach}>\r\n  </div>\r\n\r\n<{else}>\r\n\r\n  <{$jquery}>\r\n\r\n  <div id="save_msg"></div>\r\n\r\n  <script language="JavaScript">\r\n  $().ready(function(){\r\n    $("#books_sort").sortable({\r\n      opacity: 0.6,\r\n      cursor: "move",\r\n      update: function() {\r\n        var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n        $.post("save_book_sort.php", order, function(theResponse){\r\n          $("#save_msg").html(theResponse);\r\n        });\r\n      }\r\n    });\r\n  });\r\n  </script>\r\n\r\n  <script>\r\n  function delete_tad_book3_func(tbsn){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)	return;\r\n    location.href="admin/main.php?op=delete_tad_book3&tbsn=" + tbsn;\r\n  }\r\n  </script>\r\n\r\n  <{foreach from=$cate item=cate}>\r\n    <h1 style="color:#A0A0A0;margin-top:20px;font-size:24px;"><{$cate.cate_title}></h1>\r\n    <div style=''margin-left:20px;'' id=''books_sort''>\r\n\r\n    <{foreach from=$cate.books item=book}>\r\n      <{$book.book}>\r\n    <{/foreach}>\r\n    </div><div style=''clear:both;''></div>\r\n  <{/foreach}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(365, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n<link rel="stylesheet" type="text/css" media="screen" href="reset.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="module.css" />\r\n\r\n\r\n<{$syntaxhighlighter_code}>\r\n\r\n<table cellspacing="0" cellpadding="4" style="width:100%;">\r\n  <tr>\r\n  <td style="width:33%;" background="images/relink_bg.gif"><{$p}></td>\r\n	<td background="images/relink_bg.gif" style="text-align:center;"><select onChange="window.location.href=''page.php?tbdsn=''+this.value"><{$doc_select}></select></td>\r\n	<td background="images/relink_bg.gif" style="width:33%;text-align:right;"><{$n}></td>\r\n  </tr>\r\n\r\n  <tr>\r\n    <td colspan=3>\r\n      <div class="page">\r\n        <div class="page_title"><a href="index.php?op=list_docs&tbsn=<{$tbsn}>"><{$book_title}></a></div>\r\n        <div class="page_content">\r\n        <h<{$doc_sort_level}>><{$doc_sort_main}> <{$title}></h<{$doc_sort_level}>>\r\n        <{$content}>\r\n        </div>\r\n      </div>\r\n    </td>\r\n  </tr>\r\n\r\n  <tr>\r\n  <td style="width:33%;" background="images/relink_bg.gif"><{$p}></td>\r\n	<td background="images/relink_bg.gif" style="text-align:center;"><select onChange="window.location.href=''page.php?tbdsn=''+this.value"><{$doc_select}></select></td>\r\n	<td background="images/relink_bg.gif" style="width:33%;text-align:right;"><{$n}></td>\r\n  </tr>\r\n</table>\r\n\r\n<div class="row-fluid">\r\n  <div class="span6" style="text-align:left;vertical-align:bottom;">\r\n    <a href="http://pdfmyurl.com/?url=<{$xoops_url}>/modules/tad_book3/pdf.php?tbdsn=<{$tbsn}>&-O=Portrait&-s=A4&-D=<{$smarty.const._CHARSET}>&--filename=BOOK<{$tbsn}>-<{$doc_sort_main}>.pdf"><img src="images/pdf.png"></a>\r\n    <a href="<{$xoops_url}>/modules/tad_book3/tcpdf.php?tbdsn=<{$tbsn}>&filename=BOOK<{$tbsn}>-<{$doc_sort_main}>.pdf"><img src="images/tcpdf.png"></a>\r\n  </div>\r\n  <div class="span6" style="text-align:right;vertical-align:bottom;">\r\n    <{$push_url}>\r\n  </div>\r\n</div>\r\n<{$facebook_comments}>\r\n\r\n\r\n<p style="clear: both">\r\n<div style="text-align: center; padding: 3px; margin: 3px;">\r\n  <{$commentsnav}>\r\n  <{$lang_notice}>\r\n</div>\r\n\r\n<div style="margin: 3px; padding: 3px;">\r\n<!-- start comments loop -->\r\n<{if $comment_mode == "flat"}>\r\n  <{include file="db:system_comments_flat.html"}>\r\n<{elseif $comment_mode == "thread"}>\r\n  <{include file="db:system_comments_thread.html"}>\r\n<{elseif $comment_mode == "nest"}>\r\n  <{include file="db:system_comments_nest.html"}>\r\n<{/if}>\r\n<!-- end comments loop -->\r\n</div>\r\n</p>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(366, '<{$bootstrap}>\r\n<{$jquery}>\r\n<{$toolbar}>\r\n<{$syntaxhighlighter_code}>\r\n\r\n<h2><{$smarty.const._MD_INPUT_DOC_FORM}></h2>\r\n\r\n<form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n  <div class="controls controls-row">\r\n    <label class="span1 text-right"><{$smarty.const._MD_TADBOOK3_TITLE}></label>\r\n    <select name="tbsn" class="span6"><{$book_select}></select>\r\n\r\n    <label class="span1 text-right"><{$smarty.const._MD_TADBOOK3_ENABLE}></label>\r\n    <label class="radio inline">\r\n      <input type="radio" name="enable" id="enable1" value="1" <{if $enable=="1"}>checked<{/if}>><{$smarty.const._MD_TADBOOK3_ENABLE}>\r\n    </label>\r\n    <label class="radio inline">\r\n      <input type="radio" name="enable" id="enable0" value="0" <{if $enable=="0"}>checked<{/if}>><{$smarty.const._MD_TADBOOK3_UNABLE}>\r\n    </label>\r\n\r\n\r\n  </div>\r\n\r\n\r\n  <div class="controls controls-row">\r\n    <label class="span1 text-right"><{$smarty.const._MD_TADBOOK3_DOC_TITLE}></label>\r\n    <input type="text" name="title" value="<{$title}>" class="span6" placeholder="<{$smarty.const._MD_TADBOOK3_DOC_TITLE}>">\r\n    <label class="span1 text-right"><{$smarty.const._MD_TADBOOK3_CATEGORY}></label>\r\n\r\n    <select name="category" size=1 class="span1"><{$category_menu_category}></select>\r\n    <select name="page" size=1 class="span1"><{$category_menu_page}></select>\r\n    <select name="paragraph" size=1 class="span1"><{$category_menu_paragraph}></select>\r\n    <select name="sort" size=1 class="span1"><{$category_menu_sort}></select>\r\n  </div>\r\n\r\n\r\n  <div class="controls controls-row">\r\n    <{$editor}>\r\n  </div>\r\n\r\n  <div style="text-align:center">\r\n    <input type="hidden" name="tbdsn" value="<{$tbdsn}>">\r\n    <input type="hidden" name="op" value="<{$op}>">\r\n    <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n  </div>\r\n\r\n\r\n</form>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(367, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="../module.css" />\r\n\r\n<{if $now_op=="tad_book3_form"}>\r\n  <div class="row-fluid">\r\n    <h2><{$smarty.const._MA_INPUT_BOOK_FORM}></h2>\r\n    <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n    <div class="controls controls-row">\r\n      <label class="span2 text-right"><{$smarty.const._MA_TADBOOK3_TBCSN_MENU}></label>\r\n      <select name="tbcsn" size=1 class="span3">\r\n        <{$cate_select}>\r\n      </select>\r\n      <input type="text" name="new_tbcsn" class="span2" placeholder="<{$smarty.const._MA_TADBOOK3_NEW_PCSN}>">\r\n\r\n\r\n      <label class="span1 text-right"><{$smarty.const._MA_TADBOOK3_ENABLE}></label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="enable" id="enable1" value="1" <{if $enable=="1"}>checked<{/if}>><{$smarty.const._MD_TADBOOK3_ENABLE}>\r\n      </label>\r\n      <label class="radio inline">\r\n        <input type="radio" name="enable" id="enable0" value="0" <{if $enable=="0"}>checked<{/if}>><{$smarty.const._MD_TADBOOK3_UNABLE}>\r\n      </label>\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <label class="span2 text-right"><{$smarty.const._MA_TADBOOK3_TITLE}></label>\r\n      <input type="text" name="title" value="<{$title}>" class="span5" placeholder="<{$smarty.const._MA_TADBOOK3_TITLE}>">\r\n\r\n      <label class="span1 text-right"><{$smarty.const._MA_TADBOOK3_PIC_NAME}></label>\r\n      <input type="file" name="pic_name" class="span3" placeholder="<{$smarty.const._MA_TADBOOK3_PIC_NAME}>">\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <{$editor}>\r\n    </div>\r\n\r\n    <div class="controls controls-row">\r\n      <div class="span4">\r\n        <label><{$smarty.const._MA_TADBOOK3_AUTHOR}></label>\r\n        <{$user_menu}>\r\n      </div>\r\n      <div class="span4">\r\n        <label><{$smarty.const._MA_TADBOOK3_READ_GROUP}></label>\r\n        <{$group_menu}>\r\n      </div>\r\n      <div class="span4">\r\n\r\n        <div>\r\n          <label class="span3"><{$smarty.const._MA_TADBOOK3_PASSWD}></label>\r\n          <input type="text" name="passwd" class="span8" value="<{$passwd}>">\r\n        </div>\r\n\r\n        <div class="text-center">\r\n          <input type="hidden" name="sort"  value="<{$sort}>">\r\n          <input type="hidden" name="tbsn" value="<{$tbsn}>">\r\n          <input type="hidden" name="op" value="<{$op}>">\r\n          <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n        </div>\r\n      </div>\r\n    </div>\r\n\r\n\r\n\r\n    </form>\r\n  </div>\r\n<{elseif $now_op=="list_docs"}>\r\n  <script>\r\n    function delete_tad_book3_docs_func(tbdsn){\r\n      var sure = window.confirm(''<{$smarty.const._TAD_DEL_CONFIRM}>'');\r\n      if (!sure)	return;\r\n      location.href="main.php?op=delete_tad_book3_docs&tbdsn=" + tbdsn;\r\n    }\r\n  </script>\r\n\r\n\r\n\r\n  <div class="row-fluid">\r\n    <div class="span2 text-center"><{$book}></div>\r\n    <div class="span7">\r\n      <h3>\r\n        <span class="label label-success"><{$cate}></span>\r\n        <a href="main.php?op=list_docs&tbsn=<{$tbsn}>"><{$title}></a>\r\n      </h3>\r\n      <div style="font-size:12px;"><{$smarty.const._MA_TADBOOK3_CREATE_DATE}> <{$create_date}></div>\r\n      <div class="well"><{$description}></div>\r\n      <div class="text-right">\r\n        <a href="main.php?op=tad_book3_form&tbsn=<{$tbsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        <a href="javascript:delete_tad_book3_func(<{$tbsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n        <a href="../post.php?tbsn=<{$tbsn}>&op=tad_book3_docs_form" class="btn btn-mini btn-primary"><{$smarty.const._MA_TADBOOK3_ADD_DOC}></a>\r\n      </div>\r\n    </div>\r\n    <div class="span3">\r\n      <table class="table table-striped table-bordered table-condensed" style="font-size:12px;">\r\n      <tr><th><{$smarty.const._MA_TADBOOK3_SORT}></th><td><{$sort}></td></tr>\r\n      <tr><th><{$smarty.const._MA_TADBOOK3_READ_GROUP}></th><td><{$read_group}></td></tr>\r\n      <tr><th><{$smarty.const._MA_TADBOOK3_AUTHOR}></th><td><{$author}></td></tr>\r\n      <tr><th><{$smarty.const._MA_TADBOOK3_PASSWD}></th><td><{$passwd}></td></tr>\r\n      <tr><th><{$smarty.const._MA_TADBOOK3_ENABLE}></th><td><{$enable_txt}></td></tr>\r\n      <tr><th><{$smarty.const._MA_TADBOOK3_COUNTER}></th><td><{$counter}></td></tr>\r\n      </table>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="well">\r\n    <{foreach from=$docs item=doc}>\r\n      <div class="row-fluid">\r\n        <div class="span6">\r\n          <span class="doc_sort_<{$doc.doc_sort_level}>">\r\n            <{$doc.doc_sort_main}>\r\n          </span>\r\n          <a href="../page.php?tbdsn=<{$doc.tbdsn}>"><{$doc.title}></a>\r\n        </div>\r\n        <div class="span2">\r\n        (<{$doc.last_modify_date}>)\r\n        </div>\r\n\r\n        <div class="span2">\r\n          <{$smarty.const._MA_TADBOOK3_COUNT}>\r\n          <{$doc.count}>\r\n        </div>\r\n\r\n        <div class="span2">\r\n          <a href="javascript:delete_tad_book3_docs_func(<{$doc.tbdsn}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n          <a href="../post.php?op=tad_book3_docs_form&tbdsn=<{$doc.tbdsn}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        </div>\r\n      </div>\r\n    <{/foreach}>\r\n  </div>\r\n\r\n<{else}>\r\n\r\n  <{$jquery}>\r\n\r\n  <div id="save_msg"></div>\r\n\r\n  <script language="JavaScript">\r\n  $().ready(function(){\r\n    $("#books_sort").sortable({\r\n      opacity: 0.6,\r\n      cursor: "move",\r\n      update: function() {\r\n        var order = $(this).sortable("serialize") + "&action=updateRecordsListings";\r\n        $.post("save_book_sort.php", order, function(theResponse){\r\n          $("#save_msg").html(theResponse);\r\n        });\r\n      }\r\n    });\r\n  });\r\n  </script>\r\n\r\n  <script>\r\n  function delete_tad_book3_func(tbsn){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)	return;\r\n    location.href="main.php?op=delete_tad_book3&tbsn=" + tbsn;\r\n  }\r\n  </script>\r\n\r\n  <{foreach from=$cate item=cate}>\r\n    <h1 style="color:#A0A0A0;margin-top:20px;font-size:24px;"><{$cate.cate_title}></h1>\r\n    <div style=''margin-left:20px;'' id=''books_sort''>\r\n\r\n    <{foreach from=$cate.books item=book}>\r\n      <{$book.book}>\r\n    <{/foreach}>\r\n    </div><div style=''clear:both;''></div>\r\n  <{/foreach}>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(368, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(369, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(370, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(371, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(372, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(373, '<{$block}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(378, '<{if $block.link}>\r\n  <link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/iconize.css" />\r\n  <table class="table table-striped table-bordered">\r\n    <{foreach item=link from=$block.link}>\r\n    <tr><td>\r\n      <a href="<{$xoops_url}>/modules/tad_uploader/index.php?op=dlfile&cfsn=<{$link.cfsn}>&cat_sn=<{$link.cat_sn}>&n=<{$link.cf_name}>" class="iconize" target="_blank"><{$link.title}></a>\r\n    </td></tr>\r\n    <{/foreach}>\r\n  </table>\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(387, '<{foreach item=rss_data from=$block.rss_data}>\r\n  <div>\r\n    <div><a href="<{$rss_data.link}>" rel="external" style="font-weight:bold;"><{$rss_data.title}></a></div>\r\n    <ul>\r\n    	<{foreach item=rss from=$rss_data.content}>\r\n        <li><a href="<{$rss.link}>" rel="external">[<{$rss.date}>] <{$rss.title}></a></li>\r\n      <{/foreach}>\r\n    </ul>\r\n  </div>\r\n<{/foreach}>\r\n<a href="<{$xoops_url}>/modules/tad_rss">[more...]</a>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(394, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{$main}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(432, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n<!--顯示表單-->\r\n\r\n\r\n<{if $now_op=="tad_discuss_cbox_setup_form"}>\r\n  <{$formValidator_code}>\r\n  <h3><{$smarty.const._MA_TADDISCUS_RULE_SETUP}></h3>\r\n  <form action="<{$action}>" method="post" id="myForm" enctype="multipart/form-data">\r\n\r\n    <!--註記-->\r\n    <div class="row-fluid">\r\n      <label class="span3 text-right">\r\n        <{$smarty.const._MA_TADDISCUS_SETUPNAME}>\r\n      </label>\r\n      <div class="span3">\r\n        <input type="text" name="setupName" id="setupName" class="span12 validate[required]" value="<{$setupName}>" placeholder="<{$smarty.const._MA_TADDISCUS_SETUPNAME}>">\r\n      </div>\r\n    </div>\r\n\r\n    <!--偵測字串-->\r\n    <div class="row-fluid">\r\n      <label class="span3 text-right">\r\n        <{$smarty.const._MA_TADDISCUS_SETUPRULE}>\r\n      </label>\r\n      <div class="span5">\r\n        <input type="text" name="setupRule" id="setupRule" class="span12 validate[]" value="<{$setupRule}>" placeholder="<{$smarty.const._MA_TADDISCUS_SETUPRULE}>">\r\n      </div>\r\n    </div>\r\n\r\n    <div class="row-fluid">\r\n      <label class="span3 text-right">\r\n        <{$smarty.const._MA_TADDISCUS_TO_BOARDID}>\r\n      </label>\r\n      <div class="span2">\r\n        <select name="BoardID" class="span12 " size=1>\r\n          <option value="" <{if $BoardID == ""}>selected="selected"<{/if}>></option>\r\n          <{foreach from=$option item=option}>\r\n            <option value="<{$option.BoardID}>" <{if $BoardID == $option.BoardID}>selected="selected"<{/if}>><{$option.BoardTitle}></option>\r\n          <{/foreach}>\r\n        </select>\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <input type="text" name="newBorard" id="newBorard" class="span12 validate[]" placeholder="<{$smarty.const._MA_TADDISCUS_ADD_BOARD}>">\r\n      </div>\r\n\r\n      <div class="span2">\r\n        <!--設定流水號-->\r\n        <input type=''hidden'' name="setupID" value="<{$setupID}>">\r\n        <input type="hidden" name="setupSort" value="<{$setupSort}>">\r\n        <input type="hidden" name="op" value="<{$next_op}>">\r\n        <button type="submit" class="btn btn-primary"><{$smarty.const._TAD_SAVE}></button>\r\n      </div>\r\n    </div>\r\n\r\n\r\n  </form>\r\n<{/if}>\r\n\r\n\r\n<!--列出所有資料-->\r\n<{if $all_content}>\r\n\r\n  <{$jquery}>\r\n  <script type="text/javascript">\r\n  $(document).ready(function(){\r\n      $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n        var order = $(this).sortable("serialize");\r\n        $.post("save_sort_rule.php", order, function(theResponse){\r\n            $("#save_msg").html(theResponse);\r\n        });\r\n      }\r\n      });\r\n  });\r\n\r\n\r\n  function delete_tad_discuss_cbox_setup_func(setupID){\r\n    var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n    if (!sure)  return;\r\n    location.href="<{$action}>?op=delete_tad_discuss_cbox_setup&setupID=" + setupID;\r\n  }\r\n  </script>\r\n\r\n  <div id="save_msg"></div>\r\n\r\n  <table class="table table-striped table-hover">\r\n    <thead>\r\n    <tr>\r\n      <th><!--註記--><{$smarty.const._MA_TADDISCUS_SETUPNAME}></th>\r\n      <th><!--偵測字串--><{$smarty.const._MA_TADDISCUS_SETUPRULE}></th>\r\n      <th><!--討論版編號--><{$smarty.const._MA_TADDISCUS_TO_BOARDID}></th>\r\n      <th><{$smarty.const._TAD_FUNCTION}></th>\r\n    </tr>\r\n    </thead>\r\n\r\n    <tbody id="sort">\r\n    <{foreach from=$all_content item=data}>\r\n      <tr id="tr_<{$data.setupID}>">\r\n        <td><{$data.setupName}></td>\r\n        <td><{$data.setupRule}></td>\r\n        <td><{$data.BoardTitle}></td>\r\n        <td>\r\n          <a href="javascript:delete_tad_discuss_cbox_setup_func(<{$data.setupID}>);" class="btn btn-mini btn-danger"><{$smarty.const._TAD_DEL}></a>\r\n          <a href="<{$action}>?op=tad_discuss_cbox_setup_form&setupID=<{$data.setupID}>" class="btn btn-mini btn-warning"><{$smarty.const._TAD_EDIT}></a>\r\n        </td>\r\n      </tr>\r\n    <{/foreach}>\r\n    </tbody>\r\n  </table>\r\n\r\n\r\n<{/if}>\r\n\r\n<!--顯示某一筆資料-->\r\n<{if $now_op=="show_one_tad_discuss_cbox_setup"}>\r\n  <h2 class="text-center"><{$title}></h2>\r\n  <hr>\r\n\r\n  <div class="row-fluid">\r\n      <!--偵測字串-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADDISCUS_SETUPRULE}>\r\n    </div>\r\n    <div class="span9">\r\n      <{$setupRule}>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row-fluid">\r\n    <!--討論版編號-->\r\n    <div class="span3 text-right">\r\n      <{$smarty.const._MA_TADDISCUS_TO_BOARDID}>\r\n    </div>\r\n    <div class="span9">\r\n      <{$BoardID}>\r\n    </div>\r\n  </div>\r\n\r\n<{/if}>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(433, '<div class="row-fluid">\r\n  <div class="span2">\r\n    <img src="<{$discuss.pic}>" width=100 class="img-rounded">\r\n    <span style="font-size:10px"><{$discuss.DiscussDate}></span>\r\n    <div><a href="<{$xoops_url}>/userinfo.php?uid=<{$discuss.uid}>"><{$discuss.uid_name}></a></div>\r\n  </div>\r\n  <div class="span10">\r\n    <div class="well" style="background-color:white;">\r\n      <{$discuss.DiscussContent}>\r\n      <div class="text-right">\r\n      <{if $discuss.fun}>\r\n        <a href="javascript:delete_tad_discuss_func(<{$discuss.DiscussID}>);" class="btn"><img src="images/delete.png" alt="<{$smarty.const._TAD_DEL}>"></a>\r\n        <a href="discuss.php?op=tad_discuss_form&BoardID=<{$discuss.BoardID}>&DiscussID=<{$discuss.DiscussID}>" class="btn"><img src="images/edit.png" alt="<{$smarty.const._TAD_EDIT}>"></a>\r\n      <{/if}>\r\n      <{if $discuss.like}>\r\n        <a href="javascript:like(''unlike'',<{$discuss.DiscussID}>)" id="unlike<{$discuss.DiscussID}>" class="btn"><span style="color:#FF6600"><{$discuss.Bad}></span> <img src="images/unlike.png" alt="unlike" align="absmiddle"></a>\r\n\r\n        <a href="javascript:like(''like'',<{$discuss.DiscussID}>)" id="like<{$discuss.DiscussID}>" class="btn"><img src="images/like.png" alt="like" align="absmiddle" >\r\n        <span style="color:#0066FF"><{$discuss.Good}></span></a>\r\n      <{/if}>\r\n      </div>\r\n      <{$discuss.files}>\r\n  </div>\r\n    </div>\r\n</div>');
INSERT INTO `xx_tplsource` (`tpl_id`, `tpl_source`) VALUES(452, '<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/bootstrap/css/bootstrap-responsive.css" />\r\n<link rel="stylesheet" type="text/css" media="screen" href="<{$xoops_url}>/modules/tadtools/css/xoops_adm.css" />\r\n\r\n<{$jquery}>\r\n\r\n<script type="text/javascript">\r\n  $(document).ready(function(){\r\n      $("#sort").sortable({ opacity: 0.6, cursor: "move", update: function() {\r\n          var order = $(this).sortable("serialize");\r\n          $.post("save_sort.php", order, function(theResponse){\r\n              $("#save_msg").html(theResponse);\r\n          });\r\n      }\r\n      });\r\n  });\r\n\r\n  function delete_tad_themes_menu_func(menuid){\r\n  	var sure = window.confirm("<{$smarty.const._TAD_DEL_CONFIRM}>");\r\n  	if (!sure)	return;\r\n  	location.href="dropdown.php?op=delete_tad_themes_menu&menuid=" + menuid;\r\n  }\r\n</script>\r\n\r\n\r\n<div class="container-fluid">\r\n  <div class="row-fluid">\r\n    <a href="dropdown.php?op=import" class="btn btn-info"><{$smarty.const._MA_TADTHEMES_IMPORT_MENU}></a>\r\n\r\n<hr>\r\n    <div id="save_msg"></div>\r\n\r\n    <table class="table table-striped table-hover">\r\n\r\n    	<tbody id="sort">\r\n    	 <tr>\r\n        <td>\r\n        <a href="dropdown.php?op=add_tad_themes_menu&of_level=0"><img src="../images/001_01.gif" align="absmiddle" alt="<{$add_item}>" title="<{$add_item}>"></a> <{$add_item}>\r\n        </td>\r\n        <td></td>\r\n        </tr>\r\n      	<{$all}>\r\n      	<{$option}>\r\n    	</tbody>\r\n\r\n    </table>\r\n  </div>\r\n</div>\r\n\r\n  <script src="<{xoAppUrl modules/tadtools/bootstrap/js/application.js}>"></script>\r\n  <script src="<{xoAppUrl modules/tadtools/bootstrap/js/bootswatch.js}>"></script>');

DROP TABLE IF EXISTS `xx_users`;
CREATE TABLE `xx_users` (
  `uid` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL DEFAULT '',
  `uname` varchar(25) NOT NULL DEFAULT '',
  `email` varchar(60) NOT NULL DEFAULT '',
  `url` varchar(100) NOT NULL DEFAULT '',
  `user_avatar` varchar(30) NOT NULL DEFAULT 'blank.gif',
  `user_regdate` int(10) unsigned NOT NULL DEFAULT '0',
  `user_icq` varchar(15) NOT NULL DEFAULT '',
  `user_from` varchar(100) NOT NULL DEFAULT '',
  `user_sig` tinytext,
  `user_viewemail` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `actkey` varchar(8) NOT NULL DEFAULT '',
  `user_aim` varchar(18) NOT NULL DEFAULT '',
  `user_yim` varchar(25) NOT NULL DEFAULT '',
  `user_msnm` varchar(100) NOT NULL DEFAULT '',
  `pass` varchar(32) NOT NULL DEFAULT '',
  `posts` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `attachsig` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `rank` smallint(5) unsigned NOT NULL DEFAULT '0',
  `level` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `theme` varchar(100) NOT NULL DEFAULT '',
  `timezone_offset` float(3,1) NOT NULL DEFAULT '8.0',
  `last_login` int(10) unsigned NOT NULL DEFAULT '0',
  `umode` varchar(10) NOT NULL DEFAULT '',
  `uorder` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `notify_method` tinyint(1) NOT NULL DEFAULT '1',
  `notify_mode` tinyint(1) NOT NULL DEFAULT '0',
  `user_occ` varchar(100) NOT NULL DEFAULT '',
  `bio` tinytext,
  `user_intrest` varchar(150) NOT NULL DEFAULT '',
  `user_mailok` tinyint(1) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`uid`),
  KEY `uname` (`uname`),
  KEY `email` (`email`),
  KEY `uiduname` (`uid`,`uname`),
  KEY `unamepass` (`uname`,`pass`),
  KEY `level` (`level`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

INSERT INTO `xx_users` (`uid`, `name`, `uname`, `email`, `url`, `user_avatar`, `user_regdate`, `user_icq`, `user_from`, `user_sig`, `user_viewemail`, `actkey`, `user_aim`, `user_yim`, `user_msnm`, `pass`, `posts`, `attachsig`, `rank`, `level`, `theme`, `timezone_offset`, `last_login`, `umode`, `uorder`, `notify_method`, `notify_mode`, `user_occ`, `bio`, `user_intrest`, `user_mailok`) VALUES(1, '管理員', 'admin', 'admin@gmail.com', '', 'avatars/blank.gif', 1388990450, '', '', '', 1, '', '', '', '', '26818d3fc1446e295c08048ff2d9a66b', 11, 0, 7, 5, 'school2013', 8.0, 1390319366, 'flat', 0, 1, 0, '', '', '', 0);

DROP TABLE IF EXISTS `xx_xoopscomments`;
CREATE TABLE `xx_xoopscomments` (
  `com_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `com_pid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `com_rootid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `com_modid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `com_itemid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `com_icon` varchar(25) NOT NULL DEFAULT '',
  `com_created` int(10) unsigned NOT NULL DEFAULT '0',
  `com_modified` int(10) unsigned NOT NULL DEFAULT '0',
  `com_uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `com_user` varchar(60) NOT NULL,
  `com_email` varchar(60) NOT NULL,
  `com_url` varchar(60) NOT NULL,
  `com_ip` varchar(15) NOT NULL DEFAULT '',
  `com_title` varchar(255) NOT NULL DEFAULT '',
  `com_text` text,
  `com_sig` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `com_status` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `com_exparams` varchar(255) NOT NULL DEFAULT '',
  `dohtml` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dosmiley` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `doxcode` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `doimage` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `dobr` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`com_id`),
  KEY `com_pid` (`com_pid`),
  KEY `com_itemid` (`com_itemid`),
  KEY `com_uid` (`com_uid`),
  KEY `com_title` (`com_title`(40)),
  KEY `com_status` (`com_status`),
  KEY `com_user` (`com_user`),
  KEY `com_email` (`com_email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_xoopsnotifications`;
CREATE TABLE `xx_xoopsnotifications` (
  `not_id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `not_modid` smallint(5) unsigned NOT NULL DEFAULT '0',
  `not_itemid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `not_category` varchar(30) NOT NULL DEFAULT '',
  `not_event` varchar(30) NOT NULL DEFAULT '',
  `not_uid` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `not_mode` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`not_id`),
  KEY `not_modid` (`not_modid`),
  KEY `not_itemid` (`not_itemid`),
  KEY `not_class` (`not_category`),
  KEY `not_uid` (`not_uid`),
  KEY `not_event` (`not_event`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS `xx_yaoh_light`;
CREATE TABLE `xx_yaoh_light` (
  `light_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '跑馬燈編號',
  `font_color` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `font_family` varchar(50) DEFAULT NULL,
  `scrollDelay` int(11) DEFAULT NULL,
  `direction` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `light_behavior` varchar(30) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `scrollAmount` int(11) DEFAULT NULL,
  `LOOP` int(11) DEFAULT NULL,
  `shadow_color` varchar(100) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `shadow_h` int(11) DEFAULT '2',
  `shadow_v` int(11) DEFAULT '2',
  `shadow_b` int(11) DEFAULT '5',
  `rotate_deg` varchar(10) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `fontsize` varchar(20) DEFAULT NULL,
  `fontsize_hover` varchar(20) DEFAULT NULL,
  `AltTitle` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `light_content` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `light_link` text CHARACTER SET utf8 COLLATE utf8_unicode_ci,
  `tag` varchar(300) DEFAULT NULL,
  `is_show` tinyint(1) DEFAULT '1',
  `light_rank` int(11) DEFAULT '1',
  PRIMARY KEY (`light_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=211 ;

INSERT INTO `xx_yaoh_light` (`light_id`, `font_color`, `font_family`, `scrollDelay`, `direction`, `light_behavior`, `scrollAmount`, `LOOP`, `shadow_color`, `shadow_h`, `shadow_v`, `shadow_b`, `rotate_deg`, `fontsize`, `fontsize_hover`, `AltTitle`, `light_content`, `light_link`, `tag`, `is_show`, `light_rank`) VALUES(206, '#7c9cd8', 'DFKai-sb', 0, '', 'alternate', 1, 0, '#7064d9', -10, 5, 40, '0', '1em', '1em', '', '狂賀！本校榮獲101年度臺南市交通安全教育評鑑『<font color=red size=5>特優</font>』<img src=http://www2.dcjh.tn.edu.tw/gallery3/var/thumbs/yaoh/%E7%B4%A0%E6%9D%90%E5%BA%ABlib/run1.png?m=1356839301 >', '', '榮譽榜,首頁', 1, 0);
INSERT INTO `xx_yaoh_light` (`light_id`, `font_color`, `font_family`, `scrollDelay`, `direction`, `light_behavior`, `scrollAmount`, `LOOP`, `shadow_color`, `shadow_h`, `shadow_v`, `shadow_b`, `rotate_deg`, `fontsize`, `fontsize_hover`, `AltTitle`, `light_content`, `light_link`, `tag`, `is_show`, `light_rank`) VALUES(69, '#28e8d5', NULL, 0, '', 'alternate', 3, 0, '#c5767d', 10, 10, 50, '0', '1', NULL, '', '狂賀!!!本校榮獲101年度教育部全國『<font color=red>閱讀磐石學校</font>』!!!', 'http://www.tyjh.kh.edu.tw/rock/download.php?dir=news&newsID=19&newsFile=2', '榮譽榜,首頁', 1, 0);
INSERT INTO `xx_yaoh_light` (`light_id`, `font_color`, `font_family`, `scrollDelay`, `direction`, `light_behavior`, `scrollAmount`, `LOOP`, `shadow_color`, `shadow_h`, `shadow_v`, `shadow_b`, `rotate_deg`, `fontsize`, `fontsize_hover`, `AltTitle`, `light_content`, `light_link`, `tag`, `is_show`, `light_rank`) VALUES(209, '#5c31b7', NULL, 4, 'right', '', 2, 0, '#a3f764', 10, -3, 5, '0', '1', NULL, '', '賀!!!!本校參加臺南市直笛合奏比賽榮獲優等_______超厲害!!!!本校參加臺南市打擊樂合奏比賽榮獲優等第一名', 'http://www.tyjh.kh.edu.tw/rock/download.php?dir=news&newsID=19&newsFile=2', '榮譽榜', 1, 0);
INSERT INTO `xx_yaoh_light` (`light_id`, `font_color`, `font_family`, `scrollDelay`, `direction`, `light_behavior`, `scrollAmount`, `LOOP`, `shadow_color`, `shadow_h`, `shadow_v`, `shadow_b`, `rotate_deg`, `fontsize`, `fontsize_hover`, `AltTitle`, `light_content`, `light_link`, `tag`, `is_show`, `light_rank`) VALUES(200, '#2e53e9', NULL, 0, 'right', 'alternate', 1, 0, '#d3d8e8', 10, 10, 5, '0', '1', NULL, '', '網路沉迷有三傷：傷身、傷神、傷感情', '', '宣導', 1, 0);
INSERT INTO `xx_yaoh_light` (`light_id`, `font_color`, `font_family`, `scrollDelay`, `direction`, `light_behavior`, `scrollAmount`, `LOOP`, `shadow_color`, `shadow_h`, `shadow_v`, `shadow_b`, `rotate_deg`, `fontsize`, `fontsize_hover`, `AltTitle`, `light_content`, `light_link`, `tag`, `is_show`, `light_rank`) VALUES(210, '#aeeed7', 'PMingLiU', 500, 'right', 'alternate', 1, 0, '#50e2e2', 2, 2, 5, '0', '1em', '3em', '', '「<font color=red>易猜密碼不要用</font>」「<font color=green>個人資料不洩漏</font>」<br />\n「<font color=blue>電腦用畢要登出</font>」「<font color=brown>防毒軟體常更新</font>」<br />\n「不明郵件不要開」「不當網站不瀏覽」<br />\n「盜版軟體不可用」「智慧財產要尊重」', '', '宣導', 1, 0);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
